#include <GL/gl.h>
#include <GL/glx.h>
#include <stdlib.h>
#include <alsa/asoundlib.h>
#include "../gl/defines.h"
#include "../config.h"
#include "config.h"

#ifndef PROXY_H
#define PROXY_H

typedef struct {
    int format;
    void *func;
    void *args;
} packed_call_t;

typedef struct {
    int func;
    void *args;
} indexed_call_t;

enum FORMAT {
    FORMAT_void_GLenum_GLfloat,
    FORMAT_void_GLenum,
    FORMAT_GLboolean_GLsizei_const_GLuint___GENPT___GLboolean___GENPT__,
    FORMAT_void_GLint,
    FORMAT_void_GLenum_GLuint,
    FORMAT_void_GLsizei_GLsizei_GLfloat_GLfloat_GLfloat_GLfloat_const_GLubyte___GENPT__,
    FORMAT_void_GLfloat_GLfloat_GLfloat_GLfloat,
    FORMAT_void_GLenum_GLenum,
    FORMAT_void_GLenum_GLenum_GLenum_GLenum,
    FORMAT_void_GLenum_GLsizeiptr_const_GLvoid___GENPT___GLenum,
    FORMAT_void_GLenum_GLintptr_GLsizeiptr_const_GLvoid___GENPT__,
    FORMAT_void_GLuint,
    FORMAT_void_GLsizei_GLenum_const_GLvoid___GENPT__,
    FORMAT_void_GLbitfield,
    FORMAT_void_GLdouble,
    FORMAT_void_GLfloat,
    FORMAT_void_GLenum_const_GLdouble___GENPT__,
    FORMAT_void_GLbyte_GLbyte_GLbyte,
    FORMAT_void_const_GLbyte___GENPT__,
    FORMAT_void_GLdouble_GLdouble_GLdouble,
    FORMAT_void_const_GLdouble___GENPT__,
    FORMAT_void_GLfloat_GLfloat_GLfloat,
    FORMAT_void_const_GLfloat___GENPT__,
    FORMAT_void_GLint_GLint_GLint,
    FORMAT_void_const_GLint___GENPT__,
    FORMAT_void_GLshort_GLshort_GLshort,
    FORMAT_void_const_GLshort___GENPT__,
    FORMAT_void_GLubyte_GLubyte_GLubyte,
    FORMAT_void_const_GLubyte___GENPT__,
    FORMAT_void_GLuint_GLuint_GLuint,
    FORMAT_void_const_GLuint___GENPT__,
    FORMAT_void_GLushort_GLushort_GLushort,
    FORMAT_void_const_GLushort___GENPT__,
    FORMAT_void_GLbyte_GLbyte_GLbyte_GLbyte,
    FORMAT_void_GLdouble_GLdouble_GLdouble_GLdouble,
    FORMAT_void_GLint_GLint_GLint_GLint,
    FORMAT_void_GLshort_GLshort_GLshort_GLshort,
    FORMAT_void_GLubyte_GLubyte_GLubyte_GLubyte,
    FORMAT_void_GLuint_GLuint_GLuint_GLuint,
    FORMAT_void_GLushort_GLushort_GLushort_GLushort,
    FORMAT_void_GLboolean_GLboolean_GLboolean_GLboolean,
    FORMAT_void_GLint_GLenum_GLsizei_const_GLvoid___GENPT__,
    FORMAT_void_GLenum_GLsizei_GLsizei_GLenum_GLenum_const_GLvoid___GENPT__,
    FORMAT_void_GLenum_GLenum_GLsizei_GLenum_GLenum_const_GLvoid___GENPT__,
    FORMAT_void_GLenum_GLenum_const_GLfloat___GENPT__,
    FORMAT_void_GLenum_GLenum_const_GLint___GENPT__,
    FORMAT_void_GLenum_GLint_GLenum_GLsizei_GLint_GLsizei_const_GLvoid___GENPT__,
    FORMAT_void_GLenum_GLint_GLenum_GLsizei_GLsizei_GLint_GLsizei_const_GLvoid___GENPT__,
    FORMAT_void_GLenum_GLint_GLenum_GLsizei_GLsizei_GLsizei_GLint_GLsizei_const_GLvoid___GENPT__,
    FORMAT_void_GLenum_GLint_GLint_GLsizei_GLenum_GLsizei_const_GLvoid___GENPT__,
    FORMAT_void_GLenum_GLint_GLint_GLint_GLsizei_GLsizei_GLenum_GLsizei_const_GLvoid___GENPT__,
    FORMAT_void_GLenum_GLint_GLint_GLint_GLint_GLsizei_GLsizei_GLsizei_GLenum_GLsizei_const_GLvoid___GENPT__,
    FORMAT_void_GLenum_GLenum_GLsizei_GLsizei_GLenum_GLenum_const_GLvoid___GENPT__,
    FORMAT_void_GLenum_GLenum_GLfloat,
    FORMAT_void_GLenum_GLenum_GLint,
    FORMAT_void_GLenum_GLsizei_GLint_GLint_GLsizei,
    FORMAT_void_GLenum_GLenum_GLint_GLint_GLsizei,
    FORMAT_void_GLenum_GLenum_GLint_GLint_GLsizei_GLsizei,
    FORMAT_void_GLint_GLint_GLsizei_GLsizei_GLenum,
    FORMAT_void_GLenum_GLint_GLenum_GLint_GLint_GLsizei_GLint,
    FORMAT_void_GLenum_GLint_GLenum_GLint_GLint_GLsizei_GLsizei_GLint,
    FORMAT_void_GLenum_GLint_GLint_GLint_GLint_GLsizei,
    FORMAT_void_GLenum_GLint_GLint_GLint_GLint_GLint_GLsizei_GLsizei,
    FORMAT_void_GLenum_GLint_GLint_GLint_GLint_GLint_GLint_GLsizei_GLsizei,
    FORMAT_void_GLsizei_const_GLuint___GENPT__,
    FORMAT_void_GLuint_GLsizei,
    FORMAT_void_GLboolean,
    FORMAT_void_GLdouble_GLdouble,
    FORMAT_void_GLenum_GLint_GLsizei,
    FORMAT_void_GLenum_GLsizei_GLenum_const_GLvoid___GENPT__,
    FORMAT_void_GLsizei_GLsizei_GLenum_GLenum_const_GLvoid___GENPT__,
    FORMAT_void_GLenum_GLuint_GLuint_GLsizei_GLenum_const_GLvoid___GENPT__,
    FORMAT_void_GLsizei_const_GLvoid___GENPT__,
    FORMAT_void_const_GLboolean___GENPT__,
    FORMAT_void,
    FORMAT_void_GLfloat_GLfloat,
    FORMAT_void_GLenum_GLint_GLint,
    FORMAT_void_GLenum_GLint_GLint_GLint_GLint,
    FORMAT_void_GLint_GLint,
    FORMAT_void_GLsizei_GLenum_GLfloat___GENPT__,
    FORMAT_void_GLenum_GLsizei_const_GLvoid___GENPT__,
    FORMAT_void_GLenum_const_GLfloat___GENPT__,
    FORMAT_void_GLenum_GLint,
    FORMAT_void_GLenum_const_GLint___GENPT__,
    FORMAT_void_GLdouble_GLdouble_GLdouble_GLdouble_GLdouble_GLdouble,
    FORMAT_void_GLsizei_GLuint___GENPT__,
    FORMAT_GLuint_GLsizei,
    FORMAT_void_GLenum_GLboolean___GENPT__,
    FORMAT_void_GLenum_GLenum_GLint___GENPT__,
    FORMAT_void_GLenum_GLenum_GLvoid___GENPT__,
    FORMAT_void_GLenum_GLintptr_GLsizeiptr_GLvoid___GENPT__,
    FORMAT_void_GLenum_GLdouble___GENPT__,
    FORMAT_void_GLenum_GLenum_GLenum_GLvoid___GENPT__,
    FORMAT_void_GLenum_GLenum_GLfloat___GENPT__,
    FORMAT_void_GLenum_GLint_GLvoid___GENPT__,
    FORMAT_GLenum,
    FORMAT_void_GLenum_GLfloat___GENPT__,
    FORMAT_void_GLenum_GLboolean_GLenum_GLenum_GLvoid___GENPT__,
    FORMAT_void_GLenum_GLint___GENPT__,
    FORMAT_void_GLenum_GLenum_GLdouble___GENPT__,
    FORMAT_void_GLenum_GLuint___GENPT__,
    FORMAT_void_GLenum_GLushort___GENPT__,
    FORMAT_void_GLenum_GLvoid___GENPT____GENPT__,
    FORMAT_void_GLubyte___GENPT__,
    FORMAT_void_GLuint_GLenum_GLint___GENPT__,
    FORMAT_void_GLuint_GLenum_GLuint___GENPT__,
    FORMAT_void_GLenum_GLenum_GLenum_GLvoid___GENPT___GLvoid___GENPT___GLvoid___GENPT__,
    FORMAT_const_GLubyte___GENPT___GLenum,
    FORMAT_void_GLenum_GLint_GLenum_GLenum_GLvoid___GENPT__,
    FORMAT_void_GLenum_GLint_GLenum_GLfloat___GENPT__,
    FORMAT_void_GLenum_GLint_GLenum_GLint___GENPT__,
    FORMAT_void_GLenum_GLsizei_GLenum_GLboolean,
    FORMAT_void_GLshort,
    FORMAT_void_GLubyte,
    FORMAT_GLboolean_GLuint,
    FORMAT_GLboolean_GLenum,
    FORMAT_void_GLint_GLushort,
    FORMAT_void_GLenum_GLdouble_GLdouble_GLint_GLint_const_GLdouble___GENPT__,
    FORMAT_void_GLenum_GLfloat_GLfloat_GLint_GLint_const_GLfloat___GENPT__,
    FORMAT_void_GLenum_GLdouble_GLdouble_GLint_GLint_GLdouble_GLdouble_GLint_GLint_const_GLdouble___GENPT__,
    FORMAT_void_GLenum_GLfloat_GLfloat_GLint_GLint_GLfloat_GLfloat_GLint_GLint_const_GLfloat___GENPT__,
    FORMAT_GLvoid___GENPT___GLenum_GLenum,
    FORMAT_void_GLint_GLdouble_GLdouble,
    FORMAT_void_GLint_GLfloat_GLfloat,
    FORMAT_void_GLint_GLdouble_GLdouble_GLint_GLdouble_GLdouble,
    FORMAT_void_GLint_GLfloat_GLfloat_GLint_GLfloat_GLfloat,
    FORMAT_void_GLenum_GLenum_GLboolean,
    FORMAT_void_GLenum_const_GLint___GENPT___const_GLsizei___GENPT___GLsizei,
    FORMAT_void_GLenum_const_GLsizei___GENPT___GLenum_GLvoid__GENPT__const___GENPT___GLsizei,
    FORMAT_void_GLenum_GLdouble,
    FORMAT_void_GLenum_GLshort,
    FORMAT_void_GLenum_const_GLshort___GENPT__,
    FORMAT_void_GLenum_GLdouble_GLdouble,
    FORMAT_void_GLenum_GLfloat_GLfloat,
    FORMAT_void_GLenum_GLshort_GLshort,
    FORMAT_void_GLenum_GLdouble_GLdouble_GLdouble,
    FORMAT_void_GLenum_GLfloat_GLfloat_GLfloat,
    FORMAT_void_GLenum_GLint_GLint_GLint,
    FORMAT_void_GLenum_GLshort_GLshort_GLshort,
    FORMAT_void_GLenum_GLdouble_GLdouble_GLdouble_GLdouble,
    FORMAT_void_GLenum_GLfloat_GLfloat_GLfloat_GLfloat,
    FORMAT_void_GLenum_GLshort_GLshort_GLshort_GLshort,
    FORMAT_void_GLuint_GLenum,
    FORMAT_void_GLenum_GLsizei_const_GLfloat___GENPT__,
    FORMAT_void_GLenum_GLsizei_const_GLuint___GENPT__,
    FORMAT_void_GLenum_GLsizei_const_GLushort___GENPT__,
    FORMAT_void_GLsizei_const_GLuint___GENPT___const_GLfloat___GENPT__,
    FORMAT_void_GLshort_GLshort,
    FORMAT_void_GLint_GLint_GLsizei_GLsizei_GLenum_GLenum_GLvoid___GENPT__,
    FORMAT_void_const_GLdouble___GENPT___const_GLdouble___GENPT__,
    FORMAT_void_const_GLfloat___GENPT___const_GLfloat___GENPT__,
    FORMAT_void_const_GLint___GENPT___const_GLint___GENPT__,
    FORMAT_void_const_GLshort___GENPT___const_GLshort___GENPT__,
    FORMAT_GLint_GLenum,
    FORMAT_void_GLfloat_GLboolean,
    FORMAT_void_GLint_GLint_GLsizei_GLsizei,
    FORMAT_void_GLenum_GLenum_GLsizei_GLsizei_GLenum_GLenum_const_GLvoid___GENPT___const_GLvoid___GENPT__,
    FORMAT_void_GLenum_GLint_GLuint,
    FORMAT_void_GLenum_GLenum_GLenum,
    FORMAT_void_GLenum_GLenum_GLdouble,
    FORMAT_void_GLenum_GLenum_const_GLdouble___GENPT__,
    FORMAT_void_GLenum_GLint_GLint_GLsizei_GLint_GLenum_GLenum_const_GLvoid___GENPT__,
    FORMAT_void_GLenum_GLint_GLint_GLsizei_GLsizei_GLint_GLenum_GLenum_const_GLvoid___GENPT__,
    FORMAT_void_GLenum_GLint_GLint_GLsizei_GLsizei_GLsizei_GLint_GLenum_GLenum_const_GLvoid___GENPT__,
    FORMAT_void_GLenum_GLint_GLint_GLsizei_GLenum_GLenum_const_GLvoid___GENPT__,
    FORMAT_void_GLenum_GLint_GLint_GLint_GLsizei_GLsizei_GLenum_GLenum_const_GLvoid___GENPT__,
    FORMAT_void_GLenum_GLint_GLint_GLint_GLint_GLsizei_GLsizei_GLsizei_GLenum_GLenum_const_GLvoid___GENPT__,
    FORMAT_int_Display___GENPT___int,
    FORMAT_void_uint32_t_uint32_t,
    FORMAT_void_uint32_t,
    FORMAT_XVisualInfo___GENPT___Display___GENPT___int_int___GENPT__,
    FORMAT_void_Display___GENPT___GLXContext_GLXContext_unsigned_long,
    FORMAT_GLXContext_Display___GENPT___XVisualInfo___GENPT___GLXContext_Bool,
    FORMAT_GLXContext_Display___GENPT___void___GENPT___GLXContext_Bool_const_int___GENPT__,
    FORMAT_void_uint32_t_uint32_t_uint32_t_uint32_t,
    FORMAT_GLXPixmap_Display___GENPT___XVisualInfo___GENPT___Pixmap,
    FORMAT_void_uint32_t_uint32_t_uint32_t,
    FORMAT_void_Display___GENPT___uint32_t_uint32_t_uint32_t_uint32_t_uint32_t,
    FORMAT_void_Display___GENPT___GLXContext,
    FORMAT_void_Display___GENPT___GLXPixmap,
    FORMAT_void_Display___GENPT___uint32_t,
    FORMAT_const_char___GENPT___Display___GENPT___int,
    FORMAT_int_Display___GENPT___XVisualInfo___GENPT___int_int___GENPT__,
    FORMAT_GLXContext,
    FORMAT_GLXDrawable,
    FORMAT_int_Display___GENPT___int_int_int_const_void___GENPT__,
    FORMAT_int_Display___GENPT___int_int_GLXHyperpipeConfigSGIX_int___GENPT__,
    FORMAT_Bool_Display___GENPT___GLXContext,
    FORMAT_Bool_Display___GENPT___GLXDrawable_GLXContext,
    FORMAT_Bool_Display___GENPT___int___GENPT___int___GENPT__,
    FORMAT_int_Display___GENPT___int_int_int_const_void___GENPT___void___GENPT__,
    FORMAT_GLXHyperpipeConfigSGIX___GENPT___Display___GENPT___int_int___GENPT__,
    FORMAT_GLXHyperpipeNetworkSGIX___GENPT___Display___GENPT___int___GENPT__,
    FORMAT_const_char___GENPT___Display___GENPT___int_int,
    FORMAT_Bool_Display___GENPT___GLXDrawable,
    FORMAT_void_Display___GENPT___GLXDrawable,
    FORMAT_int_unsigned_int,
    FORMAT_void_unsigned_int,
    FORMAT_void_Font_int_int_int,
    FORMAT_GLXFBConfig___GENPT___Display___GENPT___int_const_int___GENPT___int___GENPT__,
    FORMAT_GLXContext_Display___GENPT___GLXFBConfig_int_GLXContext_Bool,
    FORMAT_GLXPbuffer_Display___GENPT___GLXFBConfig_const_int___GENPT__,
    FORMAT_GLXPixmap_Display___GENPT___GLXFBConfig_Pixmap_const_int___GENPT__,
    FORMAT_GLXWindow_Display___GENPT___GLXFBConfig_Window_const_int___GENPT__,
    FORMAT_void_Display___GENPT___GLXPbuffer,
    FORMAT_void_Display___GENPT___GLXWindow,
    FORMAT_Display___GENPT__,
    FORMAT_int_Display___GENPT___GLXFBConfig_int_int___GENPT__,
    FORMAT_GLXFBConfig___GENPT___Display___GENPT___int_int___GENPT__,
    FORMAT___GLXextFuncPtr_const_GLubyte___GENPT__,
    FORMAT_void_Display___GENPT___GLXDrawable_unsigned_long___GENPT__,
    FORMAT_XVisualInfo___GENPT___Display___GENPT___GLXFBConfig,
    FORMAT_Bool_Display___GENPT___GLXDrawable_GLXDrawable_GLXContext,
    FORMAT_int_Display___GENPT___GLXContext_int_int___GENPT__,
    FORMAT_void_Display___GENPT___GLXDrawable_int_unsigned_int___GENPT__,
    FORMAT_void_Display___GENPT___GLXDrawable_unsigned_long,
    FORMAT_const_char___GENPT__,
    FORMAT_int_snd_async_handler_t___GENPT____GENPT___snd_ctl_t___GENPT___snd_async_callback_t_void___GENPT__,
    FORMAT_int_snd_async_handler_t___GENPT____GENPT___int_snd_async_callback_t_void___GENPT__,
    FORMAT_int_snd_async_handler_t___GENPT____GENPT___snd_pcm_t___GENPT___snd_async_callback_t_void___GENPT__,
    FORMAT_int_snd_async_handler_t___GENPT____GENPT___snd_timer_t___GENPT___snd_async_callback_t_void___GENPT__,
    FORMAT_int_snd_async_handler_t___GENPT__,
    FORMAT_void___GENPT___snd_async_handler_t___GENPT__,
    FORMAT_snd_ctl_t___GENPT___snd_async_handler_t___GENPT__,
    FORMAT_snd_pcm_t___GENPT___snd_async_handler_t___GENPT__,
    FORMAT_snd_timer_t___GENPT___snd_async_handler_t___GENPT__,
    FORMAT_int_const_char___GENPT__,
    FORMAT_int_int_char___GENPT____GENPT__,
    FORMAT_int_int,
    FORMAT_int_int___GENPT__,
    FORMAT_int_snd_config_t___GENPT___snd_config_t___GENPT__,
    FORMAT_int_snd_config_t___GENPT____GENPT___snd_config_t___GENPT__,
    FORMAT_int_snd_config_t___GENPT__,
    FORMAT_int_const_snd_config_t___GENPT__,
    FORMAT_int_snd_config_t___GENPT___snd_config_t___GENPT___snd_config_t___GENPT___snd_config_t___GENPT____GENPT__,
    FORMAT_int_snd_config_t___GENPT___snd_config_t___GENPT___const_char___GENPT___snd_config_t___GENPT___snd_config_t___GENPT____GENPT__,
    FORMAT_int_const_snd_config_t___GENPT___char___GENPT____GENPT__,
    FORMAT_int_const_snd_config_t___GENPT___const_char___GENPT____GENPT__,
    FORMAT_int_const_snd_config_t___GENPT___long___GENPT__,
    FORMAT_int_const_snd_config_t___GENPT___long_long___GENPT__,
    FORMAT_int_const_snd_config_t___GENPT___double___GENPT__,
    FORMAT_int_const_snd_config_t___GENPT___const_void___GENPT____GENPT__,
    FORMAT_snd_config_type_t_const_snd_config_t___GENPT__,
    FORMAT_int_snd_config_t___GENPT____GENPT___const_char___GENPT___const_long,
    FORMAT_int_snd_config_t___GENPT____GENPT___const_char___GENPT___const_long_long,
    FORMAT_int_snd_config_t___GENPT____GENPT___const_char___GENPT___const_void___GENPT__,
    FORMAT_int_snd_config_t___GENPT____GENPT___const_char___GENPT___const_double,
    FORMAT_int_snd_config_t___GENPT____GENPT___const_char___GENPT___const_char___GENPT__,
    FORMAT_snd_config_iterator_t_const_snd_config_t___GENPT__,
    FORMAT_snd_config_t___GENPT___const_snd_config_iterator_t,
    FORMAT_snd_config_iterator_t_const_snd_config_iterator_t,
    FORMAT_int_snd_config_t___GENPT___snd_input_t___GENPT__,
    FORMAT_int_snd_config_t___GENPT____GENPT___const_char___GENPT___snd_config_type_t,
    FORMAT_int_snd_config_t___GENPT____GENPT___const_char___GENPT___int,
    FORMAT_int_snd_config_t___GENPT____GENPT___const_char___GENPT__,
    FORMAT_int_snd_config_t___GENPT___snd_output_t___GENPT__,
    FORMAT_int_snd_config_t___GENPT___const_char___GENPT___snd_config_t___GENPT____GENPT__,
    FORMAT_int_snd_config_t___GENPT___const_char___GENPT___const_char___GENPT___snd_config_t___GENPT____GENPT__,
    FORMAT_int_snd_config_t___GENPT___const_char___GENPT__,
    FORMAT_int_snd_config_t___GENPT___long,
    FORMAT_int_snd_config_t___GENPT___long_long,
    FORMAT_int_snd_config_t___GENPT___const_void___GENPT__,
    FORMAT_int_snd_config_t___GENPT___double,
    FORMAT_int_const_snd_config_t___GENPT___const_char___GENPT__,
    FORMAT_int_snd_config_t___GENPT____GENPT__,
    FORMAT_int,
    FORMAT_int_snd_config_update_t___GENPT__,
    FORMAT_int_snd_config_t___GENPT____GENPT___snd_config_update_t___GENPT____GENPT___const_char___GENPT__,
    FORMAT_int_snd_ctl_t___GENPT___snd_ctl_card_info_t___GENPT__,
    FORMAT_void_snd_ctl_card_info_t___GENPT__,
    FORMAT_void_snd_ctl_card_info_t___GENPT___const_snd_ctl_card_info_t___GENPT__,
    FORMAT_int_const_snd_ctl_card_info_t___GENPT__,
    FORMAT_const_char___GENPT___const_snd_ctl_card_info_t___GENPT__,
    FORMAT_int_snd_ctl_card_info_t___GENPT____GENPT__,
    FORMAT_size_t,
    FORMAT_int_snd_ctl_t___GENPT__,
    FORMAT_int_snd_ctl_t___GENPT___const_snd_ctl_elem_id_t___GENPT___unsigned_int,
    FORMAT_int_snd_ctl_t___GENPT___const_snd_ctl_elem_id_t___GENPT__,
    FORMAT_int_snd_ctl_t___GENPT___const_snd_ctl_elem_id_t___GENPT___unsigned_int_long_long_long,
    FORMAT_int_snd_ctl_t___GENPT___const_snd_ctl_elem_id_t___GENPT___unsigned_int_long_long_long_long_long_long,
    FORMAT_void_snd_ctl_elem_id_t___GENPT__,
    FORMAT_void_snd_ctl_elem_id_t___GENPT___const_snd_ctl_elem_id_t___GENPT__,
    FORMAT_unsigned_int_const_snd_ctl_elem_id_t___GENPT__,
    FORMAT_snd_ctl_elem_iface_t_const_snd_ctl_elem_id_t___GENPT__,
    FORMAT_const_char___GENPT___const_snd_ctl_elem_id_t___GENPT__,
    FORMAT_int_snd_ctl_elem_id_t___GENPT____GENPT__,
    FORMAT_void_snd_ctl_elem_id_t___GENPT___unsigned_int,
    FORMAT_void_snd_ctl_elem_id_t___GENPT___snd_ctl_elem_iface_t,
    FORMAT_void_snd_ctl_elem_id_t___GENPT___const_char___GENPT__,
    FORMAT_const_char___GENPT___snd_ctl_elem_iface_t,
    FORMAT_int_snd_ctl_t___GENPT___snd_ctl_elem_info_t___GENPT__,
    FORMAT_void_snd_ctl_elem_info_t___GENPT__,
    FORMAT_void_snd_ctl_elem_info_t___GENPT___const_snd_ctl_elem_info_t___GENPT__,
    FORMAT_unsigned_int_const_snd_ctl_elem_info_t___GENPT__,
    FORMAT_int_const_snd_ctl_elem_info_t___GENPT___unsigned_int,
    FORMAT_int_const_snd_ctl_elem_info_t___GENPT__,
    FORMAT_void_const_snd_ctl_elem_info_t___GENPT___snd_ctl_elem_id_t___GENPT__,
    FORMAT_snd_ctl_elem_iface_t_const_snd_ctl_elem_info_t___GENPT__,
    FORMAT_const_char___GENPT___const_snd_ctl_elem_info_t___GENPT__,
    FORMAT_long_const_snd_ctl_elem_info_t___GENPT__,
    FORMAT_long_long_const_snd_ctl_elem_info_t___GENPT__,
    FORMAT_pid_t_const_snd_ctl_elem_info_t___GENPT__,
    FORMAT_snd_ctl_elem_type_t_const_snd_ctl_elem_info_t___GENPT__,
    FORMAT_int_snd_ctl_elem_info_t___GENPT____GENPT__,
    FORMAT_void_snd_ctl_elem_info_t___GENPT___unsigned_int,
    FORMAT_void_snd_ctl_elem_info_t___GENPT___const_snd_ctl_elem_id_t___GENPT__,
    FORMAT_void_snd_ctl_elem_info_t___GENPT___snd_ctl_elem_iface_t,
    FORMAT_void_snd_ctl_elem_info_t___GENPT___const_char___GENPT__,
    FORMAT_int_snd_ctl_t___GENPT___snd_ctl_elem_list_t___GENPT__,
    FORMAT_int_snd_ctl_elem_list_t___GENPT___unsigned_int,
    FORMAT_void_snd_ctl_elem_list_t___GENPT__,
    FORMAT_void_snd_ctl_elem_list_t___GENPT___const_snd_ctl_elem_list_t___GENPT__,
    FORMAT_unsigned_int_const_snd_ctl_elem_list_t___GENPT__,
    FORMAT_unsigned_int_const_snd_ctl_elem_list_t___GENPT___unsigned_int,
    FORMAT_void_const_snd_ctl_elem_list_t___GENPT___unsigned_int_snd_ctl_elem_id_t___GENPT__,
    FORMAT_snd_ctl_elem_iface_t_const_snd_ctl_elem_list_t___GENPT___unsigned_int,
    FORMAT_const_char___GENPT___const_snd_ctl_elem_list_t___GENPT___unsigned_int,
    FORMAT_int_snd_ctl_elem_list_t___GENPT____GENPT__,
    FORMAT_void_snd_ctl_elem_list_t___GENPT___unsigned_int,
    FORMAT_int_snd_ctl_t___GENPT___snd_ctl_elem_id_t___GENPT__,
    FORMAT_int_snd_ctl_t___GENPT___snd_ctl_elem_value_t___GENPT__,
    FORMAT_void_snd_ctl_elem_value_t___GENPT___void___GENPT___size_t,
    FORMAT_int_snd_ctl_t___GENPT___const_snd_ctl_elem_id_t___GENPT___const_unsigned_int___GENPT__,
    FORMAT_int_snd_ctl_t___GENPT___const_snd_ctl_elem_id_t___GENPT___unsigned_int___GENPT___unsigned_int,
    FORMAT_const_char___GENPT___snd_ctl_elem_type_t,
    FORMAT_void_snd_ctl_elem_value_t___GENPT__,
    FORMAT_void_snd_ctl_elem_value_t___GENPT___const_snd_ctl_elem_value_t___GENPT__,
    FORMAT_int_const_snd_ctl_elem_value_t___GENPT___unsigned_int,
    FORMAT_unsigned_char_const_snd_ctl_elem_value_t___GENPT___unsigned_int,
    FORMAT_const_void___GENPT___const_snd_ctl_elem_value_t___GENPT__,
    FORMAT_unsigned_int_const_snd_ctl_elem_value_t___GENPT__,
    FORMAT_unsigned_int_const_snd_ctl_elem_value_t___GENPT___unsigned_int,
    FORMAT_void_const_snd_ctl_elem_value_t___GENPT___snd_ctl_elem_id_t___GENPT__,
    FORMAT_void_const_snd_ctl_elem_value_t___GENPT___snd_aes_iec958_t___GENPT__,
    FORMAT_long_const_snd_ctl_elem_value_t___GENPT___unsigned_int,
    FORMAT_long_long_const_snd_ctl_elem_value_t___GENPT___unsigned_int,
    FORMAT_snd_ctl_elem_iface_t_const_snd_ctl_elem_value_t___GENPT__,
    FORMAT_const_char___GENPT___const_snd_ctl_elem_value_t___GENPT__,
    FORMAT_int_snd_ctl_elem_value_t___GENPT____GENPT__,
    FORMAT_void_snd_ctl_elem_value_t___GENPT___unsigned_int_long,
    FORMAT_void_snd_ctl_elem_value_t___GENPT___unsigned_int_unsigned_char,
    FORMAT_void_snd_ctl_elem_value_t___GENPT___unsigned_int,
    FORMAT_void_snd_ctl_elem_value_t___GENPT___unsigned_int_unsigned_int,
    FORMAT_void_snd_ctl_elem_value_t___GENPT___const_snd_ctl_elem_id_t___GENPT__,
    FORMAT_void_snd_ctl_elem_value_t___GENPT___const_snd_aes_iec958_t___GENPT__,
    FORMAT_void_snd_ctl_elem_value_t___GENPT___unsigned_int_long_long,
    FORMAT_void_snd_ctl_elem_value_t___GENPT___snd_ctl_elem_iface_t,
    FORMAT_void_snd_ctl_elem_value_t___GENPT___const_char___GENPT__,
    FORMAT_void_snd_ctl_event_t___GENPT__,
    FORMAT_void_snd_ctl_event_t___GENPT___const_snd_ctl_event_t___GENPT__,
    FORMAT_unsigned_int_const_snd_ctl_event_t___GENPT__,
    FORMAT_void_const_snd_ctl_event_t___GENPT___snd_ctl_elem_id_t___GENPT__,
    FORMAT_snd_ctl_elem_iface_t_const_snd_ctl_event_t___GENPT__,
    FORMAT_const_char___GENPT___const_snd_ctl_event_t___GENPT__,
    FORMAT_snd_ctl_event_type_t_const_snd_ctl_event_t___GENPT__,
    FORMAT_int_snd_ctl_event_t___GENPT____GENPT__,
    FORMAT_const_char___GENPT___snd_ctl_event_type_t,
    FORMAT_int_snd_ctl_t___GENPT___unsigned_int___GENPT__,
    FORMAT_int_snd_ctl_t___GENPT___snd_hwdep_info_t___GENPT__,
    FORMAT_int_snd_ctl_t___GENPT___int___GENPT__,
    FORMAT_const_char___GENPT___snd_ctl_t___GENPT__,
    FORMAT_int_snd_ctl_t___GENPT___int,
    FORMAT_int_snd_ctl_t___GENPT____GENPT___const_char___GENPT___int,
    FORMAT_int_snd_ctl_t___GENPT____GENPT___const_char___GENPT___int_snd_config_t___GENPT__,
    FORMAT_int_snd_ctl_t___GENPT___snd_pcm_info_t___GENPT__,
    FORMAT_int_snd_ctl_t___GENPT___struct_pollfd___GENPT___unsigned_int,
    FORMAT_int_snd_ctl_t___GENPT___struct_pollfd___GENPT___unsigned_int_unsigned_short___GENPT__,
    FORMAT_int_snd_ctl_t___GENPT___snd_rawmidi_info_t___GENPT__,
    FORMAT_int_snd_ctl_t___GENPT___snd_ctl_event_t___GENPT__,
    FORMAT_int_snd_ctl_t___GENPT___unsigned_int,
    FORMAT_snd_ctl_type_t_snd_ctl_t___GENPT__,
    FORMAT_int_void___GENPT__,
    FORMAT_void___GENPT___const_char___GENPT___int,
    FORMAT_void___GENPT___void___GENPT___const_char___GENPT___const_char___GENPT__,
    FORMAT_int_snd_hctl_t___GENPT__,
    FORMAT_int_const_snd_hctl_elem_t___GENPT___const_snd_hctl_elem_t___GENPT__,
    FORMAT_snd_ctl_t___GENPT___snd_hctl_t___GENPT__,
    FORMAT_void___GENPT___const_snd_hctl_elem_t___GENPT__,
    FORMAT_unsigned_int_const_snd_hctl_elem_t___GENPT__,
    FORMAT_snd_hctl_t___GENPT___snd_hctl_elem_t___GENPT__,
    FORMAT_void_const_snd_hctl_elem_t___GENPT___snd_ctl_elem_id_t___GENPT__,
    FORMAT_snd_ctl_elem_iface_t_const_snd_hctl_elem_t___GENPT__,
    FORMAT_const_char___GENPT___const_snd_hctl_elem_t___GENPT__,
    FORMAT_int_snd_hctl_elem_t___GENPT___snd_ctl_elem_info_t___GENPT__,
    FORMAT_snd_hctl_elem_t___GENPT___snd_hctl_elem_t___GENPT__,
    FORMAT_int_snd_hctl_elem_t___GENPT___snd_ctl_elem_value_t___GENPT__,
    FORMAT_void_snd_hctl_elem_t___GENPT___snd_hctl_elem_callback_t,
    FORMAT_void_snd_hctl_elem_t___GENPT___void___GENPT__,
    FORMAT_int_snd_hctl_elem_t___GENPT___const_unsigned_int___GENPT__,
    FORMAT_int_snd_hctl_elem_t___GENPT___unsigned_int___GENPT___unsigned_int,
    FORMAT_snd_hctl_elem_t___GENPT___snd_hctl_t___GENPT___const_snd_ctl_elem_id_t___GENPT__,
    FORMAT_snd_hctl_elem_t___GENPT___snd_hctl_t___GENPT__,
    FORMAT_void___GENPT___snd_hctl_t___GENPT__,
    FORMAT_unsigned_int_snd_hctl_t___GENPT__,
    FORMAT_const_char___GENPT___snd_hctl_t___GENPT__,
    FORMAT_int_snd_hctl_t___GENPT___int,
    FORMAT_int_snd_hctl_t___GENPT____GENPT___const_char___GENPT___int,
    FORMAT_int_snd_hctl_t___GENPT____GENPT___snd_ctl_t___GENPT__,
    FORMAT_int_snd_hctl_t___GENPT___struct_pollfd___GENPT___unsigned_int,
    FORMAT_int_snd_hctl_t___GENPT___struct_pollfd___GENPT___unsigned_int_unsigned_short___GENPT__,
    FORMAT_void_snd_hctl_t___GENPT___snd_hctl_callback_t,
    FORMAT_void_snd_hctl_t___GENPT___void___GENPT__,
    FORMAT_int_snd_hctl_t___GENPT___snd_hctl_compare_t,
    FORMAT_int_snd_hwdep_t___GENPT__,
    FORMAT_void_snd_hwdep_dsp_image_t___GENPT___const_snd_hwdep_dsp_image_t___GENPT__,
    FORMAT_void_snd_hwdep_dsp_image_t___GENPT__,
    FORMAT_const_void___GENPT___const_snd_hwdep_dsp_image_t___GENPT__,
    FORMAT_unsigned_int_const_snd_hwdep_dsp_image_t___GENPT__,
    FORMAT_size_t_const_snd_hwdep_dsp_image_t___GENPT__,
    FORMAT_const_char___GENPT___const_snd_hwdep_dsp_image_t___GENPT__,
    FORMAT_int_snd_hwdep_dsp_image_t___GENPT____GENPT__,
    FORMAT_void_snd_hwdep_dsp_image_t___GENPT___void___GENPT__,
    FORMAT_void_snd_hwdep_dsp_image_t___GENPT___unsigned_int,
    FORMAT_void_snd_hwdep_dsp_image_t___GENPT___size_t,
    FORMAT_void_snd_hwdep_dsp_image_t___GENPT___const_char___GENPT__,
    FORMAT_int_snd_hwdep_t___GENPT___snd_hwdep_dsp_image_t___GENPT__,
    FORMAT_int_snd_hwdep_t___GENPT___snd_hwdep_dsp_status_t___GENPT__,
    FORMAT_void_snd_hwdep_dsp_status_t___GENPT___const_snd_hwdep_dsp_status_t___GENPT__,
    FORMAT_void_snd_hwdep_dsp_status_t___GENPT__,
    FORMAT_unsigned_int_const_snd_hwdep_dsp_status_t___GENPT__,
    FORMAT_const_char___GENPT___const_snd_hwdep_dsp_status_t___GENPT__,
    FORMAT_int_snd_hwdep_dsp_status_t___GENPT____GENPT__,
    FORMAT_int_snd_hwdep_t___GENPT___snd_hwdep_info_t___GENPT__,
    FORMAT_int_snd_hwdep_t___GENPT___unsigned_int_void___GENPT__,
    FORMAT_int_snd_hwdep_t___GENPT___int,
    FORMAT_int_snd_hwdep_t___GENPT____GENPT___const_char___GENPT___int,
    FORMAT_int_snd_hwdep_t___GENPT___struct_pollfd___GENPT___unsigned_int,
    FORMAT_int_snd_hwdep_t___GENPT___struct_pollfd___GENPT___unsigned_int_unsigned_short___GENPT__,
    FORMAT_ssize_t_snd_hwdep_t___GENPT___void___GENPT___size_t,
    FORMAT_ssize_t_snd_hwdep_t___GENPT___const_void___GENPT___size_t,
    FORMAT_int_snd_input_t___GENPT____GENPT___const_char___GENPT___ssize_t,
    FORMAT_int_snd_input_t___GENPT__,
    FORMAT_char___GENPT___snd_input_t___GENPT___char___GENPT___size_t,
    FORMAT_int_snd_input_t___GENPT____GENPT___FILE___GENPT___int,
    FORMAT_int_snd_input_t___GENPT____GENPT___const_char___GENPT___const_char___GENPT__,
    FORMAT_int_snd_input_t___GENPT___int,
    FORMAT_int_snd_lib_error_handler_t,
    FORMAT_long_snd_midi_event_t___GENPT___unsigned_char___GENPT___long_const_snd_seq_event_t___GENPT__,
    FORMAT_long_snd_midi_event_t___GENPT___const_unsigned_char___GENPT___long_snd_seq_event_t___GENPT__,
    FORMAT_int_snd_midi_event_t___GENPT___int_snd_seq_event_t___GENPT__,
    FORMAT_void_snd_midi_event_t___GENPT__,
    FORMAT_int_size_t_snd_midi_event_t___GENPT____GENPT__,
    FORMAT_void_snd_midi_event_t___GENPT___int,
    FORMAT_int_snd_midi_event_t___GENPT___size_t,
    FORMAT_int_snd_mixer_t___GENPT___const_char___GENPT__,
    FORMAT_int_snd_mixer_t___GENPT___snd_hctl_t___GENPT__,
    FORMAT_void_snd_mixer_class_t___GENPT___const_snd_mixer_class_t___GENPT__,
    FORMAT_void_snd_mixer_class_t___GENPT__,
    FORMAT_snd_mixer_compare_t_const_snd_mixer_class_t___GENPT__,
    FORMAT_snd_mixer_event_t_const_snd_mixer_class_t___GENPT__,
    FORMAT_snd_mixer_t___GENPT___const_snd_mixer_class_t___GENPT__,
    FORMAT_void___GENPT___const_snd_mixer_class_t___GENPT__,
    FORMAT_int_snd_mixer_class_t___GENPT____GENPT__,
    FORMAT_int_snd_mixer_class_t___GENPT___snd_mixer_t___GENPT__,
    FORMAT_int_snd_mixer_class_t___GENPT___snd_mixer_compare_t,
    FORMAT_int_snd_mixer_class_t___GENPT___snd_mixer_event_t,
    FORMAT_int_snd_mixer_class_t___GENPT___void___GENPT__,
    FORMAT_int_snd_mixer_class_t___GENPT__,
    FORMAT_int_snd_mixer_t___GENPT__,
    FORMAT_int_snd_mixer_elem_t___GENPT___snd_mixer_class_t___GENPT__,
    FORMAT_int_snd_mixer_elem_t___GENPT___snd_hctl_elem_t___GENPT__,
    FORMAT_int_snd_mixer_elem_t___GENPT__,
    FORMAT_void_snd_mixer_elem_t___GENPT__,
    FORMAT_void___GENPT___const_snd_mixer_elem_t___GENPT__,
    FORMAT_snd_mixer_elem_type_t_const_snd_mixer_elem_t___GENPT__,
    FORMAT_snd_mixer_elem_t___GENPT___snd_mixer_elem_t___GENPT__,
    FORMAT_void_snd_mixer_elem_t___GENPT___snd_mixer_elem_callback_t,
    FORMAT_void_snd_mixer_elem_t___GENPT___void___GENPT__,
    FORMAT_snd_mixer_elem_t___GENPT___snd_mixer_t___GENPT___const_snd_mixer_selem_id_t___GENPT__,
    FORMAT_snd_mixer_elem_t___GENPT___snd_mixer_t___GENPT__,
    FORMAT_void_snd_mixer_t___GENPT__,
    FORMAT_void___GENPT___const_snd_mixer_t___GENPT__,
    FORMAT_unsigned_int_const_snd_mixer_t___GENPT__,
    FORMAT_int_snd_mixer_t___GENPT___const_char___GENPT___snd_hctl_t___GENPT____GENPT__,
    FORMAT_int_snd_mixer_t___GENPT____GENPT___int,
    FORMAT_int_snd_mixer_t___GENPT___struct_pollfd___GENPT___unsigned_int,
    FORMAT_int_snd_mixer_t___GENPT___struct_pollfd___GENPT___unsigned_int_unsigned_short___GENPT__,
    FORMAT_const_char___GENPT___snd_mixer_selem_channel_id_t,
    FORMAT_int_snd_mixer_elem_t___GENPT___snd_mixer_selem_channel_id_t_long___GENPT__,
    FORMAT_int_snd_mixer_elem_t___GENPT___long___GENPT___long___GENPT__,
    FORMAT_int_snd_mixer_elem_t___GENPT___snd_mixer_selem_channel_id_t_int___GENPT__,
    FORMAT_int_snd_mixer_elem_t___GENPT___snd_mixer_selem_channel_id_t_unsigned_int___GENPT__,
    FORMAT_int_snd_mixer_elem_t___GENPT___unsigned_int_size_t_char___GENPT__,
    FORMAT_void_snd_mixer_elem_t___GENPT___snd_mixer_selem_id_t___GENPT__,
    FORMAT_unsigned_int_snd_mixer_elem_t___GENPT__,
    FORMAT_const_char___GENPT___snd_mixer_elem_t___GENPT__,
    FORMAT_int_snd_mixer_elem_t___GENPT___snd_mixer_selem_channel_id_t,
    FORMAT_void_snd_mixer_selem_id_t___GENPT___const_snd_mixer_selem_id_t___GENPT__,
    FORMAT_void_snd_mixer_selem_id_t___GENPT__,
    FORMAT_unsigned_int_const_snd_mixer_selem_id_t___GENPT__,
    FORMAT_const_char___GENPT___const_snd_mixer_selem_id_t___GENPT__,
    FORMAT_int_snd_mixer_selem_id_t___GENPT____GENPT__,
    FORMAT_void_snd_mixer_selem_id_t___GENPT___unsigned_int,
    FORMAT_void_snd_mixer_selem_id_t___GENPT___const_char___GENPT__,
    FORMAT_int_snd_mixer_t___GENPT___struct_snd_mixer_selem_regopt___GENPT___snd_mixer_class_t___GENPT____GENPT__,
    FORMAT_int_snd_mixer_elem_t___GENPT___snd_mixer_selem_channel_id_t_long_int,
    FORMAT_int_snd_mixer_elem_t___GENPT___long_int,
    FORMAT_int_snd_mixer_elem_t___GENPT___snd_mixer_selem_channel_id_t_int,
    FORMAT_int_snd_mixer_elem_t___GENPT___int,
    FORMAT_int_snd_mixer_elem_t___GENPT___snd_mixer_selem_channel_id_t_long,
    FORMAT_int_snd_mixer_elem_t___GENPT___long,
    FORMAT_int_snd_mixer_elem_t___GENPT___long_long,
    FORMAT_int_snd_mixer_elem_t___GENPT___snd_mixer_selem_channel_id_t_unsigned_int,
    FORMAT_void_snd_mixer_t___GENPT___snd_mixer_callback_t,
    FORMAT_void_snd_mixer_t___GENPT___void___GENPT__,
    FORMAT_int_snd_mixer_t___GENPT___snd_mixer_compare_t,
    FORMAT_int_snd_mixer_t___GENPT___int,
    FORMAT_int_const_char___GENPT___snd_devname_t___GENPT____GENPT__,
    FORMAT_void_snd_devname_t___GENPT__,
    FORMAT_int_snd_output_t___GENPT____GENPT__,
    FORMAT_size_t_snd_output_t___GENPT___char___GENPT____GENPT__,
    FORMAT_int_snd_output_t___GENPT__,
    FORMAT_int_snd_output_t___GENPT___int,
    FORMAT_int_snd_output_t___GENPT___const_char___GENPT__,
    FORMAT_int_snd_output_t___GENPT____GENPT___FILE___GENPT___int,
    FORMAT_int_snd_output_t___GENPT____GENPT___const_char___GENPT___const_char___GENPT__,
    FORMAT_int_snd_output_t___GENPT___const_char___GENPT___va_list,
    FORMAT_void_snd_pcm_access_mask_t___GENPT__,
    FORMAT_void_snd_pcm_access_mask_t___GENPT___const_snd_pcm_access_mask_t___GENPT__,
    FORMAT_int_const_snd_pcm_access_mask_t___GENPT__,
    FORMAT_int_snd_pcm_access_mask_t___GENPT____GENPT__,
    FORMAT_void_snd_pcm_access_mask_t___GENPT___snd_pcm_access_t,
    FORMAT_int_const_snd_pcm_access_mask_t___GENPT___snd_pcm_access_t,
    FORMAT_const_char___GENPT___const_snd_pcm_access_t,
    FORMAT_int_const_snd_pcm_channel_area_t___GENPT___snd_pcm_uframes_t_const_snd_pcm_channel_area_t___GENPT___snd_pcm_uframes_t_unsigned_int_snd_pcm_format_t,
    FORMAT_int_const_snd_pcm_channel_area_t___GENPT___snd_pcm_uframes_t_unsigned_int_snd_pcm_format_t,
    FORMAT_int_const_snd_pcm_channel_area_t___GENPT___snd_pcm_uframes_t_const_snd_pcm_channel_area_t___GENPT___snd_pcm_uframes_t_unsigned_int_snd_pcm_uframes_t_snd_pcm_format_t,
    FORMAT_int_const_snd_pcm_channel_area_t___GENPT___snd_pcm_uframes_t_unsigned_int_snd_pcm_uframes_t_snd_pcm_format_t,
    FORMAT_snd_pcm_sframes_t_snd_pcm_t___GENPT__,
    FORMAT_snd_pcm_format_t_int_int_int_int,
    FORMAT_snd_pcm_sframes_t_snd_pcm_t___GENPT___ssize_t,
    FORMAT_long_snd_pcm_t___GENPT___ssize_t,
    FORMAT_int_snd_pcm_t___GENPT__,
    FORMAT_int_snd_pcm_t___GENPT___snd_pcm_sframes_t___GENPT__,
    FORMAT_int_snd_pcm_t___GENPT___snd_output_t___GENPT__,
    FORMAT_int_snd_pcm_format_t,
    FORMAT_const_char___GENPT___const_snd_pcm_format_t,
    FORMAT_void_snd_pcm_format_mask_t___GENPT__,
    FORMAT_void_snd_pcm_format_mask_t___GENPT___const_snd_pcm_format_mask_t___GENPT__,
    FORMAT_int_const_snd_pcm_format_mask_t___GENPT__,
    FORMAT_int_snd_pcm_format_mask_t___GENPT____GENPT__,
    FORMAT_void_snd_pcm_format_mask_t___GENPT___snd_pcm_format_t,
    FORMAT_int_const_snd_pcm_format_mask_t___GENPT___snd_pcm_format_t,
    FORMAT_int_snd_pcm_format_t_void___GENPT___unsigned_int,
    FORMAT_u_int8_t_snd_pcm_format_t,
    FORMAT_u_int16_t_snd_pcm_format_t,
    FORMAT_u_int32_t_snd_pcm_format_t,
    FORMAT_u_int64_t_snd_pcm_format_t,
    FORMAT_ssize_t_snd_pcm_format_t_size_t,
    FORMAT_snd_pcm_format_t_const_char__GENPT__,
    FORMAT_snd_pcm_sframes_t_snd_pcm_t___GENPT___snd_pcm_uframes_t,
    FORMAT_ssize_t_snd_pcm_t___GENPT___snd_pcm_sframes_t,
    FORMAT_int_snd_pcm_t___GENPT___snd_pcm_uframes_t___GENPT___snd_pcm_uframes_t___GENPT__,
    FORMAT_int_snd_pcm_hook_t___GENPT____GENPT___snd_pcm_t___GENPT___snd_pcm_hook_type_t_snd_pcm_hook_func_t_void___GENPT__,
    FORMAT_snd_pcm_t___GENPT___snd_pcm_hook_t___GENPT__,
    FORMAT_void___GENPT___snd_pcm_hook_t___GENPT__,
    FORMAT_int_snd_pcm_hook_t___GENPT__,
    FORMAT_void_snd_pcm_hook_t___GENPT___void___GENPT__,
    FORMAT_int_snd_pcm_t___GENPT___snd_pcm_hw_params_t___GENPT__,
    FORMAT_int_const_snd_pcm_hw_params_t___GENPT__,
    FORMAT_void_snd_pcm_hw_params_t___GENPT___const_snd_pcm_hw_params_t___GENPT__,
    FORMAT_int_snd_pcm_hw_params_t___GENPT___snd_output_t___GENPT__,
    FORMAT_void_snd_pcm_hw_params_t___GENPT__,
    FORMAT_int_const_snd_pcm_hw_params_t___GENPT___snd_pcm_access_t___GENPT__,
    FORMAT_int_snd_pcm_hw_params_t___GENPT___snd_pcm_access_mask_t___GENPT__,
    FORMAT_int_const_snd_pcm_hw_params_t___GENPT___snd_pcm_uframes_t___GENPT__,
    FORMAT_int_const_snd_pcm_hw_params_t___GENPT___unsigned_int___GENPT___int___GENPT__,
    FORMAT_int_const_snd_pcm_hw_params_t___GENPT___unsigned_int___GENPT__,
    FORMAT_int_snd_pcm_t___GENPT___snd_pcm_hw_params_t___GENPT___unsigned_int___GENPT__,
    FORMAT_int_const_snd_pcm_hw_params_t___GENPT___snd_pcm_format_t___GENPT__,
    FORMAT_void_snd_pcm_hw_params_t___GENPT___snd_pcm_format_mask_t___GENPT__,
    FORMAT_int_const_snd_pcm_hw_params_t___GENPT___snd_pcm_uframes_t___GENPT___int___GENPT__,
    FORMAT_int_const_snd_pcm_hw_params_t___GENPT___unsigned_int___GENPT___unsigned_int___GENPT__,
    FORMAT_int_const_snd_pcm_hw_params_t___GENPT___snd_pcm_subformat_t___GENPT__,
    FORMAT_void_snd_pcm_hw_params_t___GENPT___snd_pcm_subformat_mask_t___GENPT__,
    FORMAT_int_snd_pcm_hw_params_t___GENPT____GENPT__,
    FORMAT_int_snd_pcm_t___GENPT___snd_pcm_hw_params_t___GENPT___snd_pcm_access_t,
    FORMAT_int_snd_pcm_t___GENPT___snd_pcm_hw_params_t___GENPT___snd_pcm_access_t___GENPT__,
    FORMAT_int_snd_pcm_t___GENPT___snd_pcm_hw_params_t___GENPT___snd_pcm_access_mask_t___GENPT__,
    FORMAT_int_snd_pcm_t___GENPT___snd_pcm_hw_params_t___GENPT___snd_pcm_uframes_t,
    FORMAT_int_snd_pcm_t___GENPT___snd_pcm_hw_params_t___GENPT___snd_pcm_uframes_t___GENPT__,
    FORMAT_int_snd_pcm_t___GENPT___snd_pcm_hw_params_t___GENPT___snd_pcm_uframes_t___GENPT___snd_pcm_uframes_t___GENPT__,
    FORMAT_int_snd_pcm_t___GENPT___snd_pcm_hw_params_t___GENPT___unsigned_int_int,
    FORMAT_int_snd_pcm_t___GENPT___snd_pcm_hw_params_t___GENPT___unsigned_int___GENPT___int___GENPT__,
    FORMAT_int_snd_pcm_t___GENPT___snd_pcm_hw_params_t___GENPT___unsigned_int___GENPT___int___GENPT___unsigned_int___GENPT___int___GENPT__,
    FORMAT_int_snd_pcm_t___GENPT___snd_pcm_hw_params_t___GENPT___unsigned_int,
    FORMAT_int_snd_pcm_t___GENPT___snd_pcm_hw_params_t___GENPT___unsigned_int___GENPT___unsigned_int___GENPT__,
    FORMAT_int_snd_pcm_t___GENPT___snd_pcm_hw_params_t___GENPT___snd_pcm_format_t,
    FORMAT_int_snd_pcm_t___GENPT___snd_pcm_hw_params_t___GENPT___snd_pcm_format_t___GENPT__,
    FORMAT_int_snd_pcm_t___GENPT___snd_pcm_hw_params_t___GENPT___snd_pcm_format_mask_t___GENPT__,
    FORMAT_int_snd_pcm_t___GENPT___snd_pcm_hw_params_t___GENPT___snd_pcm_uframes_t_int,
    FORMAT_int_snd_pcm_t___GENPT___snd_pcm_hw_params_t___GENPT___snd_pcm_uframes_t___GENPT___int___GENPT__,
    FORMAT_int_snd_pcm_t___GENPT___snd_pcm_hw_params_t___GENPT___snd_pcm_uframes_t___GENPT___int___GENPT___snd_pcm_uframes_t___GENPT___int___GENPT__,
    FORMAT_int_snd_pcm_t___GENPT___snd_pcm_hw_params_t___GENPT___snd_pcm_subformat_t,
    FORMAT_int_snd_pcm_t___GENPT___snd_pcm_hw_params_t___GENPT___snd_pcm_subformat_t___GENPT__,
    FORMAT_int_snd_pcm_t___GENPT___snd_pcm_hw_params_t___GENPT___snd_pcm_subformat_mask_t___GENPT__,
    FORMAT_int_snd_pcm_t___GENPT___snd_pcm_info_t___GENPT__,
    FORMAT_void_snd_pcm_info_t___GENPT___const_snd_pcm_info_t___GENPT__,
    FORMAT_void_snd_pcm_info_t___GENPT__,
    FORMAT_int_const_snd_pcm_info_t___GENPT__,
    FORMAT_snd_pcm_class_t_const_snd_pcm_info_t___GENPT__,
    FORMAT_unsigned_int_const_snd_pcm_info_t___GENPT__,
    FORMAT_const_char___GENPT___const_snd_pcm_info_t___GENPT__,
    FORMAT_snd_pcm_stream_t_const_snd_pcm_info_t___GENPT__,
    FORMAT_snd_pcm_subclass_t_const_snd_pcm_info_t___GENPT__,
    FORMAT_snd_pcm_sync_id_t_const_snd_pcm_info_t___GENPT__,
    FORMAT_int_snd_pcm_info_t___GENPT____GENPT__,
    FORMAT_void_snd_pcm_info_t___GENPT___unsigned_int,
    FORMAT_void_snd_pcm_info_t___GENPT___snd_pcm_stream_t,
    FORMAT_int_snd_pcm_t___GENPT___snd_pcm_t___GENPT__,
    FORMAT_int_snd_pcm_t___GENPT___snd_pcm_scope_t___GENPT__,
    FORMAT_snd_pcm_uframes_t_snd_pcm_t___GENPT__,
    FORMAT_unsigned_int_snd_pcm_t___GENPT__,
    FORMAT_snd_pcm_scope_t___GENPT___snd_pcm_t___GENPT___const_char___GENPT__,
    FORMAT_int_snd_pcm_t___GENPT___const_snd_pcm_channel_area_t___GENPT____GENPT___snd_pcm_uframes_t___GENPT___snd_pcm_uframes_t___GENPT__,
    FORMAT_snd_pcm_sframes_t_snd_pcm_t___GENPT___snd_pcm_uframes_t_snd_pcm_uframes_t,
    FORMAT_snd_pcm_sframes_t_snd_pcm_t___GENPT___void___GENPT___snd_pcm_uframes_t,
    FORMAT_snd_pcm_sframes_t_snd_pcm_t___GENPT___void___GENPT____GENPT___snd_pcm_uframes_t,
    FORMAT_snd_pcm_sframes_t_snd_pcm_t___GENPT___const_void___GENPT___snd_pcm_uframes_t,
    FORMAT_const_char___GENPT___snd_pcm_t___GENPT__,
    FORMAT_int_snd_pcm_t___GENPT___int,
    FORMAT_int_snd_pcm_t___GENPT____GENPT___const_char___GENPT___snd_pcm_stream_t_int,
    FORMAT_int_snd_pcm_t___GENPT____GENPT___const_char___GENPT___snd_pcm_stream_t_int_snd_config_t___GENPT__,
    FORMAT_int_snd_pcm_t___GENPT___struct_pollfd___GENPT___unsigned_int,
    FORMAT_int_snd_pcm_t___GENPT___struct_pollfd___GENPT___unsigned_int_unsigned_short___GENPT__,
    FORMAT_int_snd_pcm_t___GENPT___int_int,
    FORMAT_ssize_t_snd_pcm_t___GENPT___long,
    FORMAT_void___GENPT___snd_pcm_scope_t___GENPT__,
    FORMAT_const_char___GENPT___snd_pcm_scope_t___GENPT__,
    FORMAT_int_snd_pcm_scope_t___GENPT____GENPT__,
    FORMAT_int16_t___GENPT___snd_pcm_scope_t___GENPT___unsigned_int,
    FORMAT_int_snd_pcm_t___GENPT___const_char___GENPT___snd_pcm_scope_t___GENPT____GENPT__,
    FORMAT_void_snd_pcm_scope_t___GENPT___void___GENPT__,
    FORMAT_void_snd_pcm_scope_t___GENPT___const_char___GENPT__,
    FORMAT_void_snd_pcm_scope_t___GENPT___const_snd_pcm_scope_ops_t___GENPT__,
    FORMAT_int_snd_pcm_t___GENPT___snd_pcm_format_t_snd_pcm_access_t_unsigned_int_unsigned_int_int_unsigned_int,
    FORMAT_const_char___GENPT___snd_pcm_start_t,
    FORMAT_snd_pcm_state_t_snd_pcm_t___GENPT__,
    FORMAT_const_char___GENPT___const_snd_pcm_state_t,
    FORMAT_int_snd_pcm_t___GENPT___snd_pcm_status_t___GENPT__,
    FORMAT_void_snd_pcm_status_t___GENPT___const_snd_pcm_status_t___GENPT__,
    FORMAT_int_snd_pcm_status_t___GENPT___snd_output_t___GENPT__,
    FORMAT_void_snd_pcm_status_t___GENPT__,
    FORMAT_snd_pcm_uframes_t_const_snd_pcm_status_t___GENPT__,
    FORMAT_snd_pcm_sframes_t_const_snd_pcm_status_t___GENPT__,
    FORMAT_void_const_snd_pcm_status_t___GENPT___snd_htimestamp_t___GENPT__,
    FORMAT_snd_pcm_state_t_const_snd_pcm_status_t___GENPT__,
    FORMAT_void_const_snd_pcm_status_t___GENPT___snd_timestamp_t___GENPT__,
    FORMAT_int_snd_pcm_status_t___GENPT____GENPT__,
    FORMAT_snd_pcm_stream_t_snd_pcm_t___GENPT__,
    FORMAT_const_char___GENPT___const_snd_pcm_stream_t,
    FORMAT_const_char___GENPT___const_snd_pcm_subformat_t,
    FORMAT_void_snd_pcm_subformat_mask_t___GENPT__,
    FORMAT_void_snd_pcm_subformat_mask_t___GENPT___const_snd_pcm_subformat_mask_t___GENPT__,
    FORMAT_int_const_snd_pcm_subformat_mask_t___GENPT__,
    FORMAT_int_snd_pcm_subformat_mask_t___GENPT____GENPT__,
    FORMAT_void_snd_pcm_subformat_mask_t___GENPT___snd_pcm_subformat_t,
    FORMAT_int_const_snd_pcm_subformat_mask_t___GENPT___snd_pcm_subformat_t,
    FORMAT_int_snd_pcm_t___GENPT___snd_pcm_sw_params_t___GENPT__,
    FORMAT_void_snd_pcm_sw_params_t___GENPT___const_snd_pcm_sw_params_t___GENPT__,
    FORMAT_int_snd_pcm_sw_params_t___GENPT___snd_output_t___GENPT__,
    FORMAT_void_snd_pcm_sw_params_t___GENPT__,
    FORMAT_int_const_snd_pcm_sw_params_t___GENPT___snd_pcm_uframes_t___GENPT__,
    FORMAT_int_const_snd_pcm_sw_params_t___GENPT___unsigned_int___GENPT__,
    FORMAT_snd_pcm_start_t_const_snd_pcm_sw_params_t___GENPT__,
    FORMAT_int_const_snd_pcm_sw_params_t___GENPT___snd_pcm_tstamp_t___GENPT__,
    FORMAT_snd_pcm_xrun_t_const_snd_pcm_sw_params_t___GENPT__,
    FORMAT_int_snd_pcm_sw_params_t___GENPT____GENPT__,
    FORMAT_int_snd_pcm_t___GENPT___snd_pcm_sw_params_t___GENPT___snd_pcm_uframes_t,
    FORMAT_int_snd_pcm_t___GENPT___snd_pcm_sw_params_t___GENPT___unsigned_int,
    FORMAT_int_snd_pcm_t___GENPT___snd_pcm_sw_params_t___GENPT___snd_pcm_start_t,
    FORMAT_int_snd_pcm_t___GENPT___snd_pcm_sw_params_t___GENPT___snd_pcm_tstamp_t,
    FORMAT_int_snd_pcm_t___GENPT___snd_pcm_sw_params_t___GENPT___snd_pcm_xrun_t,
    FORMAT_const_char___GENPT___const_snd_pcm_tstamp_t,
    FORMAT_snd_pcm_type_t_snd_pcm_t___GENPT__,
    FORMAT_const_char___GENPT___snd_pcm_type_t,
    FORMAT_const_char___GENPT___snd_pcm_xrun_t,
    FORMAT_int_snd_rawmidi_t___GENPT__,
    FORMAT_int_snd_rawmidi_t___GENPT___snd_rawmidi_info_t___GENPT__,
    FORMAT_void_snd_rawmidi_info_t___GENPT___const_snd_rawmidi_info_t___GENPT__,
    FORMAT_void_snd_rawmidi_info_t___GENPT__,
    FORMAT_int_const_snd_rawmidi_info_t___GENPT__,
    FORMAT_unsigned_int_const_snd_rawmidi_info_t___GENPT__,
    FORMAT_const_char___GENPT___const_snd_rawmidi_info_t___GENPT__,
    FORMAT_snd_rawmidi_stream_t_const_snd_rawmidi_info_t___GENPT__,
    FORMAT_int_snd_rawmidi_info_t___GENPT____GENPT__,
    FORMAT_void_snd_rawmidi_info_t___GENPT___unsigned_int,
    FORMAT_void_snd_rawmidi_info_t___GENPT___snd_rawmidi_stream_t,
    FORMAT_const_char___GENPT___snd_rawmidi_t___GENPT__,
    FORMAT_int_snd_rawmidi_t___GENPT___int,
    FORMAT_int_snd_rawmidi_t___GENPT____GENPT___snd_rawmidi_t___GENPT____GENPT___const_char___GENPT___int,
    FORMAT_int_snd_rawmidi_t___GENPT____GENPT___snd_rawmidi_t___GENPT____GENPT___const_char___GENPT___int_snd_config_t___GENPT__,
    FORMAT_int_snd_rawmidi_t___GENPT___snd_rawmidi_params_t___GENPT__,
    FORMAT_void_snd_rawmidi_params_t___GENPT___const_snd_rawmidi_params_t___GENPT__,
    FORMAT_void_snd_rawmidi_params_t___GENPT__,
    FORMAT_size_t_const_snd_rawmidi_params_t___GENPT__,
    FORMAT_int_const_snd_rawmidi_params_t___GENPT__,
    FORMAT_int_snd_rawmidi_params_t___GENPT____GENPT__,
    FORMAT_int_snd_rawmidi_t___GENPT___snd_rawmidi_params_t___GENPT___size_t,
    FORMAT_int_snd_rawmidi_t___GENPT___snd_rawmidi_params_t___GENPT___int,
    FORMAT_int_snd_rawmidi_t___GENPT___struct_pollfd___GENPT___unsigned_int,
    FORMAT_int_snd_rawmidi_t___GENPT___struct_pollfd___GENPT___unsigned_int_unsigned_short___GENPT__,
    FORMAT_ssize_t_snd_rawmidi_t___GENPT___void___GENPT___size_t,
    FORMAT_int_snd_rawmidi_t___GENPT___snd_rawmidi_status_t___GENPT__,
    FORMAT_void_snd_rawmidi_status_t___GENPT___const_snd_rawmidi_status_t___GENPT__,
    FORMAT_void_snd_rawmidi_status_t___GENPT__,
    FORMAT_size_t_const_snd_rawmidi_status_t___GENPT__,
    FORMAT_void_const_snd_rawmidi_status_t___GENPT___snd_htimestamp_t___GENPT__,
    FORMAT_int_snd_rawmidi_status_t___GENPT____GENPT__,
    FORMAT_snd_rawmidi_stream_t_snd_rawmidi_t___GENPT__,
    FORMAT_snd_rawmidi_type_t_snd_rawmidi_t___GENPT__,
    FORMAT_ssize_t_snd_rawmidi_t___GENPT___const_void___GENPT___size_t,
    FORMAT_int_snd_sctl_t___GENPT____GENPT___snd_ctl_t___GENPT___snd_config_t___GENPT___snd_config_t___GENPT___int,
    FORMAT_int_snd_sctl_t___GENPT__,
    FORMAT_int_snd_seq_t___GENPT___const_char___GENPT__,
    FORMAT_int_snd_seq_t___GENPT__,
    FORMAT_int_int_void___GENPT__,
    FORMAT_void_snd_seq_client_info_t___GENPT___const_snd_seq_client_info_t___GENPT__,
    FORMAT_void_snd_seq_client_info_t___GENPT__,
    FORMAT_int_const_snd_seq_client_info_t___GENPT__,
    FORMAT_const_unsigned_char___GENPT___const_snd_seq_client_info_t___GENPT__,
    FORMAT_const_char___GENPT___snd_seq_client_info_t___GENPT__,
    FORMAT_snd_seq_client_type_t_const_snd_seq_client_info_t___GENPT__,
    FORMAT_int_snd_seq_client_info_t___GENPT____GENPT__,
    FORMAT_void_snd_seq_client_info_t___GENPT___int,
    FORMAT_void_snd_seq_client_info_t___GENPT___unsigned_char___GENPT__,
    FORMAT_void_snd_seq_client_info_t___GENPT___const_char___GENPT__,
    FORMAT_void_snd_seq_client_pool_t___GENPT___const_snd_seq_client_pool_t___GENPT__,
    FORMAT_void_snd_seq_client_pool_t___GENPT__,
    FORMAT_int_const_snd_seq_client_pool_t___GENPT__,
    FORMAT_size_t_const_snd_seq_client_pool_t___GENPT__,
    FORMAT_int_snd_seq_client_pool_t___GENPT____GENPT__,
    FORMAT_void_snd_seq_client_pool_t___GENPT___size_t,
    FORMAT_int_snd_seq_t___GENPT___int_int_int,
    FORMAT_int_snd_seq_t___GENPT___int_int_int_snd_seq_event_t___GENPT__,
    FORMAT_int_snd_seq_t___GENPT___snd_seq_port_info_t___GENPT__,
    FORMAT_int_snd_seq_t___GENPT___snd_seq_queue_info_t___GENPT__,
    FORMAT_int_snd_seq_t___GENPT___const_char___GENPT___unsigned_int_unsigned_int,
    FORMAT_int_snd_seq_t___GENPT___int,
    FORMAT_int_snd_seq_t___GENPT___snd_seq_event_t___GENPT____GENPT__,
    FORMAT_ssize_t_snd_seq_event_t___GENPT__,
    FORMAT_int_snd_seq_t___GENPT___snd_seq_event_t___GENPT__,
    FORMAT_int_snd_seq_event_t___GENPT__,
    FORMAT_int_snd_seq_t___GENPT___int_snd_seq_client_info_t___GENPT__,
    FORMAT_int_snd_seq_t___GENPT___int_int_snd_seq_port_info_t___GENPT__,
    FORMAT_int_snd_seq_t___GENPT___snd_seq_client_info_t___GENPT__,
    FORMAT_int_snd_seq_t___GENPT___snd_seq_client_pool_t___GENPT__,
    FORMAT_size_t_snd_seq_t___GENPT__,
    FORMAT_int_snd_seq_t___GENPT___int_snd_seq_port_info_t___GENPT__,
    FORMAT_int_snd_seq_t___GENPT___snd_seq_port_subscribe_t___GENPT__,
    FORMAT_int_snd_seq_t___GENPT___int_snd_seq_queue_info_t___GENPT__,
    FORMAT_int_snd_seq_t___GENPT___int_snd_seq_queue_status_t___GENPT__,
    FORMAT_int_snd_seq_t___GENPT___int_snd_seq_queue_tempo_t___GENPT__,
    FORMAT_int_snd_seq_t___GENPT___int_snd_seq_queue_timer_t___GENPT__,
    FORMAT_const_char___GENPT___snd_seq_t___GENPT__,
    FORMAT_int_snd_seq_t___GENPT____GENPT___const_char___GENPT___int_int,
    FORMAT_int_snd_seq_t___GENPT____GENPT___const_char___GENPT___int_int_snd_config_t___GENPT__,
    FORMAT_int_snd_seq_t___GENPT___snd_seq_addr_t___GENPT___const_char___GENPT__,
    FORMAT_int_snd_seq_t___GENPT___struct_pollfd___GENPT___unsigned_int_short,
    FORMAT_int_snd_seq_t___GENPT___short,
    FORMAT_int_snd_seq_t___GENPT___struct_pollfd___GENPT___unsigned_int_unsigned_short___GENPT__,
    FORMAT_void_snd_seq_port_info_t___GENPT___const_snd_seq_port_info_t___GENPT__,
    FORMAT_void_snd_seq_port_info_t___GENPT__,
    FORMAT_const_snd_seq_addr_t___GENPT___const_snd_seq_port_info_t___GENPT__,
    FORMAT_unsigned_int_const_snd_seq_port_info_t___GENPT__,
    FORMAT_int_const_snd_seq_port_info_t___GENPT__,
    FORMAT_const_char___GENPT___const_snd_seq_port_info_t___GENPT__,
    FORMAT_int_snd_seq_port_info_t___GENPT____GENPT__,
    FORMAT_void_snd_seq_port_info_t___GENPT___const_snd_seq_addr_t___GENPT__,
    FORMAT_void_snd_seq_port_info_t___GENPT___unsigned_int,
    FORMAT_void_snd_seq_port_info_t___GENPT___int,
    FORMAT_void_snd_seq_port_info_t___GENPT___const_char___GENPT__,
    FORMAT_void_snd_seq_port_subscribe_t___GENPT___const_snd_seq_port_subscribe_t___GENPT__,
    FORMAT_void_snd_seq_port_subscribe_t___GENPT__,
    FORMAT_const_snd_seq_addr_t___GENPT___const_snd_seq_port_subscribe_t___GENPT__,
    FORMAT_int_const_snd_seq_port_subscribe_t___GENPT__,
    FORMAT_int_snd_seq_port_subscribe_t___GENPT____GENPT__,
    FORMAT_void_snd_seq_port_subscribe_t___GENPT___const_snd_seq_addr_t___GENPT__,
    FORMAT_void_snd_seq_port_subscribe_t___GENPT___int,
    FORMAT_int_snd_seq_t___GENPT___snd_seq_query_subscribe_t___GENPT__,
    FORMAT_void_snd_seq_query_subscribe_t___GENPT___const_snd_seq_query_subscribe_t___GENPT__,
    FORMAT_void_snd_seq_query_subscribe_t___GENPT__,
    FORMAT_const_snd_seq_addr_t___GENPT___const_snd_seq_query_subscribe_t___GENPT__,
    FORMAT_int_const_snd_seq_query_subscribe_t___GENPT__,
    FORMAT_snd_seq_query_subs_type_t_const_snd_seq_query_subscribe_t___GENPT__,
    FORMAT_int_snd_seq_query_subscribe_t___GENPT____GENPT__,
    FORMAT_void_snd_seq_query_subscribe_t___GENPT___int,
    FORMAT_void_snd_seq_query_subscribe_t___GENPT___const_snd_seq_addr_t___GENPT__,
    FORMAT_void_snd_seq_query_subscribe_t___GENPT___snd_seq_query_subs_type_t,
    FORMAT_void_snd_seq_queue_info_t___GENPT___const_snd_seq_queue_info_t___GENPT__,
    FORMAT_void_snd_seq_queue_info_t___GENPT__,
    FORMAT_unsigned_int_const_snd_seq_queue_info_t___GENPT__,
    FORMAT_int_const_snd_seq_queue_info_t___GENPT__,
    FORMAT_const_char___GENPT___const_snd_seq_queue_info_t___GENPT__,
    FORMAT_int_snd_seq_queue_info_t___GENPT____GENPT__,
    FORMAT_void_snd_seq_queue_info_t___GENPT___unsigned_int,
    FORMAT_void_snd_seq_queue_info_t___GENPT___int,
    FORMAT_void_snd_seq_queue_info_t___GENPT___const_char___GENPT__,
    FORMAT_void_snd_seq_queue_status_t___GENPT___const_snd_seq_queue_status_t___GENPT__,
    FORMAT_void_snd_seq_queue_status_t___GENPT__,
    FORMAT_int_const_snd_seq_queue_status_t___GENPT__,
    FORMAT_const_snd_seq_real_time_t___GENPT___const_snd_seq_queue_status_t___GENPT__,
    FORMAT_unsigned_int_const_snd_seq_queue_status_t___GENPT__,
    FORMAT_snd_seq_tick_time_t_const_snd_seq_queue_status_t___GENPT__,
    FORMAT_int_snd_seq_queue_status_t___GENPT____GENPT__,
    FORMAT_void_snd_seq_queue_tempo_t___GENPT___const_snd_seq_queue_tempo_t___GENPT__,
    FORMAT_void_snd_seq_queue_tempo_t___GENPT__,
    FORMAT_int_const_snd_seq_queue_tempo_t___GENPT__,
    FORMAT_unsigned_int_const_snd_seq_queue_tempo_t___GENPT__,
    FORMAT_int_snd_seq_queue_tempo_t___GENPT____GENPT__,
    FORMAT_void_snd_seq_queue_tempo_t___GENPT___int,
    FORMAT_void_snd_seq_queue_tempo_t___GENPT___unsigned_int,
    FORMAT_void_snd_seq_queue_timer_t___GENPT___const_snd_seq_queue_timer_t___GENPT__,
    FORMAT_void_snd_seq_queue_timer_t___GENPT__,
    FORMAT_const_snd_timer_id_t___GENPT___const_snd_seq_queue_timer_t___GENPT__,
    FORMAT_int_const_snd_seq_queue_timer_t___GENPT__,
    FORMAT_unsigned_int_const_snd_seq_queue_timer_t___GENPT__,
    FORMAT_snd_seq_queue_timer_type_t_const_snd_seq_queue_timer_t___GENPT__,
    FORMAT_int_snd_seq_queue_timer_t___GENPT____GENPT__,
    FORMAT_void_snd_seq_queue_timer_t___GENPT___const_snd_timer_id_t___GENPT__,
    FORMAT_void_snd_seq_queue_timer_t___GENPT___unsigned_int,
    FORMAT_void_snd_seq_queue_timer_t___GENPT___snd_seq_queue_timer_type_t,
    FORMAT_int_snd_seq_t___GENPT___snd_seq_remove_events_t___GENPT__,
    FORMAT_void_snd_seq_remove_events_t___GENPT___const_snd_seq_remove_events_t___GENPT__,
    FORMAT_void_snd_seq_remove_events_t___GENPT__,
    FORMAT_int_const_snd_seq_remove_events_t___GENPT__,
    FORMAT_unsigned_int_const_snd_seq_remove_events_t___GENPT__,
    FORMAT_const_snd_seq_addr_t___GENPT___const_snd_seq_remove_events_t___GENPT__,
    FORMAT_const_snd_seq_timestamp_t___GENPT___const_snd_seq_remove_events_t___GENPT__,
    FORMAT_int_snd_seq_remove_events_t___GENPT____GENPT__,
    FORMAT_void_snd_seq_remove_events_t___GENPT___int,
    FORMAT_void_snd_seq_remove_events_t___GENPT___unsigned_int,
    FORMAT_void_snd_seq_remove_events_t___GENPT___const_snd_seq_addr_t___GENPT__,
    FORMAT_void_snd_seq_remove_events_t___GENPT___const_snd_seq_timestamp_t___GENPT__,
    FORMAT_void_int_void___GENPT__,
    FORMAT_int_snd_seq_t___GENPT___size_t,
    FORMAT_int_snd_seq_t___GENPT___int_int,
    FORMAT_int_snd_seq_t___GENPT___snd_seq_system_info_t___GENPT__,
    FORMAT_void_snd_seq_system_info_t___GENPT___const_snd_seq_system_info_t___GENPT__,
    FORMAT_void_snd_seq_system_info_t___GENPT__,
    FORMAT_int_const_snd_seq_system_info_t___GENPT__,
    FORMAT_int_snd_seq_system_info_t___GENPT____GENPT__,
    FORMAT_snd_seq_type_t_snd_seq_t___GENPT__,
    FORMAT_struct_snd_shm_area___GENPT___int_void___GENPT__,
    FORMAT_int_struct_snd_shm_area___GENPT__,
    FORMAT_struct_snd_shm_area___GENPT___struct_snd_shm_area___GENPT__,
    FORMAT_int_snd_pcm_t___GENPT___unsigned_int_unsigned_int_snd_pcm_format_t_snd_pcm_subformat_t_snd_spcm_latency_t_snd_pcm_access_t_snd_spcm_xrun_type_t,
    FORMAT_int_snd_pcm_t___GENPT___snd_pcm_t___GENPT___unsigned_int_unsigned_int_snd_pcm_format_t_snd_pcm_subformat_t_snd_spcm_latency_t_snd_pcm_access_t_snd_spcm_xrun_type_t_snd_spcm_duplex_type_t,
    FORMAT_int_snd_pcm_t___GENPT___unsigned_int___GENPT___snd_pcm_uframes_t___GENPT___snd_pcm_uframes_t___GENPT__,
    FORMAT_const_char___GENPT___int,
    FORMAT_int_snd_timer_t___GENPT__,
    FORMAT_void_snd_timer_ginfo_t___GENPT___const_snd_timer_ginfo_t___GENPT__,
    FORMAT_void_snd_timer_ginfo_t___GENPT__,
    FORMAT_int_snd_timer_ginfo_t___GENPT__,
    FORMAT_unsigned_int_snd_timer_ginfo_t___GENPT__,
    FORMAT_char___GENPT___snd_timer_ginfo_t___GENPT__,
    FORMAT_unsigned_long_snd_timer_ginfo_t___GENPT__,
    FORMAT_snd_timer_id_t___GENPT___snd_timer_ginfo_t___GENPT__,
    FORMAT_int_snd_timer_ginfo_t___GENPT____GENPT__,
    FORMAT_int_snd_timer_ginfo_t___GENPT___snd_timer_id_t___GENPT__,
    FORMAT_void_snd_timer_id_t___GENPT___const_snd_timer_id_t___GENPT__,
    FORMAT_void_snd_timer_id_t___GENPT__,
    FORMAT_int_snd_timer_id_t___GENPT__,
    FORMAT_int_snd_timer_id_t___GENPT____GENPT__,
    FORMAT_void_snd_timer_id_t___GENPT___int,
    FORMAT_int_snd_timer_t___GENPT___snd_timer_info_t___GENPT__,
    FORMAT_void_snd_timer_info_t___GENPT___const_snd_timer_info_t___GENPT__,
    FORMAT_void_snd_timer_info_t___GENPT__,
    FORMAT_int_snd_timer_info_t___GENPT__,
    FORMAT_const_char___GENPT___snd_timer_info_t___GENPT__,
    FORMAT_long_snd_timer_info_t___GENPT__,
    FORMAT_int_snd_timer_info_t___GENPT____GENPT__,
    FORMAT_int_snd_timer_t___GENPT____GENPT___const_char___GENPT___int,
    FORMAT_int_snd_timer_t___GENPT____GENPT___const_char___GENPT___int_snd_config_t___GENPT__,
    FORMAT_int_snd_timer_t___GENPT___snd_timer_params_t___GENPT__,
    FORMAT_void_snd_timer_params_t___GENPT___const_snd_timer_params_t___GENPT__,
    FORMAT_void_snd_timer_params_t___GENPT__,
    FORMAT_int_snd_timer_params_t___GENPT__,
    FORMAT_unsigned_int_snd_timer_params_t___GENPT__,
    FORMAT_long_snd_timer_params_t___GENPT__,
    FORMAT_int_snd_timer_params_t___GENPT____GENPT__,
    FORMAT_int_snd_timer_params_t___GENPT___int,
    FORMAT_void_snd_timer_params_t___GENPT___unsigned_int,
    FORMAT_void_snd_timer_params_t___GENPT___long,
    FORMAT_int_snd_timer_t___GENPT___struct_pollfd___GENPT___unsigned_int,
    FORMAT_int_snd_timer_t___GENPT___struct_pollfd___GENPT___unsigned_int_unsigned_short___GENPT__,
    FORMAT_int_snd_timer_query_t___GENPT__,
    FORMAT_int_snd_timer_query_t___GENPT___snd_timer_ginfo_t___GENPT__,
    FORMAT_int_snd_timer_query_t___GENPT___snd_timer_id_t___GENPT__,
    FORMAT_int_snd_timer_query_t___GENPT____GENPT___const_char___GENPT___int,
    FORMAT_int_snd_timer_query_t___GENPT____GENPT___const_char___GENPT___int_snd_config_t___GENPT__,
    FORMAT_int_snd_timer_query_t___GENPT___snd_timer_gparams_t___GENPT__,
    FORMAT_int_snd_timer_query_t___GENPT___snd_timer_gstatus_t___GENPT__,
    FORMAT_ssize_t_snd_timer_t___GENPT___void___GENPT___size_t,
    FORMAT_int_snd_timer_t___GENPT___snd_timer_status_t___GENPT__,
    FORMAT_void_snd_timer_status_t___GENPT___const_snd_timer_status_t___GENPT__,
    FORMAT_void_snd_timer_status_t___GENPT__,
    FORMAT_long_snd_timer_status_t___GENPT__,
    FORMAT_snd_htimestamp_t_snd_timer_status_t___GENPT__,
    FORMAT_int_snd_timer_status_t___GENPT____GENPT__,
    FORMAT_int_const_char___GENPT___char___GENPT____GENPT__,
};

typedef void (*FUNC_void_GLenum_GLfloat)(GLenum op, GLfloat value);
typedef struct {
    GLenum a1;
    GLfloat a2;
} ARGS_void_GLenum_GLfloat;
typedef struct {
    int format;
    FUNC_void_GLenum_GLfloat func;
    ARGS_void_GLenum_GLfloat args;
} PACKED_void_GLenum_GLfloat;
typedef struct {
    int func;
    ARGS_void_GLenum_GLfloat args;
} INDEXED_void_GLenum_GLfloat;
typedef void (*FUNC_void_GLenum)(GLenum texture);
typedef struct {
    GLenum a1;
} ARGS_void_GLenum;
typedef struct {
    int format;
    FUNC_void_GLenum func;
    ARGS_void_GLenum args;
} PACKED_void_GLenum;
typedef struct {
    int func;
    ARGS_void_GLenum args;
} INDEXED_void_GLenum;
typedef GLboolean (*FUNC_GLboolean_GLsizei_const_GLuint___GENPT___GLboolean___GENPT__)(GLsizei n, const GLuint * textures, GLboolean * residences);
typedef struct {
    GLsizei a1;
    GLuint * a2;
    GLboolean * a3;
} ARGS_GLboolean_GLsizei_const_GLuint___GENPT___GLboolean___GENPT__;
typedef struct {
    int format;
    FUNC_GLboolean_GLsizei_const_GLuint___GENPT___GLboolean___GENPT__ func;
    ARGS_GLboolean_GLsizei_const_GLuint___GENPT___GLboolean___GENPT__ args;
} PACKED_GLboolean_GLsizei_const_GLuint___GENPT___GLboolean___GENPT__;
typedef struct {
    int func;
    ARGS_GLboolean_GLsizei_const_GLuint___GENPT___GLboolean___GENPT__ args;
} INDEXED_GLboolean_GLsizei_const_GLuint___GENPT___GLboolean___GENPT__;
typedef void (*FUNC_void_GLint)(GLint i);
typedef struct {
    GLint a1;
} ARGS_void_GLint;
typedef struct {
    int format;
    FUNC_void_GLint func;
    ARGS_void_GLint args;
} PACKED_void_GLint;
typedef struct {
    int func;
    ARGS_void_GLint args;
} INDEXED_void_GLint;
typedef void (*FUNC_void_GLenum_GLuint)(GLenum target, GLuint id);
typedef struct {
    GLenum a1;
    GLuint a2;
} ARGS_void_GLenum_GLuint;
typedef struct {
    int format;
    FUNC_void_GLenum_GLuint func;
    ARGS_void_GLenum_GLuint args;
} PACKED_void_GLenum_GLuint;
typedef struct {
    int func;
    ARGS_void_GLenum_GLuint args;
} INDEXED_void_GLenum_GLuint;
typedef void (*FUNC_void_GLsizei_GLsizei_GLfloat_GLfloat_GLfloat_GLfloat_const_GLubyte___GENPT__)(GLsizei width, GLsizei height, GLfloat xorig, GLfloat yorig, GLfloat xmove, GLfloat ymove, const GLubyte * bitmap);
typedef struct {
    GLsizei a1;
    GLsizei a2;
    GLfloat a3;
    GLfloat a4;
    GLfloat a5;
    GLfloat a6;
    GLubyte * a7;
} ARGS_void_GLsizei_GLsizei_GLfloat_GLfloat_GLfloat_GLfloat_const_GLubyte___GENPT__;
typedef struct {
    int format;
    FUNC_void_GLsizei_GLsizei_GLfloat_GLfloat_GLfloat_GLfloat_const_GLubyte___GENPT__ func;
    ARGS_void_GLsizei_GLsizei_GLfloat_GLfloat_GLfloat_GLfloat_const_GLubyte___GENPT__ args;
} PACKED_void_GLsizei_GLsizei_GLfloat_GLfloat_GLfloat_GLfloat_const_GLubyte___GENPT__;
typedef struct {
    int func;
    ARGS_void_GLsizei_GLsizei_GLfloat_GLfloat_GLfloat_GLfloat_const_GLubyte___GENPT__ args;
} INDEXED_void_GLsizei_GLsizei_GLfloat_GLfloat_GLfloat_GLfloat_const_GLubyte___GENPT__;
typedef void (*FUNC_void_GLfloat_GLfloat_GLfloat_GLfloat)(GLfloat red, GLfloat green, GLfloat blue, GLfloat alpha);
typedef struct {
    GLfloat a1;
    GLfloat a2;
    GLfloat a3;
    GLfloat a4;
} ARGS_void_GLfloat_GLfloat_GLfloat_GLfloat;
typedef struct {
    int format;
    FUNC_void_GLfloat_GLfloat_GLfloat_GLfloat func;
    ARGS_void_GLfloat_GLfloat_GLfloat_GLfloat args;
} PACKED_void_GLfloat_GLfloat_GLfloat_GLfloat;
typedef struct {
    int func;
    ARGS_void_GLfloat_GLfloat_GLfloat_GLfloat args;
} INDEXED_void_GLfloat_GLfloat_GLfloat_GLfloat;
typedef void (*FUNC_void_GLenum_GLenum)(GLenum sfactor, GLenum dfactor);
typedef struct {
    GLenum a1;
    GLenum a2;
} ARGS_void_GLenum_GLenum;
typedef struct {
    int format;
    FUNC_void_GLenum_GLenum func;
    ARGS_void_GLenum_GLenum args;
} PACKED_void_GLenum_GLenum;
typedef struct {
    int func;
    ARGS_void_GLenum_GLenum args;
} INDEXED_void_GLenum_GLenum;
typedef void (*FUNC_void_GLenum_GLenum_GLenum_GLenum)(GLenum sfactorRGB, GLenum dfactorRGB, GLenum sfactorAlpha, GLenum dfactorAlpha);
typedef struct {
    GLenum a1;
    GLenum a2;
    GLenum a3;
    GLenum a4;
} ARGS_void_GLenum_GLenum_GLenum_GLenum;
typedef struct {
    int format;
    FUNC_void_GLenum_GLenum_GLenum_GLenum func;
    ARGS_void_GLenum_GLenum_GLenum_GLenum args;
} PACKED_void_GLenum_GLenum_GLenum_GLenum;
typedef struct {
    int func;
    ARGS_void_GLenum_GLenum_GLenum_GLenum args;
} INDEXED_void_GLenum_GLenum_GLenum_GLenum;
typedef void (*FUNC_void_GLenum_GLsizeiptr_const_GLvoid___GENPT___GLenum)(GLenum target, GLsizeiptr size, const GLvoid * data, GLenum usage);
typedef struct {
    GLenum a1;
    GLsizeiptr a2;
    GLvoid * a3;
    GLenum a4;
} ARGS_void_GLenum_GLsizeiptr_const_GLvoid___GENPT___GLenum;
typedef struct {
    int format;
    FUNC_void_GLenum_GLsizeiptr_const_GLvoid___GENPT___GLenum func;
    ARGS_void_GLenum_GLsizeiptr_const_GLvoid___GENPT___GLenum args;
} PACKED_void_GLenum_GLsizeiptr_const_GLvoid___GENPT___GLenum;
typedef struct {
    int func;
    ARGS_void_GLenum_GLsizeiptr_const_GLvoid___GENPT___GLenum args;
} INDEXED_void_GLenum_GLsizeiptr_const_GLvoid___GENPT___GLenum;
typedef void (*FUNC_void_GLenum_GLintptr_GLsizeiptr_const_GLvoid___GENPT__)(GLenum target, GLintptr offset, GLsizeiptr size, const GLvoid * data);
typedef struct {
    GLenum a1;
    GLintptr a2;
    GLsizeiptr a3;
    GLvoid * a4;
} ARGS_void_GLenum_GLintptr_GLsizeiptr_const_GLvoid___GENPT__;
typedef struct {
    int format;
    FUNC_void_GLenum_GLintptr_GLsizeiptr_const_GLvoid___GENPT__ func;
    ARGS_void_GLenum_GLintptr_GLsizeiptr_const_GLvoid___GENPT__ args;
} PACKED_void_GLenum_GLintptr_GLsizeiptr_const_GLvoid___GENPT__;
typedef struct {
    int func;
    ARGS_void_GLenum_GLintptr_GLsizeiptr_const_GLvoid___GENPT__ args;
} INDEXED_void_GLenum_GLintptr_GLsizeiptr_const_GLvoid___GENPT__;
typedef void (*FUNC_void_GLuint)(GLuint list);
typedef struct {
    GLuint a1;
} ARGS_void_GLuint;
typedef struct {
    int format;
    FUNC_void_GLuint func;
    ARGS_void_GLuint args;
} PACKED_void_GLuint;
typedef struct {
    int func;
    ARGS_void_GLuint args;
} INDEXED_void_GLuint;
typedef void (*FUNC_void_GLsizei_GLenum_const_GLvoid___GENPT__)(GLsizei n, GLenum type, const GLvoid * lists);
typedef struct {
    GLsizei a1;
    GLenum a2;
    GLvoid * a3;
} ARGS_void_GLsizei_GLenum_const_GLvoid___GENPT__;
typedef struct {
    int format;
    FUNC_void_GLsizei_GLenum_const_GLvoid___GENPT__ func;
    ARGS_void_GLsizei_GLenum_const_GLvoid___GENPT__ args;
} PACKED_void_GLsizei_GLenum_const_GLvoid___GENPT__;
typedef struct {
    int func;
    ARGS_void_GLsizei_GLenum_const_GLvoid___GENPT__ args;
} INDEXED_void_GLsizei_GLenum_const_GLvoid___GENPT__;
typedef void (*FUNC_void_GLbitfield)(GLbitfield mask);
typedef struct {
    GLbitfield a1;
} ARGS_void_GLbitfield;
typedef struct {
    int format;
    FUNC_void_GLbitfield func;
    ARGS_void_GLbitfield args;
} PACKED_void_GLbitfield;
typedef struct {
    int func;
    ARGS_void_GLbitfield args;
} INDEXED_void_GLbitfield;
typedef void (*FUNC_void_GLdouble)(GLdouble depth);
typedef struct {
    GLdouble a1 __attribute__ ((aligned(8)));
} ARGS_void_GLdouble;
typedef struct {
    int format;
    FUNC_void_GLdouble func;
    ARGS_void_GLdouble args;
} PACKED_void_GLdouble;
typedef struct {
    int func;
    ARGS_void_GLdouble args;
} INDEXED_void_GLdouble;
typedef void (*FUNC_void_GLfloat)(GLfloat c);
typedef struct {
    GLfloat a1;
} ARGS_void_GLfloat;
typedef struct {
    int format;
    FUNC_void_GLfloat func;
    ARGS_void_GLfloat args;
} PACKED_void_GLfloat;
typedef struct {
    int func;
    ARGS_void_GLfloat args;
} INDEXED_void_GLfloat;
typedef void (*FUNC_void_GLenum_const_GLdouble___GENPT__)(GLenum plane, const GLdouble * equation);
typedef struct {
    GLenum a1;
    GLdouble * a2;
} ARGS_void_GLenum_const_GLdouble___GENPT__;
typedef struct {
    int format;
    FUNC_void_GLenum_const_GLdouble___GENPT__ func;
    ARGS_void_GLenum_const_GLdouble___GENPT__ args;
} PACKED_void_GLenum_const_GLdouble___GENPT__;
typedef struct {
    int func;
    ARGS_void_GLenum_const_GLdouble___GENPT__ args;
} INDEXED_void_GLenum_const_GLdouble___GENPT__;
typedef void (*FUNC_void_GLbyte_GLbyte_GLbyte)(GLbyte red, GLbyte green, GLbyte blue);
typedef struct {
    GLbyte a1;
    GLbyte a2;
    GLbyte a3;
} ARGS_void_GLbyte_GLbyte_GLbyte;
typedef struct {
    int format;
    FUNC_void_GLbyte_GLbyte_GLbyte func;
    ARGS_void_GLbyte_GLbyte_GLbyte args;
} PACKED_void_GLbyte_GLbyte_GLbyte;
typedef struct {
    int func;
    ARGS_void_GLbyte_GLbyte_GLbyte args;
} INDEXED_void_GLbyte_GLbyte_GLbyte;
typedef void (*FUNC_void_const_GLbyte___GENPT__)(const GLbyte * v);
typedef struct {
    GLbyte * a1;
} ARGS_void_const_GLbyte___GENPT__;
typedef struct {
    int format;
    FUNC_void_const_GLbyte___GENPT__ func;
    ARGS_void_const_GLbyte___GENPT__ args;
} PACKED_void_const_GLbyte___GENPT__;
typedef struct {
    int func;
    ARGS_void_const_GLbyte___GENPT__ args;
} INDEXED_void_const_GLbyte___GENPT__;
typedef void (*FUNC_void_GLdouble_GLdouble_GLdouble)(GLdouble red, GLdouble green, GLdouble blue);
typedef struct {
    GLdouble a1 __attribute__ ((aligned(8)));
    GLdouble a2 __attribute__ ((aligned(8)));
    GLdouble a3 __attribute__ ((aligned(8)));
} ARGS_void_GLdouble_GLdouble_GLdouble;
typedef struct {
    int format;
    FUNC_void_GLdouble_GLdouble_GLdouble func;
    ARGS_void_GLdouble_GLdouble_GLdouble args;
} PACKED_void_GLdouble_GLdouble_GLdouble;
typedef struct {
    int func;
    ARGS_void_GLdouble_GLdouble_GLdouble args;
} INDEXED_void_GLdouble_GLdouble_GLdouble;
typedef void (*FUNC_void_const_GLdouble___GENPT__)(const GLdouble * v);
typedef struct {
    GLdouble * a1;
} ARGS_void_const_GLdouble___GENPT__;
typedef struct {
    int format;
    FUNC_void_const_GLdouble___GENPT__ func;
    ARGS_void_const_GLdouble___GENPT__ args;
} PACKED_void_const_GLdouble___GENPT__;
typedef struct {
    int func;
    ARGS_void_const_GLdouble___GENPT__ args;
} INDEXED_void_const_GLdouble___GENPT__;
typedef void (*FUNC_void_GLfloat_GLfloat_GLfloat)(GLfloat red, GLfloat green, GLfloat blue);
typedef struct {
    GLfloat a1;
    GLfloat a2;
    GLfloat a3;
} ARGS_void_GLfloat_GLfloat_GLfloat;
typedef struct {
    int format;
    FUNC_void_GLfloat_GLfloat_GLfloat func;
    ARGS_void_GLfloat_GLfloat_GLfloat args;
} PACKED_void_GLfloat_GLfloat_GLfloat;
typedef struct {
    int func;
    ARGS_void_GLfloat_GLfloat_GLfloat args;
} INDEXED_void_GLfloat_GLfloat_GLfloat;
typedef void (*FUNC_void_const_GLfloat___GENPT__)(const GLfloat * v);
typedef struct {
    GLfloat * a1;
} ARGS_void_const_GLfloat___GENPT__;
typedef struct {
    int format;
    FUNC_void_const_GLfloat___GENPT__ func;
    ARGS_void_const_GLfloat___GENPT__ args;
} PACKED_void_const_GLfloat___GENPT__;
typedef struct {
    int func;
    ARGS_void_const_GLfloat___GENPT__ args;
} INDEXED_void_const_GLfloat___GENPT__;
typedef void (*FUNC_void_GLint_GLint_GLint)(GLint red, GLint green, GLint blue);
typedef struct {
    GLint a1;
    GLint a2;
    GLint a3;
} ARGS_void_GLint_GLint_GLint;
typedef struct {
    int format;
    FUNC_void_GLint_GLint_GLint func;
    ARGS_void_GLint_GLint_GLint args;
} PACKED_void_GLint_GLint_GLint;
typedef struct {
    int func;
    ARGS_void_GLint_GLint_GLint args;
} INDEXED_void_GLint_GLint_GLint;
typedef void (*FUNC_void_const_GLint___GENPT__)(const GLint * v);
typedef struct {
    GLint * a1;
} ARGS_void_const_GLint___GENPT__;
typedef struct {
    int format;
    FUNC_void_const_GLint___GENPT__ func;
    ARGS_void_const_GLint___GENPT__ args;
} PACKED_void_const_GLint___GENPT__;
typedef struct {
    int func;
    ARGS_void_const_GLint___GENPT__ args;
} INDEXED_void_const_GLint___GENPT__;
typedef void (*FUNC_void_GLshort_GLshort_GLshort)(GLshort red, GLshort green, GLshort blue);
typedef struct {
    GLshort a1;
    GLshort a2;
    GLshort a3;
} ARGS_void_GLshort_GLshort_GLshort;
typedef struct {
    int format;
    FUNC_void_GLshort_GLshort_GLshort func;
    ARGS_void_GLshort_GLshort_GLshort args;
} PACKED_void_GLshort_GLshort_GLshort;
typedef struct {
    int func;
    ARGS_void_GLshort_GLshort_GLshort args;
} INDEXED_void_GLshort_GLshort_GLshort;
typedef void (*FUNC_void_const_GLshort___GENPT__)(const GLshort * v);
typedef struct {
    GLshort * a1;
} ARGS_void_const_GLshort___GENPT__;
typedef struct {
    int format;
    FUNC_void_const_GLshort___GENPT__ func;
    ARGS_void_const_GLshort___GENPT__ args;
} PACKED_void_const_GLshort___GENPT__;
typedef struct {
    int func;
    ARGS_void_const_GLshort___GENPT__ args;
} INDEXED_void_const_GLshort___GENPT__;
typedef void (*FUNC_void_GLubyte_GLubyte_GLubyte)(GLubyte red, GLubyte green, GLubyte blue);
typedef struct {
    GLubyte a1;
    GLubyte a2;
    GLubyte a3;
} ARGS_void_GLubyte_GLubyte_GLubyte;
typedef struct {
    int format;
    FUNC_void_GLubyte_GLubyte_GLubyte func;
    ARGS_void_GLubyte_GLubyte_GLubyte args;
} PACKED_void_GLubyte_GLubyte_GLubyte;
typedef struct {
    int func;
    ARGS_void_GLubyte_GLubyte_GLubyte args;
} INDEXED_void_GLubyte_GLubyte_GLubyte;
typedef void (*FUNC_void_const_GLubyte___GENPT__)(const GLubyte * v);
typedef struct {
    GLubyte * a1;
} ARGS_void_const_GLubyte___GENPT__;
typedef struct {
    int format;
    FUNC_void_const_GLubyte___GENPT__ func;
    ARGS_void_const_GLubyte___GENPT__ args;
} PACKED_void_const_GLubyte___GENPT__;
typedef struct {
    int func;
    ARGS_void_const_GLubyte___GENPT__ args;
} INDEXED_void_const_GLubyte___GENPT__;
typedef void (*FUNC_void_GLuint_GLuint_GLuint)(GLuint red, GLuint green, GLuint blue);
typedef struct {
    GLuint a1;
    GLuint a2;
    GLuint a3;
} ARGS_void_GLuint_GLuint_GLuint;
typedef struct {
    int format;
    FUNC_void_GLuint_GLuint_GLuint func;
    ARGS_void_GLuint_GLuint_GLuint args;
} PACKED_void_GLuint_GLuint_GLuint;
typedef struct {
    int func;
    ARGS_void_GLuint_GLuint_GLuint args;
} INDEXED_void_GLuint_GLuint_GLuint;
typedef void (*FUNC_void_const_GLuint___GENPT__)(const GLuint * v);
typedef struct {
    GLuint * a1;
} ARGS_void_const_GLuint___GENPT__;
typedef struct {
    int format;
    FUNC_void_const_GLuint___GENPT__ func;
    ARGS_void_const_GLuint___GENPT__ args;
} PACKED_void_const_GLuint___GENPT__;
typedef struct {
    int func;
    ARGS_void_const_GLuint___GENPT__ args;
} INDEXED_void_const_GLuint___GENPT__;
typedef void (*FUNC_void_GLushort_GLushort_GLushort)(GLushort red, GLushort green, GLushort blue);
typedef struct {
    GLushort a1;
    GLushort a2;
    GLushort a3;
} ARGS_void_GLushort_GLushort_GLushort;
typedef struct {
    int format;
    FUNC_void_GLushort_GLushort_GLushort func;
    ARGS_void_GLushort_GLushort_GLushort args;
} PACKED_void_GLushort_GLushort_GLushort;
typedef struct {
    int func;
    ARGS_void_GLushort_GLushort_GLushort args;
} INDEXED_void_GLushort_GLushort_GLushort;
typedef void (*FUNC_void_const_GLushort___GENPT__)(const GLushort * v);
typedef struct {
    GLushort * a1;
} ARGS_void_const_GLushort___GENPT__;
typedef struct {
    int format;
    FUNC_void_const_GLushort___GENPT__ func;
    ARGS_void_const_GLushort___GENPT__ args;
} PACKED_void_const_GLushort___GENPT__;
typedef struct {
    int func;
    ARGS_void_const_GLushort___GENPT__ args;
} INDEXED_void_const_GLushort___GENPT__;
typedef void (*FUNC_void_GLbyte_GLbyte_GLbyte_GLbyte)(GLbyte red, GLbyte green, GLbyte blue, GLbyte alpha);
typedef struct {
    GLbyte a1;
    GLbyte a2;
    GLbyte a3;
    GLbyte a4;
} ARGS_void_GLbyte_GLbyte_GLbyte_GLbyte;
typedef struct {
    int format;
    FUNC_void_GLbyte_GLbyte_GLbyte_GLbyte func;
    ARGS_void_GLbyte_GLbyte_GLbyte_GLbyte args;
} PACKED_void_GLbyte_GLbyte_GLbyte_GLbyte;
typedef struct {
    int func;
    ARGS_void_GLbyte_GLbyte_GLbyte_GLbyte args;
} INDEXED_void_GLbyte_GLbyte_GLbyte_GLbyte;
typedef void (*FUNC_void_GLdouble_GLdouble_GLdouble_GLdouble)(GLdouble red, GLdouble green, GLdouble blue, GLdouble alpha);
typedef struct {
    GLdouble a1 __attribute__ ((aligned(8)));
    GLdouble a2 __attribute__ ((aligned(8)));
    GLdouble a3 __attribute__ ((aligned(8)));
    GLdouble a4 __attribute__ ((aligned(8)));
} ARGS_void_GLdouble_GLdouble_GLdouble_GLdouble;
typedef struct {
    int format;
    FUNC_void_GLdouble_GLdouble_GLdouble_GLdouble func;
    ARGS_void_GLdouble_GLdouble_GLdouble_GLdouble args;
} PACKED_void_GLdouble_GLdouble_GLdouble_GLdouble;
typedef struct {
    int func;
    ARGS_void_GLdouble_GLdouble_GLdouble_GLdouble args;
} INDEXED_void_GLdouble_GLdouble_GLdouble_GLdouble;
typedef void (*FUNC_void_GLint_GLint_GLint_GLint)(GLint red, GLint green, GLint blue, GLint alpha);
typedef struct {
    GLint a1;
    GLint a2;
    GLint a3;
    GLint a4;
} ARGS_void_GLint_GLint_GLint_GLint;
typedef struct {
    int format;
    FUNC_void_GLint_GLint_GLint_GLint func;
    ARGS_void_GLint_GLint_GLint_GLint args;
} PACKED_void_GLint_GLint_GLint_GLint;
typedef struct {
    int func;
    ARGS_void_GLint_GLint_GLint_GLint args;
} INDEXED_void_GLint_GLint_GLint_GLint;
typedef void (*FUNC_void_GLshort_GLshort_GLshort_GLshort)(GLshort red, GLshort green, GLshort blue, GLshort alpha);
typedef struct {
    GLshort a1;
    GLshort a2;
    GLshort a3;
    GLshort a4;
} ARGS_void_GLshort_GLshort_GLshort_GLshort;
typedef struct {
    int format;
    FUNC_void_GLshort_GLshort_GLshort_GLshort func;
    ARGS_void_GLshort_GLshort_GLshort_GLshort args;
} PACKED_void_GLshort_GLshort_GLshort_GLshort;
typedef struct {
    int func;
    ARGS_void_GLshort_GLshort_GLshort_GLshort args;
} INDEXED_void_GLshort_GLshort_GLshort_GLshort;
typedef void (*FUNC_void_GLubyte_GLubyte_GLubyte_GLubyte)(GLubyte red, GLubyte green, GLubyte blue, GLubyte alpha);
typedef struct {
    GLubyte a1;
    GLubyte a2;
    GLubyte a3;
    GLubyte a4;
} ARGS_void_GLubyte_GLubyte_GLubyte_GLubyte;
typedef struct {
    int format;
    FUNC_void_GLubyte_GLubyte_GLubyte_GLubyte func;
    ARGS_void_GLubyte_GLubyte_GLubyte_GLubyte args;
} PACKED_void_GLubyte_GLubyte_GLubyte_GLubyte;
typedef struct {
    int func;
    ARGS_void_GLubyte_GLubyte_GLubyte_GLubyte args;
} INDEXED_void_GLubyte_GLubyte_GLubyte_GLubyte;
typedef void (*FUNC_void_GLuint_GLuint_GLuint_GLuint)(GLuint red, GLuint green, GLuint blue, GLuint alpha);
typedef struct {
    GLuint a1;
    GLuint a2;
    GLuint a3;
    GLuint a4;
} ARGS_void_GLuint_GLuint_GLuint_GLuint;
typedef struct {
    int format;
    FUNC_void_GLuint_GLuint_GLuint_GLuint func;
    ARGS_void_GLuint_GLuint_GLuint_GLuint args;
} PACKED_void_GLuint_GLuint_GLuint_GLuint;
typedef struct {
    int func;
    ARGS_void_GLuint_GLuint_GLuint_GLuint args;
} INDEXED_void_GLuint_GLuint_GLuint_GLuint;
typedef void (*FUNC_void_GLushort_GLushort_GLushort_GLushort)(GLushort red, GLushort green, GLushort blue, GLushort alpha);
typedef struct {
    GLushort a1;
    GLushort a2;
    GLushort a3;
    GLushort a4;
} ARGS_void_GLushort_GLushort_GLushort_GLushort;
typedef struct {
    int format;
    FUNC_void_GLushort_GLushort_GLushort_GLushort func;
    ARGS_void_GLushort_GLushort_GLushort_GLushort args;
} PACKED_void_GLushort_GLushort_GLushort_GLushort;
typedef struct {
    int func;
    ARGS_void_GLushort_GLushort_GLushort_GLushort args;
} INDEXED_void_GLushort_GLushort_GLushort_GLushort;
typedef void (*FUNC_void_GLboolean_GLboolean_GLboolean_GLboolean)(GLboolean red, GLboolean green, GLboolean blue, GLboolean alpha);
typedef struct {
    GLboolean a1;
    GLboolean a2;
    GLboolean a3;
    GLboolean a4;
} ARGS_void_GLboolean_GLboolean_GLboolean_GLboolean;
typedef struct {
    int format;
    FUNC_void_GLboolean_GLboolean_GLboolean_GLboolean func;
    ARGS_void_GLboolean_GLboolean_GLboolean_GLboolean args;
} PACKED_void_GLboolean_GLboolean_GLboolean_GLboolean;
typedef struct {
    int func;
    ARGS_void_GLboolean_GLboolean_GLboolean_GLboolean args;
} INDEXED_void_GLboolean_GLboolean_GLboolean_GLboolean;
typedef void (*FUNC_void_GLint_GLenum_GLsizei_const_GLvoid___GENPT__)(GLint size, GLenum type, GLsizei stride, const GLvoid * pointer);
typedef struct {
    GLint a1;
    GLenum a2;
    GLsizei a3;
    GLvoid * a4;
} ARGS_void_GLint_GLenum_GLsizei_const_GLvoid___GENPT__;
typedef struct {
    int format;
    FUNC_void_GLint_GLenum_GLsizei_const_GLvoid___GENPT__ func;
    ARGS_void_GLint_GLenum_GLsizei_const_GLvoid___GENPT__ args;
} PACKED_void_GLint_GLenum_GLsizei_const_GLvoid___GENPT__;
typedef struct {
    int func;
    ARGS_void_GLint_GLenum_GLsizei_const_GLvoid___GENPT__ args;
} INDEXED_void_GLint_GLenum_GLsizei_const_GLvoid___GENPT__;
typedef void (*FUNC_void_GLenum_GLsizei_GLsizei_GLenum_GLenum_const_GLvoid___GENPT__)(GLenum target, GLsizei start, GLsizei count, GLenum format, GLenum type, const GLvoid * data);
typedef struct {
    GLenum a1;
    GLsizei a2;
    GLsizei a3;
    GLenum a4;
    GLenum a5;
    GLvoid * a6;
} ARGS_void_GLenum_GLsizei_GLsizei_GLenum_GLenum_const_GLvoid___GENPT__;
typedef struct {
    int format;
    FUNC_void_GLenum_GLsizei_GLsizei_GLenum_GLenum_const_GLvoid___GENPT__ func;
    ARGS_void_GLenum_GLsizei_GLsizei_GLenum_GLenum_const_GLvoid___GENPT__ args;
} PACKED_void_GLenum_GLsizei_GLsizei_GLenum_GLenum_const_GLvoid___GENPT__;
typedef struct {
    int func;
    ARGS_void_GLenum_GLsizei_GLsizei_GLenum_GLenum_const_GLvoid___GENPT__ args;
} INDEXED_void_GLenum_GLsizei_GLsizei_GLenum_GLenum_const_GLvoid___GENPT__;
typedef void (*FUNC_void_GLenum_GLenum_GLsizei_GLenum_GLenum_const_GLvoid___GENPT__)(GLenum target, GLenum internalformat, GLsizei width, GLenum format, GLenum type, const GLvoid * table);
typedef struct {
    GLenum a1;
    GLenum a2;
    GLsizei a3;
    GLenum a4;
    GLenum a5;
    GLvoid * a6;
} ARGS_void_GLenum_GLenum_GLsizei_GLenum_GLenum_const_GLvoid___GENPT__;
typedef struct {
    int format;
    FUNC_void_GLenum_GLenum_GLsizei_GLenum_GLenum_const_GLvoid___GENPT__ func;
    ARGS_void_GLenum_GLenum_GLsizei_GLenum_GLenum_const_GLvoid___GENPT__ args;
} PACKED_void_GLenum_GLenum_GLsizei_GLenum_GLenum_const_GLvoid___GENPT__;
typedef struct {
    int func;
    ARGS_void_GLenum_GLenum_GLsizei_GLenum_GLenum_const_GLvoid___GENPT__ args;
} INDEXED_void_GLenum_GLenum_GLsizei_GLenum_GLenum_const_GLvoid___GENPT__;
typedef void (*FUNC_void_GLenum_GLenum_const_GLfloat___GENPT__)(GLenum target, GLenum pname, const GLfloat * params);
typedef struct {
    GLenum a1;
    GLenum a2;
    GLfloat * a3;
} ARGS_void_GLenum_GLenum_const_GLfloat___GENPT__;
typedef struct {
    int format;
    FUNC_void_GLenum_GLenum_const_GLfloat___GENPT__ func;
    ARGS_void_GLenum_GLenum_const_GLfloat___GENPT__ args;
} PACKED_void_GLenum_GLenum_const_GLfloat___GENPT__;
typedef struct {
    int func;
    ARGS_void_GLenum_GLenum_const_GLfloat___GENPT__ args;
} INDEXED_void_GLenum_GLenum_const_GLfloat___GENPT__;
typedef void (*FUNC_void_GLenum_GLenum_const_GLint___GENPT__)(GLenum target, GLenum pname, const GLint * params);
typedef struct {
    GLenum a1;
    GLenum a2;
    GLint * a3;
} ARGS_void_GLenum_GLenum_const_GLint___GENPT__;
typedef struct {
    int format;
    FUNC_void_GLenum_GLenum_const_GLint___GENPT__ func;
    ARGS_void_GLenum_GLenum_const_GLint___GENPT__ args;
} PACKED_void_GLenum_GLenum_const_GLint___GENPT__;
typedef struct {
    int func;
    ARGS_void_GLenum_GLenum_const_GLint___GENPT__ args;
} INDEXED_void_GLenum_GLenum_const_GLint___GENPT__;
typedef void (*FUNC_void_GLenum_GLint_GLenum_GLsizei_GLint_GLsizei_const_GLvoid___GENPT__)(GLenum target, GLint level, GLenum internalformat, GLsizei width, GLint border, GLsizei imageSize, const GLvoid * data);
typedef struct {
    GLenum a1;
    GLint a2;
    GLenum a3;
    GLsizei a4;
    GLint a5;
    GLsizei a6;
    GLvoid * a7;
} ARGS_void_GLenum_GLint_GLenum_GLsizei_GLint_GLsizei_const_GLvoid___GENPT__;
typedef struct {
    int format;
    FUNC_void_GLenum_GLint_GLenum_GLsizei_GLint_GLsizei_const_GLvoid___GENPT__ func;
    ARGS_void_GLenum_GLint_GLenum_GLsizei_GLint_GLsizei_const_GLvoid___GENPT__ args;
} PACKED_void_GLenum_GLint_GLenum_GLsizei_GLint_GLsizei_const_GLvoid___GENPT__;
typedef struct {
    int func;
    ARGS_void_GLenum_GLint_GLenum_GLsizei_GLint_GLsizei_const_GLvoid___GENPT__ args;
} INDEXED_void_GLenum_GLint_GLenum_GLsizei_GLint_GLsizei_const_GLvoid___GENPT__;
typedef void (*FUNC_void_GLenum_GLint_GLenum_GLsizei_GLsizei_GLint_GLsizei_const_GLvoid___GENPT__)(GLenum target, GLint level, GLenum internalformat, GLsizei width, GLsizei height, GLint border, GLsizei imageSize, const GLvoid * data);
typedef struct {
    GLenum a1;
    GLint a2;
    GLenum a3;
    GLsizei a4;
    GLsizei a5;
    GLint a6;
    GLsizei a7;
    GLvoid * a8;
} ARGS_void_GLenum_GLint_GLenum_GLsizei_GLsizei_GLint_GLsizei_const_GLvoid___GENPT__;
typedef struct {
    int format;
    FUNC_void_GLenum_GLint_GLenum_GLsizei_GLsizei_GLint_GLsizei_const_GLvoid___GENPT__ func;
    ARGS_void_GLenum_GLint_GLenum_GLsizei_GLsizei_GLint_GLsizei_const_GLvoid___GENPT__ args;
} PACKED_void_GLenum_GLint_GLenum_GLsizei_GLsizei_GLint_GLsizei_const_GLvoid___GENPT__;
typedef struct {
    int func;
    ARGS_void_GLenum_GLint_GLenum_GLsizei_GLsizei_GLint_GLsizei_const_GLvoid___GENPT__ args;
} INDEXED_void_GLenum_GLint_GLenum_GLsizei_GLsizei_GLint_GLsizei_const_GLvoid___GENPT__;
typedef void (*FUNC_void_GLenum_GLint_GLenum_GLsizei_GLsizei_GLsizei_GLint_GLsizei_const_GLvoid___GENPT__)(GLenum target, GLint level, GLenum internalformat, GLsizei width, GLsizei height, GLsizei depth, GLint border, GLsizei imageSize, const GLvoid * data);
typedef struct {
    GLenum a1;
    GLint a2;
    GLenum a3;
    GLsizei a4;
    GLsizei a5;
    GLsizei a6;
    GLint a7;
    GLsizei a8;
    GLvoid * a9;
} ARGS_void_GLenum_GLint_GLenum_GLsizei_GLsizei_GLsizei_GLint_GLsizei_const_GLvoid___GENPT__;
typedef struct {
    int format;
    FUNC_void_GLenum_GLint_GLenum_GLsizei_GLsizei_GLsizei_GLint_GLsizei_const_GLvoid___GENPT__ func;
    ARGS_void_GLenum_GLint_GLenum_GLsizei_GLsizei_GLsizei_GLint_GLsizei_const_GLvoid___GENPT__ args;
} PACKED_void_GLenum_GLint_GLenum_GLsizei_GLsizei_GLsizei_GLint_GLsizei_const_GLvoid___GENPT__;
typedef struct {
    int func;
    ARGS_void_GLenum_GLint_GLenum_GLsizei_GLsizei_GLsizei_GLint_GLsizei_const_GLvoid___GENPT__ args;
} INDEXED_void_GLenum_GLint_GLenum_GLsizei_GLsizei_GLsizei_GLint_GLsizei_const_GLvoid___GENPT__;
typedef void (*FUNC_void_GLenum_GLint_GLint_GLsizei_GLenum_GLsizei_const_GLvoid___GENPT__)(GLenum target, GLint level, GLint xoffset, GLsizei width, GLenum format, GLsizei imageSize, const GLvoid * data);
typedef struct {
    GLenum a1;
    GLint a2;
    GLint a3;
    GLsizei a4;
    GLenum a5;
    GLsizei a6;
    GLvoid * a7;
} ARGS_void_GLenum_GLint_GLint_GLsizei_GLenum_GLsizei_const_GLvoid___GENPT__;
typedef struct {
    int format;
    FUNC_void_GLenum_GLint_GLint_GLsizei_GLenum_GLsizei_const_GLvoid___GENPT__ func;
    ARGS_void_GLenum_GLint_GLint_GLsizei_GLenum_GLsizei_const_GLvoid___GENPT__ args;
} PACKED_void_GLenum_GLint_GLint_GLsizei_GLenum_GLsizei_const_GLvoid___GENPT__;
typedef struct {
    int func;
    ARGS_void_GLenum_GLint_GLint_GLsizei_GLenum_GLsizei_const_GLvoid___GENPT__ args;
} INDEXED_void_GLenum_GLint_GLint_GLsizei_GLenum_GLsizei_const_GLvoid___GENPT__;
typedef void (*FUNC_void_GLenum_GLint_GLint_GLint_GLsizei_GLsizei_GLenum_GLsizei_const_GLvoid___GENPT__)(GLenum target, GLint level, GLint xoffset, GLint yoffset, GLsizei width, GLsizei height, GLenum format, GLsizei imageSize, const GLvoid * data);
typedef struct {
    GLenum a1;
    GLint a2;
    GLint a3;
    GLint a4;
    GLsizei a5;
    GLsizei a6;
    GLenum a7;
    GLsizei a8;
    GLvoid * a9;
} ARGS_void_GLenum_GLint_GLint_GLint_GLsizei_GLsizei_GLenum_GLsizei_const_GLvoid___GENPT__;
typedef struct {
    int format;
    FUNC_void_GLenum_GLint_GLint_GLint_GLsizei_GLsizei_GLenum_GLsizei_const_GLvoid___GENPT__ func;
    ARGS_void_GLenum_GLint_GLint_GLint_GLsizei_GLsizei_GLenum_GLsizei_const_GLvoid___GENPT__ args;
} PACKED_void_GLenum_GLint_GLint_GLint_GLsizei_GLsizei_GLenum_GLsizei_const_GLvoid___GENPT__;
typedef struct {
    int func;
    ARGS_void_GLenum_GLint_GLint_GLint_GLsizei_GLsizei_GLenum_GLsizei_const_GLvoid___GENPT__ args;
} INDEXED_void_GLenum_GLint_GLint_GLint_GLsizei_GLsizei_GLenum_GLsizei_const_GLvoid___GENPT__;
typedef void (*FUNC_void_GLenum_GLint_GLint_GLint_GLint_GLsizei_GLsizei_GLsizei_GLenum_GLsizei_const_GLvoid___GENPT__)(GLenum target, GLint level, GLint xoffset, GLint yoffset, GLint zoffset, GLsizei width, GLsizei height, GLsizei depth, GLenum format, GLsizei imageSize, const GLvoid * data);
typedef struct {
    GLenum a1;
    GLint a2;
    GLint a3;
    GLint a4;
    GLint a5;
    GLsizei a6;
    GLsizei a7;
    GLsizei a8;
    GLenum a9;
    GLsizei a10;
    GLvoid * a11;
} ARGS_void_GLenum_GLint_GLint_GLint_GLint_GLsizei_GLsizei_GLsizei_GLenum_GLsizei_const_GLvoid___GENPT__;
typedef struct {
    int format;
    FUNC_void_GLenum_GLint_GLint_GLint_GLint_GLsizei_GLsizei_GLsizei_GLenum_GLsizei_const_GLvoid___GENPT__ func;
    ARGS_void_GLenum_GLint_GLint_GLint_GLint_GLsizei_GLsizei_GLsizei_GLenum_GLsizei_const_GLvoid___GENPT__ args;
} PACKED_void_GLenum_GLint_GLint_GLint_GLint_GLsizei_GLsizei_GLsizei_GLenum_GLsizei_const_GLvoid___GENPT__;
typedef struct {
    int func;
    ARGS_void_GLenum_GLint_GLint_GLint_GLint_GLsizei_GLsizei_GLsizei_GLenum_GLsizei_const_GLvoid___GENPT__ args;
} INDEXED_void_GLenum_GLint_GLint_GLint_GLint_GLsizei_GLsizei_GLsizei_GLenum_GLsizei_const_GLvoid___GENPT__;
typedef void (*FUNC_void_GLenum_GLenum_GLsizei_GLsizei_GLenum_GLenum_const_GLvoid___GENPT__)(GLenum target, GLenum internalformat, GLsizei width, GLsizei height, GLenum format, GLenum type, const GLvoid * image);
typedef struct {
    GLenum a1;
    GLenum a2;
    GLsizei a3;
    GLsizei a4;
    GLenum a5;
    GLenum a6;
    GLvoid * a7;
} ARGS_void_GLenum_GLenum_GLsizei_GLsizei_GLenum_GLenum_const_GLvoid___GENPT__;
typedef struct {
    int format;
    FUNC_void_GLenum_GLenum_GLsizei_GLsizei_GLenum_GLenum_const_GLvoid___GENPT__ func;
    ARGS_void_GLenum_GLenum_GLsizei_GLsizei_GLenum_GLenum_const_GLvoid___GENPT__ args;
} PACKED_void_GLenum_GLenum_GLsizei_GLsizei_GLenum_GLenum_const_GLvoid___GENPT__;
typedef struct {
    int func;
    ARGS_void_GLenum_GLenum_GLsizei_GLsizei_GLenum_GLenum_const_GLvoid___GENPT__ args;
} INDEXED_void_GLenum_GLenum_GLsizei_GLsizei_GLenum_GLenum_const_GLvoid___GENPT__;
typedef void (*FUNC_void_GLenum_GLenum_GLfloat)(GLenum target, GLenum pname, GLfloat params);
typedef struct {
    GLenum a1;
    GLenum a2;
    GLfloat a3;
} ARGS_void_GLenum_GLenum_GLfloat;
typedef struct {
    int format;
    FUNC_void_GLenum_GLenum_GLfloat func;
    ARGS_void_GLenum_GLenum_GLfloat args;
} PACKED_void_GLenum_GLenum_GLfloat;
typedef struct {
    int func;
    ARGS_void_GLenum_GLenum_GLfloat args;
} INDEXED_void_GLenum_GLenum_GLfloat;
typedef void (*FUNC_void_GLenum_GLenum_GLint)(GLenum target, GLenum pname, GLint params);
typedef struct {
    GLenum a1;
    GLenum a2;
    GLint a3;
} ARGS_void_GLenum_GLenum_GLint;
typedef struct {
    int format;
    FUNC_void_GLenum_GLenum_GLint func;
    ARGS_void_GLenum_GLenum_GLint args;
} PACKED_void_GLenum_GLenum_GLint;
typedef struct {
    int func;
    ARGS_void_GLenum_GLenum_GLint args;
} INDEXED_void_GLenum_GLenum_GLint;
typedef void (*FUNC_void_GLenum_GLsizei_GLint_GLint_GLsizei)(GLenum target, GLsizei start, GLint x, GLint y, GLsizei width);
typedef struct {
    GLenum a1;
    GLsizei a2;
    GLint a3;
    GLint a4;
    GLsizei a5;
} ARGS_void_GLenum_GLsizei_GLint_GLint_GLsizei;
typedef struct {
    int format;
    FUNC_void_GLenum_GLsizei_GLint_GLint_GLsizei func;
    ARGS_void_GLenum_GLsizei_GLint_GLint_GLsizei args;
} PACKED_void_GLenum_GLsizei_GLint_GLint_GLsizei;
typedef struct {
    int func;
    ARGS_void_GLenum_GLsizei_GLint_GLint_GLsizei args;
} INDEXED_void_GLenum_GLsizei_GLint_GLint_GLsizei;
typedef void (*FUNC_void_GLenum_GLenum_GLint_GLint_GLsizei)(GLenum target, GLenum internalformat, GLint x, GLint y, GLsizei width);
typedef struct {
    GLenum a1;
    GLenum a2;
    GLint a3;
    GLint a4;
    GLsizei a5;
} ARGS_void_GLenum_GLenum_GLint_GLint_GLsizei;
typedef struct {
    int format;
    FUNC_void_GLenum_GLenum_GLint_GLint_GLsizei func;
    ARGS_void_GLenum_GLenum_GLint_GLint_GLsizei args;
} PACKED_void_GLenum_GLenum_GLint_GLint_GLsizei;
typedef struct {
    int func;
    ARGS_void_GLenum_GLenum_GLint_GLint_GLsizei args;
} INDEXED_void_GLenum_GLenum_GLint_GLint_GLsizei;
typedef void (*FUNC_void_GLenum_GLenum_GLint_GLint_GLsizei_GLsizei)(GLenum target, GLenum internalformat, GLint x, GLint y, GLsizei width, GLsizei height);
typedef struct {
    GLenum a1;
    GLenum a2;
    GLint a3;
    GLint a4;
    GLsizei a5;
    GLsizei a6;
} ARGS_void_GLenum_GLenum_GLint_GLint_GLsizei_GLsizei;
typedef struct {
    int format;
    FUNC_void_GLenum_GLenum_GLint_GLint_GLsizei_GLsizei func;
    ARGS_void_GLenum_GLenum_GLint_GLint_GLsizei_GLsizei args;
} PACKED_void_GLenum_GLenum_GLint_GLint_GLsizei_GLsizei;
typedef struct {
    int func;
    ARGS_void_GLenum_GLenum_GLint_GLint_GLsizei_GLsizei args;
} INDEXED_void_GLenum_GLenum_GLint_GLint_GLsizei_GLsizei;
typedef void (*FUNC_void_GLint_GLint_GLsizei_GLsizei_GLenum)(GLint x, GLint y, GLsizei width, GLsizei height, GLenum type);
typedef struct {
    GLint a1;
    GLint a2;
    GLsizei a3;
    GLsizei a4;
    GLenum a5;
} ARGS_void_GLint_GLint_GLsizei_GLsizei_GLenum;
typedef struct {
    int format;
    FUNC_void_GLint_GLint_GLsizei_GLsizei_GLenum func;
    ARGS_void_GLint_GLint_GLsizei_GLsizei_GLenum args;
} PACKED_void_GLint_GLint_GLsizei_GLsizei_GLenum;
typedef struct {
    int func;
    ARGS_void_GLint_GLint_GLsizei_GLsizei_GLenum args;
} INDEXED_void_GLint_GLint_GLsizei_GLsizei_GLenum;
typedef void (*FUNC_void_GLenum_GLint_GLenum_GLint_GLint_GLsizei_GLint)(GLenum target, GLint level, GLenum internalformat, GLint x, GLint y, GLsizei width, GLint border);
typedef struct {
    GLenum a1;
    GLint a2;
    GLenum a3;
    GLint a4;
    GLint a5;
    GLsizei a6;
    GLint a7;
} ARGS_void_GLenum_GLint_GLenum_GLint_GLint_GLsizei_GLint;
typedef struct {
    int format;
    FUNC_void_GLenum_GLint_GLenum_GLint_GLint_GLsizei_GLint func;
    ARGS_void_GLenum_GLint_GLenum_GLint_GLint_GLsizei_GLint args;
} PACKED_void_GLenum_GLint_GLenum_GLint_GLint_GLsizei_GLint;
typedef struct {
    int func;
    ARGS_void_GLenum_GLint_GLenum_GLint_GLint_GLsizei_GLint args;
} INDEXED_void_GLenum_GLint_GLenum_GLint_GLint_GLsizei_GLint;
typedef void (*FUNC_void_GLenum_GLint_GLenum_GLint_GLint_GLsizei_GLsizei_GLint)(GLenum target, GLint level, GLenum internalformat, GLint x, GLint y, GLsizei width, GLsizei height, GLint border);
typedef struct {
    GLenum a1;
    GLint a2;
    GLenum a3;
    GLint a4;
    GLint a5;
    GLsizei a6;
    GLsizei a7;
    GLint a8;
} ARGS_void_GLenum_GLint_GLenum_GLint_GLint_GLsizei_GLsizei_GLint;
typedef struct {
    int format;
    FUNC_void_GLenum_GLint_GLenum_GLint_GLint_GLsizei_GLsizei_GLint func;
    ARGS_void_GLenum_GLint_GLenum_GLint_GLint_GLsizei_GLsizei_GLint args;
} PACKED_void_GLenum_GLint_GLenum_GLint_GLint_GLsizei_GLsizei_GLint;
typedef struct {
    int func;
    ARGS_void_GLenum_GLint_GLenum_GLint_GLint_GLsizei_GLsizei_GLint args;
} INDEXED_void_GLenum_GLint_GLenum_GLint_GLint_GLsizei_GLsizei_GLint;
typedef void (*FUNC_void_GLenum_GLint_GLint_GLint_GLint_GLsizei)(GLenum target, GLint level, GLint xoffset, GLint x, GLint y, GLsizei width);
typedef struct {
    GLenum a1;
    GLint a2;
    GLint a3;
    GLint a4;
    GLint a5;
    GLsizei a6;
} ARGS_void_GLenum_GLint_GLint_GLint_GLint_GLsizei;
typedef struct {
    int format;
    FUNC_void_GLenum_GLint_GLint_GLint_GLint_GLsizei func;
    ARGS_void_GLenum_GLint_GLint_GLint_GLint_GLsizei args;
} PACKED_void_GLenum_GLint_GLint_GLint_GLint_GLsizei;
typedef struct {
    int func;
    ARGS_void_GLenum_GLint_GLint_GLint_GLint_GLsizei args;
} INDEXED_void_GLenum_GLint_GLint_GLint_GLint_GLsizei;
typedef void (*FUNC_void_GLenum_GLint_GLint_GLint_GLint_GLint_GLsizei_GLsizei)(GLenum target, GLint level, GLint xoffset, GLint yoffset, GLint x, GLint y, GLsizei width, GLsizei height);
typedef struct {
    GLenum a1;
    GLint a2;
    GLint a3;
    GLint a4;
    GLint a5;
    GLint a6;
    GLsizei a7;
    GLsizei a8;
} ARGS_void_GLenum_GLint_GLint_GLint_GLint_GLint_GLsizei_GLsizei;
typedef struct {
    int format;
    FUNC_void_GLenum_GLint_GLint_GLint_GLint_GLint_GLsizei_GLsizei func;
    ARGS_void_GLenum_GLint_GLint_GLint_GLint_GLint_GLsizei_GLsizei args;
} PACKED_void_GLenum_GLint_GLint_GLint_GLint_GLint_GLsizei_GLsizei;
typedef struct {
    int func;
    ARGS_void_GLenum_GLint_GLint_GLint_GLint_GLint_GLsizei_GLsizei args;
} INDEXED_void_GLenum_GLint_GLint_GLint_GLint_GLint_GLsizei_GLsizei;
typedef void (*FUNC_void_GLenum_GLint_GLint_GLint_GLint_GLint_GLint_GLsizei_GLsizei)(GLenum target, GLint level, GLint xoffset, GLint yoffset, GLint zoffset, GLint x, GLint y, GLsizei width, GLsizei height);
typedef struct {
    GLenum a1;
    GLint a2;
    GLint a3;
    GLint a4;
    GLint a5;
    GLint a6;
    GLint a7;
    GLsizei a8;
    GLsizei a9;
} ARGS_void_GLenum_GLint_GLint_GLint_GLint_GLint_GLint_GLsizei_GLsizei;
typedef struct {
    int format;
    FUNC_void_GLenum_GLint_GLint_GLint_GLint_GLint_GLint_GLsizei_GLsizei func;
    ARGS_void_GLenum_GLint_GLint_GLint_GLint_GLint_GLint_GLsizei_GLsizei args;
} PACKED_void_GLenum_GLint_GLint_GLint_GLint_GLint_GLint_GLsizei_GLsizei;
typedef struct {
    int func;
    ARGS_void_GLenum_GLint_GLint_GLint_GLint_GLint_GLint_GLsizei_GLsizei args;
} INDEXED_void_GLenum_GLint_GLint_GLint_GLint_GLint_GLint_GLsizei_GLsizei;
typedef void (*FUNC_void_GLsizei_const_GLuint___GENPT__)(GLsizei n, const GLuint * buffers);
typedef struct {
    GLsizei a1;
    GLuint * a2;
} ARGS_void_GLsizei_const_GLuint___GENPT__;
typedef struct {
    int format;
    FUNC_void_GLsizei_const_GLuint___GENPT__ func;
    ARGS_void_GLsizei_const_GLuint___GENPT__ args;
} PACKED_void_GLsizei_const_GLuint___GENPT__;
typedef struct {
    int func;
    ARGS_void_GLsizei_const_GLuint___GENPT__ args;
} INDEXED_void_GLsizei_const_GLuint___GENPT__;
typedef void (*FUNC_void_GLuint_GLsizei)(GLuint list, GLsizei range);
typedef struct {
    GLuint a1;
    GLsizei a2;
} ARGS_void_GLuint_GLsizei;
typedef struct {
    int format;
    FUNC_void_GLuint_GLsizei func;
    ARGS_void_GLuint_GLsizei args;
} PACKED_void_GLuint_GLsizei;
typedef struct {
    int func;
    ARGS_void_GLuint_GLsizei args;
} INDEXED_void_GLuint_GLsizei;
typedef void (*FUNC_void_GLboolean)(GLboolean flag);
typedef struct {
    GLboolean a1;
} ARGS_void_GLboolean;
typedef struct {
    int format;
    FUNC_void_GLboolean func;
    ARGS_void_GLboolean args;
} PACKED_void_GLboolean;
typedef struct {
    int func;
    ARGS_void_GLboolean args;
} INDEXED_void_GLboolean;
typedef void (*FUNC_void_GLdouble_GLdouble)(GLdouble near, GLdouble far);
typedef struct {
    GLdouble a1 __attribute__ ((aligned(8)));
    GLdouble a2 __attribute__ ((aligned(8)));
} ARGS_void_GLdouble_GLdouble;
typedef struct {
    int format;
    FUNC_void_GLdouble_GLdouble func;
    ARGS_void_GLdouble_GLdouble args;
} PACKED_void_GLdouble_GLdouble;
typedef struct {
    int func;
    ARGS_void_GLdouble_GLdouble args;
} INDEXED_void_GLdouble_GLdouble;
typedef void (*FUNC_void_GLenum_GLint_GLsizei)(GLenum mode, GLint first, GLsizei count);
typedef struct {
    GLenum a1;
    GLint a2;
    GLsizei a3;
} ARGS_void_GLenum_GLint_GLsizei;
typedef struct {
    int format;
    FUNC_void_GLenum_GLint_GLsizei func;
    ARGS_void_GLenum_GLint_GLsizei args;
} PACKED_void_GLenum_GLint_GLsizei;
typedef struct {
    int func;
    ARGS_void_GLenum_GLint_GLsizei args;
} INDEXED_void_GLenum_GLint_GLsizei;
typedef void (*FUNC_void_GLenum_GLsizei_GLenum_const_GLvoid___GENPT__)(GLenum mode, GLsizei count, GLenum type, const GLvoid * indices);
typedef struct {
    GLenum a1;
    GLsizei a2;
    GLenum a3;
    GLvoid * a4;
} ARGS_void_GLenum_GLsizei_GLenum_const_GLvoid___GENPT__;
typedef struct {
    int format;
    FUNC_void_GLenum_GLsizei_GLenum_const_GLvoid___GENPT__ func;
    ARGS_void_GLenum_GLsizei_GLenum_const_GLvoid___GENPT__ args;
} PACKED_void_GLenum_GLsizei_GLenum_const_GLvoid___GENPT__;
typedef struct {
    int func;
    ARGS_void_GLenum_GLsizei_GLenum_const_GLvoid___GENPT__ args;
} INDEXED_void_GLenum_GLsizei_GLenum_const_GLvoid___GENPT__;
typedef void (*FUNC_void_GLsizei_GLsizei_GLenum_GLenum_const_GLvoid___GENPT__)(GLsizei width, GLsizei height, GLenum format, GLenum type, const GLvoid * pixels);
typedef struct {
    GLsizei a1;
    GLsizei a2;
    GLenum a3;
    GLenum a4;
    GLvoid * a5;
} ARGS_void_GLsizei_GLsizei_GLenum_GLenum_const_GLvoid___GENPT__;
typedef struct {
    int format;
    FUNC_void_GLsizei_GLsizei_GLenum_GLenum_const_GLvoid___GENPT__ func;
    ARGS_void_GLsizei_GLsizei_GLenum_GLenum_const_GLvoid___GENPT__ args;
} PACKED_void_GLsizei_GLsizei_GLenum_GLenum_const_GLvoid___GENPT__;
typedef struct {
    int func;
    ARGS_void_GLsizei_GLsizei_GLenum_GLenum_const_GLvoid___GENPT__ args;
} INDEXED_void_GLsizei_GLsizei_GLenum_GLenum_const_GLvoid___GENPT__;
typedef void (*FUNC_void_GLenum_GLuint_GLuint_GLsizei_GLenum_const_GLvoid___GENPT__)(GLenum mode, GLuint start, GLuint end, GLsizei count, GLenum type, const GLvoid * indices);
typedef struct {
    GLenum a1;
    GLuint a2;
    GLuint a3;
    GLsizei a4;
    GLenum a5;
    GLvoid * a6;
} ARGS_void_GLenum_GLuint_GLuint_GLsizei_GLenum_const_GLvoid___GENPT__;
typedef struct {
    int format;
    FUNC_void_GLenum_GLuint_GLuint_GLsizei_GLenum_const_GLvoid___GENPT__ func;
    ARGS_void_GLenum_GLuint_GLuint_GLsizei_GLenum_const_GLvoid___GENPT__ args;
} PACKED_void_GLenum_GLuint_GLuint_GLsizei_GLenum_const_GLvoid___GENPT__;
typedef struct {
    int func;
    ARGS_void_GLenum_GLuint_GLuint_GLsizei_GLenum_const_GLvoid___GENPT__ args;
} INDEXED_void_GLenum_GLuint_GLuint_GLsizei_GLenum_const_GLvoid___GENPT__;
typedef void (*FUNC_void_GLsizei_const_GLvoid___GENPT__)(GLsizei stride, const GLvoid * pointer);
typedef struct {
    GLsizei a1;
    GLvoid * a2;
} ARGS_void_GLsizei_const_GLvoid___GENPT__;
typedef struct {
    int format;
    FUNC_void_GLsizei_const_GLvoid___GENPT__ func;
    ARGS_void_GLsizei_const_GLvoid___GENPT__ args;
} PACKED_void_GLsizei_const_GLvoid___GENPT__;
typedef struct {
    int func;
    ARGS_void_GLsizei_const_GLvoid___GENPT__ args;
} INDEXED_void_GLsizei_const_GLvoid___GENPT__;
typedef void (*FUNC_void_const_GLboolean___GENPT__)(const GLboolean * flag);
typedef struct {
    GLboolean * a1;
} ARGS_void_const_GLboolean___GENPT__;
typedef struct {
    int format;
    FUNC_void_const_GLboolean___GENPT__ func;
    ARGS_void_const_GLboolean___GENPT__ args;
} PACKED_void_const_GLboolean___GENPT__;
typedef struct {
    int func;
    ARGS_void_const_GLboolean___GENPT__ args;
} INDEXED_void_const_GLboolean___GENPT__;
typedef void (*FUNC_void)();
typedef struct {
    int format;
    FUNC_void func;
} PACKED_void;
typedef struct {
    int func;
} INDEXED_void;
typedef void (*FUNC_void_GLfloat_GLfloat)(GLfloat u, GLfloat v);
typedef struct {
    GLfloat a1;
    GLfloat a2;
} ARGS_void_GLfloat_GLfloat;
typedef struct {
    int format;
    FUNC_void_GLfloat_GLfloat func;
    ARGS_void_GLfloat_GLfloat args;
} PACKED_void_GLfloat_GLfloat;
typedef struct {
    int func;
    ARGS_void_GLfloat_GLfloat args;
} INDEXED_void_GLfloat_GLfloat;
typedef void (*FUNC_void_GLenum_GLint_GLint)(GLenum mode, GLint i1, GLint i2);
typedef struct {
    GLenum a1;
    GLint a2;
    GLint a3;
} ARGS_void_GLenum_GLint_GLint;
typedef struct {
    int format;
    FUNC_void_GLenum_GLint_GLint func;
    ARGS_void_GLenum_GLint_GLint args;
} PACKED_void_GLenum_GLint_GLint;
typedef struct {
    int func;
    ARGS_void_GLenum_GLint_GLint args;
} INDEXED_void_GLenum_GLint_GLint;
typedef void (*FUNC_void_GLenum_GLint_GLint_GLint_GLint)(GLenum mode, GLint i1, GLint i2, GLint j1, GLint j2);
typedef struct {
    GLenum a1;
    GLint a2;
    GLint a3;
    GLint a4;
    GLint a5;
} ARGS_void_GLenum_GLint_GLint_GLint_GLint;
typedef struct {
    int format;
    FUNC_void_GLenum_GLint_GLint_GLint_GLint func;
    ARGS_void_GLenum_GLint_GLint_GLint_GLint args;
} PACKED_void_GLenum_GLint_GLint_GLint_GLint;
typedef struct {
    int func;
    ARGS_void_GLenum_GLint_GLint_GLint_GLint args;
} INDEXED_void_GLenum_GLint_GLint_GLint_GLint;
typedef void (*FUNC_void_GLint_GLint)(GLint i, GLint j);
typedef struct {
    GLint a1;
    GLint a2;
} ARGS_void_GLint_GLint;
typedef struct {
    int format;
    FUNC_void_GLint_GLint func;
    ARGS_void_GLint_GLint args;
} PACKED_void_GLint_GLint;
typedef struct {
    int func;
    ARGS_void_GLint_GLint args;
} INDEXED_void_GLint_GLint;
typedef void (*FUNC_void_GLsizei_GLenum_GLfloat___GENPT__)(GLsizei size, GLenum type, GLfloat * buffer);
typedef struct {
    GLsizei a1;
    GLenum a2;
    GLfloat * a3;
} ARGS_void_GLsizei_GLenum_GLfloat___GENPT__;
typedef struct {
    int format;
    FUNC_void_GLsizei_GLenum_GLfloat___GENPT__ func;
    ARGS_void_GLsizei_GLenum_GLfloat___GENPT__ args;
} PACKED_void_GLsizei_GLenum_GLfloat___GENPT__;
typedef struct {
    int func;
    ARGS_void_GLsizei_GLenum_GLfloat___GENPT__ args;
} INDEXED_void_GLsizei_GLenum_GLfloat___GENPT__;
typedef void (*FUNC_void_GLenum_GLsizei_const_GLvoid___GENPT__)(GLenum type, GLsizei stride, const GLvoid * pointer);
typedef struct {
    GLenum a1;
    GLsizei a2;
    GLvoid * a3;
} ARGS_void_GLenum_GLsizei_const_GLvoid___GENPT__;
typedef struct {
    int format;
    FUNC_void_GLenum_GLsizei_const_GLvoid___GENPT__ func;
    ARGS_void_GLenum_GLsizei_const_GLvoid___GENPT__ args;
} PACKED_void_GLenum_GLsizei_const_GLvoid___GENPT__;
typedef struct {
    int func;
    ARGS_void_GLenum_GLsizei_const_GLvoid___GENPT__ args;
} INDEXED_void_GLenum_GLsizei_const_GLvoid___GENPT__;
typedef void (*FUNC_void_GLenum_const_GLfloat___GENPT__)(GLenum pname, const GLfloat * params);
typedef struct {
    GLenum a1;
    GLfloat * a2;
} ARGS_void_GLenum_const_GLfloat___GENPT__;
typedef struct {
    int format;
    FUNC_void_GLenum_const_GLfloat___GENPT__ func;
    ARGS_void_GLenum_const_GLfloat___GENPT__ args;
} PACKED_void_GLenum_const_GLfloat___GENPT__;
typedef struct {
    int func;
    ARGS_void_GLenum_const_GLfloat___GENPT__ args;
} INDEXED_void_GLenum_const_GLfloat___GENPT__;
typedef void (*FUNC_void_GLenum_GLint)(GLenum pname, GLint param);
typedef struct {
    GLenum a1;
    GLint a2;
} ARGS_void_GLenum_GLint;
typedef struct {
    int format;
    FUNC_void_GLenum_GLint func;
    ARGS_void_GLenum_GLint args;
} PACKED_void_GLenum_GLint;
typedef struct {
    int func;
    ARGS_void_GLenum_GLint args;
} INDEXED_void_GLenum_GLint;
typedef void (*FUNC_void_GLenum_const_GLint___GENPT__)(GLenum pname, const GLint * params);
typedef struct {
    GLenum a1;
    GLint * a2;
} ARGS_void_GLenum_const_GLint___GENPT__;
typedef struct {
    int format;
    FUNC_void_GLenum_const_GLint___GENPT__ func;
    ARGS_void_GLenum_const_GLint___GENPT__ args;
} PACKED_void_GLenum_const_GLint___GENPT__;
typedef struct {
    int func;
    ARGS_void_GLenum_const_GLint___GENPT__ args;
} INDEXED_void_GLenum_const_GLint___GENPT__;
typedef void (*FUNC_void_GLdouble_GLdouble_GLdouble_GLdouble_GLdouble_GLdouble)(GLdouble left, GLdouble right, GLdouble bottom, GLdouble top, GLdouble zNear, GLdouble zFar);
typedef struct {
    GLdouble a1 __attribute__ ((aligned(8)));
    GLdouble a2 __attribute__ ((aligned(8)));
    GLdouble a3 __attribute__ ((aligned(8)));
    GLdouble a4 __attribute__ ((aligned(8)));
    GLdouble a5 __attribute__ ((aligned(8)));
    GLdouble a6 __attribute__ ((aligned(8)));
} ARGS_void_GLdouble_GLdouble_GLdouble_GLdouble_GLdouble_GLdouble;
typedef struct {
    int format;
    FUNC_void_GLdouble_GLdouble_GLdouble_GLdouble_GLdouble_GLdouble func;
    ARGS_void_GLdouble_GLdouble_GLdouble_GLdouble_GLdouble_GLdouble args;
} PACKED_void_GLdouble_GLdouble_GLdouble_GLdouble_GLdouble_GLdouble;
typedef struct {
    int func;
    ARGS_void_GLdouble_GLdouble_GLdouble_GLdouble_GLdouble_GLdouble args;
} INDEXED_void_GLdouble_GLdouble_GLdouble_GLdouble_GLdouble_GLdouble;
typedef void (*FUNC_void_GLsizei_GLuint___GENPT__)(GLsizei n, GLuint * buffers);
typedef struct {
    GLsizei a1;
    GLuint * a2;
} ARGS_void_GLsizei_GLuint___GENPT__;
typedef struct {
    int format;
    FUNC_void_GLsizei_GLuint___GENPT__ func;
    ARGS_void_GLsizei_GLuint___GENPT__ args;
} PACKED_void_GLsizei_GLuint___GENPT__;
typedef struct {
    int func;
    ARGS_void_GLsizei_GLuint___GENPT__ args;
} INDEXED_void_GLsizei_GLuint___GENPT__;
typedef GLuint (*FUNC_GLuint_GLsizei)(GLsizei range);
typedef struct {
    GLsizei a1;
} ARGS_GLuint_GLsizei;
typedef struct {
    int format;
    FUNC_GLuint_GLsizei func;
    ARGS_GLuint_GLsizei args;
} PACKED_GLuint_GLsizei;
typedef struct {
    int func;
    ARGS_GLuint_GLsizei args;
} INDEXED_GLuint_GLsizei;
typedef void (*FUNC_void_GLenum_GLboolean___GENPT__)(GLenum pname, GLboolean * params);
typedef struct {
    GLenum a1;
    GLboolean * a2;
} ARGS_void_GLenum_GLboolean___GENPT__;
typedef struct {
    int format;
    FUNC_void_GLenum_GLboolean___GENPT__ func;
    ARGS_void_GLenum_GLboolean___GENPT__ args;
} PACKED_void_GLenum_GLboolean___GENPT__;
typedef struct {
    int func;
    ARGS_void_GLenum_GLboolean___GENPT__ args;
} INDEXED_void_GLenum_GLboolean___GENPT__;
typedef void (*FUNC_void_GLenum_GLenum_GLint___GENPT__)(GLenum target, GLenum pname, GLint * params);
typedef struct {
    GLenum a1;
    GLenum a2;
    GLint * a3;
} ARGS_void_GLenum_GLenum_GLint___GENPT__;
typedef struct {
    int format;
    FUNC_void_GLenum_GLenum_GLint___GENPT__ func;
    ARGS_void_GLenum_GLenum_GLint___GENPT__ args;
} PACKED_void_GLenum_GLenum_GLint___GENPT__;
typedef struct {
    int func;
    ARGS_void_GLenum_GLenum_GLint___GENPT__ args;
} INDEXED_void_GLenum_GLenum_GLint___GENPT__;
typedef void (*FUNC_void_GLenum_GLenum_GLvoid___GENPT__)(GLenum target, GLenum pname, GLvoid * params);
typedef struct {
    GLenum a1;
    GLenum a2;
    GLvoid * a3;
} ARGS_void_GLenum_GLenum_GLvoid___GENPT__;
typedef struct {
    int format;
    FUNC_void_GLenum_GLenum_GLvoid___GENPT__ func;
    ARGS_void_GLenum_GLenum_GLvoid___GENPT__ args;
} PACKED_void_GLenum_GLenum_GLvoid___GENPT__;
typedef struct {
    int func;
    ARGS_void_GLenum_GLenum_GLvoid___GENPT__ args;
} INDEXED_void_GLenum_GLenum_GLvoid___GENPT__;
typedef void (*FUNC_void_GLenum_GLintptr_GLsizeiptr_GLvoid___GENPT__)(GLenum target, GLintptr offset, GLsizeiptr size, GLvoid * data);
typedef struct {
    GLenum a1;
    GLintptr a2;
    GLsizeiptr a3;
    GLvoid * a4;
} ARGS_void_GLenum_GLintptr_GLsizeiptr_GLvoid___GENPT__;
typedef struct {
    int format;
    FUNC_void_GLenum_GLintptr_GLsizeiptr_GLvoid___GENPT__ func;
    ARGS_void_GLenum_GLintptr_GLsizeiptr_GLvoid___GENPT__ args;
} PACKED_void_GLenum_GLintptr_GLsizeiptr_GLvoid___GENPT__;
typedef struct {
    int func;
    ARGS_void_GLenum_GLintptr_GLsizeiptr_GLvoid___GENPT__ args;
} INDEXED_void_GLenum_GLintptr_GLsizeiptr_GLvoid___GENPT__;
typedef void (*FUNC_void_GLenum_GLdouble___GENPT__)(GLenum plane, GLdouble * equation);
typedef struct {
    GLenum a1;
    GLdouble * a2;
} ARGS_void_GLenum_GLdouble___GENPT__;
typedef struct {
    int format;
    FUNC_void_GLenum_GLdouble___GENPT__ func;
    ARGS_void_GLenum_GLdouble___GENPT__ args;
} PACKED_void_GLenum_GLdouble___GENPT__;
typedef struct {
    int func;
    ARGS_void_GLenum_GLdouble___GENPT__ args;
} INDEXED_void_GLenum_GLdouble___GENPT__;
typedef void (*FUNC_void_GLenum_GLenum_GLenum_GLvoid___GENPT__)(GLenum target, GLenum format, GLenum type, GLvoid * table);
typedef struct {
    GLenum a1;
    GLenum a2;
    GLenum a3;
    GLvoid * a4;
} ARGS_void_GLenum_GLenum_GLenum_GLvoid___GENPT__;
typedef struct {
    int format;
    FUNC_void_GLenum_GLenum_GLenum_GLvoid___GENPT__ func;
    ARGS_void_GLenum_GLenum_GLenum_GLvoid___GENPT__ args;
} PACKED_void_GLenum_GLenum_GLenum_GLvoid___GENPT__;
typedef struct {
    int func;
    ARGS_void_GLenum_GLenum_GLenum_GLvoid___GENPT__ args;
} INDEXED_void_GLenum_GLenum_GLenum_GLvoid___GENPT__;
typedef void (*FUNC_void_GLenum_GLenum_GLfloat___GENPT__)(GLenum target, GLenum pname, GLfloat * params);
typedef struct {
    GLenum a1;
    GLenum a2;
    GLfloat * a3;
} ARGS_void_GLenum_GLenum_GLfloat___GENPT__;
typedef struct {
    int format;
    FUNC_void_GLenum_GLenum_GLfloat___GENPT__ func;
    ARGS_void_GLenum_GLenum_GLfloat___GENPT__ args;
} PACKED_void_GLenum_GLenum_GLfloat___GENPT__;
typedef struct {
    int func;
    ARGS_void_GLenum_GLenum_GLfloat___GENPT__ args;
} INDEXED_void_GLenum_GLenum_GLfloat___GENPT__;
typedef void (*FUNC_void_GLenum_GLint_GLvoid___GENPT__)(GLenum target, GLint level, GLvoid * img);
typedef struct {
    GLenum a1;
    GLint a2;
    GLvoid * a3;
} ARGS_void_GLenum_GLint_GLvoid___GENPT__;
typedef struct {
    int format;
    FUNC_void_GLenum_GLint_GLvoid___GENPT__ func;
    ARGS_void_GLenum_GLint_GLvoid___GENPT__ args;
} PACKED_void_GLenum_GLint_GLvoid___GENPT__;
typedef struct {
    int func;
    ARGS_void_GLenum_GLint_GLvoid___GENPT__ args;
} INDEXED_void_GLenum_GLint_GLvoid___GENPT__;
typedef GLenum (*FUNC_GLenum)();
typedef struct {
    int format;
    FUNC_GLenum func;
} PACKED_GLenum;
typedef struct {
    int func;
} INDEXED_GLenum;
typedef void (*FUNC_void_GLenum_GLfloat___GENPT__)(GLenum pname, GLfloat * params);
typedef struct {
    GLenum a1;
    GLfloat * a2;
} ARGS_void_GLenum_GLfloat___GENPT__;
typedef struct {
    int format;
    FUNC_void_GLenum_GLfloat___GENPT__ func;
    ARGS_void_GLenum_GLfloat___GENPT__ args;
} PACKED_void_GLenum_GLfloat___GENPT__;
typedef struct {
    int func;
    ARGS_void_GLenum_GLfloat___GENPT__ args;
} INDEXED_void_GLenum_GLfloat___GENPT__;
typedef void (*FUNC_void_GLenum_GLboolean_GLenum_GLenum_GLvoid___GENPT__)(GLenum target, GLboolean reset, GLenum format, GLenum type, GLvoid * values);
typedef struct {
    GLenum a1;
    GLboolean a2;
    GLenum a3;
    GLenum a4;
    GLvoid * a5;
} ARGS_void_GLenum_GLboolean_GLenum_GLenum_GLvoid___GENPT__;
typedef struct {
    int format;
    FUNC_void_GLenum_GLboolean_GLenum_GLenum_GLvoid___GENPT__ func;
    ARGS_void_GLenum_GLboolean_GLenum_GLenum_GLvoid___GENPT__ args;
} PACKED_void_GLenum_GLboolean_GLenum_GLenum_GLvoid___GENPT__;
typedef struct {
    int func;
    ARGS_void_GLenum_GLboolean_GLenum_GLenum_GLvoid___GENPT__ args;
} INDEXED_void_GLenum_GLboolean_GLenum_GLenum_GLvoid___GENPT__;
typedef void (*FUNC_void_GLenum_GLint___GENPT__)(GLenum pname, GLint * params);
typedef struct {
    GLenum a1;
    GLint * a2;
} ARGS_void_GLenum_GLint___GENPT__;
typedef struct {
    int format;
    FUNC_void_GLenum_GLint___GENPT__ func;
    ARGS_void_GLenum_GLint___GENPT__ args;
} PACKED_void_GLenum_GLint___GENPT__;
typedef struct {
    int func;
    ARGS_void_GLenum_GLint___GENPT__ args;
} INDEXED_void_GLenum_GLint___GENPT__;
typedef void (*FUNC_void_GLenum_GLenum_GLdouble___GENPT__)(GLenum target, GLenum query, GLdouble * v);
typedef struct {
    GLenum a1;
    GLenum a2;
    GLdouble * a3;
} ARGS_void_GLenum_GLenum_GLdouble___GENPT__;
typedef struct {
    int format;
    FUNC_void_GLenum_GLenum_GLdouble___GENPT__ func;
    ARGS_void_GLenum_GLenum_GLdouble___GENPT__ args;
} PACKED_void_GLenum_GLenum_GLdouble___GENPT__;
typedef struct {
    int func;
    ARGS_void_GLenum_GLenum_GLdouble___GENPT__ args;
} INDEXED_void_GLenum_GLenum_GLdouble___GENPT__;
typedef void (*FUNC_void_GLenum_GLuint___GENPT__)(GLenum map, GLuint * values);
typedef struct {
    GLenum a1;
    GLuint * a2;
} ARGS_void_GLenum_GLuint___GENPT__;
typedef struct {
    int format;
    FUNC_void_GLenum_GLuint___GENPT__ func;
    ARGS_void_GLenum_GLuint___GENPT__ args;
} PACKED_void_GLenum_GLuint___GENPT__;
typedef struct {
    int func;
    ARGS_void_GLenum_GLuint___GENPT__ args;
} INDEXED_void_GLenum_GLuint___GENPT__;
typedef void (*FUNC_void_GLenum_GLushort___GENPT__)(GLenum map, GLushort * values);
typedef struct {
    GLenum a1;
    GLushort * a2;
} ARGS_void_GLenum_GLushort___GENPT__;
typedef struct {
    int format;
    FUNC_void_GLenum_GLushort___GENPT__ func;
    ARGS_void_GLenum_GLushort___GENPT__ args;
} PACKED_void_GLenum_GLushort___GENPT__;
typedef struct {
    int func;
    ARGS_void_GLenum_GLushort___GENPT__ args;
} INDEXED_void_GLenum_GLushort___GENPT__;
typedef void (*FUNC_void_GLenum_GLvoid___GENPT____GENPT__)(GLenum pname, GLvoid ** params);
typedef struct {
    GLenum a1;
    GLvoid ** a2;
} ARGS_void_GLenum_GLvoid___GENPT____GENPT__;
typedef struct {
    int format;
    FUNC_void_GLenum_GLvoid___GENPT____GENPT__ func;
    ARGS_void_GLenum_GLvoid___GENPT____GENPT__ args;
} PACKED_void_GLenum_GLvoid___GENPT____GENPT__;
typedef struct {
    int func;
    ARGS_void_GLenum_GLvoid___GENPT____GENPT__ args;
} INDEXED_void_GLenum_GLvoid___GENPT____GENPT__;
typedef void (*FUNC_void_GLubyte___GENPT__)(GLubyte * mask);
typedef struct {
    GLubyte * a1;
} ARGS_void_GLubyte___GENPT__;
typedef struct {
    int format;
    FUNC_void_GLubyte___GENPT__ func;
    ARGS_void_GLubyte___GENPT__ args;
} PACKED_void_GLubyte___GENPT__;
typedef struct {
    int func;
    ARGS_void_GLubyte___GENPT__ args;
} INDEXED_void_GLubyte___GENPT__;
typedef void (*FUNC_void_GLuint_GLenum_GLint___GENPT__)(GLuint id, GLenum pname, GLint * params);
typedef struct {
    GLuint a1;
    GLenum a2;
    GLint * a3;
} ARGS_void_GLuint_GLenum_GLint___GENPT__;
typedef struct {
    int format;
    FUNC_void_GLuint_GLenum_GLint___GENPT__ func;
    ARGS_void_GLuint_GLenum_GLint___GENPT__ args;
} PACKED_void_GLuint_GLenum_GLint___GENPT__;
typedef struct {
    int func;
    ARGS_void_GLuint_GLenum_GLint___GENPT__ args;
} INDEXED_void_GLuint_GLenum_GLint___GENPT__;
typedef void (*FUNC_void_GLuint_GLenum_GLuint___GENPT__)(GLuint id, GLenum pname, GLuint * params);
typedef struct {
    GLuint a1;
    GLenum a2;
    GLuint * a3;
} ARGS_void_GLuint_GLenum_GLuint___GENPT__;
typedef struct {
    int format;
    FUNC_void_GLuint_GLenum_GLuint___GENPT__ func;
    ARGS_void_GLuint_GLenum_GLuint___GENPT__ args;
} PACKED_void_GLuint_GLenum_GLuint___GENPT__;
typedef struct {
    int func;
    ARGS_void_GLuint_GLenum_GLuint___GENPT__ args;
} INDEXED_void_GLuint_GLenum_GLuint___GENPT__;
typedef void (*FUNC_void_GLenum_GLenum_GLenum_GLvoid___GENPT___GLvoid___GENPT___GLvoid___GENPT__)(GLenum target, GLenum format, GLenum type, GLvoid * row, GLvoid * column, GLvoid * span);
typedef struct {
    GLenum a1;
    GLenum a2;
    GLenum a3;
    GLvoid * a4;
    GLvoid * a5;
    GLvoid * a6;
} ARGS_void_GLenum_GLenum_GLenum_GLvoid___GENPT___GLvoid___GENPT___GLvoid___GENPT__;
typedef struct {
    int format;
    FUNC_void_GLenum_GLenum_GLenum_GLvoid___GENPT___GLvoid___GENPT___GLvoid___GENPT__ func;
    ARGS_void_GLenum_GLenum_GLenum_GLvoid___GENPT___GLvoid___GENPT___GLvoid___GENPT__ args;
} PACKED_void_GLenum_GLenum_GLenum_GLvoid___GENPT___GLvoid___GENPT___GLvoid___GENPT__;
typedef struct {
    int func;
    ARGS_void_GLenum_GLenum_GLenum_GLvoid___GENPT___GLvoid___GENPT___GLvoid___GENPT__ args;
} INDEXED_void_GLenum_GLenum_GLenum_GLvoid___GENPT___GLvoid___GENPT___GLvoid___GENPT__;
typedef const GLubyte * (*FUNC_const_GLubyte___GENPT___GLenum)(GLenum name);
typedef struct {
    GLenum a1;
} ARGS_const_GLubyte___GENPT___GLenum;
typedef struct {
    int format;
    FUNC_const_GLubyte___GENPT___GLenum func;
    ARGS_const_GLubyte___GENPT___GLenum args;
} PACKED_const_GLubyte___GENPT___GLenum;
typedef struct {
    int func;
    ARGS_const_GLubyte___GENPT___GLenum args;
} INDEXED_const_GLubyte___GENPT___GLenum;
typedef void (*FUNC_void_GLenum_GLint_GLenum_GLenum_GLvoid___GENPT__)(GLenum target, GLint level, GLenum format, GLenum type, GLvoid * pixels);
typedef struct {
    GLenum a1;
    GLint a2;
    GLenum a3;
    GLenum a4;
    GLvoid * a5;
} ARGS_void_GLenum_GLint_GLenum_GLenum_GLvoid___GENPT__;
typedef struct {
    int format;
    FUNC_void_GLenum_GLint_GLenum_GLenum_GLvoid___GENPT__ func;
    ARGS_void_GLenum_GLint_GLenum_GLenum_GLvoid___GENPT__ args;
} PACKED_void_GLenum_GLint_GLenum_GLenum_GLvoid___GENPT__;
typedef struct {
    int func;
    ARGS_void_GLenum_GLint_GLenum_GLenum_GLvoid___GENPT__ args;
} INDEXED_void_GLenum_GLint_GLenum_GLenum_GLvoid___GENPT__;
typedef void (*FUNC_void_GLenum_GLint_GLenum_GLfloat___GENPT__)(GLenum target, GLint level, GLenum pname, GLfloat * params);
typedef struct {
    GLenum a1;
    GLint a2;
    GLenum a3;
    GLfloat * a4;
} ARGS_void_GLenum_GLint_GLenum_GLfloat___GENPT__;
typedef struct {
    int format;
    FUNC_void_GLenum_GLint_GLenum_GLfloat___GENPT__ func;
    ARGS_void_GLenum_GLint_GLenum_GLfloat___GENPT__ args;
} PACKED_void_GLenum_GLint_GLenum_GLfloat___GENPT__;
typedef struct {
    int func;
    ARGS_void_GLenum_GLint_GLenum_GLfloat___GENPT__ args;
} INDEXED_void_GLenum_GLint_GLenum_GLfloat___GENPT__;
typedef void (*FUNC_void_GLenum_GLint_GLenum_GLint___GENPT__)(GLenum target, GLint level, GLenum pname, GLint * params);
typedef struct {
    GLenum a1;
    GLint a2;
    GLenum a3;
    GLint * a4;
} ARGS_void_GLenum_GLint_GLenum_GLint___GENPT__;
typedef struct {
    int format;
    FUNC_void_GLenum_GLint_GLenum_GLint___GENPT__ func;
    ARGS_void_GLenum_GLint_GLenum_GLint___GENPT__ args;
} PACKED_void_GLenum_GLint_GLenum_GLint___GENPT__;
typedef struct {
    int func;
    ARGS_void_GLenum_GLint_GLenum_GLint___GENPT__ args;
} INDEXED_void_GLenum_GLint_GLenum_GLint___GENPT__;
typedef void (*FUNC_void_GLenum_GLsizei_GLenum_GLboolean)(GLenum target, GLsizei width, GLenum internalformat, GLboolean sink);
typedef struct {
    GLenum a1;
    GLsizei a2;
    GLenum a3;
    GLboolean a4;
} ARGS_void_GLenum_GLsizei_GLenum_GLboolean;
typedef struct {
    int format;
    FUNC_void_GLenum_GLsizei_GLenum_GLboolean func;
    ARGS_void_GLenum_GLsizei_GLenum_GLboolean args;
} PACKED_void_GLenum_GLsizei_GLenum_GLboolean;
typedef struct {
    int func;
    ARGS_void_GLenum_GLsizei_GLenum_GLboolean args;
} INDEXED_void_GLenum_GLsizei_GLenum_GLboolean;
typedef void (*FUNC_void_GLshort)(GLshort c);
typedef struct {
    GLshort a1;
} ARGS_void_GLshort;
typedef struct {
    int format;
    FUNC_void_GLshort func;
    ARGS_void_GLshort args;
} PACKED_void_GLshort;
typedef struct {
    int func;
    ARGS_void_GLshort args;
} INDEXED_void_GLshort;
typedef void (*FUNC_void_GLubyte)(GLubyte c);
typedef struct {
    GLubyte a1;
} ARGS_void_GLubyte;
typedef struct {
    int format;
    FUNC_void_GLubyte func;
    ARGS_void_GLubyte args;
} PACKED_void_GLubyte;
typedef struct {
    int func;
    ARGS_void_GLubyte args;
} INDEXED_void_GLubyte;
typedef GLboolean (*FUNC_GLboolean_GLuint)(GLuint buffer);
typedef struct {
    GLuint a1;
} ARGS_GLboolean_GLuint;
typedef struct {
    int format;
    FUNC_GLboolean_GLuint func;
    ARGS_GLboolean_GLuint args;
} PACKED_GLboolean_GLuint;
typedef struct {
    int func;
    ARGS_GLboolean_GLuint args;
} INDEXED_GLboolean_GLuint;
typedef GLboolean (*FUNC_GLboolean_GLenum)(GLenum cap);
typedef struct {
    GLenum a1;
} ARGS_GLboolean_GLenum;
typedef struct {
    int format;
    FUNC_GLboolean_GLenum func;
    ARGS_GLboolean_GLenum args;
} PACKED_GLboolean_GLenum;
typedef struct {
    int func;
    ARGS_GLboolean_GLenum args;
} INDEXED_GLboolean_GLenum;
typedef void (*FUNC_void_GLint_GLushort)(GLint factor, GLushort pattern);
typedef struct {
    GLint a1;
    GLushort a2;
} ARGS_void_GLint_GLushort;
typedef struct {
    int format;
    FUNC_void_GLint_GLushort func;
    ARGS_void_GLint_GLushort args;
} PACKED_void_GLint_GLushort;
typedef struct {
    int func;
    ARGS_void_GLint_GLushort args;
} INDEXED_void_GLint_GLushort;
typedef void (*FUNC_void_GLenum_GLdouble_GLdouble_GLint_GLint_const_GLdouble___GENPT__)(GLenum target, GLdouble u1, GLdouble u2, GLint stride, GLint order, const GLdouble * points);
typedef struct {
    GLenum a1;
    GLdouble a2 __attribute__ ((aligned(8)));
    GLdouble a3 __attribute__ ((aligned(8)));
    GLint a4;
    GLint a5;
    GLdouble * a6;
} ARGS_void_GLenum_GLdouble_GLdouble_GLint_GLint_const_GLdouble___GENPT__;
typedef struct {
    int format;
    FUNC_void_GLenum_GLdouble_GLdouble_GLint_GLint_const_GLdouble___GENPT__ func;
    ARGS_void_GLenum_GLdouble_GLdouble_GLint_GLint_const_GLdouble___GENPT__ args;
} PACKED_void_GLenum_GLdouble_GLdouble_GLint_GLint_const_GLdouble___GENPT__;
typedef struct {
    int func;
    ARGS_void_GLenum_GLdouble_GLdouble_GLint_GLint_const_GLdouble___GENPT__ args;
} INDEXED_void_GLenum_GLdouble_GLdouble_GLint_GLint_const_GLdouble___GENPT__;
typedef void (*FUNC_void_GLenum_GLfloat_GLfloat_GLint_GLint_const_GLfloat___GENPT__)(GLenum target, GLfloat u1, GLfloat u2, GLint stride, GLint order, const GLfloat * points);
typedef struct {
    GLenum a1;
    GLfloat a2;
    GLfloat a3;
    GLint a4;
    GLint a5;
    GLfloat * a6;
} ARGS_void_GLenum_GLfloat_GLfloat_GLint_GLint_const_GLfloat___GENPT__;
typedef struct {
    int format;
    FUNC_void_GLenum_GLfloat_GLfloat_GLint_GLint_const_GLfloat___GENPT__ func;
    ARGS_void_GLenum_GLfloat_GLfloat_GLint_GLint_const_GLfloat___GENPT__ args;
} PACKED_void_GLenum_GLfloat_GLfloat_GLint_GLint_const_GLfloat___GENPT__;
typedef struct {
    int func;
    ARGS_void_GLenum_GLfloat_GLfloat_GLint_GLint_const_GLfloat___GENPT__ args;
} INDEXED_void_GLenum_GLfloat_GLfloat_GLint_GLint_const_GLfloat___GENPT__;
typedef void (*FUNC_void_GLenum_GLdouble_GLdouble_GLint_GLint_GLdouble_GLdouble_GLint_GLint_const_GLdouble___GENPT__)(GLenum target, GLdouble u1, GLdouble u2, GLint ustride, GLint uorder, GLdouble v1, GLdouble v2, GLint vstride, GLint vorder, const GLdouble * points);
typedef struct {
    GLenum a1;
    GLdouble a2 __attribute__ ((aligned(8)));
    GLdouble a3 __attribute__ ((aligned(8)));
    GLint a4;
    GLint a5;
    GLdouble a6 __attribute__ ((aligned(8)));
    GLdouble a7 __attribute__ ((aligned(8)));
    GLint a8;
    GLint a9;
    GLdouble * a10;
} ARGS_void_GLenum_GLdouble_GLdouble_GLint_GLint_GLdouble_GLdouble_GLint_GLint_const_GLdouble___GENPT__;
typedef struct {
    int format;
    FUNC_void_GLenum_GLdouble_GLdouble_GLint_GLint_GLdouble_GLdouble_GLint_GLint_const_GLdouble___GENPT__ func;
    ARGS_void_GLenum_GLdouble_GLdouble_GLint_GLint_GLdouble_GLdouble_GLint_GLint_const_GLdouble___GENPT__ args;
} PACKED_void_GLenum_GLdouble_GLdouble_GLint_GLint_GLdouble_GLdouble_GLint_GLint_const_GLdouble___GENPT__;
typedef struct {
    int func;
    ARGS_void_GLenum_GLdouble_GLdouble_GLint_GLint_GLdouble_GLdouble_GLint_GLint_const_GLdouble___GENPT__ args;
} INDEXED_void_GLenum_GLdouble_GLdouble_GLint_GLint_GLdouble_GLdouble_GLint_GLint_const_GLdouble___GENPT__;
typedef void (*FUNC_void_GLenum_GLfloat_GLfloat_GLint_GLint_GLfloat_GLfloat_GLint_GLint_const_GLfloat___GENPT__)(GLenum target, GLfloat u1, GLfloat u2, GLint ustride, GLint uorder, GLfloat v1, GLfloat v2, GLint vstride, GLint vorder, const GLfloat * points);
typedef struct {
    GLenum a1;
    GLfloat a2;
    GLfloat a3;
    GLint a4;
    GLint a5;
    GLfloat a6;
    GLfloat a7;
    GLint a8;
    GLint a9;
    GLfloat * a10;
} ARGS_void_GLenum_GLfloat_GLfloat_GLint_GLint_GLfloat_GLfloat_GLint_GLint_const_GLfloat___GENPT__;
typedef struct {
    int format;
    FUNC_void_GLenum_GLfloat_GLfloat_GLint_GLint_GLfloat_GLfloat_GLint_GLint_const_GLfloat___GENPT__ func;
    ARGS_void_GLenum_GLfloat_GLfloat_GLint_GLint_GLfloat_GLfloat_GLint_GLint_const_GLfloat___GENPT__ args;
} PACKED_void_GLenum_GLfloat_GLfloat_GLint_GLint_GLfloat_GLfloat_GLint_GLint_const_GLfloat___GENPT__;
typedef struct {
    int func;
    ARGS_void_GLenum_GLfloat_GLfloat_GLint_GLint_GLfloat_GLfloat_GLint_GLint_const_GLfloat___GENPT__ args;
} INDEXED_void_GLenum_GLfloat_GLfloat_GLint_GLint_GLfloat_GLfloat_GLint_GLint_const_GLfloat___GENPT__;
typedef GLvoid * (*FUNC_GLvoid___GENPT___GLenum_GLenum)(GLenum target, GLenum access);
typedef struct {
    GLenum a1;
    GLenum a2;
} ARGS_GLvoid___GENPT___GLenum_GLenum;
typedef struct {
    int format;
    FUNC_GLvoid___GENPT___GLenum_GLenum func;
    ARGS_GLvoid___GENPT___GLenum_GLenum args;
} PACKED_GLvoid___GENPT___GLenum_GLenum;
typedef struct {
    int func;
    ARGS_GLvoid___GENPT___GLenum_GLenum args;
} INDEXED_GLvoid___GENPT___GLenum_GLenum;
typedef void (*FUNC_void_GLint_GLdouble_GLdouble)(GLint un, GLdouble u1, GLdouble u2);
typedef struct {
    GLint a1;
    GLdouble a2 __attribute__ ((aligned(8)));
    GLdouble a3 __attribute__ ((aligned(8)));
} ARGS_void_GLint_GLdouble_GLdouble;
typedef struct {
    int format;
    FUNC_void_GLint_GLdouble_GLdouble func;
    ARGS_void_GLint_GLdouble_GLdouble args;
} PACKED_void_GLint_GLdouble_GLdouble;
typedef struct {
    int func;
    ARGS_void_GLint_GLdouble_GLdouble args;
} INDEXED_void_GLint_GLdouble_GLdouble;
typedef void (*FUNC_void_GLint_GLfloat_GLfloat)(GLint un, GLfloat u1, GLfloat u2);
typedef struct {
    GLint a1;
    GLfloat a2;
    GLfloat a3;
} ARGS_void_GLint_GLfloat_GLfloat;
typedef struct {
    int format;
    FUNC_void_GLint_GLfloat_GLfloat func;
    ARGS_void_GLint_GLfloat_GLfloat args;
} PACKED_void_GLint_GLfloat_GLfloat;
typedef struct {
    int func;
    ARGS_void_GLint_GLfloat_GLfloat args;
} INDEXED_void_GLint_GLfloat_GLfloat;
typedef void (*FUNC_void_GLint_GLdouble_GLdouble_GLint_GLdouble_GLdouble)(GLint un, GLdouble u1, GLdouble u2, GLint vn, GLdouble v1, GLdouble v2);
typedef struct {
    GLint a1;
    GLdouble a2 __attribute__ ((aligned(8)));
    GLdouble a3 __attribute__ ((aligned(8)));
    GLint a4;
    GLdouble a5 __attribute__ ((aligned(8)));
    GLdouble a6 __attribute__ ((aligned(8)));
} ARGS_void_GLint_GLdouble_GLdouble_GLint_GLdouble_GLdouble;
typedef struct {
    int format;
    FUNC_void_GLint_GLdouble_GLdouble_GLint_GLdouble_GLdouble func;
    ARGS_void_GLint_GLdouble_GLdouble_GLint_GLdouble_GLdouble args;
} PACKED_void_GLint_GLdouble_GLdouble_GLint_GLdouble_GLdouble;
typedef struct {
    int func;
    ARGS_void_GLint_GLdouble_GLdouble_GLint_GLdouble_GLdouble args;
} INDEXED_void_GLint_GLdouble_GLdouble_GLint_GLdouble_GLdouble;
typedef void (*FUNC_void_GLint_GLfloat_GLfloat_GLint_GLfloat_GLfloat)(GLint un, GLfloat u1, GLfloat u2, GLint vn, GLfloat v1, GLfloat v2);
typedef struct {
    GLint a1;
    GLfloat a2;
    GLfloat a3;
    GLint a4;
    GLfloat a5;
    GLfloat a6;
} ARGS_void_GLint_GLfloat_GLfloat_GLint_GLfloat_GLfloat;
typedef struct {
    int format;
    FUNC_void_GLint_GLfloat_GLfloat_GLint_GLfloat_GLfloat func;
    ARGS_void_GLint_GLfloat_GLfloat_GLint_GLfloat_GLfloat args;
} PACKED_void_GLint_GLfloat_GLfloat_GLint_GLfloat_GLfloat;
typedef struct {
    int func;
    ARGS_void_GLint_GLfloat_GLfloat_GLint_GLfloat_GLfloat args;
} INDEXED_void_GLint_GLfloat_GLfloat_GLint_GLfloat_GLfloat;
typedef void (*FUNC_void_GLenum_GLenum_GLboolean)(GLenum target, GLenum internalformat, GLboolean sink);
typedef struct {
    GLenum a1;
    GLenum a2;
    GLboolean a3;
} ARGS_void_GLenum_GLenum_GLboolean;
typedef struct {
    int format;
    FUNC_void_GLenum_GLenum_GLboolean func;
    ARGS_void_GLenum_GLenum_GLboolean args;
} PACKED_void_GLenum_GLenum_GLboolean;
typedef struct {
    int func;
    ARGS_void_GLenum_GLenum_GLboolean args;
} INDEXED_void_GLenum_GLenum_GLboolean;
typedef void (*FUNC_void_GLenum_const_GLint___GENPT___const_GLsizei___GENPT___GLsizei)(GLenum mode, const GLint * first, const GLsizei * count, GLsizei drawcount);
typedef struct {
    GLenum a1;
    GLint * a2;
    GLsizei * a3;
    GLsizei a4;
} ARGS_void_GLenum_const_GLint___GENPT___const_GLsizei___GENPT___GLsizei;
typedef struct {
    int format;
    FUNC_void_GLenum_const_GLint___GENPT___const_GLsizei___GENPT___GLsizei func;
    ARGS_void_GLenum_const_GLint___GENPT___const_GLsizei___GENPT___GLsizei args;
} PACKED_void_GLenum_const_GLint___GENPT___const_GLsizei___GENPT___GLsizei;
typedef struct {
    int func;
    ARGS_void_GLenum_const_GLint___GENPT___const_GLsizei___GENPT___GLsizei args;
} INDEXED_void_GLenum_const_GLint___GENPT___const_GLsizei___GENPT___GLsizei;
typedef void (*FUNC_void_GLenum_const_GLsizei___GENPT___GLenum_GLvoid__GENPT__const___GENPT___GLsizei)(GLenum mode, const GLsizei * count, GLenum type, GLvoid*const * indices, GLsizei drawcount);
typedef struct {
    GLenum a1;
    GLsizei * a2;
    GLenum a3;
    GLvoid*const * a4;
    GLsizei a5;
} ARGS_void_GLenum_const_GLsizei___GENPT___GLenum_GLvoid__GENPT__const___GENPT___GLsizei;
typedef struct {
    int format;
    FUNC_void_GLenum_const_GLsizei___GENPT___GLenum_GLvoid__GENPT__const___GENPT___GLsizei func;
    ARGS_void_GLenum_const_GLsizei___GENPT___GLenum_GLvoid__GENPT__const___GENPT___GLsizei args;
} PACKED_void_GLenum_const_GLsizei___GENPT___GLenum_GLvoid__GENPT__const___GENPT___GLsizei;
typedef struct {
    int func;
    ARGS_void_GLenum_const_GLsizei___GENPT___GLenum_GLvoid__GENPT__const___GENPT___GLsizei args;
} INDEXED_void_GLenum_const_GLsizei___GENPT___GLenum_GLvoid__GENPT__const___GENPT___GLsizei;
typedef void (*FUNC_void_GLenum_GLdouble)(GLenum target, GLdouble s);
typedef struct {
    GLenum a1;
    GLdouble a2 __attribute__ ((aligned(8)));
} ARGS_void_GLenum_GLdouble;
typedef struct {
    int format;
    FUNC_void_GLenum_GLdouble func;
    ARGS_void_GLenum_GLdouble args;
} PACKED_void_GLenum_GLdouble;
typedef struct {
    int func;
    ARGS_void_GLenum_GLdouble args;
} INDEXED_void_GLenum_GLdouble;
typedef void (*FUNC_void_GLenum_GLshort)(GLenum target, GLshort s);
typedef struct {
    GLenum a1;
    GLshort a2;
} ARGS_void_GLenum_GLshort;
typedef struct {
    int format;
    FUNC_void_GLenum_GLshort func;
    ARGS_void_GLenum_GLshort args;
} PACKED_void_GLenum_GLshort;
typedef struct {
    int func;
    ARGS_void_GLenum_GLshort args;
} INDEXED_void_GLenum_GLshort;
typedef void (*FUNC_void_GLenum_const_GLshort___GENPT__)(GLenum target, const GLshort * v);
typedef struct {
    GLenum a1;
    GLshort * a2;
} ARGS_void_GLenum_const_GLshort___GENPT__;
typedef struct {
    int format;
    FUNC_void_GLenum_const_GLshort___GENPT__ func;
    ARGS_void_GLenum_const_GLshort___GENPT__ args;
} PACKED_void_GLenum_const_GLshort___GENPT__;
typedef struct {
    int func;
    ARGS_void_GLenum_const_GLshort___GENPT__ args;
} INDEXED_void_GLenum_const_GLshort___GENPT__;
typedef void (*FUNC_void_GLenum_GLdouble_GLdouble)(GLenum target, GLdouble s, GLdouble t);
typedef struct {
    GLenum a1;
    GLdouble a2 __attribute__ ((aligned(8)));
    GLdouble a3 __attribute__ ((aligned(8)));
} ARGS_void_GLenum_GLdouble_GLdouble;
typedef struct {
    int format;
    FUNC_void_GLenum_GLdouble_GLdouble func;
    ARGS_void_GLenum_GLdouble_GLdouble args;
} PACKED_void_GLenum_GLdouble_GLdouble;
typedef struct {
    int func;
    ARGS_void_GLenum_GLdouble_GLdouble args;
} INDEXED_void_GLenum_GLdouble_GLdouble;
typedef void (*FUNC_void_GLenum_GLfloat_GLfloat)(GLenum target, GLfloat s, GLfloat t);
typedef struct {
    GLenum a1;
    GLfloat a2;
    GLfloat a3;
} ARGS_void_GLenum_GLfloat_GLfloat;
typedef struct {
    int format;
    FUNC_void_GLenum_GLfloat_GLfloat func;
    ARGS_void_GLenum_GLfloat_GLfloat args;
} PACKED_void_GLenum_GLfloat_GLfloat;
typedef struct {
    int func;
    ARGS_void_GLenum_GLfloat_GLfloat args;
} INDEXED_void_GLenum_GLfloat_GLfloat;
typedef void (*FUNC_void_GLenum_GLshort_GLshort)(GLenum target, GLshort s, GLshort t);
typedef struct {
    GLenum a1;
    GLshort a2;
    GLshort a3;
} ARGS_void_GLenum_GLshort_GLshort;
typedef struct {
    int format;
    FUNC_void_GLenum_GLshort_GLshort func;
    ARGS_void_GLenum_GLshort_GLshort args;
} PACKED_void_GLenum_GLshort_GLshort;
typedef struct {
    int func;
    ARGS_void_GLenum_GLshort_GLshort args;
} INDEXED_void_GLenum_GLshort_GLshort;
typedef void (*FUNC_void_GLenum_GLdouble_GLdouble_GLdouble)(GLenum target, GLdouble s, GLdouble t, GLdouble r);
typedef struct {
    GLenum a1;
    GLdouble a2 __attribute__ ((aligned(8)));
    GLdouble a3 __attribute__ ((aligned(8)));
    GLdouble a4 __attribute__ ((aligned(8)));
} ARGS_void_GLenum_GLdouble_GLdouble_GLdouble;
typedef struct {
    int format;
    FUNC_void_GLenum_GLdouble_GLdouble_GLdouble func;
    ARGS_void_GLenum_GLdouble_GLdouble_GLdouble args;
} PACKED_void_GLenum_GLdouble_GLdouble_GLdouble;
typedef struct {
    int func;
    ARGS_void_GLenum_GLdouble_GLdouble_GLdouble args;
} INDEXED_void_GLenum_GLdouble_GLdouble_GLdouble;
typedef void (*FUNC_void_GLenum_GLfloat_GLfloat_GLfloat)(GLenum target, GLfloat s, GLfloat t, GLfloat r);
typedef struct {
    GLenum a1;
    GLfloat a2;
    GLfloat a3;
    GLfloat a4;
} ARGS_void_GLenum_GLfloat_GLfloat_GLfloat;
typedef struct {
    int format;
    FUNC_void_GLenum_GLfloat_GLfloat_GLfloat func;
    ARGS_void_GLenum_GLfloat_GLfloat_GLfloat args;
} PACKED_void_GLenum_GLfloat_GLfloat_GLfloat;
typedef struct {
    int func;
    ARGS_void_GLenum_GLfloat_GLfloat_GLfloat args;
} INDEXED_void_GLenum_GLfloat_GLfloat_GLfloat;
typedef void (*FUNC_void_GLenum_GLint_GLint_GLint)(GLenum target, GLint s, GLint t, GLint r);
typedef struct {
    GLenum a1;
    GLint a2;
    GLint a3;
    GLint a4;
} ARGS_void_GLenum_GLint_GLint_GLint;
typedef struct {
    int format;
    FUNC_void_GLenum_GLint_GLint_GLint func;
    ARGS_void_GLenum_GLint_GLint_GLint args;
} PACKED_void_GLenum_GLint_GLint_GLint;
typedef struct {
    int func;
    ARGS_void_GLenum_GLint_GLint_GLint args;
} INDEXED_void_GLenum_GLint_GLint_GLint;
typedef void (*FUNC_void_GLenum_GLshort_GLshort_GLshort)(GLenum target, GLshort s, GLshort t, GLshort r);
typedef struct {
    GLenum a1;
    GLshort a2;
    GLshort a3;
    GLshort a4;
} ARGS_void_GLenum_GLshort_GLshort_GLshort;
typedef struct {
    int format;
    FUNC_void_GLenum_GLshort_GLshort_GLshort func;
    ARGS_void_GLenum_GLshort_GLshort_GLshort args;
} PACKED_void_GLenum_GLshort_GLshort_GLshort;
typedef struct {
    int func;
    ARGS_void_GLenum_GLshort_GLshort_GLshort args;
} INDEXED_void_GLenum_GLshort_GLshort_GLshort;
typedef void (*FUNC_void_GLenum_GLdouble_GLdouble_GLdouble_GLdouble)(GLenum target, GLdouble s, GLdouble t, GLdouble r, GLdouble q);
typedef struct {
    GLenum a1;
    GLdouble a2 __attribute__ ((aligned(8)));
    GLdouble a3 __attribute__ ((aligned(8)));
    GLdouble a4 __attribute__ ((aligned(8)));
    GLdouble a5 __attribute__ ((aligned(8)));
} ARGS_void_GLenum_GLdouble_GLdouble_GLdouble_GLdouble;
typedef struct {
    int format;
    FUNC_void_GLenum_GLdouble_GLdouble_GLdouble_GLdouble func;
    ARGS_void_GLenum_GLdouble_GLdouble_GLdouble_GLdouble args;
} PACKED_void_GLenum_GLdouble_GLdouble_GLdouble_GLdouble;
typedef struct {
    int func;
    ARGS_void_GLenum_GLdouble_GLdouble_GLdouble_GLdouble args;
} INDEXED_void_GLenum_GLdouble_GLdouble_GLdouble_GLdouble;
typedef void (*FUNC_void_GLenum_GLfloat_GLfloat_GLfloat_GLfloat)(GLenum target, GLfloat s, GLfloat t, GLfloat r, GLfloat q);
typedef struct {
    GLenum a1;
    GLfloat a2;
    GLfloat a3;
    GLfloat a4;
    GLfloat a5;
} ARGS_void_GLenum_GLfloat_GLfloat_GLfloat_GLfloat;
typedef struct {
    int format;
    FUNC_void_GLenum_GLfloat_GLfloat_GLfloat_GLfloat func;
    ARGS_void_GLenum_GLfloat_GLfloat_GLfloat_GLfloat args;
} PACKED_void_GLenum_GLfloat_GLfloat_GLfloat_GLfloat;
typedef struct {
    int func;
    ARGS_void_GLenum_GLfloat_GLfloat_GLfloat_GLfloat args;
} INDEXED_void_GLenum_GLfloat_GLfloat_GLfloat_GLfloat;
typedef void (*FUNC_void_GLenum_GLshort_GLshort_GLshort_GLshort)(GLenum target, GLshort s, GLshort t, GLshort r, GLshort q);
typedef struct {
    GLenum a1;
    GLshort a2;
    GLshort a3;
    GLshort a4;
    GLshort a5;
} ARGS_void_GLenum_GLshort_GLshort_GLshort_GLshort;
typedef struct {
    int format;
    FUNC_void_GLenum_GLshort_GLshort_GLshort_GLshort func;
    ARGS_void_GLenum_GLshort_GLshort_GLshort_GLshort args;
} PACKED_void_GLenum_GLshort_GLshort_GLshort_GLshort;
typedef struct {
    int func;
    ARGS_void_GLenum_GLshort_GLshort_GLshort_GLshort args;
} INDEXED_void_GLenum_GLshort_GLshort_GLshort_GLshort;
typedef void (*FUNC_void_GLuint_GLenum)(GLuint list, GLenum mode);
typedef struct {
    GLuint a1;
    GLenum a2;
} ARGS_void_GLuint_GLenum;
typedef struct {
    int format;
    FUNC_void_GLuint_GLenum func;
    ARGS_void_GLuint_GLenum args;
} PACKED_void_GLuint_GLenum;
typedef struct {
    int func;
    ARGS_void_GLuint_GLenum args;
} INDEXED_void_GLuint_GLenum;
typedef void (*FUNC_void_GLenum_GLsizei_const_GLfloat___GENPT__)(GLenum map, GLsizei mapsize, const GLfloat * values);
typedef struct {
    GLenum a1;
    GLsizei a2;
    GLfloat * a3;
} ARGS_void_GLenum_GLsizei_const_GLfloat___GENPT__;
typedef struct {
    int format;
    FUNC_void_GLenum_GLsizei_const_GLfloat___GENPT__ func;
    ARGS_void_GLenum_GLsizei_const_GLfloat___GENPT__ args;
} PACKED_void_GLenum_GLsizei_const_GLfloat___GENPT__;
typedef struct {
    int func;
    ARGS_void_GLenum_GLsizei_const_GLfloat___GENPT__ args;
} INDEXED_void_GLenum_GLsizei_const_GLfloat___GENPT__;
typedef void (*FUNC_void_GLenum_GLsizei_const_GLuint___GENPT__)(GLenum map, GLsizei mapsize, const GLuint * values);
typedef struct {
    GLenum a1;
    GLsizei a2;
    GLuint * a3;
} ARGS_void_GLenum_GLsizei_const_GLuint___GENPT__;
typedef struct {
    int format;
    FUNC_void_GLenum_GLsizei_const_GLuint___GENPT__ func;
    ARGS_void_GLenum_GLsizei_const_GLuint___GENPT__ args;
} PACKED_void_GLenum_GLsizei_const_GLuint___GENPT__;
typedef struct {
    int func;
    ARGS_void_GLenum_GLsizei_const_GLuint___GENPT__ args;
} INDEXED_void_GLenum_GLsizei_const_GLuint___GENPT__;
typedef void (*FUNC_void_GLenum_GLsizei_const_GLushort___GENPT__)(GLenum map, GLsizei mapsize, const GLushort * values);
typedef struct {
    GLenum a1;
    GLsizei a2;
    GLushort * a3;
} ARGS_void_GLenum_GLsizei_const_GLushort___GENPT__;
typedef struct {
    int format;
    FUNC_void_GLenum_GLsizei_const_GLushort___GENPT__ func;
    ARGS_void_GLenum_GLsizei_const_GLushort___GENPT__ args;
} PACKED_void_GLenum_GLsizei_const_GLushort___GENPT__;
typedef struct {
    int func;
    ARGS_void_GLenum_GLsizei_const_GLushort___GENPT__ args;
} INDEXED_void_GLenum_GLsizei_const_GLushort___GENPT__;
typedef void (*FUNC_void_GLsizei_const_GLuint___GENPT___const_GLfloat___GENPT__)(GLsizei n, const GLuint * textures, const GLfloat * priorities);
typedef struct {
    GLsizei a1;
    GLuint * a2;
    GLfloat * a3;
} ARGS_void_GLsizei_const_GLuint___GENPT___const_GLfloat___GENPT__;
typedef struct {
    int format;
    FUNC_void_GLsizei_const_GLuint___GENPT___const_GLfloat___GENPT__ func;
    ARGS_void_GLsizei_const_GLuint___GENPT___const_GLfloat___GENPT__ args;
} PACKED_void_GLsizei_const_GLuint___GENPT___const_GLfloat___GENPT__;
typedef struct {
    int func;
    ARGS_void_GLsizei_const_GLuint___GENPT___const_GLfloat___GENPT__ args;
} INDEXED_void_GLsizei_const_GLuint___GENPT___const_GLfloat___GENPT__;
typedef void (*FUNC_void_GLshort_GLshort)(GLshort x, GLshort y);
typedef struct {
    GLshort a1;
    GLshort a2;
} ARGS_void_GLshort_GLshort;
typedef struct {
    int format;
    FUNC_void_GLshort_GLshort func;
    ARGS_void_GLshort_GLshort args;
} PACKED_void_GLshort_GLshort;
typedef struct {
    int func;
    ARGS_void_GLshort_GLshort args;
} INDEXED_void_GLshort_GLshort;
typedef void (*FUNC_void_GLint_GLint_GLsizei_GLsizei_GLenum_GLenum_GLvoid___GENPT__)(GLint x, GLint y, GLsizei width, GLsizei height, GLenum format, GLenum type, GLvoid * pixels);
typedef struct {
    GLint a1;
    GLint a2;
    GLsizei a3;
    GLsizei a4;
    GLenum a5;
    GLenum a6;
    GLvoid * a7;
} ARGS_void_GLint_GLint_GLsizei_GLsizei_GLenum_GLenum_GLvoid___GENPT__;
typedef struct {
    int format;
    FUNC_void_GLint_GLint_GLsizei_GLsizei_GLenum_GLenum_GLvoid___GENPT__ func;
    ARGS_void_GLint_GLint_GLsizei_GLsizei_GLenum_GLenum_GLvoid___GENPT__ args;
} PACKED_void_GLint_GLint_GLsizei_GLsizei_GLenum_GLenum_GLvoid___GENPT__;
typedef struct {
    int func;
    ARGS_void_GLint_GLint_GLsizei_GLsizei_GLenum_GLenum_GLvoid___GENPT__ args;
} INDEXED_void_GLint_GLint_GLsizei_GLsizei_GLenum_GLenum_GLvoid___GENPT__;
typedef void (*FUNC_void_const_GLdouble___GENPT___const_GLdouble___GENPT__)(const GLdouble * v1, const GLdouble * v2);
typedef struct {
    GLdouble * a1;
    GLdouble * a2;
} ARGS_void_const_GLdouble___GENPT___const_GLdouble___GENPT__;
typedef struct {
    int format;
    FUNC_void_const_GLdouble___GENPT___const_GLdouble___GENPT__ func;
    ARGS_void_const_GLdouble___GENPT___const_GLdouble___GENPT__ args;
} PACKED_void_const_GLdouble___GENPT___const_GLdouble___GENPT__;
typedef struct {
    int func;
    ARGS_void_const_GLdouble___GENPT___const_GLdouble___GENPT__ args;
} INDEXED_void_const_GLdouble___GENPT___const_GLdouble___GENPT__;
typedef void (*FUNC_void_const_GLfloat___GENPT___const_GLfloat___GENPT__)(const GLfloat * v1, const GLfloat * v2);
typedef struct {
    GLfloat * a1;
    GLfloat * a2;
} ARGS_void_const_GLfloat___GENPT___const_GLfloat___GENPT__;
typedef struct {
    int format;
    FUNC_void_const_GLfloat___GENPT___const_GLfloat___GENPT__ func;
    ARGS_void_const_GLfloat___GENPT___const_GLfloat___GENPT__ args;
} PACKED_void_const_GLfloat___GENPT___const_GLfloat___GENPT__;
typedef struct {
    int func;
    ARGS_void_const_GLfloat___GENPT___const_GLfloat___GENPT__ args;
} INDEXED_void_const_GLfloat___GENPT___const_GLfloat___GENPT__;
typedef void (*FUNC_void_const_GLint___GENPT___const_GLint___GENPT__)(const GLint * v1, const GLint * v2);
typedef struct {
    GLint * a1;
    GLint * a2;
} ARGS_void_const_GLint___GENPT___const_GLint___GENPT__;
typedef struct {
    int format;
    FUNC_void_const_GLint___GENPT___const_GLint___GENPT__ func;
    ARGS_void_const_GLint___GENPT___const_GLint___GENPT__ args;
} PACKED_void_const_GLint___GENPT___const_GLint___GENPT__;
typedef struct {
    int func;
    ARGS_void_const_GLint___GENPT___const_GLint___GENPT__ args;
} INDEXED_void_const_GLint___GENPT___const_GLint___GENPT__;
typedef void (*FUNC_void_const_GLshort___GENPT___const_GLshort___GENPT__)(const GLshort * v1, const GLshort * v2);
typedef struct {
    GLshort * a1;
    GLshort * a2;
} ARGS_void_const_GLshort___GENPT___const_GLshort___GENPT__;
typedef struct {
    int format;
    FUNC_void_const_GLshort___GENPT___const_GLshort___GENPT__ func;
    ARGS_void_const_GLshort___GENPT___const_GLshort___GENPT__ args;
} PACKED_void_const_GLshort___GENPT___const_GLshort___GENPT__;
typedef struct {
    int func;
    ARGS_void_const_GLshort___GENPT___const_GLshort___GENPT__ args;
} INDEXED_void_const_GLshort___GENPT___const_GLshort___GENPT__;
typedef GLint (*FUNC_GLint_GLenum)(GLenum mode);
typedef struct {
    GLenum a1;
} ARGS_GLint_GLenum;
typedef struct {
    int format;
    FUNC_GLint_GLenum func;
    ARGS_GLint_GLenum args;
} PACKED_GLint_GLenum;
typedef struct {
    int func;
    ARGS_GLint_GLenum args;
} INDEXED_GLint_GLenum;
typedef void (*FUNC_void_GLfloat_GLboolean)(GLfloat value, GLboolean invert);
typedef struct {
    GLfloat a1;
    GLboolean a2;
} ARGS_void_GLfloat_GLboolean;
typedef struct {
    int format;
    FUNC_void_GLfloat_GLboolean func;
    ARGS_void_GLfloat_GLboolean args;
} PACKED_void_GLfloat_GLboolean;
typedef struct {
    int func;
    ARGS_void_GLfloat_GLboolean args;
} INDEXED_void_GLfloat_GLboolean;
typedef void (*FUNC_void_GLint_GLint_GLsizei_GLsizei)(GLint x, GLint y, GLsizei width, GLsizei height);
typedef struct {
    GLint a1;
    GLint a2;
    GLsizei a3;
    GLsizei a4;
} ARGS_void_GLint_GLint_GLsizei_GLsizei;
typedef struct {
    int format;
    FUNC_void_GLint_GLint_GLsizei_GLsizei func;
    ARGS_void_GLint_GLint_GLsizei_GLsizei args;
} PACKED_void_GLint_GLint_GLsizei_GLsizei;
typedef struct {
    int func;
    ARGS_void_GLint_GLint_GLsizei_GLsizei args;
} INDEXED_void_GLint_GLint_GLsizei_GLsizei;
typedef void (*FUNC_void_GLenum_GLenum_GLsizei_GLsizei_GLenum_GLenum_const_GLvoid___GENPT___const_GLvoid___GENPT__)(GLenum target, GLenum internalformat, GLsizei width, GLsizei height, GLenum format, GLenum type, const GLvoid * row, const GLvoid * column);
typedef struct {
    GLenum a1;
    GLenum a2;
    GLsizei a3;
    GLsizei a4;
    GLenum a5;
    GLenum a6;
    GLvoid * a7;
    GLvoid * a8;
} ARGS_void_GLenum_GLenum_GLsizei_GLsizei_GLenum_GLenum_const_GLvoid___GENPT___const_GLvoid___GENPT__;
typedef struct {
    int format;
    FUNC_void_GLenum_GLenum_GLsizei_GLsizei_GLenum_GLenum_const_GLvoid___GENPT___const_GLvoid___GENPT__ func;
    ARGS_void_GLenum_GLenum_GLsizei_GLsizei_GLenum_GLenum_const_GLvoid___GENPT___const_GLvoid___GENPT__ args;
} PACKED_void_GLenum_GLenum_GLsizei_GLsizei_GLenum_GLenum_const_GLvoid___GENPT___const_GLvoid___GENPT__;
typedef struct {
    int func;
    ARGS_void_GLenum_GLenum_GLsizei_GLsizei_GLenum_GLenum_const_GLvoid___GENPT___const_GLvoid___GENPT__ args;
} INDEXED_void_GLenum_GLenum_GLsizei_GLsizei_GLenum_GLenum_const_GLvoid___GENPT___const_GLvoid___GENPT__;
typedef void (*FUNC_void_GLenum_GLint_GLuint)(GLenum func, GLint ref, GLuint mask);
typedef struct {
    GLenum a1;
    GLint a2;
    GLuint a3;
} ARGS_void_GLenum_GLint_GLuint;
typedef struct {
    int format;
    FUNC_void_GLenum_GLint_GLuint func;
    ARGS_void_GLenum_GLint_GLuint args;
} PACKED_void_GLenum_GLint_GLuint;
typedef struct {
    int func;
    ARGS_void_GLenum_GLint_GLuint args;
} INDEXED_void_GLenum_GLint_GLuint;
typedef void (*FUNC_void_GLenum_GLenum_GLenum)(GLenum fail, GLenum zfail, GLenum zpass);
typedef struct {
    GLenum a1;
    GLenum a2;
    GLenum a3;
} ARGS_void_GLenum_GLenum_GLenum;
typedef struct {
    int format;
    FUNC_void_GLenum_GLenum_GLenum func;
    ARGS_void_GLenum_GLenum_GLenum args;
} PACKED_void_GLenum_GLenum_GLenum;
typedef struct {
    int func;
    ARGS_void_GLenum_GLenum_GLenum args;
} INDEXED_void_GLenum_GLenum_GLenum;
typedef void (*FUNC_void_GLenum_GLenum_GLdouble)(GLenum coord, GLenum pname, GLdouble param);
typedef struct {
    GLenum a1;
    GLenum a2;
    GLdouble a3 __attribute__ ((aligned(8)));
} ARGS_void_GLenum_GLenum_GLdouble;
typedef struct {
    int format;
    FUNC_void_GLenum_GLenum_GLdouble func;
    ARGS_void_GLenum_GLenum_GLdouble args;
} PACKED_void_GLenum_GLenum_GLdouble;
typedef struct {
    int func;
    ARGS_void_GLenum_GLenum_GLdouble args;
} INDEXED_void_GLenum_GLenum_GLdouble;
typedef void (*FUNC_void_GLenum_GLenum_const_GLdouble___GENPT__)(GLenum coord, GLenum pname, const GLdouble * params);
typedef struct {
    GLenum a1;
    GLenum a2;
    GLdouble * a3;
} ARGS_void_GLenum_GLenum_const_GLdouble___GENPT__;
typedef struct {
    int format;
    FUNC_void_GLenum_GLenum_const_GLdouble___GENPT__ func;
    ARGS_void_GLenum_GLenum_const_GLdouble___GENPT__ args;
} PACKED_void_GLenum_GLenum_const_GLdouble___GENPT__;
typedef struct {
    int func;
    ARGS_void_GLenum_GLenum_const_GLdouble___GENPT__ args;
} INDEXED_void_GLenum_GLenum_const_GLdouble___GENPT__;
typedef void (*FUNC_void_GLenum_GLint_GLint_GLsizei_GLint_GLenum_GLenum_const_GLvoid___GENPT__)(GLenum target, GLint level, GLint internalformat, GLsizei width, GLint border, GLenum format, GLenum type, const GLvoid * pixels);
typedef struct {
    GLenum a1;
    GLint a2;
    GLint a3;
    GLsizei a4;
    GLint a5;
    GLenum a6;
    GLenum a7;
    GLvoid * a8;
} ARGS_void_GLenum_GLint_GLint_GLsizei_GLint_GLenum_GLenum_const_GLvoid___GENPT__;
typedef struct {
    int format;
    FUNC_void_GLenum_GLint_GLint_GLsizei_GLint_GLenum_GLenum_const_GLvoid___GENPT__ func;
    ARGS_void_GLenum_GLint_GLint_GLsizei_GLint_GLenum_GLenum_const_GLvoid___GENPT__ args;
} PACKED_void_GLenum_GLint_GLint_GLsizei_GLint_GLenum_GLenum_const_GLvoid___GENPT__;
typedef struct {
    int func;
    ARGS_void_GLenum_GLint_GLint_GLsizei_GLint_GLenum_GLenum_const_GLvoid___GENPT__ args;
} INDEXED_void_GLenum_GLint_GLint_GLsizei_GLint_GLenum_GLenum_const_GLvoid___GENPT__;
typedef void (*FUNC_void_GLenum_GLint_GLint_GLsizei_GLsizei_GLint_GLenum_GLenum_const_GLvoid___GENPT__)(GLenum target, GLint level, GLint internalformat, GLsizei width, GLsizei height, GLint border, GLenum format, GLenum type, const GLvoid * pixels);
typedef struct {
    GLenum a1;
    GLint a2;
    GLint a3;
    GLsizei a4;
    GLsizei a5;
    GLint a6;
    GLenum a7;
    GLenum a8;
    GLvoid * a9;
} ARGS_void_GLenum_GLint_GLint_GLsizei_GLsizei_GLint_GLenum_GLenum_const_GLvoid___GENPT__;
typedef struct {
    int format;
    FUNC_void_GLenum_GLint_GLint_GLsizei_GLsizei_GLint_GLenum_GLenum_const_GLvoid___GENPT__ func;
    ARGS_void_GLenum_GLint_GLint_GLsizei_GLsizei_GLint_GLenum_GLenum_const_GLvoid___GENPT__ args;
} PACKED_void_GLenum_GLint_GLint_GLsizei_GLsizei_GLint_GLenum_GLenum_const_GLvoid___GENPT__;
typedef struct {
    int func;
    ARGS_void_GLenum_GLint_GLint_GLsizei_GLsizei_GLint_GLenum_GLenum_const_GLvoid___GENPT__ args;
} INDEXED_void_GLenum_GLint_GLint_GLsizei_GLsizei_GLint_GLenum_GLenum_const_GLvoid___GENPT__;
typedef void (*FUNC_void_GLenum_GLint_GLint_GLsizei_GLsizei_GLsizei_GLint_GLenum_GLenum_const_GLvoid___GENPT__)(GLenum target, GLint level, GLint internalformat, GLsizei width, GLsizei height, GLsizei depth, GLint border, GLenum format, GLenum type, const GLvoid * pixels);
typedef struct {
    GLenum a1;
    GLint a2;
    GLint a3;
    GLsizei a4;
    GLsizei a5;
    GLsizei a6;
    GLint a7;
    GLenum a8;
    GLenum a9;
    GLvoid * a10;
} ARGS_void_GLenum_GLint_GLint_GLsizei_GLsizei_GLsizei_GLint_GLenum_GLenum_const_GLvoid___GENPT__;
typedef struct {
    int format;
    FUNC_void_GLenum_GLint_GLint_GLsizei_GLsizei_GLsizei_GLint_GLenum_GLenum_const_GLvoid___GENPT__ func;
    ARGS_void_GLenum_GLint_GLint_GLsizei_GLsizei_GLsizei_GLint_GLenum_GLenum_const_GLvoid___GENPT__ args;
} PACKED_void_GLenum_GLint_GLint_GLsizei_GLsizei_GLsizei_GLint_GLenum_GLenum_const_GLvoid___GENPT__;
typedef struct {
    int func;
    ARGS_void_GLenum_GLint_GLint_GLsizei_GLsizei_GLsizei_GLint_GLenum_GLenum_const_GLvoid___GENPT__ args;
} INDEXED_void_GLenum_GLint_GLint_GLsizei_GLsizei_GLsizei_GLint_GLenum_GLenum_const_GLvoid___GENPT__;
typedef void (*FUNC_void_GLenum_GLint_GLint_GLsizei_GLenum_GLenum_const_GLvoid___GENPT__)(GLenum target, GLint level, GLint xoffset, GLsizei width, GLenum format, GLenum type, const GLvoid * pixels);
typedef struct {
    GLenum a1;
    GLint a2;
    GLint a3;
    GLsizei a4;
    GLenum a5;
    GLenum a6;
    GLvoid * a7;
} ARGS_void_GLenum_GLint_GLint_GLsizei_GLenum_GLenum_const_GLvoid___GENPT__;
typedef struct {
    int format;
    FUNC_void_GLenum_GLint_GLint_GLsizei_GLenum_GLenum_const_GLvoid___GENPT__ func;
    ARGS_void_GLenum_GLint_GLint_GLsizei_GLenum_GLenum_const_GLvoid___GENPT__ args;
} PACKED_void_GLenum_GLint_GLint_GLsizei_GLenum_GLenum_const_GLvoid___GENPT__;
typedef struct {
    int func;
    ARGS_void_GLenum_GLint_GLint_GLsizei_GLenum_GLenum_const_GLvoid___GENPT__ args;
} INDEXED_void_GLenum_GLint_GLint_GLsizei_GLenum_GLenum_const_GLvoid___GENPT__;
typedef void (*FUNC_void_GLenum_GLint_GLint_GLint_GLsizei_GLsizei_GLenum_GLenum_const_GLvoid___GENPT__)(GLenum target, GLint level, GLint xoffset, GLint yoffset, GLsizei width, GLsizei height, GLenum format, GLenum type, const GLvoid * pixels);
typedef struct {
    GLenum a1;
    GLint a2;
    GLint a3;
    GLint a4;
    GLsizei a5;
    GLsizei a6;
    GLenum a7;
    GLenum a8;
    GLvoid * a9;
} ARGS_void_GLenum_GLint_GLint_GLint_GLsizei_GLsizei_GLenum_GLenum_const_GLvoid___GENPT__;
typedef struct {
    int format;
    FUNC_void_GLenum_GLint_GLint_GLint_GLsizei_GLsizei_GLenum_GLenum_const_GLvoid___GENPT__ func;
    ARGS_void_GLenum_GLint_GLint_GLint_GLsizei_GLsizei_GLenum_GLenum_const_GLvoid___GENPT__ args;
} PACKED_void_GLenum_GLint_GLint_GLint_GLsizei_GLsizei_GLenum_GLenum_const_GLvoid___GENPT__;
typedef struct {
    int func;
    ARGS_void_GLenum_GLint_GLint_GLint_GLsizei_GLsizei_GLenum_GLenum_const_GLvoid___GENPT__ args;
} INDEXED_void_GLenum_GLint_GLint_GLint_GLsizei_GLsizei_GLenum_GLenum_const_GLvoid___GENPT__;
typedef void (*FUNC_void_GLenum_GLint_GLint_GLint_GLint_GLsizei_GLsizei_GLsizei_GLenum_GLenum_const_GLvoid___GENPT__)(GLenum target, GLint level, GLint xoffset, GLint yoffset, GLint zoffset, GLsizei width, GLsizei height, GLsizei depth, GLenum format, GLenum type, const GLvoid * pixels);
typedef struct {
    GLenum a1;
    GLint a2;
    GLint a3;
    GLint a4;
    GLint a5;
    GLsizei a6;
    GLsizei a7;
    GLsizei a8;
    GLenum a9;
    GLenum a10;
    GLvoid * a11;
} ARGS_void_GLenum_GLint_GLint_GLint_GLint_GLsizei_GLsizei_GLsizei_GLenum_GLenum_const_GLvoid___GENPT__;
typedef struct {
    int format;
    FUNC_void_GLenum_GLint_GLint_GLint_GLint_GLsizei_GLsizei_GLsizei_GLenum_GLenum_const_GLvoid___GENPT__ func;
    ARGS_void_GLenum_GLint_GLint_GLint_GLint_GLsizei_GLsizei_GLsizei_GLenum_GLenum_const_GLvoid___GENPT__ args;
} PACKED_void_GLenum_GLint_GLint_GLint_GLint_GLsizei_GLsizei_GLsizei_GLenum_GLenum_const_GLvoid___GENPT__;
typedef struct {
    int func;
    ARGS_void_GLenum_GLint_GLint_GLint_GLint_GLsizei_GLsizei_GLsizei_GLenum_GLenum_const_GLvoid___GENPT__ args;
} INDEXED_void_GLenum_GLint_GLint_GLint_GLint_GLsizei_GLsizei_GLsizei_GLenum_GLenum_const_GLvoid___GENPT__;
typedef int (*FUNC_int_Display___GENPT___int)(Display * dpy, int hpId);
typedef struct {
    Display * a1;
    int a2;
} ARGS_int_Display___GENPT___int;
typedef struct {
    int format;
    FUNC_int_Display___GENPT___int func;
    ARGS_int_Display___GENPT___int args;
} PACKED_int_Display___GENPT___int;
typedef struct {
    int func;
    ARGS_int_Display___GENPT___int args;
} INDEXED_int_Display___GENPT___int;
typedef void (*FUNC_void_uint32_t_uint32_t)(uint32_t window, uint32_t barrier);
typedef struct {
    uint32_t a1;
    uint32_t a2;
} ARGS_void_uint32_t_uint32_t;
typedef struct {
    int format;
    FUNC_void_uint32_t_uint32_t func;
    ARGS_void_uint32_t_uint32_t args;
} PACKED_void_uint32_t_uint32_t;
typedef struct {
    int func;
    ARGS_void_uint32_t_uint32_t args;
} INDEXED_void_uint32_t_uint32_t;
typedef void (*FUNC_void_uint32_t)(uint32_t drawable);
typedef struct {
    uint32_t a1;
} ARGS_void_uint32_t;
typedef struct {
    int format;
    FUNC_void_uint32_t func;
    ARGS_void_uint32_t args;
} PACKED_void_uint32_t;
typedef struct {
    int func;
    ARGS_void_uint32_t args;
} INDEXED_void_uint32_t;
typedef XVisualInfo * (*FUNC_XVisualInfo___GENPT___Display___GENPT___int_int___GENPT__)(Display * dpy, int screen, int * attribList);
typedef struct {
    Display * a1;
    int a2;
    int * a3;
} ARGS_XVisualInfo___GENPT___Display___GENPT___int_int___GENPT__;
typedef struct {
    int format;
    FUNC_XVisualInfo___GENPT___Display___GENPT___int_int___GENPT__ func;
    ARGS_XVisualInfo___GENPT___Display___GENPT___int_int___GENPT__ args;
} PACKED_XVisualInfo___GENPT___Display___GENPT___int_int___GENPT__;
typedef struct {
    int func;
    ARGS_XVisualInfo___GENPT___Display___GENPT___int_int___GENPT__ args;
} INDEXED_XVisualInfo___GENPT___Display___GENPT___int_int___GENPT__;
typedef void (*FUNC_void_Display___GENPT___GLXContext_GLXContext_unsigned_long)(Display * dpy, GLXContext src, GLXContext dst, unsigned long mask);
typedef struct {
    Display * a1;
    GLXContext a2;
    GLXContext a3;
    unsigned long a4;
} ARGS_void_Display___GENPT___GLXContext_GLXContext_unsigned_long;
typedef struct {
    int format;
    FUNC_void_Display___GENPT___GLXContext_GLXContext_unsigned_long func;
    ARGS_void_Display___GENPT___GLXContext_GLXContext_unsigned_long args;
} PACKED_void_Display___GENPT___GLXContext_GLXContext_unsigned_long;
typedef struct {
    int func;
    ARGS_void_Display___GENPT___GLXContext_GLXContext_unsigned_long args;
} INDEXED_void_Display___GENPT___GLXContext_GLXContext_unsigned_long;
typedef GLXContext (*FUNC_GLXContext_Display___GENPT___XVisualInfo___GENPT___GLXContext_Bool)(Display * dpy, XVisualInfo * vis, GLXContext shareList, Bool direct);
typedef struct {
    Display * a1;
    XVisualInfo * a2;
    GLXContext a3;
    Bool a4;
} ARGS_GLXContext_Display___GENPT___XVisualInfo___GENPT___GLXContext_Bool;
typedef struct {
    int format;
    FUNC_GLXContext_Display___GENPT___XVisualInfo___GENPT___GLXContext_Bool func;
    ARGS_GLXContext_Display___GENPT___XVisualInfo___GENPT___GLXContext_Bool args;
} PACKED_GLXContext_Display___GENPT___XVisualInfo___GENPT___GLXContext_Bool;
typedef struct {
    int func;
    ARGS_GLXContext_Display___GENPT___XVisualInfo___GENPT___GLXContext_Bool args;
} INDEXED_GLXContext_Display___GENPT___XVisualInfo___GENPT___GLXContext_Bool;
typedef GLXContext (*FUNC_GLXContext_Display___GENPT___void___GENPT___GLXContext_Bool_const_int___GENPT__)(Display * display, void * config, GLXContext share_context, Bool direct, const int * attrib_list);
typedef struct {
    Display * a1;
    void * a2;
    GLXContext a3;
    Bool a4;
    int * a5;
} ARGS_GLXContext_Display___GENPT___void___GENPT___GLXContext_Bool_const_int___GENPT__;
typedef struct {
    int format;
    FUNC_GLXContext_Display___GENPT___void___GENPT___GLXContext_Bool_const_int___GENPT__ func;
    ARGS_GLXContext_Display___GENPT___void___GENPT___GLXContext_Bool_const_int___GENPT__ args;
} PACKED_GLXContext_Display___GENPT___void___GENPT___GLXContext_Bool_const_int___GENPT__;
typedef struct {
    int func;
    ARGS_GLXContext_Display___GENPT___void___GENPT___GLXContext_Bool_const_int___GENPT__ args;
} INDEXED_GLXContext_Display___GENPT___void___GENPT___GLXContext_Bool_const_int___GENPT__;
typedef void (*FUNC_void_uint32_t_uint32_t_uint32_t_uint32_t)(uint32_t gc_id, uint32_t screen, uint32_t config, uint32_t share_list);
typedef struct {
    uint32_t a1;
    uint32_t a2;
    uint32_t a3;
    uint32_t a4;
} ARGS_void_uint32_t_uint32_t_uint32_t_uint32_t;
typedef struct {
    int format;
    FUNC_void_uint32_t_uint32_t_uint32_t_uint32_t func;
    ARGS_void_uint32_t_uint32_t_uint32_t_uint32_t args;
} PACKED_void_uint32_t_uint32_t_uint32_t_uint32_t;
typedef struct {
    int func;
    ARGS_void_uint32_t_uint32_t_uint32_t_uint32_t args;
} INDEXED_void_uint32_t_uint32_t_uint32_t_uint32_t;
typedef GLXPixmap (*FUNC_GLXPixmap_Display___GENPT___XVisualInfo___GENPT___Pixmap)(Display * dpy, XVisualInfo * visual, Pixmap pixmap);
typedef struct {
    Display * a1;
    XVisualInfo * a2;
    Pixmap a3;
} ARGS_GLXPixmap_Display___GENPT___XVisualInfo___GENPT___Pixmap;
typedef struct {
    int format;
    FUNC_GLXPixmap_Display___GENPT___XVisualInfo___GENPT___Pixmap func;
    ARGS_GLXPixmap_Display___GENPT___XVisualInfo___GENPT___Pixmap args;
} PACKED_GLXPixmap_Display___GENPT___XVisualInfo___GENPT___Pixmap;
typedef struct {
    int func;
    ARGS_GLXPixmap_Display___GENPT___XVisualInfo___GENPT___Pixmap args;
} INDEXED_GLXPixmap_Display___GENPT___XVisualInfo___GENPT___Pixmap;
typedef void (*FUNC_void_uint32_t_uint32_t_uint32_t)(uint32_t config, uint32_t pixmap, uint32_t glxpixmap);
typedef struct {
    uint32_t a1;
    uint32_t a2;
    uint32_t a3;
} ARGS_void_uint32_t_uint32_t_uint32_t;
typedef struct {
    int format;
    FUNC_void_uint32_t_uint32_t_uint32_t func;
    ARGS_void_uint32_t_uint32_t_uint32_t args;
} PACKED_void_uint32_t_uint32_t_uint32_t;
typedef struct {
    int func;
    ARGS_void_uint32_t_uint32_t_uint32_t args;
} INDEXED_void_uint32_t_uint32_t_uint32_t;
typedef void (*FUNC_void_Display___GENPT___uint32_t_uint32_t_uint32_t_uint32_t_uint32_t)(Display * dpy, uint32_t screen, uint32_t server, uint32_t path, uint32_t class, uint32_t node);
typedef struct {
    Display * a1;
    uint32_t a2;
    uint32_t a3;
    uint32_t a4;
    uint32_t a5;
    uint32_t a6;
} ARGS_void_Display___GENPT___uint32_t_uint32_t_uint32_t_uint32_t_uint32_t;
typedef struct {
    int format;
    FUNC_void_Display___GENPT___uint32_t_uint32_t_uint32_t_uint32_t_uint32_t func;
    ARGS_void_Display___GENPT___uint32_t_uint32_t_uint32_t_uint32_t_uint32_t args;
} PACKED_void_Display___GENPT___uint32_t_uint32_t_uint32_t_uint32_t_uint32_t;
typedef struct {
    int func;
    ARGS_void_Display___GENPT___uint32_t_uint32_t_uint32_t_uint32_t_uint32_t args;
} INDEXED_void_Display___GENPT___uint32_t_uint32_t_uint32_t_uint32_t_uint32_t;
typedef void (*FUNC_void_Display___GENPT___GLXContext)(Display * dpy, GLXContext ctx);
typedef struct {
    Display * a1;
    GLXContext a2;
} ARGS_void_Display___GENPT___GLXContext;
typedef struct {
    int format;
    FUNC_void_Display___GENPT___GLXContext func;
    ARGS_void_Display___GENPT___GLXContext args;
} PACKED_void_Display___GENPT___GLXContext;
typedef struct {
    int func;
    ARGS_void_Display___GENPT___GLXContext args;
} INDEXED_void_Display___GENPT___GLXContext;
typedef void (*FUNC_void_Display___GENPT___GLXPixmap)(Display * dpy, GLXPixmap pixmap);
typedef struct {
    Display * a1;
    GLXPixmap a2;
} ARGS_void_Display___GENPT___GLXPixmap;
typedef struct {
    int format;
    FUNC_void_Display___GENPT___GLXPixmap func;
    ARGS_void_Display___GENPT___GLXPixmap args;
} PACKED_void_Display___GENPT___GLXPixmap;
typedef struct {
    int func;
    ARGS_void_Display___GENPT___GLXPixmap args;
} INDEXED_void_Display___GENPT___GLXPixmap;
typedef void (*FUNC_void_Display___GENPT___uint32_t)(Display * dpy, uint32_t glxvideosource);
typedef struct {
    Display * a1;
    uint32_t a2;
} ARGS_void_Display___GENPT___uint32_t;
typedef struct {
    int format;
    FUNC_void_Display___GENPT___uint32_t func;
    ARGS_void_Display___GENPT___uint32_t args;
} PACKED_void_Display___GENPT___uint32_t;
typedef struct {
    int func;
    ARGS_void_Display___GENPT___uint32_t args;
} INDEXED_void_Display___GENPT___uint32_t;
typedef const char * (*FUNC_const_char___GENPT___Display___GENPT___int)(Display * display, int name);
typedef struct {
    Display * a1;
    int a2;
} ARGS_const_char___GENPT___Display___GENPT___int;
typedef struct {
    int format;
    FUNC_const_char___GENPT___Display___GENPT___int func;
    ARGS_const_char___GENPT___Display___GENPT___int args;
} PACKED_const_char___GENPT___Display___GENPT___int;
typedef struct {
    int func;
    ARGS_const_char___GENPT___Display___GENPT___int args;
} INDEXED_const_char___GENPT___Display___GENPT___int;
typedef int (*FUNC_int_Display___GENPT___XVisualInfo___GENPT___int_int___GENPT__)(Display * display, XVisualInfo * visual, int attribute, int * value);
typedef struct {
    Display * a1;
    XVisualInfo * a2;
    int a3;
    int * a4;
} ARGS_int_Display___GENPT___XVisualInfo___GENPT___int_int___GENPT__;
typedef struct {
    int format;
    FUNC_int_Display___GENPT___XVisualInfo___GENPT___int_int___GENPT__ func;
    ARGS_int_Display___GENPT___XVisualInfo___GENPT___int_int___GENPT__ args;
} PACKED_int_Display___GENPT___XVisualInfo___GENPT___int_int___GENPT__;
typedef struct {
    int func;
    ARGS_int_Display___GENPT___XVisualInfo___GENPT___int_int___GENPT__ args;
} INDEXED_int_Display___GENPT___XVisualInfo___GENPT___int_int___GENPT__;
typedef GLXContext (*FUNC_GLXContext)();
typedef struct {
    int format;
    FUNC_GLXContext func;
} PACKED_GLXContext;
typedef struct {
    int func;
} INDEXED_GLXContext;
typedef GLXDrawable (*FUNC_GLXDrawable)();
typedef struct {
    int format;
    FUNC_GLXDrawable func;
} PACKED_GLXDrawable;
typedef struct {
    int func;
} INDEXED_GLXDrawable;
typedef int (*FUNC_int_Display___GENPT___int_int_int_const_void___GENPT__)(Display * dpy, int timeSlice, int attrib, int size, const void * attribList);
typedef struct {
    Display * a1;
    int a2;
    int a3;
    int a4;
    void * a5;
} ARGS_int_Display___GENPT___int_int_int_const_void___GENPT__;
typedef struct {
    int format;
    FUNC_int_Display___GENPT___int_int_int_const_void___GENPT__ func;
    ARGS_int_Display___GENPT___int_int_int_const_void___GENPT__ args;
} PACKED_int_Display___GENPT___int_int_int_const_void___GENPT__;
typedef struct {
    int func;
    ARGS_int_Display___GENPT___int_int_int_const_void___GENPT__ args;
} INDEXED_int_Display___GENPT___int_int_int_const_void___GENPT__;
typedef int (*FUNC_int_Display___GENPT___int_int_GLXHyperpipeConfigSGIX_int___GENPT__)(Display * dpy, int networkId, int npipes, GLXHyperpipeConfigSGIX cfg, int * hpId);
typedef struct {
    Display * a1;
    int a2;
    int a3;
    GLXHyperpipeConfigSGIX a4;
    int * a5;
} ARGS_int_Display___GENPT___int_int_GLXHyperpipeConfigSGIX_int___GENPT__;
typedef struct {
    int format;
    FUNC_int_Display___GENPT___int_int_GLXHyperpipeConfigSGIX_int___GENPT__ func;
    ARGS_int_Display___GENPT___int_int_GLXHyperpipeConfigSGIX_int___GENPT__ args;
} PACKED_int_Display___GENPT___int_int_GLXHyperpipeConfigSGIX_int___GENPT__;
typedef struct {
    int func;
    ARGS_int_Display___GENPT___int_int_GLXHyperpipeConfigSGIX_int___GENPT__ args;
} INDEXED_int_Display___GENPT___int_int_GLXHyperpipeConfigSGIX_int___GENPT__;
typedef Bool (*FUNC_Bool_Display___GENPT___GLXContext)(Display * dpy, GLXContext ctx);
typedef struct {
    Display * a1;
    GLXContext a2;
} ARGS_Bool_Display___GENPT___GLXContext;
typedef struct {
    int format;
    FUNC_Bool_Display___GENPT___GLXContext func;
    ARGS_Bool_Display___GENPT___GLXContext args;
} PACKED_Bool_Display___GENPT___GLXContext;
typedef struct {
    int func;
    ARGS_Bool_Display___GENPT___GLXContext args;
} INDEXED_Bool_Display___GENPT___GLXContext;
typedef Bool (*FUNC_Bool_Display___GENPT___GLXDrawable_GLXContext)(Display * dpy, GLXDrawable drawable, GLXContext ctx);
typedef struct {
    Display * a1;
    GLXDrawable a2;
    GLXContext a3;
} ARGS_Bool_Display___GENPT___GLXDrawable_GLXContext;
typedef struct {
    int format;
    FUNC_Bool_Display___GENPT___GLXDrawable_GLXContext func;
    ARGS_Bool_Display___GENPT___GLXDrawable_GLXContext args;
} PACKED_Bool_Display___GENPT___GLXDrawable_GLXContext;
typedef struct {
    int func;
    ARGS_Bool_Display___GENPT___GLXDrawable_GLXContext args;
} INDEXED_Bool_Display___GENPT___GLXDrawable_GLXContext;
typedef Bool (*FUNC_Bool_Display___GENPT___int___GENPT___int___GENPT__)(Display * display, int * errorBase, int * eventBase);
typedef struct {
    Display * a1;
    int * a2;
    int * a3;
} ARGS_Bool_Display___GENPT___int___GENPT___int___GENPT__;
typedef struct {
    int format;
    FUNC_Bool_Display___GENPT___int___GENPT___int___GENPT__ func;
    ARGS_Bool_Display___GENPT___int___GENPT___int___GENPT__ args;
} PACKED_Bool_Display___GENPT___int___GENPT___int___GENPT__;
typedef struct {
    int func;
    ARGS_Bool_Display___GENPT___int___GENPT___int___GENPT__ args;
} INDEXED_Bool_Display___GENPT___int___GENPT___int___GENPT__;
typedef int (*FUNC_int_Display___GENPT___int_int_int_const_void___GENPT___void___GENPT__)(Display * dpy, int timeSlice, int attrib, int size, const void * attribList, void * returnAttribList);
typedef struct {
    Display * a1;
    int a2;
    int a3;
    int a4;
    void * a5;
    void * a6;
} ARGS_int_Display___GENPT___int_int_int_const_void___GENPT___void___GENPT__;
typedef struct {
    int format;
    FUNC_int_Display___GENPT___int_int_int_const_void___GENPT___void___GENPT__ func;
    ARGS_int_Display___GENPT___int_int_int_const_void___GENPT___void___GENPT__ args;
} PACKED_int_Display___GENPT___int_int_int_const_void___GENPT___void___GENPT__;
typedef struct {
    int func;
    ARGS_int_Display___GENPT___int_int_int_const_void___GENPT___void___GENPT__ args;
} INDEXED_int_Display___GENPT___int_int_int_const_void___GENPT___void___GENPT__;
typedef GLXHyperpipeConfigSGIX * (*FUNC_GLXHyperpipeConfigSGIX___GENPT___Display___GENPT___int_int___GENPT__)(Display * dpy, int hpId, int * npipes);
typedef struct {
    Display * a1;
    int a2;
    int * a3;
} ARGS_GLXHyperpipeConfigSGIX___GENPT___Display___GENPT___int_int___GENPT__;
typedef struct {
    int format;
    FUNC_GLXHyperpipeConfigSGIX___GENPT___Display___GENPT___int_int___GENPT__ func;
    ARGS_GLXHyperpipeConfigSGIX___GENPT___Display___GENPT___int_int___GENPT__ args;
} PACKED_GLXHyperpipeConfigSGIX___GENPT___Display___GENPT___int_int___GENPT__;
typedef struct {
    int func;
    ARGS_GLXHyperpipeConfigSGIX___GENPT___Display___GENPT___int_int___GENPT__ args;
} INDEXED_GLXHyperpipeConfigSGIX___GENPT___Display___GENPT___int_int___GENPT__;
typedef GLXHyperpipeNetworkSGIX * (*FUNC_GLXHyperpipeNetworkSGIX___GENPT___Display___GENPT___int___GENPT__)(Display * dpy, int * npipes);
typedef struct {
    Display * a1;
    int * a2;
} ARGS_GLXHyperpipeNetworkSGIX___GENPT___Display___GENPT___int___GENPT__;
typedef struct {
    int format;
    FUNC_GLXHyperpipeNetworkSGIX___GENPT___Display___GENPT___int___GENPT__ func;
    ARGS_GLXHyperpipeNetworkSGIX___GENPT___Display___GENPT___int___GENPT__ args;
} PACKED_GLXHyperpipeNetworkSGIX___GENPT___Display___GENPT___int___GENPT__;
typedef struct {
    int func;
    ARGS_GLXHyperpipeNetworkSGIX___GENPT___Display___GENPT___int___GENPT__ args;
} INDEXED_GLXHyperpipeNetworkSGIX___GENPT___Display___GENPT___int___GENPT__;
typedef const char * (*FUNC_const_char___GENPT___Display___GENPT___int_int)(Display * dpy, int screen, int name);
typedef struct {
    Display * a1;
    int a2;
    int a3;
} ARGS_const_char___GENPT___Display___GENPT___int_int;
typedef struct {
    int format;
    FUNC_const_char___GENPT___Display___GENPT___int_int func;
    ARGS_const_char___GENPT___Display___GENPT___int_int args;
} PACKED_const_char___GENPT___Display___GENPT___int_int;
typedef struct {
    int func;
    ARGS_const_char___GENPT___Display___GENPT___int_int args;
} INDEXED_const_char___GENPT___Display___GENPT___int_int;
typedef Bool (*FUNC_Bool_Display___GENPT___GLXDrawable)(Display * dpy, GLXDrawable drawable);
typedef struct {
    Display * a1;
    GLXDrawable a2;
} ARGS_Bool_Display___GENPT___GLXDrawable;
typedef struct {
    int format;
    FUNC_Bool_Display___GENPT___GLXDrawable func;
    ARGS_Bool_Display___GENPT___GLXDrawable args;
} PACKED_Bool_Display___GENPT___GLXDrawable;
typedef struct {
    int func;
    ARGS_Bool_Display___GENPT___GLXDrawable args;
} INDEXED_Bool_Display___GENPT___GLXDrawable;
typedef void (*FUNC_void_Display___GENPT___GLXDrawable)(Display * dpy, GLXDrawable drawable);
typedef struct {
    Display * a1;
    GLXDrawable a2;
} ARGS_void_Display___GENPT___GLXDrawable;
typedef struct {
    int format;
    FUNC_void_Display___GENPT___GLXDrawable func;
    ARGS_void_Display___GENPT___GLXDrawable args;
} PACKED_void_Display___GENPT___GLXDrawable;
typedef struct {
    int func;
    ARGS_void_Display___GENPT___GLXDrawable args;
} INDEXED_void_Display___GENPT___GLXDrawable;
typedef int (*FUNC_int_unsigned_int)(unsigned int interval);
typedef struct {
    unsigned int a1;
} ARGS_int_unsigned_int;
typedef struct {
    int format;
    FUNC_int_unsigned_int func;
    ARGS_int_unsigned_int args;
} PACKED_int_unsigned_int;
typedef struct {
    int func;
    ARGS_int_unsigned_int args;
} INDEXED_int_unsigned_int;
typedef void (*FUNC_void_unsigned_int)(unsigned int interval);
typedef struct {
    unsigned int a1;
} ARGS_void_unsigned_int;
typedef struct {
    int format;
    FUNC_void_unsigned_int func;
    ARGS_void_unsigned_int args;
} PACKED_void_unsigned_int;
typedef struct {
    int func;
    ARGS_void_unsigned_int args;
} INDEXED_void_unsigned_int;
typedef void (*FUNC_void_Font_int_int_int)(Font font, int first, int count, int list);
typedef struct {
    Font a1;
    int a2;
    int a3;
    int a4;
} ARGS_void_Font_int_int_int;
typedef struct {
    int format;
    FUNC_void_Font_int_int_int func;
    ARGS_void_Font_int_int_int args;
} PACKED_void_Font_int_int_int;
typedef struct {
    int func;
    ARGS_void_Font_int_int_int args;
} INDEXED_void_Font_int_int_int;
typedef GLXFBConfig * (*FUNC_GLXFBConfig___GENPT___Display___GENPT___int_const_int___GENPT___int___GENPT__)(Display * dpy, int screen, const int * attrib_list, int * nelements);
typedef struct {
    Display * a1;
    int a2;
    int * a3;
    int * a4;
} ARGS_GLXFBConfig___GENPT___Display___GENPT___int_const_int___GENPT___int___GENPT__;
typedef struct {
    int format;
    FUNC_GLXFBConfig___GENPT___Display___GENPT___int_const_int___GENPT___int___GENPT__ func;
    ARGS_GLXFBConfig___GENPT___Display___GENPT___int_const_int___GENPT___int___GENPT__ args;
} PACKED_GLXFBConfig___GENPT___Display___GENPT___int_const_int___GENPT___int___GENPT__;
typedef struct {
    int func;
    ARGS_GLXFBConfig___GENPT___Display___GENPT___int_const_int___GENPT___int___GENPT__ args;
} INDEXED_GLXFBConfig___GENPT___Display___GENPT___int_const_int___GENPT___int___GENPT__;
typedef GLXContext (*FUNC_GLXContext_Display___GENPT___GLXFBConfig_int_GLXContext_Bool)(Display * dpy, GLXFBConfig config, int render_type, GLXContext share_list, Bool direct);
typedef struct {
    Display * a1;
    GLXFBConfig a2;
    int a3;
    GLXContext a4;
    Bool a5;
} ARGS_GLXContext_Display___GENPT___GLXFBConfig_int_GLXContext_Bool;
typedef struct {
    int format;
    FUNC_GLXContext_Display___GENPT___GLXFBConfig_int_GLXContext_Bool func;
    ARGS_GLXContext_Display___GENPT___GLXFBConfig_int_GLXContext_Bool args;
} PACKED_GLXContext_Display___GENPT___GLXFBConfig_int_GLXContext_Bool;
typedef struct {
    int func;
    ARGS_GLXContext_Display___GENPT___GLXFBConfig_int_GLXContext_Bool args;
} INDEXED_GLXContext_Display___GENPT___GLXFBConfig_int_GLXContext_Bool;
typedef GLXPbuffer (*FUNC_GLXPbuffer_Display___GENPT___GLXFBConfig_const_int___GENPT__)(Display * dpy, GLXFBConfig config, const int * attrib_list);
typedef struct {
    Display * a1;
    GLXFBConfig a2;
    int * a3;
} ARGS_GLXPbuffer_Display___GENPT___GLXFBConfig_const_int___GENPT__;
typedef struct {
    int format;
    FUNC_GLXPbuffer_Display___GENPT___GLXFBConfig_const_int___GENPT__ func;
    ARGS_GLXPbuffer_Display___GENPT___GLXFBConfig_const_int___GENPT__ args;
} PACKED_GLXPbuffer_Display___GENPT___GLXFBConfig_const_int___GENPT__;
typedef struct {
    int func;
    ARGS_GLXPbuffer_Display___GENPT___GLXFBConfig_const_int___GENPT__ args;
} INDEXED_GLXPbuffer_Display___GENPT___GLXFBConfig_const_int___GENPT__;
typedef GLXPixmap (*FUNC_GLXPixmap_Display___GENPT___GLXFBConfig_Pixmap_const_int___GENPT__)(Display * dpy, GLXFBConfig config, Pixmap pixmap, const int * attrib_list);
typedef struct {
    Display * a1;
    GLXFBConfig a2;
    Pixmap a3;
    int * a4;
} ARGS_GLXPixmap_Display___GENPT___GLXFBConfig_Pixmap_const_int___GENPT__;
typedef struct {
    int format;
    FUNC_GLXPixmap_Display___GENPT___GLXFBConfig_Pixmap_const_int___GENPT__ func;
    ARGS_GLXPixmap_Display___GENPT___GLXFBConfig_Pixmap_const_int___GENPT__ args;
} PACKED_GLXPixmap_Display___GENPT___GLXFBConfig_Pixmap_const_int___GENPT__;
typedef struct {
    int func;
    ARGS_GLXPixmap_Display___GENPT___GLXFBConfig_Pixmap_const_int___GENPT__ args;
} INDEXED_GLXPixmap_Display___GENPT___GLXFBConfig_Pixmap_const_int___GENPT__;
typedef GLXWindow (*FUNC_GLXWindow_Display___GENPT___GLXFBConfig_Window_const_int___GENPT__)(Display * dpy, GLXFBConfig config, Window win, const int * attrib_list);
typedef struct {
    Display * a1;
    GLXFBConfig a2;
    Window a3;
    int * a4;
} ARGS_GLXWindow_Display___GENPT___GLXFBConfig_Window_const_int___GENPT__;
typedef struct {
    int format;
    FUNC_GLXWindow_Display___GENPT___GLXFBConfig_Window_const_int___GENPT__ func;
    ARGS_GLXWindow_Display___GENPT___GLXFBConfig_Window_const_int___GENPT__ args;
} PACKED_GLXWindow_Display___GENPT___GLXFBConfig_Window_const_int___GENPT__;
typedef struct {
    int func;
    ARGS_GLXWindow_Display___GENPT___GLXFBConfig_Window_const_int___GENPT__ args;
} INDEXED_GLXWindow_Display___GENPT___GLXFBConfig_Window_const_int___GENPT__;
typedef void (*FUNC_void_Display___GENPT___GLXPbuffer)(Display * dpy, GLXPbuffer pbuf);
typedef struct {
    Display * a1;
    GLXPbuffer a2;
} ARGS_void_Display___GENPT___GLXPbuffer;
typedef struct {
    int format;
    FUNC_void_Display___GENPT___GLXPbuffer func;
    ARGS_void_Display___GENPT___GLXPbuffer args;
} PACKED_void_Display___GENPT___GLXPbuffer;
typedef struct {
    int func;
    ARGS_void_Display___GENPT___GLXPbuffer args;
} INDEXED_void_Display___GENPT___GLXPbuffer;
typedef void (*FUNC_void_Display___GENPT___GLXWindow)(Display * dpy, GLXWindow win);
typedef struct {
    Display * a1;
    GLXWindow a2;
} ARGS_void_Display___GENPT___GLXWindow;
typedef struct {
    int format;
    FUNC_void_Display___GENPT___GLXWindow func;
    ARGS_void_Display___GENPT___GLXWindow args;
} PACKED_void_Display___GENPT___GLXWindow;
typedef struct {
    int func;
    ARGS_void_Display___GENPT___GLXWindow args;
} INDEXED_void_Display___GENPT___GLXWindow;
typedef Display * (*FUNC_Display___GENPT__)();
typedef struct {
    int format;
    FUNC_Display___GENPT__ func;
} PACKED_Display___GENPT__;
typedef struct {
    int func;
} INDEXED_Display___GENPT__;
typedef int (*FUNC_int_Display___GENPT___GLXFBConfig_int_int___GENPT__)(Display * dpy, GLXFBConfig config, int attribute, int * value);
typedef struct {
    Display * a1;
    GLXFBConfig a2;
    int a3;
    int * a4;
} ARGS_int_Display___GENPT___GLXFBConfig_int_int___GENPT__;
typedef struct {
    int format;
    FUNC_int_Display___GENPT___GLXFBConfig_int_int___GENPT__ func;
    ARGS_int_Display___GENPT___GLXFBConfig_int_int___GENPT__ args;
} PACKED_int_Display___GENPT___GLXFBConfig_int_int___GENPT__;
typedef struct {
    int func;
    ARGS_int_Display___GENPT___GLXFBConfig_int_int___GENPT__ args;
} INDEXED_int_Display___GENPT___GLXFBConfig_int_int___GENPT__;
typedef GLXFBConfig * (*FUNC_GLXFBConfig___GENPT___Display___GENPT___int_int___GENPT__)(Display * dpy, int screen, int * nelements);
typedef struct {
    Display * a1;
    int a2;
    int * a3;
} ARGS_GLXFBConfig___GENPT___Display___GENPT___int_int___GENPT__;
typedef struct {
    int format;
    FUNC_GLXFBConfig___GENPT___Display___GENPT___int_int___GENPT__ func;
    ARGS_GLXFBConfig___GENPT___Display___GENPT___int_int___GENPT__ args;
} PACKED_GLXFBConfig___GENPT___Display___GENPT___int_int___GENPT__;
typedef struct {
    int func;
    ARGS_GLXFBConfig___GENPT___Display___GENPT___int_int___GENPT__ args;
} INDEXED_GLXFBConfig___GENPT___Display___GENPT___int_int___GENPT__;
typedef __GLXextFuncPtr (*FUNC___GLXextFuncPtr_const_GLubyte___GENPT__)(const GLubyte * procName);
typedef struct {
    GLubyte * a1;
} ARGS___GLXextFuncPtr_const_GLubyte___GENPT__;
typedef struct {
    int format;
    FUNC___GLXextFuncPtr_const_GLubyte___GENPT__ func;
    ARGS___GLXextFuncPtr_const_GLubyte___GENPT__ args;
} PACKED___GLXextFuncPtr_const_GLubyte___GENPT__;
typedef struct {
    int func;
    ARGS___GLXextFuncPtr_const_GLubyte___GENPT__ args;
} INDEXED___GLXextFuncPtr_const_GLubyte___GENPT__;
typedef void (*FUNC_void_Display___GENPT___GLXDrawable_unsigned_long___GENPT__)(Display * dpy, GLXDrawable draw, unsigned long * event_mask);
typedef struct {
    Display * a1;
    GLXDrawable a2;
    unsigned long * a3;
} ARGS_void_Display___GENPT___GLXDrawable_unsigned_long___GENPT__;
typedef struct {
    int format;
    FUNC_void_Display___GENPT___GLXDrawable_unsigned_long___GENPT__ func;
    ARGS_void_Display___GENPT___GLXDrawable_unsigned_long___GENPT__ args;
} PACKED_void_Display___GENPT___GLXDrawable_unsigned_long___GENPT__;
typedef struct {
    int func;
    ARGS_void_Display___GENPT___GLXDrawable_unsigned_long___GENPT__ args;
} INDEXED_void_Display___GENPT___GLXDrawable_unsigned_long___GENPT__;
typedef XVisualInfo * (*FUNC_XVisualInfo___GENPT___Display___GENPT___GLXFBConfig)(Display * dpy, GLXFBConfig config);
typedef struct {
    Display * a1;
    GLXFBConfig a2;
} ARGS_XVisualInfo___GENPT___Display___GENPT___GLXFBConfig;
typedef struct {
    int format;
    FUNC_XVisualInfo___GENPT___Display___GENPT___GLXFBConfig func;
    ARGS_XVisualInfo___GENPT___Display___GENPT___GLXFBConfig args;
} PACKED_XVisualInfo___GENPT___Display___GENPT___GLXFBConfig;
typedef struct {
    int func;
    ARGS_XVisualInfo___GENPT___Display___GENPT___GLXFBConfig args;
} INDEXED_XVisualInfo___GENPT___Display___GENPT___GLXFBConfig;
typedef Bool (*FUNC_Bool_Display___GENPT___GLXDrawable_GLXDrawable_GLXContext)(Display * dpy, GLXDrawable draw, GLXDrawable read, GLXContext ctx);
typedef struct {
    Display * a1;
    GLXDrawable a2;
    GLXDrawable a3;
    GLXContext a4;
} ARGS_Bool_Display___GENPT___GLXDrawable_GLXDrawable_GLXContext;
typedef struct {
    int format;
    FUNC_Bool_Display___GENPT___GLXDrawable_GLXDrawable_GLXContext func;
    ARGS_Bool_Display___GENPT___GLXDrawable_GLXDrawable_GLXContext args;
} PACKED_Bool_Display___GENPT___GLXDrawable_GLXDrawable_GLXContext;
typedef struct {
    int func;
    ARGS_Bool_Display___GENPT___GLXDrawable_GLXDrawable_GLXContext args;
} INDEXED_Bool_Display___GENPT___GLXDrawable_GLXDrawable_GLXContext;
typedef int (*FUNC_int_Display___GENPT___GLXContext_int_int___GENPT__)(Display * dpy, GLXContext ctx, int attribute, int * value);
typedef struct {
    Display * a1;
    GLXContext a2;
    int a3;
    int * a4;
} ARGS_int_Display___GENPT___GLXContext_int_int___GENPT__;
typedef struct {
    int format;
    FUNC_int_Display___GENPT___GLXContext_int_int___GENPT__ func;
    ARGS_int_Display___GENPT___GLXContext_int_int___GENPT__ args;
} PACKED_int_Display___GENPT___GLXContext_int_int___GENPT__;
typedef struct {
    int func;
    ARGS_int_Display___GENPT___GLXContext_int_int___GENPT__ args;
} INDEXED_int_Display___GENPT___GLXContext_int_int___GENPT__;
typedef void (*FUNC_void_Display___GENPT___GLXDrawable_int_unsigned_int___GENPT__)(Display * dpy, GLXDrawable draw, int attribute, unsigned int * value);
typedef struct {
    Display * a1;
    GLXDrawable a2;
    int a3;
    unsigned int * a4;
} ARGS_void_Display___GENPT___GLXDrawable_int_unsigned_int___GENPT__;
typedef struct {
    int format;
    FUNC_void_Display___GENPT___GLXDrawable_int_unsigned_int___GENPT__ func;
    ARGS_void_Display___GENPT___GLXDrawable_int_unsigned_int___GENPT__ args;
} PACKED_void_Display___GENPT___GLXDrawable_int_unsigned_int___GENPT__;
typedef struct {
    int func;
    ARGS_void_Display___GENPT___GLXDrawable_int_unsigned_int___GENPT__ args;
} INDEXED_void_Display___GENPT___GLXDrawable_int_unsigned_int___GENPT__;
typedef void (*FUNC_void_Display___GENPT___GLXDrawable_unsigned_long)(Display * dpy, GLXDrawable draw, unsigned long event_mask);
typedef struct {
    Display * a1;
    GLXDrawable a2;
    unsigned long a3;
} ARGS_void_Display___GENPT___GLXDrawable_unsigned_long;
typedef struct {
    int format;
    FUNC_void_Display___GENPT___GLXDrawable_unsigned_long func;
    ARGS_void_Display___GENPT___GLXDrawable_unsigned_long args;
} PACKED_void_Display___GENPT___GLXDrawable_unsigned_long;
typedef struct {
    int func;
    ARGS_void_Display___GENPT___GLXDrawable_unsigned_long args;
} INDEXED_void_Display___GENPT___GLXDrawable_unsigned_long;
typedef const char * (*FUNC_const_char___GENPT__)();
typedef struct {
    int format;
    FUNC_const_char___GENPT__ func;
} PACKED_const_char___GENPT__;
typedef struct {
    int func;
} INDEXED_const_char___GENPT__;
typedef int (*FUNC_int_snd_async_handler_t___GENPT____GENPT___snd_ctl_t___GENPT___snd_async_callback_t_void___GENPT__)(snd_async_handler_t ** handler, snd_ctl_t * ctl, snd_async_callback_t callback, void * private_data);
typedef struct {
    snd_async_handler_t ** a1;
    snd_ctl_t * a2;
    snd_async_callback_t a3;
    void * a4;
} ARGS_int_snd_async_handler_t___GENPT____GENPT___snd_ctl_t___GENPT___snd_async_callback_t_void___GENPT__;
typedef struct {
    int format;
    FUNC_int_snd_async_handler_t___GENPT____GENPT___snd_ctl_t___GENPT___snd_async_callback_t_void___GENPT__ func;
    ARGS_int_snd_async_handler_t___GENPT____GENPT___snd_ctl_t___GENPT___snd_async_callback_t_void___GENPT__ args;
} PACKED_int_snd_async_handler_t___GENPT____GENPT___snd_ctl_t___GENPT___snd_async_callback_t_void___GENPT__;
typedef struct {
    int func;
    ARGS_int_snd_async_handler_t___GENPT____GENPT___snd_ctl_t___GENPT___snd_async_callback_t_void___GENPT__ args;
} INDEXED_int_snd_async_handler_t___GENPT____GENPT___snd_ctl_t___GENPT___snd_async_callback_t_void___GENPT__;
typedef int (*FUNC_int_snd_async_handler_t___GENPT____GENPT___int_snd_async_callback_t_void___GENPT__)(snd_async_handler_t ** handler, int fd, snd_async_callback_t callback, void * private_data);
typedef struct {
    snd_async_handler_t ** a1;
    int a2;
    snd_async_callback_t a3;
    void * a4;
} ARGS_int_snd_async_handler_t___GENPT____GENPT___int_snd_async_callback_t_void___GENPT__;
typedef struct {
    int format;
    FUNC_int_snd_async_handler_t___GENPT____GENPT___int_snd_async_callback_t_void___GENPT__ func;
    ARGS_int_snd_async_handler_t___GENPT____GENPT___int_snd_async_callback_t_void___GENPT__ args;
} PACKED_int_snd_async_handler_t___GENPT____GENPT___int_snd_async_callback_t_void___GENPT__;
typedef struct {
    int func;
    ARGS_int_snd_async_handler_t___GENPT____GENPT___int_snd_async_callback_t_void___GENPT__ args;
} INDEXED_int_snd_async_handler_t___GENPT____GENPT___int_snd_async_callback_t_void___GENPT__;
typedef int (*FUNC_int_snd_async_handler_t___GENPT____GENPT___snd_pcm_t___GENPT___snd_async_callback_t_void___GENPT__)(snd_async_handler_t ** handler, snd_pcm_t * pcm, snd_async_callback_t callback, void * private_data);
typedef struct {
    snd_async_handler_t ** a1;
    snd_pcm_t * a2;
    snd_async_callback_t a3;
    void * a4;
} ARGS_int_snd_async_handler_t___GENPT____GENPT___snd_pcm_t___GENPT___snd_async_callback_t_void___GENPT__;
typedef struct {
    int format;
    FUNC_int_snd_async_handler_t___GENPT____GENPT___snd_pcm_t___GENPT___snd_async_callback_t_void___GENPT__ func;
    ARGS_int_snd_async_handler_t___GENPT____GENPT___snd_pcm_t___GENPT___snd_async_callback_t_void___GENPT__ args;
} PACKED_int_snd_async_handler_t___GENPT____GENPT___snd_pcm_t___GENPT___snd_async_callback_t_void___GENPT__;
typedef struct {
    int func;
    ARGS_int_snd_async_handler_t___GENPT____GENPT___snd_pcm_t___GENPT___snd_async_callback_t_void___GENPT__ args;
} INDEXED_int_snd_async_handler_t___GENPT____GENPT___snd_pcm_t___GENPT___snd_async_callback_t_void___GENPT__;
typedef int (*FUNC_int_snd_async_handler_t___GENPT____GENPT___snd_timer_t___GENPT___snd_async_callback_t_void___GENPT__)(snd_async_handler_t ** handler, snd_timer_t * timer, snd_async_callback_t callback, void * private_data);
typedef struct {
    snd_async_handler_t ** a1;
    snd_timer_t * a2;
    snd_async_callback_t a3;
    void * a4;
} ARGS_int_snd_async_handler_t___GENPT____GENPT___snd_timer_t___GENPT___snd_async_callback_t_void___GENPT__;
typedef struct {
    int format;
    FUNC_int_snd_async_handler_t___GENPT____GENPT___snd_timer_t___GENPT___snd_async_callback_t_void___GENPT__ func;
    ARGS_int_snd_async_handler_t___GENPT____GENPT___snd_timer_t___GENPT___snd_async_callback_t_void___GENPT__ args;
} PACKED_int_snd_async_handler_t___GENPT____GENPT___snd_timer_t___GENPT___snd_async_callback_t_void___GENPT__;
typedef struct {
    int func;
    ARGS_int_snd_async_handler_t___GENPT____GENPT___snd_timer_t___GENPT___snd_async_callback_t_void___GENPT__ args;
} INDEXED_int_snd_async_handler_t___GENPT____GENPT___snd_timer_t___GENPT___snd_async_callback_t_void___GENPT__;
typedef int (*FUNC_int_snd_async_handler_t___GENPT__)(snd_async_handler_t * handler);
typedef struct {
    snd_async_handler_t * a1;
} ARGS_int_snd_async_handler_t___GENPT__;
typedef struct {
    int format;
    FUNC_int_snd_async_handler_t___GENPT__ func;
    ARGS_int_snd_async_handler_t___GENPT__ args;
} PACKED_int_snd_async_handler_t___GENPT__;
typedef struct {
    int func;
    ARGS_int_snd_async_handler_t___GENPT__ args;
} INDEXED_int_snd_async_handler_t___GENPT__;
typedef void * (*FUNC_void___GENPT___snd_async_handler_t___GENPT__)(snd_async_handler_t * handler);
typedef struct {
    snd_async_handler_t * a1;
} ARGS_void___GENPT___snd_async_handler_t___GENPT__;
typedef struct {
    int format;
    FUNC_void___GENPT___snd_async_handler_t___GENPT__ func;
    ARGS_void___GENPT___snd_async_handler_t___GENPT__ args;
} PACKED_void___GENPT___snd_async_handler_t___GENPT__;
typedef struct {
    int func;
    ARGS_void___GENPT___snd_async_handler_t___GENPT__ args;
} INDEXED_void___GENPT___snd_async_handler_t___GENPT__;
typedef snd_ctl_t * (*FUNC_snd_ctl_t___GENPT___snd_async_handler_t___GENPT__)(snd_async_handler_t * handler);
typedef struct {
    snd_async_handler_t * a1;
} ARGS_snd_ctl_t___GENPT___snd_async_handler_t___GENPT__;
typedef struct {
    int format;
    FUNC_snd_ctl_t___GENPT___snd_async_handler_t___GENPT__ func;
    ARGS_snd_ctl_t___GENPT___snd_async_handler_t___GENPT__ args;
} PACKED_snd_ctl_t___GENPT___snd_async_handler_t___GENPT__;
typedef struct {
    int func;
    ARGS_snd_ctl_t___GENPT___snd_async_handler_t___GENPT__ args;
} INDEXED_snd_ctl_t___GENPT___snd_async_handler_t___GENPT__;
typedef snd_pcm_t * (*FUNC_snd_pcm_t___GENPT___snd_async_handler_t___GENPT__)(snd_async_handler_t * handler);
typedef struct {
    snd_async_handler_t * a1;
} ARGS_snd_pcm_t___GENPT___snd_async_handler_t___GENPT__;
typedef struct {
    int format;
    FUNC_snd_pcm_t___GENPT___snd_async_handler_t___GENPT__ func;
    ARGS_snd_pcm_t___GENPT___snd_async_handler_t___GENPT__ args;
} PACKED_snd_pcm_t___GENPT___snd_async_handler_t___GENPT__;
typedef struct {
    int func;
    ARGS_snd_pcm_t___GENPT___snd_async_handler_t___GENPT__ args;
} INDEXED_snd_pcm_t___GENPT___snd_async_handler_t___GENPT__;
typedef snd_timer_t * (*FUNC_snd_timer_t___GENPT___snd_async_handler_t___GENPT__)(snd_async_handler_t * handler);
typedef struct {
    snd_async_handler_t * a1;
} ARGS_snd_timer_t___GENPT___snd_async_handler_t___GENPT__;
typedef struct {
    int format;
    FUNC_snd_timer_t___GENPT___snd_async_handler_t___GENPT__ func;
    ARGS_snd_timer_t___GENPT___snd_async_handler_t___GENPT__ args;
} PACKED_snd_timer_t___GENPT___snd_async_handler_t___GENPT__;
typedef struct {
    int func;
    ARGS_snd_timer_t___GENPT___snd_async_handler_t___GENPT__ args;
} INDEXED_snd_timer_t___GENPT___snd_async_handler_t___GENPT__;
typedef int (*FUNC_int_const_char___GENPT__)(const char * name);
typedef struct {
    char * a1;
} ARGS_int_const_char___GENPT__;
typedef struct {
    int format;
    FUNC_int_const_char___GENPT__ func;
    ARGS_int_const_char___GENPT__ args;
} PACKED_int_const_char___GENPT__;
typedef struct {
    int func;
    ARGS_int_const_char___GENPT__ args;
} INDEXED_int_const_char___GENPT__;
typedef int (*FUNC_int_int_char___GENPT____GENPT__)(int card, char ** name);
typedef struct {
    int a1;
    char ** a2;
} ARGS_int_int_char___GENPT____GENPT__;
typedef struct {
    int format;
    FUNC_int_int_char___GENPT____GENPT__ func;
    ARGS_int_int_char___GENPT____GENPT__ args;
} PACKED_int_int_char___GENPT____GENPT__;
typedef struct {
    int func;
    ARGS_int_int_char___GENPT____GENPT__ args;
} INDEXED_int_int_char___GENPT____GENPT__;
typedef int (*FUNC_int_int)(int card);
typedef struct {
    int a1;
} ARGS_int_int;
typedef struct {
    int format;
    FUNC_int_int func;
    ARGS_int_int args;
} PACKED_int_int;
typedef struct {
    int func;
    ARGS_int_int args;
} INDEXED_int_int;
typedef int (*FUNC_int_int___GENPT__)(int * card);
typedef struct {
    int * a1;
} ARGS_int_int___GENPT__;
typedef struct {
    int format;
    FUNC_int_int___GENPT__ func;
    ARGS_int_int___GENPT__ args;
} PACKED_int_int___GENPT__;
typedef struct {
    int func;
    ARGS_int_int___GENPT__ args;
} INDEXED_int_int___GENPT__;
typedef int (*FUNC_int_snd_config_t___GENPT___snd_config_t___GENPT__)(snd_config_t * config, snd_config_t * leaf);
typedef struct {
    snd_config_t * a1;
    snd_config_t * a2;
} ARGS_int_snd_config_t___GENPT___snd_config_t___GENPT__;
typedef struct {
    int format;
    FUNC_int_snd_config_t___GENPT___snd_config_t___GENPT__ func;
    ARGS_int_snd_config_t___GENPT___snd_config_t___GENPT__ args;
} PACKED_int_snd_config_t___GENPT___snd_config_t___GENPT__;
typedef struct {
    int func;
    ARGS_int_snd_config_t___GENPT___snd_config_t___GENPT__ args;
} INDEXED_int_snd_config_t___GENPT___snd_config_t___GENPT__;
typedef int (*FUNC_int_snd_config_t___GENPT____GENPT___snd_config_t___GENPT__)(snd_config_t ** dst, snd_config_t * src);
typedef struct {
    snd_config_t ** a1;
    snd_config_t * a2;
} ARGS_int_snd_config_t___GENPT____GENPT___snd_config_t___GENPT__;
typedef struct {
    int format;
    FUNC_int_snd_config_t___GENPT____GENPT___snd_config_t___GENPT__ func;
    ARGS_int_snd_config_t___GENPT____GENPT___snd_config_t___GENPT__ args;
} PACKED_int_snd_config_t___GENPT____GENPT___snd_config_t___GENPT__;
typedef struct {
    int func;
    ARGS_int_snd_config_t___GENPT____GENPT___snd_config_t___GENPT__ args;
} INDEXED_int_snd_config_t___GENPT____GENPT___snd_config_t___GENPT__;
typedef int (*FUNC_int_snd_config_t___GENPT__)(snd_config_t * config);
typedef struct {
    snd_config_t * a1;
} ARGS_int_snd_config_t___GENPT__;
typedef struct {
    int format;
    FUNC_int_snd_config_t___GENPT__ func;
    ARGS_int_snd_config_t___GENPT__ args;
} PACKED_int_snd_config_t___GENPT__;
typedef struct {
    int func;
    ARGS_int_snd_config_t___GENPT__ args;
} INDEXED_int_snd_config_t___GENPT__;
typedef int (*FUNC_int_const_snd_config_t___GENPT__)(const snd_config_t * config);
typedef struct {
    snd_config_t * a1;
} ARGS_int_const_snd_config_t___GENPT__;
typedef struct {
    int format;
    FUNC_int_const_snd_config_t___GENPT__ func;
    ARGS_int_const_snd_config_t___GENPT__ args;
} PACKED_int_const_snd_config_t___GENPT__;
typedef struct {
    int func;
    ARGS_int_const_snd_config_t___GENPT__ args;
} INDEXED_int_const_snd_config_t___GENPT__;
typedef int (*FUNC_int_snd_config_t___GENPT___snd_config_t___GENPT___snd_config_t___GENPT___snd_config_t___GENPT____GENPT__)(snd_config_t * config, snd_config_t * root, snd_config_t * private_data, snd_config_t ** result);
typedef struct {
    snd_config_t * a1;
    snd_config_t * a2;
    snd_config_t * a3;
    snd_config_t ** a4;
} ARGS_int_snd_config_t___GENPT___snd_config_t___GENPT___snd_config_t___GENPT___snd_config_t___GENPT____GENPT__;
typedef struct {
    int format;
    FUNC_int_snd_config_t___GENPT___snd_config_t___GENPT___snd_config_t___GENPT___snd_config_t___GENPT____GENPT__ func;
    ARGS_int_snd_config_t___GENPT___snd_config_t___GENPT___snd_config_t___GENPT___snd_config_t___GENPT____GENPT__ args;
} PACKED_int_snd_config_t___GENPT___snd_config_t___GENPT___snd_config_t___GENPT___snd_config_t___GENPT____GENPT__;
typedef struct {
    int func;
    ARGS_int_snd_config_t___GENPT___snd_config_t___GENPT___snd_config_t___GENPT___snd_config_t___GENPT____GENPT__ args;
} INDEXED_int_snd_config_t___GENPT___snd_config_t___GENPT___snd_config_t___GENPT___snd_config_t___GENPT____GENPT__;
typedef int (*FUNC_int_snd_config_t___GENPT___snd_config_t___GENPT___const_char___GENPT___snd_config_t___GENPT___snd_config_t___GENPT____GENPT__)(snd_config_t * config, snd_config_t * root, const char * args, snd_config_t * private_data, snd_config_t ** result);
typedef struct {
    snd_config_t * a1;
    snd_config_t * a2;
    char * a3;
    snd_config_t * a4;
    snd_config_t ** a5;
} ARGS_int_snd_config_t___GENPT___snd_config_t___GENPT___const_char___GENPT___snd_config_t___GENPT___snd_config_t___GENPT____GENPT__;
typedef struct {
    int format;
    FUNC_int_snd_config_t___GENPT___snd_config_t___GENPT___const_char___GENPT___snd_config_t___GENPT___snd_config_t___GENPT____GENPT__ func;
    ARGS_int_snd_config_t___GENPT___snd_config_t___GENPT___const_char___GENPT___snd_config_t___GENPT___snd_config_t___GENPT____GENPT__ args;
} PACKED_int_snd_config_t___GENPT___snd_config_t___GENPT___const_char___GENPT___snd_config_t___GENPT___snd_config_t___GENPT____GENPT__;
typedef struct {
    int func;
    ARGS_int_snd_config_t___GENPT___snd_config_t___GENPT___const_char___GENPT___snd_config_t___GENPT___snd_config_t___GENPT____GENPT__ args;
} INDEXED_int_snd_config_t___GENPT___snd_config_t___GENPT___const_char___GENPT___snd_config_t___GENPT___snd_config_t___GENPT____GENPT__;
typedef int (*FUNC_int_const_snd_config_t___GENPT___char___GENPT____GENPT__)(const snd_config_t * config, char ** value);
typedef struct {
    snd_config_t * a1;
    char ** a2;
} ARGS_int_const_snd_config_t___GENPT___char___GENPT____GENPT__;
typedef struct {
    int format;
    FUNC_int_const_snd_config_t___GENPT___char___GENPT____GENPT__ func;
    ARGS_int_const_snd_config_t___GENPT___char___GENPT____GENPT__ args;
} PACKED_int_const_snd_config_t___GENPT___char___GENPT____GENPT__;
typedef struct {
    int func;
    ARGS_int_const_snd_config_t___GENPT___char___GENPT____GENPT__ args;
} INDEXED_int_const_snd_config_t___GENPT___char___GENPT____GENPT__;
typedef int (*FUNC_int_const_snd_config_t___GENPT___const_char___GENPT____GENPT__)(const snd_config_t * config, const char ** value);
typedef struct {
    snd_config_t * a1;
    char ** a2;
} ARGS_int_const_snd_config_t___GENPT___const_char___GENPT____GENPT__;
typedef struct {
    int format;
    FUNC_int_const_snd_config_t___GENPT___const_char___GENPT____GENPT__ func;
    ARGS_int_const_snd_config_t___GENPT___const_char___GENPT____GENPT__ args;
} PACKED_int_const_snd_config_t___GENPT___const_char___GENPT____GENPT__;
typedef struct {
    int func;
    ARGS_int_const_snd_config_t___GENPT___const_char___GENPT____GENPT__ args;
} INDEXED_int_const_snd_config_t___GENPT___const_char___GENPT____GENPT__;
typedef int (*FUNC_int_const_snd_config_t___GENPT___long___GENPT__)(const snd_config_t * config, long * value);
typedef struct {
    snd_config_t * a1;
    long * a2;
} ARGS_int_const_snd_config_t___GENPT___long___GENPT__;
typedef struct {
    int format;
    FUNC_int_const_snd_config_t___GENPT___long___GENPT__ func;
    ARGS_int_const_snd_config_t___GENPT___long___GENPT__ args;
} PACKED_int_const_snd_config_t___GENPT___long___GENPT__;
typedef struct {
    int func;
    ARGS_int_const_snd_config_t___GENPT___long___GENPT__ args;
} INDEXED_int_const_snd_config_t___GENPT___long___GENPT__;
typedef int (*FUNC_int_const_snd_config_t___GENPT___long_long___GENPT__)(const snd_config_t * config, long long * value);
typedef struct {
    snd_config_t * a1;
    long long * a2;
} ARGS_int_const_snd_config_t___GENPT___long_long___GENPT__;
typedef struct {
    int format;
    FUNC_int_const_snd_config_t___GENPT___long_long___GENPT__ func;
    ARGS_int_const_snd_config_t___GENPT___long_long___GENPT__ args;
} PACKED_int_const_snd_config_t___GENPT___long_long___GENPT__;
typedef struct {
    int func;
    ARGS_int_const_snd_config_t___GENPT___long_long___GENPT__ args;
} INDEXED_int_const_snd_config_t___GENPT___long_long___GENPT__;
typedef int (*FUNC_int_const_snd_config_t___GENPT___double___GENPT__)(const snd_config_t * config, double * value);
typedef struct {
    snd_config_t * a1;
    double * a2;
} ARGS_int_const_snd_config_t___GENPT___double___GENPT__;
typedef struct {
    int format;
    FUNC_int_const_snd_config_t___GENPT___double___GENPT__ func;
    ARGS_int_const_snd_config_t___GENPT___double___GENPT__ args;
} PACKED_int_const_snd_config_t___GENPT___double___GENPT__;
typedef struct {
    int func;
    ARGS_int_const_snd_config_t___GENPT___double___GENPT__ args;
} INDEXED_int_const_snd_config_t___GENPT___double___GENPT__;
typedef int (*FUNC_int_const_snd_config_t___GENPT___const_void___GENPT____GENPT__)(const snd_config_t * config, const void ** value);
typedef struct {
    snd_config_t * a1;
    void ** a2;
} ARGS_int_const_snd_config_t___GENPT___const_void___GENPT____GENPT__;
typedef struct {
    int format;
    FUNC_int_const_snd_config_t___GENPT___const_void___GENPT____GENPT__ func;
    ARGS_int_const_snd_config_t___GENPT___const_void___GENPT____GENPT__ args;
} PACKED_int_const_snd_config_t___GENPT___const_void___GENPT____GENPT__;
typedef struct {
    int func;
    ARGS_int_const_snd_config_t___GENPT___const_void___GENPT____GENPT__ args;
} INDEXED_int_const_snd_config_t___GENPT___const_void___GENPT____GENPT__;
typedef snd_config_type_t (*FUNC_snd_config_type_t_const_snd_config_t___GENPT__)(const snd_config_t * config);
typedef struct {
    snd_config_t * a1;
} ARGS_snd_config_type_t_const_snd_config_t___GENPT__;
typedef struct {
    int format;
    FUNC_snd_config_type_t_const_snd_config_t___GENPT__ func;
    ARGS_snd_config_type_t_const_snd_config_t___GENPT__ args;
} PACKED_snd_config_type_t_const_snd_config_t___GENPT__;
typedef struct {
    int func;
    ARGS_snd_config_type_t_const_snd_config_t___GENPT__ args;
} INDEXED_snd_config_type_t_const_snd_config_t___GENPT__;
typedef int (*FUNC_int_snd_config_t___GENPT____GENPT___const_char___GENPT___const_long)(snd_config_t ** config, const char * key, const long value);
typedef struct {
    snd_config_t ** a1;
    char * a2;
    long a3;
} ARGS_int_snd_config_t___GENPT____GENPT___const_char___GENPT___const_long;
typedef struct {
    int format;
    FUNC_int_snd_config_t___GENPT____GENPT___const_char___GENPT___const_long func;
    ARGS_int_snd_config_t___GENPT____GENPT___const_char___GENPT___const_long args;
} PACKED_int_snd_config_t___GENPT____GENPT___const_char___GENPT___const_long;
typedef struct {
    int func;
    ARGS_int_snd_config_t___GENPT____GENPT___const_char___GENPT___const_long args;
} INDEXED_int_snd_config_t___GENPT____GENPT___const_char___GENPT___const_long;
typedef int (*FUNC_int_snd_config_t___GENPT____GENPT___const_char___GENPT___const_long_long)(snd_config_t ** config, const char * key, const long long value);
typedef struct {
    snd_config_t ** a1;
    char * a2;
    long long a3;
} ARGS_int_snd_config_t___GENPT____GENPT___const_char___GENPT___const_long_long;
typedef struct {
    int format;
    FUNC_int_snd_config_t___GENPT____GENPT___const_char___GENPT___const_long_long func;
    ARGS_int_snd_config_t___GENPT____GENPT___const_char___GENPT___const_long_long args;
} PACKED_int_snd_config_t___GENPT____GENPT___const_char___GENPT___const_long_long;
typedef struct {
    int func;
    ARGS_int_snd_config_t___GENPT____GENPT___const_char___GENPT___const_long_long args;
} INDEXED_int_snd_config_t___GENPT____GENPT___const_char___GENPT___const_long_long;
typedef int (*FUNC_int_snd_config_t___GENPT____GENPT___const_char___GENPT___const_void___GENPT__)(snd_config_t ** config, const char * key, const void * ptr);
typedef struct {
    snd_config_t ** a1;
    char * a2;
    void * a3;
} ARGS_int_snd_config_t___GENPT____GENPT___const_char___GENPT___const_void___GENPT__;
typedef struct {
    int format;
    FUNC_int_snd_config_t___GENPT____GENPT___const_char___GENPT___const_void___GENPT__ func;
    ARGS_int_snd_config_t___GENPT____GENPT___const_char___GENPT___const_void___GENPT__ args;
} PACKED_int_snd_config_t___GENPT____GENPT___const_char___GENPT___const_void___GENPT__;
typedef struct {
    int func;
    ARGS_int_snd_config_t___GENPT____GENPT___const_char___GENPT___const_void___GENPT__ args;
} INDEXED_int_snd_config_t___GENPT____GENPT___const_char___GENPT___const_void___GENPT__;
typedef int (*FUNC_int_snd_config_t___GENPT____GENPT___const_char___GENPT___const_double)(snd_config_t ** config, const char * key, const double value);
typedef struct {
    snd_config_t ** a1;
    char * a2;
    double a3;
} ARGS_int_snd_config_t___GENPT____GENPT___const_char___GENPT___const_double;
typedef struct {
    int format;
    FUNC_int_snd_config_t___GENPT____GENPT___const_char___GENPT___const_double func;
    ARGS_int_snd_config_t___GENPT____GENPT___const_char___GENPT___const_double args;
} PACKED_int_snd_config_t___GENPT____GENPT___const_char___GENPT___const_double;
typedef struct {
    int func;
    ARGS_int_snd_config_t___GENPT____GENPT___const_char___GENPT___const_double args;
} INDEXED_int_snd_config_t___GENPT____GENPT___const_char___GENPT___const_double;
typedef int (*FUNC_int_snd_config_t___GENPT____GENPT___const_char___GENPT___const_char___GENPT__)(snd_config_t ** config, const char * key, const char * ascii);
typedef struct {
    snd_config_t ** a1;
    char * a2;
    char * a3;
} ARGS_int_snd_config_t___GENPT____GENPT___const_char___GENPT___const_char___GENPT__;
typedef struct {
    int format;
    FUNC_int_snd_config_t___GENPT____GENPT___const_char___GENPT___const_char___GENPT__ func;
    ARGS_int_snd_config_t___GENPT____GENPT___const_char___GENPT___const_char___GENPT__ args;
} PACKED_int_snd_config_t___GENPT____GENPT___const_char___GENPT___const_char___GENPT__;
typedef struct {
    int func;
    ARGS_int_snd_config_t___GENPT____GENPT___const_char___GENPT___const_char___GENPT__ args;
} INDEXED_int_snd_config_t___GENPT____GENPT___const_char___GENPT___const_char___GENPT__;
typedef snd_config_iterator_t (*FUNC_snd_config_iterator_t_const_snd_config_t___GENPT__)(const snd_config_t * node);
typedef struct {
    snd_config_t * a1;
} ARGS_snd_config_iterator_t_const_snd_config_t___GENPT__;
typedef struct {
    int format;
    FUNC_snd_config_iterator_t_const_snd_config_t___GENPT__ func;
    ARGS_snd_config_iterator_t_const_snd_config_t___GENPT__ args;
} PACKED_snd_config_iterator_t_const_snd_config_t___GENPT__;
typedef struct {
    int func;
    ARGS_snd_config_iterator_t_const_snd_config_t___GENPT__ args;
} INDEXED_snd_config_iterator_t_const_snd_config_t___GENPT__;
typedef snd_config_t * (*FUNC_snd_config_t___GENPT___const_snd_config_iterator_t)(const snd_config_iterator_t iterator);
typedef struct {
    snd_config_iterator_t a1;
} ARGS_snd_config_t___GENPT___const_snd_config_iterator_t;
typedef struct {
    int format;
    FUNC_snd_config_t___GENPT___const_snd_config_iterator_t func;
    ARGS_snd_config_t___GENPT___const_snd_config_iterator_t args;
} PACKED_snd_config_t___GENPT___const_snd_config_iterator_t;
typedef struct {
    int func;
    ARGS_snd_config_t___GENPT___const_snd_config_iterator_t args;
} INDEXED_snd_config_t___GENPT___const_snd_config_iterator_t;
typedef snd_config_iterator_t (*FUNC_snd_config_iterator_t_const_snd_config_iterator_t)(const snd_config_iterator_t iterator);
typedef struct {
    snd_config_iterator_t a1;
} ARGS_snd_config_iterator_t_const_snd_config_iterator_t;
typedef struct {
    int format;
    FUNC_snd_config_iterator_t_const_snd_config_iterator_t func;
    ARGS_snd_config_iterator_t_const_snd_config_iterator_t args;
} PACKED_snd_config_iterator_t_const_snd_config_iterator_t;
typedef struct {
    int func;
    ARGS_snd_config_iterator_t_const_snd_config_iterator_t args;
} INDEXED_snd_config_iterator_t_const_snd_config_iterator_t;
typedef int (*FUNC_int_snd_config_t___GENPT___snd_input_t___GENPT__)(snd_config_t * config, snd_input_t * in);
typedef struct {
    snd_config_t * a1;
    snd_input_t * a2;
} ARGS_int_snd_config_t___GENPT___snd_input_t___GENPT__;
typedef struct {
    int format;
    FUNC_int_snd_config_t___GENPT___snd_input_t___GENPT__ func;
    ARGS_int_snd_config_t___GENPT___snd_input_t___GENPT__ args;
} PACKED_int_snd_config_t___GENPT___snd_input_t___GENPT__;
typedef struct {
    int func;
    ARGS_int_snd_config_t___GENPT___snd_input_t___GENPT__ args;
} INDEXED_int_snd_config_t___GENPT___snd_input_t___GENPT__;
typedef int (*FUNC_int_snd_config_t___GENPT____GENPT___const_char___GENPT___snd_config_type_t)(snd_config_t ** config, const char * key, snd_config_type_t type);
typedef struct {
    snd_config_t ** a1;
    char * a2;
    snd_config_type_t a3;
} ARGS_int_snd_config_t___GENPT____GENPT___const_char___GENPT___snd_config_type_t;
typedef struct {
    int format;
    FUNC_int_snd_config_t___GENPT____GENPT___const_char___GENPT___snd_config_type_t func;
    ARGS_int_snd_config_t___GENPT____GENPT___const_char___GENPT___snd_config_type_t args;
} PACKED_int_snd_config_t___GENPT____GENPT___const_char___GENPT___snd_config_type_t;
typedef struct {
    int func;
    ARGS_int_snd_config_t___GENPT____GENPT___const_char___GENPT___snd_config_type_t args;
} INDEXED_int_snd_config_t___GENPT____GENPT___const_char___GENPT___snd_config_type_t;
typedef int (*FUNC_int_snd_config_t___GENPT____GENPT___const_char___GENPT___int)(snd_config_t ** config, const char * key, int join);
typedef struct {
    snd_config_t ** a1;
    char * a2;
    int a3;
} ARGS_int_snd_config_t___GENPT____GENPT___const_char___GENPT___int;
typedef struct {
    int format;
    FUNC_int_snd_config_t___GENPT____GENPT___const_char___GENPT___int func;
    ARGS_int_snd_config_t___GENPT____GENPT___const_char___GENPT___int args;
} PACKED_int_snd_config_t___GENPT____GENPT___const_char___GENPT___int;
typedef struct {
    int func;
    ARGS_int_snd_config_t___GENPT____GENPT___const_char___GENPT___int args;
} INDEXED_int_snd_config_t___GENPT____GENPT___const_char___GENPT___int;
typedef int (*FUNC_int_snd_config_t___GENPT____GENPT___const_char___GENPT__)(snd_config_t ** config, const char * key);
typedef struct {
    snd_config_t ** a1;
    char * a2;
} ARGS_int_snd_config_t___GENPT____GENPT___const_char___GENPT__;
typedef struct {
    int format;
    FUNC_int_snd_config_t___GENPT____GENPT___const_char___GENPT__ func;
    ARGS_int_snd_config_t___GENPT____GENPT___const_char___GENPT__ args;
} PACKED_int_snd_config_t___GENPT____GENPT___const_char___GENPT__;
typedef struct {
    int func;
    ARGS_int_snd_config_t___GENPT____GENPT___const_char___GENPT__ args;
} INDEXED_int_snd_config_t___GENPT____GENPT___const_char___GENPT__;
typedef int (*FUNC_int_snd_config_t___GENPT___snd_output_t___GENPT__)(snd_config_t * config, snd_output_t * out);
typedef struct {
    snd_config_t * a1;
    snd_output_t * a2;
} ARGS_int_snd_config_t___GENPT___snd_output_t___GENPT__;
typedef struct {
    int format;
    FUNC_int_snd_config_t___GENPT___snd_output_t___GENPT__ func;
    ARGS_int_snd_config_t___GENPT___snd_output_t___GENPT__ args;
} PACKED_int_snd_config_t___GENPT___snd_output_t___GENPT__;
typedef struct {
    int func;
    ARGS_int_snd_config_t___GENPT___snd_output_t___GENPT__ args;
} INDEXED_int_snd_config_t___GENPT___snd_output_t___GENPT__;
typedef int (*FUNC_int_snd_config_t___GENPT___const_char___GENPT___snd_config_t___GENPT____GENPT__)(snd_config_t * config, const char * key, snd_config_t ** result);
typedef struct {
    snd_config_t * a1;
    char * a2;
    snd_config_t ** a3;
} ARGS_int_snd_config_t___GENPT___const_char___GENPT___snd_config_t___GENPT____GENPT__;
typedef struct {
    int format;
    FUNC_int_snd_config_t___GENPT___const_char___GENPT___snd_config_t___GENPT____GENPT__ func;
    ARGS_int_snd_config_t___GENPT___const_char___GENPT___snd_config_t___GENPT____GENPT__ args;
} PACKED_int_snd_config_t___GENPT___const_char___GENPT___snd_config_t___GENPT____GENPT__;
typedef struct {
    int func;
    ARGS_int_snd_config_t___GENPT___const_char___GENPT___snd_config_t___GENPT____GENPT__ args;
} INDEXED_int_snd_config_t___GENPT___const_char___GENPT___snd_config_t___GENPT____GENPT__;
typedef int (*FUNC_int_snd_config_t___GENPT___const_char___GENPT___const_char___GENPT___snd_config_t___GENPT____GENPT__)(snd_config_t * config, const char * base, const char * key, snd_config_t ** result);
typedef struct {
    snd_config_t * a1;
    char * a2;
    char * a3;
    snd_config_t ** a4;
} ARGS_int_snd_config_t___GENPT___const_char___GENPT___const_char___GENPT___snd_config_t___GENPT____GENPT__;
typedef struct {
    int format;
    FUNC_int_snd_config_t___GENPT___const_char___GENPT___const_char___GENPT___snd_config_t___GENPT____GENPT__ func;
    ARGS_int_snd_config_t___GENPT___const_char___GENPT___const_char___GENPT___snd_config_t___GENPT____GENPT__ args;
} PACKED_int_snd_config_t___GENPT___const_char___GENPT___const_char___GENPT___snd_config_t___GENPT____GENPT__;
typedef struct {
    int func;
    ARGS_int_snd_config_t___GENPT___const_char___GENPT___const_char___GENPT___snd_config_t___GENPT____GENPT__ args;
} INDEXED_int_snd_config_t___GENPT___const_char___GENPT___const_char___GENPT___snd_config_t___GENPT____GENPT__;
typedef int (*FUNC_int_snd_config_t___GENPT___const_char___GENPT__)(snd_config_t * config, const char * ascii);
typedef struct {
    snd_config_t * a1;
    char * a2;
} ARGS_int_snd_config_t___GENPT___const_char___GENPT__;
typedef struct {
    int format;
    FUNC_int_snd_config_t___GENPT___const_char___GENPT__ func;
    ARGS_int_snd_config_t___GENPT___const_char___GENPT__ args;
} PACKED_int_snd_config_t___GENPT___const_char___GENPT__;
typedef struct {
    int func;
    ARGS_int_snd_config_t___GENPT___const_char___GENPT__ args;
} INDEXED_int_snd_config_t___GENPT___const_char___GENPT__;
typedef int (*FUNC_int_snd_config_t___GENPT___long)(snd_config_t * config, long value);
typedef struct {
    snd_config_t * a1;
    long a2;
} ARGS_int_snd_config_t___GENPT___long;
typedef struct {
    int format;
    FUNC_int_snd_config_t___GENPT___long func;
    ARGS_int_snd_config_t___GENPT___long args;
} PACKED_int_snd_config_t___GENPT___long;
typedef struct {
    int func;
    ARGS_int_snd_config_t___GENPT___long args;
} INDEXED_int_snd_config_t___GENPT___long;
typedef int (*FUNC_int_snd_config_t___GENPT___long_long)(snd_config_t * config, long long value);
typedef struct {
    snd_config_t * a1;
    long long a2;
} ARGS_int_snd_config_t___GENPT___long_long;
typedef struct {
    int format;
    FUNC_int_snd_config_t___GENPT___long_long func;
    ARGS_int_snd_config_t___GENPT___long_long args;
} PACKED_int_snd_config_t___GENPT___long_long;
typedef struct {
    int func;
    ARGS_int_snd_config_t___GENPT___long_long args;
} INDEXED_int_snd_config_t___GENPT___long_long;
typedef int (*FUNC_int_snd_config_t___GENPT___const_void___GENPT__)(snd_config_t * config, const void * ptr);
typedef struct {
    snd_config_t * a1;
    void * a2;
} ARGS_int_snd_config_t___GENPT___const_void___GENPT__;
typedef struct {
    int format;
    FUNC_int_snd_config_t___GENPT___const_void___GENPT__ func;
    ARGS_int_snd_config_t___GENPT___const_void___GENPT__ args;
} PACKED_int_snd_config_t___GENPT___const_void___GENPT__;
typedef struct {
    int func;
    ARGS_int_snd_config_t___GENPT___const_void___GENPT__ args;
} INDEXED_int_snd_config_t___GENPT___const_void___GENPT__;
typedef int (*FUNC_int_snd_config_t___GENPT___double)(snd_config_t * config, double value);
typedef struct {
    snd_config_t * a1;
    double a2;
} ARGS_int_snd_config_t___GENPT___double;
typedef struct {
    int format;
    FUNC_int_snd_config_t___GENPT___double func;
    ARGS_int_snd_config_t___GENPT___double args;
} PACKED_int_snd_config_t___GENPT___double;
typedef struct {
    int func;
    ARGS_int_snd_config_t___GENPT___double args;
} INDEXED_int_snd_config_t___GENPT___double;
typedef int (*FUNC_int_const_snd_config_t___GENPT___const_char___GENPT__)(const snd_config_t * config, const char * id);
typedef struct {
    snd_config_t * a1;
    char * a2;
} ARGS_int_const_snd_config_t___GENPT___const_char___GENPT__;
typedef struct {
    int format;
    FUNC_int_const_snd_config_t___GENPT___const_char___GENPT__ func;
    ARGS_int_const_snd_config_t___GENPT___const_char___GENPT__ args;
} PACKED_int_const_snd_config_t___GENPT___const_char___GENPT__;
typedef struct {
    int func;
    ARGS_int_const_snd_config_t___GENPT___const_char___GENPT__ args;
} INDEXED_int_const_snd_config_t___GENPT___const_char___GENPT__;
typedef int (*FUNC_int_snd_config_t___GENPT____GENPT__)(snd_config_t ** config);
typedef struct {
    snd_config_t ** a1;
} ARGS_int_snd_config_t___GENPT____GENPT__;
typedef struct {
    int format;
    FUNC_int_snd_config_t___GENPT____GENPT__ func;
    ARGS_int_snd_config_t___GENPT____GENPT__ args;
} PACKED_int_snd_config_t___GENPT____GENPT__;
typedef struct {
    int func;
    ARGS_int_snd_config_t___GENPT____GENPT__ args;
} INDEXED_int_snd_config_t___GENPT____GENPT__;
typedef int (*FUNC_int)();
typedef struct {
    int format;
    FUNC_int func;
} PACKED_int;
typedef struct {
    int func;
} INDEXED_int;
typedef int (*FUNC_int_snd_config_update_t___GENPT__)(snd_config_update_t * update);
typedef struct {
    snd_config_update_t * a1;
} ARGS_int_snd_config_update_t___GENPT__;
typedef struct {
    int format;
    FUNC_int_snd_config_update_t___GENPT__ func;
    ARGS_int_snd_config_update_t___GENPT__ args;
} PACKED_int_snd_config_update_t___GENPT__;
typedef struct {
    int func;
    ARGS_int_snd_config_update_t___GENPT__ args;
} INDEXED_int_snd_config_update_t___GENPT__;
typedef int (*FUNC_int_snd_config_t___GENPT____GENPT___snd_config_update_t___GENPT____GENPT___const_char___GENPT__)(snd_config_t ** top, snd_config_update_t ** update, const char * path);
typedef struct {
    snd_config_t ** a1;
    snd_config_update_t ** a2;
    char * a3;
} ARGS_int_snd_config_t___GENPT____GENPT___snd_config_update_t___GENPT____GENPT___const_char___GENPT__;
typedef struct {
    int format;
    FUNC_int_snd_config_t___GENPT____GENPT___snd_config_update_t___GENPT____GENPT___const_char___GENPT__ func;
    ARGS_int_snd_config_t___GENPT____GENPT___snd_config_update_t___GENPT____GENPT___const_char___GENPT__ args;
} PACKED_int_snd_config_t___GENPT____GENPT___snd_config_update_t___GENPT____GENPT___const_char___GENPT__;
typedef struct {
    int func;
    ARGS_int_snd_config_t___GENPT____GENPT___snd_config_update_t___GENPT____GENPT___const_char___GENPT__ args;
} INDEXED_int_snd_config_t___GENPT____GENPT___snd_config_update_t___GENPT____GENPT___const_char___GENPT__;
typedef int (*FUNC_int_snd_ctl_t___GENPT___snd_ctl_card_info_t___GENPT__)(snd_ctl_t * ctl, snd_ctl_card_info_t * info);
typedef struct {
    snd_ctl_t * a1;
    snd_ctl_card_info_t * a2;
} ARGS_int_snd_ctl_t___GENPT___snd_ctl_card_info_t___GENPT__;
typedef struct {
    int format;
    FUNC_int_snd_ctl_t___GENPT___snd_ctl_card_info_t___GENPT__ func;
    ARGS_int_snd_ctl_t___GENPT___snd_ctl_card_info_t___GENPT__ args;
} PACKED_int_snd_ctl_t___GENPT___snd_ctl_card_info_t___GENPT__;
typedef struct {
    int func;
    ARGS_int_snd_ctl_t___GENPT___snd_ctl_card_info_t___GENPT__ args;
} INDEXED_int_snd_ctl_t___GENPT___snd_ctl_card_info_t___GENPT__;
typedef void (*FUNC_void_snd_ctl_card_info_t___GENPT__)(snd_ctl_card_info_t * obj);
typedef struct {
    snd_ctl_card_info_t * a1;
} ARGS_void_snd_ctl_card_info_t___GENPT__;
typedef struct {
    int format;
    FUNC_void_snd_ctl_card_info_t___GENPT__ func;
    ARGS_void_snd_ctl_card_info_t___GENPT__ args;
} PACKED_void_snd_ctl_card_info_t___GENPT__;
typedef struct {
    int func;
    ARGS_void_snd_ctl_card_info_t___GENPT__ args;
} INDEXED_void_snd_ctl_card_info_t___GENPT__;
typedef void (*FUNC_void_snd_ctl_card_info_t___GENPT___const_snd_ctl_card_info_t___GENPT__)(snd_ctl_card_info_t * dst, const snd_ctl_card_info_t * src);
typedef struct {
    snd_ctl_card_info_t * a1;
    snd_ctl_card_info_t * a2;
} ARGS_void_snd_ctl_card_info_t___GENPT___const_snd_ctl_card_info_t___GENPT__;
typedef struct {
    int format;
    FUNC_void_snd_ctl_card_info_t___GENPT___const_snd_ctl_card_info_t___GENPT__ func;
    ARGS_void_snd_ctl_card_info_t___GENPT___const_snd_ctl_card_info_t___GENPT__ args;
} PACKED_void_snd_ctl_card_info_t___GENPT___const_snd_ctl_card_info_t___GENPT__;
typedef struct {
    int func;
    ARGS_void_snd_ctl_card_info_t___GENPT___const_snd_ctl_card_info_t___GENPT__ args;
} INDEXED_void_snd_ctl_card_info_t___GENPT___const_snd_ctl_card_info_t___GENPT__;
typedef int (*FUNC_int_const_snd_ctl_card_info_t___GENPT__)(const snd_ctl_card_info_t * obj);
typedef struct {
    snd_ctl_card_info_t * a1;
} ARGS_int_const_snd_ctl_card_info_t___GENPT__;
typedef struct {
    int format;
    FUNC_int_const_snd_ctl_card_info_t___GENPT__ func;
    ARGS_int_const_snd_ctl_card_info_t___GENPT__ args;
} PACKED_int_const_snd_ctl_card_info_t___GENPT__;
typedef struct {
    int func;
    ARGS_int_const_snd_ctl_card_info_t___GENPT__ args;
} INDEXED_int_const_snd_ctl_card_info_t___GENPT__;
typedef const char * (*FUNC_const_char___GENPT___const_snd_ctl_card_info_t___GENPT__)(const snd_ctl_card_info_t * obj);
typedef struct {
    snd_ctl_card_info_t * a1;
} ARGS_const_char___GENPT___const_snd_ctl_card_info_t___GENPT__;
typedef struct {
    int format;
    FUNC_const_char___GENPT___const_snd_ctl_card_info_t___GENPT__ func;
    ARGS_const_char___GENPT___const_snd_ctl_card_info_t___GENPT__ args;
} PACKED_const_char___GENPT___const_snd_ctl_card_info_t___GENPT__;
typedef struct {
    int func;
    ARGS_const_char___GENPT___const_snd_ctl_card_info_t___GENPT__ args;
} INDEXED_const_char___GENPT___const_snd_ctl_card_info_t___GENPT__;
typedef int (*FUNC_int_snd_ctl_card_info_t___GENPT____GENPT__)(snd_ctl_card_info_t ** ptr);
typedef struct {
    snd_ctl_card_info_t ** a1;
} ARGS_int_snd_ctl_card_info_t___GENPT____GENPT__;
typedef struct {
    int format;
    FUNC_int_snd_ctl_card_info_t___GENPT____GENPT__ func;
    ARGS_int_snd_ctl_card_info_t___GENPT____GENPT__ args;
} PACKED_int_snd_ctl_card_info_t___GENPT____GENPT__;
typedef struct {
    int func;
    ARGS_int_snd_ctl_card_info_t___GENPT____GENPT__ args;
} INDEXED_int_snd_ctl_card_info_t___GENPT____GENPT__;
typedef size_t (*FUNC_size_t)();
typedef struct {
    int format;
    FUNC_size_t func;
} PACKED_size_t;
typedef struct {
    int func;
} INDEXED_size_t;
typedef int (*FUNC_int_snd_ctl_t___GENPT__)(snd_ctl_t * ctl);
typedef struct {
    snd_ctl_t * a1;
} ARGS_int_snd_ctl_t___GENPT__;
typedef struct {
    int format;
    FUNC_int_snd_ctl_t___GENPT__ func;
    ARGS_int_snd_ctl_t___GENPT__ args;
} PACKED_int_snd_ctl_t___GENPT__;
typedef struct {
    int func;
    ARGS_int_snd_ctl_t___GENPT__ args;
} INDEXED_int_snd_ctl_t___GENPT__;
typedef int (*FUNC_int_snd_ctl_t___GENPT___const_snd_ctl_elem_id_t___GENPT___unsigned_int)(snd_ctl_t * ctl, const snd_ctl_elem_id_t * id, unsigned int count);
typedef struct {
    snd_ctl_t * a1;
    snd_ctl_elem_id_t * a2;
    unsigned int a3;
} ARGS_int_snd_ctl_t___GENPT___const_snd_ctl_elem_id_t___GENPT___unsigned_int;
typedef struct {
    int format;
    FUNC_int_snd_ctl_t___GENPT___const_snd_ctl_elem_id_t___GENPT___unsigned_int func;
    ARGS_int_snd_ctl_t___GENPT___const_snd_ctl_elem_id_t___GENPT___unsigned_int args;
} PACKED_int_snd_ctl_t___GENPT___const_snd_ctl_elem_id_t___GENPT___unsigned_int;
typedef struct {
    int func;
    ARGS_int_snd_ctl_t___GENPT___const_snd_ctl_elem_id_t___GENPT___unsigned_int args;
} INDEXED_int_snd_ctl_t___GENPT___const_snd_ctl_elem_id_t___GENPT___unsigned_int;
typedef int (*FUNC_int_snd_ctl_t___GENPT___const_snd_ctl_elem_id_t___GENPT__)(snd_ctl_t * ctl, const snd_ctl_elem_id_t * id);
typedef struct {
    snd_ctl_t * a1;
    snd_ctl_elem_id_t * a2;
} ARGS_int_snd_ctl_t___GENPT___const_snd_ctl_elem_id_t___GENPT__;
typedef struct {
    int format;
    FUNC_int_snd_ctl_t___GENPT___const_snd_ctl_elem_id_t___GENPT__ func;
    ARGS_int_snd_ctl_t___GENPT___const_snd_ctl_elem_id_t___GENPT__ args;
} PACKED_int_snd_ctl_t___GENPT___const_snd_ctl_elem_id_t___GENPT__;
typedef struct {
    int func;
    ARGS_int_snd_ctl_t___GENPT___const_snd_ctl_elem_id_t___GENPT__ args;
} INDEXED_int_snd_ctl_t___GENPT___const_snd_ctl_elem_id_t___GENPT__;
typedef int (*FUNC_int_snd_ctl_t___GENPT___const_snd_ctl_elem_id_t___GENPT___unsigned_int_long_long_long)(snd_ctl_t * ctl, const snd_ctl_elem_id_t * id, unsigned int count, long imin, long imax, long istep);
typedef struct {
    snd_ctl_t * a1;
    snd_ctl_elem_id_t * a2;
    unsigned int a3;
    long a4;
    long a5;
    long a6;
} ARGS_int_snd_ctl_t___GENPT___const_snd_ctl_elem_id_t___GENPT___unsigned_int_long_long_long;
typedef struct {
    int format;
    FUNC_int_snd_ctl_t___GENPT___const_snd_ctl_elem_id_t___GENPT___unsigned_int_long_long_long func;
    ARGS_int_snd_ctl_t___GENPT___const_snd_ctl_elem_id_t___GENPT___unsigned_int_long_long_long args;
} PACKED_int_snd_ctl_t___GENPT___const_snd_ctl_elem_id_t___GENPT___unsigned_int_long_long_long;
typedef struct {
    int func;
    ARGS_int_snd_ctl_t___GENPT___const_snd_ctl_elem_id_t___GENPT___unsigned_int_long_long_long args;
} INDEXED_int_snd_ctl_t___GENPT___const_snd_ctl_elem_id_t___GENPT___unsigned_int_long_long_long;
typedef int (*FUNC_int_snd_ctl_t___GENPT___const_snd_ctl_elem_id_t___GENPT___unsigned_int_long_long_long_long_long_long)(snd_ctl_t * ctl, const snd_ctl_elem_id_t * id, unsigned int count, long long imin, long long imax, long long istep);
typedef struct {
    snd_ctl_t * a1;
    snd_ctl_elem_id_t * a2;
    unsigned int a3;
    long long a4;
    long long a5;
    long long a6;
} ARGS_int_snd_ctl_t___GENPT___const_snd_ctl_elem_id_t___GENPT___unsigned_int_long_long_long_long_long_long;
typedef struct {
    int format;
    FUNC_int_snd_ctl_t___GENPT___const_snd_ctl_elem_id_t___GENPT___unsigned_int_long_long_long_long_long_long func;
    ARGS_int_snd_ctl_t___GENPT___const_snd_ctl_elem_id_t___GENPT___unsigned_int_long_long_long_long_long_long args;
} PACKED_int_snd_ctl_t___GENPT___const_snd_ctl_elem_id_t___GENPT___unsigned_int_long_long_long_long_long_long;
typedef struct {
    int func;
    ARGS_int_snd_ctl_t___GENPT___const_snd_ctl_elem_id_t___GENPT___unsigned_int_long_long_long_long_long_long args;
} INDEXED_int_snd_ctl_t___GENPT___const_snd_ctl_elem_id_t___GENPT___unsigned_int_long_long_long_long_long_long;
typedef void (*FUNC_void_snd_ctl_elem_id_t___GENPT__)(snd_ctl_elem_id_t * obj);
typedef struct {
    snd_ctl_elem_id_t * a1;
} ARGS_void_snd_ctl_elem_id_t___GENPT__;
typedef struct {
    int format;
    FUNC_void_snd_ctl_elem_id_t___GENPT__ func;
    ARGS_void_snd_ctl_elem_id_t___GENPT__ args;
} PACKED_void_snd_ctl_elem_id_t___GENPT__;
typedef struct {
    int func;
    ARGS_void_snd_ctl_elem_id_t___GENPT__ args;
} INDEXED_void_snd_ctl_elem_id_t___GENPT__;
typedef void (*FUNC_void_snd_ctl_elem_id_t___GENPT___const_snd_ctl_elem_id_t___GENPT__)(snd_ctl_elem_id_t * dst, const snd_ctl_elem_id_t * src);
typedef struct {
    snd_ctl_elem_id_t * a1;
    snd_ctl_elem_id_t * a2;
} ARGS_void_snd_ctl_elem_id_t___GENPT___const_snd_ctl_elem_id_t___GENPT__;
typedef struct {
    int format;
    FUNC_void_snd_ctl_elem_id_t___GENPT___const_snd_ctl_elem_id_t___GENPT__ func;
    ARGS_void_snd_ctl_elem_id_t___GENPT___const_snd_ctl_elem_id_t___GENPT__ args;
} PACKED_void_snd_ctl_elem_id_t___GENPT___const_snd_ctl_elem_id_t___GENPT__;
typedef struct {
    int func;
    ARGS_void_snd_ctl_elem_id_t___GENPT___const_snd_ctl_elem_id_t___GENPT__ args;
} INDEXED_void_snd_ctl_elem_id_t___GENPT___const_snd_ctl_elem_id_t___GENPT__;
typedef unsigned int (*FUNC_unsigned_int_const_snd_ctl_elem_id_t___GENPT__)(const snd_ctl_elem_id_t * obj);
typedef struct {
    snd_ctl_elem_id_t * a1;
} ARGS_unsigned_int_const_snd_ctl_elem_id_t___GENPT__;
typedef struct {
    int format;
    FUNC_unsigned_int_const_snd_ctl_elem_id_t___GENPT__ func;
    ARGS_unsigned_int_const_snd_ctl_elem_id_t___GENPT__ args;
} PACKED_unsigned_int_const_snd_ctl_elem_id_t___GENPT__;
typedef struct {
    int func;
    ARGS_unsigned_int_const_snd_ctl_elem_id_t___GENPT__ args;
} INDEXED_unsigned_int_const_snd_ctl_elem_id_t___GENPT__;
typedef snd_ctl_elem_iface_t (*FUNC_snd_ctl_elem_iface_t_const_snd_ctl_elem_id_t___GENPT__)(const snd_ctl_elem_id_t * obj);
typedef struct {
    snd_ctl_elem_id_t * a1;
} ARGS_snd_ctl_elem_iface_t_const_snd_ctl_elem_id_t___GENPT__;
typedef struct {
    int format;
    FUNC_snd_ctl_elem_iface_t_const_snd_ctl_elem_id_t___GENPT__ func;
    ARGS_snd_ctl_elem_iface_t_const_snd_ctl_elem_id_t___GENPT__ args;
} PACKED_snd_ctl_elem_iface_t_const_snd_ctl_elem_id_t___GENPT__;
typedef struct {
    int func;
    ARGS_snd_ctl_elem_iface_t_const_snd_ctl_elem_id_t___GENPT__ args;
} INDEXED_snd_ctl_elem_iface_t_const_snd_ctl_elem_id_t___GENPT__;
typedef const char * (*FUNC_const_char___GENPT___const_snd_ctl_elem_id_t___GENPT__)(const snd_ctl_elem_id_t * obj);
typedef struct {
    snd_ctl_elem_id_t * a1;
} ARGS_const_char___GENPT___const_snd_ctl_elem_id_t___GENPT__;
typedef struct {
    int format;
    FUNC_const_char___GENPT___const_snd_ctl_elem_id_t___GENPT__ func;
    ARGS_const_char___GENPT___const_snd_ctl_elem_id_t___GENPT__ args;
} PACKED_const_char___GENPT___const_snd_ctl_elem_id_t___GENPT__;
typedef struct {
    int func;
    ARGS_const_char___GENPT___const_snd_ctl_elem_id_t___GENPT__ args;
} INDEXED_const_char___GENPT___const_snd_ctl_elem_id_t___GENPT__;
typedef int (*FUNC_int_snd_ctl_elem_id_t___GENPT____GENPT__)(snd_ctl_elem_id_t ** ptr);
typedef struct {
    snd_ctl_elem_id_t ** a1;
} ARGS_int_snd_ctl_elem_id_t___GENPT____GENPT__;
typedef struct {
    int format;
    FUNC_int_snd_ctl_elem_id_t___GENPT____GENPT__ func;
    ARGS_int_snd_ctl_elem_id_t___GENPT____GENPT__ args;
} PACKED_int_snd_ctl_elem_id_t___GENPT____GENPT__;
typedef struct {
    int func;
    ARGS_int_snd_ctl_elem_id_t___GENPT____GENPT__ args;
} INDEXED_int_snd_ctl_elem_id_t___GENPT____GENPT__;
typedef void (*FUNC_void_snd_ctl_elem_id_t___GENPT___unsigned_int)(snd_ctl_elem_id_t * obj, unsigned int val);
typedef struct {
    snd_ctl_elem_id_t * a1;
    unsigned int a2;
} ARGS_void_snd_ctl_elem_id_t___GENPT___unsigned_int;
typedef struct {
    int format;
    FUNC_void_snd_ctl_elem_id_t___GENPT___unsigned_int func;
    ARGS_void_snd_ctl_elem_id_t___GENPT___unsigned_int args;
} PACKED_void_snd_ctl_elem_id_t___GENPT___unsigned_int;
typedef struct {
    int func;
    ARGS_void_snd_ctl_elem_id_t___GENPT___unsigned_int args;
} INDEXED_void_snd_ctl_elem_id_t___GENPT___unsigned_int;
typedef void (*FUNC_void_snd_ctl_elem_id_t___GENPT___snd_ctl_elem_iface_t)(snd_ctl_elem_id_t * obj, snd_ctl_elem_iface_t val);
typedef struct {
    snd_ctl_elem_id_t * a1;
    snd_ctl_elem_iface_t a2;
} ARGS_void_snd_ctl_elem_id_t___GENPT___snd_ctl_elem_iface_t;
typedef struct {
    int format;
    FUNC_void_snd_ctl_elem_id_t___GENPT___snd_ctl_elem_iface_t func;
    ARGS_void_snd_ctl_elem_id_t___GENPT___snd_ctl_elem_iface_t args;
} PACKED_void_snd_ctl_elem_id_t___GENPT___snd_ctl_elem_iface_t;
typedef struct {
    int func;
    ARGS_void_snd_ctl_elem_id_t___GENPT___snd_ctl_elem_iface_t args;
} INDEXED_void_snd_ctl_elem_id_t___GENPT___snd_ctl_elem_iface_t;
typedef void (*FUNC_void_snd_ctl_elem_id_t___GENPT___const_char___GENPT__)(snd_ctl_elem_id_t * obj, const char * val);
typedef struct {
    snd_ctl_elem_id_t * a1;
    char * a2;
} ARGS_void_snd_ctl_elem_id_t___GENPT___const_char___GENPT__;
typedef struct {
    int format;
    FUNC_void_snd_ctl_elem_id_t___GENPT___const_char___GENPT__ func;
    ARGS_void_snd_ctl_elem_id_t___GENPT___const_char___GENPT__ args;
} PACKED_void_snd_ctl_elem_id_t___GENPT___const_char___GENPT__;
typedef struct {
    int func;
    ARGS_void_snd_ctl_elem_id_t___GENPT___const_char___GENPT__ args;
} INDEXED_void_snd_ctl_elem_id_t___GENPT___const_char___GENPT__;
typedef const char * (*FUNC_const_char___GENPT___snd_ctl_elem_iface_t)(snd_ctl_elem_iface_t iface);
typedef struct {
    snd_ctl_elem_iface_t a1;
} ARGS_const_char___GENPT___snd_ctl_elem_iface_t;
typedef struct {
    int format;
    FUNC_const_char___GENPT___snd_ctl_elem_iface_t func;
    ARGS_const_char___GENPT___snd_ctl_elem_iface_t args;
} PACKED_const_char___GENPT___snd_ctl_elem_iface_t;
typedef struct {
    int func;
    ARGS_const_char___GENPT___snd_ctl_elem_iface_t args;
} INDEXED_const_char___GENPT___snd_ctl_elem_iface_t;
typedef int (*FUNC_int_snd_ctl_t___GENPT___snd_ctl_elem_info_t___GENPT__)(snd_ctl_t * ctl, snd_ctl_elem_info_t * info);
typedef struct {
    snd_ctl_t * a1;
    snd_ctl_elem_info_t * a2;
} ARGS_int_snd_ctl_t___GENPT___snd_ctl_elem_info_t___GENPT__;
typedef struct {
    int format;
    FUNC_int_snd_ctl_t___GENPT___snd_ctl_elem_info_t___GENPT__ func;
    ARGS_int_snd_ctl_t___GENPT___snd_ctl_elem_info_t___GENPT__ args;
} PACKED_int_snd_ctl_t___GENPT___snd_ctl_elem_info_t___GENPT__;
typedef struct {
    int func;
    ARGS_int_snd_ctl_t___GENPT___snd_ctl_elem_info_t___GENPT__ args;
} INDEXED_int_snd_ctl_t___GENPT___snd_ctl_elem_info_t___GENPT__;
typedef void (*FUNC_void_snd_ctl_elem_info_t___GENPT__)(snd_ctl_elem_info_t * obj);
typedef struct {
    snd_ctl_elem_info_t * a1;
} ARGS_void_snd_ctl_elem_info_t___GENPT__;
typedef struct {
    int format;
    FUNC_void_snd_ctl_elem_info_t___GENPT__ func;
    ARGS_void_snd_ctl_elem_info_t___GENPT__ args;
} PACKED_void_snd_ctl_elem_info_t___GENPT__;
typedef struct {
    int func;
    ARGS_void_snd_ctl_elem_info_t___GENPT__ args;
} INDEXED_void_snd_ctl_elem_info_t___GENPT__;
typedef void (*FUNC_void_snd_ctl_elem_info_t___GENPT___const_snd_ctl_elem_info_t___GENPT__)(snd_ctl_elem_info_t * dst, const snd_ctl_elem_info_t * src);
typedef struct {
    snd_ctl_elem_info_t * a1;
    snd_ctl_elem_info_t * a2;
} ARGS_void_snd_ctl_elem_info_t___GENPT___const_snd_ctl_elem_info_t___GENPT__;
typedef struct {
    int format;
    FUNC_void_snd_ctl_elem_info_t___GENPT___const_snd_ctl_elem_info_t___GENPT__ func;
    ARGS_void_snd_ctl_elem_info_t___GENPT___const_snd_ctl_elem_info_t___GENPT__ args;
} PACKED_void_snd_ctl_elem_info_t___GENPT___const_snd_ctl_elem_info_t___GENPT__;
typedef struct {
    int func;
    ARGS_void_snd_ctl_elem_info_t___GENPT___const_snd_ctl_elem_info_t___GENPT__ args;
} INDEXED_void_snd_ctl_elem_info_t___GENPT___const_snd_ctl_elem_info_t___GENPT__;
typedef unsigned int (*FUNC_unsigned_int_const_snd_ctl_elem_info_t___GENPT__)(const snd_ctl_elem_info_t * obj);
typedef struct {
    snd_ctl_elem_info_t * a1;
} ARGS_unsigned_int_const_snd_ctl_elem_info_t___GENPT__;
typedef struct {
    int format;
    FUNC_unsigned_int_const_snd_ctl_elem_info_t___GENPT__ func;
    ARGS_unsigned_int_const_snd_ctl_elem_info_t___GENPT__ args;
} PACKED_unsigned_int_const_snd_ctl_elem_info_t___GENPT__;
typedef struct {
    int func;
    ARGS_unsigned_int_const_snd_ctl_elem_info_t___GENPT__ args;
} INDEXED_unsigned_int_const_snd_ctl_elem_info_t___GENPT__;
typedef int (*FUNC_int_const_snd_ctl_elem_info_t___GENPT___unsigned_int)(const snd_ctl_elem_info_t * obj, unsigned int idx);
typedef struct {
    snd_ctl_elem_info_t * a1;
    unsigned int a2;
} ARGS_int_const_snd_ctl_elem_info_t___GENPT___unsigned_int;
typedef struct {
    int format;
    FUNC_int_const_snd_ctl_elem_info_t___GENPT___unsigned_int func;
    ARGS_int_const_snd_ctl_elem_info_t___GENPT___unsigned_int args;
} PACKED_int_const_snd_ctl_elem_info_t___GENPT___unsigned_int;
typedef struct {
    int func;
    ARGS_int_const_snd_ctl_elem_info_t___GENPT___unsigned_int args;
} INDEXED_int_const_snd_ctl_elem_info_t___GENPT___unsigned_int;
typedef int (*FUNC_int_const_snd_ctl_elem_info_t___GENPT__)(const snd_ctl_elem_info_t * obj);
typedef struct {
    snd_ctl_elem_info_t * a1;
} ARGS_int_const_snd_ctl_elem_info_t___GENPT__;
typedef struct {
    int format;
    FUNC_int_const_snd_ctl_elem_info_t___GENPT__ func;
    ARGS_int_const_snd_ctl_elem_info_t___GENPT__ args;
} PACKED_int_const_snd_ctl_elem_info_t___GENPT__;
typedef struct {
    int func;
    ARGS_int_const_snd_ctl_elem_info_t___GENPT__ args;
} INDEXED_int_const_snd_ctl_elem_info_t___GENPT__;
typedef void (*FUNC_void_const_snd_ctl_elem_info_t___GENPT___snd_ctl_elem_id_t___GENPT__)(const snd_ctl_elem_info_t * obj, snd_ctl_elem_id_t * ptr);
typedef struct {
    snd_ctl_elem_info_t * a1;
    snd_ctl_elem_id_t * a2;
} ARGS_void_const_snd_ctl_elem_info_t___GENPT___snd_ctl_elem_id_t___GENPT__;
typedef struct {
    int format;
    FUNC_void_const_snd_ctl_elem_info_t___GENPT___snd_ctl_elem_id_t___GENPT__ func;
    ARGS_void_const_snd_ctl_elem_info_t___GENPT___snd_ctl_elem_id_t___GENPT__ args;
} PACKED_void_const_snd_ctl_elem_info_t___GENPT___snd_ctl_elem_id_t___GENPT__;
typedef struct {
    int func;
    ARGS_void_const_snd_ctl_elem_info_t___GENPT___snd_ctl_elem_id_t___GENPT__ args;
} INDEXED_void_const_snd_ctl_elem_info_t___GENPT___snd_ctl_elem_id_t___GENPT__;
typedef snd_ctl_elem_iface_t (*FUNC_snd_ctl_elem_iface_t_const_snd_ctl_elem_info_t___GENPT__)(const snd_ctl_elem_info_t * obj);
typedef struct {
    snd_ctl_elem_info_t * a1;
} ARGS_snd_ctl_elem_iface_t_const_snd_ctl_elem_info_t___GENPT__;
typedef struct {
    int format;
    FUNC_snd_ctl_elem_iface_t_const_snd_ctl_elem_info_t___GENPT__ func;
    ARGS_snd_ctl_elem_iface_t_const_snd_ctl_elem_info_t___GENPT__ args;
} PACKED_snd_ctl_elem_iface_t_const_snd_ctl_elem_info_t___GENPT__;
typedef struct {
    int func;
    ARGS_snd_ctl_elem_iface_t_const_snd_ctl_elem_info_t___GENPT__ args;
} INDEXED_snd_ctl_elem_iface_t_const_snd_ctl_elem_info_t___GENPT__;
typedef const char * (*FUNC_const_char___GENPT___const_snd_ctl_elem_info_t___GENPT__)(const snd_ctl_elem_info_t * obj);
typedef struct {
    snd_ctl_elem_info_t * a1;
} ARGS_const_char___GENPT___const_snd_ctl_elem_info_t___GENPT__;
typedef struct {
    int format;
    FUNC_const_char___GENPT___const_snd_ctl_elem_info_t___GENPT__ func;
    ARGS_const_char___GENPT___const_snd_ctl_elem_info_t___GENPT__ args;
} PACKED_const_char___GENPT___const_snd_ctl_elem_info_t___GENPT__;
typedef struct {
    int func;
    ARGS_const_char___GENPT___const_snd_ctl_elem_info_t___GENPT__ args;
} INDEXED_const_char___GENPT___const_snd_ctl_elem_info_t___GENPT__;
typedef long (*FUNC_long_const_snd_ctl_elem_info_t___GENPT__)(const snd_ctl_elem_info_t * obj);
typedef struct {
    snd_ctl_elem_info_t * a1;
} ARGS_long_const_snd_ctl_elem_info_t___GENPT__;
typedef struct {
    int format;
    FUNC_long_const_snd_ctl_elem_info_t___GENPT__ func;
    ARGS_long_const_snd_ctl_elem_info_t___GENPT__ args;
} PACKED_long_const_snd_ctl_elem_info_t___GENPT__;
typedef struct {
    int func;
    ARGS_long_const_snd_ctl_elem_info_t___GENPT__ args;
} INDEXED_long_const_snd_ctl_elem_info_t___GENPT__;
typedef long long (*FUNC_long_long_const_snd_ctl_elem_info_t___GENPT__)(const snd_ctl_elem_info_t * obj);
typedef struct {
    snd_ctl_elem_info_t * a1;
} ARGS_long_long_const_snd_ctl_elem_info_t___GENPT__;
typedef struct {
    int format;
    FUNC_long_long_const_snd_ctl_elem_info_t___GENPT__ func;
    ARGS_long_long_const_snd_ctl_elem_info_t___GENPT__ args;
} PACKED_long_long_const_snd_ctl_elem_info_t___GENPT__;
typedef struct {
    int func;
    ARGS_long_long_const_snd_ctl_elem_info_t___GENPT__ args;
} INDEXED_long_long_const_snd_ctl_elem_info_t___GENPT__;
typedef pid_t (*FUNC_pid_t_const_snd_ctl_elem_info_t___GENPT__)(const snd_ctl_elem_info_t * obj);
typedef struct {
    snd_ctl_elem_info_t * a1;
} ARGS_pid_t_const_snd_ctl_elem_info_t___GENPT__;
typedef struct {
    int format;
    FUNC_pid_t_const_snd_ctl_elem_info_t___GENPT__ func;
    ARGS_pid_t_const_snd_ctl_elem_info_t___GENPT__ args;
} PACKED_pid_t_const_snd_ctl_elem_info_t___GENPT__;
typedef struct {
    int func;
    ARGS_pid_t_const_snd_ctl_elem_info_t___GENPT__ args;
} INDEXED_pid_t_const_snd_ctl_elem_info_t___GENPT__;
typedef snd_ctl_elem_type_t (*FUNC_snd_ctl_elem_type_t_const_snd_ctl_elem_info_t___GENPT__)(const snd_ctl_elem_info_t * obj);
typedef struct {
    snd_ctl_elem_info_t * a1;
} ARGS_snd_ctl_elem_type_t_const_snd_ctl_elem_info_t___GENPT__;
typedef struct {
    int format;
    FUNC_snd_ctl_elem_type_t_const_snd_ctl_elem_info_t___GENPT__ func;
    ARGS_snd_ctl_elem_type_t_const_snd_ctl_elem_info_t___GENPT__ args;
} PACKED_snd_ctl_elem_type_t_const_snd_ctl_elem_info_t___GENPT__;
typedef struct {
    int func;
    ARGS_snd_ctl_elem_type_t_const_snd_ctl_elem_info_t___GENPT__ args;
} INDEXED_snd_ctl_elem_type_t_const_snd_ctl_elem_info_t___GENPT__;
typedef int (*FUNC_int_snd_ctl_elem_info_t___GENPT____GENPT__)(snd_ctl_elem_info_t ** ptr);
typedef struct {
    snd_ctl_elem_info_t ** a1;
} ARGS_int_snd_ctl_elem_info_t___GENPT____GENPT__;
typedef struct {
    int format;
    FUNC_int_snd_ctl_elem_info_t___GENPT____GENPT__ func;
    ARGS_int_snd_ctl_elem_info_t___GENPT____GENPT__ args;
} PACKED_int_snd_ctl_elem_info_t___GENPT____GENPT__;
typedef struct {
    int func;
    ARGS_int_snd_ctl_elem_info_t___GENPT____GENPT__ args;
} INDEXED_int_snd_ctl_elem_info_t___GENPT____GENPT__;
typedef void (*FUNC_void_snd_ctl_elem_info_t___GENPT___unsigned_int)(snd_ctl_elem_info_t * obj, unsigned int val);
typedef struct {
    snd_ctl_elem_info_t * a1;
    unsigned int a2;
} ARGS_void_snd_ctl_elem_info_t___GENPT___unsigned_int;
typedef struct {
    int format;
    FUNC_void_snd_ctl_elem_info_t___GENPT___unsigned_int func;
    ARGS_void_snd_ctl_elem_info_t___GENPT___unsigned_int args;
} PACKED_void_snd_ctl_elem_info_t___GENPT___unsigned_int;
typedef struct {
    int func;
    ARGS_void_snd_ctl_elem_info_t___GENPT___unsigned_int args;
} INDEXED_void_snd_ctl_elem_info_t___GENPT___unsigned_int;
typedef void (*FUNC_void_snd_ctl_elem_info_t___GENPT___const_snd_ctl_elem_id_t___GENPT__)(snd_ctl_elem_info_t * obj, const snd_ctl_elem_id_t * ptr);
typedef struct {
    snd_ctl_elem_info_t * a1;
    snd_ctl_elem_id_t * a2;
} ARGS_void_snd_ctl_elem_info_t___GENPT___const_snd_ctl_elem_id_t___GENPT__;
typedef struct {
    int format;
    FUNC_void_snd_ctl_elem_info_t___GENPT___const_snd_ctl_elem_id_t___GENPT__ func;
    ARGS_void_snd_ctl_elem_info_t___GENPT___const_snd_ctl_elem_id_t___GENPT__ args;
} PACKED_void_snd_ctl_elem_info_t___GENPT___const_snd_ctl_elem_id_t___GENPT__;
typedef struct {
    int func;
    ARGS_void_snd_ctl_elem_info_t___GENPT___const_snd_ctl_elem_id_t___GENPT__ args;
} INDEXED_void_snd_ctl_elem_info_t___GENPT___const_snd_ctl_elem_id_t___GENPT__;
typedef void (*FUNC_void_snd_ctl_elem_info_t___GENPT___snd_ctl_elem_iface_t)(snd_ctl_elem_info_t * obj, snd_ctl_elem_iface_t val);
typedef struct {
    snd_ctl_elem_info_t * a1;
    snd_ctl_elem_iface_t a2;
} ARGS_void_snd_ctl_elem_info_t___GENPT___snd_ctl_elem_iface_t;
typedef struct {
    int format;
    FUNC_void_snd_ctl_elem_info_t___GENPT___snd_ctl_elem_iface_t func;
    ARGS_void_snd_ctl_elem_info_t___GENPT___snd_ctl_elem_iface_t args;
} PACKED_void_snd_ctl_elem_info_t___GENPT___snd_ctl_elem_iface_t;
typedef struct {
    int func;
    ARGS_void_snd_ctl_elem_info_t___GENPT___snd_ctl_elem_iface_t args;
} INDEXED_void_snd_ctl_elem_info_t___GENPT___snd_ctl_elem_iface_t;
typedef void (*FUNC_void_snd_ctl_elem_info_t___GENPT___const_char___GENPT__)(snd_ctl_elem_info_t * obj, const char * val);
typedef struct {
    snd_ctl_elem_info_t * a1;
    char * a2;
} ARGS_void_snd_ctl_elem_info_t___GENPT___const_char___GENPT__;
typedef struct {
    int format;
    FUNC_void_snd_ctl_elem_info_t___GENPT___const_char___GENPT__ func;
    ARGS_void_snd_ctl_elem_info_t___GENPT___const_char___GENPT__ args;
} PACKED_void_snd_ctl_elem_info_t___GENPT___const_char___GENPT__;
typedef struct {
    int func;
    ARGS_void_snd_ctl_elem_info_t___GENPT___const_char___GENPT__ args;
} INDEXED_void_snd_ctl_elem_info_t___GENPT___const_char___GENPT__;
typedef int (*FUNC_int_snd_ctl_t___GENPT___snd_ctl_elem_list_t___GENPT__)(snd_ctl_t * ctl, snd_ctl_elem_list_t * list);
typedef struct {
    snd_ctl_t * a1;
    snd_ctl_elem_list_t * a2;
} ARGS_int_snd_ctl_t___GENPT___snd_ctl_elem_list_t___GENPT__;
typedef struct {
    int format;
    FUNC_int_snd_ctl_t___GENPT___snd_ctl_elem_list_t___GENPT__ func;
    ARGS_int_snd_ctl_t___GENPT___snd_ctl_elem_list_t___GENPT__ args;
} PACKED_int_snd_ctl_t___GENPT___snd_ctl_elem_list_t___GENPT__;
typedef struct {
    int func;
    ARGS_int_snd_ctl_t___GENPT___snd_ctl_elem_list_t___GENPT__ args;
} INDEXED_int_snd_ctl_t___GENPT___snd_ctl_elem_list_t___GENPT__;
typedef int (*FUNC_int_snd_ctl_elem_list_t___GENPT___unsigned_int)(snd_ctl_elem_list_t * obj, unsigned int entries);
typedef struct {
    snd_ctl_elem_list_t * a1;
    unsigned int a2;
} ARGS_int_snd_ctl_elem_list_t___GENPT___unsigned_int;
typedef struct {
    int format;
    FUNC_int_snd_ctl_elem_list_t___GENPT___unsigned_int func;
    ARGS_int_snd_ctl_elem_list_t___GENPT___unsigned_int args;
} PACKED_int_snd_ctl_elem_list_t___GENPT___unsigned_int;
typedef struct {
    int func;
    ARGS_int_snd_ctl_elem_list_t___GENPT___unsigned_int args;
} INDEXED_int_snd_ctl_elem_list_t___GENPT___unsigned_int;
typedef void (*FUNC_void_snd_ctl_elem_list_t___GENPT__)(snd_ctl_elem_list_t * obj);
typedef struct {
    snd_ctl_elem_list_t * a1;
} ARGS_void_snd_ctl_elem_list_t___GENPT__;
typedef struct {
    int format;
    FUNC_void_snd_ctl_elem_list_t___GENPT__ func;
    ARGS_void_snd_ctl_elem_list_t___GENPT__ args;
} PACKED_void_snd_ctl_elem_list_t___GENPT__;
typedef struct {
    int func;
    ARGS_void_snd_ctl_elem_list_t___GENPT__ args;
} INDEXED_void_snd_ctl_elem_list_t___GENPT__;
typedef void (*FUNC_void_snd_ctl_elem_list_t___GENPT___const_snd_ctl_elem_list_t___GENPT__)(snd_ctl_elem_list_t * dst, const snd_ctl_elem_list_t * src);
typedef struct {
    snd_ctl_elem_list_t * a1;
    snd_ctl_elem_list_t * a2;
} ARGS_void_snd_ctl_elem_list_t___GENPT___const_snd_ctl_elem_list_t___GENPT__;
typedef struct {
    int format;
    FUNC_void_snd_ctl_elem_list_t___GENPT___const_snd_ctl_elem_list_t___GENPT__ func;
    ARGS_void_snd_ctl_elem_list_t___GENPT___const_snd_ctl_elem_list_t___GENPT__ args;
} PACKED_void_snd_ctl_elem_list_t___GENPT___const_snd_ctl_elem_list_t___GENPT__;
typedef struct {
    int func;
    ARGS_void_snd_ctl_elem_list_t___GENPT___const_snd_ctl_elem_list_t___GENPT__ args;
} INDEXED_void_snd_ctl_elem_list_t___GENPT___const_snd_ctl_elem_list_t___GENPT__;
typedef unsigned int (*FUNC_unsigned_int_const_snd_ctl_elem_list_t___GENPT__)(const snd_ctl_elem_list_t * obj);
typedef struct {
    snd_ctl_elem_list_t * a1;
} ARGS_unsigned_int_const_snd_ctl_elem_list_t___GENPT__;
typedef struct {
    int format;
    FUNC_unsigned_int_const_snd_ctl_elem_list_t___GENPT__ func;
    ARGS_unsigned_int_const_snd_ctl_elem_list_t___GENPT__ args;
} PACKED_unsigned_int_const_snd_ctl_elem_list_t___GENPT__;
typedef struct {
    int func;
    ARGS_unsigned_int_const_snd_ctl_elem_list_t___GENPT__ args;
} INDEXED_unsigned_int_const_snd_ctl_elem_list_t___GENPT__;
typedef unsigned int (*FUNC_unsigned_int_const_snd_ctl_elem_list_t___GENPT___unsigned_int)(const snd_ctl_elem_list_t * obj, unsigned int idx);
typedef struct {
    snd_ctl_elem_list_t * a1;
    unsigned int a2;
} ARGS_unsigned_int_const_snd_ctl_elem_list_t___GENPT___unsigned_int;
typedef struct {
    int format;
    FUNC_unsigned_int_const_snd_ctl_elem_list_t___GENPT___unsigned_int func;
    ARGS_unsigned_int_const_snd_ctl_elem_list_t___GENPT___unsigned_int args;
} PACKED_unsigned_int_const_snd_ctl_elem_list_t___GENPT___unsigned_int;
typedef struct {
    int func;
    ARGS_unsigned_int_const_snd_ctl_elem_list_t___GENPT___unsigned_int args;
} INDEXED_unsigned_int_const_snd_ctl_elem_list_t___GENPT___unsigned_int;
typedef void (*FUNC_void_const_snd_ctl_elem_list_t___GENPT___unsigned_int_snd_ctl_elem_id_t___GENPT__)(const snd_ctl_elem_list_t * obj, unsigned int idx, snd_ctl_elem_id_t * ptr);
typedef struct {
    snd_ctl_elem_list_t * a1;
    unsigned int a2;
    snd_ctl_elem_id_t * a3;
} ARGS_void_const_snd_ctl_elem_list_t___GENPT___unsigned_int_snd_ctl_elem_id_t___GENPT__;
typedef struct {
    int format;
    FUNC_void_const_snd_ctl_elem_list_t___GENPT___unsigned_int_snd_ctl_elem_id_t___GENPT__ func;
    ARGS_void_const_snd_ctl_elem_list_t___GENPT___unsigned_int_snd_ctl_elem_id_t___GENPT__ args;
} PACKED_void_const_snd_ctl_elem_list_t___GENPT___unsigned_int_snd_ctl_elem_id_t___GENPT__;
typedef struct {
    int func;
    ARGS_void_const_snd_ctl_elem_list_t___GENPT___unsigned_int_snd_ctl_elem_id_t___GENPT__ args;
} INDEXED_void_const_snd_ctl_elem_list_t___GENPT___unsigned_int_snd_ctl_elem_id_t___GENPT__;
typedef snd_ctl_elem_iface_t (*FUNC_snd_ctl_elem_iface_t_const_snd_ctl_elem_list_t___GENPT___unsigned_int)(const snd_ctl_elem_list_t * obj, unsigned int idx);
typedef struct {
    snd_ctl_elem_list_t * a1;
    unsigned int a2;
} ARGS_snd_ctl_elem_iface_t_const_snd_ctl_elem_list_t___GENPT___unsigned_int;
typedef struct {
    int format;
    FUNC_snd_ctl_elem_iface_t_const_snd_ctl_elem_list_t___GENPT___unsigned_int func;
    ARGS_snd_ctl_elem_iface_t_const_snd_ctl_elem_list_t___GENPT___unsigned_int args;
} PACKED_snd_ctl_elem_iface_t_const_snd_ctl_elem_list_t___GENPT___unsigned_int;
typedef struct {
    int func;
    ARGS_snd_ctl_elem_iface_t_const_snd_ctl_elem_list_t___GENPT___unsigned_int args;
} INDEXED_snd_ctl_elem_iface_t_const_snd_ctl_elem_list_t___GENPT___unsigned_int;
typedef const char * (*FUNC_const_char___GENPT___const_snd_ctl_elem_list_t___GENPT___unsigned_int)(const snd_ctl_elem_list_t * obj, unsigned int idx);
typedef struct {
    snd_ctl_elem_list_t * a1;
    unsigned int a2;
} ARGS_const_char___GENPT___const_snd_ctl_elem_list_t___GENPT___unsigned_int;
typedef struct {
    int format;
    FUNC_const_char___GENPT___const_snd_ctl_elem_list_t___GENPT___unsigned_int func;
    ARGS_const_char___GENPT___const_snd_ctl_elem_list_t___GENPT___unsigned_int args;
} PACKED_const_char___GENPT___const_snd_ctl_elem_list_t___GENPT___unsigned_int;
typedef struct {
    int func;
    ARGS_const_char___GENPT___const_snd_ctl_elem_list_t___GENPT___unsigned_int args;
} INDEXED_const_char___GENPT___const_snd_ctl_elem_list_t___GENPT___unsigned_int;
typedef int (*FUNC_int_snd_ctl_elem_list_t___GENPT____GENPT__)(snd_ctl_elem_list_t ** ptr);
typedef struct {
    snd_ctl_elem_list_t ** a1;
} ARGS_int_snd_ctl_elem_list_t___GENPT____GENPT__;
typedef struct {
    int format;
    FUNC_int_snd_ctl_elem_list_t___GENPT____GENPT__ func;
    ARGS_int_snd_ctl_elem_list_t___GENPT____GENPT__ args;
} PACKED_int_snd_ctl_elem_list_t___GENPT____GENPT__;
typedef struct {
    int func;
    ARGS_int_snd_ctl_elem_list_t___GENPT____GENPT__ args;
} INDEXED_int_snd_ctl_elem_list_t___GENPT____GENPT__;
typedef void (*FUNC_void_snd_ctl_elem_list_t___GENPT___unsigned_int)(snd_ctl_elem_list_t * obj, unsigned int val);
typedef struct {
    snd_ctl_elem_list_t * a1;
    unsigned int a2;
} ARGS_void_snd_ctl_elem_list_t___GENPT___unsigned_int;
typedef struct {
    int format;
    FUNC_void_snd_ctl_elem_list_t___GENPT___unsigned_int func;
    ARGS_void_snd_ctl_elem_list_t___GENPT___unsigned_int args;
} PACKED_void_snd_ctl_elem_list_t___GENPT___unsigned_int;
typedef struct {
    int func;
    ARGS_void_snd_ctl_elem_list_t___GENPT___unsigned_int args;
} INDEXED_void_snd_ctl_elem_list_t___GENPT___unsigned_int;
typedef int (*FUNC_int_snd_ctl_t___GENPT___snd_ctl_elem_id_t___GENPT__)(snd_ctl_t * ctl, snd_ctl_elem_id_t * id);
typedef struct {
    snd_ctl_t * a1;
    snd_ctl_elem_id_t * a2;
} ARGS_int_snd_ctl_t___GENPT___snd_ctl_elem_id_t___GENPT__;
typedef struct {
    int format;
    FUNC_int_snd_ctl_t___GENPT___snd_ctl_elem_id_t___GENPT__ func;
    ARGS_int_snd_ctl_t___GENPT___snd_ctl_elem_id_t___GENPT__ args;
} PACKED_int_snd_ctl_t___GENPT___snd_ctl_elem_id_t___GENPT__;
typedef struct {
    int func;
    ARGS_int_snd_ctl_t___GENPT___snd_ctl_elem_id_t___GENPT__ args;
} INDEXED_int_snd_ctl_t___GENPT___snd_ctl_elem_id_t___GENPT__;
typedef int (*FUNC_int_snd_ctl_t___GENPT___snd_ctl_elem_value_t___GENPT__)(snd_ctl_t * ctl, snd_ctl_elem_value_t * value);
typedef struct {
    snd_ctl_t * a1;
    snd_ctl_elem_value_t * a2;
} ARGS_int_snd_ctl_t___GENPT___snd_ctl_elem_value_t___GENPT__;
typedef struct {
    int format;
    FUNC_int_snd_ctl_t___GENPT___snd_ctl_elem_value_t___GENPT__ func;
    ARGS_int_snd_ctl_t___GENPT___snd_ctl_elem_value_t___GENPT__ args;
} PACKED_int_snd_ctl_t___GENPT___snd_ctl_elem_value_t___GENPT__;
typedef struct {
    int func;
    ARGS_int_snd_ctl_t___GENPT___snd_ctl_elem_value_t___GENPT__ args;
} INDEXED_int_snd_ctl_t___GENPT___snd_ctl_elem_value_t___GENPT__;
typedef void (*FUNC_void_snd_ctl_elem_value_t___GENPT___void___GENPT___size_t)(snd_ctl_elem_value_t * obj, void * data, size_t size);
typedef struct {
    snd_ctl_elem_value_t * a1;
    void * a2;
    size_t a3;
} ARGS_void_snd_ctl_elem_value_t___GENPT___void___GENPT___size_t;
typedef struct {
    int format;
    FUNC_void_snd_ctl_elem_value_t___GENPT___void___GENPT___size_t func;
    ARGS_void_snd_ctl_elem_value_t___GENPT___void___GENPT___size_t args;
} PACKED_void_snd_ctl_elem_value_t___GENPT___void___GENPT___size_t;
typedef struct {
    int func;
    ARGS_void_snd_ctl_elem_value_t___GENPT___void___GENPT___size_t args;
} INDEXED_void_snd_ctl_elem_value_t___GENPT___void___GENPT___size_t;
typedef int (*FUNC_int_snd_ctl_t___GENPT___const_snd_ctl_elem_id_t___GENPT___const_unsigned_int___GENPT__)(snd_ctl_t * ctl, const snd_ctl_elem_id_t * id, const unsigned int * tlv);
typedef struct {
    snd_ctl_t * a1;
    snd_ctl_elem_id_t * a2;
    unsigned int * a3;
} ARGS_int_snd_ctl_t___GENPT___const_snd_ctl_elem_id_t___GENPT___const_unsigned_int___GENPT__;
typedef struct {
    int format;
    FUNC_int_snd_ctl_t___GENPT___const_snd_ctl_elem_id_t___GENPT___const_unsigned_int___GENPT__ func;
    ARGS_int_snd_ctl_t___GENPT___const_snd_ctl_elem_id_t___GENPT___const_unsigned_int___GENPT__ args;
} PACKED_int_snd_ctl_t___GENPT___const_snd_ctl_elem_id_t___GENPT___const_unsigned_int___GENPT__;
typedef struct {
    int func;
    ARGS_int_snd_ctl_t___GENPT___const_snd_ctl_elem_id_t___GENPT___const_unsigned_int___GENPT__ args;
} INDEXED_int_snd_ctl_t___GENPT___const_snd_ctl_elem_id_t___GENPT___const_unsigned_int___GENPT__;
typedef int (*FUNC_int_snd_ctl_t___GENPT___const_snd_ctl_elem_id_t___GENPT___unsigned_int___GENPT___unsigned_int)(snd_ctl_t * ctl, const snd_ctl_elem_id_t * id, unsigned int * tlv, unsigned int tlv_size);
typedef struct {
    snd_ctl_t * a1;
    snd_ctl_elem_id_t * a2;
    unsigned int * a3;
    unsigned int a4;
} ARGS_int_snd_ctl_t___GENPT___const_snd_ctl_elem_id_t___GENPT___unsigned_int___GENPT___unsigned_int;
typedef struct {
    int format;
    FUNC_int_snd_ctl_t___GENPT___const_snd_ctl_elem_id_t___GENPT___unsigned_int___GENPT___unsigned_int func;
    ARGS_int_snd_ctl_t___GENPT___const_snd_ctl_elem_id_t___GENPT___unsigned_int___GENPT___unsigned_int args;
} PACKED_int_snd_ctl_t___GENPT___const_snd_ctl_elem_id_t___GENPT___unsigned_int___GENPT___unsigned_int;
typedef struct {
    int func;
    ARGS_int_snd_ctl_t___GENPT___const_snd_ctl_elem_id_t___GENPT___unsigned_int___GENPT___unsigned_int args;
} INDEXED_int_snd_ctl_t___GENPT___const_snd_ctl_elem_id_t___GENPT___unsigned_int___GENPT___unsigned_int;
typedef const char * (*FUNC_const_char___GENPT___snd_ctl_elem_type_t)(snd_ctl_elem_type_t type);
typedef struct {
    snd_ctl_elem_type_t a1;
} ARGS_const_char___GENPT___snd_ctl_elem_type_t;
typedef struct {
    int format;
    FUNC_const_char___GENPT___snd_ctl_elem_type_t func;
    ARGS_const_char___GENPT___snd_ctl_elem_type_t args;
} PACKED_const_char___GENPT___snd_ctl_elem_type_t;
typedef struct {
    int func;
    ARGS_const_char___GENPT___snd_ctl_elem_type_t args;
} INDEXED_const_char___GENPT___snd_ctl_elem_type_t;
typedef void (*FUNC_void_snd_ctl_elem_value_t___GENPT__)(snd_ctl_elem_value_t * obj);
typedef struct {
    snd_ctl_elem_value_t * a1;
} ARGS_void_snd_ctl_elem_value_t___GENPT__;
typedef struct {
    int format;
    FUNC_void_snd_ctl_elem_value_t___GENPT__ func;
    ARGS_void_snd_ctl_elem_value_t___GENPT__ args;
} PACKED_void_snd_ctl_elem_value_t___GENPT__;
typedef struct {
    int func;
    ARGS_void_snd_ctl_elem_value_t___GENPT__ args;
} INDEXED_void_snd_ctl_elem_value_t___GENPT__;
typedef void (*FUNC_void_snd_ctl_elem_value_t___GENPT___const_snd_ctl_elem_value_t___GENPT__)(snd_ctl_elem_value_t * dst, const snd_ctl_elem_value_t * src);
typedef struct {
    snd_ctl_elem_value_t * a1;
    snd_ctl_elem_value_t * a2;
} ARGS_void_snd_ctl_elem_value_t___GENPT___const_snd_ctl_elem_value_t___GENPT__;
typedef struct {
    int format;
    FUNC_void_snd_ctl_elem_value_t___GENPT___const_snd_ctl_elem_value_t___GENPT__ func;
    ARGS_void_snd_ctl_elem_value_t___GENPT___const_snd_ctl_elem_value_t___GENPT__ args;
} PACKED_void_snd_ctl_elem_value_t___GENPT___const_snd_ctl_elem_value_t___GENPT__;
typedef struct {
    int func;
    ARGS_void_snd_ctl_elem_value_t___GENPT___const_snd_ctl_elem_value_t___GENPT__ args;
} INDEXED_void_snd_ctl_elem_value_t___GENPT___const_snd_ctl_elem_value_t___GENPT__;
typedef int (*FUNC_int_const_snd_ctl_elem_value_t___GENPT___unsigned_int)(const snd_ctl_elem_value_t * obj, unsigned int idx);
typedef struct {
    snd_ctl_elem_value_t * a1;
    unsigned int a2;
} ARGS_int_const_snd_ctl_elem_value_t___GENPT___unsigned_int;
typedef struct {
    int format;
    FUNC_int_const_snd_ctl_elem_value_t___GENPT___unsigned_int func;
    ARGS_int_const_snd_ctl_elem_value_t___GENPT___unsigned_int args;
} PACKED_int_const_snd_ctl_elem_value_t___GENPT___unsigned_int;
typedef struct {
    int func;
    ARGS_int_const_snd_ctl_elem_value_t___GENPT___unsigned_int args;
} INDEXED_int_const_snd_ctl_elem_value_t___GENPT___unsigned_int;
typedef unsigned char (*FUNC_unsigned_char_const_snd_ctl_elem_value_t___GENPT___unsigned_int)(const snd_ctl_elem_value_t * obj, unsigned int idx);
typedef struct {
    snd_ctl_elem_value_t * a1;
    unsigned int a2;
} ARGS_unsigned_char_const_snd_ctl_elem_value_t___GENPT___unsigned_int;
typedef struct {
    int format;
    FUNC_unsigned_char_const_snd_ctl_elem_value_t___GENPT___unsigned_int func;
    ARGS_unsigned_char_const_snd_ctl_elem_value_t___GENPT___unsigned_int args;
} PACKED_unsigned_char_const_snd_ctl_elem_value_t___GENPT___unsigned_int;
typedef struct {
    int func;
    ARGS_unsigned_char_const_snd_ctl_elem_value_t___GENPT___unsigned_int args;
} INDEXED_unsigned_char_const_snd_ctl_elem_value_t___GENPT___unsigned_int;
typedef const void * (*FUNC_const_void___GENPT___const_snd_ctl_elem_value_t___GENPT__)(const snd_ctl_elem_value_t * obj);
typedef struct {
    snd_ctl_elem_value_t * a1;
} ARGS_const_void___GENPT___const_snd_ctl_elem_value_t___GENPT__;
typedef struct {
    int format;
    FUNC_const_void___GENPT___const_snd_ctl_elem_value_t___GENPT__ func;
    ARGS_const_void___GENPT___const_snd_ctl_elem_value_t___GENPT__ args;
} PACKED_const_void___GENPT___const_snd_ctl_elem_value_t___GENPT__;
typedef struct {
    int func;
    ARGS_const_void___GENPT___const_snd_ctl_elem_value_t___GENPT__ args;
} INDEXED_const_void___GENPT___const_snd_ctl_elem_value_t___GENPT__;
typedef unsigned int (*FUNC_unsigned_int_const_snd_ctl_elem_value_t___GENPT__)(const snd_ctl_elem_value_t * obj);
typedef struct {
    snd_ctl_elem_value_t * a1;
} ARGS_unsigned_int_const_snd_ctl_elem_value_t___GENPT__;
typedef struct {
    int format;
    FUNC_unsigned_int_const_snd_ctl_elem_value_t___GENPT__ func;
    ARGS_unsigned_int_const_snd_ctl_elem_value_t___GENPT__ args;
} PACKED_unsigned_int_const_snd_ctl_elem_value_t___GENPT__;
typedef struct {
    int func;
    ARGS_unsigned_int_const_snd_ctl_elem_value_t___GENPT__ args;
} INDEXED_unsigned_int_const_snd_ctl_elem_value_t___GENPT__;
typedef unsigned int (*FUNC_unsigned_int_const_snd_ctl_elem_value_t___GENPT___unsigned_int)(const snd_ctl_elem_value_t * obj, unsigned int idx);
typedef struct {
    snd_ctl_elem_value_t * a1;
    unsigned int a2;
} ARGS_unsigned_int_const_snd_ctl_elem_value_t___GENPT___unsigned_int;
typedef struct {
    int format;
    FUNC_unsigned_int_const_snd_ctl_elem_value_t___GENPT___unsigned_int func;
    ARGS_unsigned_int_const_snd_ctl_elem_value_t___GENPT___unsigned_int args;
} PACKED_unsigned_int_const_snd_ctl_elem_value_t___GENPT___unsigned_int;
typedef struct {
    int func;
    ARGS_unsigned_int_const_snd_ctl_elem_value_t___GENPT___unsigned_int args;
} INDEXED_unsigned_int_const_snd_ctl_elem_value_t___GENPT___unsigned_int;
typedef void (*FUNC_void_const_snd_ctl_elem_value_t___GENPT___snd_ctl_elem_id_t___GENPT__)(const snd_ctl_elem_value_t * obj, snd_ctl_elem_id_t * ptr);
typedef struct {
    snd_ctl_elem_value_t * a1;
    snd_ctl_elem_id_t * a2;
} ARGS_void_const_snd_ctl_elem_value_t___GENPT___snd_ctl_elem_id_t___GENPT__;
typedef struct {
    int format;
    FUNC_void_const_snd_ctl_elem_value_t___GENPT___snd_ctl_elem_id_t___GENPT__ func;
    ARGS_void_const_snd_ctl_elem_value_t___GENPT___snd_ctl_elem_id_t___GENPT__ args;
} PACKED_void_const_snd_ctl_elem_value_t___GENPT___snd_ctl_elem_id_t___GENPT__;
typedef struct {
    int func;
    ARGS_void_const_snd_ctl_elem_value_t___GENPT___snd_ctl_elem_id_t___GENPT__ args;
} INDEXED_void_const_snd_ctl_elem_value_t___GENPT___snd_ctl_elem_id_t___GENPT__;
typedef void (*FUNC_void_const_snd_ctl_elem_value_t___GENPT___snd_aes_iec958_t___GENPT__)(const snd_ctl_elem_value_t * obj, snd_aes_iec958_t * ptr);
typedef struct {
    snd_ctl_elem_value_t * a1;
    snd_aes_iec958_t * a2;
} ARGS_void_const_snd_ctl_elem_value_t___GENPT___snd_aes_iec958_t___GENPT__;
typedef struct {
    int format;
    FUNC_void_const_snd_ctl_elem_value_t___GENPT___snd_aes_iec958_t___GENPT__ func;
    ARGS_void_const_snd_ctl_elem_value_t___GENPT___snd_aes_iec958_t___GENPT__ args;
} PACKED_void_const_snd_ctl_elem_value_t___GENPT___snd_aes_iec958_t___GENPT__;
typedef struct {
    int func;
    ARGS_void_const_snd_ctl_elem_value_t___GENPT___snd_aes_iec958_t___GENPT__ args;
} INDEXED_void_const_snd_ctl_elem_value_t___GENPT___snd_aes_iec958_t___GENPT__;
typedef long (*FUNC_long_const_snd_ctl_elem_value_t___GENPT___unsigned_int)(const snd_ctl_elem_value_t * obj, unsigned int idx);
typedef struct {
    snd_ctl_elem_value_t * a1;
    unsigned int a2;
} ARGS_long_const_snd_ctl_elem_value_t___GENPT___unsigned_int;
typedef struct {
    int format;
    FUNC_long_const_snd_ctl_elem_value_t___GENPT___unsigned_int func;
    ARGS_long_const_snd_ctl_elem_value_t___GENPT___unsigned_int args;
} PACKED_long_const_snd_ctl_elem_value_t___GENPT___unsigned_int;
typedef struct {
    int func;
    ARGS_long_const_snd_ctl_elem_value_t___GENPT___unsigned_int args;
} INDEXED_long_const_snd_ctl_elem_value_t___GENPT___unsigned_int;
typedef long long (*FUNC_long_long_const_snd_ctl_elem_value_t___GENPT___unsigned_int)(const snd_ctl_elem_value_t * obj, unsigned int idx);
typedef struct {
    snd_ctl_elem_value_t * a1;
    unsigned int a2;
} ARGS_long_long_const_snd_ctl_elem_value_t___GENPT___unsigned_int;
typedef struct {
    int format;
    FUNC_long_long_const_snd_ctl_elem_value_t___GENPT___unsigned_int func;
    ARGS_long_long_const_snd_ctl_elem_value_t___GENPT___unsigned_int args;
} PACKED_long_long_const_snd_ctl_elem_value_t___GENPT___unsigned_int;
typedef struct {
    int func;
    ARGS_long_long_const_snd_ctl_elem_value_t___GENPT___unsigned_int args;
} INDEXED_long_long_const_snd_ctl_elem_value_t___GENPT___unsigned_int;
typedef snd_ctl_elem_iface_t (*FUNC_snd_ctl_elem_iface_t_const_snd_ctl_elem_value_t___GENPT__)(const snd_ctl_elem_value_t * obj);
typedef struct {
    snd_ctl_elem_value_t * a1;
} ARGS_snd_ctl_elem_iface_t_const_snd_ctl_elem_value_t___GENPT__;
typedef struct {
    int format;
    FUNC_snd_ctl_elem_iface_t_const_snd_ctl_elem_value_t___GENPT__ func;
    ARGS_snd_ctl_elem_iface_t_const_snd_ctl_elem_value_t___GENPT__ args;
} PACKED_snd_ctl_elem_iface_t_const_snd_ctl_elem_value_t___GENPT__;
typedef struct {
    int func;
    ARGS_snd_ctl_elem_iface_t_const_snd_ctl_elem_value_t___GENPT__ args;
} INDEXED_snd_ctl_elem_iface_t_const_snd_ctl_elem_value_t___GENPT__;
typedef const char * (*FUNC_const_char___GENPT___const_snd_ctl_elem_value_t___GENPT__)(const snd_ctl_elem_value_t * obj);
typedef struct {
    snd_ctl_elem_value_t * a1;
} ARGS_const_char___GENPT___const_snd_ctl_elem_value_t___GENPT__;
typedef struct {
    int format;
    FUNC_const_char___GENPT___const_snd_ctl_elem_value_t___GENPT__ func;
    ARGS_const_char___GENPT___const_snd_ctl_elem_value_t___GENPT__ args;
} PACKED_const_char___GENPT___const_snd_ctl_elem_value_t___GENPT__;
typedef struct {
    int func;
    ARGS_const_char___GENPT___const_snd_ctl_elem_value_t___GENPT__ args;
} INDEXED_const_char___GENPT___const_snd_ctl_elem_value_t___GENPT__;
typedef int (*FUNC_int_snd_ctl_elem_value_t___GENPT____GENPT__)(snd_ctl_elem_value_t ** ptr);
typedef struct {
    snd_ctl_elem_value_t ** a1;
} ARGS_int_snd_ctl_elem_value_t___GENPT____GENPT__;
typedef struct {
    int format;
    FUNC_int_snd_ctl_elem_value_t___GENPT____GENPT__ func;
    ARGS_int_snd_ctl_elem_value_t___GENPT____GENPT__ args;
} PACKED_int_snd_ctl_elem_value_t___GENPT____GENPT__;
typedef struct {
    int func;
    ARGS_int_snd_ctl_elem_value_t___GENPT____GENPT__ args;
} INDEXED_int_snd_ctl_elem_value_t___GENPT____GENPT__;
typedef void (*FUNC_void_snd_ctl_elem_value_t___GENPT___unsigned_int_long)(snd_ctl_elem_value_t * obj, unsigned int idx, long val);
typedef struct {
    snd_ctl_elem_value_t * a1;
    unsigned int a2;
    long a3;
} ARGS_void_snd_ctl_elem_value_t___GENPT___unsigned_int_long;
typedef struct {
    int format;
    FUNC_void_snd_ctl_elem_value_t___GENPT___unsigned_int_long func;
    ARGS_void_snd_ctl_elem_value_t___GENPT___unsigned_int_long args;
} PACKED_void_snd_ctl_elem_value_t___GENPT___unsigned_int_long;
typedef struct {
    int func;
    ARGS_void_snd_ctl_elem_value_t___GENPT___unsigned_int_long args;
} INDEXED_void_snd_ctl_elem_value_t___GENPT___unsigned_int_long;
typedef void (*FUNC_void_snd_ctl_elem_value_t___GENPT___unsigned_int_unsigned_char)(snd_ctl_elem_value_t * obj, unsigned int idx, unsigned char val);
typedef struct {
    snd_ctl_elem_value_t * a1;
    unsigned int a2;
    unsigned char a3;
} ARGS_void_snd_ctl_elem_value_t___GENPT___unsigned_int_unsigned_char;
typedef struct {
    int format;
    FUNC_void_snd_ctl_elem_value_t___GENPT___unsigned_int_unsigned_char func;
    ARGS_void_snd_ctl_elem_value_t___GENPT___unsigned_int_unsigned_char args;
} PACKED_void_snd_ctl_elem_value_t___GENPT___unsigned_int_unsigned_char;
typedef struct {
    int func;
    ARGS_void_snd_ctl_elem_value_t___GENPT___unsigned_int_unsigned_char args;
} INDEXED_void_snd_ctl_elem_value_t___GENPT___unsigned_int_unsigned_char;
typedef void (*FUNC_void_snd_ctl_elem_value_t___GENPT___unsigned_int)(snd_ctl_elem_value_t * obj, unsigned int val);
typedef struct {
    snd_ctl_elem_value_t * a1;
    unsigned int a2;
} ARGS_void_snd_ctl_elem_value_t___GENPT___unsigned_int;
typedef struct {
    int format;
    FUNC_void_snd_ctl_elem_value_t___GENPT___unsigned_int func;
    ARGS_void_snd_ctl_elem_value_t___GENPT___unsigned_int args;
} PACKED_void_snd_ctl_elem_value_t___GENPT___unsigned_int;
typedef struct {
    int func;
    ARGS_void_snd_ctl_elem_value_t___GENPT___unsigned_int args;
} INDEXED_void_snd_ctl_elem_value_t___GENPT___unsigned_int;
typedef void (*FUNC_void_snd_ctl_elem_value_t___GENPT___unsigned_int_unsigned_int)(snd_ctl_elem_value_t * obj, unsigned int idx, unsigned int val);
typedef struct {
    snd_ctl_elem_value_t * a1;
    unsigned int a2;
    unsigned int a3;
} ARGS_void_snd_ctl_elem_value_t___GENPT___unsigned_int_unsigned_int;
typedef struct {
    int format;
    FUNC_void_snd_ctl_elem_value_t___GENPT___unsigned_int_unsigned_int func;
    ARGS_void_snd_ctl_elem_value_t___GENPT___unsigned_int_unsigned_int args;
} PACKED_void_snd_ctl_elem_value_t___GENPT___unsigned_int_unsigned_int;
typedef struct {
    int func;
    ARGS_void_snd_ctl_elem_value_t___GENPT___unsigned_int_unsigned_int args;
} INDEXED_void_snd_ctl_elem_value_t___GENPT___unsigned_int_unsigned_int;
typedef void (*FUNC_void_snd_ctl_elem_value_t___GENPT___const_snd_ctl_elem_id_t___GENPT__)(snd_ctl_elem_value_t * obj, const snd_ctl_elem_id_t * ptr);
typedef struct {
    snd_ctl_elem_value_t * a1;
    snd_ctl_elem_id_t * a2;
} ARGS_void_snd_ctl_elem_value_t___GENPT___const_snd_ctl_elem_id_t___GENPT__;
typedef struct {
    int format;
    FUNC_void_snd_ctl_elem_value_t___GENPT___const_snd_ctl_elem_id_t___GENPT__ func;
    ARGS_void_snd_ctl_elem_value_t___GENPT___const_snd_ctl_elem_id_t___GENPT__ args;
} PACKED_void_snd_ctl_elem_value_t___GENPT___const_snd_ctl_elem_id_t___GENPT__;
typedef struct {
    int func;
    ARGS_void_snd_ctl_elem_value_t___GENPT___const_snd_ctl_elem_id_t___GENPT__ args;
} INDEXED_void_snd_ctl_elem_value_t___GENPT___const_snd_ctl_elem_id_t___GENPT__;
typedef void (*FUNC_void_snd_ctl_elem_value_t___GENPT___const_snd_aes_iec958_t___GENPT__)(snd_ctl_elem_value_t * obj, const snd_aes_iec958_t * ptr);
typedef struct {
    snd_ctl_elem_value_t * a1;
    snd_aes_iec958_t * a2;
} ARGS_void_snd_ctl_elem_value_t___GENPT___const_snd_aes_iec958_t___GENPT__;
typedef struct {
    int format;
    FUNC_void_snd_ctl_elem_value_t___GENPT___const_snd_aes_iec958_t___GENPT__ func;
    ARGS_void_snd_ctl_elem_value_t___GENPT___const_snd_aes_iec958_t___GENPT__ args;
} PACKED_void_snd_ctl_elem_value_t___GENPT___const_snd_aes_iec958_t___GENPT__;
typedef struct {
    int func;
    ARGS_void_snd_ctl_elem_value_t___GENPT___const_snd_aes_iec958_t___GENPT__ args;
} INDEXED_void_snd_ctl_elem_value_t___GENPT___const_snd_aes_iec958_t___GENPT__;
typedef void (*FUNC_void_snd_ctl_elem_value_t___GENPT___unsigned_int_long_long)(snd_ctl_elem_value_t * obj, unsigned int idx, long long val);
typedef struct {
    snd_ctl_elem_value_t * a1;
    unsigned int a2;
    long long a3;
} ARGS_void_snd_ctl_elem_value_t___GENPT___unsigned_int_long_long;
typedef struct {
    int format;
    FUNC_void_snd_ctl_elem_value_t___GENPT___unsigned_int_long_long func;
    ARGS_void_snd_ctl_elem_value_t___GENPT___unsigned_int_long_long args;
} PACKED_void_snd_ctl_elem_value_t___GENPT___unsigned_int_long_long;
typedef struct {
    int func;
    ARGS_void_snd_ctl_elem_value_t___GENPT___unsigned_int_long_long args;
} INDEXED_void_snd_ctl_elem_value_t___GENPT___unsigned_int_long_long;
typedef void (*FUNC_void_snd_ctl_elem_value_t___GENPT___snd_ctl_elem_iface_t)(snd_ctl_elem_value_t * obj, snd_ctl_elem_iface_t val);
typedef struct {
    snd_ctl_elem_value_t * a1;
    snd_ctl_elem_iface_t a2;
} ARGS_void_snd_ctl_elem_value_t___GENPT___snd_ctl_elem_iface_t;
typedef struct {
    int format;
    FUNC_void_snd_ctl_elem_value_t___GENPT___snd_ctl_elem_iface_t func;
    ARGS_void_snd_ctl_elem_value_t___GENPT___snd_ctl_elem_iface_t args;
} PACKED_void_snd_ctl_elem_value_t___GENPT___snd_ctl_elem_iface_t;
typedef struct {
    int func;
    ARGS_void_snd_ctl_elem_value_t___GENPT___snd_ctl_elem_iface_t args;
} INDEXED_void_snd_ctl_elem_value_t___GENPT___snd_ctl_elem_iface_t;
typedef void (*FUNC_void_snd_ctl_elem_value_t___GENPT___const_char___GENPT__)(snd_ctl_elem_value_t * obj, const char * val);
typedef struct {
    snd_ctl_elem_value_t * a1;
    char * a2;
} ARGS_void_snd_ctl_elem_value_t___GENPT___const_char___GENPT__;
typedef struct {
    int format;
    FUNC_void_snd_ctl_elem_value_t___GENPT___const_char___GENPT__ func;
    ARGS_void_snd_ctl_elem_value_t___GENPT___const_char___GENPT__ args;
} PACKED_void_snd_ctl_elem_value_t___GENPT___const_char___GENPT__;
typedef struct {
    int func;
    ARGS_void_snd_ctl_elem_value_t___GENPT___const_char___GENPT__ args;
} INDEXED_void_snd_ctl_elem_value_t___GENPT___const_char___GENPT__;
typedef void (*FUNC_void_snd_ctl_event_t___GENPT__)(snd_ctl_event_t * obj);
typedef struct {
    snd_ctl_event_t * a1;
} ARGS_void_snd_ctl_event_t___GENPT__;
typedef struct {
    int format;
    FUNC_void_snd_ctl_event_t___GENPT__ func;
    ARGS_void_snd_ctl_event_t___GENPT__ args;
} PACKED_void_snd_ctl_event_t___GENPT__;
typedef struct {
    int func;
    ARGS_void_snd_ctl_event_t___GENPT__ args;
} INDEXED_void_snd_ctl_event_t___GENPT__;
typedef void (*FUNC_void_snd_ctl_event_t___GENPT___const_snd_ctl_event_t___GENPT__)(snd_ctl_event_t * dst, const snd_ctl_event_t * src);
typedef struct {
    snd_ctl_event_t * a1;
    snd_ctl_event_t * a2;
} ARGS_void_snd_ctl_event_t___GENPT___const_snd_ctl_event_t___GENPT__;
typedef struct {
    int format;
    FUNC_void_snd_ctl_event_t___GENPT___const_snd_ctl_event_t___GENPT__ func;
    ARGS_void_snd_ctl_event_t___GENPT___const_snd_ctl_event_t___GENPT__ args;
} PACKED_void_snd_ctl_event_t___GENPT___const_snd_ctl_event_t___GENPT__;
typedef struct {
    int func;
    ARGS_void_snd_ctl_event_t___GENPT___const_snd_ctl_event_t___GENPT__ args;
} INDEXED_void_snd_ctl_event_t___GENPT___const_snd_ctl_event_t___GENPT__;
typedef unsigned int (*FUNC_unsigned_int_const_snd_ctl_event_t___GENPT__)(const snd_ctl_event_t * obj);
typedef struct {
    snd_ctl_event_t * a1;
} ARGS_unsigned_int_const_snd_ctl_event_t___GENPT__;
typedef struct {
    int format;
    FUNC_unsigned_int_const_snd_ctl_event_t___GENPT__ func;
    ARGS_unsigned_int_const_snd_ctl_event_t___GENPT__ args;
} PACKED_unsigned_int_const_snd_ctl_event_t___GENPT__;
typedef struct {
    int func;
    ARGS_unsigned_int_const_snd_ctl_event_t___GENPT__ args;
} INDEXED_unsigned_int_const_snd_ctl_event_t___GENPT__;
typedef void (*FUNC_void_const_snd_ctl_event_t___GENPT___snd_ctl_elem_id_t___GENPT__)(const snd_ctl_event_t * obj, snd_ctl_elem_id_t * ptr);
typedef struct {
    snd_ctl_event_t * a1;
    snd_ctl_elem_id_t * a2;
} ARGS_void_const_snd_ctl_event_t___GENPT___snd_ctl_elem_id_t___GENPT__;
typedef struct {
    int format;
    FUNC_void_const_snd_ctl_event_t___GENPT___snd_ctl_elem_id_t___GENPT__ func;
    ARGS_void_const_snd_ctl_event_t___GENPT___snd_ctl_elem_id_t___GENPT__ args;
} PACKED_void_const_snd_ctl_event_t___GENPT___snd_ctl_elem_id_t___GENPT__;
typedef struct {
    int func;
    ARGS_void_const_snd_ctl_event_t___GENPT___snd_ctl_elem_id_t___GENPT__ args;
} INDEXED_void_const_snd_ctl_event_t___GENPT___snd_ctl_elem_id_t___GENPT__;
typedef snd_ctl_elem_iface_t (*FUNC_snd_ctl_elem_iface_t_const_snd_ctl_event_t___GENPT__)(const snd_ctl_event_t * obj);
typedef struct {
    snd_ctl_event_t * a1;
} ARGS_snd_ctl_elem_iface_t_const_snd_ctl_event_t___GENPT__;
typedef struct {
    int format;
    FUNC_snd_ctl_elem_iface_t_const_snd_ctl_event_t___GENPT__ func;
    ARGS_snd_ctl_elem_iface_t_const_snd_ctl_event_t___GENPT__ args;
} PACKED_snd_ctl_elem_iface_t_const_snd_ctl_event_t___GENPT__;
typedef struct {
    int func;
    ARGS_snd_ctl_elem_iface_t_const_snd_ctl_event_t___GENPT__ args;
} INDEXED_snd_ctl_elem_iface_t_const_snd_ctl_event_t___GENPT__;
typedef const char * (*FUNC_const_char___GENPT___const_snd_ctl_event_t___GENPT__)(const snd_ctl_event_t * obj);
typedef struct {
    snd_ctl_event_t * a1;
} ARGS_const_char___GENPT___const_snd_ctl_event_t___GENPT__;
typedef struct {
    int format;
    FUNC_const_char___GENPT___const_snd_ctl_event_t___GENPT__ func;
    ARGS_const_char___GENPT___const_snd_ctl_event_t___GENPT__ args;
} PACKED_const_char___GENPT___const_snd_ctl_event_t___GENPT__;
typedef struct {
    int func;
    ARGS_const_char___GENPT___const_snd_ctl_event_t___GENPT__ args;
} INDEXED_const_char___GENPT___const_snd_ctl_event_t___GENPT__;
typedef snd_ctl_event_type_t (*FUNC_snd_ctl_event_type_t_const_snd_ctl_event_t___GENPT__)(const snd_ctl_event_t * obj);
typedef struct {
    snd_ctl_event_t * a1;
} ARGS_snd_ctl_event_type_t_const_snd_ctl_event_t___GENPT__;
typedef struct {
    int format;
    FUNC_snd_ctl_event_type_t_const_snd_ctl_event_t___GENPT__ func;
    ARGS_snd_ctl_event_type_t_const_snd_ctl_event_t___GENPT__ args;
} PACKED_snd_ctl_event_type_t_const_snd_ctl_event_t___GENPT__;
typedef struct {
    int func;
    ARGS_snd_ctl_event_type_t_const_snd_ctl_event_t___GENPT__ args;
} INDEXED_snd_ctl_event_type_t_const_snd_ctl_event_t___GENPT__;
typedef int (*FUNC_int_snd_ctl_event_t___GENPT____GENPT__)(snd_ctl_event_t ** ptr);
typedef struct {
    snd_ctl_event_t ** a1;
} ARGS_int_snd_ctl_event_t___GENPT____GENPT__;
typedef struct {
    int format;
    FUNC_int_snd_ctl_event_t___GENPT____GENPT__ func;
    ARGS_int_snd_ctl_event_t___GENPT____GENPT__ args;
} PACKED_int_snd_ctl_event_t___GENPT____GENPT__;
typedef struct {
    int func;
    ARGS_int_snd_ctl_event_t___GENPT____GENPT__ args;
} INDEXED_int_snd_ctl_event_t___GENPT____GENPT__;
typedef const char * (*FUNC_const_char___GENPT___snd_ctl_event_type_t)(snd_ctl_event_type_t type);
typedef struct {
    snd_ctl_event_type_t a1;
} ARGS_const_char___GENPT___snd_ctl_event_type_t;
typedef struct {
    int format;
    FUNC_const_char___GENPT___snd_ctl_event_type_t func;
    ARGS_const_char___GENPT___snd_ctl_event_type_t args;
} PACKED_const_char___GENPT___snd_ctl_event_type_t;
typedef struct {
    int func;
    ARGS_const_char___GENPT___snd_ctl_event_type_t args;
} INDEXED_const_char___GENPT___snd_ctl_event_type_t;
typedef int (*FUNC_int_snd_ctl_t___GENPT___unsigned_int___GENPT__)(snd_ctl_t * ctl, unsigned int * state);
typedef struct {
    snd_ctl_t * a1;
    unsigned int * a2;
} ARGS_int_snd_ctl_t___GENPT___unsigned_int___GENPT__;
typedef struct {
    int format;
    FUNC_int_snd_ctl_t___GENPT___unsigned_int___GENPT__ func;
    ARGS_int_snd_ctl_t___GENPT___unsigned_int___GENPT__ args;
} PACKED_int_snd_ctl_t___GENPT___unsigned_int___GENPT__;
typedef struct {
    int func;
    ARGS_int_snd_ctl_t___GENPT___unsigned_int___GENPT__ args;
} INDEXED_int_snd_ctl_t___GENPT___unsigned_int___GENPT__;
typedef int (*FUNC_int_snd_ctl_t___GENPT___snd_hwdep_info_t___GENPT__)(snd_ctl_t * ctl, snd_hwdep_info_t * info);
typedef struct {
    snd_ctl_t * a1;
    snd_hwdep_info_t * a2;
} ARGS_int_snd_ctl_t___GENPT___snd_hwdep_info_t___GENPT__;
typedef struct {
    int format;
    FUNC_int_snd_ctl_t___GENPT___snd_hwdep_info_t___GENPT__ func;
    ARGS_int_snd_ctl_t___GENPT___snd_hwdep_info_t___GENPT__ args;
} PACKED_int_snd_ctl_t___GENPT___snd_hwdep_info_t___GENPT__;
typedef struct {
    int func;
    ARGS_int_snd_ctl_t___GENPT___snd_hwdep_info_t___GENPT__ args;
} INDEXED_int_snd_ctl_t___GENPT___snd_hwdep_info_t___GENPT__;
typedef int (*FUNC_int_snd_ctl_t___GENPT___int___GENPT__)(snd_ctl_t * ctl, int * device);
typedef struct {
    snd_ctl_t * a1;
    int * a2;
} ARGS_int_snd_ctl_t___GENPT___int___GENPT__;
typedef struct {
    int format;
    FUNC_int_snd_ctl_t___GENPT___int___GENPT__ func;
    ARGS_int_snd_ctl_t___GENPT___int___GENPT__ args;
} PACKED_int_snd_ctl_t___GENPT___int___GENPT__;
typedef struct {
    int func;
    ARGS_int_snd_ctl_t___GENPT___int___GENPT__ args;
} INDEXED_int_snd_ctl_t___GENPT___int___GENPT__;
typedef const char * (*FUNC_const_char___GENPT___snd_ctl_t___GENPT__)(snd_ctl_t * ctl);
typedef struct {
    snd_ctl_t * a1;
} ARGS_const_char___GENPT___snd_ctl_t___GENPT__;
typedef struct {
    int format;
    FUNC_const_char___GENPT___snd_ctl_t___GENPT__ func;
    ARGS_const_char___GENPT___snd_ctl_t___GENPT__ args;
} PACKED_const_char___GENPT___snd_ctl_t___GENPT__;
typedef struct {
    int func;
    ARGS_const_char___GENPT___snd_ctl_t___GENPT__ args;
} INDEXED_const_char___GENPT___snd_ctl_t___GENPT__;
typedef int (*FUNC_int_snd_ctl_t___GENPT___int)(snd_ctl_t * ctl, int nonblock);
typedef struct {
    snd_ctl_t * a1;
    int a2;
} ARGS_int_snd_ctl_t___GENPT___int;
typedef struct {
    int format;
    FUNC_int_snd_ctl_t___GENPT___int func;
    ARGS_int_snd_ctl_t___GENPT___int args;
} PACKED_int_snd_ctl_t___GENPT___int;
typedef struct {
    int func;
    ARGS_int_snd_ctl_t___GENPT___int args;
} INDEXED_int_snd_ctl_t___GENPT___int;
typedef int (*FUNC_int_snd_ctl_t___GENPT____GENPT___const_char___GENPT___int)(snd_ctl_t ** ctl, const char * name, int mode);
typedef struct {
    snd_ctl_t ** a1;
    char * a2;
    int a3;
} ARGS_int_snd_ctl_t___GENPT____GENPT___const_char___GENPT___int;
typedef struct {
    int format;
    FUNC_int_snd_ctl_t___GENPT____GENPT___const_char___GENPT___int func;
    ARGS_int_snd_ctl_t___GENPT____GENPT___const_char___GENPT___int args;
} PACKED_int_snd_ctl_t___GENPT____GENPT___const_char___GENPT___int;
typedef struct {
    int func;
    ARGS_int_snd_ctl_t___GENPT____GENPT___const_char___GENPT___int args;
} INDEXED_int_snd_ctl_t___GENPT____GENPT___const_char___GENPT___int;
typedef int (*FUNC_int_snd_ctl_t___GENPT____GENPT___const_char___GENPT___int_snd_config_t___GENPT__)(snd_ctl_t ** ctl, const char * name, int mode, snd_config_t * lconf);
typedef struct {
    snd_ctl_t ** a1;
    char * a2;
    int a3;
    snd_config_t * a4;
} ARGS_int_snd_ctl_t___GENPT____GENPT___const_char___GENPT___int_snd_config_t___GENPT__;
typedef struct {
    int format;
    FUNC_int_snd_ctl_t___GENPT____GENPT___const_char___GENPT___int_snd_config_t___GENPT__ func;
    ARGS_int_snd_ctl_t___GENPT____GENPT___const_char___GENPT___int_snd_config_t___GENPT__ args;
} PACKED_int_snd_ctl_t___GENPT____GENPT___const_char___GENPT___int_snd_config_t___GENPT__;
typedef struct {
    int func;
    ARGS_int_snd_ctl_t___GENPT____GENPT___const_char___GENPT___int_snd_config_t___GENPT__ args;
} INDEXED_int_snd_ctl_t___GENPT____GENPT___const_char___GENPT___int_snd_config_t___GENPT__;
typedef int (*FUNC_int_snd_ctl_t___GENPT___snd_pcm_info_t___GENPT__)(snd_ctl_t * ctl, snd_pcm_info_t * info);
typedef struct {
    snd_ctl_t * a1;
    snd_pcm_info_t * a2;
} ARGS_int_snd_ctl_t___GENPT___snd_pcm_info_t___GENPT__;
typedef struct {
    int format;
    FUNC_int_snd_ctl_t___GENPT___snd_pcm_info_t___GENPT__ func;
    ARGS_int_snd_ctl_t___GENPT___snd_pcm_info_t___GENPT__ args;
} PACKED_int_snd_ctl_t___GENPT___snd_pcm_info_t___GENPT__;
typedef struct {
    int func;
    ARGS_int_snd_ctl_t___GENPT___snd_pcm_info_t___GENPT__ args;
} INDEXED_int_snd_ctl_t___GENPT___snd_pcm_info_t___GENPT__;
typedef int (*FUNC_int_snd_ctl_t___GENPT___struct_pollfd___GENPT___unsigned_int)(snd_ctl_t * ctl, struct pollfd * pfds, unsigned int space);
typedef struct {
    snd_ctl_t * a1;
    struct pollfd * a2;
    unsigned int a3;
} ARGS_int_snd_ctl_t___GENPT___struct_pollfd___GENPT___unsigned_int;
typedef struct {
    int format;
    FUNC_int_snd_ctl_t___GENPT___struct_pollfd___GENPT___unsigned_int func;
    ARGS_int_snd_ctl_t___GENPT___struct_pollfd___GENPT___unsigned_int args;
} PACKED_int_snd_ctl_t___GENPT___struct_pollfd___GENPT___unsigned_int;
typedef struct {
    int func;
    ARGS_int_snd_ctl_t___GENPT___struct_pollfd___GENPT___unsigned_int args;
} INDEXED_int_snd_ctl_t___GENPT___struct_pollfd___GENPT___unsigned_int;
typedef int (*FUNC_int_snd_ctl_t___GENPT___struct_pollfd___GENPT___unsigned_int_unsigned_short___GENPT__)(snd_ctl_t * ctl, struct pollfd * pfds, unsigned int nfds, unsigned short * revents);
typedef struct {
    snd_ctl_t * a1;
    struct pollfd * a2;
    unsigned int a3;
    unsigned short * a4;
} ARGS_int_snd_ctl_t___GENPT___struct_pollfd___GENPT___unsigned_int_unsigned_short___GENPT__;
typedef struct {
    int format;
    FUNC_int_snd_ctl_t___GENPT___struct_pollfd___GENPT___unsigned_int_unsigned_short___GENPT__ func;
    ARGS_int_snd_ctl_t___GENPT___struct_pollfd___GENPT___unsigned_int_unsigned_short___GENPT__ args;
} PACKED_int_snd_ctl_t___GENPT___struct_pollfd___GENPT___unsigned_int_unsigned_short___GENPT__;
typedef struct {
    int func;
    ARGS_int_snd_ctl_t___GENPT___struct_pollfd___GENPT___unsigned_int_unsigned_short___GENPT__ args;
} INDEXED_int_snd_ctl_t___GENPT___struct_pollfd___GENPT___unsigned_int_unsigned_short___GENPT__;
typedef int (*FUNC_int_snd_ctl_t___GENPT___snd_rawmidi_info_t___GENPT__)(snd_ctl_t * ctl, snd_rawmidi_info_t * info);
typedef struct {
    snd_ctl_t * a1;
    snd_rawmidi_info_t * a2;
} ARGS_int_snd_ctl_t___GENPT___snd_rawmidi_info_t___GENPT__;
typedef struct {
    int format;
    FUNC_int_snd_ctl_t___GENPT___snd_rawmidi_info_t___GENPT__ func;
    ARGS_int_snd_ctl_t___GENPT___snd_rawmidi_info_t___GENPT__ args;
} PACKED_int_snd_ctl_t___GENPT___snd_rawmidi_info_t___GENPT__;
typedef struct {
    int func;
    ARGS_int_snd_ctl_t___GENPT___snd_rawmidi_info_t___GENPT__ args;
} INDEXED_int_snd_ctl_t___GENPT___snd_rawmidi_info_t___GENPT__;
typedef int (*FUNC_int_snd_ctl_t___GENPT___snd_ctl_event_t___GENPT__)(snd_ctl_t * ctl, snd_ctl_event_t * event);
typedef struct {
    snd_ctl_t * a1;
    snd_ctl_event_t * a2;
} ARGS_int_snd_ctl_t___GENPT___snd_ctl_event_t___GENPT__;
typedef struct {
    int format;
    FUNC_int_snd_ctl_t___GENPT___snd_ctl_event_t___GENPT__ func;
    ARGS_int_snd_ctl_t___GENPT___snd_ctl_event_t___GENPT__ args;
} PACKED_int_snd_ctl_t___GENPT___snd_ctl_event_t___GENPT__;
typedef struct {
    int func;
    ARGS_int_snd_ctl_t___GENPT___snd_ctl_event_t___GENPT__ args;
} INDEXED_int_snd_ctl_t___GENPT___snd_ctl_event_t___GENPT__;
typedef int (*FUNC_int_snd_ctl_t___GENPT___unsigned_int)(snd_ctl_t * ctl, unsigned int state);
typedef struct {
    snd_ctl_t * a1;
    unsigned int a2;
} ARGS_int_snd_ctl_t___GENPT___unsigned_int;
typedef struct {
    int format;
    FUNC_int_snd_ctl_t___GENPT___unsigned_int func;
    ARGS_int_snd_ctl_t___GENPT___unsigned_int args;
} PACKED_int_snd_ctl_t___GENPT___unsigned_int;
typedef struct {
    int func;
    ARGS_int_snd_ctl_t___GENPT___unsigned_int args;
} INDEXED_int_snd_ctl_t___GENPT___unsigned_int;
typedef snd_ctl_type_t (*FUNC_snd_ctl_type_t_snd_ctl_t___GENPT__)(snd_ctl_t * ctl);
typedef struct {
    snd_ctl_t * a1;
} ARGS_snd_ctl_type_t_snd_ctl_t___GENPT__;
typedef struct {
    int format;
    FUNC_snd_ctl_type_t_snd_ctl_t___GENPT__ func;
    ARGS_snd_ctl_type_t_snd_ctl_t___GENPT__ args;
} PACKED_snd_ctl_type_t_snd_ctl_t___GENPT__;
typedef struct {
    int func;
    ARGS_snd_ctl_type_t_snd_ctl_t___GENPT__ args;
} INDEXED_snd_ctl_type_t_snd_ctl_t___GENPT__;
typedef int (*FUNC_int_void___GENPT__)(void * handle);
typedef struct {
    void * a1;
} ARGS_int_void___GENPT__;
typedef struct {
    int format;
    FUNC_int_void___GENPT__ func;
    ARGS_int_void___GENPT__ args;
} PACKED_int_void___GENPT__;
typedef struct {
    int func;
    ARGS_int_void___GENPT__ args;
} INDEXED_int_void___GENPT__;
typedef void * (*FUNC_void___GENPT___const_char___GENPT___int)(const char * file, int mode);
typedef struct {
    char * a1;
    int a2;
} ARGS_void___GENPT___const_char___GENPT___int;
typedef struct {
    int format;
    FUNC_void___GENPT___const_char___GENPT___int func;
    ARGS_void___GENPT___const_char___GENPT___int args;
} PACKED_void___GENPT___const_char___GENPT___int;
typedef struct {
    int func;
    ARGS_void___GENPT___const_char___GENPT___int args;
} INDEXED_void___GENPT___const_char___GENPT___int;
typedef void * (*FUNC_void___GENPT___void___GENPT___const_char___GENPT___const_char___GENPT__)(void * handle, const char * name, const char * version);
typedef struct {
    void * a1;
    char * a2;
    char * a3;
} ARGS_void___GENPT___void___GENPT___const_char___GENPT___const_char___GENPT__;
typedef struct {
    int format;
    FUNC_void___GENPT___void___GENPT___const_char___GENPT___const_char___GENPT__ func;
    ARGS_void___GENPT___void___GENPT___const_char___GENPT___const_char___GENPT__ args;
} PACKED_void___GENPT___void___GENPT___const_char___GENPT___const_char___GENPT__;
typedef struct {
    int func;
    ARGS_void___GENPT___void___GENPT___const_char___GENPT___const_char___GENPT__ args;
} INDEXED_void___GENPT___void___GENPT___const_char___GENPT___const_char___GENPT__;
typedef int (*FUNC_int_snd_hctl_t___GENPT__)(snd_hctl_t * hctl);
typedef struct {
    snd_hctl_t * a1;
} ARGS_int_snd_hctl_t___GENPT__;
typedef struct {
    int format;
    FUNC_int_snd_hctl_t___GENPT__ func;
    ARGS_int_snd_hctl_t___GENPT__ args;
} PACKED_int_snd_hctl_t___GENPT__;
typedef struct {
    int func;
    ARGS_int_snd_hctl_t___GENPT__ args;
} INDEXED_int_snd_hctl_t___GENPT__;
typedef int (*FUNC_int_const_snd_hctl_elem_t___GENPT___const_snd_hctl_elem_t___GENPT__)(const snd_hctl_elem_t * c1, const snd_hctl_elem_t * c2);
typedef struct {
    snd_hctl_elem_t * a1;
    snd_hctl_elem_t * a2;
} ARGS_int_const_snd_hctl_elem_t___GENPT___const_snd_hctl_elem_t___GENPT__;
typedef struct {
    int format;
    FUNC_int_const_snd_hctl_elem_t___GENPT___const_snd_hctl_elem_t___GENPT__ func;
    ARGS_int_const_snd_hctl_elem_t___GENPT___const_snd_hctl_elem_t___GENPT__ args;
} PACKED_int_const_snd_hctl_elem_t___GENPT___const_snd_hctl_elem_t___GENPT__;
typedef struct {
    int func;
    ARGS_int_const_snd_hctl_elem_t___GENPT___const_snd_hctl_elem_t___GENPT__ args;
} INDEXED_int_const_snd_hctl_elem_t___GENPT___const_snd_hctl_elem_t___GENPT__;
typedef snd_ctl_t * (*FUNC_snd_ctl_t___GENPT___snd_hctl_t___GENPT__)(snd_hctl_t * hctl);
typedef struct {
    snd_hctl_t * a1;
} ARGS_snd_ctl_t___GENPT___snd_hctl_t___GENPT__;
typedef struct {
    int format;
    FUNC_snd_ctl_t___GENPT___snd_hctl_t___GENPT__ func;
    ARGS_snd_ctl_t___GENPT___snd_hctl_t___GENPT__ args;
} PACKED_snd_ctl_t___GENPT___snd_hctl_t___GENPT__;
typedef struct {
    int func;
    ARGS_snd_ctl_t___GENPT___snd_hctl_t___GENPT__ args;
} INDEXED_snd_ctl_t___GENPT___snd_hctl_t___GENPT__;
typedef void * (*FUNC_void___GENPT___const_snd_hctl_elem_t___GENPT__)(const snd_hctl_elem_t * obj);
typedef struct {
    snd_hctl_elem_t * a1;
} ARGS_void___GENPT___const_snd_hctl_elem_t___GENPT__;
typedef struct {
    int format;
    FUNC_void___GENPT___const_snd_hctl_elem_t___GENPT__ func;
    ARGS_void___GENPT___const_snd_hctl_elem_t___GENPT__ args;
} PACKED_void___GENPT___const_snd_hctl_elem_t___GENPT__;
typedef struct {
    int func;
    ARGS_void___GENPT___const_snd_hctl_elem_t___GENPT__ args;
} INDEXED_void___GENPT___const_snd_hctl_elem_t___GENPT__;
typedef unsigned int (*FUNC_unsigned_int_const_snd_hctl_elem_t___GENPT__)(const snd_hctl_elem_t * obj);
typedef struct {
    snd_hctl_elem_t * a1;
} ARGS_unsigned_int_const_snd_hctl_elem_t___GENPT__;
typedef struct {
    int format;
    FUNC_unsigned_int_const_snd_hctl_elem_t___GENPT__ func;
    ARGS_unsigned_int_const_snd_hctl_elem_t___GENPT__ args;
} PACKED_unsigned_int_const_snd_hctl_elem_t___GENPT__;
typedef struct {
    int func;
    ARGS_unsigned_int_const_snd_hctl_elem_t___GENPT__ args;
} INDEXED_unsigned_int_const_snd_hctl_elem_t___GENPT__;
typedef snd_hctl_t * (*FUNC_snd_hctl_t___GENPT___snd_hctl_elem_t___GENPT__)(snd_hctl_elem_t * elem);
typedef struct {
    snd_hctl_elem_t * a1;
} ARGS_snd_hctl_t___GENPT___snd_hctl_elem_t___GENPT__;
typedef struct {
    int format;
    FUNC_snd_hctl_t___GENPT___snd_hctl_elem_t___GENPT__ func;
    ARGS_snd_hctl_t___GENPT___snd_hctl_elem_t___GENPT__ args;
} PACKED_snd_hctl_t___GENPT___snd_hctl_elem_t___GENPT__;
typedef struct {
    int func;
    ARGS_snd_hctl_t___GENPT___snd_hctl_elem_t___GENPT__ args;
} INDEXED_snd_hctl_t___GENPT___snd_hctl_elem_t___GENPT__;
typedef void (*FUNC_void_const_snd_hctl_elem_t___GENPT___snd_ctl_elem_id_t___GENPT__)(const snd_hctl_elem_t * obj, snd_ctl_elem_id_t * ptr);
typedef struct {
    snd_hctl_elem_t * a1;
    snd_ctl_elem_id_t * a2;
} ARGS_void_const_snd_hctl_elem_t___GENPT___snd_ctl_elem_id_t___GENPT__;
typedef struct {
    int format;
    FUNC_void_const_snd_hctl_elem_t___GENPT___snd_ctl_elem_id_t___GENPT__ func;
    ARGS_void_const_snd_hctl_elem_t___GENPT___snd_ctl_elem_id_t___GENPT__ args;
} PACKED_void_const_snd_hctl_elem_t___GENPT___snd_ctl_elem_id_t___GENPT__;
typedef struct {
    int func;
    ARGS_void_const_snd_hctl_elem_t___GENPT___snd_ctl_elem_id_t___GENPT__ args;
} INDEXED_void_const_snd_hctl_elem_t___GENPT___snd_ctl_elem_id_t___GENPT__;
typedef snd_ctl_elem_iface_t (*FUNC_snd_ctl_elem_iface_t_const_snd_hctl_elem_t___GENPT__)(const snd_hctl_elem_t * obj);
typedef struct {
    snd_hctl_elem_t * a1;
} ARGS_snd_ctl_elem_iface_t_const_snd_hctl_elem_t___GENPT__;
typedef struct {
    int format;
    FUNC_snd_ctl_elem_iface_t_const_snd_hctl_elem_t___GENPT__ func;
    ARGS_snd_ctl_elem_iface_t_const_snd_hctl_elem_t___GENPT__ args;
} PACKED_snd_ctl_elem_iface_t_const_snd_hctl_elem_t___GENPT__;
typedef struct {
    int func;
    ARGS_snd_ctl_elem_iface_t_const_snd_hctl_elem_t___GENPT__ args;
} INDEXED_snd_ctl_elem_iface_t_const_snd_hctl_elem_t___GENPT__;
typedef const char * (*FUNC_const_char___GENPT___const_snd_hctl_elem_t___GENPT__)(const snd_hctl_elem_t * obj);
typedef struct {
    snd_hctl_elem_t * a1;
} ARGS_const_char___GENPT___const_snd_hctl_elem_t___GENPT__;
typedef struct {
    int format;
    FUNC_const_char___GENPT___const_snd_hctl_elem_t___GENPT__ func;
    ARGS_const_char___GENPT___const_snd_hctl_elem_t___GENPT__ args;
} PACKED_const_char___GENPT___const_snd_hctl_elem_t___GENPT__;
typedef struct {
    int func;
    ARGS_const_char___GENPT___const_snd_hctl_elem_t___GENPT__ args;
} INDEXED_const_char___GENPT___const_snd_hctl_elem_t___GENPT__;
typedef int (*FUNC_int_snd_hctl_elem_t___GENPT___snd_ctl_elem_info_t___GENPT__)(snd_hctl_elem_t * elem, snd_ctl_elem_info_t * info);
typedef struct {
    snd_hctl_elem_t * a1;
    snd_ctl_elem_info_t * a2;
} ARGS_int_snd_hctl_elem_t___GENPT___snd_ctl_elem_info_t___GENPT__;
typedef struct {
    int format;
    FUNC_int_snd_hctl_elem_t___GENPT___snd_ctl_elem_info_t___GENPT__ func;
    ARGS_int_snd_hctl_elem_t___GENPT___snd_ctl_elem_info_t___GENPT__ args;
} PACKED_int_snd_hctl_elem_t___GENPT___snd_ctl_elem_info_t___GENPT__;
typedef struct {
    int func;
    ARGS_int_snd_hctl_elem_t___GENPT___snd_ctl_elem_info_t___GENPT__ args;
} INDEXED_int_snd_hctl_elem_t___GENPT___snd_ctl_elem_info_t___GENPT__;
typedef snd_hctl_elem_t * (*FUNC_snd_hctl_elem_t___GENPT___snd_hctl_elem_t___GENPT__)(snd_hctl_elem_t * elem);
typedef struct {
    snd_hctl_elem_t * a1;
} ARGS_snd_hctl_elem_t___GENPT___snd_hctl_elem_t___GENPT__;
typedef struct {
    int format;
    FUNC_snd_hctl_elem_t___GENPT___snd_hctl_elem_t___GENPT__ func;
    ARGS_snd_hctl_elem_t___GENPT___snd_hctl_elem_t___GENPT__ args;
} PACKED_snd_hctl_elem_t___GENPT___snd_hctl_elem_t___GENPT__;
typedef struct {
    int func;
    ARGS_snd_hctl_elem_t___GENPT___snd_hctl_elem_t___GENPT__ args;
} INDEXED_snd_hctl_elem_t___GENPT___snd_hctl_elem_t___GENPT__;
typedef int (*FUNC_int_snd_hctl_elem_t___GENPT___snd_ctl_elem_value_t___GENPT__)(snd_hctl_elem_t * elem, snd_ctl_elem_value_t * value);
typedef struct {
    snd_hctl_elem_t * a1;
    snd_ctl_elem_value_t * a2;
} ARGS_int_snd_hctl_elem_t___GENPT___snd_ctl_elem_value_t___GENPT__;
typedef struct {
    int format;
    FUNC_int_snd_hctl_elem_t___GENPT___snd_ctl_elem_value_t___GENPT__ func;
    ARGS_int_snd_hctl_elem_t___GENPT___snd_ctl_elem_value_t___GENPT__ args;
} PACKED_int_snd_hctl_elem_t___GENPT___snd_ctl_elem_value_t___GENPT__;
typedef struct {
    int func;
    ARGS_int_snd_hctl_elem_t___GENPT___snd_ctl_elem_value_t___GENPT__ args;
} INDEXED_int_snd_hctl_elem_t___GENPT___snd_ctl_elem_value_t___GENPT__;
typedef void (*FUNC_void_snd_hctl_elem_t___GENPT___snd_hctl_elem_callback_t)(snd_hctl_elem_t * obj, snd_hctl_elem_callback_t val);
typedef struct {
    snd_hctl_elem_t * a1;
    snd_hctl_elem_callback_t a2;
} ARGS_void_snd_hctl_elem_t___GENPT___snd_hctl_elem_callback_t;
typedef struct {
    int format;
    FUNC_void_snd_hctl_elem_t___GENPT___snd_hctl_elem_callback_t func;
    ARGS_void_snd_hctl_elem_t___GENPT___snd_hctl_elem_callback_t args;
} PACKED_void_snd_hctl_elem_t___GENPT___snd_hctl_elem_callback_t;
typedef struct {
    int func;
    ARGS_void_snd_hctl_elem_t___GENPT___snd_hctl_elem_callback_t args;
} INDEXED_void_snd_hctl_elem_t___GENPT___snd_hctl_elem_callback_t;
typedef void (*FUNC_void_snd_hctl_elem_t___GENPT___void___GENPT__)(snd_hctl_elem_t * obj, void * val);
typedef struct {
    snd_hctl_elem_t * a1;
    void * a2;
} ARGS_void_snd_hctl_elem_t___GENPT___void___GENPT__;
typedef struct {
    int format;
    FUNC_void_snd_hctl_elem_t___GENPT___void___GENPT__ func;
    ARGS_void_snd_hctl_elem_t___GENPT___void___GENPT__ args;
} PACKED_void_snd_hctl_elem_t___GENPT___void___GENPT__;
typedef struct {
    int func;
    ARGS_void_snd_hctl_elem_t___GENPT___void___GENPT__ args;
} INDEXED_void_snd_hctl_elem_t___GENPT___void___GENPT__;
typedef int (*FUNC_int_snd_hctl_elem_t___GENPT___const_unsigned_int___GENPT__)(snd_hctl_elem_t * elem, const unsigned int * tlv);
typedef struct {
    snd_hctl_elem_t * a1;
    unsigned int * a2;
} ARGS_int_snd_hctl_elem_t___GENPT___const_unsigned_int___GENPT__;
typedef struct {
    int format;
    FUNC_int_snd_hctl_elem_t___GENPT___const_unsigned_int___GENPT__ func;
    ARGS_int_snd_hctl_elem_t___GENPT___const_unsigned_int___GENPT__ args;
} PACKED_int_snd_hctl_elem_t___GENPT___const_unsigned_int___GENPT__;
typedef struct {
    int func;
    ARGS_int_snd_hctl_elem_t___GENPT___const_unsigned_int___GENPT__ args;
} INDEXED_int_snd_hctl_elem_t___GENPT___const_unsigned_int___GENPT__;
typedef int (*FUNC_int_snd_hctl_elem_t___GENPT___unsigned_int___GENPT___unsigned_int)(snd_hctl_elem_t * elem, unsigned int * tlv, unsigned int tlv_size);
typedef struct {
    snd_hctl_elem_t * a1;
    unsigned int * a2;
    unsigned int a3;
} ARGS_int_snd_hctl_elem_t___GENPT___unsigned_int___GENPT___unsigned_int;
typedef struct {
    int format;
    FUNC_int_snd_hctl_elem_t___GENPT___unsigned_int___GENPT___unsigned_int func;
    ARGS_int_snd_hctl_elem_t___GENPT___unsigned_int___GENPT___unsigned_int args;
} PACKED_int_snd_hctl_elem_t___GENPT___unsigned_int___GENPT___unsigned_int;
typedef struct {
    int func;
    ARGS_int_snd_hctl_elem_t___GENPT___unsigned_int___GENPT___unsigned_int args;
} INDEXED_int_snd_hctl_elem_t___GENPT___unsigned_int___GENPT___unsigned_int;
typedef snd_hctl_elem_t * (*FUNC_snd_hctl_elem_t___GENPT___snd_hctl_t___GENPT___const_snd_ctl_elem_id_t___GENPT__)(snd_hctl_t * hctl, const snd_ctl_elem_id_t * id);
typedef struct {
    snd_hctl_t * a1;
    snd_ctl_elem_id_t * a2;
} ARGS_snd_hctl_elem_t___GENPT___snd_hctl_t___GENPT___const_snd_ctl_elem_id_t___GENPT__;
typedef struct {
    int format;
    FUNC_snd_hctl_elem_t___GENPT___snd_hctl_t___GENPT___const_snd_ctl_elem_id_t___GENPT__ func;
    ARGS_snd_hctl_elem_t___GENPT___snd_hctl_t___GENPT___const_snd_ctl_elem_id_t___GENPT__ args;
} PACKED_snd_hctl_elem_t___GENPT___snd_hctl_t___GENPT___const_snd_ctl_elem_id_t___GENPT__;
typedef struct {
    int func;
    ARGS_snd_hctl_elem_t___GENPT___snd_hctl_t___GENPT___const_snd_ctl_elem_id_t___GENPT__ args;
} INDEXED_snd_hctl_elem_t___GENPT___snd_hctl_t___GENPT___const_snd_ctl_elem_id_t___GENPT__;
typedef snd_hctl_elem_t * (*FUNC_snd_hctl_elem_t___GENPT___snd_hctl_t___GENPT__)(snd_hctl_t * hctl);
typedef struct {
    snd_hctl_t * a1;
} ARGS_snd_hctl_elem_t___GENPT___snd_hctl_t___GENPT__;
typedef struct {
    int format;
    FUNC_snd_hctl_elem_t___GENPT___snd_hctl_t___GENPT__ func;
    ARGS_snd_hctl_elem_t___GENPT___snd_hctl_t___GENPT__ args;
} PACKED_snd_hctl_elem_t___GENPT___snd_hctl_t___GENPT__;
typedef struct {
    int func;
    ARGS_snd_hctl_elem_t___GENPT___snd_hctl_t___GENPT__ args;
} INDEXED_snd_hctl_elem_t___GENPT___snd_hctl_t___GENPT__;
typedef void * (*FUNC_void___GENPT___snd_hctl_t___GENPT__)(snd_hctl_t * hctl);
typedef struct {
    snd_hctl_t * a1;
} ARGS_void___GENPT___snd_hctl_t___GENPT__;
typedef struct {
    int format;
    FUNC_void___GENPT___snd_hctl_t___GENPT__ func;
    ARGS_void___GENPT___snd_hctl_t___GENPT__ args;
} PACKED_void___GENPT___snd_hctl_t___GENPT__;
typedef struct {
    int func;
    ARGS_void___GENPT___snd_hctl_t___GENPT__ args;
} INDEXED_void___GENPT___snd_hctl_t___GENPT__;
typedef unsigned int (*FUNC_unsigned_int_snd_hctl_t___GENPT__)(snd_hctl_t * hctl);
typedef struct {
    snd_hctl_t * a1;
} ARGS_unsigned_int_snd_hctl_t___GENPT__;
typedef struct {
    int format;
    FUNC_unsigned_int_snd_hctl_t___GENPT__ func;
    ARGS_unsigned_int_snd_hctl_t___GENPT__ args;
} PACKED_unsigned_int_snd_hctl_t___GENPT__;
typedef struct {
    int func;
    ARGS_unsigned_int_snd_hctl_t___GENPT__ args;
} INDEXED_unsigned_int_snd_hctl_t___GENPT__;
typedef const char * (*FUNC_const_char___GENPT___snd_hctl_t___GENPT__)(snd_hctl_t * hctl);
typedef struct {
    snd_hctl_t * a1;
} ARGS_const_char___GENPT___snd_hctl_t___GENPT__;
typedef struct {
    int format;
    FUNC_const_char___GENPT___snd_hctl_t___GENPT__ func;
    ARGS_const_char___GENPT___snd_hctl_t___GENPT__ args;
} PACKED_const_char___GENPT___snd_hctl_t___GENPT__;
typedef struct {
    int func;
    ARGS_const_char___GENPT___snd_hctl_t___GENPT__ args;
} INDEXED_const_char___GENPT___snd_hctl_t___GENPT__;
typedef int (*FUNC_int_snd_hctl_t___GENPT___int)(snd_hctl_t * hctl, int nonblock);
typedef struct {
    snd_hctl_t * a1;
    int a2;
} ARGS_int_snd_hctl_t___GENPT___int;
typedef struct {
    int format;
    FUNC_int_snd_hctl_t___GENPT___int func;
    ARGS_int_snd_hctl_t___GENPT___int args;
} PACKED_int_snd_hctl_t___GENPT___int;
typedef struct {
    int func;
    ARGS_int_snd_hctl_t___GENPT___int args;
} INDEXED_int_snd_hctl_t___GENPT___int;
typedef int (*FUNC_int_snd_hctl_t___GENPT____GENPT___const_char___GENPT___int)(snd_hctl_t ** hctl, const char * name, int mode);
typedef struct {
    snd_hctl_t ** a1;
    char * a2;
    int a3;
} ARGS_int_snd_hctl_t___GENPT____GENPT___const_char___GENPT___int;
typedef struct {
    int format;
    FUNC_int_snd_hctl_t___GENPT____GENPT___const_char___GENPT___int func;
    ARGS_int_snd_hctl_t___GENPT____GENPT___const_char___GENPT___int args;
} PACKED_int_snd_hctl_t___GENPT____GENPT___const_char___GENPT___int;
typedef struct {
    int func;
    ARGS_int_snd_hctl_t___GENPT____GENPT___const_char___GENPT___int args;
} INDEXED_int_snd_hctl_t___GENPT____GENPT___const_char___GENPT___int;
typedef int (*FUNC_int_snd_hctl_t___GENPT____GENPT___snd_ctl_t___GENPT__)(snd_hctl_t ** hctlp, snd_ctl_t * ctl);
typedef struct {
    snd_hctl_t ** a1;
    snd_ctl_t * a2;
} ARGS_int_snd_hctl_t___GENPT____GENPT___snd_ctl_t___GENPT__;
typedef struct {
    int format;
    FUNC_int_snd_hctl_t___GENPT____GENPT___snd_ctl_t___GENPT__ func;
    ARGS_int_snd_hctl_t___GENPT____GENPT___snd_ctl_t___GENPT__ args;
} PACKED_int_snd_hctl_t___GENPT____GENPT___snd_ctl_t___GENPT__;
typedef struct {
    int func;
    ARGS_int_snd_hctl_t___GENPT____GENPT___snd_ctl_t___GENPT__ args;
} INDEXED_int_snd_hctl_t___GENPT____GENPT___snd_ctl_t___GENPT__;
typedef int (*FUNC_int_snd_hctl_t___GENPT___struct_pollfd___GENPT___unsigned_int)(snd_hctl_t * hctl, struct pollfd * pfds, unsigned int space);
typedef struct {
    snd_hctl_t * a1;
    struct pollfd * a2;
    unsigned int a3;
} ARGS_int_snd_hctl_t___GENPT___struct_pollfd___GENPT___unsigned_int;
typedef struct {
    int format;
    FUNC_int_snd_hctl_t___GENPT___struct_pollfd___GENPT___unsigned_int func;
    ARGS_int_snd_hctl_t___GENPT___struct_pollfd___GENPT___unsigned_int args;
} PACKED_int_snd_hctl_t___GENPT___struct_pollfd___GENPT___unsigned_int;
typedef struct {
    int func;
    ARGS_int_snd_hctl_t___GENPT___struct_pollfd___GENPT___unsigned_int args;
} INDEXED_int_snd_hctl_t___GENPT___struct_pollfd___GENPT___unsigned_int;
typedef int (*FUNC_int_snd_hctl_t___GENPT___struct_pollfd___GENPT___unsigned_int_unsigned_short___GENPT__)(snd_hctl_t * ctl, struct pollfd * pfds, unsigned int nfds, unsigned short * revents);
typedef struct {
    snd_hctl_t * a1;
    struct pollfd * a2;
    unsigned int a3;
    unsigned short * a4;
} ARGS_int_snd_hctl_t___GENPT___struct_pollfd___GENPT___unsigned_int_unsigned_short___GENPT__;
typedef struct {
    int format;
    FUNC_int_snd_hctl_t___GENPT___struct_pollfd___GENPT___unsigned_int_unsigned_short___GENPT__ func;
    ARGS_int_snd_hctl_t___GENPT___struct_pollfd___GENPT___unsigned_int_unsigned_short___GENPT__ args;
} PACKED_int_snd_hctl_t___GENPT___struct_pollfd___GENPT___unsigned_int_unsigned_short___GENPT__;
typedef struct {
    int func;
    ARGS_int_snd_hctl_t___GENPT___struct_pollfd___GENPT___unsigned_int_unsigned_short___GENPT__ args;
} INDEXED_int_snd_hctl_t___GENPT___struct_pollfd___GENPT___unsigned_int_unsigned_short___GENPT__;
typedef void (*FUNC_void_snd_hctl_t___GENPT___snd_hctl_callback_t)(snd_hctl_t * hctl, snd_hctl_callback_t callback);
typedef struct {
    snd_hctl_t * a1;
    snd_hctl_callback_t a2;
} ARGS_void_snd_hctl_t___GENPT___snd_hctl_callback_t;
typedef struct {
    int format;
    FUNC_void_snd_hctl_t___GENPT___snd_hctl_callback_t func;
    ARGS_void_snd_hctl_t___GENPT___snd_hctl_callback_t args;
} PACKED_void_snd_hctl_t___GENPT___snd_hctl_callback_t;
typedef struct {
    int func;
    ARGS_void_snd_hctl_t___GENPT___snd_hctl_callback_t args;
} INDEXED_void_snd_hctl_t___GENPT___snd_hctl_callback_t;
typedef void (*FUNC_void_snd_hctl_t___GENPT___void___GENPT__)(snd_hctl_t * hctl, void * data);
typedef struct {
    snd_hctl_t * a1;
    void * a2;
} ARGS_void_snd_hctl_t___GENPT___void___GENPT__;
typedef struct {
    int format;
    FUNC_void_snd_hctl_t___GENPT___void___GENPT__ func;
    ARGS_void_snd_hctl_t___GENPT___void___GENPT__ args;
} PACKED_void_snd_hctl_t___GENPT___void___GENPT__;
typedef struct {
    int func;
    ARGS_void_snd_hctl_t___GENPT___void___GENPT__ args;
} INDEXED_void_snd_hctl_t___GENPT___void___GENPT__;
typedef int (*FUNC_int_snd_hctl_t___GENPT___snd_hctl_compare_t)(snd_hctl_t * hctl, snd_hctl_compare_t hsort);
typedef struct {
    snd_hctl_t * a1;
    snd_hctl_compare_t a2;
} ARGS_int_snd_hctl_t___GENPT___snd_hctl_compare_t;
typedef struct {
    int format;
    FUNC_int_snd_hctl_t___GENPT___snd_hctl_compare_t func;
    ARGS_int_snd_hctl_t___GENPT___snd_hctl_compare_t args;
} PACKED_int_snd_hctl_t___GENPT___snd_hctl_compare_t;
typedef struct {
    int func;
    ARGS_int_snd_hctl_t___GENPT___snd_hctl_compare_t args;
} INDEXED_int_snd_hctl_t___GENPT___snd_hctl_compare_t;
typedef int (*FUNC_int_snd_hwdep_t___GENPT__)(snd_hwdep_t * hwdep);
typedef struct {
    snd_hwdep_t * a1;
} ARGS_int_snd_hwdep_t___GENPT__;
typedef struct {
    int format;
    FUNC_int_snd_hwdep_t___GENPT__ func;
    ARGS_int_snd_hwdep_t___GENPT__ args;
} PACKED_int_snd_hwdep_t___GENPT__;
typedef struct {
    int func;
    ARGS_int_snd_hwdep_t___GENPT__ args;
} INDEXED_int_snd_hwdep_t___GENPT__;
typedef void (*FUNC_void_snd_hwdep_dsp_image_t___GENPT___const_snd_hwdep_dsp_image_t___GENPT__)(snd_hwdep_dsp_image_t * dst, const snd_hwdep_dsp_image_t * src);
typedef struct {
    snd_hwdep_dsp_image_t * a1;
    snd_hwdep_dsp_image_t * a2;
} ARGS_void_snd_hwdep_dsp_image_t___GENPT___const_snd_hwdep_dsp_image_t___GENPT__;
typedef struct {
    int format;
    FUNC_void_snd_hwdep_dsp_image_t___GENPT___const_snd_hwdep_dsp_image_t___GENPT__ func;
    ARGS_void_snd_hwdep_dsp_image_t___GENPT___const_snd_hwdep_dsp_image_t___GENPT__ args;
} PACKED_void_snd_hwdep_dsp_image_t___GENPT___const_snd_hwdep_dsp_image_t___GENPT__;
typedef struct {
    int func;
    ARGS_void_snd_hwdep_dsp_image_t___GENPT___const_snd_hwdep_dsp_image_t___GENPT__ args;
} INDEXED_void_snd_hwdep_dsp_image_t___GENPT___const_snd_hwdep_dsp_image_t___GENPT__;
typedef void (*FUNC_void_snd_hwdep_dsp_image_t___GENPT__)(snd_hwdep_dsp_image_t * obj);
typedef struct {
    snd_hwdep_dsp_image_t * a1;
} ARGS_void_snd_hwdep_dsp_image_t___GENPT__;
typedef struct {
    int format;
    FUNC_void_snd_hwdep_dsp_image_t___GENPT__ func;
    ARGS_void_snd_hwdep_dsp_image_t___GENPT__ args;
} PACKED_void_snd_hwdep_dsp_image_t___GENPT__;
typedef struct {
    int func;
    ARGS_void_snd_hwdep_dsp_image_t___GENPT__ args;
} INDEXED_void_snd_hwdep_dsp_image_t___GENPT__;
typedef const void * (*FUNC_const_void___GENPT___const_snd_hwdep_dsp_image_t___GENPT__)(const snd_hwdep_dsp_image_t * obj);
typedef struct {
    snd_hwdep_dsp_image_t * a1;
} ARGS_const_void___GENPT___const_snd_hwdep_dsp_image_t___GENPT__;
typedef struct {
    int format;
    FUNC_const_void___GENPT___const_snd_hwdep_dsp_image_t___GENPT__ func;
    ARGS_const_void___GENPT___const_snd_hwdep_dsp_image_t___GENPT__ args;
} PACKED_const_void___GENPT___const_snd_hwdep_dsp_image_t___GENPT__;
typedef struct {
    int func;
    ARGS_const_void___GENPT___const_snd_hwdep_dsp_image_t___GENPT__ args;
} INDEXED_const_void___GENPT___const_snd_hwdep_dsp_image_t___GENPT__;
typedef unsigned int (*FUNC_unsigned_int_const_snd_hwdep_dsp_image_t___GENPT__)(const snd_hwdep_dsp_image_t * obj);
typedef struct {
    snd_hwdep_dsp_image_t * a1;
} ARGS_unsigned_int_const_snd_hwdep_dsp_image_t___GENPT__;
typedef struct {
    int format;
    FUNC_unsigned_int_const_snd_hwdep_dsp_image_t___GENPT__ func;
    ARGS_unsigned_int_const_snd_hwdep_dsp_image_t___GENPT__ args;
} PACKED_unsigned_int_const_snd_hwdep_dsp_image_t___GENPT__;
typedef struct {
    int func;
    ARGS_unsigned_int_const_snd_hwdep_dsp_image_t___GENPT__ args;
} INDEXED_unsigned_int_const_snd_hwdep_dsp_image_t___GENPT__;
typedef size_t (*FUNC_size_t_const_snd_hwdep_dsp_image_t___GENPT__)(const snd_hwdep_dsp_image_t * obj);
typedef struct {
    snd_hwdep_dsp_image_t * a1;
} ARGS_size_t_const_snd_hwdep_dsp_image_t___GENPT__;
typedef struct {
    int format;
    FUNC_size_t_const_snd_hwdep_dsp_image_t___GENPT__ func;
    ARGS_size_t_const_snd_hwdep_dsp_image_t___GENPT__ args;
} PACKED_size_t_const_snd_hwdep_dsp_image_t___GENPT__;
typedef struct {
    int func;
    ARGS_size_t_const_snd_hwdep_dsp_image_t___GENPT__ args;
} INDEXED_size_t_const_snd_hwdep_dsp_image_t___GENPT__;
typedef const char * (*FUNC_const_char___GENPT___const_snd_hwdep_dsp_image_t___GENPT__)(const snd_hwdep_dsp_image_t * obj);
typedef struct {
    snd_hwdep_dsp_image_t * a1;
} ARGS_const_char___GENPT___const_snd_hwdep_dsp_image_t___GENPT__;
typedef struct {
    int format;
    FUNC_const_char___GENPT___const_snd_hwdep_dsp_image_t___GENPT__ func;
    ARGS_const_char___GENPT___const_snd_hwdep_dsp_image_t___GENPT__ args;
} PACKED_const_char___GENPT___const_snd_hwdep_dsp_image_t___GENPT__;
typedef struct {
    int func;
    ARGS_const_char___GENPT___const_snd_hwdep_dsp_image_t___GENPT__ args;
} INDEXED_const_char___GENPT___const_snd_hwdep_dsp_image_t___GENPT__;
typedef int (*FUNC_int_snd_hwdep_dsp_image_t___GENPT____GENPT__)(snd_hwdep_dsp_image_t ** ptr);
typedef struct {
    snd_hwdep_dsp_image_t ** a1;
} ARGS_int_snd_hwdep_dsp_image_t___GENPT____GENPT__;
typedef struct {
    int format;
    FUNC_int_snd_hwdep_dsp_image_t___GENPT____GENPT__ func;
    ARGS_int_snd_hwdep_dsp_image_t___GENPT____GENPT__ args;
} PACKED_int_snd_hwdep_dsp_image_t___GENPT____GENPT__;
typedef struct {
    int func;
    ARGS_int_snd_hwdep_dsp_image_t___GENPT____GENPT__ args;
} INDEXED_int_snd_hwdep_dsp_image_t___GENPT____GENPT__;
typedef void (*FUNC_void_snd_hwdep_dsp_image_t___GENPT___void___GENPT__)(snd_hwdep_dsp_image_t * obj, void * buffer);
typedef struct {
    snd_hwdep_dsp_image_t * a1;
    void * a2;
} ARGS_void_snd_hwdep_dsp_image_t___GENPT___void___GENPT__;
typedef struct {
    int format;
    FUNC_void_snd_hwdep_dsp_image_t___GENPT___void___GENPT__ func;
    ARGS_void_snd_hwdep_dsp_image_t___GENPT___void___GENPT__ args;
} PACKED_void_snd_hwdep_dsp_image_t___GENPT___void___GENPT__;
typedef struct {
    int func;
    ARGS_void_snd_hwdep_dsp_image_t___GENPT___void___GENPT__ args;
} INDEXED_void_snd_hwdep_dsp_image_t___GENPT___void___GENPT__;
typedef void (*FUNC_void_snd_hwdep_dsp_image_t___GENPT___unsigned_int)(snd_hwdep_dsp_image_t * obj, unsigned int _index);
typedef struct {
    snd_hwdep_dsp_image_t * a1;
    unsigned int a2;
} ARGS_void_snd_hwdep_dsp_image_t___GENPT___unsigned_int;
typedef struct {
    int format;
    FUNC_void_snd_hwdep_dsp_image_t___GENPT___unsigned_int func;
    ARGS_void_snd_hwdep_dsp_image_t___GENPT___unsigned_int args;
} PACKED_void_snd_hwdep_dsp_image_t___GENPT___unsigned_int;
typedef struct {
    int func;
    ARGS_void_snd_hwdep_dsp_image_t___GENPT___unsigned_int args;
} INDEXED_void_snd_hwdep_dsp_image_t___GENPT___unsigned_int;
typedef void (*FUNC_void_snd_hwdep_dsp_image_t___GENPT___size_t)(snd_hwdep_dsp_image_t * obj, size_t length);
typedef struct {
    snd_hwdep_dsp_image_t * a1;
    size_t a2;
} ARGS_void_snd_hwdep_dsp_image_t___GENPT___size_t;
typedef struct {
    int format;
    FUNC_void_snd_hwdep_dsp_image_t___GENPT___size_t func;
    ARGS_void_snd_hwdep_dsp_image_t___GENPT___size_t args;
} PACKED_void_snd_hwdep_dsp_image_t___GENPT___size_t;
typedef struct {
    int func;
    ARGS_void_snd_hwdep_dsp_image_t___GENPT___size_t args;
} INDEXED_void_snd_hwdep_dsp_image_t___GENPT___size_t;
typedef void (*FUNC_void_snd_hwdep_dsp_image_t___GENPT___const_char___GENPT__)(snd_hwdep_dsp_image_t * obj, const char * name);
typedef struct {
    snd_hwdep_dsp_image_t * a1;
    char * a2;
} ARGS_void_snd_hwdep_dsp_image_t___GENPT___const_char___GENPT__;
typedef struct {
    int format;
    FUNC_void_snd_hwdep_dsp_image_t___GENPT___const_char___GENPT__ func;
    ARGS_void_snd_hwdep_dsp_image_t___GENPT___const_char___GENPT__ args;
} PACKED_void_snd_hwdep_dsp_image_t___GENPT___const_char___GENPT__;
typedef struct {
    int func;
    ARGS_void_snd_hwdep_dsp_image_t___GENPT___const_char___GENPT__ args;
} INDEXED_void_snd_hwdep_dsp_image_t___GENPT___const_char___GENPT__;
typedef int (*FUNC_int_snd_hwdep_t___GENPT___snd_hwdep_dsp_image_t___GENPT__)(snd_hwdep_t * hwdep, snd_hwdep_dsp_image_t * block);
typedef struct {
    snd_hwdep_t * a1;
    snd_hwdep_dsp_image_t * a2;
} ARGS_int_snd_hwdep_t___GENPT___snd_hwdep_dsp_image_t___GENPT__;
typedef struct {
    int format;
    FUNC_int_snd_hwdep_t___GENPT___snd_hwdep_dsp_image_t___GENPT__ func;
    ARGS_int_snd_hwdep_t___GENPT___snd_hwdep_dsp_image_t___GENPT__ args;
} PACKED_int_snd_hwdep_t___GENPT___snd_hwdep_dsp_image_t___GENPT__;
typedef struct {
    int func;
    ARGS_int_snd_hwdep_t___GENPT___snd_hwdep_dsp_image_t___GENPT__ args;
} INDEXED_int_snd_hwdep_t___GENPT___snd_hwdep_dsp_image_t___GENPT__;
typedef int (*FUNC_int_snd_hwdep_t___GENPT___snd_hwdep_dsp_status_t___GENPT__)(snd_hwdep_t * hwdep, snd_hwdep_dsp_status_t * status);
typedef struct {
    snd_hwdep_t * a1;
    snd_hwdep_dsp_status_t * a2;
} ARGS_int_snd_hwdep_t___GENPT___snd_hwdep_dsp_status_t___GENPT__;
typedef struct {
    int format;
    FUNC_int_snd_hwdep_t___GENPT___snd_hwdep_dsp_status_t___GENPT__ func;
    ARGS_int_snd_hwdep_t___GENPT___snd_hwdep_dsp_status_t___GENPT__ args;
} PACKED_int_snd_hwdep_t___GENPT___snd_hwdep_dsp_status_t___GENPT__;
typedef struct {
    int func;
    ARGS_int_snd_hwdep_t___GENPT___snd_hwdep_dsp_status_t___GENPT__ args;
} INDEXED_int_snd_hwdep_t___GENPT___snd_hwdep_dsp_status_t___GENPT__;
typedef void (*FUNC_void_snd_hwdep_dsp_status_t___GENPT___const_snd_hwdep_dsp_status_t___GENPT__)(snd_hwdep_dsp_status_t * dst, const snd_hwdep_dsp_status_t * src);
typedef struct {
    snd_hwdep_dsp_status_t * a1;
    snd_hwdep_dsp_status_t * a2;
} ARGS_void_snd_hwdep_dsp_status_t___GENPT___const_snd_hwdep_dsp_status_t___GENPT__;
typedef struct {
    int format;
    FUNC_void_snd_hwdep_dsp_status_t___GENPT___const_snd_hwdep_dsp_status_t___GENPT__ func;
    ARGS_void_snd_hwdep_dsp_status_t___GENPT___const_snd_hwdep_dsp_status_t___GENPT__ args;
} PACKED_void_snd_hwdep_dsp_status_t___GENPT___const_snd_hwdep_dsp_status_t___GENPT__;
typedef struct {
    int func;
    ARGS_void_snd_hwdep_dsp_status_t___GENPT___const_snd_hwdep_dsp_status_t___GENPT__ args;
} INDEXED_void_snd_hwdep_dsp_status_t___GENPT___const_snd_hwdep_dsp_status_t___GENPT__;
typedef void (*FUNC_void_snd_hwdep_dsp_status_t___GENPT__)(snd_hwdep_dsp_status_t * obj);
typedef struct {
    snd_hwdep_dsp_status_t * a1;
} ARGS_void_snd_hwdep_dsp_status_t___GENPT__;
typedef struct {
    int format;
    FUNC_void_snd_hwdep_dsp_status_t___GENPT__ func;
    ARGS_void_snd_hwdep_dsp_status_t___GENPT__ args;
} PACKED_void_snd_hwdep_dsp_status_t___GENPT__;
typedef struct {
    int func;
    ARGS_void_snd_hwdep_dsp_status_t___GENPT__ args;
} INDEXED_void_snd_hwdep_dsp_status_t___GENPT__;
typedef unsigned int (*FUNC_unsigned_int_const_snd_hwdep_dsp_status_t___GENPT__)(const snd_hwdep_dsp_status_t * obj);
typedef struct {
    snd_hwdep_dsp_status_t * a1;
} ARGS_unsigned_int_const_snd_hwdep_dsp_status_t___GENPT__;
typedef struct {
    int format;
    FUNC_unsigned_int_const_snd_hwdep_dsp_status_t___GENPT__ func;
    ARGS_unsigned_int_const_snd_hwdep_dsp_status_t___GENPT__ args;
} PACKED_unsigned_int_const_snd_hwdep_dsp_status_t___GENPT__;
typedef struct {
    int func;
    ARGS_unsigned_int_const_snd_hwdep_dsp_status_t___GENPT__ args;
} INDEXED_unsigned_int_const_snd_hwdep_dsp_status_t___GENPT__;
typedef const char * (*FUNC_const_char___GENPT___const_snd_hwdep_dsp_status_t___GENPT__)(const snd_hwdep_dsp_status_t * obj);
typedef struct {
    snd_hwdep_dsp_status_t * a1;
} ARGS_const_char___GENPT___const_snd_hwdep_dsp_status_t___GENPT__;
typedef struct {
    int format;
    FUNC_const_char___GENPT___const_snd_hwdep_dsp_status_t___GENPT__ func;
    ARGS_const_char___GENPT___const_snd_hwdep_dsp_status_t___GENPT__ args;
} PACKED_const_char___GENPT___const_snd_hwdep_dsp_status_t___GENPT__;
typedef struct {
    int func;
    ARGS_const_char___GENPT___const_snd_hwdep_dsp_status_t___GENPT__ args;
} INDEXED_const_char___GENPT___const_snd_hwdep_dsp_status_t___GENPT__;
typedef int (*FUNC_int_snd_hwdep_dsp_status_t___GENPT____GENPT__)(snd_hwdep_dsp_status_t ** ptr);
typedef struct {
    snd_hwdep_dsp_status_t ** a1;
} ARGS_int_snd_hwdep_dsp_status_t___GENPT____GENPT__;
typedef struct {
    int format;
    FUNC_int_snd_hwdep_dsp_status_t___GENPT____GENPT__ func;
    ARGS_int_snd_hwdep_dsp_status_t___GENPT____GENPT__ args;
} PACKED_int_snd_hwdep_dsp_status_t___GENPT____GENPT__;
typedef struct {
    int func;
    ARGS_int_snd_hwdep_dsp_status_t___GENPT____GENPT__ args;
} INDEXED_int_snd_hwdep_dsp_status_t___GENPT____GENPT__;
typedef int (*FUNC_int_snd_hwdep_t___GENPT___snd_hwdep_info_t___GENPT__)(snd_hwdep_t * hwdep, snd_hwdep_info_t * info);
typedef struct {
    snd_hwdep_t * a1;
    snd_hwdep_info_t * a2;
} ARGS_int_snd_hwdep_t___GENPT___snd_hwdep_info_t___GENPT__;
typedef struct {
    int format;
    FUNC_int_snd_hwdep_t___GENPT___snd_hwdep_info_t___GENPT__ func;
    ARGS_int_snd_hwdep_t___GENPT___snd_hwdep_info_t___GENPT__ args;
} PACKED_int_snd_hwdep_t___GENPT___snd_hwdep_info_t___GENPT__;
typedef struct {
    int func;
    ARGS_int_snd_hwdep_t___GENPT___snd_hwdep_info_t___GENPT__ args;
} INDEXED_int_snd_hwdep_t___GENPT___snd_hwdep_info_t___GENPT__;
typedef int (*FUNC_int_snd_hwdep_t___GENPT___unsigned_int_void___GENPT__)(snd_hwdep_t * hwdep, unsigned int request, void * arg);
typedef struct {
    snd_hwdep_t * a1;
    unsigned int a2;
    void * a3;
} ARGS_int_snd_hwdep_t___GENPT___unsigned_int_void___GENPT__;
typedef struct {
    int format;
    FUNC_int_snd_hwdep_t___GENPT___unsigned_int_void___GENPT__ func;
    ARGS_int_snd_hwdep_t___GENPT___unsigned_int_void___GENPT__ args;
} PACKED_int_snd_hwdep_t___GENPT___unsigned_int_void___GENPT__;
typedef struct {
    int func;
    ARGS_int_snd_hwdep_t___GENPT___unsigned_int_void___GENPT__ args;
} INDEXED_int_snd_hwdep_t___GENPT___unsigned_int_void___GENPT__;
typedef int (*FUNC_int_snd_hwdep_t___GENPT___int)(snd_hwdep_t * hwdep, int nonblock);
typedef struct {
    snd_hwdep_t * a1;
    int a2;
} ARGS_int_snd_hwdep_t___GENPT___int;
typedef struct {
    int format;
    FUNC_int_snd_hwdep_t___GENPT___int func;
    ARGS_int_snd_hwdep_t___GENPT___int args;
} PACKED_int_snd_hwdep_t___GENPT___int;
typedef struct {
    int func;
    ARGS_int_snd_hwdep_t___GENPT___int args;
} INDEXED_int_snd_hwdep_t___GENPT___int;
typedef int (*FUNC_int_snd_hwdep_t___GENPT____GENPT___const_char___GENPT___int)(snd_hwdep_t ** hwdep, const char * name, int mode);
typedef struct {
    snd_hwdep_t ** a1;
    char * a2;
    int a3;
} ARGS_int_snd_hwdep_t___GENPT____GENPT___const_char___GENPT___int;
typedef struct {
    int format;
    FUNC_int_snd_hwdep_t___GENPT____GENPT___const_char___GENPT___int func;
    ARGS_int_snd_hwdep_t___GENPT____GENPT___const_char___GENPT___int args;
} PACKED_int_snd_hwdep_t___GENPT____GENPT___const_char___GENPT___int;
typedef struct {
    int func;
    ARGS_int_snd_hwdep_t___GENPT____GENPT___const_char___GENPT___int args;
} INDEXED_int_snd_hwdep_t___GENPT____GENPT___const_char___GENPT___int;
typedef int (*FUNC_int_snd_hwdep_t___GENPT___struct_pollfd___GENPT___unsigned_int)(snd_hwdep_t * hwdep, struct pollfd * pfds, unsigned int space);
typedef struct {
    snd_hwdep_t * a1;
    struct pollfd * a2;
    unsigned int a3;
} ARGS_int_snd_hwdep_t___GENPT___struct_pollfd___GENPT___unsigned_int;
typedef struct {
    int format;
    FUNC_int_snd_hwdep_t___GENPT___struct_pollfd___GENPT___unsigned_int func;
    ARGS_int_snd_hwdep_t___GENPT___struct_pollfd___GENPT___unsigned_int args;
} PACKED_int_snd_hwdep_t___GENPT___struct_pollfd___GENPT___unsigned_int;
typedef struct {
    int func;
    ARGS_int_snd_hwdep_t___GENPT___struct_pollfd___GENPT___unsigned_int args;
} INDEXED_int_snd_hwdep_t___GENPT___struct_pollfd___GENPT___unsigned_int;
typedef int (*FUNC_int_snd_hwdep_t___GENPT___struct_pollfd___GENPT___unsigned_int_unsigned_short___GENPT__)(snd_hwdep_t * hwdep, struct pollfd * pfds, unsigned int nfds, unsigned short * revents);
typedef struct {
    snd_hwdep_t * a1;
    struct pollfd * a2;
    unsigned int a3;
    unsigned short * a4;
} ARGS_int_snd_hwdep_t___GENPT___struct_pollfd___GENPT___unsigned_int_unsigned_short___GENPT__;
typedef struct {
    int format;
    FUNC_int_snd_hwdep_t___GENPT___struct_pollfd___GENPT___unsigned_int_unsigned_short___GENPT__ func;
    ARGS_int_snd_hwdep_t___GENPT___struct_pollfd___GENPT___unsigned_int_unsigned_short___GENPT__ args;
} PACKED_int_snd_hwdep_t___GENPT___struct_pollfd___GENPT___unsigned_int_unsigned_short___GENPT__;
typedef struct {
    int func;
    ARGS_int_snd_hwdep_t___GENPT___struct_pollfd___GENPT___unsigned_int_unsigned_short___GENPT__ args;
} INDEXED_int_snd_hwdep_t___GENPT___struct_pollfd___GENPT___unsigned_int_unsigned_short___GENPT__;
typedef ssize_t (*FUNC_ssize_t_snd_hwdep_t___GENPT___void___GENPT___size_t)(snd_hwdep_t * hwdep, void * buffer, size_t size);
typedef struct {
    snd_hwdep_t * a1;
    void * a2;
    size_t a3;
} ARGS_ssize_t_snd_hwdep_t___GENPT___void___GENPT___size_t;
typedef struct {
    int format;
    FUNC_ssize_t_snd_hwdep_t___GENPT___void___GENPT___size_t func;
    ARGS_ssize_t_snd_hwdep_t___GENPT___void___GENPT___size_t args;
} PACKED_ssize_t_snd_hwdep_t___GENPT___void___GENPT___size_t;
typedef struct {
    int func;
    ARGS_ssize_t_snd_hwdep_t___GENPT___void___GENPT___size_t args;
} INDEXED_ssize_t_snd_hwdep_t___GENPT___void___GENPT___size_t;
typedef ssize_t (*FUNC_ssize_t_snd_hwdep_t___GENPT___const_void___GENPT___size_t)(snd_hwdep_t * hwdep, const void * buffer, size_t size);
typedef struct {
    snd_hwdep_t * a1;
    void * a2;
    size_t a3;
} ARGS_ssize_t_snd_hwdep_t___GENPT___const_void___GENPT___size_t;
typedef struct {
    int format;
    FUNC_ssize_t_snd_hwdep_t___GENPT___const_void___GENPT___size_t func;
    ARGS_ssize_t_snd_hwdep_t___GENPT___const_void___GENPT___size_t args;
} PACKED_ssize_t_snd_hwdep_t___GENPT___const_void___GENPT___size_t;
typedef struct {
    int func;
    ARGS_ssize_t_snd_hwdep_t___GENPT___const_void___GENPT___size_t args;
} INDEXED_ssize_t_snd_hwdep_t___GENPT___const_void___GENPT___size_t;
typedef int (*FUNC_int_snd_input_t___GENPT____GENPT___const_char___GENPT___ssize_t)(snd_input_t ** inputp, const char * buffer, ssize_t size);
typedef struct {
    snd_input_t ** a1;
    char * a2;
    ssize_t a3;
} ARGS_int_snd_input_t___GENPT____GENPT___const_char___GENPT___ssize_t;
typedef struct {
    int format;
    FUNC_int_snd_input_t___GENPT____GENPT___const_char___GENPT___ssize_t func;
    ARGS_int_snd_input_t___GENPT____GENPT___const_char___GENPT___ssize_t args;
} PACKED_int_snd_input_t___GENPT____GENPT___const_char___GENPT___ssize_t;
typedef struct {
    int func;
    ARGS_int_snd_input_t___GENPT____GENPT___const_char___GENPT___ssize_t args;
} INDEXED_int_snd_input_t___GENPT____GENPT___const_char___GENPT___ssize_t;
typedef int (*FUNC_int_snd_input_t___GENPT__)(snd_input_t * input);
typedef struct {
    snd_input_t * a1;
} ARGS_int_snd_input_t___GENPT__;
typedef struct {
    int format;
    FUNC_int_snd_input_t___GENPT__ func;
    ARGS_int_snd_input_t___GENPT__ args;
} PACKED_int_snd_input_t___GENPT__;
typedef struct {
    int func;
    ARGS_int_snd_input_t___GENPT__ args;
} INDEXED_int_snd_input_t___GENPT__;
typedef char * (*FUNC_char___GENPT___snd_input_t___GENPT___char___GENPT___size_t)(snd_input_t * input, char * str, size_t size);
typedef struct {
    snd_input_t * a1;
    char * a2;
    size_t a3;
} ARGS_char___GENPT___snd_input_t___GENPT___char___GENPT___size_t;
typedef struct {
    int format;
    FUNC_char___GENPT___snd_input_t___GENPT___char___GENPT___size_t func;
    ARGS_char___GENPT___snd_input_t___GENPT___char___GENPT___size_t args;
} PACKED_char___GENPT___snd_input_t___GENPT___char___GENPT___size_t;
typedef struct {
    int func;
    ARGS_char___GENPT___snd_input_t___GENPT___char___GENPT___size_t args;
} INDEXED_char___GENPT___snd_input_t___GENPT___char___GENPT___size_t;
typedef int (*FUNC_int_snd_input_t___GENPT____GENPT___FILE___GENPT___int)(snd_input_t ** inputp, FILE * fp, int _close);
typedef struct {
    snd_input_t ** a1;
    FILE * a2;
    int a3;
} ARGS_int_snd_input_t___GENPT____GENPT___FILE___GENPT___int;
typedef struct {
    int format;
    FUNC_int_snd_input_t___GENPT____GENPT___FILE___GENPT___int func;
    ARGS_int_snd_input_t___GENPT____GENPT___FILE___GENPT___int args;
} PACKED_int_snd_input_t___GENPT____GENPT___FILE___GENPT___int;
typedef struct {
    int func;
    ARGS_int_snd_input_t___GENPT____GENPT___FILE___GENPT___int args;
} INDEXED_int_snd_input_t___GENPT____GENPT___FILE___GENPT___int;
typedef int (*FUNC_int_snd_input_t___GENPT____GENPT___const_char___GENPT___const_char___GENPT__)(snd_input_t ** inputp, const char * file, const char * mode);
typedef struct {
    snd_input_t ** a1;
    char * a2;
    char * a3;
} ARGS_int_snd_input_t___GENPT____GENPT___const_char___GENPT___const_char___GENPT__;
typedef struct {
    int format;
    FUNC_int_snd_input_t___GENPT____GENPT___const_char___GENPT___const_char___GENPT__ func;
    ARGS_int_snd_input_t___GENPT____GENPT___const_char___GENPT___const_char___GENPT__ args;
} PACKED_int_snd_input_t___GENPT____GENPT___const_char___GENPT___const_char___GENPT__;
typedef struct {
    int func;
    ARGS_int_snd_input_t___GENPT____GENPT___const_char___GENPT___const_char___GENPT__ args;
} INDEXED_int_snd_input_t___GENPT____GENPT___const_char___GENPT___const_char___GENPT__;
typedef int (*FUNC_int_snd_input_t___GENPT___int)(snd_input_t * input, int c);
typedef struct {
    snd_input_t * a1;
    int a2;
} ARGS_int_snd_input_t___GENPT___int;
typedef struct {
    int format;
    FUNC_int_snd_input_t___GENPT___int func;
    ARGS_int_snd_input_t___GENPT___int args;
} PACKED_int_snd_input_t___GENPT___int;
typedef struct {
    int func;
    ARGS_int_snd_input_t___GENPT___int args;
} INDEXED_int_snd_input_t___GENPT___int;
typedef int (*FUNC_int_snd_lib_error_handler_t)(snd_lib_error_handler_t handler);
typedef struct {
    snd_lib_error_handler_t a1;
} ARGS_int_snd_lib_error_handler_t;
typedef struct {
    int format;
    FUNC_int_snd_lib_error_handler_t func;
    ARGS_int_snd_lib_error_handler_t args;
} PACKED_int_snd_lib_error_handler_t;
typedef struct {
    int func;
    ARGS_int_snd_lib_error_handler_t args;
} INDEXED_int_snd_lib_error_handler_t;
typedef long (*FUNC_long_snd_midi_event_t___GENPT___unsigned_char___GENPT___long_const_snd_seq_event_t___GENPT__)(snd_midi_event_t * dev, unsigned char * buf, long count, const snd_seq_event_t * ev);
typedef struct {
    snd_midi_event_t * a1;
    unsigned char * a2;
    long a3;
    snd_seq_event_t * a4;
} ARGS_long_snd_midi_event_t___GENPT___unsigned_char___GENPT___long_const_snd_seq_event_t___GENPT__;
typedef struct {
    int format;
    FUNC_long_snd_midi_event_t___GENPT___unsigned_char___GENPT___long_const_snd_seq_event_t___GENPT__ func;
    ARGS_long_snd_midi_event_t___GENPT___unsigned_char___GENPT___long_const_snd_seq_event_t___GENPT__ args;
} PACKED_long_snd_midi_event_t___GENPT___unsigned_char___GENPT___long_const_snd_seq_event_t___GENPT__;
typedef struct {
    int func;
    ARGS_long_snd_midi_event_t___GENPT___unsigned_char___GENPT___long_const_snd_seq_event_t___GENPT__ args;
} INDEXED_long_snd_midi_event_t___GENPT___unsigned_char___GENPT___long_const_snd_seq_event_t___GENPT__;
typedef long (*FUNC_long_snd_midi_event_t___GENPT___const_unsigned_char___GENPT___long_snd_seq_event_t___GENPT__)(snd_midi_event_t * dev, const unsigned char * buf, long count, snd_seq_event_t * ev);
typedef struct {
    snd_midi_event_t * a1;
    unsigned char * a2;
    long a3;
    snd_seq_event_t * a4;
} ARGS_long_snd_midi_event_t___GENPT___const_unsigned_char___GENPT___long_snd_seq_event_t___GENPT__;
typedef struct {
    int format;
    FUNC_long_snd_midi_event_t___GENPT___const_unsigned_char___GENPT___long_snd_seq_event_t___GENPT__ func;
    ARGS_long_snd_midi_event_t___GENPT___const_unsigned_char___GENPT___long_snd_seq_event_t___GENPT__ args;
} PACKED_long_snd_midi_event_t___GENPT___const_unsigned_char___GENPT___long_snd_seq_event_t___GENPT__;
typedef struct {
    int func;
    ARGS_long_snd_midi_event_t___GENPT___const_unsigned_char___GENPT___long_snd_seq_event_t___GENPT__ args;
} INDEXED_long_snd_midi_event_t___GENPT___const_unsigned_char___GENPT___long_snd_seq_event_t___GENPT__;
typedef int (*FUNC_int_snd_midi_event_t___GENPT___int_snd_seq_event_t___GENPT__)(snd_midi_event_t * dev, int c, snd_seq_event_t * ev);
typedef struct {
    snd_midi_event_t * a1;
    int a2;
    snd_seq_event_t * a3;
} ARGS_int_snd_midi_event_t___GENPT___int_snd_seq_event_t___GENPT__;
typedef struct {
    int format;
    FUNC_int_snd_midi_event_t___GENPT___int_snd_seq_event_t___GENPT__ func;
    ARGS_int_snd_midi_event_t___GENPT___int_snd_seq_event_t___GENPT__ args;
} PACKED_int_snd_midi_event_t___GENPT___int_snd_seq_event_t___GENPT__;
typedef struct {
    int func;
    ARGS_int_snd_midi_event_t___GENPT___int_snd_seq_event_t___GENPT__ args;
} INDEXED_int_snd_midi_event_t___GENPT___int_snd_seq_event_t___GENPT__;
typedef void (*FUNC_void_snd_midi_event_t___GENPT__)(snd_midi_event_t * dev);
typedef struct {
    snd_midi_event_t * a1;
} ARGS_void_snd_midi_event_t___GENPT__;
typedef struct {
    int format;
    FUNC_void_snd_midi_event_t___GENPT__ func;
    ARGS_void_snd_midi_event_t___GENPT__ args;
} PACKED_void_snd_midi_event_t___GENPT__;
typedef struct {
    int func;
    ARGS_void_snd_midi_event_t___GENPT__ args;
} INDEXED_void_snd_midi_event_t___GENPT__;
typedef int (*FUNC_int_size_t_snd_midi_event_t___GENPT____GENPT__)(size_t bufsize, snd_midi_event_t ** rdev);
typedef struct {
    size_t a1;
    snd_midi_event_t ** a2;
} ARGS_int_size_t_snd_midi_event_t___GENPT____GENPT__;
typedef struct {
    int format;
    FUNC_int_size_t_snd_midi_event_t___GENPT____GENPT__ func;
    ARGS_int_size_t_snd_midi_event_t___GENPT____GENPT__ args;
} PACKED_int_size_t_snd_midi_event_t___GENPT____GENPT__;
typedef struct {
    int func;
    ARGS_int_size_t_snd_midi_event_t___GENPT____GENPT__ args;
} INDEXED_int_size_t_snd_midi_event_t___GENPT____GENPT__;
typedef void (*FUNC_void_snd_midi_event_t___GENPT___int)(snd_midi_event_t * dev, int on);
typedef struct {
    snd_midi_event_t * a1;
    int a2;
} ARGS_void_snd_midi_event_t___GENPT___int;
typedef struct {
    int format;
    FUNC_void_snd_midi_event_t___GENPT___int func;
    ARGS_void_snd_midi_event_t___GENPT___int args;
} PACKED_void_snd_midi_event_t___GENPT___int;
typedef struct {
    int func;
    ARGS_void_snd_midi_event_t___GENPT___int args;
} INDEXED_void_snd_midi_event_t___GENPT___int;
typedef int (*FUNC_int_snd_midi_event_t___GENPT___size_t)(snd_midi_event_t * dev, size_t bufsize);
typedef struct {
    snd_midi_event_t * a1;
    size_t a2;
} ARGS_int_snd_midi_event_t___GENPT___size_t;
typedef struct {
    int format;
    FUNC_int_snd_midi_event_t___GENPT___size_t func;
    ARGS_int_snd_midi_event_t___GENPT___size_t args;
} PACKED_int_snd_midi_event_t___GENPT___size_t;
typedef struct {
    int func;
    ARGS_int_snd_midi_event_t___GENPT___size_t args;
} INDEXED_int_snd_midi_event_t___GENPT___size_t;
typedef int (*FUNC_int_snd_mixer_t___GENPT___const_char___GENPT__)(snd_mixer_t * mixer, const char * name);
typedef struct {
    snd_mixer_t * a1;
    char * a2;
} ARGS_int_snd_mixer_t___GENPT___const_char___GENPT__;
typedef struct {
    int format;
    FUNC_int_snd_mixer_t___GENPT___const_char___GENPT__ func;
    ARGS_int_snd_mixer_t___GENPT___const_char___GENPT__ args;
} PACKED_int_snd_mixer_t___GENPT___const_char___GENPT__;
typedef struct {
    int func;
    ARGS_int_snd_mixer_t___GENPT___const_char___GENPT__ args;
} INDEXED_int_snd_mixer_t___GENPT___const_char___GENPT__;
typedef int (*FUNC_int_snd_mixer_t___GENPT___snd_hctl_t___GENPT__)(snd_mixer_t * mixer, snd_hctl_t * hctl);
typedef struct {
    snd_mixer_t * a1;
    snd_hctl_t * a2;
} ARGS_int_snd_mixer_t___GENPT___snd_hctl_t___GENPT__;
typedef struct {
    int format;
    FUNC_int_snd_mixer_t___GENPT___snd_hctl_t___GENPT__ func;
    ARGS_int_snd_mixer_t___GENPT___snd_hctl_t___GENPT__ args;
} PACKED_int_snd_mixer_t___GENPT___snd_hctl_t___GENPT__;
typedef struct {
    int func;
    ARGS_int_snd_mixer_t___GENPT___snd_hctl_t___GENPT__ args;
} INDEXED_int_snd_mixer_t___GENPT___snd_hctl_t___GENPT__;
typedef void (*FUNC_void_snd_mixer_class_t___GENPT___const_snd_mixer_class_t___GENPT__)(snd_mixer_class_t * dst, const snd_mixer_class_t * src);
typedef struct {
    snd_mixer_class_t * a1;
    snd_mixer_class_t * a2;
} ARGS_void_snd_mixer_class_t___GENPT___const_snd_mixer_class_t___GENPT__;
typedef struct {
    int format;
    FUNC_void_snd_mixer_class_t___GENPT___const_snd_mixer_class_t___GENPT__ func;
    ARGS_void_snd_mixer_class_t___GENPT___const_snd_mixer_class_t___GENPT__ args;
} PACKED_void_snd_mixer_class_t___GENPT___const_snd_mixer_class_t___GENPT__;
typedef struct {
    int func;
    ARGS_void_snd_mixer_class_t___GENPT___const_snd_mixer_class_t___GENPT__ args;
} INDEXED_void_snd_mixer_class_t___GENPT___const_snd_mixer_class_t___GENPT__;
typedef void (*FUNC_void_snd_mixer_class_t___GENPT__)(snd_mixer_class_t * obj);
typedef struct {
    snd_mixer_class_t * a1;
} ARGS_void_snd_mixer_class_t___GENPT__;
typedef struct {
    int format;
    FUNC_void_snd_mixer_class_t___GENPT__ func;
    ARGS_void_snd_mixer_class_t___GENPT__ args;
} PACKED_void_snd_mixer_class_t___GENPT__;
typedef struct {
    int func;
    ARGS_void_snd_mixer_class_t___GENPT__ args;
} INDEXED_void_snd_mixer_class_t___GENPT__;
typedef snd_mixer_compare_t (*FUNC_snd_mixer_compare_t_const_snd_mixer_class_t___GENPT__)(const snd_mixer_class_t * class_);
typedef struct {
    snd_mixer_class_t * a1;
} ARGS_snd_mixer_compare_t_const_snd_mixer_class_t___GENPT__;
typedef struct {
    int format;
    FUNC_snd_mixer_compare_t_const_snd_mixer_class_t___GENPT__ func;
    ARGS_snd_mixer_compare_t_const_snd_mixer_class_t___GENPT__ args;
} PACKED_snd_mixer_compare_t_const_snd_mixer_class_t___GENPT__;
typedef struct {
    int func;
    ARGS_snd_mixer_compare_t_const_snd_mixer_class_t___GENPT__ args;
} INDEXED_snd_mixer_compare_t_const_snd_mixer_class_t___GENPT__;
typedef snd_mixer_event_t (*FUNC_snd_mixer_event_t_const_snd_mixer_class_t___GENPT__)(const snd_mixer_class_t * class_);
typedef struct {
    snd_mixer_class_t * a1;
} ARGS_snd_mixer_event_t_const_snd_mixer_class_t___GENPT__;
typedef struct {
    int format;
    FUNC_snd_mixer_event_t_const_snd_mixer_class_t___GENPT__ func;
    ARGS_snd_mixer_event_t_const_snd_mixer_class_t___GENPT__ args;
} PACKED_snd_mixer_event_t_const_snd_mixer_class_t___GENPT__;
typedef struct {
    int func;
    ARGS_snd_mixer_event_t_const_snd_mixer_class_t___GENPT__ args;
} INDEXED_snd_mixer_event_t_const_snd_mixer_class_t___GENPT__;
typedef snd_mixer_t * (*FUNC_snd_mixer_t___GENPT___const_snd_mixer_class_t___GENPT__)(const snd_mixer_class_t * class_);
typedef struct {
    snd_mixer_class_t * a1;
} ARGS_snd_mixer_t___GENPT___const_snd_mixer_class_t___GENPT__;
typedef struct {
    int format;
    FUNC_snd_mixer_t___GENPT___const_snd_mixer_class_t___GENPT__ func;
    ARGS_snd_mixer_t___GENPT___const_snd_mixer_class_t___GENPT__ args;
} PACKED_snd_mixer_t___GENPT___const_snd_mixer_class_t___GENPT__;
typedef struct {
    int func;
    ARGS_snd_mixer_t___GENPT___const_snd_mixer_class_t___GENPT__ args;
} INDEXED_snd_mixer_t___GENPT___const_snd_mixer_class_t___GENPT__;
typedef void * (*FUNC_void___GENPT___const_snd_mixer_class_t___GENPT__)(const snd_mixer_class_t * class_);
typedef struct {
    snd_mixer_class_t * a1;
} ARGS_void___GENPT___const_snd_mixer_class_t___GENPT__;
typedef struct {
    int format;
    FUNC_void___GENPT___const_snd_mixer_class_t___GENPT__ func;
    ARGS_void___GENPT___const_snd_mixer_class_t___GENPT__ args;
} PACKED_void___GENPT___const_snd_mixer_class_t___GENPT__;
typedef struct {
    int func;
    ARGS_void___GENPT___const_snd_mixer_class_t___GENPT__ args;
} INDEXED_void___GENPT___const_snd_mixer_class_t___GENPT__;
typedef int (*FUNC_int_snd_mixer_class_t___GENPT____GENPT__)(snd_mixer_class_t ** ptr);
typedef struct {
    snd_mixer_class_t ** a1;
} ARGS_int_snd_mixer_class_t___GENPT____GENPT__;
typedef struct {
    int format;
    FUNC_int_snd_mixer_class_t___GENPT____GENPT__ func;
    ARGS_int_snd_mixer_class_t___GENPT____GENPT__ args;
} PACKED_int_snd_mixer_class_t___GENPT____GENPT__;
typedef struct {
    int func;
    ARGS_int_snd_mixer_class_t___GENPT____GENPT__ args;
} INDEXED_int_snd_mixer_class_t___GENPT____GENPT__;
typedef int (*FUNC_int_snd_mixer_class_t___GENPT___snd_mixer_t___GENPT__)(snd_mixer_class_t * class_, snd_mixer_t * mixer);
typedef struct {
    snd_mixer_class_t * a1;
    snd_mixer_t * a2;
} ARGS_int_snd_mixer_class_t___GENPT___snd_mixer_t___GENPT__;
typedef struct {
    int format;
    FUNC_int_snd_mixer_class_t___GENPT___snd_mixer_t___GENPT__ func;
    ARGS_int_snd_mixer_class_t___GENPT___snd_mixer_t___GENPT__ args;
} PACKED_int_snd_mixer_class_t___GENPT___snd_mixer_t___GENPT__;
typedef struct {
    int func;
    ARGS_int_snd_mixer_class_t___GENPT___snd_mixer_t___GENPT__ args;
} INDEXED_int_snd_mixer_class_t___GENPT___snd_mixer_t___GENPT__;
typedef int (*FUNC_int_snd_mixer_class_t___GENPT___snd_mixer_compare_t)(snd_mixer_class_t * class_, snd_mixer_compare_t compare);
typedef struct {
    snd_mixer_class_t * a1;
    snd_mixer_compare_t a2;
} ARGS_int_snd_mixer_class_t___GENPT___snd_mixer_compare_t;
typedef struct {
    int format;
    FUNC_int_snd_mixer_class_t___GENPT___snd_mixer_compare_t func;
    ARGS_int_snd_mixer_class_t___GENPT___snd_mixer_compare_t args;
} PACKED_int_snd_mixer_class_t___GENPT___snd_mixer_compare_t;
typedef struct {
    int func;
    ARGS_int_snd_mixer_class_t___GENPT___snd_mixer_compare_t args;
} INDEXED_int_snd_mixer_class_t___GENPT___snd_mixer_compare_t;
typedef int (*FUNC_int_snd_mixer_class_t___GENPT___snd_mixer_event_t)(snd_mixer_class_t * class_, snd_mixer_event_t event);
typedef struct {
    snd_mixer_class_t * a1;
    snd_mixer_event_t a2;
} ARGS_int_snd_mixer_class_t___GENPT___snd_mixer_event_t;
typedef struct {
    int format;
    FUNC_int_snd_mixer_class_t___GENPT___snd_mixer_event_t func;
    ARGS_int_snd_mixer_class_t___GENPT___snd_mixer_event_t args;
} PACKED_int_snd_mixer_class_t___GENPT___snd_mixer_event_t;
typedef struct {
    int func;
    ARGS_int_snd_mixer_class_t___GENPT___snd_mixer_event_t args;
} INDEXED_int_snd_mixer_class_t___GENPT___snd_mixer_event_t;
typedef int (*FUNC_int_snd_mixer_class_t___GENPT___void___GENPT__)(snd_mixer_class_t * class_, void * private_data);
typedef struct {
    snd_mixer_class_t * a1;
    void * a2;
} ARGS_int_snd_mixer_class_t___GENPT___void___GENPT__;
typedef struct {
    int format;
    FUNC_int_snd_mixer_class_t___GENPT___void___GENPT__ func;
    ARGS_int_snd_mixer_class_t___GENPT___void___GENPT__ args;
} PACKED_int_snd_mixer_class_t___GENPT___void___GENPT__;
typedef struct {
    int func;
    ARGS_int_snd_mixer_class_t___GENPT___void___GENPT__ args;
} INDEXED_int_snd_mixer_class_t___GENPT___void___GENPT__;
typedef int (*FUNC_int_snd_mixer_class_t___GENPT__)(snd_mixer_class_t * clss);
typedef struct {
    snd_mixer_class_t * a1;
} ARGS_int_snd_mixer_class_t___GENPT__;
typedef struct {
    int format;
    FUNC_int_snd_mixer_class_t___GENPT__ func;
    ARGS_int_snd_mixer_class_t___GENPT__ args;
} PACKED_int_snd_mixer_class_t___GENPT__;
typedef struct {
    int func;
    ARGS_int_snd_mixer_class_t___GENPT__ args;
} INDEXED_int_snd_mixer_class_t___GENPT__;
typedef int (*FUNC_int_snd_mixer_t___GENPT__)(snd_mixer_t * mixer);
typedef struct {
    snd_mixer_t * a1;
} ARGS_int_snd_mixer_t___GENPT__;
typedef struct {
    int format;
    FUNC_int_snd_mixer_t___GENPT__ func;
    ARGS_int_snd_mixer_t___GENPT__ args;
} PACKED_int_snd_mixer_t___GENPT__;
typedef struct {
    int func;
    ARGS_int_snd_mixer_t___GENPT__ args;
} INDEXED_int_snd_mixer_t___GENPT__;
typedef int (*FUNC_int_snd_mixer_elem_t___GENPT___snd_mixer_class_t___GENPT__)(snd_mixer_elem_t * elem, snd_mixer_class_t * class_);
typedef struct {
    snd_mixer_elem_t * a1;
    snd_mixer_class_t * a2;
} ARGS_int_snd_mixer_elem_t___GENPT___snd_mixer_class_t___GENPT__;
typedef struct {
    int format;
    FUNC_int_snd_mixer_elem_t___GENPT___snd_mixer_class_t___GENPT__ func;
    ARGS_int_snd_mixer_elem_t___GENPT___snd_mixer_class_t___GENPT__ args;
} PACKED_int_snd_mixer_elem_t___GENPT___snd_mixer_class_t___GENPT__;
typedef struct {
    int func;
    ARGS_int_snd_mixer_elem_t___GENPT___snd_mixer_class_t___GENPT__ args;
} INDEXED_int_snd_mixer_elem_t___GENPT___snd_mixer_class_t___GENPT__;
typedef int (*FUNC_int_snd_mixer_elem_t___GENPT___snd_hctl_elem_t___GENPT__)(snd_mixer_elem_t * melem, snd_hctl_elem_t * helem);
typedef struct {
    snd_mixer_elem_t * a1;
    snd_hctl_elem_t * a2;
} ARGS_int_snd_mixer_elem_t___GENPT___snd_hctl_elem_t___GENPT__;
typedef struct {
    int format;
    FUNC_int_snd_mixer_elem_t___GENPT___snd_hctl_elem_t___GENPT__ func;
    ARGS_int_snd_mixer_elem_t___GENPT___snd_hctl_elem_t___GENPT__ args;
} PACKED_int_snd_mixer_elem_t___GENPT___snd_hctl_elem_t___GENPT__;
typedef struct {
    int func;
    ARGS_int_snd_mixer_elem_t___GENPT___snd_hctl_elem_t___GENPT__ args;
} INDEXED_int_snd_mixer_elem_t___GENPT___snd_hctl_elem_t___GENPT__;
typedef int (*FUNC_int_snd_mixer_elem_t___GENPT__)(snd_mixer_elem_t * melem);
typedef struct {
    snd_mixer_elem_t * a1;
} ARGS_int_snd_mixer_elem_t___GENPT__;
typedef struct {
    int format;
    FUNC_int_snd_mixer_elem_t___GENPT__ func;
    ARGS_int_snd_mixer_elem_t___GENPT__ args;
} PACKED_int_snd_mixer_elem_t___GENPT__;
typedef struct {
    int func;
    ARGS_int_snd_mixer_elem_t___GENPT__ args;
} INDEXED_int_snd_mixer_elem_t___GENPT__;
typedef void (*FUNC_void_snd_mixer_elem_t___GENPT__)(snd_mixer_elem_t * elem);
typedef struct {
    snd_mixer_elem_t * a1;
} ARGS_void_snd_mixer_elem_t___GENPT__;
typedef struct {
    int format;
    FUNC_void_snd_mixer_elem_t___GENPT__ func;
    ARGS_void_snd_mixer_elem_t___GENPT__ args;
} PACKED_void_snd_mixer_elem_t___GENPT__;
typedef struct {
    int func;
    ARGS_void_snd_mixer_elem_t___GENPT__ args;
} INDEXED_void_snd_mixer_elem_t___GENPT__;
typedef void * (*FUNC_void___GENPT___const_snd_mixer_elem_t___GENPT__)(const snd_mixer_elem_t * obj);
typedef struct {
    snd_mixer_elem_t * a1;
} ARGS_void___GENPT___const_snd_mixer_elem_t___GENPT__;
typedef struct {
    int format;
    FUNC_void___GENPT___const_snd_mixer_elem_t___GENPT__ func;
    ARGS_void___GENPT___const_snd_mixer_elem_t___GENPT__ args;
} PACKED_void___GENPT___const_snd_mixer_elem_t___GENPT__;
typedef struct {
    int func;
    ARGS_void___GENPT___const_snd_mixer_elem_t___GENPT__ args;
} INDEXED_void___GENPT___const_snd_mixer_elem_t___GENPT__;
typedef snd_mixer_elem_type_t (*FUNC_snd_mixer_elem_type_t_const_snd_mixer_elem_t___GENPT__)(const snd_mixer_elem_t * obj);
typedef struct {
    snd_mixer_elem_t * a1;
} ARGS_snd_mixer_elem_type_t_const_snd_mixer_elem_t___GENPT__;
typedef struct {
    int format;
    FUNC_snd_mixer_elem_type_t_const_snd_mixer_elem_t___GENPT__ func;
    ARGS_snd_mixer_elem_type_t_const_snd_mixer_elem_t___GENPT__ args;
} PACKED_snd_mixer_elem_type_t_const_snd_mixer_elem_t___GENPT__;
typedef struct {
    int func;
    ARGS_snd_mixer_elem_type_t_const_snd_mixer_elem_t___GENPT__ args;
} INDEXED_snd_mixer_elem_type_t_const_snd_mixer_elem_t___GENPT__;
typedef snd_mixer_elem_t * (*FUNC_snd_mixer_elem_t___GENPT___snd_mixer_elem_t___GENPT__)(snd_mixer_elem_t * elem);
typedef struct {
    snd_mixer_elem_t * a1;
} ARGS_snd_mixer_elem_t___GENPT___snd_mixer_elem_t___GENPT__;
typedef struct {
    int format;
    FUNC_snd_mixer_elem_t___GENPT___snd_mixer_elem_t___GENPT__ func;
    ARGS_snd_mixer_elem_t___GENPT___snd_mixer_elem_t___GENPT__ args;
} PACKED_snd_mixer_elem_t___GENPT___snd_mixer_elem_t___GENPT__;
typedef struct {
    int func;
    ARGS_snd_mixer_elem_t___GENPT___snd_mixer_elem_t___GENPT__ args;
} INDEXED_snd_mixer_elem_t___GENPT___snd_mixer_elem_t___GENPT__;
typedef void (*FUNC_void_snd_mixer_elem_t___GENPT___snd_mixer_elem_callback_t)(snd_mixer_elem_t * obj, snd_mixer_elem_callback_t val);
typedef struct {
    snd_mixer_elem_t * a1;
    snd_mixer_elem_callback_t a2;
} ARGS_void_snd_mixer_elem_t___GENPT___snd_mixer_elem_callback_t;
typedef struct {
    int format;
    FUNC_void_snd_mixer_elem_t___GENPT___snd_mixer_elem_callback_t func;
    ARGS_void_snd_mixer_elem_t___GENPT___snd_mixer_elem_callback_t args;
} PACKED_void_snd_mixer_elem_t___GENPT___snd_mixer_elem_callback_t;
typedef struct {
    int func;
    ARGS_void_snd_mixer_elem_t___GENPT___snd_mixer_elem_callback_t args;
} INDEXED_void_snd_mixer_elem_t___GENPT___snd_mixer_elem_callback_t;
typedef void (*FUNC_void_snd_mixer_elem_t___GENPT___void___GENPT__)(snd_mixer_elem_t * obj, void * val);
typedef struct {
    snd_mixer_elem_t * a1;
    void * a2;
} ARGS_void_snd_mixer_elem_t___GENPT___void___GENPT__;
typedef struct {
    int format;
    FUNC_void_snd_mixer_elem_t___GENPT___void___GENPT__ func;
    ARGS_void_snd_mixer_elem_t___GENPT___void___GENPT__ args;
} PACKED_void_snd_mixer_elem_t___GENPT___void___GENPT__;
typedef struct {
    int func;
    ARGS_void_snd_mixer_elem_t___GENPT___void___GENPT__ args;
} INDEXED_void_snd_mixer_elem_t___GENPT___void___GENPT__;
typedef snd_mixer_elem_t * (*FUNC_snd_mixer_elem_t___GENPT___snd_mixer_t___GENPT___const_snd_mixer_selem_id_t___GENPT__)(snd_mixer_t * mixer, const snd_mixer_selem_id_t * id);
typedef struct {
    snd_mixer_t * a1;
    snd_mixer_selem_id_t * a2;
} ARGS_snd_mixer_elem_t___GENPT___snd_mixer_t___GENPT___const_snd_mixer_selem_id_t___GENPT__;
typedef struct {
    int format;
    FUNC_snd_mixer_elem_t___GENPT___snd_mixer_t___GENPT___const_snd_mixer_selem_id_t___GENPT__ func;
    ARGS_snd_mixer_elem_t___GENPT___snd_mixer_t___GENPT___const_snd_mixer_selem_id_t___GENPT__ args;
} PACKED_snd_mixer_elem_t___GENPT___snd_mixer_t___GENPT___const_snd_mixer_selem_id_t___GENPT__;
typedef struct {
    int func;
    ARGS_snd_mixer_elem_t___GENPT___snd_mixer_t___GENPT___const_snd_mixer_selem_id_t___GENPT__ args;
} INDEXED_snd_mixer_elem_t___GENPT___snd_mixer_t___GENPT___const_snd_mixer_selem_id_t___GENPT__;
typedef snd_mixer_elem_t * (*FUNC_snd_mixer_elem_t___GENPT___snd_mixer_t___GENPT__)(snd_mixer_t * mixer);
typedef struct {
    snd_mixer_t * a1;
} ARGS_snd_mixer_elem_t___GENPT___snd_mixer_t___GENPT__;
typedef struct {
    int format;
    FUNC_snd_mixer_elem_t___GENPT___snd_mixer_t___GENPT__ func;
    ARGS_snd_mixer_elem_t___GENPT___snd_mixer_t___GENPT__ args;
} PACKED_snd_mixer_elem_t___GENPT___snd_mixer_t___GENPT__;
typedef struct {
    int func;
    ARGS_snd_mixer_elem_t___GENPT___snd_mixer_t___GENPT__ args;
} INDEXED_snd_mixer_elem_t___GENPT___snd_mixer_t___GENPT__;
typedef void (*FUNC_void_snd_mixer_t___GENPT__)(snd_mixer_t * mixer);
typedef struct {
    snd_mixer_t * a1;
} ARGS_void_snd_mixer_t___GENPT__;
typedef struct {
    int format;
    FUNC_void_snd_mixer_t___GENPT__ func;
    ARGS_void_snd_mixer_t___GENPT__ args;
} PACKED_void_snd_mixer_t___GENPT__;
typedef struct {
    int func;
    ARGS_void_snd_mixer_t___GENPT__ args;
} INDEXED_void_snd_mixer_t___GENPT__;
typedef void * (*FUNC_void___GENPT___const_snd_mixer_t___GENPT__)(const snd_mixer_t * obj);
typedef struct {
    snd_mixer_t * a1;
} ARGS_void___GENPT___const_snd_mixer_t___GENPT__;
typedef struct {
    int format;
    FUNC_void___GENPT___const_snd_mixer_t___GENPT__ func;
    ARGS_void___GENPT___const_snd_mixer_t___GENPT__ args;
} PACKED_void___GENPT___const_snd_mixer_t___GENPT__;
typedef struct {
    int func;
    ARGS_void___GENPT___const_snd_mixer_t___GENPT__ args;
} INDEXED_void___GENPT___const_snd_mixer_t___GENPT__;
typedef unsigned int (*FUNC_unsigned_int_const_snd_mixer_t___GENPT__)(const snd_mixer_t * obj);
typedef struct {
    snd_mixer_t * a1;
} ARGS_unsigned_int_const_snd_mixer_t___GENPT__;
typedef struct {
    int format;
    FUNC_unsigned_int_const_snd_mixer_t___GENPT__ func;
    ARGS_unsigned_int_const_snd_mixer_t___GENPT__ args;
} PACKED_unsigned_int_const_snd_mixer_t___GENPT__;
typedef struct {
    int func;
    ARGS_unsigned_int_const_snd_mixer_t___GENPT__ args;
} INDEXED_unsigned_int_const_snd_mixer_t___GENPT__;
typedef int (*FUNC_int_snd_mixer_t___GENPT___const_char___GENPT___snd_hctl_t___GENPT____GENPT__)(snd_mixer_t * mixer, const char * name, snd_hctl_t ** hctl);
typedef struct {
    snd_mixer_t * a1;
    char * a2;
    snd_hctl_t ** a3;
} ARGS_int_snd_mixer_t___GENPT___const_char___GENPT___snd_hctl_t___GENPT____GENPT__;
typedef struct {
    int format;
    FUNC_int_snd_mixer_t___GENPT___const_char___GENPT___snd_hctl_t___GENPT____GENPT__ func;
    ARGS_int_snd_mixer_t___GENPT___const_char___GENPT___snd_hctl_t___GENPT____GENPT__ args;
} PACKED_int_snd_mixer_t___GENPT___const_char___GENPT___snd_hctl_t___GENPT____GENPT__;
typedef struct {
    int func;
    ARGS_int_snd_mixer_t___GENPT___const_char___GENPT___snd_hctl_t___GENPT____GENPT__ args;
} INDEXED_int_snd_mixer_t___GENPT___const_char___GENPT___snd_hctl_t___GENPT____GENPT__;
typedef int (*FUNC_int_snd_mixer_t___GENPT____GENPT___int)(snd_mixer_t ** mixer, int mode);
typedef struct {
    snd_mixer_t ** a1;
    int a2;
} ARGS_int_snd_mixer_t___GENPT____GENPT___int;
typedef struct {
    int format;
    FUNC_int_snd_mixer_t___GENPT____GENPT___int func;
    ARGS_int_snd_mixer_t___GENPT____GENPT___int args;
} PACKED_int_snd_mixer_t___GENPT____GENPT___int;
typedef struct {
    int func;
    ARGS_int_snd_mixer_t___GENPT____GENPT___int args;
} INDEXED_int_snd_mixer_t___GENPT____GENPT___int;
typedef int (*FUNC_int_snd_mixer_t___GENPT___struct_pollfd___GENPT___unsigned_int)(snd_mixer_t * mixer, struct pollfd * pfds, unsigned int space);
typedef struct {
    snd_mixer_t * a1;
    struct pollfd * a2;
    unsigned int a3;
} ARGS_int_snd_mixer_t___GENPT___struct_pollfd___GENPT___unsigned_int;
typedef struct {
    int format;
    FUNC_int_snd_mixer_t___GENPT___struct_pollfd___GENPT___unsigned_int func;
    ARGS_int_snd_mixer_t___GENPT___struct_pollfd___GENPT___unsigned_int args;
} PACKED_int_snd_mixer_t___GENPT___struct_pollfd___GENPT___unsigned_int;
typedef struct {
    int func;
    ARGS_int_snd_mixer_t___GENPT___struct_pollfd___GENPT___unsigned_int args;
} INDEXED_int_snd_mixer_t___GENPT___struct_pollfd___GENPT___unsigned_int;
typedef int (*FUNC_int_snd_mixer_t___GENPT___struct_pollfd___GENPT___unsigned_int_unsigned_short___GENPT__)(snd_mixer_t * mixer, struct pollfd * pfds, unsigned int nfds, unsigned short * revents);
typedef struct {
    snd_mixer_t * a1;
    struct pollfd * a2;
    unsigned int a3;
    unsigned short * a4;
} ARGS_int_snd_mixer_t___GENPT___struct_pollfd___GENPT___unsigned_int_unsigned_short___GENPT__;
typedef struct {
    int format;
    FUNC_int_snd_mixer_t___GENPT___struct_pollfd___GENPT___unsigned_int_unsigned_short___GENPT__ func;
    ARGS_int_snd_mixer_t___GENPT___struct_pollfd___GENPT___unsigned_int_unsigned_short___GENPT__ args;
} PACKED_int_snd_mixer_t___GENPT___struct_pollfd___GENPT___unsigned_int_unsigned_short___GENPT__;
typedef struct {
    int func;
    ARGS_int_snd_mixer_t___GENPT___struct_pollfd___GENPT___unsigned_int_unsigned_short___GENPT__ args;
} INDEXED_int_snd_mixer_t___GENPT___struct_pollfd___GENPT___unsigned_int_unsigned_short___GENPT__;
typedef const char * (*FUNC_const_char___GENPT___snd_mixer_selem_channel_id_t)(snd_mixer_selem_channel_id_t channel);
typedef struct {
    snd_mixer_selem_channel_id_t a1;
} ARGS_const_char___GENPT___snd_mixer_selem_channel_id_t;
typedef struct {
    int format;
    FUNC_const_char___GENPT___snd_mixer_selem_channel_id_t func;
    ARGS_const_char___GENPT___snd_mixer_selem_channel_id_t args;
} PACKED_const_char___GENPT___snd_mixer_selem_channel_id_t;
typedef struct {
    int func;
    ARGS_const_char___GENPT___snd_mixer_selem_channel_id_t args;
} INDEXED_const_char___GENPT___snd_mixer_selem_channel_id_t;
typedef int (*FUNC_int_snd_mixer_elem_t___GENPT___snd_mixer_selem_channel_id_t_long___GENPT__)(snd_mixer_elem_t * elem, snd_mixer_selem_channel_id_t channel, long * value);
typedef struct {
    snd_mixer_elem_t * a1;
    snd_mixer_selem_channel_id_t a2;
    long * a3;
} ARGS_int_snd_mixer_elem_t___GENPT___snd_mixer_selem_channel_id_t_long___GENPT__;
typedef struct {
    int format;
    FUNC_int_snd_mixer_elem_t___GENPT___snd_mixer_selem_channel_id_t_long___GENPT__ func;
    ARGS_int_snd_mixer_elem_t___GENPT___snd_mixer_selem_channel_id_t_long___GENPT__ args;
} PACKED_int_snd_mixer_elem_t___GENPT___snd_mixer_selem_channel_id_t_long___GENPT__;
typedef struct {
    int func;
    ARGS_int_snd_mixer_elem_t___GENPT___snd_mixer_selem_channel_id_t_long___GENPT__ args;
} INDEXED_int_snd_mixer_elem_t___GENPT___snd_mixer_selem_channel_id_t_long___GENPT__;
typedef int (*FUNC_int_snd_mixer_elem_t___GENPT___long___GENPT___long___GENPT__)(snd_mixer_elem_t * elem, long * min, long * max);
typedef struct {
    snd_mixer_elem_t * a1;
    long * a2;
    long * a3;
} ARGS_int_snd_mixer_elem_t___GENPT___long___GENPT___long___GENPT__;
typedef struct {
    int format;
    FUNC_int_snd_mixer_elem_t___GENPT___long___GENPT___long___GENPT__ func;
    ARGS_int_snd_mixer_elem_t___GENPT___long___GENPT___long___GENPT__ args;
} PACKED_int_snd_mixer_elem_t___GENPT___long___GENPT___long___GENPT__;
typedef struct {
    int func;
    ARGS_int_snd_mixer_elem_t___GENPT___long___GENPT___long___GENPT__ args;
} INDEXED_int_snd_mixer_elem_t___GENPT___long___GENPT___long___GENPT__;
typedef int (*FUNC_int_snd_mixer_elem_t___GENPT___snd_mixer_selem_channel_id_t_int___GENPT__)(snd_mixer_elem_t * elem, snd_mixer_selem_channel_id_t channel, int * value);
typedef struct {
    snd_mixer_elem_t * a1;
    snd_mixer_selem_channel_id_t a2;
    int * a3;
} ARGS_int_snd_mixer_elem_t___GENPT___snd_mixer_selem_channel_id_t_int___GENPT__;
typedef struct {
    int format;
    FUNC_int_snd_mixer_elem_t___GENPT___snd_mixer_selem_channel_id_t_int___GENPT__ func;
    ARGS_int_snd_mixer_elem_t___GENPT___snd_mixer_selem_channel_id_t_int___GENPT__ args;
} PACKED_int_snd_mixer_elem_t___GENPT___snd_mixer_selem_channel_id_t_int___GENPT__;
typedef struct {
    int func;
    ARGS_int_snd_mixer_elem_t___GENPT___snd_mixer_selem_channel_id_t_int___GENPT__ args;
} INDEXED_int_snd_mixer_elem_t___GENPT___snd_mixer_selem_channel_id_t_int___GENPT__;
typedef int (*FUNC_int_snd_mixer_elem_t___GENPT___snd_mixer_selem_channel_id_t_unsigned_int___GENPT__)(snd_mixer_elem_t * elem, snd_mixer_selem_channel_id_t channel, unsigned int * idxp);
typedef struct {
    snd_mixer_elem_t * a1;
    snd_mixer_selem_channel_id_t a2;
    unsigned int * a3;
} ARGS_int_snd_mixer_elem_t___GENPT___snd_mixer_selem_channel_id_t_unsigned_int___GENPT__;
typedef struct {
    int format;
    FUNC_int_snd_mixer_elem_t___GENPT___snd_mixer_selem_channel_id_t_unsigned_int___GENPT__ func;
    ARGS_int_snd_mixer_elem_t___GENPT___snd_mixer_selem_channel_id_t_unsigned_int___GENPT__ args;
} PACKED_int_snd_mixer_elem_t___GENPT___snd_mixer_selem_channel_id_t_unsigned_int___GENPT__;
typedef struct {
    int func;
    ARGS_int_snd_mixer_elem_t___GENPT___snd_mixer_selem_channel_id_t_unsigned_int___GENPT__ args;
} INDEXED_int_snd_mixer_elem_t___GENPT___snd_mixer_selem_channel_id_t_unsigned_int___GENPT__;
typedef int (*FUNC_int_snd_mixer_elem_t___GENPT___unsigned_int_size_t_char___GENPT__)(snd_mixer_elem_t * elem, unsigned int idx, size_t maxlen, char * str);
typedef struct {
    snd_mixer_elem_t * a1;
    unsigned int a2;
    size_t a3;
    char * a4;
} ARGS_int_snd_mixer_elem_t___GENPT___unsigned_int_size_t_char___GENPT__;
typedef struct {
    int format;
    FUNC_int_snd_mixer_elem_t___GENPT___unsigned_int_size_t_char___GENPT__ func;
    ARGS_int_snd_mixer_elem_t___GENPT___unsigned_int_size_t_char___GENPT__ args;
} PACKED_int_snd_mixer_elem_t___GENPT___unsigned_int_size_t_char___GENPT__;
typedef struct {
    int func;
    ARGS_int_snd_mixer_elem_t___GENPT___unsigned_int_size_t_char___GENPT__ args;
} INDEXED_int_snd_mixer_elem_t___GENPT___unsigned_int_size_t_char___GENPT__;
typedef void (*FUNC_void_snd_mixer_elem_t___GENPT___snd_mixer_selem_id_t___GENPT__)(snd_mixer_elem_t * element, snd_mixer_selem_id_t * id);
typedef struct {
    snd_mixer_elem_t * a1;
    snd_mixer_selem_id_t * a2;
} ARGS_void_snd_mixer_elem_t___GENPT___snd_mixer_selem_id_t___GENPT__;
typedef struct {
    int format;
    FUNC_void_snd_mixer_elem_t___GENPT___snd_mixer_selem_id_t___GENPT__ func;
    ARGS_void_snd_mixer_elem_t___GENPT___snd_mixer_selem_id_t___GENPT__ args;
} PACKED_void_snd_mixer_elem_t___GENPT___snd_mixer_selem_id_t___GENPT__;
typedef struct {
    int func;
    ARGS_void_snd_mixer_elem_t___GENPT___snd_mixer_selem_id_t___GENPT__ args;
} INDEXED_void_snd_mixer_elem_t___GENPT___snd_mixer_selem_id_t___GENPT__;
typedef unsigned int (*FUNC_unsigned_int_snd_mixer_elem_t___GENPT__)(snd_mixer_elem_t * elem);
typedef struct {
    snd_mixer_elem_t * a1;
} ARGS_unsigned_int_snd_mixer_elem_t___GENPT__;
typedef struct {
    int format;
    FUNC_unsigned_int_snd_mixer_elem_t___GENPT__ func;
    ARGS_unsigned_int_snd_mixer_elem_t___GENPT__ args;
} PACKED_unsigned_int_snd_mixer_elem_t___GENPT__;
typedef struct {
    int func;
    ARGS_unsigned_int_snd_mixer_elem_t___GENPT__ args;
} INDEXED_unsigned_int_snd_mixer_elem_t___GENPT__;
typedef const char * (*FUNC_const_char___GENPT___snd_mixer_elem_t___GENPT__)(snd_mixer_elem_t * elem);
typedef struct {
    snd_mixer_elem_t * a1;
} ARGS_const_char___GENPT___snd_mixer_elem_t___GENPT__;
typedef struct {
    int format;
    FUNC_const_char___GENPT___snd_mixer_elem_t___GENPT__ func;
    ARGS_const_char___GENPT___snd_mixer_elem_t___GENPT__ args;
} PACKED_const_char___GENPT___snd_mixer_elem_t___GENPT__;
typedef struct {
    int func;
    ARGS_const_char___GENPT___snd_mixer_elem_t___GENPT__ args;
} INDEXED_const_char___GENPT___snd_mixer_elem_t___GENPT__;
typedef int (*FUNC_int_snd_mixer_elem_t___GENPT___snd_mixer_selem_channel_id_t)(snd_mixer_elem_t * obj, snd_mixer_selem_channel_id_t channel);
typedef struct {
    snd_mixer_elem_t * a1;
    snd_mixer_selem_channel_id_t a2;
} ARGS_int_snd_mixer_elem_t___GENPT___snd_mixer_selem_channel_id_t;
typedef struct {
    int format;
    FUNC_int_snd_mixer_elem_t___GENPT___snd_mixer_selem_channel_id_t func;
    ARGS_int_snd_mixer_elem_t___GENPT___snd_mixer_selem_channel_id_t args;
} PACKED_int_snd_mixer_elem_t___GENPT___snd_mixer_selem_channel_id_t;
typedef struct {
    int func;
    ARGS_int_snd_mixer_elem_t___GENPT___snd_mixer_selem_channel_id_t args;
} INDEXED_int_snd_mixer_elem_t___GENPT___snd_mixer_selem_channel_id_t;
typedef void (*FUNC_void_snd_mixer_selem_id_t___GENPT___const_snd_mixer_selem_id_t___GENPT__)(snd_mixer_selem_id_t * dst, const snd_mixer_selem_id_t * src);
typedef struct {
    snd_mixer_selem_id_t * a1;
    snd_mixer_selem_id_t * a2;
} ARGS_void_snd_mixer_selem_id_t___GENPT___const_snd_mixer_selem_id_t___GENPT__;
typedef struct {
    int format;
    FUNC_void_snd_mixer_selem_id_t___GENPT___const_snd_mixer_selem_id_t___GENPT__ func;
    ARGS_void_snd_mixer_selem_id_t___GENPT___const_snd_mixer_selem_id_t___GENPT__ args;
} PACKED_void_snd_mixer_selem_id_t___GENPT___const_snd_mixer_selem_id_t___GENPT__;
typedef struct {
    int func;
    ARGS_void_snd_mixer_selem_id_t___GENPT___const_snd_mixer_selem_id_t___GENPT__ args;
} INDEXED_void_snd_mixer_selem_id_t___GENPT___const_snd_mixer_selem_id_t___GENPT__;
typedef void (*FUNC_void_snd_mixer_selem_id_t___GENPT__)(snd_mixer_selem_id_t * obj);
typedef struct {
    snd_mixer_selem_id_t * a1;
} ARGS_void_snd_mixer_selem_id_t___GENPT__;
typedef struct {
    int format;
    FUNC_void_snd_mixer_selem_id_t___GENPT__ func;
    ARGS_void_snd_mixer_selem_id_t___GENPT__ args;
} PACKED_void_snd_mixer_selem_id_t___GENPT__;
typedef struct {
    int func;
    ARGS_void_snd_mixer_selem_id_t___GENPT__ args;
} INDEXED_void_snd_mixer_selem_id_t___GENPT__;
typedef unsigned int (*FUNC_unsigned_int_const_snd_mixer_selem_id_t___GENPT__)(const snd_mixer_selem_id_t * obj);
typedef struct {
    snd_mixer_selem_id_t * a1;
} ARGS_unsigned_int_const_snd_mixer_selem_id_t___GENPT__;
typedef struct {
    int format;
    FUNC_unsigned_int_const_snd_mixer_selem_id_t___GENPT__ func;
    ARGS_unsigned_int_const_snd_mixer_selem_id_t___GENPT__ args;
} PACKED_unsigned_int_const_snd_mixer_selem_id_t___GENPT__;
typedef struct {
    int func;
    ARGS_unsigned_int_const_snd_mixer_selem_id_t___GENPT__ args;
} INDEXED_unsigned_int_const_snd_mixer_selem_id_t___GENPT__;
typedef const char * (*FUNC_const_char___GENPT___const_snd_mixer_selem_id_t___GENPT__)(const snd_mixer_selem_id_t * obj);
typedef struct {
    snd_mixer_selem_id_t * a1;
} ARGS_const_char___GENPT___const_snd_mixer_selem_id_t___GENPT__;
typedef struct {
    int format;
    FUNC_const_char___GENPT___const_snd_mixer_selem_id_t___GENPT__ func;
    ARGS_const_char___GENPT___const_snd_mixer_selem_id_t___GENPT__ args;
} PACKED_const_char___GENPT___const_snd_mixer_selem_id_t___GENPT__;
typedef struct {
    int func;
    ARGS_const_char___GENPT___const_snd_mixer_selem_id_t___GENPT__ args;
} INDEXED_const_char___GENPT___const_snd_mixer_selem_id_t___GENPT__;
typedef int (*FUNC_int_snd_mixer_selem_id_t___GENPT____GENPT__)(snd_mixer_selem_id_t ** ptr);
typedef struct {
    snd_mixer_selem_id_t ** a1;
} ARGS_int_snd_mixer_selem_id_t___GENPT____GENPT__;
typedef struct {
    int format;
    FUNC_int_snd_mixer_selem_id_t___GENPT____GENPT__ func;
    ARGS_int_snd_mixer_selem_id_t___GENPT____GENPT__ args;
} PACKED_int_snd_mixer_selem_id_t___GENPT____GENPT__;
typedef struct {
    int func;
    ARGS_int_snd_mixer_selem_id_t___GENPT____GENPT__ args;
} INDEXED_int_snd_mixer_selem_id_t___GENPT____GENPT__;
typedef void (*FUNC_void_snd_mixer_selem_id_t___GENPT___unsigned_int)(snd_mixer_selem_id_t * obj, unsigned int val);
typedef struct {
    snd_mixer_selem_id_t * a1;
    unsigned int a2;
} ARGS_void_snd_mixer_selem_id_t___GENPT___unsigned_int;
typedef struct {
    int format;
    FUNC_void_snd_mixer_selem_id_t___GENPT___unsigned_int func;
    ARGS_void_snd_mixer_selem_id_t___GENPT___unsigned_int args;
} PACKED_void_snd_mixer_selem_id_t___GENPT___unsigned_int;
typedef struct {
    int func;
    ARGS_void_snd_mixer_selem_id_t___GENPT___unsigned_int args;
} INDEXED_void_snd_mixer_selem_id_t___GENPT___unsigned_int;
typedef void (*FUNC_void_snd_mixer_selem_id_t___GENPT___const_char___GENPT__)(snd_mixer_selem_id_t * obj, const char * val);
typedef struct {
    snd_mixer_selem_id_t * a1;
    char * a2;
} ARGS_void_snd_mixer_selem_id_t___GENPT___const_char___GENPT__;
typedef struct {
    int format;
    FUNC_void_snd_mixer_selem_id_t___GENPT___const_char___GENPT__ func;
    ARGS_void_snd_mixer_selem_id_t___GENPT___const_char___GENPT__ args;
} PACKED_void_snd_mixer_selem_id_t___GENPT___const_char___GENPT__;
typedef struct {
    int func;
    ARGS_void_snd_mixer_selem_id_t___GENPT___const_char___GENPT__ args;
} INDEXED_void_snd_mixer_selem_id_t___GENPT___const_char___GENPT__;
typedef int (*FUNC_int_snd_mixer_t___GENPT___struct_snd_mixer_selem_regopt___GENPT___snd_mixer_class_t___GENPT____GENPT__)(snd_mixer_t * mixer, struct snd_mixer_selem_regopt * options, snd_mixer_class_t ** classp);
typedef struct {
    snd_mixer_t * a1;
    struct snd_mixer_selem_regopt * a2;
    snd_mixer_class_t ** a3;
} ARGS_int_snd_mixer_t___GENPT___struct_snd_mixer_selem_regopt___GENPT___snd_mixer_class_t___GENPT____GENPT__;
typedef struct {
    int format;
    FUNC_int_snd_mixer_t___GENPT___struct_snd_mixer_selem_regopt___GENPT___snd_mixer_class_t___GENPT____GENPT__ func;
    ARGS_int_snd_mixer_t___GENPT___struct_snd_mixer_selem_regopt___GENPT___snd_mixer_class_t___GENPT____GENPT__ args;
} PACKED_int_snd_mixer_t___GENPT___struct_snd_mixer_selem_regopt___GENPT___snd_mixer_class_t___GENPT____GENPT__;
typedef struct {
    int func;
    ARGS_int_snd_mixer_t___GENPT___struct_snd_mixer_selem_regopt___GENPT___snd_mixer_class_t___GENPT____GENPT__ args;
} INDEXED_int_snd_mixer_t___GENPT___struct_snd_mixer_selem_regopt___GENPT___snd_mixer_class_t___GENPT____GENPT__;
typedef int (*FUNC_int_snd_mixer_elem_t___GENPT___snd_mixer_selem_channel_id_t_long_int)(snd_mixer_elem_t * elem, snd_mixer_selem_channel_id_t channel, long value, int dir);
typedef struct {
    snd_mixer_elem_t * a1;
    snd_mixer_selem_channel_id_t a2;
    long a3;
    int a4;
} ARGS_int_snd_mixer_elem_t___GENPT___snd_mixer_selem_channel_id_t_long_int;
typedef struct {
    int format;
    FUNC_int_snd_mixer_elem_t___GENPT___snd_mixer_selem_channel_id_t_long_int func;
    ARGS_int_snd_mixer_elem_t___GENPT___snd_mixer_selem_channel_id_t_long_int args;
} PACKED_int_snd_mixer_elem_t___GENPT___snd_mixer_selem_channel_id_t_long_int;
typedef struct {
    int func;
    ARGS_int_snd_mixer_elem_t___GENPT___snd_mixer_selem_channel_id_t_long_int args;
} INDEXED_int_snd_mixer_elem_t___GENPT___snd_mixer_selem_channel_id_t_long_int;
typedef int (*FUNC_int_snd_mixer_elem_t___GENPT___long_int)(snd_mixer_elem_t * elem, long value, int dir);
typedef struct {
    snd_mixer_elem_t * a1;
    long a2;
    int a3;
} ARGS_int_snd_mixer_elem_t___GENPT___long_int;
typedef struct {
    int format;
    FUNC_int_snd_mixer_elem_t___GENPT___long_int func;
    ARGS_int_snd_mixer_elem_t___GENPT___long_int args;
} PACKED_int_snd_mixer_elem_t___GENPT___long_int;
typedef struct {
    int func;
    ARGS_int_snd_mixer_elem_t___GENPT___long_int args;
} INDEXED_int_snd_mixer_elem_t___GENPT___long_int;
typedef int (*FUNC_int_snd_mixer_elem_t___GENPT___snd_mixer_selem_channel_id_t_int)(snd_mixer_elem_t * elem, snd_mixer_selem_channel_id_t channel, int value);
typedef struct {
    snd_mixer_elem_t * a1;
    snd_mixer_selem_channel_id_t a2;
    int a3;
} ARGS_int_snd_mixer_elem_t___GENPT___snd_mixer_selem_channel_id_t_int;
typedef struct {
    int format;
    FUNC_int_snd_mixer_elem_t___GENPT___snd_mixer_selem_channel_id_t_int func;
    ARGS_int_snd_mixer_elem_t___GENPT___snd_mixer_selem_channel_id_t_int args;
} PACKED_int_snd_mixer_elem_t___GENPT___snd_mixer_selem_channel_id_t_int;
typedef struct {
    int func;
    ARGS_int_snd_mixer_elem_t___GENPT___snd_mixer_selem_channel_id_t_int args;
} INDEXED_int_snd_mixer_elem_t___GENPT___snd_mixer_selem_channel_id_t_int;
typedef int (*FUNC_int_snd_mixer_elem_t___GENPT___int)(snd_mixer_elem_t * elem, int value);
typedef struct {
    snd_mixer_elem_t * a1;
    int a2;
} ARGS_int_snd_mixer_elem_t___GENPT___int;
typedef struct {
    int format;
    FUNC_int_snd_mixer_elem_t___GENPT___int func;
    ARGS_int_snd_mixer_elem_t___GENPT___int args;
} PACKED_int_snd_mixer_elem_t___GENPT___int;
typedef struct {
    int func;
    ARGS_int_snd_mixer_elem_t___GENPT___int args;
} INDEXED_int_snd_mixer_elem_t___GENPT___int;
typedef int (*FUNC_int_snd_mixer_elem_t___GENPT___snd_mixer_selem_channel_id_t_long)(snd_mixer_elem_t * elem, snd_mixer_selem_channel_id_t channel, long value);
typedef struct {
    snd_mixer_elem_t * a1;
    snd_mixer_selem_channel_id_t a2;
    long a3;
} ARGS_int_snd_mixer_elem_t___GENPT___snd_mixer_selem_channel_id_t_long;
typedef struct {
    int format;
    FUNC_int_snd_mixer_elem_t___GENPT___snd_mixer_selem_channel_id_t_long func;
    ARGS_int_snd_mixer_elem_t___GENPT___snd_mixer_selem_channel_id_t_long args;
} PACKED_int_snd_mixer_elem_t___GENPT___snd_mixer_selem_channel_id_t_long;
typedef struct {
    int func;
    ARGS_int_snd_mixer_elem_t___GENPT___snd_mixer_selem_channel_id_t_long args;
} INDEXED_int_snd_mixer_elem_t___GENPT___snd_mixer_selem_channel_id_t_long;
typedef int (*FUNC_int_snd_mixer_elem_t___GENPT___long)(snd_mixer_elem_t * elem, long value);
typedef struct {
    snd_mixer_elem_t * a1;
    long a2;
} ARGS_int_snd_mixer_elem_t___GENPT___long;
typedef struct {
    int format;
    FUNC_int_snd_mixer_elem_t___GENPT___long func;
    ARGS_int_snd_mixer_elem_t___GENPT___long args;
} PACKED_int_snd_mixer_elem_t___GENPT___long;
typedef struct {
    int func;
    ARGS_int_snd_mixer_elem_t___GENPT___long args;
} INDEXED_int_snd_mixer_elem_t___GENPT___long;
typedef int (*FUNC_int_snd_mixer_elem_t___GENPT___long_long)(snd_mixer_elem_t * elem, long min, long max);
typedef struct {
    snd_mixer_elem_t * a1;
    long a2;
    long a3;
} ARGS_int_snd_mixer_elem_t___GENPT___long_long;
typedef struct {
    int format;
    FUNC_int_snd_mixer_elem_t___GENPT___long_long func;
    ARGS_int_snd_mixer_elem_t___GENPT___long_long args;
} PACKED_int_snd_mixer_elem_t___GENPT___long_long;
typedef struct {
    int func;
    ARGS_int_snd_mixer_elem_t___GENPT___long_long args;
} INDEXED_int_snd_mixer_elem_t___GENPT___long_long;
typedef int (*FUNC_int_snd_mixer_elem_t___GENPT___snd_mixer_selem_channel_id_t_unsigned_int)(snd_mixer_elem_t * elem, snd_mixer_selem_channel_id_t channel, unsigned int idx);
typedef struct {
    snd_mixer_elem_t * a1;
    snd_mixer_selem_channel_id_t a2;
    unsigned int a3;
} ARGS_int_snd_mixer_elem_t___GENPT___snd_mixer_selem_channel_id_t_unsigned_int;
typedef struct {
    int format;
    FUNC_int_snd_mixer_elem_t___GENPT___snd_mixer_selem_channel_id_t_unsigned_int func;
    ARGS_int_snd_mixer_elem_t___GENPT___snd_mixer_selem_channel_id_t_unsigned_int args;
} PACKED_int_snd_mixer_elem_t___GENPT___snd_mixer_selem_channel_id_t_unsigned_int;
typedef struct {
    int func;
    ARGS_int_snd_mixer_elem_t___GENPT___snd_mixer_selem_channel_id_t_unsigned_int args;
} INDEXED_int_snd_mixer_elem_t___GENPT___snd_mixer_selem_channel_id_t_unsigned_int;
typedef void (*FUNC_void_snd_mixer_t___GENPT___snd_mixer_callback_t)(snd_mixer_t * obj, snd_mixer_callback_t val);
typedef struct {
    snd_mixer_t * a1;
    snd_mixer_callback_t a2;
} ARGS_void_snd_mixer_t___GENPT___snd_mixer_callback_t;
typedef struct {
    int format;
    FUNC_void_snd_mixer_t___GENPT___snd_mixer_callback_t func;
    ARGS_void_snd_mixer_t___GENPT___snd_mixer_callback_t args;
} PACKED_void_snd_mixer_t___GENPT___snd_mixer_callback_t;
typedef struct {
    int func;
    ARGS_void_snd_mixer_t___GENPT___snd_mixer_callback_t args;
} INDEXED_void_snd_mixer_t___GENPT___snd_mixer_callback_t;
typedef void (*FUNC_void_snd_mixer_t___GENPT___void___GENPT__)(snd_mixer_t * obj, void * val);
typedef struct {
    snd_mixer_t * a1;
    void * a2;
} ARGS_void_snd_mixer_t___GENPT___void___GENPT__;
typedef struct {
    int format;
    FUNC_void_snd_mixer_t___GENPT___void___GENPT__ func;
    ARGS_void_snd_mixer_t___GENPT___void___GENPT__ args;
} PACKED_void_snd_mixer_t___GENPT___void___GENPT__;
typedef struct {
    int func;
    ARGS_void_snd_mixer_t___GENPT___void___GENPT__ args;
} INDEXED_void_snd_mixer_t___GENPT___void___GENPT__;
typedef int (*FUNC_int_snd_mixer_t___GENPT___snd_mixer_compare_t)(snd_mixer_t * mixer, snd_mixer_compare_t msort);
typedef struct {
    snd_mixer_t * a1;
    snd_mixer_compare_t a2;
} ARGS_int_snd_mixer_t___GENPT___snd_mixer_compare_t;
typedef struct {
    int format;
    FUNC_int_snd_mixer_t___GENPT___snd_mixer_compare_t func;
    ARGS_int_snd_mixer_t___GENPT___snd_mixer_compare_t args;
} PACKED_int_snd_mixer_t___GENPT___snd_mixer_compare_t;
typedef struct {
    int func;
    ARGS_int_snd_mixer_t___GENPT___snd_mixer_compare_t args;
} INDEXED_int_snd_mixer_t___GENPT___snd_mixer_compare_t;
typedef int (*FUNC_int_snd_mixer_t___GENPT___int)(snd_mixer_t * mixer, int timeout);
typedef struct {
    snd_mixer_t * a1;
    int a2;
} ARGS_int_snd_mixer_t___GENPT___int;
typedef struct {
    int format;
    FUNC_int_snd_mixer_t___GENPT___int func;
    ARGS_int_snd_mixer_t___GENPT___int args;
} PACKED_int_snd_mixer_t___GENPT___int;
typedef struct {
    int func;
    ARGS_int_snd_mixer_t___GENPT___int args;
} INDEXED_int_snd_mixer_t___GENPT___int;
typedef int (*FUNC_int_const_char___GENPT___snd_devname_t___GENPT____GENPT__)(const char * iface, snd_devname_t ** list);
typedef struct {
    char * a1;
    snd_devname_t ** a2;
} ARGS_int_const_char___GENPT___snd_devname_t___GENPT____GENPT__;
typedef struct {
    int format;
    FUNC_int_const_char___GENPT___snd_devname_t___GENPT____GENPT__ func;
    ARGS_int_const_char___GENPT___snd_devname_t___GENPT____GENPT__ args;
} PACKED_int_const_char___GENPT___snd_devname_t___GENPT____GENPT__;
typedef struct {
    int func;
    ARGS_int_const_char___GENPT___snd_devname_t___GENPT____GENPT__ args;
} INDEXED_int_const_char___GENPT___snd_devname_t___GENPT____GENPT__;
typedef void (*FUNC_void_snd_devname_t___GENPT__)(snd_devname_t * list);
typedef struct {
    snd_devname_t * a1;
} ARGS_void_snd_devname_t___GENPT__;
typedef struct {
    int format;
    FUNC_void_snd_devname_t___GENPT__ func;
    ARGS_void_snd_devname_t___GENPT__ args;
} PACKED_void_snd_devname_t___GENPT__;
typedef struct {
    int func;
    ARGS_void_snd_devname_t___GENPT__ args;
} INDEXED_void_snd_devname_t___GENPT__;
typedef int (*FUNC_int_snd_output_t___GENPT____GENPT__)(snd_output_t ** outputp);
typedef struct {
    snd_output_t ** a1;
} ARGS_int_snd_output_t___GENPT____GENPT__;
typedef struct {
    int format;
    FUNC_int_snd_output_t___GENPT____GENPT__ func;
    ARGS_int_snd_output_t___GENPT____GENPT__ args;
} PACKED_int_snd_output_t___GENPT____GENPT__;
typedef struct {
    int func;
    ARGS_int_snd_output_t___GENPT____GENPT__ args;
} INDEXED_int_snd_output_t___GENPT____GENPT__;
typedef size_t (*FUNC_size_t_snd_output_t___GENPT___char___GENPT____GENPT__)(snd_output_t * output, char ** buf);
typedef struct {
    snd_output_t * a1;
    char ** a2;
} ARGS_size_t_snd_output_t___GENPT___char___GENPT____GENPT__;
typedef struct {
    int format;
    FUNC_size_t_snd_output_t___GENPT___char___GENPT____GENPT__ func;
    ARGS_size_t_snd_output_t___GENPT___char___GENPT____GENPT__ args;
} PACKED_size_t_snd_output_t___GENPT___char___GENPT____GENPT__;
typedef struct {
    int func;
    ARGS_size_t_snd_output_t___GENPT___char___GENPT____GENPT__ args;
} INDEXED_size_t_snd_output_t___GENPT___char___GENPT____GENPT__;
typedef int (*FUNC_int_snd_output_t___GENPT__)(snd_output_t * output);
typedef struct {
    snd_output_t * a1;
} ARGS_int_snd_output_t___GENPT__;
typedef struct {
    int format;
    FUNC_int_snd_output_t___GENPT__ func;
    ARGS_int_snd_output_t___GENPT__ args;
} PACKED_int_snd_output_t___GENPT__;
typedef struct {
    int func;
    ARGS_int_snd_output_t___GENPT__ args;
} INDEXED_int_snd_output_t___GENPT__;
typedef int (*FUNC_int_snd_output_t___GENPT___int)(snd_output_t * output, int c);
typedef struct {
    snd_output_t * a1;
    int a2;
} ARGS_int_snd_output_t___GENPT___int;
typedef struct {
    int format;
    FUNC_int_snd_output_t___GENPT___int func;
    ARGS_int_snd_output_t___GENPT___int args;
} PACKED_int_snd_output_t___GENPT___int;
typedef struct {
    int func;
    ARGS_int_snd_output_t___GENPT___int args;
} INDEXED_int_snd_output_t___GENPT___int;
typedef int (*FUNC_int_snd_output_t___GENPT___const_char___GENPT__)(snd_output_t * output, const char * str);
typedef struct {
    snd_output_t * a1;
    char * a2;
} ARGS_int_snd_output_t___GENPT___const_char___GENPT__;
typedef struct {
    int format;
    FUNC_int_snd_output_t___GENPT___const_char___GENPT__ func;
    ARGS_int_snd_output_t___GENPT___const_char___GENPT__ args;
} PACKED_int_snd_output_t___GENPT___const_char___GENPT__;
typedef struct {
    int func;
    ARGS_int_snd_output_t___GENPT___const_char___GENPT__ args;
} INDEXED_int_snd_output_t___GENPT___const_char___GENPT__;
typedef int (*FUNC_int_snd_output_t___GENPT____GENPT___FILE___GENPT___int)(snd_output_t ** outputp, FILE * fp, int _close);
typedef struct {
    snd_output_t ** a1;
    FILE * a2;
    int a3;
} ARGS_int_snd_output_t___GENPT____GENPT___FILE___GENPT___int;
typedef struct {
    int format;
    FUNC_int_snd_output_t___GENPT____GENPT___FILE___GENPT___int func;
    ARGS_int_snd_output_t___GENPT____GENPT___FILE___GENPT___int args;
} PACKED_int_snd_output_t___GENPT____GENPT___FILE___GENPT___int;
typedef struct {
    int func;
    ARGS_int_snd_output_t___GENPT____GENPT___FILE___GENPT___int args;
} INDEXED_int_snd_output_t___GENPT____GENPT___FILE___GENPT___int;
typedef int (*FUNC_int_snd_output_t___GENPT____GENPT___const_char___GENPT___const_char___GENPT__)(snd_output_t ** outputp, const char * file, const char * mode);
typedef struct {
    snd_output_t ** a1;
    char * a2;
    char * a3;
} ARGS_int_snd_output_t___GENPT____GENPT___const_char___GENPT___const_char___GENPT__;
typedef struct {
    int format;
    FUNC_int_snd_output_t___GENPT____GENPT___const_char___GENPT___const_char___GENPT__ func;
    ARGS_int_snd_output_t___GENPT____GENPT___const_char___GENPT___const_char___GENPT__ args;
} PACKED_int_snd_output_t___GENPT____GENPT___const_char___GENPT___const_char___GENPT__;
typedef struct {
    int func;
    ARGS_int_snd_output_t___GENPT____GENPT___const_char___GENPT___const_char___GENPT__ args;
} INDEXED_int_snd_output_t___GENPT____GENPT___const_char___GENPT___const_char___GENPT__;
typedef int (*FUNC_int_snd_output_t___GENPT___const_char___GENPT___va_list)(snd_output_t * output, const char * format, va_list args);
typedef struct {
    snd_output_t * a1;
    char * a2;
    va_list a3;
} ARGS_int_snd_output_t___GENPT___const_char___GENPT___va_list;
typedef struct {
    int format;
    FUNC_int_snd_output_t___GENPT___const_char___GENPT___va_list func;
    ARGS_int_snd_output_t___GENPT___const_char___GENPT___va_list args;
} PACKED_int_snd_output_t___GENPT___const_char___GENPT___va_list;
typedef struct {
    int func;
    ARGS_int_snd_output_t___GENPT___const_char___GENPT___va_list args;
} INDEXED_int_snd_output_t___GENPT___const_char___GENPT___va_list;
typedef void (*FUNC_void_snd_pcm_access_mask_t___GENPT__)(snd_pcm_access_mask_t * mask);
typedef struct {
    snd_pcm_access_mask_t * a1;
} ARGS_void_snd_pcm_access_mask_t___GENPT__;
typedef struct {
    int format;
    FUNC_void_snd_pcm_access_mask_t___GENPT__ func;
    ARGS_void_snd_pcm_access_mask_t___GENPT__ args;
} PACKED_void_snd_pcm_access_mask_t___GENPT__;
typedef struct {
    int func;
    ARGS_void_snd_pcm_access_mask_t___GENPT__ args;
} INDEXED_void_snd_pcm_access_mask_t___GENPT__;
typedef void (*FUNC_void_snd_pcm_access_mask_t___GENPT___const_snd_pcm_access_mask_t___GENPT__)(snd_pcm_access_mask_t * dst, const snd_pcm_access_mask_t * src);
typedef struct {
    snd_pcm_access_mask_t * a1;
    snd_pcm_access_mask_t * a2;
} ARGS_void_snd_pcm_access_mask_t___GENPT___const_snd_pcm_access_mask_t___GENPT__;
typedef struct {
    int format;
    FUNC_void_snd_pcm_access_mask_t___GENPT___const_snd_pcm_access_mask_t___GENPT__ func;
    ARGS_void_snd_pcm_access_mask_t___GENPT___const_snd_pcm_access_mask_t___GENPT__ args;
} PACKED_void_snd_pcm_access_mask_t___GENPT___const_snd_pcm_access_mask_t___GENPT__;
typedef struct {
    int func;
    ARGS_void_snd_pcm_access_mask_t___GENPT___const_snd_pcm_access_mask_t___GENPT__ args;
} INDEXED_void_snd_pcm_access_mask_t___GENPT___const_snd_pcm_access_mask_t___GENPT__;
typedef int (*FUNC_int_const_snd_pcm_access_mask_t___GENPT__)(const snd_pcm_access_mask_t * mask);
typedef struct {
    snd_pcm_access_mask_t * a1;
} ARGS_int_const_snd_pcm_access_mask_t___GENPT__;
typedef struct {
    int format;
    FUNC_int_const_snd_pcm_access_mask_t___GENPT__ func;
    ARGS_int_const_snd_pcm_access_mask_t___GENPT__ args;
} PACKED_int_const_snd_pcm_access_mask_t___GENPT__;
typedef struct {
    int func;
    ARGS_int_const_snd_pcm_access_mask_t___GENPT__ args;
} INDEXED_int_const_snd_pcm_access_mask_t___GENPT__;
typedef int (*FUNC_int_snd_pcm_access_mask_t___GENPT____GENPT__)(snd_pcm_access_mask_t ** ptr);
typedef struct {
    snd_pcm_access_mask_t ** a1;
} ARGS_int_snd_pcm_access_mask_t___GENPT____GENPT__;
typedef struct {
    int format;
    FUNC_int_snd_pcm_access_mask_t___GENPT____GENPT__ func;
    ARGS_int_snd_pcm_access_mask_t___GENPT____GENPT__ args;
} PACKED_int_snd_pcm_access_mask_t___GENPT____GENPT__;
typedef struct {
    int func;
    ARGS_int_snd_pcm_access_mask_t___GENPT____GENPT__ args;
} INDEXED_int_snd_pcm_access_mask_t___GENPT____GENPT__;
typedef void (*FUNC_void_snd_pcm_access_mask_t___GENPT___snd_pcm_access_t)(snd_pcm_access_mask_t * mask, snd_pcm_access_t val);
typedef struct {
    snd_pcm_access_mask_t * a1;
    snd_pcm_access_t a2;
} ARGS_void_snd_pcm_access_mask_t___GENPT___snd_pcm_access_t;
typedef struct {
    int format;
    FUNC_void_snd_pcm_access_mask_t___GENPT___snd_pcm_access_t func;
    ARGS_void_snd_pcm_access_mask_t___GENPT___snd_pcm_access_t args;
} PACKED_void_snd_pcm_access_mask_t___GENPT___snd_pcm_access_t;
typedef struct {
    int func;
    ARGS_void_snd_pcm_access_mask_t___GENPT___snd_pcm_access_t args;
} INDEXED_void_snd_pcm_access_mask_t___GENPT___snd_pcm_access_t;
typedef int (*FUNC_int_const_snd_pcm_access_mask_t___GENPT___snd_pcm_access_t)(const snd_pcm_access_mask_t * mask, snd_pcm_access_t val);
typedef struct {
    snd_pcm_access_mask_t * a1;
    snd_pcm_access_t a2;
} ARGS_int_const_snd_pcm_access_mask_t___GENPT___snd_pcm_access_t;
typedef struct {
    int format;
    FUNC_int_const_snd_pcm_access_mask_t___GENPT___snd_pcm_access_t func;
    ARGS_int_const_snd_pcm_access_mask_t___GENPT___snd_pcm_access_t args;
} PACKED_int_const_snd_pcm_access_mask_t___GENPT___snd_pcm_access_t;
typedef struct {
    int func;
    ARGS_int_const_snd_pcm_access_mask_t___GENPT___snd_pcm_access_t args;
} INDEXED_int_const_snd_pcm_access_mask_t___GENPT___snd_pcm_access_t;
typedef const char * (*FUNC_const_char___GENPT___const_snd_pcm_access_t)(const snd_pcm_access_t _access);
typedef struct {
    snd_pcm_access_t a1;
} ARGS_const_char___GENPT___const_snd_pcm_access_t;
typedef struct {
    int format;
    FUNC_const_char___GENPT___const_snd_pcm_access_t func;
    ARGS_const_char___GENPT___const_snd_pcm_access_t args;
} PACKED_const_char___GENPT___const_snd_pcm_access_t;
typedef struct {
    int func;
    ARGS_const_char___GENPT___const_snd_pcm_access_t args;
} INDEXED_const_char___GENPT___const_snd_pcm_access_t;
typedef int (*FUNC_int_const_snd_pcm_channel_area_t___GENPT___snd_pcm_uframes_t_const_snd_pcm_channel_area_t___GENPT___snd_pcm_uframes_t_unsigned_int_snd_pcm_format_t)(const snd_pcm_channel_area_t * dst_channel, snd_pcm_uframes_t dst_offset, const snd_pcm_channel_area_t * src_channel, snd_pcm_uframes_t src_offset, unsigned int samples, snd_pcm_format_t format);
typedef struct {
    snd_pcm_channel_area_t * a1;
    snd_pcm_uframes_t a2;
    snd_pcm_channel_area_t * a3;
    snd_pcm_uframes_t a4;
    unsigned int a5;
    snd_pcm_format_t a6;
} ARGS_int_const_snd_pcm_channel_area_t___GENPT___snd_pcm_uframes_t_const_snd_pcm_channel_area_t___GENPT___snd_pcm_uframes_t_unsigned_int_snd_pcm_format_t;
typedef struct {
    int format;
    FUNC_int_const_snd_pcm_channel_area_t___GENPT___snd_pcm_uframes_t_const_snd_pcm_channel_area_t___GENPT___snd_pcm_uframes_t_unsigned_int_snd_pcm_format_t func;
    ARGS_int_const_snd_pcm_channel_area_t___GENPT___snd_pcm_uframes_t_const_snd_pcm_channel_area_t___GENPT___snd_pcm_uframes_t_unsigned_int_snd_pcm_format_t args;
} PACKED_int_const_snd_pcm_channel_area_t___GENPT___snd_pcm_uframes_t_const_snd_pcm_channel_area_t___GENPT___snd_pcm_uframes_t_unsigned_int_snd_pcm_format_t;
typedef struct {
    int func;
    ARGS_int_const_snd_pcm_channel_area_t___GENPT___snd_pcm_uframes_t_const_snd_pcm_channel_area_t___GENPT___snd_pcm_uframes_t_unsigned_int_snd_pcm_format_t args;
} INDEXED_int_const_snd_pcm_channel_area_t___GENPT___snd_pcm_uframes_t_const_snd_pcm_channel_area_t___GENPT___snd_pcm_uframes_t_unsigned_int_snd_pcm_format_t;
typedef int (*FUNC_int_const_snd_pcm_channel_area_t___GENPT___snd_pcm_uframes_t_unsigned_int_snd_pcm_format_t)(const snd_pcm_channel_area_t * dst_channel, snd_pcm_uframes_t dst_offset, unsigned int samples, snd_pcm_format_t format);
typedef struct {
    snd_pcm_channel_area_t * a1;
    snd_pcm_uframes_t a2;
    unsigned int a3;
    snd_pcm_format_t a4;
} ARGS_int_const_snd_pcm_channel_area_t___GENPT___snd_pcm_uframes_t_unsigned_int_snd_pcm_format_t;
typedef struct {
    int format;
    FUNC_int_const_snd_pcm_channel_area_t___GENPT___snd_pcm_uframes_t_unsigned_int_snd_pcm_format_t func;
    ARGS_int_const_snd_pcm_channel_area_t___GENPT___snd_pcm_uframes_t_unsigned_int_snd_pcm_format_t args;
} PACKED_int_const_snd_pcm_channel_area_t___GENPT___snd_pcm_uframes_t_unsigned_int_snd_pcm_format_t;
typedef struct {
    int func;
    ARGS_int_const_snd_pcm_channel_area_t___GENPT___snd_pcm_uframes_t_unsigned_int_snd_pcm_format_t args;
} INDEXED_int_const_snd_pcm_channel_area_t___GENPT___snd_pcm_uframes_t_unsigned_int_snd_pcm_format_t;
typedef int (*FUNC_int_const_snd_pcm_channel_area_t___GENPT___snd_pcm_uframes_t_const_snd_pcm_channel_area_t___GENPT___snd_pcm_uframes_t_unsigned_int_snd_pcm_uframes_t_snd_pcm_format_t)(const snd_pcm_channel_area_t * dst_channels, snd_pcm_uframes_t dst_offset, const snd_pcm_channel_area_t * src_channels, snd_pcm_uframes_t src_offset, unsigned int channels, snd_pcm_uframes_t frames, snd_pcm_format_t format);
typedef struct {
    snd_pcm_channel_area_t * a1;
    snd_pcm_uframes_t a2;
    snd_pcm_channel_area_t * a3;
    snd_pcm_uframes_t a4;
    unsigned int a5;
    snd_pcm_uframes_t a6;
    snd_pcm_format_t a7;
} ARGS_int_const_snd_pcm_channel_area_t___GENPT___snd_pcm_uframes_t_const_snd_pcm_channel_area_t___GENPT___snd_pcm_uframes_t_unsigned_int_snd_pcm_uframes_t_snd_pcm_format_t;
typedef struct {
    int format;
    FUNC_int_const_snd_pcm_channel_area_t___GENPT___snd_pcm_uframes_t_const_snd_pcm_channel_area_t___GENPT___snd_pcm_uframes_t_unsigned_int_snd_pcm_uframes_t_snd_pcm_format_t func;
    ARGS_int_const_snd_pcm_channel_area_t___GENPT___snd_pcm_uframes_t_const_snd_pcm_channel_area_t___GENPT___snd_pcm_uframes_t_unsigned_int_snd_pcm_uframes_t_snd_pcm_format_t args;
} PACKED_int_const_snd_pcm_channel_area_t___GENPT___snd_pcm_uframes_t_const_snd_pcm_channel_area_t___GENPT___snd_pcm_uframes_t_unsigned_int_snd_pcm_uframes_t_snd_pcm_format_t;
typedef struct {
    int func;
    ARGS_int_const_snd_pcm_channel_area_t___GENPT___snd_pcm_uframes_t_const_snd_pcm_channel_area_t___GENPT___snd_pcm_uframes_t_unsigned_int_snd_pcm_uframes_t_snd_pcm_format_t args;
} INDEXED_int_const_snd_pcm_channel_area_t___GENPT___snd_pcm_uframes_t_const_snd_pcm_channel_area_t___GENPT___snd_pcm_uframes_t_unsigned_int_snd_pcm_uframes_t_snd_pcm_format_t;
typedef int (*FUNC_int_const_snd_pcm_channel_area_t___GENPT___snd_pcm_uframes_t_unsigned_int_snd_pcm_uframes_t_snd_pcm_format_t)(const snd_pcm_channel_area_t * dst_channels, snd_pcm_uframes_t dst_offset, unsigned int channels, snd_pcm_uframes_t frames, snd_pcm_format_t format);
typedef struct {
    snd_pcm_channel_area_t * a1;
    snd_pcm_uframes_t a2;
    unsigned int a3;
    snd_pcm_uframes_t a4;
    snd_pcm_format_t a5;
} ARGS_int_const_snd_pcm_channel_area_t___GENPT___snd_pcm_uframes_t_unsigned_int_snd_pcm_uframes_t_snd_pcm_format_t;
typedef struct {
    int format;
    FUNC_int_const_snd_pcm_channel_area_t___GENPT___snd_pcm_uframes_t_unsigned_int_snd_pcm_uframes_t_snd_pcm_format_t func;
    ARGS_int_const_snd_pcm_channel_area_t___GENPT___snd_pcm_uframes_t_unsigned_int_snd_pcm_uframes_t_snd_pcm_format_t args;
} PACKED_int_const_snd_pcm_channel_area_t___GENPT___snd_pcm_uframes_t_unsigned_int_snd_pcm_uframes_t_snd_pcm_format_t;
typedef struct {
    int func;
    ARGS_int_const_snd_pcm_channel_area_t___GENPT___snd_pcm_uframes_t_unsigned_int_snd_pcm_uframes_t_snd_pcm_format_t args;
} INDEXED_int_const_snd_pcm_channel_area_t___GENPT___snd_pcm_uframes_t_unsigned_int_snd_pcm_uframes_t_snd_pcm_format_t;
typedef snd_pcm_sframes_t (*FUNC_snd_pcm_sframes_t_snd_pcm_t___GENPT__)(snd_pcm_t * pcm);
typedef struct {
    snd_pcm_t * a1;
} ARGS_snd_pcm_sframes_t_snd_pcm_t___GENPT__;
typedef struct {
    int format;
    FUNC_snd_pcm_sframes_t_snd_pcm_t___GENPT__ func;
    ARGS_snd_pcm_sframes_t_snd_pcm_t___GENPT__ args;
} PACKED_snd_pcm_sframes_t_snd_pcm_t___GENPT__;
typedef struct {
    int func;
    ARGS_snd_pcm_sframes_t_snd_pcm_t___GENPT__ args;
} INDEXED_snd_pcm_sframes_t_snd_pcm_t___GENPT__;
typedef snd_pcm_format_t (*FUNC_snd_pcm_format_t_int_int_int_int)(int width, int pwidth, int unsignd, int big_endian);
typedef struct {
    int a1;
    int a2;
    int a3;
    int a4;
} ARGS_snd_pcm_format_t_int_int_int_int;
typedef struct {
    int format;
    FUNC_snd_pcm_format_t_int_int_int_int func;
    ARGS_snd_pcm_format_t_int_int_int_int args;
} PACKED_snd_pcm_format_t_int_int_int_int;
typedef struct {
    int func;
    ARGS_snd_pcm_format_t_int_int_int_int args;
} INDEXED_snd_pcm_format_t_int_int_int_int;
typedef snd_pcm_sframes_t (*FUNC_snd_pcm_sframes_t_snd_pcm_t___GENPT___ssize_t)(snd_pcm_t * pcm, ssize_t bytes);
typedef struct {
    snd_pcm_t * a1;
    ssize_t a2;
} ARGS_snd_pcm_sframes_t_snd_pcm_t___GENPT___ssize_t;
typedef struct {
    int format;
    FUNC_snd_pcm_sframes_t_snd_pcm_t___GENPT___ssize_t func;
    ARGS_snd_pcm_sframes_t_snd_pcm_t___GENPT___ssize_t args;
} PACKED_snd_pcm_sframes_t_snd_pcm_t___GENPT___ssize_t;
typedef struct {
    int func;
    ARGS_snd_pcm_sframes_t_snd_pcm_t___GENPT___ssize_t args;
} INDEXED_snd_pcm_sframes_t_snd_pcm_t___GENPT___ssize_t;
typedef long (*FUNC_long_snd_pcm_t___GENPT___ssize_t)(snd_pcm_t * pcm, ssize_t bytes);
typedef struct {
    snd_pcm_t * a1;
    ssize_t a2;
} ARGS_long_snd_pcm_t___GENPT___ssize_t;
typedef struct {
    int format;
    FUNC_long_snd_pcm_t___GENPT___ssize_t func;
    ARGS_long_snd_pcm_t___GENPT___ssize_t args;
} PACKED_long_snd_pcm_t___GENPT___ssize_t;
typedef struct {
    int func;
    ARGS_long_snd_pcm_t___GENPT___ssize_t args;
} INDEXED_long_snd_pcm_t___GENPT___ssize_t;
typedef int (*FUNC_int_snd_pcm_t___GENPT__)(snd_pcm_t * pcm);
typedef struct {
    snd_pcm_t * a1;
} ARGS_int_snd_pcm_t___GENPT__;
typedef struct {
    int format;
    FUNC_int_snd_pcm_t___GENPT__ func;
    ARGS_int_snd_pcm_t___GENPT__ args;
} PACKED_int_snd_pcm_t___GENPT__;
typedef struct {
    int func;
    ARGS_int_snd_pcm_t___GENPT__ args;
} INDEXED_int_snd_pcm_t___GENPT__;
typedef int (*FUNC_int_snd_pcm_t___GENPT___snd_pcm_sframes_t___GENPT__)(snd_pcm_t * pcm, snd_pcm_sframes_t * delayp);
typedef struct {
    snd_pcm_t * a1;
    snd_pcm_sframes_t * a2;
} ARGS_int_snd_pcm_t___GENPT___snd_pcm_sframes_t___GENPT__;
typedef struct {
    int format;
    FUNC_int_snd_pcm_t___GENPT___snd_pcm_sframes_t___GENPT__ func;
    ARGS_int_snd_pcm_t___GENPT___snd_pcm_sframes_t___GENPT__ args;
} PACKED_int_snd_pcm_t___GENPT___snd_pcm_sframes_t___GENPT__;
typedef struct {
    int func;
    ARGS_int_snd_pcm_t___GENPT___snd_pcm_sframes_t___GENPT__ args;
} INDEXED_int_snd_pcm_t___GENPT___snd_pcm_sframes_t___GENPT__;
typedef int (*FUNC_int_snd_pcm_t___GENPT___snd_output_t___GENPT__)(snd_pcm_t * pcm, snd_output_t * out);
typedef struct {
    snd_pcm_t * a1;
    snd_output_t * a2;
} ARGS_int_snd_pcm_t___GENPT___snd_output_t___GENPT__;
typedef struct {
    int format;
    FUNC_int_snd_pcm_t___GENPT___snd_output_t___GENPT__ func;
    ARGS_int_snd_pcm_t___GENPT___snd_output_t___GENPT__ args;
} PACKED_int_snd_pcm_t___GENPT___snd_output_t___GENPT__;
typedef struct {
    int func;
    ARGS_int_snd_pcm_t___GENPT___snd_output_t___GENPT__ args;
} INDEXED_int_snd_pcm_t___GENPT___snd_output_t___GENPT__;
typedef int (*FUNC_int_snd_pcm_format_t)(snd_pcm_format_t format);
typedef struct {
    snd_pcm_format_t a1;
} ARGS_int_snd_pcm_format_t;
typedef struct {
    int format;
    FUNC_int_snd_pcm_format_t func;
    ARGS_int_snd_pcm_format_t args;
} PACKED_int_snd_pcm_format_t;
typedef struct {
    int func;
    ARGS_int_snd_pcm_format_t args;
} INDEXED_int_snd_pcm_format_t;
typedef const char * (*FUNC_const_char___GENPT___const_snd_pcm_format_t)(const snd_pcm_format_t format);
typedef struct {
    snd_pcm_format_t a1;
} ARGS_const_char___GENPT___const_snd_pcm_format_t;
typedef struct {
    int format;
    FUNC_const_char___GENPT___const_snd_pcm_format_t func;
    ARGS_const_char___GENPT___const_snd_pcm_format_t args;
} PACKED_const_char___GENPT___const_snd_pcm_format_t;
typedef struct {
    int func;
    ARGS_const_char___GENPT___const_snd_pcm_format_t args;
} INDEXED_const_char___GENPT___const_snd_pcm_format_t;
typedef void (*FUNC_void_snd_pcm_format_mask_t___GENPT__)(snd_pcm_format_mask_t * mask);
typedef struct {
    snd_pcm_format_mask_t * a1;
} ARGS_void_snd_pcm_format_mask_t___GENPT__;
typedef struct {
    int format;
    FUNC_void_snd_pcm_format_mask_t___GENPT__ func;
    ARGS_void_snd_pcm_format_mask_t___GENPT__ args;
} PACKED_void_snd_pcm_format_mask_t___GENPT__;
typedef struct {
    int func;
    ARGS_void_snd_pcm_format_mask_t___GENPT__ args;
} INDEXED_void_snd_pcm_format_mask_t___GENPT__;
typedef void (*FUNC_void_snd_pcm_format_mask_t___GENPT___const_snd_pcm_format_mask_t___GENPT__)(snd_pcm_format_mask_t * dst, const snd_pcm_format_mask_t * src);
typedef struct {
    snd_pcm_format_mask_t * a1;
    snd_pcm_format_mask_t * a2;
} ARGS_void_snd_pcm_format_mask_t___GENPT___const_snd_pcm_format_mask_t___GENPT__;
typedef struct {
    int format;
    FUNC_void_snd_pcm_format_mask_t___GENPT___const_snd_pcm_format_mask_t___GENPT__ func;
    ARGS_void_snd_pcm_format_mask_t___GENPT___const_snd_pcm_format_mask_t___GENPT__ args;
} PACKED_void_snd_pcm_format_mask_t___GENPT___const_snd_pcm_format_mask_t___GENPT__;
typedef struct {
    int func;
    ARGS_void_snd_pcm_format_mask_t___GENPT___const_snd_pcm_format_mask_t___GENPT__ args;
} INDEXED_void_snd_pcm_format_mask_t___GENPT___const_snd_pcm_format_mask_t___GENPT__;
typedef int (*FUNC_int_const_snd_pcm_format_mask_t___GENPT__)(const snd_pcm_format_mask_t * mask);
typedef struct {
    snd_pcm_format_mask_t * a1;
} ARGS_int_const_snd_pcm_format_mask_t___GENPT__;
typedef struct {
    int format;
    FUNC_int_const_snd_pcm_format_mask_t___GENPT__ func;
    ARGS_int_const_snd_pcm_format_mask_t___GENPT__ args;
} PACKED_int_const_snd_pcm_format_mask_t___GENPT__;
typedef struct {
    int func;
    ARGS_int_const_snd_pcm_format_mask_t___GENPT__ args;
} INDEXED_int_const_snd_pcm_format_mask_t___GENPT__;
typedef int (*FUNC_int_snd_pcm_format_mask_t___GENPT____GENPT__)(snd_pcm_format_mask_t ** ptr);
typedef struct {
    snd_pcm_format_mask_t ** a1;
} ARGS_int_snd_pcm_format_mask_t___GENPT____GENPT__;
typedef struct {
    int format;
    FUNC_int_snd_pcm_format_mask_t___GENPT____GENPT__ func;
    ARGS_int_snd_pcm_format_mask_t___GENPT____GENPT__ args;
} PACKED_int_snd_pcm_format_mask_t___GENPT____GENPT__;
typedef struct {
    int func;
    ARGS_int_snd_pcm_format_mask_t___GENPT____GENPT__ args;
} INDEXED_int_snd_pcm_format_mask_t___GENPT____GENPT__;
typedef void (*FUNC_void_snd_pcm_format_mask_t___GENPT___snd_pcm_format_t)(snd_pcm_format_mask_t * mask, snd_pcm_format_t val);
typedef struct {
    snd_pcm_format_mask_t * a1;
    snd_pcm_format_t a2;
} ARGS_void_snd_pcm_format_mask_t___GENPT___snd_pcm_format_t;
typedef struct {
    int format;
    FUNC_void_snd_pcm_format_mask_t___GENPT___snd_pcm_format_t func;
    ARGS_void_snd_pcm_format_mask_t___GENPT___snd_pcm_format_t args;
} PACKED_void_snd_pcm_format_mask_t___GENPT___snd_pcm_format_t;
typedef struct {
    int func;
    ARGS_void_snd_pcm_format_mask_t___GENPT___snd_pcm_format_t args;
} INDEXED_void_snd_pcm_format_mask_t___GENPT___snd_pcm_format_t;
typedef int (*FUNC_int_const_snd_pcm_format_mask_t___GENPT___snd_pcm_format_t)(const snd_pcm_format_mask_t * mask, snd_pcm_format_t val);
typedef struct {
    snd_pcm_format_mask_t * a1;
    snd_pcm_format_t a2;
} ARGS_int_const_snd_pcm_format_mask_t___GENPT___snd_pcm_format_t;
typedef struct {
    int format;
    FUNC_int_const_snd_pcm_format_mask_t___GENPT___snd_pcm_format_t func;
    ARGS_int_const_snd_pcm_format_mask_t___GENPT___snd_pcm_format_t args;
} PACKED_int_const_snd_pcm_format_mask_t___GENPT___snd_pcm_format_t;
typedef struct {
    int func;
    ARGS_int_const_snd_pcm_format_mask_t___GENPT___snd_pcm_format_t args;
} INDEXED_int_const_snd_pcm_format_mask_t___GENPT___snd_pcm_format_t;
typedef int (*FUNC_int_snd_pcm_format_t_void___GENPT___unsigned_int)(snd_pcm_format_t format, void * buf, unsigned int samples);
typedef struct {
    snd_pcm_format_t a1;
    void * a2;
    unsigned int a3;
} ARGS_int_snd_pcm_format_t_void___GENPT___unsigned_int;
typedef struct {
    int format;
    FUNC_int_snd_pcm_format_t_void___GENPT___unsigned_int func;
    ARGS_int_snd_pcm_format_t_void___GENPT___unsigned_int args;
} PACKED_int_snd_pcm_format_t_void___GENPT___unsigned_int;
typedef struct {
    int func;
    ARGS_int_snd_pcm_format_t_void___GENPT___unsigned_int args;
} INDEXED_int_snd_pcm_format_t_void___GENPT___unsigned_int;
typedef u_int8_t (*FUNC_u_int8_t_snd_pcm_format_t)(snd_pcm_format_t format);
typedef struct {
    snd_pcm_format_t a1;
} ARGS_u_int8_t_snd_pcm_format_t;
typedef struct {
    int format;
    FUNC_u_int8_t_snd_pcm_format_t func;
    ARGS_u_int8_t_snd_pcm_format_t args;
} PACKED_u_int8_t_snd_pcm_format_t;
typedef struct {
    int func;
    ARGS_u_int8_t_snd_pcm_format_t args;
} INDEXED_u_int8_t_snd_pcm_format_t;
typedef u_int16_t (*FUNC_u_int16_t_snd_pcm_format_t)(snd_pcm_format_t format);
typedef struct {
    snd_pcm_format_t a1;
} ARGS_u_int16_t_snd_pcm_format_t;
typedef struct {
    int format;
    FUNC_u_int16_t_snd_pcm_format_t func;
    ARGS_u_int16_t_snd_pcm_format_t args;
} PACKED_u_int16_t_snd_pcm_format_t;
typedef struct {
    int func;
    ARGS_u_int16_t_snd_pcm_format_t args;
} INDEXED_u_int16_t_snd_pcm_format_t;
typedef u_int32_t (*FUNC_u_int32_t_snd_pcm_format_t)(snd_pcm_format_t format);
typedef struct {
    snd_pcm_format_t a1;
} ARGS_u_int32_t_snd_pcm_format_t;
typedef struct {
    int format;
    FUNC_u_int32_t_snd_pcm_format_t func;
    ARGS_u_int32_t_snd_pcm_format_t args;
} PACKED_u_int32_t_snd_pcm_format_t;
typedef struct {
    int func;
    ARGS_u_int32_t_snd_pcm_format_t args;
} INDEXED_u_int32_t_snd_pcm_format_t;
typedef u_int64_t (*FUNC_u_int64_t_snd_pcm_format_t)(snd_pcm_format_t format);
typedef struct {
    snd_pcm_format_t a1;
} ARGS_u_int64_t_snd_pcm_format_t;
typedef struct {
    int format;
    FUNC_u_int64_t_snd_pcm_format_t func;
    ARGS_u_int64_t_snd_pcm_format_t args;
} PACKED_u_int64_t_snd_pcm_format_t;
typedef struct {
    int func;
    ARGS_u_int64_t_snd_pcm_format_t args;
} INDEXED_u_int64_t_snd_pcm_format_t;
typedef ssize_t (*FUNC_ssize_t_snd_pcm_format_t_size_t)(snd_pcm_format_t format, size_t samples);
typedef struct {
    snd_pcm_format_t a1;
    size_t a2;
} ARGS_ssize_t_snd_pcm_format_t_size_t;
typedef struct {
    int format;
    FUNC_ssize_t_snd_pcm_format_t_size_t func;
    ARGS_ssize_t_snd_pcm_format_t_size_t args;
} PACKED_ssize_t_snd_pcm_format_t_size_t;
typedef struct {
    int func;
    ARGS_ssize_t_snd_pcm_format_t_size_t args;
} INDEXED_ssize_t_snd_pcm_format_t_size_t;
typedef snd_pcm_format_t (*FUNC_snd_pcm_format_t_const_char__GENPT__)(const char* name);
typedef struct {
    char* a1;
} ARGS_snd_pcm_format_t_const_char__GENPT__;
typedef struct {
    int format;
    FUNC_snd_pcm_format_t_const_char__GENPT__ func;
    ARGS_snd_pcm_format_t_const_char__GENPT__ args;
} PACKED_snd_pcm_format_t_const_char__GENPT__;
typedef struct {
    int func;
    ARGS_snd_pcm_format_t_const_char__GENPT__ args;
} INDEXED_snd_pcm_format_t_const_char__GENPT__;
typedef snd_pcm_sframes_t (*FUNC_snd_pcm_sframes_t_snd_pcm_t___GENPT___snd_pcm_uframes_t)(snd_pcm_t * pcm, snd_pcm_uframes_t frames);
typedef struct {
    snd_pcm_t * a1;
    snd_pcm_uframes_t a2;
} ARGS_snd_pcm_sframes_t_snd_pcm_t___GENPT___snd_pcm_uframes_t;
typedef struct {
    int format;
    FUNC_snd_pcm_sframes_t_snd_pcm_t___GENPT___snd_pcm_uframes_t func;
    ARGS_snd_pcm_sframes_t_snd_pcm_t___GENPT___snd_pcm_uframes_t args;
} PACKED_snd_pcm_sframes_t_snd_pcm_t___GENPT___snd_pcm_uframes_t;
typedef struct {
    int func;
    ARGS_snd_pcm_sframes_t_snd_pcm_t___GENPT___snd_pcm_uframes_t args;
} INDEXED_snd_pcm_sframes_t_snd_pcm_t___GENPT___snd_pcm_uframes_t;
typedef ssize_t (*FUNC_ssize_t_snd_pcm_t___GENPT___snd_pcm_sframes_t)(snd_pcm_t * pcm, snd_pcm_sframes_t frames);
typedef struct {
    snd_pcm_t * a1;
    snd_pcm_sframes_t a2;
} ARGS_ssize_t_snd_pcm_t___GENPT___snd_pcm_sframes_t;
typedef struct {
    int format;
    FUNC_ssize_t_snd_pcm_t___GENPT___snd_pcm_sframes_t func;
    ARGS_ssize_t_snd_pcm_t___GENPT___snd_pcm_sframes_t args;
} PACKED_ssize_t_snd_pcm_t___GENPT___snd_pcm_sframes_t;
typedef struct {
    int func;
    ARGS_ssize_t_snd_pcm_t___GENPT___snd_pcm_sframes_t args;
} INDEXED_ssize_t_snd_pcm_t___GENPT___snd_pcm_sframes_t;
typedef int (*FUNC_int_snd_pcm_t___GENPT___snd_pcm_uframes_t___GENPT___snd_pcm_uframes_t___GENPT__)(snd_pcm_t * pcm, snd_pcm_uframes_t * buffer_size, snd_pcm_uframes_t * period_size);
typedef struct {
    snd_pcm_t * a1;
    snd_pcm_uframes_t * a2;
    snd_pcm_uframes_t * a3;
} ARGS_int_snd_pcm_t___GENPT___snd_pcm_uframes_t___GENPT___snd_pcm_uframes_t___GENPT__;
typedef struct {
    int format;
    FUNC_int_snd_pcm_t___GENPT___snd_pcm_uframes_t___GENPT___snd_pcm_uframes_t___GENPT__ func;
    ARGS_int_snd_pcm_t___GENPT___snd_pcm_uframes_t___GENPT___snd_pcm_uframes_t___GENPT__ args;
} PACKED_int_snd_pcm_t___GENPT___snd_pcm_uframes_t___GENPT___snd_pcm_uframes_t___GENPT__;
typedef struct {
    int func;
    ARGS_int_snd_pcm_t___GENPT___snd_pcm_uframes_t___GENPT___snd_pcm_uframes_t___GENPT__ args;
} INDEXED_int_snd_pcm_t___GENPT___snd_pcm_uframes_t___GENPT___snd_pcm_uframes_t___GENPT__;
typedef int (*FUNC_int_snd_pcm_hook_t___GENPT____GENPT___snd_pcm_t___GENPT___snd_pcm_hook_type_t_snd_pcm_hook_func_t_void___GENPT__)(snd_pcm_hook_t ** hookp, snd_pcm_t * pcm, snd_pcm_hook_type_t type, snd_pcm_hook_func_t func, void * private_data);
typedef struct {
    snd_pcm_hook_t ** a1;
    snd_pcm_t * a2;
    snd_pcm_hook_type_t a3;
    snd_pcm_hook_func_t a4;
    void * a5;
} ARGS_int_snd_pcm_hook_t___GENPT____GENPT___snd_pcm_t___GENPT___snd_pcm_hook_type_t_snd_pcm_hook_func_t_void___GENPT__;
typedef struct {
    int format;
    FUNC_int_snd_pcm_hook_t___GENPT____GENPT___snd_pcm_t___GENPT___snd_pcm_hook_type_t_snd_pcm_hook_func_t_void___GENPT__ func;
    ARGS_int_snd_pcm_hook_t___GENPT____GENPT___snd_pcm_t___GENPT___snd_pcm_hook_type_t_snd_pcm_hook_func_t_void___GENPT__ args;
} PACKED_int_snd_pcm_hook_t___GENPT____GENPT___snd_pcm_t___GENPT___snd_pcm_hook_type_t_snd_pcm_hook_func_t_void___GENPT__;
typedef struct {
    int func;
    ARGS_int_snd_pcm_hook_t___GENPT____GENPT___snd_pcm_t___GENPT___snd_pcm_hook_type_t_snd_pcm_hook_func_t_void___GENPT__ args;
} INDEXED_int_snd_pcm_hook_t___GENPT____GENPT___snd_pcm_t___GENPT___snd_pcm_hook_type_t_snd_pcm_hook_func_t_void___GENPT__;
typedef snd_pcm_t * (*FUNC_snd_pcm_t___GENPT___snd_pcm_hook_t___GENPT__)(snd_pcm_hook_t * hook);
typedef struct {
    snd_pcm_hook_t * a1;
} ARGS_snd_pcm_t___GENPT___snd_pcm_hook_t___GENPT__;
typedef struct {
    int format;
    FUNC_snd_pcm_t___GENPT___snd_pcm_hook_t___GENPT__ func;
    ARGS_snd_pcm_t___GENPT___snd_pcm_hook_t___GENPT__ args;
} PACKED_snd_pcm_t___GENPT___snd_pcm_hook_t___GENPT__;
typedef struct {
    int func;
    ARGS_snd_pcm_t___GENPT___snd_pcm_hook_t___GENPT__ args;
} INDEXED_snd_pcm_t___GENPT___snd_pcm_hook_t___GENPT__;
typedef void * (*FUNC_void___GENPT___snd_pcm_hook_t___GENPT__)(snd_pcm_hook_t * hook);
typedef struct {
    snd_pcm_hook_t * a1;
} ARGS_void___GENPT___snd_pcm_hook_t___GENPT__;
typedef struct {
    int format;
    FUNC_void___GENPT___snd_pcm_hook_t___GENPT__ func;
    ARGS_void___GENPT___snd_pcm_hook_t___GENPT__ args;
} PACKED_void___GENPT___snd_pcm_hook_t___GENPT__;
typedef struct {
    int func;
    ARGS_void___GENPT___snd_pcm_hook_t___GENPT__ args;
} INDEXED_void___GENPT___snd_pcm_hook_t___GENPT__;
typedef int (*FUNC_int_snd_pcm_hook_t___GENPT__)(snd_pcm_hook_t * hook);
typedef struct {
    snd_pcm_hook_t * a1;
} ARGS_int_snd_pcm_hook_t___GENPT__;
typedef struct {
    int format;
    FUNC_int_snd_pcm_hook_t___GENPT__ func;
    ARGS_int_snd_pcm_hook_t___GENPT__ args;
} PACKED_int_snd_pcm_hook_t___GENPT__;
typedef struct {
    int func;
    ARGS_int_snd_pcm_hook_t___GENPT__ args;
} INDEXED_int_snd_pcm_hook_t___GENPT__;
typedef void (*FUNC_void_snd_pcm_hook_t___GENPT___void___GENPT__)(snd_pcm_hook_t * hook, void * private_data);
typedef struct {
    snd_pcm_hook_t * a1;
    void * a2;
} ARGS_void_snd_pcm_hook_t___GENPT___void___GENPT__;
typedef struct {
    int format;
    FUNC_void_snd_pcm_hook_t___GENPT___void___GENPT__ func;
    ARGS_void_snd_pcm_hook_t___GENPT___void___GENPT__ args;
} PACKED_void_snd_pcm_hook_t___GENPT___void___GENPT__;
typedef struct {
    int func;
    ARGS_void_snd_pcm_hook_t___GENPT___void___GENPT__ args;
} INDEXED_void_snd_pcm_hook_t___GENPT___void___GENPT__;
typedef int (*FUNC_int_snd_pcm_t___GENPT___snd_pcm_hw_params_t___GENPT__)(snd_pcm_t * pcm, snd_pcm_hw_params_t * params);
typedef struct {
    snd_pcm_t * a1;
    snd_pcm_hw_params_t * a2;
} ARGS_int_snd_pcm_t___GENPT___snd_pcm_hw_params_t___GENPT__;
typedef struct {
    int format;
    FUNC_int_snd_pcm_t___GENPT___snd_pcm_hw_params_t___GENPT__ func;
    ARGS_int_snd_pcm_t___GENPT___snd_pcm_hw_params_t___GENPT__ args;
} PACKED_int_snd_pcm_t___GENPT___snd_pcm_hw_params_t___GENPT__;
typedef struct {
    int func;
    ARGS_int_snd_pcm_t___GENPT___snd_pcm_hw_params_t___GENPT__ args;
} INDEXED_int_snd_pcm_t___GENPT___snd_pcm_hw_params_t___GENPT__;
typedef int (*FUNC_int_const_snd_pcm_hw_params_t___GENPT__)(const snd_pcm_hw_params_t * params);
typedef struct {
    snd_pcm_hw_params_t * a1;
} ARGS_int_const_snd_pcm_hw_params_t___GENPT__;
typedef struct {
    int format;
    FUNC_int_const_snd_pcm_hw_params_t___GENPT__ func;
    ARGS_int_const_snd_pcm_hw_params_t___GENPT__ args;
} PACKED_int_const_snd_pcm_hw_params_t___GENPT__;
typedef struct {
    int func;
    ARGS_int_const_snd_pcm_hw_params_t___GENPT__ args;
} INDEXED_int_const_snd_pcm_hw_params_t___GENPT__;
typedef void (*FUNC_void_snd_pcm_hw_params_t___GENPT___const_snd_pcm_hw_params_t___GENPT__)(snd_pcm_hw_params_t * dst, const snd_pcm_hw_params_t * src);
typedef struct {
    snd_pcm_hw_params_t * a1;
    snd_pcm_hw_params_t * a2;
} ARGS_void_snd_pcm_hw_params_t___GENPT___const_snd_pcm_hw_params_t___GENPT__;
typedef struct {
    int format;
    FUNC_void_snd_pcm_hw_params_t___GENPT___const_snd_pcm_hw_params_t___GENPT__ func;
    ARGS_void_snd_pcm_hw_params_t___GENPT___const_snd_pcm_hw_params_t___GENPT__ args;
} PACKED_void_snd_pcm_hw_params_t___GENPT___const_snd_pcm_hw_params_t___GENPT__;
typedef struct {
    int func;
    ARGS_void_snd_pcm_hw_params_t___GENPT___const_snd_pcm_hw_params_t___GENPT__ args;
} INDEXED_void_snd_pcm_hw_params_t___GENPT___const_snd_pcm_hw_params_t___GENPT__;
typedef int (*FUNC_int_snd_pcm_hw_params_t___GENPT___snd_output_t___GENPT__)(snd_pcm_hw_params_t * params, snd_output_t * out);
typedef struct {
    snd_pcm_hw_params_t * a1;
    snd_output_t * a2;
} ARGS_int_snd_pcm_hw_params_t___GENPT___snd_output_t___GENPT__;
typedef struct {
    int format;
    FUNC_int_snd_pcm_hw_params_t___GENPT___snd_output_t___GENPT__ func;
    ARGS_int_snd_pcm_hw_params_t___GENPT___snd_output_t___GENPT__ args;
} PACKED_int_snd_pcm_hw_params_t___GENPT___snd_output_t___GENPT__;
typedef struct {
    int func;
    ARGS_int_snd_pcm_hw_params_t___GENPT___snd_output_t___GENPT__ args;
} INDEXED_int_snd_pcm_hw_params_t___GENPT___snd_output_t___GENPT__;
typedef void (*FUNC_void_snd_pcm_hw_params_t___GENPT__)(snd_pcm_hw_params_t * obj);
typedef struct {
    snd_pcm_hw_params_t * a1;
} ARGS_void_snd_pcm_hw_params_t___GENPT__;
typedef struct {
    int format;
    FUNC_void_snd_pcm_hw_params_t___GENPT__ func;
    ARGS_void_snd_pcm_hw_params_t___GENPT__ args;
} PACKED_void_snd_pcm_hw_params_t___GENPT__;
typedef struct {
    int func;
    ARGS_void_snd_pcm_hw_params_t___GENPT__ args;
} INDEXED_void_snd_pcm_hw_params_t___GENPT__;
typedef int (*FUNC_int_const_snd_pcm_hw_params_t___GENPT___snd_pcm_access_t___GENPT__)(const snd_pcm_hw_params_t * params, snd_pcm_access_t * _access);
typedef struct {
    snd_pcm_hw_params_t * a1;
    snd_pcm_access_t * a2;
} ARGS_int_const_snd_pcm_hw_params_t___GENPT___snd_pcm_access_t___GENPT__;
typedef struct {
    int format;
    FUNC_int_const_snd_pcm_hw_params_t___GENPT___snd_pcm_access_t___GENPT__ func;
    ARGS_int_const_snd_pcm_hw_params_t___GENPT___snd_pcm_access_t___GENPT__ args;
} PACKED_int_const_snd_pcm_hw_params_t___GENPT___snd_pcm_access_t___GENPT__;
typedef struct {
    int func;
    ARGS_int_const_snd_pcm_hw_params_t___GENPT___snd_pcm_access_t___GENPT__ args;
} INDEXED_int_const_snd_pcm_hw_params_t___GENPT___snd_pcm_access_t___GENPT__;
typedef int (*FUNC_int_snd_pcm_hw_params_t___GENPT___snd_pcm_access_mask_t___GENPT__)(snd_pcm_hw_params_t * params, snd_pcm_access_mask_t * mask);
typedef struct {
    snd_pcm_hw_params_t * a1;
    snd_pcm_access_mask_t * a2;
} ARGS_int_snd_pcm_hw_params_t___GENPT___snd_pcm_access_mask_t___GENPT__;
typedef struct {
    int format;
    FUNC_int_snd_pcm_hw_params_t___GENPT___snd_pcm_access_mask_t___GENPT__ func;
    ARGS_int_snd_pcm_hw_params_t___GENPT___snd_pcm_access_mask_t___GENPT__ args;
} PACKED_int_snd_pcm_hw_params_t___GENPT___snd_pcm_access_mask_t___GENPT__;
typedef struct {
    int func;
    ARGS_int_snd_pcm_hw_params_t___GENPT___snd_pcm_access_mask_t___GENPT__ args;
} INDEXED_int_snd_pcm_hw_params_t___GENPT___snd_pcm_access_mask_t___GENPT__;
typedef int (*FUNC_int_const_snd_pcm_hw_params_t___GENPT___snd_pcm_uframes_t___GENPT__)(const snd_pcm_hw_params_t * params, snd_pcm_uframes_t * val);
typedef struct {
    snd_pcm_hw_params_t * a1;
    snd_pcm_uframes_t * a2;
} ARGS_int_const_snd_pcm_hw_params_t___GENPT___snd_pcm_uframes_t___GENPT__;
typedef struct {
    int format;
    FUNC_int_const_snd_pcm_hw_params_t___GENPT___snd_pcm_uframes_t___GENPT__ func;
    ARGS_int_const_snd_pcm_hw_params_t___GENPT___snd_pcm_uframes_t___GENPT__ args;
} PACKED_int_const_snd_pcm_hw_params_t___GENPT___snd_pcm_uframes_t___GENPT__;
typedef struct {
    int func;
    ARGS_int_const_snd_pcm_hw_params_t___GENPT___snd_pcm_uframes_t___GENPT__ args;
} INDEXED_int_const_snd_pcm_hw_params_t___GENPT___snd_pcm_uframes_t___GENPT__;
typedef int (*FUNC_int_const_snd_pcm_hw_params_t___GENPT___unsigned_int___GENPT___int___GENPT__)(const snd_pcm_hw_params_t * params, unsigned int * val, int * dir);
typedef struct {
    snd_pcm_hw_params_t * a1;
    unsigned int * a2;
    int * a3;
} ARGS_int_const_snd_pcm_hw_params_t___GENPT___unsigned_int___GENPT___int___GENPT__;
typedef struct {
    int format;
    FUNC_int_const_snd_pcm_hw_params_t___GENPT___unsigned_int___GENPT___int___GENPT__ func;
    ARGS_int_const_snd_pcm_hw_params_t___GENPT___unsigned_int___GENPT___int___GENPT__ args;
} PACKED_int_const_snd_pcm_hw_params_t___GENPT___unsigned_int___GENPT___int___GENPT__;
typedef struct {
    int func;
    ARGS_int_const_snd_pcm_hw_params_t___GENPT___unsigned_int___GENPT___int___GENPT__ args;
} INDEXED_int_const_snd_pcm_hw_params_t___GENPT___unsigned_int___GENPT___int___GENPT__;
typedef int (*FUNC_int_const_snd_pcm_hw_params_t___GENPT___unsigned_int___GENPT__)(const snd_pcm_hw_params_t * params, unsigned int * val);
typedef struct {
    snd_pcm_hw_params_t * a1;
    unsigned int * a2;
} ARGS_int_const_snd_pcm_hw_params_t___GENPT___unsigned_int___GENPT__;
typedef struct {
    int format;
    FUNC_int_const_snd_pcm_hw_params_t___GENPT___unsigned_int___GENPT__ func;
    ARGS_int_const_snd_pcm_hw_params_t___GENPT___unsigned_int___GENPT__ args;
} PACKED_int_const_snd_pcm_hw_params_t___GENPT___unsigned_int___GENPT__;
typedef struct {
    int func;
    ARGS_int_const_snd_pcm_hw_params_t___GENPT___unsigned_int___GENPT__ args;
} INDEXED_int_const_snd_pcm_hw_params_t___GENPT___unsigned_int___GENPT__;
typedef int (*FUNC_int_snd_pcm_t___GENPT___snd_pcm_hw_params_t___GENPT___unsigned_int___GENPT__)(snd_pcm_t * pcm, snd_pcm_hw_params_t * params, unsigned int * val);
typedef struct {
    snd_pcm_t * a1;
    snd_pcm_hw_params_t * a2;
    unsigned int * a3;
} ARGS_int_snd_pcm_t___GENPT___snd_pcm_hw_params_t___GENPT___unsigned_int___GENPT__;
typedef struct {
    int format;
    FUNC_int_snd_pcm_t___GENPT___snd_pcm_hw_params_t___GENPT___unsigned_int___GENPT__ func;
    ARGS_int_snd_pcm_t___GENPT___snd_pcm_hw_params_t___GENPT___unsigned_int___GENPT__ args;
} PACKED_int_snd_pcm_t___GENPT___snd_pcm_hw_params_t___GENPT___unsigned_int___GENPT__;
typedef struct {
    int func;
    ARGS_int_snd_pcm_t___GENPT___snd_pcm_hw_params_t___GENPT___unsigned_int___GENPT__ args;
} INDEXED_int_snd_pcm_t___GENPT___snd_pcm_hw_params_t___GENPT___unsigned_int___GENPT__;
typedef int (*FUNC_int_const_snd_pcm_hw_params_t___GENPT___snd_pcm_format_t___GENPT__)(const snd_pcm_hw_params_t * params, snd_pcm_format_t * val);
typedef struct {
    snd_pcm_hw_params_t * a1;
    snd_pcm_format_t * a2;
} ARGS_int_const_snd_pcm_hw_params_t___GENPT___snd_pcm_format_t___GENPT__;
typedef struct {
    int format;
    FUNC_int_const_snd_pcm_hw_params_t___GENPT___snd_pcm_format_t___GENPT__ func;
    ARGS_int_const_snd_pcm_hw_params_t___GENPT___snd_pcm_format_t___GENPT__ args;
} PACKED_int_const_snd_pcm_hw_params_t___GENPT___snd_pcm_format_t___GENPT__;
typedef struct {
    int func;
    ARGS_int_const_snd_pcm_hw_params_t___GENPT___snd_pcm_format_t___GENPT__ args;
} INDEXED_int_const_snd_pcm_hw_params_t___GENPT___snd_pcm_format_t___GENPT__;
typedef void (*FUNC_void_snd_pcm_hw_params_t___GENPT___snd_pcm_format_mask_t___GENPT__)(snd_pcm_hw_params_t * params, snd_pcm_format_mask_t * mask);
typedef struct {
    snd_pcm_hw_params_t * a1;
    snd_pcm_format_mask_t * a2;
} ARGS_void_snd_pcm_hw_params_t___GENPT___snd_pcm_format_mask_t___GENPT__;
typedef struct {
    int format;
    FUNC_void_snd_pcm_hw_params_t___GENPT___snd_pcm_format_mask_t___GENPT__ func;
    ARGS_void_snd_pcm_hw_params_t___GENPT___snd_pcm_format_mask_t___GENPT__ args;
} PACKED_void_snd_pcm_hw_params_t___GENPT___snd_pcm_format_mask_t___GENPT__;
typedef struct {
    int func;
    ARGS_void_snd_pcm_hw_params_t___GENPT___snd_pcm_format_mask_t___GENPT__ args;
} INDEXED_void_snd_pcm_hw_params_t___GENPT___snd_pcm_format_mask_t___GENPT__;
typedef int (*FUNC_int_const_snd_pcm_hw_params_t___GENPT___snd_pcm_uframes_t___GENPT___int___GENPT__)(const snd_pcm_hw_params_t * params, snd_pcm_uframes_t * frames, int * dir);
typedef struct {
    snd_pcm_hw_params_t * a1;
    snd_pcm_uframes_t * a2;
    int * a3;
} ARGS_int_const_snd_pcm_hw_params_t___GENPT___snd_pcm_uframes_t___GENPT___int___GENPT__;
typedef struct {
    int format;
    FUNC_int_const_snd_pcm_hw_params_t___GENPT___snd_pcm_uframes_t___GENPT___int___GENPT__ func;
    ARGS_int_const_snd_pcm_hw_params_t___GENPT___snd_pcm_uframes_t___GENPT___int___GENPT__ args;
} PACKED_int_const_snd_pcm_hw_params_t___GENPT___snd_pcm_uframes_t___GENPT___int___GENPT__;
typedef struct {
    int func;
    ARGS_int_const_snd_pcm_hw_params_t___GENPT___snd_pcm_uframes_t___GENPT___int___GENPT__ args;
} INDEXED_int_const_snd_pcm_hw_params_t___GENPT___snd_pcm_uframes_t___GENPT___int___GENPT__;
typedef int (*FUNC_int_const_snd_pcm_hw_params_t___GENPT___unsigned_int___GENPT___unsigned_int___GENPT__)(const snd_pcm_hw_params_t * params, unsigned int * rate_num, unsigned int * rate_den);
typedef struct {
    snd_pcm_hw_params_t * a1;
    unsigned int * a2;
    unsigned int * a3;
} ARGS_int_const_snd_pcm_hw_params_t___GENPT___unsigned_int___GENPT___unsigned_int___GENPT__;
typedef struct {
    int format;
    FUNC_int_const_snd_pcm_hw_params_t___GENPT___unsigned_int___GENPT___unsigned_int___GENPT__ func;
    ARGS_int_const_snd_pcm_hw_params_t___GENPT___unsigned_int___GENPT___unsigned_int___GENPT__ args;
} PACKED_int_const_snd_pcm_hw_params_t___GENPT___unsigned_int___GENPT___unsigned_int___GENPT__;
typedef struct {
    int func;
    ARGS_int_const_snd_pcm_hw_params_t___GENPT___unsigned_int___GENPT___unsigned_int___GENPT__ args;
} INDEXED_int_const_snd_pcm_hw_params_t___GENPT___unsigned_int___GENPT___unsigned_int___GENPT__;
typedef int (*FUNC_int_const_snd_pcm_hw_params_t___GENPT___snd_pcm_subformat_t___GENPT__)(const snd_pcm_hw_params_t * params, snd_pcm_subformat_t * subformat);
typedef struct {
    snd_pcm_hw_params_t * a1;
    snd_pcm_subformat_t * a2;
} ARGS_int_const_snd_pcm_hw_params_t___GENPT___snd_pcm_subformat_t___GENPT__;
typedef struct {
    int format;
    FUNC_int_const_snd_pcm_hw_params_t___GENPT___snd_pcm_subformat_t___GENPT__ func;
    ARGS_int_const_snd_pcm_hw_params_t___GENPT___snd_pcm_subformat_t___GENPT__ args;
} PACKED_int_const_snd_pcm_hw_params_t___GENPT___snd_pcm_subformat_t___GENPT__;
typedef struct {
    int func;
    ARGS_int_const_snd_pcm_hw_params_t___GENPT___snd_pcm_subformat_t___GENPT__ args;
} INDEXED_int_const_snd_pcm_hw_params_t___GENPT___snd_pcm_subformat_t___GENPT__;
typedef void (*FUNC_void_snd_pcm_hw_params_t___GENPT___snd_pcm_subformat_mask_t___GENPT__)(snd_pcm_hw_params_t * params, snd_pcm_subformat_mask_t * mask);
typedef struct {
    snd_pcm_hw_params_t * a1;
    snd_pcm_subformat_mask_t * a2;
} ARGS_void_snd_pcm_hw_params_t___GENPT___snd_pcm_subformat_mask_t___GENPT__;
typedef struct {
    int format;
    FUNC_void_snd_pcm_hw_params_t___GENPT___snd_pcm_subformat_mask_t___GENPT__ func;
    ARGS_void_snd_pcm_hw_params_t___GENPT___snd_pcm_subformat_mask_t___GENPT__ args;
} PACKED_void_snd_pcm_hw_params_t___GENPT___snd_pcm_subformat_mask_t___GENPT__;
typedef struct {
    int func;
    ARGS_void_snd_pcm_hw_params_t___GENPT___snd_pcm_subformat_mask_t___GENPT__ args;
} INDEXED_void_snd_pcm_hw_params_t___GENPT___snd_pcm_subformat_mask_t___GENPT__;
typedef int (*FUNC_int_snd_pcm_hw_params_t___GENPT____GENPT__)(snd_pcm_hw_params_t ** ptr);
typedef struct {
    snd_pcm_hw_params_t ** a1;
} ARGS_int_snd_pcm_hw_params_t___GENPT____GENPT__;
typedef struct {
    int format;
    FUNC_int_snd_pcm_hw_params_t___GENPT____GENPT__ func;
    ARGS_int_snd_pcm_hw_params_t___GENPT____GENPT__ args;
} PACKED_int_snd_pcm_hw_params_t___GENPT____GENPT__;
typedef struct {
    int func;
    ARGS_int_snd_pcm_hw_params_t___GENPT____GENPT__ args;
} INDEXED_int_snd_pcm_hw_params_t___GENPT____GENPT__;
typedef int (*FUNC_int_snd_pcm_t___GENPT___snd_pcm_hw_params_t___GENPT___snd_pcm_access_t)(snd_pcm_t * pcm, snd_pcm_hw_params_t * params, snd_pcm_access_t _access);
typedef struct {
    snd_pcm_t * a1;
    snd_pcm_hw_params_t * a2;
    snd_pcm_access_t a3;
} ARGS_int_snd_pcm_t___GENPT___snd_pcm_hw_params_t___GENPT___snd_pcm_access_t;
typedef struct {
    int format;
    FUNC_int_snd_pcm_t___GENPT___snd_pcm_hw_params_t___GENPT___snd_pcm_access_t func;
    ARGS_int_snd_pcm_t___GENPT___snd_pcm_hw_params_t___GENPT___snd_pcm_access_t args;
} PACKED_int_snd_pcm_t___GENPT___snd_pcm_hw_params_t___GENPT___snd_pcm_access_t;
typedef struct {
    int func;
    ARGS_int_snd_pcm_t___GENPT___snd_pcm_hw_params_t___GENPT___snd_pcm_access_t args;
} INDEXED_int_snd_pcm_t___GENPT___snd_pcm_hw_params_t___GENPT___snd_pcm_access_t;
typedef int (*FUNC_int_snd_pcm_t___GENPT___snd_pcm_hw_params_t___GENPT___snd_pcm_access_t___GENPT__)(snd_pcm_t * pcm, snd_pcm_hw_params_t * params, snd_pcm_access_t * _access);
typedef struct {
    snd_pcm_t * a1;
    snd_pcm_hw_params_t * a2;
    snd_pcm_access_t * a3;
} ARGS_int_snd_pcm_t___GENPT___snd_pcm_hw_params_t___GENPT___snd_pcm_access_t___GENPT__;
typedef struct {
    int format;
    FUNC_int_snd_pcm_t___GENPT___snd_pcm_hw_params_t___GENPT___snd_pcm_access_t___GENPT__ func;
    ARGS_int_snd_pcm_t___GENPT___snd_pcm_hw_params_t___GENPT___snd_pcm_access_t___GENPT__ args;
} PACKED_int_snd_pcm_t___GENPT___snd_pcm_hw_params_t___GENPT___snd_pcm_access_t___GENPT__;
typedef struct {
    int func;
    ARGS_int_snd_pcm_t___GENPT___snd_pcm_hw_params_t___GENPT___snd_pcm_access_t___GENPT__ args;
} INDEXED_int_snd_pcm_t___GENPT___snd_pcm_hw_params_t___GENPT___snd_pcm_access_t___GENPT__;
typedef int (*FUNC_int_snd_pcm_t___GENPT___snd_pcm_hw_params_t___GENPT___snd_pcm_access_mask_t___GENPT__)(snd_pcm_t * pcm, snd_pcm_hw_params_t * params, snd_pcm_access_mask_t * mask);
typedef struct {
    snd_pcm_t * a1;
    snd_pcm_hw_params_t * a2;
    snd_pcm_access_mask_t * a3;
} ARGS_int_snd_pcm_t___GENPT___snd_pcm_hw_params_t___GENPT___snd_pcm_access_mask_t___GENPT__;
typedef struct {
    int format;
    FUNC_int_snd_pcm_t___GENPT___snd_pcm_hw_params_t___GENPT___snd_pcm_access_mask_t___GENPT__ func;
    ARGS_int_snd_pcm_t___GENPT___snd_pcm_hw_params_t___GENPT___snd_pcm_access_mask_t___GENPT__ args;
} PACKED_int_snd_pcm_t___GENPT___snd_pcm_hw_params_t___GENPT___snd_pcm_access_mask_t___GENPT__;
typedef struct {
    int func;
    ARGS_int_snd_pcm_t___GENPT___snd_pcm_hw_params_t___GENPT___snd_pcm_access_mask_t___GENPT__ args;
} INDEXED_int_snd_pcm_t___GENPT___snd_pcm_hw_params_t___GENPT___snd_pcm_access_mask_t___GENPT__;
typedef int (*FUNC_int_snd_pcm_t___GENPT___snd_pcm_hw_params_t___GENPT___snd_pcm_uframes_t)(snd_pcm_t * pcm, snd_pcm_hw_params_t * params, snd_pcm_uframes_t val);
typedef struct {
    snd_pcm_t * a1;
    snd_pcm_hw_params_t * a2;
    snd_pcm_uframes_t a3;
} ARGS_int_snd_pcm_t___GENPT___snd_pcm_hw_params_t___GENPT___snd_pcm_uframes_t;
typedef struct {
    int format;
    FUNC_int_snd_pcm_t___GENPT___snd_pcm_hw_params_t___GENPT___snd_pcm_uframes_t func;
    ARGS_int_snd_pcm_t___GENPT___snd_pcm_hw_params_t___GENPT___snd_pcm_uframes_t args;
} PACKED_int_snd_pcm_t___GENPT___snd_pcm_hw_params_t___GENPT___snd_pcm_uframes_t;
typedef struct {
    int func;
    ARGS_int_snd_pcm_t___GENPT___snd_pcm_hw_params_t___GENPT___snd_pcm_uframes_t args;
} INDEXED_int_snd_pcm_t___GENPT___snd_pcm_hw_params_t___GENPT___snd_pcm_uframes_t;
typedef int (*FUNC_int_snd_pcm_t___GENPT___snd_pcm_hw_params_t___GENPT___snd_pcm_uframes_t___GENPT__)(snd_pcm_t * pcm, snd_pcm_hw_params_t * params, snd_pcm_uframes_t * val);
typedef struct {
    snd_pcm_t * a1;
    snd_pcm_hw_params_t * a2;
    snd_pcm_uframes_t * a3;
} ARGS_int_snd_pcm_t___GENPT___snd_pcm_hw_params_t___GENPT___snd_pcm_uframes_t___GENPT__;
typedef struct {
    int format;
    FUNC_int_snd_pcm_t___GENPT___snd_pcm_hw_params_t___GENPT___snd_pcm_uframes_t___GENPT__ func;
    ARGS_int_snd_pcm_t___GENPT___snd_pcm_hw_params_t___GENPT___snd_pcm_uframes_t___GENPT__ args;
} PACKED_int_snd_pcm_t___GENPT___snd_pcm_hw_params_t___GENPT___snd_pcm_uframes_t___GENPT__;
typedef struct {
    int func;
    ARGS_int_snd_pcm_t___GENPT___snd_pcm_hw_params_t___GENPT___snd_pcm_uframes_t___GENPT__ args;
} INDEXED_int_snd_pcm_t___GENPT___snd_pcm_hw_params_t___GENPT___snd_pcm_uframes_t___GENPT__;
typedef int (*FUNC_int_snd_pcm_t___GENPT___snd_pcm_hw_params_t___GENPT___snd_pcm_uframes_t___GENPT___snd_pcm_uframes_t___GENPT__)(snd_pcm_t * pcm, snd_pcm_hw_params_t * params, snd_pcm_uframes_t * min, snd_pcm_uframes_t * max);
typedef struct {
    snd_pcm_t * a1;
    snd_pcm_hw_params_t * a2;
    snd_pcm_uframes_t * a3;
    snd_pcm_uframes_t * a4;
} ARGS_int_snd_pcm_t___GENPT___snd_pcm_hw_params_t___GENPT___snd_pcm_uframes_t___GENPT___snd_pcm_uframes_t___GENPT__;
typedef struct {
    int format;
    FUNC_int_snd_pcm_t___GENPT___snd_pcm_hw_params_t___GENPT___snd_pcm_uframes_t___GENPT___snd_pcm_uframes_t___GENPT__ func;
    ARGS_int_snd_pcm_t___GENPT___snd_pcm_hw_params_t___GENPT___snd_pcm_uframes_t___GENPT___snd_pcm_uframes_t___GENPT__ args;
} PACKED_int_snd_pcm_t___GENPT___snd_pcm_hw_params_t___GENPT___snd_pcm_uframes_t___GENPT___snd_pcm_uframes_t___GENPT__;
typedef struct {
    int func;
    ARGS_int_snd_pcm_t___GENPT___snd_pcm_hw_params_t___GENPT___snd_pcm_uframes_t___GENPT___snd_pcm_uframes_t___GENPT__ args;
} INDEXED_int_snd_pcm_t___GENPT___snd_pcm_hw_params_t___GENPT___snd_pcm_uframes_t___GENPT___snd_pcm_uframes_t___GENPT__;
typedef int (*FUNC_int_snd_pcm_t___GENPT___snd_pcm_hw_params_t___GENPT___unsigned_int_int)(snd_pcm_t * pcm, snd_pcm_hw_params_t * params, unsigned int val, int dir);
typedef struct {
    snd_pcm_t * a1;
    snd_pcm_hw_params_t * a2;
    unsigned int a3;
    int a4;
} ARGS_int_snd_pcm_t___GENPT___snd_pcm_hw_params_t___GENPT___unsigned_int_int;
typedef struct {
    int format;
    FUNC_int_snd_pcm_t___GENPT___snd_pcm_hw_params_t___GENPT___unsigned_int_int func;
    ARGS_int_snd_pcm_t___GENPT___snd_pcm_hw_params_t___GENPT___unsigned_int_int args;
} PACKED_int_snd_pcm_t___GENPT___snd_pcm_hw_params_t___GENPT___unsigned_int_int;
typedef struct {
    int func;
    ARGS_int_snd_pcm_t___GENPT___snd_pcm_hw_params_t___GENPT___unsigned_int_int args;
} INDEXED_int_snd_pcm_t___GENPT___snd_pcm_hw_params_t___GENPT___unsigned_int_int;
typedef int (*FUNC_int_snd_pcm_t___GENPT___snd_pcm_hw_params_t___GENPT___unsigned_int___GENPT___int___GENPT__)(snd_pcm_t * pcm, snd_pcm_hw_params_t * params, unsigned int * val, int * dir);
typedef struct {
    snd_pcm_t * a1;
    snd_pcm_hw_params_t * a2;
    unsigned int * a3;
    int * a4;
} ARGS_int_snd_pcm_t___GENPT___snd_pcm_hw_params_t___GENPT___unsigned_int___GENPT___int___GENPT__;
typedef struct {
    int format;
    FUNC_int_snd_pcm_t___GENPT___snd_pcm_hw_params_t___GENPT___unsigned_int___GENPT___int___GENPT__ func;
    ARGS_int_snd_pcm_t___GENPT___snd_pcm_hw_params_t___GENPT___unsigned_int___GENPT___int___GENPT__ args;
} PACKED_int_snd_pcm_t___GENPT___snd_pcm_hw_params_t___GENPT___unsigned_int___GENPT___int___GENPT__;
typedef struct {
    int func;
    ARGS_int_snd_pcm_t___GENPT___snd_pcm_hw_params_t___GENPT___unsigned_int___GENPT___int___GENPT__ args;
} INDEXED_int_snd_pcm_t___GENPT___snd_pcm_hw_params_t___GENPT___unsigned_int___GENPT___int___GENPT__;
typedef int (*FUNC_int_snd_pcm_t___GENPT___snd_pcm_hw_params_t___GENPT___unsigned_int___GENPT___int___GENPT___unsigned_int___GENPT___int___GENPT__)(snd_pcm_t * pcm, snd_pcm_hw_params_t * params, unsigned int * min, int * mindir, unsigned int * max, int * maxdir);
typedef struct {
    snd_pcm_t * a1;
    snd_pcm_hw_params_t * a2;
    unsigned int * a3;
    int * a4;
    unsigned int * a5;
    int * a6;
} ARGS_int_snd_pcm_t___GENPT___snd_pcm_hw_params_t___GENPT___unsigned_int___GENPT___int___GENPT___unsigned_int___GENPT___int___GENPT__;
typedef struct {
    int format;
    FUNC_int_snd_pcm_t___GENPT___snd_pcm_hw_params_t___GENPT___unsigned_int___GENPT___int___GENPT___unsigned_int___GENPT___int___GENPT__ func;
    ARGS_int_snd_pcm_t___GENPT___snd_pcm_hw_params_t___GENPT___unsigned_int___GENPT___int___GENPT___unsigned_int___GENPT___int___GENPT__ args;
} PACKED_int_snd_pcm_t___GENPT___snd_pcm_hw_params_t___GENPT___unsigned_int___GENPT___int___GENPT___unsigned_int___GENPT___int___GENPT__;
typedef struct {
    int func;
    ARGS_int_snd_pcm_t___GENPT___snd_pcm_hw_params_t___GENPT___unsigned_int___GENPT___int___GENPT___unsigned_int___GENPT___int___GENPT__ args;
} INDEXED_int_snd_pcm_t___GENPT___snd_pcm_hw_params_t___GENPT___unsigned_int___GENPT___int___GENPT___unsigned_int___GENPT___int___GENPT__;
typedef int (*FUNC_int_snd_pcm_t___GENPT___snd_pcm_hw_params_t___GENPT___unsigned_int)(snd_pcm_t * pcm, snd_pcm_hw_params_t * params, unsigned int val);
typedef struct {
    snd_pcm_t * a1;
    snd_pcm_hw_params_t * a2;
    unsigned int a3;
} ARGS_int_snd_pcm_t___GENPT___snd_pcm_hw_params_t___GENPT___unsigned_int;
typedef struct {
    int format;
    FUNC_int_snd_pcm_t___GENPT___snd_pcm_hw_params_t___GENPT___unsigned_int func;
    ARGS_int_snd_pcm_t___GENPT___snd_pcm_hw_params_t___GENPT___unsigned_int args;
} PACKED_int_snd_pcm_t___GENPT___snd_pcm_hw_params_t___GENPT___unsigned_int;
typedef struct {
    int func;
    ARGS_int_snd_pcm_t___GENPT___snd_pcm_hw_params_t___GENPT___unsigned_int args;
} INDEXED_int_snd_pcm_t___GENPT___snd_pcm_hw_params_t___GENPT___unsigned_int;
typedef int (*FUNC_int_snd_pcm_t___GENPT___snd_pcm_hw_params_t___GENPT___unsigned_int___GENPT___unsigned_int___GENPT__)(snd_pcm_t * pcm, snd_pcm_hw_params_t * params, unsigned int * min, unsigned int * max);
typedef struct {
    snd_pcm_t * a1;
    snd_pcm_hw_params_t * a2;
    unsigned int * a3;
    unsigned int * a4;
} ARGS_int_snd_pcm_t___GENPT___snd_pcm_hw_params_t___GENPT___unsigned_int___GENPT___unsigned_int___GENPT__;
typedef struct {
    int format;
    FUNC_int_snd_pcm_t___GENPT___snd_pcm_hw_params_t___GENPT___unsigned_int___GENPT___unsigned_int___GENPT__ func;
    ARGS_int_snd_pcm_t___GENPT___snd_pcm_hw_params_t___GENPT___unsigned_int___GENPT___unsigned_int___GENPT__ args;
} PACKED_int_snd_pcm_t___GENPT___snd_pcm_hw_params_t___GENPT___unsigned_int___GENPT___unsigned_int___GENPT__;
typedef struct {
    int func;
    ARGS_int_snd_pcm_t___GENPT___snd_pcm_hw_params_t___GENPT___unsigned_int___GENPT___unsigned_int___GENPT__ args;
} INDEXED_int_snd_pcm_t___GENPT___snd_pcm_hw_params_t___GENPT___unsigned_int___GENPT___unsigned_int___GENPT__;
typedef int (*FUNC_int_snd_pcm_t___GENPT___snd_pcm_hw_params_t___GENPT___snd_pcm_format_t)(snd_pcm_t * pcm, snd_pcm_hw_params_t * params, snd_pcm_format_t val);
typedef struct {
    snd_pcm_t * a1;
    snd_pcm_hw_params_t * a2;
    snd_pcm_format_t a3;
} ARGS_int_snd_pcm_t___GENPT___snd_pcm_hw_params_t___GENPT___snd_pcm_format_t;
typedef struct {
    int format;
    FUNC_int_snd_pcm_t___GENPT___snd_pcm_hw_params_t___GENPT___snd_pcm_format_t func;
    ARGS_int_snd_pcm_t___GENPT___snd_pcm_hw_params_t___GENPT___snd_pcm_format_t args;
} PACKED_int_snd_pcm_t___GENPT___snd_pcm_hw_params_t___GENPT___snd_pcm_format_t;
typedef struct {
    int func;
    ARGS_int_snd_pcm_t___GENPT___snd_pcm_hw_params_t___GENPT___snd_pcm_format_t args;
} INDEXED_int_snd_pcm_t___GENPT___snd_pcm_hw_params_t___GENPT___snd_pcm_format_t;
typedef int (*FUNC_int_snd_pcm_t___GENPT___snd_pcm_hw_params_t___GENPT___snd_pcm_format_t___GENPT__)(snd_pcm_t * pcm, snd_pcm_hw_params_t * params, snd_pcm_format_t * format);
typedef struct {
    snd_pcm_t * a1;
    snd_pcm_hw_params_t * a2;
    snd_pcm_format_t * a3;
} ARGS_int_snd_pcm_t___GENPT___snd_pcm_hw_params_t___GENPT___snd_pcm_format_t___GENPT__;
typedef struct {
    int format;
    FUNC_int_snd_pcm_t___GENPT___snd_pcm_hw_params_t___GENPT___snd_pcm_format_t___GENPT__ func;
    ARGS_int_snd_pcm_t___GENPT___snd_pcm_hw_params_t___GENPT___snd_pcm_format_t___GENPT__ args;
} PACKED_int_snd_pcm_t___GENPT___snd_pcm_hw_params_t___GENPT___snd_pcm_format_t___GENPT__;
typedef struct {
    int func;
    ARGS_int_snd_pcm_t___GENPT___snd_pcm_hw_params_t___GENPT___snd_pcm_format_t___GENPT__ args;
} INDEXED_int_snd_pcm_t___GENPT___snd_pcm_hw_params_t___GENPT___snd_pcm_format_t___GENPT__;
typedef int (*FUNC_int_snd_pcm_t___GENPT___snd_pcm_hw_params_t___GENPT___snd_pcm_format_mask_t___GENPT__)(snd_pcm_t * pcm, snd_pcm_hw_params_t * params, snd_pcm_format_mask_t * mask);
typedef struct {
    snd_pcm_t * a1;
    snd_pcm_hw_params_t * a2;
    snd_pcm_format_mask_t * a3;
} ARGS_int_snd_pcm_t___GENPT___snd_pcm_hw_params_t___GENPT___snd_pcm_format_mask_t___GENPT__;
typedef struct {
    int format;
    FUNC_int_snd_pcm_t___GENPT___snd_pcm_hw_params_t___GENPT___snd_pcm_format_mask_t___GENPT__ func;
    ARGS_int_snd_pcm_t___GENPT___snd_pcm_hw_params_t___GENPT___snd_pcm_format_mask_t___GENPT__ args;
} PACKED_int_snd_pcm_t___GENPT___snd_pcm_hw_params_t___GENPT___snd_pcm_format_mask_t___GENPT__;
typedef struct {
    int func;
    ARGS_int_snd_pcm_t___GENPT___snd_pcm_hw_params_t___GENPT___snd_pcm_format_mask_t___GENPT__ args;
} INDEXED_int_snd_pcm_t___GENPT___snd_pcm_hw_params_t___GENPT___snd_pcm_format_mask_t___GENPT__;
typedef int (*FUNC_int_snd_pcm_t___GENPT___snd_pcm_hw_params_t___GENPT___snd_pcm_uframes_t_int)(snd_pcm_t * pcm, snd_pcm_hw_params_t * params, snd_pcm_uframes_t val, int dir);
typedef struct {
    snd_pcm_t * a1;
    snd_pcm_hw_params_t * a2;
    snd_pcm_uframes_t a3;
    int a4;
} ARGS_int_snd_pcm_t___GENPT___snd_pcm_hw_params_t___GENPT___snd_pcm_uframes_t_int;
typedef struct {
    int format;
    FUNC_int_snd_pcm_t___GENPT___snd_pcm_hw_params_t___GENPT___snd_pcm_uframes_t_int func;
    ARGS_int_snd_pcm_t___GENPT___snd_pcm_hw_params_t___GENPT___snd_pcm_uframes_t_int args;
} PACKED_int_snd_pcm_t___GENPT___snd_pcm_hw_params_t___GENPT___snd_pcm_uframes_t_int;
typedef struct {
    int func;
    ARGS_int_snd_pcm_t___GENPT___snd_pcm_hw_params_t___GENPT___snd_pcm_uframes_t_int args;
} INDEXED_int_snd_pcm_t___GENPT___snd_pcm_hw_params_t___GENPT___snd_pcm_uframes_t_int;
typedef int (*FUNC_int_snd_pcm_t___GENPT___snd_pcm_hw_params_t___GENPT___snd_pcm_uframes_t___GENPT___int___GENPT__)(snd_pcm_t * pcm, snd_pcm_hw_params_t * params, snd_pcm_uframes_t * val, int * dir);
typedef struct {
    snd_pcm_t * a1;
    snd_pcm_hw_params_t * a2;
    snd_pcm_uframes_t * a3;
    int * a4;
} ARGS_int_snd_pcm_t___GENPT___snd_pcm_hw_params_t___GENPT___snd_pcm_uframes_t___GENPT___int___GENPT__;
typedef struct {
    int format;
    FUNC_int_snd_pcm_t___GENPT___snd_pcm_hw_params_t___GENPT___snd_pcm_uframes_t___GENPT___int___GENPT__ func;
    ARGS_int_snd_pcm_t___GENPT___snd_pcm_hw_params_t___GENPT___snd_pcm_uframes_t___GENPT___int___GENPT__ args;
} PACKED_int_snd_pcm_t___GENPT___snd_pcm_hw_params_t___GENPT___snd_pcm_uframes_t___GENPT___int___GENPT__;
typedef struct {
    int func;
    ARGS_int_snd_pcm_t___GENPT___snd_pcm_hw_params_t___GENPT___snd_pcm_uframes_t___GENPT___int___GENPT__ args;
} INDEXED_int_snd_pcm_t___GENPT___snd_pcm_hw_params_t___GENPT___snd_pcm_uframes_t___GENPT___int___GENPT__;
typedef int (*FUNC_int_snd_pcm_t___GENPT___snd_pcm_hw_params_t___GENPT___snd_pcm_uframes_t___GENPT___int___GENPT___snd_pcm_uframes_t___GENPT___int___GENPT__)(snd_pcm_t * pcm, snd_pcm_hw_params_t * params, snd_pcm_uframes_t * min, int * mindir, snd_pcm_uframes_t * max, int * maxdir);
typedef struct {
    snd_pcm_t * a1;
    snd_pcm_hw_params_t * a2;
    snd_pcm_uframes_t * a3;
    int * a4;
    snd_pcm_uframes_t * a5;
    int * a6;
} ARGS_int_snd_pcm_t___GENPT___snd_pcm_hw_params_t___GENPT___snd_pcm_uframes_t___GENPT___int___GENPT___snd_pcm_uframes_t___GENPT___int___GENPT__;
typedef struct {
    int format;
    FUNC_int_snd_pcm_t___GENPT___snd_pcm_hw_params_t___GENPT___snd_pcm_uframes_t___GENPT___int___GENPT___snd_pcm_uframes_t___GENPT___int___GENPT__ func;
    ARGS_int_snd_pcm_t___GENPT___snd_pcm_hw_params_t___GENPT___snd_pcm_uframes_t___GENPT___int___GENPT___snd_pcm_uframes_t___GENPT___int___GENPT__ args;
} PACKED_int_snd_pcm_t___GENPT___snd_pcm_hw_params_t___GENPT___snd_pcm_uframes_t___GENPT___int___GENPT___snd_pcm_uframes_t___GENPT___int___GENPT__;
typedef struct {
    int func;
    ARGS_int_snd_pcm_t___GENPT___snd_pcm_hw_params_t___GENPT___snd_pcm_uframes_t___GENPT___int___GENPT___snd_pcm_uframes_t___GENPT___int___GENPT__ args;
} INDEXED_int_snd_pcm_t___GENPT___snd_pcm_hw_params_t___GENPT___snd_pcm_uframes_t___GENPT___int___GENPT___snd_pcm_uframes_t___GENPT___int___GENPT__;
typedef int (*FUNC_int_snd_pcm_t___GENPT___snd_pcm_hw_params_t___GENPT___snd_pcm_subformat_t)(snd_pcm_t * pcm, snd_pcm_hw_params_t * params, snd_pcm_subformat_t subformat);
typedef struct {
    snd_pcm_t * a1;
    snd_pcm_hw_params_t * a2;
    snd_pcm_subformat_t a3;
} ARGS_int_snd_pcm_t___GENPT___snd_pcm_hw_params_t___GENPT___snd_pcm_subformat_t;
typedef struct {
    int format;
    FUNC_int_snd_pcm_t___GENPT___snd_pcm_hw_params_t___GENPT___snd_pcm_subformat_t func;
    ARGS_int_snd_pcm_t___GENPT___snd_pcm_hw_params_t___GENPT___snd_pcm_subformat_t args;
} PACKED_int_snd_pcm_t___GENPT___snd_pcm_hw_params_t___GENPT___snd_pcm_subformat_t;
typedef struct {
    int func;
    ARGS_int_snd_pcm_t___GENPT___snd_pcm_hw_params_t___GENPT___snd_pcm_subformat_t args;
} INDEXED_int_snd_pcm_t___GENPT___snd_pcm_hw_params_t___GENPT___snd_pcm_subformat_t;
typedef int (*FUNC_int_snd_pcm_t___GENPT___snd_pcm_hw_params_t___GENPT___snd_pcm_subformat_t___GENPT__)(snd_pcm_t * pcm, snd_pcm_hw_params_t * params, snd_pcm_subformat_t * subformat);
typedef struct {
    snd_pcm_t * a1;
    snd_pcm_hw_params_t * a2;
    snd_pcm_subformat_t * a3;
} ARGS_int_snd_pcm_t___GENPT___snd_pcm_hw_params_t___GENPT___snd_pcm_subformat_t___GENPT__;
typedef struct {
    int format;
    FUNC_int_snd_pcm_t___GENPT___snd_pcm_hw_params_t___GENPT___snd_pcm_subformat_t___GENPT__ func;
    ARGS_int_snd_pcm_t___GENPT___snd_pcm_hw_params_t___GENPT___snd_pcm_subformat_t___GENPT__ args;
} PACKED_int_snd_pcm_t___GENPT___snd_pcm_hw_params_t___GENPT___snd_pcm_subformat_t___GENPT__;
typedef struct {
    int func;
    ARGS_int_snd_pcm_t___GENPT___snd_pcm_hw_params_t___GENPT___snd_pcm_subformat_t___GENPT__ args;
} INDEXED_int_snd_pcm_t___GENPT___snd_pcm_hw_params_t___GENPT___snd_pcm_subformat_t___GENPT__;
typedef int (*FUNC_int_snd_pcm_t___GENPT___snd_pcm_hw_params_t___GENPT___snd_pcm_subformat_mask_t___GENPT__)(snd_pcm_t * pcm, snd_pcm_hw_params_t * params, snd_pcm_subformat_mask_t * mask);
typedef struct {
    snd_pcm_t * a1;
    snd_pcm_hw_params_t * a2;
    snd_pcm_subformat_mask_t * a3;
} ARGS_int_snd_pcm_t___GENPT___snd_pcm_hw_params_t___GENPT___snd_pcm_subformat_mask_t___GENPT__;
typedef struct {
    int format;
    FUNC_int_snd_pcm_t___GENPT___snd_pcm_hw_params_t___GENPT___snd_pcm_subformat_mask_t___GENPT__ func;
    ARGS_int_snd_pcm_t___GENPT___snd_pcm_hw_params_t___GENPT___snd_pcm_subformat_mask_t___GENPT__ args;
} PACKED_int_snd_pcm_t___GENPT___snd_pcm_hw_params_t___GENPT___snd_pcm_subformat_mask_t___GENPT__;
typedef struct {
    int func;
    ARGS_int_snd_pcm_t___GENPT___snd_pcm_hw_params_t___GENPT___snd_pcm_subformat_mask_t___GENPT__ args;
} INDEXED_int_snd_pcm_t___GENPT___snd_pcm_hw_params_t___GENPT___snd_pcm_subformat_mask_t___GENPT__;
typedef int (*FUNC_int_snd_pcm_t___GENPT___snd_pcm_info_t___GENPT__)(snd_pcm_t * pcm, snd_pcm_info_t * info);
typedef struct {
    snd_pcm_t * a1;
    snd_pcm_info_t * a2;
} ARGS_int_snd_pcm_t___GENPT___snd_pcm_info_t___GENPT__;
typedef struct {
    int format;
    FUNC_int_snd_pcm_t___GENPT___snd_pcm_info_t___GENPT__ func;
    ARGS_int_snd_pcm_t___GENPT___snd_pcm_info_t___GENPT__ args;
} PACKED_int_snd_pcm_t___GENPT___snd_pcm_info_t___GENPT__;
typedef struct {
    int func;
    ARGS_int_snd_pcm_t___GENPT___snd_pcm_info_t___GENPT__ args;
} INDEXED_int_snd_pcm_t___GENPT___snd_pcm_info_t___GENPT__;
typedef void (*FUNC_void_snd_pcm_info_t___GENPT___const_snd_pcm_info_t___GENPT__)(snd_pcm_info_t * dst, const snd_pcm_info_t * src);
typedef struct {
    snd_pcm_info_t * a1;
    snd_pcm_info_t * a2;
} ARGS_void_snd_pcm_info_t___GENPT___const_snd_pcm_info_t___GENPT__;
typedef struct {
    int format;
    FUNC_void_snd_pcm_info_t___GENPT___const_snd_pcm_info_t___GENPT__ func;
    ARGS_void_snd_pcm_info_t___GENPT___const_snd_pcm_info_t___GENPT__ args;
} PACKED_void_snd_pcm_info_t___GENPT___const_snd_pcm_info_t___GENPT__;
typedef struct {
    int func;
    ARGS_void_snd_pcm_info_t___GENPT___const_snd_pcm_info_t___GENPT__ args;
} INDEXED_void_snd_pcm_info_t___GENPT___const_snd_pcm_info_t___GENPT__;
typedef void (*FUNC_void_snd_pcm_info_t___GENPT__)(snd_pcm_info_t * obj);
typedef struct {
    snd_pcm_info_t * a1;
} ARGS_void_snd_pcm_info_t___GENPT__;
typedef struct {
    int format;
    FUNC_void_snd_pcm_info_t___GENPT__ func;
    ARGS_void_snd_pcm_info_t___GENPT__ args;
} PACKED_void_snd_pcm_info_t___GENPT__;
typedef struct {
    int func;
    ARGS_void_snd_pcm_info_t___GENPT__ args;
} INDEXED_void_snd_pcm_info_t___GENPT__;
typedef int (*FUNC_int_const_snd_pcm_info_t___GENPT__)(const snd_pcm_info_t * obj);
typedef struct {
    snd_pcm_info_t * a1;
} ARGS_int_const_snd_pcm_info_t___GENPT__;
typedef struct {
    int format;
    FUNC_int_const_snd_pcm_info_t___GENPT__ func;
    ARGS_int_const_snd_pcm_info_t___GENPT__ args;
} PACKED_int_const_snd_pcm_info_t___GENPT__;
typedef struct {
    int func;
    ARGS_int_const_snd_pcm_info_t___GENPT__ args;
} INDEXED_int_const_snd_pcm_info_t___GENPT__;
typedef snd_pcm_class_t (*FUNC_snd_pcm_class_t_const_snd_pcm_info_t___GENPT__)(const snd_pcm_info_t * obj);
typedef struct {
    snd_pcm_info_t * a1;
} ARGS_snd_pcm_class_t_const_snd_pcm_info_t___GENPT__;
typedef struct {
    int format;
    FUNC_snd_pcm_class_t_const_snd_pcm_info_t___GENPT__ func;
    ARGS_snd_pcm_class_t_const_snd_pcm_info_t___GENPT__ args;
} PACKED_snd_pcm_class_t_const_snd_pcm_info_t___GENPT__;
typedef struct {
    int func;
    ARGS_snd_pcm_class_t_const_snd_pcm_info_t___GENPT__ args;
} INDEXED_snd_pcm_class_t_const_snd_pcm_info_t___GENPT__;
typedef unsigned int (*FUNC_unsigned_int_const_snd_pcm_info_t___GENPT__)(const snd_pcm_info_t * obj);
typedef struct {
    snd_pcm_info_t * a1;
} ARGS_unsigned_int_const_snd_pcm_info_t___GENPT__;
typedef struct {
    int format;
    FUNC_unsigned_int_const_snd_pcm_info_t___GENPT__ func;
    ARGS_unsigned_int_const_snd_pcm_info_t___GENPT__ args;
} PACKED_unsigned_int_const_snd_pcm_info_t___GENPT__;
typedef struct {
    int func;
    ARGS_unsigned_int_const_snd_pcm_info_t___GENPT__ args;
} INDEXED_unsigned_int_const_snd_pcm_info_t___GENPT__;
typedef const char * (*FUNC_const_char___GENPT___const_snd_pcm_info_t___GENPT__)(const snd_pcm_info_t * obj);
typedef struct {
    snd_pcm_info_t * a1;
} ARGS_const_char___GENPT___const_snd_pcm_info_t___GENPT__;
typedef struct {
    int format;
    FUNC_const_char___GENPT___const_snd_pcm_info_t___GENPT__ func;
    ARGS_const_char___GENPT___const_snd_pcm_info_t___GENPT__ args;
} PACKED_const_char___GENPT___const_snd_pcm_info_t___GENPT__;
typedef struct {
    int func;
    ARGS_const_char___GENPT___const_snd_pcm_info_t___GENPT__ args;
} INDEXED_const_char___GENPT___const_snd_pcm_info_t___GENPT__;
typedef snd_pcm_stream_t (*FUNC_snd_pcm_stream_t_const_snd_pcm_info_t___GENPT__)(const snd_pcm_info_t * obj);
typedef struct {
    snd_pcm_info_t * a1;
} ARGS_snd_pcm_stream_t_const_snd_pcm_info_t___GENPT__;
typedef struct {
    int format;
    FUNC_snd_pcm_stream_t_const_snd_pcm_info_t___GENPT__ func;
    ARGS_snd_pcm_stream_t_const_snd_pcm_info_t___GENPT__ args;
} PACKED_snd_pcm_stream_t_const_snd_pcm_info_t___GENPT__;
typedef struct {
    int func;
    ARGS_snd_pcm_stream_t_const_snd_pcm_info_t___GENPT__ args;
} INDEXED_snd_pcm_stream_t_const_snd_pcm_info_t___GENPT__;
typedef snd_pcm_subclass_t (*FUNC_snd_pcm_subclass_t_const_snd_pcm_info_t___GENPT__)(const snd_pcm_info_t * obj);
typedef struct {
    snd_pcm_info_t * a1;
} ARGS_snd_pcm_subclass_t_const_snd_pcm_info_t___GENPT__;
typedef struct {
    int format;
    FUNC_snd_pcm_subclass_t_const_snd_pcm_info_t___GENPT__ func;
    ARGS_snd_pcm_subclass_t_const_snd_pcm_info_t___GENPT__ args;
} PACKED_snd_pcm_subclass_t_const_snd_pcm_info_t___GENPT__;
typedef struct {
    int func;
    ARGS_snd_pcm_subclass_t_const_snd_pcm_info_t___GENPT__ args;
} INDEXED_snd_pcm_subclass_t_const_snd_pcm_info_t___GENPT__;
typedef snd_pcm_sync_id_t (*FUNC_snd_pcm_sync_id_t_const_snd_pcm_info_t___GENPT__)(const snd_pcm_info_t * obj);
typedef struct {
    snd_pcm_info_t * a1;
} ARGS_snd_pcm_sync_id_t_const_snd_pcm_info_t___GENPT__;
typedef struct {
    int format;
    FUNC_snd_pcm_sync_id_t_const_snd_pcm_info_t___GENPT__ func;
    ARGS_snd_pcm_sync_id_t_const_snd_pcm_info_t___GENPT__ args;
} PACKED_snd_pcm_sync_id_t_const_snd_pcm_info_t___GENPT__;
typedef struct {
    int func;
    ARGS_snd_pcm_sync_id_t_const_snd_pcm_info_t___GENPT__ args;
} INDEXED_snd_pcm_sync_id_t_const_snd_pcm_info_t___GENPT__;
typedef int (*FUNC_int_snd_pcm_info_t___GENPT____GENPT__)(snd_pcm_info_t ** ptr);
typedef struct {
    snd_pcm_info_t ** a1;
} ARGS_int_snd_pcm_info_t___GENPT____GENPT__;
typedef struct {
    int format;
    FUNC_int_snd_pcm_info_t___GENPT____GENPT__ func;
    ARGS_int_snd_pcm_info_t___GENPT____GENPT__ args;
} PACKED_int_snd_pcm_info_t___GENPT____GENPT__;
typedef struct {
    int func;
    ARGS_int_snd_pcm_info_t___GENPT____GENPT__ args;
} INDEXED_int_snd_pcm_info_t___GENPT____GENPT__;
typedef void (*FUNC_void_snd_pcm_info_t___GENPT___unsigned_int)(snd_pcm_info_t * obj, unsigned int val);
typedef struct {
    snd_pcm_info_t * a1;
    unsigned int a2;
} ARGS_void_snd_pcm_info_t___GENPT___unsigned_int;
typedef struct {
    int format;
    FUNC_void_snd_pcm_info_t___GENPT___unsigned_int func;
    ARGS_void_snd_pcm_info_t___GENPT___unsigned_int args;
} PACKED_void_snd_pcm_info_t___GENPT___unsigned_int;
typedef struct {
    int func;
    ARGS_void_snd_pcm_info_t___GENPT___unsigned_int args;
} INDEXED_void_snd_pcm_info_t___GENPT___unsigned_int;
typedef void (*FUNC_void_snd_pcm_info_t___GENPT___snd_pcm_stream_t)(snd_pcm_info_t * obj, snd_pcm_stream_t val);
typedef struct {
    snd_pcm_info_t * a1;
    snd_pcm_stream_t a2;
} ARGS_void_snd_pcm_info_t___GENPT___snd_pcm_stream_t;
typedef struct {
    int format;
    FUNC_void_snd_pcm_info_t___GENPT___snd_pcm_stream_t func;
    ARGS_void_snd_pcm_info_t___GENPT___snd_pcm_stream_t args;
} PACKED_void_snd_pcm_info_t___GENPT___snd_pcm_stream_t;
typedef struct {
    int func;
    ARGS_void_snd_pcm_info_t___GENPT___snd_pcm_stream_t args;
} INDEXED_void_snd_pcm_info_t___GENPT___snd_pcm_stream_t;
typedef int (*FUNC_int_snd_pcm_t___GENPT___snd_pcm_t___GENPT__)(snd_pcm_t * pcm1, snd_pcm_t * pcm2);
typedef struct {
    snd_pcm_t * a1;
    snd_pcm_t * a2;
} ARGS_int_snd_pcm_t___GENPT___snd_pcm_t___GENPT__;
typedef struct {
    int format;
    FUNC_int_snd_pcm_t___GENPT___snd_pcm_t___GENPT__ func;
    ARGS_int_snd_pcm_t___GENPT___snd_pcm_t___GENPT__ args;
} PACKED_int_snd_pcm_t___GENPT___snd_pcm_t___GENPT__;
typedef struct {
    int func;
    ARGS_int_snd_pcm_t___GENPT___snd_pcm_t___GENPT__ args;
} INDEXED_int_snd_pcm_t___GENPT___snd_pcm_t___GENPT__;
typedef int (*FUNC_int_snd_pcm_t___GENPT___snd_pcm_scope_t___GENPT__)(snd_pcm_t * pcm, snd_pcm_scope_t * scope);
typedef struct {
    snd_pcm_t * a1;
    snd_pcm_scope_t * a2;
} ARGS_int_snd_pcm_t___GENPT___snd_pcm_scope_t___GENPT__;
typedef struct {
    int format;
    FUNC_int_snd_pcm_t___GENPT___snd_pcm_scope_t___GENPT__ func;
    ARGS_int_snd_pcm_t___GENPT___snd_pcm_scope_t___GENPT__ args;
} PACKED_int_snd_pcm_t___GENPT___snd_pcm_scope_t___GENPT__;
typedef struct {
    int func;
    ARGS_int_snd_pcm_t___GENPT___snd_pcm_scope_t___GENPT__ args;
} INDEXED_int_snd_pcm_t___GENPT___snd_pcm_scope_t___GENPT__;
typedef snd_pcm_uframes_t (*FUNC_snd_pcm_uframes_t_snd_pcm_t___GENPT__)(snd_pcm_t * pcm);
typedef struct {
    snd_pcm_t * a1;
} ARGS_snd_pcm_uframes_t_snd_pcm_t___GENPT__;
typedef struct {
    int format;
    FUNC_snd_pcm_uframes_t_snd_pcm_t___GENPT__ func;
    ARGS_snd_pcm_uframes_t_snd_pcm_t___GENPT__ args;
} PACKED_snd_pcm_uframes_t_snd_pcm_t___GENPT__;
typedef struct {
    int func;
    ARGS_snd_pcm_uframes_t_snd_pcm_t___GENPT__ args;
} INDEXED_snd_pcm_uframes_t_snd_pcm_t___GENPT__;
typedef unsigned int (*FUNC_unsigned_int_snd_pcm_t___GENPT__)(snd_pcm_t * pcm);
typedef struct {
    snd_pcm_t * a1;
} ARGS_unsigned_int_snd_pcm_t___GENPT__;
typedef struct {
    int format;
    FUNC_unsigned_int_snd_pcm_t___GENPT__ func;
    ARGS_unsigned_int_snd_pcm_t___GENPT__ args;
} PACKED_unsigned_int_snd_pcm_t___GENPT__;
typedef struct {
    int func;
    ARGS_unsigned_int_snd_pcm_t___GENPT__ args;
} INDEXED_unsigned_int_snd_pcm_t___GENPT__;
typedef snd_pcm_scope_t * (*FUNC_snd_pcm_scope_t___GENPT___snd_pcm_t___GENPT___const_char___GENPT__)(snd_pcm_t * pcm, const char * name);
typedef struct {
    snd_pcm_t * a1;
    char * a2;
} ARGS_snd_pcm_scope_t___GENPT___snd_pcm_t___GENPT___const_char___GENPT__;
typedef struct {
    int format;
    FUNC_snd_pcm_scope_t___GENPT___snd_pcm_t___GENPT___const_char___GENPT__ func;
    ARGS_snd_pcm_scope_t___GENPT___snd_pcm_t___GENPT___const_char___GENPT__ args;
} PACKED_snd_pcm_scope_t___GENPT___snd_pcm_t___GENPT___const_char___GENPT__;
typedef struct {
    int func;
    ARGS_snd_pcm_scope_t___GENPT___snd_pcm_t___GENPT___const_char___GENPT__ args;
} INDEXED_snd_pcm_scope_t___GENPT___snd_pcm_t___GENPT___const_char___GENPT__;
typedef int (*FUNC_int_snd_pcm_t___GENPT___const_snd_pcm_channel_area_t___GENPT____GENPT___snd_pcm_uframes_t___GENPT___snd_pcm_uframes_t___GENPT__)(snd_pcm_t * pcm, const snd_pcm_channel_area_t ** areas, snd_pcm_uframes_t * offset, snd_pcm_uframes_t * frames);
typedef struct {
    snd_pcm_t * a1;
    snd_pcm_channel_area_t ** a2;
    snd_pcm_uframes_t * a3;
    snd_pcm_uframes_t * a4;
} ARGS_int_snd_pcm_t___GENPT___const_snd_pcm_channel_area_t___GENPT____GENPT___snd_pcm_uframes_t___GENPT___snd_pcm_uframes_t___GENPT__;
typedef struct {
    int format;
    FUNC_int_snd_pcm_t___GENPT___const_snd_pcm_channel_area_t___GENPT____GENPT___snd_pcm_uframes_t___GENPT___snd_pcm_uframes_t___GENPT__ func;
    ARGS_int_snd_pcm_t___GENPT___const_snd_pcm_channel_area_t___GENPT____GENPT___snd_pcm_uframes_t___GENPT___snd_pcm_uframes_t___GENPT__ args;
} PACKED_int_snd_pcm_t___GENPT___const_snd_pcm_channel_area_t___GENPT____GENPT___snd_pcm_uframes_t___GENPT___snd_pcm_uframes_t___GENPT__;
typedef struct {
    int func;
    ARGS_int_snd_pcm_t___GENPT___const_snd_pcm_channel_area_t___GENPT____GENPT___snd_pcm_uframes_t___GENPT___snd_pcm_uframes_t___GENPT__ args;
} INDEXED_int_snd_pcm_t___GENPT___const_snd_pcm_channel_area_t___GENPT____GENPT___snd_pcm_uframes_t___GENPT___snd_pcm_uframes_t___GENPT__;
typedef snd_pcm_sframes_t (*FUNC_snd_pcm_sframes_t_snd_pcm_t___GENPT___snd_pcm_uframes_t_snd_pcm_uframes_t)(snd_pcm_t * pcm, snd_pcm_uframes_t offset, snd_pcm_uframes_t frames);
typedef struct {
    snd_pcm_t * a1;
    snd_pcm_uframes_t a2;
    snd_pcm_uframes_t a3;
} ARGS_snd_pcm_sframes_t_snd_pcm_t___GENPT___snd_pcm_uframes_t_snd_pcm_uframes_t;
typedef struct {
    int format;
    FUNC_snd_pcm_sframes_t_snd_pcm_t___GENPT___snd_pcm_uframes_t_snd_pcm_uframes_t func;
    ARGS_snd_pcm_sframes_t_snd_pcm_t___GENPT___snd_pcm_uframes_t_snd_pcm_uframes_t args;
} PACKED_snd_pcm_sframes_t_snd_pcm_t___GENPT___snd_pcm_uframes_t_snd_pcm_uframes_t;
typedef struct {
    int func;
    ARGS_snd_pcm_sframes_t_snd_pcm_t___GENPT___snd_pcm_uframes_t_snd_pcm_uframes_t args;
} INDEXED_snd_pcm_sframes_t_snd_pcm_t___GENPT___snd_pcm_uframes_t_snd_pcm_uframes_t;
typedef snd_pcm_sframes_t (*FUNC_snd_pcm_sframes_t_snd_pcm_t___GENPT___void___GENPT___snd_pcm_uframes_t)(snd_pcm_t * pcm, void * buffer, snd_pcm_uframes_t size);
typedef struct {
    snd_pcm_t * a1;
    void * a2;
    snd_pcm_uframes_t a3;
} ARGS_snd_pcm_sframes_t_snd_pcm_t___GENPT___void___GENPT___snd_pcm_uframes_t;
typedef struct {
    int format;
    FUNC_snd_pcm_sframes_t_snd_pcm_t___GENPT___void___GENPT___snd_pcm_uframes_t func;
    ARGS_snd_pcm_sframes_t_snd_pcm_t___GENPT___void___GENPT___snd_pcm_uframes_t args;
} PACKED_snd_pcm_sframes_t_snd_pcm_t___GENPT___void___GENPT___snd_pcm_uframes_t;
typedef struct {
    int func;
    ARGS_snd_pcm_sframes_t_snd_pcm_t___GENPT___void___GENPT___snd_pcm_uframes_t args;
} INDEXED_snd_pcm_sframes_t_snd_pcm_t___GENPT___void___GENPT___snd_pcm_uframes_t;
typedef snd_pcm_sframes_t (*FUNC_snd_pcm_sframes_t_snd_pcm_t___GENPT___void___GENPT____GENPT___snd_pcm_uframes_t)(snd_pcm_t * pcm, void ** bufs, snd_pcm_uframes_t size);
typedef struct {
    snd_pcm_t * a1;
    void ** a2;
    snd_pcm_uframes_t a3;
} ARGS_snd_pcm_sframes_t_snd_pcm_t___GENPT___void___GENPT____GENPT___snd_pcm_uframes_t;
typedef struct {
    int format;
    FUNC_snd_pcm_sframes_t_snd_pcm_t___GENPT___void___GENPT____GENPT___snd_pcm_uframes_t func;
    ARGS_snd_pcm_sframes_t_snd_pcm_t___GENPT___void___GENPT____GENPT___snd_pcm_uframes_t args;
} PACKED_snd_pcm_sframes_t_snd_pcm_t___GENPT___void___GENPT____GENPT___snd_pcm_uframes_t;
typedef struct {
    int func;
    ARGS_snd_pcm_sframes_t_snd_pcm_t___GENPT___void___GENPT____GENPT___snd_pcm_uframes_t args;
} INDEXED_snd_pcm_sframes_t_snd_pcm_t___GENPT___void___GENPT____GENPT___snd_pcm_uframes_t;
typedef snd_pcm_sframes_t (*FUNC_snd_pcm_sframes_t_snd_pcm_t___GENPT___const_void___GENPT___snd_pcm_uframes_t)(snd_pcm_t * pcm, const void * buffer, snd_pcm_uframes_t size);
typedef struct {
    snd_pcm_t * a1;
    void * a2;
    snd_pcm_uframes_t a3;
} ARGS_snd_pcm_sframes_t_snd_pcm_t___GENPT___const_void___GENPT___snd_pcm_uframes_t;
typedef struct {
    int format;
    FUNC_snd_pcm_sframes_t_snd_pcm_t___GENPT___const_void___GENPT___snd_pcm_uframes_t func;
    ARGS_snd_pcm_sframes_t_snd_pcm_t___GENPT___const_void___GENPT___snd_pcm_uframes_t args;
} PACKED_snd_pcm_sframes_t_snd_pcm_t___GENPT___const_void___GENPT___snd_pcm_uframes_t;
typedef struct {
    int func;
    ARGS_snd_pcm_sframes_t_snd_pcm_t___GENPT___const_void___GENPT___snd_pcm_uframes_t args;
} INDEXED_snd_pcm_sframes_t_snd_pcm_t___GENPT___const_void___GENPT___snd_pcm_uframes_t;
typedef const char * (*FUNC_const_char___GENPT___snd_pcm_t___GENPT__)(snd_pcm_t * pcm);
typedef struct {
    snd_pcm_t * a1;
} ARGS_const_char___GENPT___snd_pcm_t___GENPT__;
typedef struct {
    int format;
    FUNC_const_char___GENPT___snd_pcm_t___GENPT__ func;
    ARGS_const_char___GENPT___snd_pcm_t___GENPT__ args;
} PACKED_const_char___GENPT___snd_pcm_t___GENPT__;
typedef struct {
    int func;
    ARGS_const_char___GENPT___snd_pcm_t___GENPT__ args;
} INDEXED_const_char___GENPT___snd_pcm_t___GENPT__;
typedef int (*FUNC_int_snd_pcm_t___GENPT___int)(snd_pcm_t * pcm, int nonblock);
typedef struct {
    snd_pcm_t * a1;
    int a2;
} ARGS_int_snd_pcm_t___GENPT___int;
typedef struct {
    int format;
    FUNC_int_snd_pcm_t___GENPT___int func;
    ARGS_int_snd_pcm_t___GENPT___int args;
} PACKED_int_snd_pcm_t___GENPT___int;
typedef struct {
    int func;
    ARGS_int_snd_pcm_t___GENPT___int args;
} INDEXED_int_snd_pcm_t___GENPT___int;
typedef int (*FUNC_int_snd_pcm_t___GENPT____GENPT___const_char___GENPT___snd_pcm_stream_t_int)(snd_pcm_t ** pcm, const char * name, snd_pcm_stream_t stream, int mode);
typedef struct {
    snd_pcm_t ** a1;
    char * a2;
    snd_pcm_stream_t a3;
    int a4;
} ARGS_int_snd_pcm_t___GENPT____GENPT___const_char___GENPT___snd_pcm_stream_t_int;
typedef struct {
    int format;
    FUNC_int_snd_pcm_t___GENPT____GENPT___const_char___GENPT___snd_pcm_stream_t_int func;
    ARGS_int_snd_pcm_t___GENPT____GENPT___const_char___GENPT___snd_pcm_stream_t_int args;
} PACKED_int_snd_pcm_t___GENPT____GENPT___const_char___GENPT___snd_pcm_stream_t_int;
typedef struct {
    int func;
    ARGS_int_snd_pcm_t___GENPT____GENPT___const_char___GENPT___snd_pcm_stream_t_int args;
} INDEXED_int_snd_pcm_t___GENPT____GENPT___const_char___GENPT___snd_pcm_stream_t_int;
typedef int (*FUNC_int_snd_pcm_t___GENPT____GENPT___const_char___GENPT___snd_pcm_stream_t_int_snd_config_t___GENPT__)(snd_pcm_t ** pcm, const char * name, snd_pcm_stream_t stream, int mode, snd_config_t * lconf);
typedef struct {
    snd_pcm_t ** a1;
    char * a2;
    snd_pcm_stream_t a3;
    int a4;
    snd_config_t * a5;
} ARGS_int_snd_pcm_t___GENPT____GENPT___const_char___GENPT___snd_pcm_stream_t_int_snd_config_t___GENPT__;
typedef struct {
    int format;
    FUNC_int_snd_pcm_t___GENPT____GENPT___const_char___GENPT___snd_pcm_stream_t_int_snd_config_t___GENPT__ func;
    ARGS_int_snd_pcm_t___GENPT____GENPT___const_char___GENPT___snd_pcm_stream_t_int_snd_config_t___GENPT__ args;
} PACKED_int_snd_pcm_t___GENPT____GENPT___const_char___GENPT___snd_pcm_stream_t_int_snd_config_t___GENPT__;
typedef struct {
    int func;
    ARGS_int_snd_pcm_t___GENPT____GENPT___const_char___GENPT___snd_pcm_stream_t_int_snd_config_t___GENPT__ args;
} INDEXED_int_snd_pcm_t___GENPT____GENPT___const_char___GENPT___snd_pcm_stream_t_int_snd_config_t___GENPT__;
typedef int (*FUNC_int_snd_pcm_t___GENPT___struct_pollfd___GENPT___unsigned_int)(snd_pcm_t * pcm, struct pollfd * pfds, unsigned int space);
typedef struct {
    snd_pcm_t * a1;
    struct pollfd * a2;
    unsigned int a3;
} ARGS_int_snd_pcm_t___GENPT___struct_pollfd___GENPT___unsigned_int;
typedef struct {
    int format;
    FUNC_int_snd_pcm_t___GENPT___struct_pollfd___GENPT___unsigned_int func;
    ARGS_int_snd_pcm_t___GENPT___struct_pollfd___GENPT___unsigned_int args;
} PACKED_int_snd_pcm_t___GENPT___struct_pollfd___GENPT___unsigned_int;
typedef struct {
    int func;
    ARGS_int_snd_pcm_t___GENPT___struct_pollfd___GENPT___unsigned_int args;
} INDEXED_int_snd_pcm_t___GENPT___struct_pollfd___GENPT___unsigned_int;
typedef int (*FUNC_int_snd_pcm_t___GENPT___struct_pollfd___GENPT___unsigned_int_unsigned_short___GENPT__)(snd_pcm_t * pcm, struct pollfd * pfds, unsigned int nfds, unsigned short * revents);
typedef struct {
    snd_pcm_t * a1;
    struct pollfd * a2;
    unsigned int a3;
    unsigned short * a4;
} ARGS_int_snd_pcm_t___GENPT___struct_pollfd___GENPT___unsigned_int_unsigned_short___GENPT__;
typedef struct {
    int format;
    FUNC_int_snd_pcm_t___GENPT___struct_pollfd___GENPT___unsigned_int_unsigned_short___GENPT__ func;
    ARGS_int_snd_pcm_t___GENPT___struct_pollfd___GENPT___unsigned_int_unsigned_short___GENPT__ args;
} PACKED_int_snd_pcm_t___GENPT___struct_pollfd___GENPT___unsigned_int_unsigned_short___GENPT__;
typedef struct {
    int func;
    ARGS_int_snd_pcm_t___GENPT___struct_pollfd___GENPT___unsigned_int_unsigned_short___GENPT__ args;
} INDEXED_int_snd_pcm_t___GENPT___struct_pollfd___GENPT___unsigned_int_unsigned_short___GENPT__;
typedef int (*FUNC_int_snd_pcm_t___GENPT___int_int)(snd_pcm_t * pcm, int err, int silent);
typedef struct {
    snd_pcm_t * a1;
    int a2;
    int a3;
} ARGS_int_snd_pcm_t___GENPT___int_int;
typedef struct {
    int format;
    FUNC_int_snd_pcm_t___GENPT___int_int func;
    ARGS_int_snd_pcm_t___GENPT___int_int args;
} PACKED_int_snd_pcm_t___GENPT___int_int;
typedef struct {
    int func;
    ARGS_int_snd_pcm_t___GENPT___int_int args;
} INDEXED_int_snd_pcm_t___GENPT___int_int;
typedef ssize_t (*FUNC_ssize_t_snd_pcm_t___GENPT___long)(snd_pcm_t * pcm, long samples);
typedef struct {
    snd_pcm_t * a1;
    long a2;
} ARGS_ssize_t_snd_pcm_t___GENPT___long;
typedef struct {
    int format;
    FUNC_ssize_t_snd_pcm_t___GENPT___long func;
    ARGS_ssize_t_snd_pcm_t___GENPT___long args;
} PACKED_ssize_t_snd_pcm_t___GENPT___long;
typedef struct {
    int func;
    ARGS_ssize_t_snd_pcm_t___GENPT___long args;
} INDEXED_ssize_t_snd_pcm_t___GENPT___long;
typedef void * (*FUNC_void___GENPT___snd_pcm_scope_t___GENPT__)(snd_pcm_scope_t * scope);
typedef struct {
    snd_pcm_scope_t * a1;
} ARGS_void___GENPT___snd_pcm_scope_t___GENPT__;
typedef struct {
    int format;
    FUNC_void___GENPT___snd_pcm_scope_t___GENPT__ func;
    ARGS_void___GENPT___snd_pcm_scope_t___GENPT__ args;
} PACKED_void___GENPT___snd_pcm_scope_t___GENPT__;
typedef struct {
    int func;
    ARGS_void___GENPT___snd_pcm_scope_t___GENPT__ args;
} INDEXED_void___GENPT___snd_pcm_scope_t___GENPT__;
typedef const char * (*FUNC_const_char___GENPT___snd_pcm_scope_t___GENPT__)(snd_pcm_scope_t * scope);
typedef struct {
    snd_pcm_scope_t * a1;
} ARGS_const_char___GENPT___snd_pcm_scope_t___GENPT__;
typedef struct {
    int format;
    FUNC_const_char___GENPT___snd_pcm_scope_t___GENPT__ func;
    ARGS_const_char___GENPT___snd_pcm_scope_t___GENPT__ args;
} PACKED_const_char___GENPT___snd_pcm_scope_t___GENPT__;
typedef struct {
    int func;
    ARGS_const_char___GENPT___snd_pcm_scope_t___GENPT__ args;
} INDEXED_const_char___GENPT___snd_pcm_scope_t___GENPT__;
typedef int (*FUNC_int_snd_pcm_scope_t___GENPT____GENPT__)(snd_pcm_scope_t ** ptr);
typedef struct {
    snd_pcm_scope_t ** a1;
} ARGS_int_snd_pcm_scope_t___GENPT____GENPT__;
typedef struct {
    int format;
    FUNC_int_snd_pcm_scope_t___GENPT____GENPT__ func;
    ARGS_int_snd_pcm_scope_t___GENPT____GENPT__ args;
} PACKED_int_snd_pcm_scope_t___GENPT____GENPT__;
typedef struct {
    int func;
    ARGS_int_snd_pcm_scope_t___GENPT____GENPT__ args;
} INDEXED_int_snd_pcm_scope_t___GENPT____GENPT__;
typedef int16_t * (*FUNC_int16_t___GENPT___snd_pcm_scope_t___GENPT___unsigned_int)(snd_pcm_scope_t * scope, unsigned int channel);
typedef struct {
    snd_pcm_scope_t * a1;
    unsigned int a2;
} ARGS_int16_t___GENPT___snd_pcm_scope_t___GENPT___unsigned_int;
typedef struct {
    int format;
    FUNC_int16_t___GENPT___snd_pcm_scope_t___GENPT___unsigned_int func;
    ARGS_int16_t___GENPT___snd_pcm_scope_t___GENPT___unsigned_int args;
} PACKED_int16_t___GENPT___snd_pcm_scope_t___GENPT___unsigned_int;
typedef struct {
    int func;
    ARGS_int16_t___GENPT___snd_pcm_scope_t___GENPT___unsigned_int args;
} INDEXED_int16_t___GENPT___snd_pcm_scope_t___GENPT___unsigned_int;
typedef int (*FUNC_int_snd_pcm_t___GENPT___const_char___GENPT___snd_pcm_scope_t___GENPT____GENPT__)(snd_pcm_t * pcm, const char * name, snd_pcm_scope_t ** scopep);
typedef struct {
    snd_pcm_t * a1;
    char * a2;
    snd_pcm_scope_t ** a3;
} ARGS_int_snd_pcm_t___GENPT___const_char___GENPT___snd_pcm_scope_t___GENPT____GENPT__;
typedef struct {
    int format;
    FUNC_int_snd_pcm_t___GENPT___const_char___GENPT___snd_pcm_scope_t___GENPT____GENPT__ func;
    ARGS_int_snd_pcm_t___GENPT___const_char___GENPT___snd_pcm_scope_t___GENPT____GENPT__ args;
} PACKED_int_snd_pcm_t___GENPT___const_char___GENPT___snd_pcm_scope_t___GENPT____GENPT__;
typedef struct {
    int func;
    ARGS_int_snd_pcm_t___GENPT___const_char___GENPT___snd_pcm_scope_t___GENPT____GENPT__ args;
} INDEXED_int_snd_pcm_t___GENPT___const_char___GENPT___snd_pcm_scope_t___GENPT____GENPT__;
typedef void (*FUNC_void_snd_pcm_scope_t___GENPT___void___GENPT__)(snd_pcm_scope_t * scope, void * val);
typedef struct {
    snd_pcm_scope_t * a1;
    void * a2;
} ARGS_void_snd_pcm_scope_t___GENPT___void___GENPT__;
typedef struct {
    int format;
    FUNC_void_snd_pcm_scope_t___GENPT___void___GENPT__ func;
    ARGS_void_snd_pcm_scope_t___GENPT___void___GENPT__ args;
} PACKED_void_snd_pcm_scope_t___GENPT___void___GENPT__;
typedef struct {
    int func;
    ARGS_void_snd_pcm_scope_t___GENPT___void___GENPT__ args;
} INDEXED_void_snd_pcm_scope_t___GENPT___void___GENPT__;
typedef void (*FUNC_void_snd_pcm_scope_t___GENPT___const_char___GENPT__)(snd_pcm_scope_t * scope, const char * val);
typedef struct {
    snd_pcm_scope_t * a1;
    char * a2;
} ARGS_void_snd_pcm_scope_t___GENPT___const_char___GENPT__;
typedef struct {
    int format;
    FUNC_void_snd_pcm_scope_t___GENPT___const_char___GENPT__ func;
    ARGS_void_snd_pcm_scope_t___GENPT___const_char___GENPT__ args;
} PACKED_void_snd_pcm_scope_t___GENPT___const_char___GENPT__;
typedef struct {
    int func;
    ARGS_void_snd_pcm_scope_t___GENPT___const_char___GENPT__ args;
} INDEXED_void_snd_pcm_scope_t___GENPT___const_char___GENPT__;
typedef void (*FUNC_void_snd_pcm_scope_t___GENPT___const_snd_pcm_scope_ops_t___GENPT__)(snd_pcm_scope_t * scope, const snd_pcm_scope_ops_t * val);
typedef struct {
    snd_pcm_scope_t * a1;
    snd_pcm_scope_ops_t * a2;
} ARGS_void_snd_pcm_scope_t___GENPT___const_snd_pcm_scope_ops_t___GENPT__;
typedef struct {
    int format;
    FUNC_void_snd_pcm_scope_t___GENPT___const_snd_pcm_scope_ops_t___GENPT__ func;
    ARGS_void_snd_pcm_scope_t___GENPT___const_snd_pcm_scope_ops_t___GENPT__ args;
} PACKED_void_snd_pcm_scope_t___GENPT___const_snd_pcm_scope_ops_t___GENPT__;
typedef struct {
    int func;
    ARGS_void_snd_pcm_scope_t___GENPT___const_snd_pcm_scope_ops_t___GENPT__ args;
} INDEXED_void_snd_pcm_scope_t___GENPT___const_snd_pcm_scope_ops_t___GENPT__;
typedef int (*FUNC_int_snd_pcm_t___GENPT___snd_pcm_format_t_snd_pcm_access_t_unsigned_int_unsigned_int_int_unsigned_int)(snd_pcm_t * pcm, snd_pcm_format_t format, snd_pcm_access_t access, unsigned int channels, unsigned int rate, int soft_resample, unsigned int latency);
typedef struct {
    snd_pcm_t * a1;
    snd_pcm_format_t a2;
    snd_pcm_access_t a3;
    unsigned int a4;
    unsigned int a5;
    int a6;
    unsigned int a7;
} ARGS_int_snd_pcm_t___GENPT___snd_pcm_format_t_snd_pcm_access_t_unsigned_int_unsigned_int_int_unsigned_int;
typedef struct {
    int format;
    FUNC_int_snd_pcm_t___GENPT___snd_pcm_format_t_snd_pcm_access_t_unsigned_int_unsigned_int_int_unsigned_int func;
    ARGS_int_snd_pcm_t___GENPT___snd_pcm_format_t_snd_pcm_access_t_unsigned_int_unsigned_int_int_unsigned_int args;
} PACKED_int_snd_pcm_t___GENPT___snd_pcm_format_t_snd_pcm_access_t_unsigned_int_unsigned_int_int_unsigned_int;
typedef struct {
    int func;
    ARGS_int_snd_pcm_t___GENPT___snd_pcm_format_t_snd_pcm_access_t_unsigned_int_unsigned_int_int_unsigned_int args;
} INDEXED_int_snd_pcm_t___GENPT___snd_pcm_format_t_snd_pcm_access_t_unsigned_int_unsigned_int_int_unsigned_int;
typedef const char * (*FUNC_const_char___GENPT___snd_pcm_start_t)(snd_pcm_start_t mode);
typedef struct {
    snd_pcm_start_t a1;
} ARGS_const_char___GENPT___snd_pcm_start_t;
typedef struct {
    int format;
    FUNC_const_char___GENPT___snd_pcm_start_t func;
    ARGS_const_char___GENPT___snd_pcm_start_t args;
} PACKED_const_char___GENPT___snd_pcm_start_t;
typedef struct {
    int func;
    ARGS_const_char___GENPT___snd_pcm_start_t args;
} INDEXED_const_char___GENPT___snd_pcm_start_t;
typedef snd_pcm_state_t (*FUNC_snd_pcm_state_t_snd_pcm_t___GENPT__)(snd_pcm_t * pcm);
typedef struct {
    snd_pcm_t * a1;
} ARGS_snd_pcm_state_t_snd_pcm_t___GENPT__;
typedef struct {
    int format;
    FUNC_snd_pcm_state_t_snd_pcm_t___GENPT__ func;
    ARGS_snd_pcm_state_t_snd_pcm_t___GENPT__ args;
} PACKED_snd_pcm_state_t_snd_pcm_t___GENPT__;
typedef struct {
    int func;
    ARGS_snd_pcm_state_t_snd_pcm_t___GENPT__ args;
} INDEXED_snd_pcm_state_t_snd_pcm_t___GENPT__;
typedef const char * (*FUNC_const_char___GENPT___const_snd_pcm_state_t)(const snd_pcm_state_t state);
typedef struct {
    snd_pcm_state_t a1;
} ARGS_const_char___GENPT___const_snd_pcm_state_t;
typedef struct {
    int format;
    FUNC_const_char___GENPT___const_snd_pcm_state_t func;
    ARGS_const_char___GENPT___const_snd_pcm_state_t args;
} PACKED_const_char___GENPT___const_snd_pcm_state_t;
typedef struct {
    int func;
    ARGS_const_char___GENPT___const_snd_pcm_state_t args;
} INDEXED_const_char___GENPT___const_snd_pcm_state_t;
typedef int (*FUNC_int_snd_pcm_t___GENPT___snd_pcm_status_t___GENPT__)(snd_pcm_t * pcm, snd_pcm_status_t * status);
typedef struct {
    snd_pcm_t * a1;
    snd_pcm_status_t * a2;
} ARGS_int_snd_pcm_t___GENPT___snd_pcm_status_t___GENPT__;
typedef struct {
    int format;
    FUNC_int_snd_pcm_t___GENPT___snd_pcm_status_t___GENPT__ func;
    ARGS_int_snd_pcm_t___GENPT___snd_pcm_status_t___GENPT__ args;
} PACKED_int_snd_pcm_t___GENPT___snd_pcm_status_t___GENPT__;
typedef struct {
    int func;
    ARGS_int_snd_pcm_t___GENPT___snd_pcm_status_t___GENPT__ args;
} INDEXED_int_snd_pcm_t___GENPT___snd_pcm_status_t___GENPT__;
typedef void (*FUNC_void_snd_pcm_status_t___GENPT___const_snd_pcm_status_t___GENPT__)(snd_pcm_status_t * dst, const snd_pcm_status_t * src);
typedef struct {
    snd_pcm_status_t * a1;
    snd_pcm_status_t * a2;
} ARGS_void_snd_pcm_status_t___GENPT___const_snd_pcm_status_t___GENPT__;
typedef struct {
    int format;
    FUNC_void_snd_pcm_status_t___GENPT___const_snd_pcm_status_t___GENPT__ func;
    ARGS_void_snd_pcm_status_t___GENPT___const_snd_pcm_status_t___GENPT__ args;
} PACKED_void_snd_pcm_status_t___GENPT___const_snd_pcm_status_t___GENPT__;
typedef struct {
    int func;
    ARGS_void_snd_pcm_status_t___GENPT___const_snd_pcm_status_t___GENPT__ args;
} INDEXED_void_snd_pcm_status_t___GENPT___const_snd_pcm_status_t___GENPT__;
typedef int (*FUNC_int_snd_pcm_status_t___GENPT___snd_output_t___GENPT__)(snd_pcm_status_t * status, snd_output_t * out);
typedef struct {
    snd_pcm_status_t * a1;
    snd_output_t * a2;
} ARGS_int_snd_pcm_status_t___GENPT___snd_output_t___GENPT__;
typedef struct {
    int format;
    FUNC_int_snd_pcm_status_t___GENPT___snd_output_t___GENPT__ func;
    ARGS_int_snd_pcm_status_t___GENPT___snd_output_t___GENPT__ args;
} PACKED_int_snd_pcm_status_t___GENPT___snd_output_t___GENPT__;
typedef struct {
    int func;
    ARGS_int_snd_pcm_status_t___GENPT___snd_output_t___GENPT__ args;
} INDEXED_int_snd_pcm_status_t___GENPT___snd_output_t___GENPT__;
typedef void (*FUNC_void_snd_pcm_status_t___GENPT__)(snd_pcm_status_t * obj);
typedef struct {
    snd_pcm_status_t * a1;
} ARGS_void_snd_pcm_status_t___GENPT__;
typedef struct {
    int format;
    FUNC_void_snd_pcm_status_t___GENPT__ func;
    ARGS_void_snd_pcm_status_t___GENPT__ args;
} PACKED_void_snd_pcm_status_t___GENPT__;
typedef struct {
    int func;
    ARGS_void_snd_pcm_status_t___GENPT__ args;
} INDEXED_void_snd_pcm_status_t___GENPT__;
typedef snd_pcm_uframes_t (*FUNC_snd_pcm_uframes_t_const_snd_pcm_status_t___GENPT__)(const snd_pcm_status_t * obj);
typedef struct {
    snd_pcm_status_t * a1;
} ARGS_snd_pcm_uframes_t_const_snd_pcm_status_t___GENPT__;
typedef struct {
    int format;
    FUNC_snd_pcm_uframes_t_const_snd_pcm_status_t___GENPT__ func;
    ARGS_snd_pcm_uframes_t_const_snd_pcm_status_t___GENPT__ args;
} PACKED_snd_pcm_uframes_t_const_snd_pcm_status_t___GENPT__;
typedef struct {
    int func;
    ARGS_snd_pcm_uframes_t_const_snd_pcm_status_t___GENPT__ args;
} INDEXED_snd_pcm_uframes_t_const_snd_pcm_status_t___GENPT__;
typedef snd_pcm_sframes_t (*FUNC_snd_pcm_sframes_t_const_snd_pcm_status_t___GENPT__)(const snd_pcm_status_t * obj);
typedef struct {
    snd_pcm_status_t * a1;
} ARGS_snd_pcm_sframes_t_const_snd_pcm_status_t___GENPT__;
typedef struct {
    int format;
    FUNC_snd_pcm_sframes_t_const_snd_pcm_status_t___GENPT__ func;
    ARGS_snd_pcm_sframes_t_const_snd_pcm_status_t___GENPT__ args;
} PACKED_snd_pcm_sframes_t_const_snd_pcm_status_t___GENPT__;
typedef struct {
    int func;
    ARGS_snd_pcm_sframes_t_const_snd_pcm_status_t___GENPT__ args;
} INDEXED_snd_pcm_sframes_t_const_snd_pcm_status_t___GENPT__;
typedef void (*FUNC_void_const_snd_pcm_status_t___GENPT___snd_htimestamp_t___GENPT__)(const snd_pcm_status_t * obj, snd_htimestamp_t * ptr);
typedef struct {
    snd_pcm_status_t * a1;
    snd_htimestamp_t * a2;
} ARGS_void_const_snd_pcm_status_t___GENPT___snd_htimestamp_t___GENPT__;
typedef struct {
    int format;
    FUNC_void_const_snd_pcm_status_t___GENPT___snd_htimestamp_t___GENPT__ func;
    ARGS_void_const_snd_pcm_status_t___GENPT___snd_htimestamp_t___GENPT__ args;
} PACKED_void_const_snd_pcm_status_t___GENPT___snd_htimestamp_t___GENPT__;
typedef struct {
    int func;
    ARGS_void_const_snd_pcm_status_t___GENPT___snd_htimestamp_t___GENPT__ args;
} INDEXED_void_const_snd_pcm_status_t___GENPT___snd_htimestamp_t___GENPT__;
typedef snd_pcm_state_t (*FUNC_snd_pcm_state_t_const_snd_pcm_status_t___GENPT__)(const snd_pcm_status_t * obj);
typedef struct {
    snd_pcm_status_t * a1;
} ARGS_snd_pcm_state_t_const_snd_pcm_status_t___GENPT__;
typedef struct {
    int format;
    FUNC_snd_pcm_state_t_const_snd_pcm_status_t___GENPT__ func;
    ARGS_snd_pcm_state_t_const_snd_pcm_status_t___GENPT__ args;
} PACKED_snd_pcm_state_t_const_snd_pcm_status_t___GENPT__;
typedef struct {
    int func;
    ARGS_snd_pcm_state_t_const_snd_pcm_status_t___GENPT__ args;
} INDEXED_snd_pcm_state_t_const_snd_pcm_status_t___GENPT__;
typedef void (*FUNC_void_const_snd_pcm_status_t___GENPT___snd_timestamp_t___GENPT__)(const snd_pcm_status_t * obj, snd_timestamp_t * ptr);
typedef struct {
    snd_pcm_status_t * a1;
    snd_timestamp_t * a2;
} ARGS_void_const_snd_pcm_status_t___GENPT___snd_timestamp_t___GENPT__;
typedef struct {
    int format;
    FUNC_void_const_snd_pcm_status_t___GENPT___snd_timestamp_t___GENPT__ func;
    ARGS_void_const_snd_pcm_status_t___GENPT___snd_timestamp_t___GENPT__ args;
} PACKED_void_const_snd_pcm_status_t___GENPT___snd_timestamp_t___GENPT__;
typedef struct {
    int func;
    ARGS_void_const_snd_pcm_status_t___GENPT___snd_timestamp_t___GENPT__ args;
} INDEXED_void_const_snd_pcm_status_t___GENPT___snd_timestamp_t___GENPT__;
typedef int (*FUNC_int_snd_pcm_status_t___GENPT____GENPT__)(snd_pcm_status_t ** ptr);
typedef struct {
    snd_pcm_status_t ** a1;
} ARGS_int_snd_pcm_status_t___GENPT____GENPT__;
typedef struct {
    int format;
    FUNC_int_snd_pcm_status_t___GENPT____GENPT__ func;
    ARGS_int_snd_pcm_status_t___GENPT____GENPT__ args;
} PACKED_int_snd_pcm_status_t___GENPT____GENPT__;
typedef struct {
    int func;
    ARGS_int_snd_pcm_status_t___GENPT____GENPT__ args;
} INDEXED_int_snd_pcm_status_t___GENPT____GENPT__;
typedef snd_pcm_stream_t (*FUNC_snd_pcm_stream_t_snd_pcm_t___GENPT__)(snd_pcm_t * pcm);
typedef struct {
    snd_pcm_t * a1;
} ARGS_snd_pcm_stream_t_snd_pcm_t___GENPT__;
typedef struct {
    int format;
    FUNC_snd_pcm_stream_t_snd_pcm_t___GENPT__ func;
    ARGS_snd_pcm_stream_t_snd_pcm_t___GENPT__ args;
} PACKED_snd_pcm_stream_t_snd_pcm_t___GENPT__;
typedef struct {
    int func;
    ARGS_snd_pcm_stream_t_snd_pcm_t___GENPT__ args;
} INDEXED_snd_pcm_stream_t_snd_pcm_t___GENPT__;
typedef const char * (*FUNC_const_char___GENPT___const_snd_pcm_stream_t)(const snd_pcm_stream_t stream);
typedef struct {
    snd_pcm_stream_t a1;
} ARGS_const_char___GENPT___const_snd_pcm_stream_t;
typedef struct {
    int format;
    FUNC_const_char___GENPT___const_snd_pcm_stream_t func;
    ARGS_const_char___GENPT___const_snd_pcm_stream_t args;
} PACKED_const_char___GENPT___const_snd_pcm_stream_t;
typedef struct {
    int func;
    ARGS_const_char___GENPT___const_snd_pcm_stream_t args;
} INDEXED_const_char___GENPT___const_snd_pcm_stream_t;
typedef const char * (*FUNC_const_char___GENPT___const_snd_pcm_subformat_t)(const snd_pcm_subformat_t subformat);
typedef struct {
    snd_pcm_subformat_t a1;
} ARGS_const_char___GENPT___const_snd_pcm_subformat_t;
typedef struct {
    int format;
    FUNC_const_char___GENPT___const_snd_pcm_subformat_t func;
    ARGS_const_char___GENPT___const_snd_pcm_subformat_t args;
} PACKED_const_char___GENPT___const_snd_pcm_subformat_t;
typedef struct {
    int func;
    ARGS_const_char___GENPT___const_snd_pcm_subformat_t args;
} INDEXED_const_char___GENPT___const_snd_pcm_subformat_t;
typedef void (*FUNC_void_snd_pcm_subformat_mask_t___GENPT__)(snd_pcm_subformat_mask_t * mask);
typedef struct {
    snd_pcm_subformat_mask_t * a1;
} ARGS_void_snd_pcm_subformat_mask_t___GENPT__;
typedef struct {
    int format;
    FUNC_void_snd_pcm_subformat_mask_t___GENPT__ func;
    ARGS_void_snd_pcm_subformat_mask_t___GENPT__ args;
} PACKED_void_snd_pcm_subformat_mask_t___GENPT__;
typedef struct {
    int func;
    ARGS_void_snd_pcm_subformat_mask_t___GENPT__ args;
} INDEXED_void_snd_pcm_subformat_mask_t___GENPT__;
typedef void (*FUNC_void_snd_pcm_subformat_mask_t___GENPT___const_snd_pcm_subformat_mask_t___GENPT__)(snd_pcm_subformat_mask_t * dst, const snd_pcm_subformat_mask_t * src);
typedef struct {
    snd_pcm_subformat_mask_t * a1;
    snd_pcm_subformat_mask_t * a2;
} ARGS_void_snd_pcm_subformat_mask_t___GENPT___const_snd_pcm_subformat_mask_t___GENPT__;
typedef struct {
    int format;
    FUNC_void_snd_pcm_subformat_mask_t___GENPT___const_snd_pcm_subformat_mask_t___GENPT__ func;
    ARGS_void_snd_pcm_subformat_mask_t___GENPT___const_snd_pcm_subformat_mask_t___GENPT__ args;
} PACKED_void_snd_pcm_subformat_mask_t___GENPT___const_snd_pcm_subformat_mask_t___GENPT__;
typedef struct {
    int func;
    ARGS_void_snd_pcm_subformat_mask_t___GENPT___const_snd_pcm_subformat_mask_t___GENPT__ args;
} INDEXED_void_snd_pcm_subformat_mask_t___GENPT___const_snd_pcm_subformat_mask_t___GENPT__;
typedef int (*FUNC_int_const_snd_pcm_subformat_mask_t___GENPT__)(const snd_pcm_subformat_mask_t * mask);
typedef struct {
    snd_pcm_subformat_mask_t * a1;
} ARGS_int_const_snd_pcm_subformat_mask_t___GENPT__;
typedef struct {
    int format;
    FUNC_int_const_snd_pcm_subformat_mask_t___GENPT__ func;
    ARGS_int_const_snd_pcm_subformat_mask_t___GENPT__ args;
} PACKED_int_const_snd_pcm_subformat_mask_t___GENPT__;
typedef struct {
    int func;
    ARGS_int_const_snd_pcm_subformat_mask_t___GENPT__ args;
} INDEXED_int_const_snd_pcm_subformat_mask_t___GENPT__;
typedef int (*FUNC_int_snd_pcm_subformat_mask_t___GENPT____GENPT__)(snd_pcm_subformat_mask_t ** ptr);
typedef struct {
    snd_pcm_subformat_mask_t ** a1;
} ARGS_int_snd_pcm_subformat_mask_t___GENPT____GENPT__;
typedef struct {
    int format;
    FUNC_int_snd_pcm_subformat_mask_t___GENPT____GENPT__ func;
    ARGS_int_snd_pcm_subformat_mask_t___GENPT____GENPT__ args;
} PACKED_int_snd_pcm_subformat_mask_t___GENPT____GENPT__;
typedef struct {
    int func;
    ARGS_int_snd_pcm_subformat_mask_t___GENPT____GENPT__ args;
} INDEXED_int_snd_pcm_subformat_mask_t___GENPT____GENPT__;
typedef void (*FUNC_void_snd_pcm_subformat_mask_t___GENPT___snd_pcm_subformat_t)(snd_pcm_subformat_mask_t * mask, snd_pcm_subformat_t val);
typedef struct {
    snd_pcm_subformat_mask_t * a1;
    snd_pcm_subformat_t a2;
} ARGS_void_snd_pcm_subformat_mask_t___GENPT___snd_pcm_subformat_t;
typedef struct {
    int format;
    FUNC_void_snd_pcm_subformat_mask_t___GENPT___snd_pcm_subformat_t func;
    ARGS_void_snd_pcm_subformat_mask_t___GENPT___snd_pcm_subformat_t args;
} PACKED_void_snd_pcm_subformat_mask_t___GENPT___snd_pcm_subformat_t;
typedef struct {
    int func;
    ARGS_void_snd_pcm_subformat_mask_t___GENPT___snd_pcm_subformat_t args;
} INDEXED_void_snd_pcm_subformat_mask_t___GENPT___snd_pcm_subformat_t;
typedef int (*FUNC_int_const_snd_pcm_subformat_mask_t___GENPT___snd_pcm_subformat_t)(const snd_pcm_subformat_mask_t * mask, snd_pcm_subformat_t val);
typedef struct {
    snd_pcm_subformat_mask_t * a1;
    snd_pcm_subformat_t a2;
} ARGS_int_const_snd_pcm_subformat_mask_t___GENPT___snd_pcm_subformat_t;
typedef struct {
    int format;
    FUNC_int_const_snd_pcm_subformat_mask_t___GENPT___snd_pcm_subformat_t func;
    ARGS_int_const_snd_pcm_subformat_mask_t___GENPT___snd_pcm_subformat_t args;
} PACKED_int_const_snd_pcm_subformat_mask_t___GENPT___snd_pcm_subformat_t;
typedef struct {
    int func;
    ARGS_int_const_snd_pcm_subformat_mask_t___GENPT___snd_pcm_subformat_t args;
} INDEXED_int_const_snd_pcm_subformat_mask_t___GENPT___snd_pcm_subformat_t;
typedef int (*FUNC_int_snd_pcm_t___GENPT___snd_pcm_sw_params_t___GENPT__)(snd_pcm_t * pcm, snd_pcm_sw_params_t * params);
typedef struct {
    snd_pcm_t * a1;
    snd_pcm_sw_params_t * a2;
} ARGS_int_snd_pcm_t___GENPT___snd_pcm_sw_params_t___GENPT__;
typedef struct {
    int format;
    FUNC_int_snd_pcm_t___GENPT___snd_pcm_sw_params_t___GENPT__ func;
    ARGS_int_snd_pcm_t___GENPT___snd_pcm_sw_params_t___GENPT__ args;
} PACKED_int_snd_pcm_t___GENPT___snd_pcm_sw_params_t___GENPT__;
typedef struct {
    int func;
    ARGS_int_snd_pcm_t___GENPT___snd_pcm_sw_params_t___GENPT__ args;
} INDEXED_int_snd_pcm_t___GENPT___snd_pcm_sw_params_t___GENPT__;
typedef void (*FUNC_void_snd_pcm_sw_params_t___GENPT___const_snd_pcm_sw_params_t___GENPT__)(snd_pcm_sw_params_t * dst, const snd_pcm_sw_params_t * src);
typedef struct {
    snd_pcm_sw_params_t * a1;
    snd_pcm_sw_params_t * a2;
} ARGS_void_snd_pcm_sw_params_t___GENPT___const_snd_pcm_sw_params_t___GENPT__;
typedef struct {
    int format;
    FUNC_void_snd_pcm_sw_params_t___GENPT___const_snd_pcm_sw_params_t___GENPT__ func;
    ARGS_void_snd_pcm_sw_params_t___GENPT___const_snd_pcm_sw_params_t___GENPT__ args;
} PACKED_void_snd_pcm_sw_params_t___GENPT___const_snd_pcm_sw_params_t___GENPT__;
typedef struct {
    int func;
    ARGS_void_snd_pcm_sw_params_t___GENPT___const_snd_pcm_sw_params_t___GENPT__ args;
} INDEXED_void_snd_pcm_sw_params_t___GENPT___const_snd_pcm_sw_params_t___GENPT__;
typedef int (*FUNC_int_snd_pcm_sw_params_t___GENPT___snd_output_t___GENPT__)(snd_pcm_sw_params_t * params, snd_output_t * out);
typedef struct {
    snd_pcm_sw_params_t * a1;
    snd_output_t * a2;
} ARGS_int_snd_pcm_sw_params_t___GENPT___snd_output_t___GENPT__;
typedef struct {
    int format;
    FUNC_int_snd_pcm_sw_params_t___GENPT___snd_output_t___GENPT__ func;
    ARGS_int_snd_pcm_sw_params_t___GENPT___snd_output_t___GENPT__ args;
} PACKED_int_snd_pcm_sw_params_t___GENPT___snd_output_t___GENPT__;
typedef struct {
    int func;
    ARGS_int_snd_pcm_sw_params_t___GENPT___snd_output_t___GENPT__ args;
} INDEXED_int_snd_pcm_sw_params_t___GENPT___snd_output_t___GENPT__;
typedef void (*FUNC_void_snd_pcm_sw_params_t___GENPT__)(snd_pcm_sw_params_t * obj);
typedef struct {
    snd_pcm_sw_params_t * a1;
} ARGS_void_snd_pcm_sw_params_t___GENPT__;
typedef struct {
    int format;
    FUNC_void_snd_pcm_sw_params_t___GENPT__ func;
    ARGS_void_snd_pcm_sw_params_t___GENPT__ args;
} PACKED_void_snd_pcm_sw_params_t___GENPT__;
typedef struct {
    int func;
    ARGS_void_snd_pcm_sw_params_t___GENPT__ args;
} INDEXED_void_snd_pcm_sw_params_t___GENPT__;
typedef int (*FUNC_int_const_snd_pcm_sw_params_t___GENPT___snd_pcm_uframes_t___GENPT__)(const snd_pcm_sw_params_t * params, snd_pcm_uframes_t * val);
typedef struct {
    snd_pcm_sw_params_t * a1;
    snd_pcm_uframes_t * a2;
} ARGS_int_const_snd_pcm_sw_params_t___GENPT___snd_pcm_uframes_t___GENPT__;
typedef struct {
    int format;
    FUNC_int_const_snd_pcm_sw_params_t___GENPT___snd_pcm_uframes_t___GENPT__ func;
    ARGS_int_const_snd_pcm_sw_params_t___GENPT___snd_pcm_uframes_t___GENPT__ args;
} PACKED_int_const_snd_pcm_sw_params_t___GENPT___snd_pcm_uframes_t___GENPT__;
typedef struct {
    int func;
    ARGS_int_const_snd_pcm_sw_params_t___GENPT___snd_pcm_uframes_t___GENPT__ args;
} INDEXED_int_const_snd_pcm_sw_params_t___GENPT___snd_pcm_uframes_t___GENPT__;
typedef int (*FUNC_int_const_snd_pcm_sw_params_t___GENPT___unsigned_int___GENPT__)(const snd_pcm_sw_params_t * params, unsigned int * val);
typedef struct {
    snd_pcm_sw_params_t * a1;
    unsigned int * a2;
} ARGS_int_const_snd_pcm_sw_params_t___GENPT___unsigned_int___GENPT__;
typedef struct {
    int format;
    FUNC_int_const_snd_pcm_sw_params_t___GENPT___unsigned_int___GENPT__ func;
    ARGS_int_const_snd_pcm_sw_params_t___GENPT___unsigned_int___GENPT__ args;
} PACKED_int_const_snd_pcm_sw_params_t___GENPT___unsigned_int___GENPT__;
typedef struct {
    int func;
    ARGS_int_const_snd_pcm_sw_params_t___GENPT___unsigned_int___GENPT__ args;
} INDEXED_int_const_snd_pcm_sw_params_t___GENPT___unsigned_int___GENPT__;
typedef snd_pcm_start_t (*FUNC_snd_pcm_start_t_const_snd_pcm_sw_params_t___GENPT__)(const snd_pcm_sw_params_t * params);
typedef struct {
    snd_pcm_sw_params_t * a1;
} ARGS_snd_pcm_start_t_const_snd_pcm_sw_params_t___GENPT__;
typedef struct {
    int format;
    FUNC_snd_pcm_start_t_const_snd_pcm_sw_params_t___GENPT__ func;
    ARGS_snd_pcm_start_t_const_snd_pcm_sw_params_t___GENPT__ args;
} PACKED_snd_pcm_start_t_const_snd_pcm_sw_params_t___GENPT__;
typedef struct {
    int func;
    ARGS_snd_pcm_start_t_const_snd_pcm_sw_params_t___GENPT__ args;
} INDEXED_snd_pcm_start_t_const_snd_pcm_sw_params_t___GENPT__;
typedef int (*FUNC_int_const_snd_pcm_sw_params_t___GENPT___snd_pcm_tstamp_t___GENPT__)(const snd_pcm_sw_params_t * params, snd_pcm_tstamp_t * val);
typedef struct {
    snd_pcm_sw_params_t * a1;
    snd_pcm_tstamp_t * a2;
} ARGS_int_const_snd_pcm_sw_params_t___GENPT___snd_pcm_tstamp_t___GENPT__;
typedef struct {
    int format;
    FUNC_int_const_snd_pcm_sw_params_t___GENPT___snd_pcm_tstamp_t___GENPT__ func;
    ARGS_int_const_snd_pcm_sw_params_t___GENPT___snd_pcm_tstamp_t___GENPT__ args;
} PACKED_int_const_snd_pcm_sw_params_t___GENPT___snd_pcm_tstamp_t___GENPT__;
typedef struct {
    int func;
    ARGS_int_const_snd_pcm_sw_params_t___GENPT___snd_pcm_tstamp_t___GENPT__ args;
} INDEXED_int_const_snd_pcm_sw_params_t___GENPT___snd_pcm_tstamp_t___GENPT__;
typedef snd_pcm_xrun_t (*FUNC_snd_pcm_xrun_t_const_snd_pcm_sw_params_t___GENPT__)(const snd_pcm_sw_params_t * params);
typedef struct {
    snd_pcm_sw_params_t * a1;
} ARGS_snd_pcm_xrun_t_const_snd_pcm_sw_params_t___GENPT__;
typedef struct {
    int format;
    FUNC_snd_pcm_xrun_t_const_snd_pcm_sw_params_t___GENPT__ func;
    ARGS_snd_pcm_xrun_t_const_snd_pcm_sw_params_t___GENPT__ args;
} PACKED_snd_pcm_xrun_t_const_snd_pcm_sw_params_t___GENPT__;
typedef struct {
    int func;
    ARGS_snd_pcm_xrun_t_const_snd_pcm_sw_params_t___GENPT__ args;
} INDEXED_snd_pcm_xrun_t_const_snd_pcm_sw_params_t___GENPT__;
typedef int (*FUNC_int_snd_pcm_sw_params_t___GENPT____GENPT__)(snd_pcm_sw_params_t ** ptr);
typedef struct {
    snd_pcm_sw_params_t ** a1;
} ARGS_int_snd_pcm_sw_params_t___GENPT____GENPT__;
typedef struct {
    int format;
    FUNC_int_snd_pcm_sw_params_t___GENPT____GENPT__ func;
    ARGS_int_snd_pcm_sw_params_t___GENPT____GENPT__ args;
} PACKED_int_snd_pcm_sw_params_t___GENPT____GENPT__;
typedef struct {
    int func;
    ARGS_int_snd_pcm_sw_params_t___GENPT____GENPT__ args;
} INDEXED_int_snd_pcm_sw_params_t___GENPT____GENPT__;
typedef int (*FUNC_int_snd_pcm_t___GENPT___snd_pcm_sw_params_t___GENPT___snd_pcm_uframes_t)(snd_pcm_t * pcm, snd_pcm_sw_params_t * params, snd_pcm_uframes_t val);
typedef struct {
    snd_pcm_t * a1;
    snd_pcm_sw_params_t * a2;
    snd_pcm_uframes_t a3;
} ARGS_int_snd_pcm_t___GENPT___snd_pcm_sw_params_t___GENPT___snd_pcm_uframes_t;
typedef struct {
    int format;
    FUNC_int_snd_pcm_t___GENPT___snd_pcm_sw_params_t___GENPT___snd_pcm_uframes_t func;
    ARGS_int_snd_pcm_t___GENPT___snd_pcm_sw_params_t___GENPT___snd_pcm_uframes_t args;
} PACKED_int_snd_pcm_t___GENPT___snd_pcm_sw_params_t___GENPT___snd_pcm_uframes_t;
typedef struct {
    int func;
    ARGS_int_snd_pcm_t___GENPT___snd_pcm_sw_params_t___GENPT___snd_pcm_uframes_t args;
} INDEXED_int_snd_pcm_t___GENPT___snd_pcm_sw_params_t___GENPT___snd_pcm_uframes_t;
typedef int (*FUNC_int_snd_pcm_t___GENPT___snd_pcm_sw_params_t___GENPT___unsigned_int)(snd_pcm_t * pcm, snd_pcm_sw_params_t * params, unsigned int val);
typedef struct {
    snd_pcm_t * a1;
    snd_pcm_sw_params_t * a2;
    unsigned int a3;
} ARGS_int_snd_pcm_t___GENPT___snd_pcm_sw_params_t___GENPT___unsigned_int;
typedef struct {
    int format;
    FUNC_int_snd_pcm_t___GENPT___snd_pcm_sw_params_t___GENPT___unsigned_int func;
    ARGS_int_snd_pcm_t___GENPT___snd_pcm_sw_params_t___GENPT___unsigned_int args;
} PACKED_int_snd_pcm_t___GENPT___snd_pcm_sw_params_t___GENPT___unsigned_int;
typedef struct {
    int func;
    ARGS_int_snd_pcm_t___GENPT___snd_pcm_sw_params_t___GENPT___unsigned_int args;
} INDEXED_int_snd_pcm_t___GENPT___snd_pcm_sw_params_t___GENPT___unsigned_int;
typedef int (*FUNC_int_snd_pcm_t___GENPT___snd_pcm_sw_params_t___GENPT___snd_pcm_start_t)(snd_pcm_t * pcm, snd_pcm_sw_params_t * params, snd_pcm_start_t val);
typedef struct {
    snd_pcm_t * a1;
    snd_pcm_sw_params_t * a2;
    snd_pcm_start_t a3;
} ARGS_int_snd_pcm_t___GENPT___snd_pcm_sw_params_t___GENPT___snd_pcm_start_t;
typedef struct {
    int format;
    FUNC_int_snd_pcm_t___GENPT___snd_pcm_sw_params_t___GENPT___snd_pcm_start_t func;
    ARGS_int_snd_pcm_t___GENPT___snd_pcm_sw_params_t___GENPT___snd_pcm_start_t args;
} PACKED_int_snd_pcm_t___GENPT___snd_pcm_sw_params_t___GENPT___snd_pcm_start_t;
typedef struct {
    int func;
    ARGS_int_snd_pcm_t___GENPT___snd_pcm_sw_params_t___GENPT___snd_pcm_start_t args;
} INDEXED_int_snd_pcm_t___GENPT___snd_pcm_sw_params_t___GENPT___snd_pcm_start_t;
typedef int (*FUNC_int_snd_pcm_t___GENPT___snd_pcm_sw_params_t___GENPT___snd_pcm_tstamp_t)(snd_pcm_t * pcm, snd_pcm_sw_params_t * params, snd_pcm_tstamp_t val);
typedef struct {
    snd_pcm_t * a1;
    snd_pcm_sw_params_t * a2;
    snd_pcm_tstamp_t a3;
} ARGS_int_snd_pcm_t___GENPT___snd_pcm_sw_params_t___GENPT___snd_pcm_tstamp_t;
typedef struct {
    int format;
    FUNC_int_snd_pcm_t___GENPT___snd_pcm_sw_params_t___GENPT___snd_pcm_tstamp_t func;
    ARGS_int_snd_pcm_t___GENPT___snd_pcm_sw_params_t___GENPT___snd_pcm_tstamp_t args;
} PACKED_int_snd_pcm_t___GENPT___snd_pcm_sw_params_t___GENPT___snd_pcm_tstamp_t;
typedef struct {
    int func;
    ARGS_int_snd_pcm_t___GENPT___snd_pcm_sw_params_t___GENPT___snd_pcm_tstamp_t args;
} INDEXED_int_snd_pcm_t___GENPT___snd_pcm_sw_params_t___GENPT___snd_pcm_tstamp_t;
typedef int (*FUNC_int_snd_pcm_t___GENPT___snd_pcm_sw_params_t___GENPT___snd_pcm_xrun_t)(snd_pcm_t * pcm, snd_pcm_sw_params_t * params, snd_pcm_xrun_t val);
typedef struct {
    snd_pcm_t * a1;
    snd_pcm_sw_params_t * a2;
    snd_pcm_xrun_t a3;
} ARGS_int_snd_pcm_t___GENPT___snd_pcm_sw_params_t___GENPT___snd_pcm_xrun_t;
typedef struct {
    int format;
    FUNC_int_snd_pcm_t___GENPT___snd_pcm_sw_params_t___GENPT___snd_pcm_xrun_t func;
    ARGS_int_snd_pcm_t___GENPT___snd_pcm_sw_params_t___GENPT___snd_pcm_xrun_t args;
} PACKED_int_snd_pcm_t___GENPT___snd_pcm_sw_params_t___GENPT___snd_pcm_xrun_t;
typedef struct {
    int func;
    ARGS_int_snd_pcm_t___GENPT___snd_pcm_sw_params_t___GENPT___snd_pcm_xrun_t args;
} INDEXED_int_snd_pcm_t___GENPT___snd_pcm_sw_params_t___GENPT___snd_pcm_xrun_t;
typedef const char * (*FUNC_const_char___GENPT___const_snd_pcm_tstamp_t)(const snd_pcm_tstamp_t mode);
typedef struct {
    snd_pcm_tstamp_t a1;
} ARGS_const_char___GENPT___const_snd_pcm_tstamp_t;
typedef struct {
    int format;
    FUNC_const_char___GENPT___const_snd_pcm_tstamp_t func;
    ARGS_const_char___GENPT___const_snd_pcm_tstamp_t args;
} PACKED_const_char___GENPT___const_snd_pcm_tstamp_t;
typedef struct {
    int func;
    ARGS_const_char___GENPT___const_snd_pcm_tstamp_t args;
} INDEXED_const_char___GENPT___const_snd_pcm_tstamp_t;
typedef snd_pcm_type_t (*FUNC_snd_pcm_type_t_snd_pcm_t___GENPT__)(snd_pcm_t * pcm);
typedef struct {
    snd_pcm_t * a1;
} ARGS_snd_pcm_type_t_snd_pcm_t___GENPT__;
typedef struct {
    int format;
    FUNC_snd_pcm_type_t_snd_pcm_t___GENPT__ func;
    ARGS_snd_pcm_type_t_snd_pcm_t___GENPT__ args;
} PACKED_snd_pcm_type_t_snd_pcm_t___GENPT__;
typedef struct {
    int func;
    ARGS_snd_pcm_type_t_snd_pcm_t___GENPT__ args;
} INDEXED_snd_pcm_type_t_snd_pcm_t___GENPT__;
typedef const char * (*FUNC_const_char___GENPT___snd_pcm_type_t)(snd_pcm_type_t type);
typedef struct {
    snd_pcm_type_t a1;
} ARGS_const_char___GENPT___snd_pcm_type_t;
typedef struct {
    int format;
    FUNC_const_char___GENPT___snd_pcm_type_t func;
    ARGS_const_char___GENPT___snd_pcm_type_t args;
} PACKED_const_char___GENPT___snd_pcm_type_t;
typedef struct {
    int func;
    ARGS_const_char___GENPT___snd_pcm_type_t args;
} INDEXED_const_char___GENPT___snd_pcm_type_t;
typedef const char * (*FUNC_const_char___GENPT___snd_pcm_xrun_t)(snd_pcm_xrun_t mode);
typedef struct {
    snd_pcm_xrun_t a1;
} ARGS_const_char___GENPT___snd_pcm_xrun_t;
typedef struct {
    int format;
    FUNC_const_char___GENPT___snd_pcm_xrun_t func;
    ARGS_const_char___GENPT___snd_pcm_xrun_t args;
} PACKED_const_char___GENPT___snd_pcm_xrun_t;
typedef struct {
    int func;
    ARGS_const_char___GENPT___snd_pcm_xrun_t args;
} INDEXED_const_char___GENPT___snd_pcm_xrun_t;
typedef int (*FUNC_int_snd_rawmidi_t___GENPT__)(snd_rawmidi_t * rmidi);
typedef struct {
    snd_rawmidi_t * a1;
} ARGS_int_snd_rawmidi_t___GENPT__;
typedef struct {
    int format;
    FUNC_int_snd_rawmidi_t___GENPT__ func;
    ARGS_int_snd_rawmidi_t___GENPT__ args;
} PACKED_int_snd_rawmidi_t___GENPT__;
typedef struct {
    int func;
    ARGS_int_snd_rawmidi_t___GENPT__ args;
} INDEXED_int_snd_rawmidi_t___GENPT__;
typedef int (*FUNC_int_snd_rawmidi_t___GENPT___snd_rawmidi_info_t___GENPT__)(snd_rawmidi_t * rmidi, snd_rawmidi_info_t * info);
typedef struct {
    snd_rawmidi_t * a1;
    snd_rawmidi_info_t * a2;
} ARGS_int_snd_rawmidi_t___GENPT___snd_rawmidi_info_t___GENPT__;
typedef struct {
    int format;
    FUNC_int_snd_rawmidi_t___GENPT___snd_rawmidi_info_t___GENPT__ func;
    ARGS_int_snd_rawmidi_t___GENPT___snd_rawmidi_info_t___GENPT__ args;
} PACKED_int_snd_rawmidi_t___GENPT___snd_rawmidi_info_t___GENPT__;
typedef struct {
    int func;
    ARGS_int_snd_rawmidi_t___GENPT___snd_rawmidi_info_t___GENPT__ args;
} INDEXED_int_snd_rawmidi_t___GENPT___snd_rawmidi_info_t___GENPT__;
typedef void (*FUNC_void_snd_rawmidi_info_t___GENPT___const_snd_rawmidi_info_t___GENPT__)(snd_rawmidi_info_t * dst, const snd_rawmidi_info_t * src);
typedef struct {
    snd_rawmidi_info_t * a1;
    snd_rawmidi_info_t * a2;
} ARGS_void_snd_rawmidi_info_t___GENPT___const_snd_rawmidi_info_t___GENPT__;
typedef struct {
    int format;
    FUNC_void_snd_rawmidi_info_t___GENPT___const_snd_rawmidi_info_t___GENPT__ func;
    ARGS_void_snd_rawmidi_info_t___GENPT___const_snd_rawmidi_info_t___GENPT__ args;
} PACKED_void_snd_rawmidi_info_t___GENPT___const_snd_rawmidi_info_t___GENPT__;
typedef struct {
    int func;
    ARGS_void_snd_rawmidi_info_t___GENPT___const_snd_rawmidi_info_t___GENPT__ args;
} INDEXED_void_snd_rawmidi_info_t___GENPT___const_snd_rawmidi_info_t___GENPT__;
typedef void (*FUNC_void_snd_rawmidi_info_t___GENPT__)(snd_rawmidi_info_t * obj);
typedef struct {
    snd_rawmidi_info_t * a1;
} ARGS_void_snd_rawmidi_info_t___GENPT__;
typedef struct {
    int format;
    FUNC_void_snd_rawmidi_info_t___GENPT__ func;
    ARGS_void_snd_rawmidi_info_t___GENPT__ args;
} PACKED_void_snd_rawmidi_info_t___GENPT__;
typedef struct {
    int func;
    ARGS_void_snd_rawmidi_info_t___GENPT__ args;
} INDEXED_void_snd_rawmidi_info_t___GENPT__;
typedef int (*FUNC_int_const_snd_rawmidi_info_t___GENPT__)(const snd_rawmidi_info_t * obj);
typedef struct {
    snd_rawmidi_info_t * a1;
} ARGS_int_const_snd_rawmidi_info_t___GENPT__;
typedef struct {
    int format;
    FUNC_int_const_snd_rawmidi_info_t___GENPT__ func;
    ARGS_int_const_snd_rawmidi_info_t___GENPT__ args;
} PACKED_int_const_snd_rawmidi_info_t___GENPT__;
typedef struct {
    int func;
    ARGS_int_const_snd_rawmidi_info_t___GENPT__ args;
} INDEXED_int_const_snd_rawmidi_info_t___GENPT__;
typedef unsigned int (*FUNC_unsigned_int_const_snd_rawmidi_info_t___GENPT__)(const snd_rawmidi_info_t * obj);
typedef struct {
    snd_rawmidi_info_t * a1;
} ARGS_unsigned_int_const_snd_rawmidi_info_t___GENPT__;
typedef struct {
    int format;
    FUNC_unsigned_int_const_snd_rawmidi_info_t___GENPT__ func;
    ARGS_unsigned_int_const_snd_rawmidi_info_t___GENPT__ args;
} PACKED_unsigned_int_const_snd_rawmidi_info_t___GENPT__;
typedef struct {
    int func;
    ARGS_unsigned_int_const_snd_rawmidi_info_t___GENPT__ args;
} INDEXED_unsigned_int_const_snd_rawmidi_info_t___GENPT__;
typedef const char * (*FUNC_const_char___GENPT___const_snd_rawmidi_info_t___GENPT__)(const snd_rawmidi_info_t * obj);
typedef struct {
    snd_rawmidi_info_t * a1;
} ARGS_const_char___GENPT___const_snd_rawmidi_info_t___GENPT__;
typedef struct {
    int format;
    FUNC_const_char___GENPT___const_snd_rawmidi_info_t___GENPT__ func;
    ARGS_const_char___GENPT___const_snd_rawmidi_info_t___GENPT__ args;
} PACKED_const_char___GENPT___const_snd_rawmidi_info_t___GENPT__;
typedef struct {
    int func;
    ARGS_const_char___GENPT___const_snd_rawmidi_info_t___GENPT__ args;
} INDEXED_const_char___GENPT___const_snd_rawmidi_info_t___GENPT__;
typedef snd_rawmidi_stream_t (*FUNC_snd_rawmidi_stream_t_const_snd_rawmidi_info_t___GENPT__)(const snd_rawmidi_info_t * obj);
typedef struct {
    snd_rawmidi_info_t * a1;
} ARGS_snd_rawmidi_stream_t_const_snd_rawmidi_info_t___GENPT__;
typedef struct {
    int format;
    FUNC_snd_rawmidi_stream_t_const_snd_rawmidi_info_t___GENPT__ func;
    ARGS_snd_rawmidi_stream_t_const_snd_rawmidi_info_t___GENPT__ args;
} PACKED_snd_rawmidi_stream_t_const_snd_rawmidi_info_t___GENPT__;
typedef struct {
    int func;
    ARGS_snd_rawmidi_stream_t_const_snd_rawmidi_info_t___GENPT__ args;
} INDEXED_snd_rawmidi_stream_t_const_snd_rawmidi_info_t___GENPT__;
typedef int (*FUNC_int_snd_rawmidi_info_t___GENPT____GENPT__)(snd_rawmidi_info_t ** ptr);
typedef struct {
    snd_rawmidi_info_t ** a1;
} ARGS_int_snd_rawmidi_info_t___GENPT____GENPT__;
typedef struct {
    int format;
    FUNC_int_snd_rawmidi_info_t___GENPT____GENPT__ func;
    ARGS_int_snd_rawmidi_info_t___GENPT____GENPT__ args;
} PACKED_int_snd_rawmidi_info_t___GENPT____GENPT__;
typedef struct {
    int func;
    ARGS_int_snd_rawmidi_info_t___GENPT____GENPT__ args;
} INDEXED_int_snd_rawmidi_info_t___GENPT____GENPT__;
typedef void (*FUNC_void_snd_rawmidi_info_t___GENPT___unsigned_int)(snd_rawmidi_info_t * obj, unsigned int val);
typedef struct {
    snd_rawmidi_info_t * a1;
    unsigned int a2;
} ARGS_void_snd_rawmidi_info_t___GENPT___unsigned_int;
typedef struct {
    int format;
    FUNC_void_snd_rawmidi_info_t___GENPT___unsigned_int func;
    ARGS_void_snd_rawmidi_info_t___GENPT___unsigned_int args;
} PACKED_void_snd_rawmidi_info_t___GENPT___unsigned_int;
typedef struct {
    int func;
    ARGS_void_snd_rawmidi_info_t___GENPT___unsigned_int args;
} INDEXED_void_snd_rawmidi_info_t___GENPT___unsigned_int;
typedef void (*FUNC_void_snd_rawmidi_info_t___GENPT___snd_rawmidi_stream_t)(snd_rawmidi_info_t * obj, snd_rawmidi_stream_t val);
typedef struct {
    snd_rawmidi_info_t * a1;
    snd_rawmidi_stream_t a2;
} ARGS_void_snd_rawmidi_info_t___GENPT___snd_rawmidi_stream_t;
typedef struct {
    int format;
    FUNC_void_snd_rawmidi_info_t___GENPT___snd_rawmidi_stream_t func;
    ARGS_void_snd_rawmidi_info_t___GENPT___snd_rawmidi_stream_t args;
} PACKED_void_snd_rawmidi_info_t___GENPT___snd_rawmidi_stream_t;
typedef struct {
    int func;
    ARGS_void_snd_rawmidi_info_t___GENPT___snd_rawmidi_stream_t args;
} INDEXED_void_snd_rawmidi_info_t___GENPT___snd_rawmidi_stream_t;
typedef const char * (*FUNC_const_char___GENPT___snd_rawmidi_t___GENPT__)(snd_rawmidi_t * rmidi);
typedef struct {
    snd_rawmidi_t * a1;
} ARGS_const_char___GENPT___snd_rawmidi_t___GENPT__;
typedef struct {
    int format;
    FUNC_const_char___GENPT___snd_rawmidi_t___GENPT__ func;
    ARGS_const_char___GENPT___snd_rawmidi_t___GENPT__ args;
} PACKED_const_char___GENPT___snd_rawmidi_t___GENPT__;
typedef struct {
    int func;
    ARGS_const_char___GENPT___snd_rawmidi_t___GENPT__ args;
} INDEXED_const_char___GENPT___snd_rawmidi_t___GENPT__;
typedef int (*FUNC_int_snd_rawmidi_t___GENPT___int)(snd_rawmidi_t * rmidi, int nonblock);
typedef struct {
    snd_rawmidi_t * a1;
    int a2;
} ARGS_int_snd_rawmidi_t___GENPT___int;
typedef struct {
    int format;
    FUNC_int_snd_rawmidi_t___GENPT___int func;
    ARGS_int_snd_rawmidi_t___GENPT___int args;
} PACKED_int_snd_rawmidi_t___GENPT___int;
typedef struct {
    int func;
    ARGS_int_snd_rawmidi_t___GENPT___int args;
} INDEXED_int_snd_rawmidi_t___GENPT___int;
typedef int (*FUNC_int_snd_rawmidi_t___GENPT____GENPT___snd_rawmidi_t___GENPT____GENPT___const_char___GENPT___int)(snd_rawmidi_t ** in_rmidi, snd_rawmidi_t ** out_rmidi, const char * name, int mode);
typedef struct {
    snd_rawmidi_t ** a1;
    snd_rawmidi_t ** a2;
    char * a3;
    int a4;
} ARGS_int_snd_rawmidi_t___GENPT____GENPT___snd_rawmidi_t___GENPT____GENPT___const_char___GENPT___int;
typedef struct {
    int format;
    FUNC_int_snd_rawmidi_t___GENPT____GENPT___snd_rawmidi_t___GENPT____GENPT___const_char___GENPT___int func;
    ARGS_int_snd_rawmidi_t___GENPT____GENPT___snd_rawmidi_t___GENPT____GENPT___const_char___GENPT___int args;
} PACKED_int_snd_rawmidi_t___GENPT____GENPT___snd_rawmidi_t___GENPT____GENPT___const_char___GENPT___int;
typedef struct {
    int func;
    ARGS_int_snd_rawmidi_t___GENPT____GENPT___snd_rawmidi_t___GENPT____GENPT___const_char___GENPT___int args;
} INDEXED_int_snd_rawmidi_t___GENPT____GENPT___snd_rawmidi_t___GENPT____GENPT___const_char___GENPT___int;
typedef int (*FUNC_int_snd_rawmidi_t___GENPT____GENPT___snd_rawmidi_t___GENPT____GENPT___const_char___GENPT___int_snd_config_t___GENPT__)(snd_rawmidi_t ** in_rmidi, snd_rawmidi_t ** out_rmidi, const char * name, int mode, snd_config_t * lconf);
typedef struct {
    snd_rawmidi_t ** a1;
    snd_rawmidi_t ** a2;
    char * a3;
    int a4;
    snd_config_t * a5;
} ARGS_int_snd_rawmidi_t___GENPT____GENPT___snd_rawmidi_t___GENPT____GENPT___const_char___GENPT___int_snd_config_t___GENPT__;
typedef struct {
    int format;
    FUNC_int_snd_rawmidi_t___GENPT____GENPT___snd_rawmidi_t___GENPT____GENPT___const_char___GENPT___int_snd_config_t___GENPT__ func;
    ARGS_int_snd_rawmidi_t___GENPT____GENPT___snd_rawmidi_t___GENPT____GENPT___const_char___GENPT___int_snd_config_t___GENPT__ args;
} PACKED_int_snd_rawmidi_t___GENPT____GENPT___snd_rawmidi_t___GENPT____GENPT___const_char___GENPT___int_snd_config_t___GENPT__;
typedef struct {
    int func;
    ARGS_int_snd_rawmidi_t___GENPT____GENPT___snd_rawmidi_t___GENPT____GENPT___const_char___GENPT___int_snd_config_t___GENPT__ args;
} INDEXED_int_snd_rawmidi_t___GENPT____GENPT___snd_rawmidi_t___GENPT____GENPT___const_char___GENPT___int_snd_config_t___GENPT__;
typedef int (*FUNC_int_snd_rawmidi_t___GENPT___snd_rawmidi_params_t___GENPT__)(snd_rawmidi_t * rmidi, snd_rawmidi_params_t * params);
typedef struct {
    snd_rawmidi_t * a1;
    snd_rawmidi_params_t * a2;
} ARGS_int_snd_rawmidi_t___GENPT___snd_rawmidi_params_t___GENPT__;
typedef struct {
    int format;
    FUNC_int_snd_rawmidi_t___GENPT___snd_rawmidi_params_t___GENPT__ func;
    ARGS_int_snd_rawmidi_t___GENPT___snd_rawmidi_params_t___GENPT__ args;
} PACKED_int_snd_rawmidi_t___GENPT___snd_rawmidi_params_t___GENPT__;
typedef struct {
    int func;
    ARGS_int_snd_rawmidi_t___GENPT___snd_rawmidi_params_t___GENPT__ args;
} INDEXED_int_snd_rawmidi_t___GENPT___snd_rawmidi_params_t___GENPT__;
typedef void (*FUNC_void_snd_rawmidi_params_t___GENPT___const_snd_rawmidi_params_t___GENPT__)(snd_rawmidi_params_t * dst, const snd_rawmidi_params_t * src);
typedef struct {
    snd_rawmidi_params_t * a1;
    snd_rawmidi_params_t * a2;
} ARGS_void_snd_rawmidi_params_t___GENPT___const_snd_rawmidi_params_t___GENPT__;
typedef struct {
    int format;
    FUNC_void_snd_rawmidi_params_t___GENPT___const_snd_rawmidi_params_t___GENPT__ func;
    ARGS_void_snd_rawmidi_params_t___GENPT___const_snd_rawmidi_params_t___GENPT__ args;
} PACKED_void_snd_rawmidi_params_t___GENPT___const_snd_rawmidi_params_t___GENPT__;
typedef struct {
    int func;
    ARGS_void_snd_rawmidi_params_t___GENPT___const_snd_rawmidi_params_t___GENPT__ args;
} INDEXED_void_snd_rawmidi_params_t___GENPT___const_snd_rawmidi_params_t___GENPT__;
typedef void (*FUNC_void_snd_rawmidi_params_t___GENPT__)(snd_rawmidi_params_t * obj);
typedef struct {
    snd_rawmidi_params_t * a1;
} ARGS_void_snd_rawmidi_params_t___GENPT__;
typedef struct {
    int format;
    FUNC_void_snd_rawmidi_params_t___GENPT__ func;
    ARGS_void_snd_rawmidi_params_t___GENPT__ args;
} PACKED_void_snd_rawmidi_params_t___GENPT__;
typedef struct {
    int func;
    ARGS_void_snd_rawmidi_params_t___GENPT__ args;
} INDEXED_void_snd_rawmidi_params_t___GENPT__;
typedef size_t (*FUNC_size_t_const_snd_rawmidi_params_t___GENPT__)(const snd_rawmidi_params_t * params);
typedef struct {
    snd_rawmidi_params_t * a1;
} ARGS_size_t_const_snd_rawmidi_params_t___GENPT__;
typedef struct {
    int format;
    FUNC_size_t_const_snd_rawmidi_params_t___GENPT__ func;
    ARGS_size_t_const_snd_rawmidi_params_t___GENPT__ args;
} PACKED_size_t_const_snd_rawmidi_params_t___GENPT__;
typedef struct {
    int func;
    ARGS_size_t_const_snd_rawmidi_params_t___GENPT__ args;
} INDEXED_size_t_const_snd_rawmidi_params_t___GENPT__;
typedef int (*FUNC_int_const_snd_rawmidi_params_t___GENPT__)(const snd_rawmidi_params_t * params);
typedef struct {
    snd_rawmidi_params_t * a1;
} ARGS_int_const_snd_rawmidi_params_t___GENPT__;
typedef struct {
    int format;
    FUNC_int_const_snd_rawmidi_params_t___GENPT__ func;
    ARGS_int_const_snd_rawmidi_params_t___GENPT__ args;
} PACKED_int_const_snd_rawmidi_params_t___GENPT__;
typedef struct {
    int func;
    ARGS_int_const_snd_rawmidi_params_t___GENPT__ args;
} INDEXED_int_const_snd_rawmidi_params_t___GENPT__;
typedef int (*FUNC_int_snd_rawmidi_params_t___GENPT____GENPT__)(snd_rawmidi_params_t ** ptr);
typedef struct {
    snd_rawmidi_params_t ** a1;
} ARGS_int_snd_rawmidi_params_t___GENPT____GENPT__;
typedef struct {
    int format;
    FUNC_int_snd_rawmidi_params_t___GENPT____GENPT__ func;
    ARGS_int_snd_rawmidi_params_t___GENPT____GENPT__ args;
} PACKED_int_snd_rawmidi_params_t___GENPT____GENPT__;
typedef struct {
    int func;
    ARGS_int_snd_rawmidi_params_t___GENPT____GENPT__ args;
} INDEXED_int_snd_rawmidi_params_t___GENPT____GENPT__;
typedef int (*FUNC_int_snd_rawmidi_t___GENPT___snd_rawmidi_params_t___GENPT___size_t)(snd_rawmidi_t * rmidi, snd_rawmidi_params_t * params, size_t val);
typedef struct {
    snd_rawmidi_t * a1;
    snd_rawmidi_params_t * a2;
    size_t a3;
} ARGS_int_snd_rawmidi_t___GENPT___snd_rawmidi_params_t___GENPT___size_t;
typedef struct {
    int format;
    FUNC_int_snd_rawmidi_t___GENPT___snd_rawmidi_params_t___GENPT___size_t func;
    ARGS_int_snd_rawmidi_t___GENPT___snd_rawmidi_params_t___GENPT___size_t args;
} PACKED_int_snd_rawmidi_t___GENPT___snd_rawmidi_params_t___GENPT___size_t;
typedef struct {
    int func;
    ARGS_int_snd_rawmidi_t___GENPT___snd_rawmidi_params_t___GENPT___size_t args;
} INDEXED_int_snd_rawmidi_t___GENPT___snd_rawmidi_params_t___GENPT___size_t;
typedef int (*FUNC_int_snd_rawmidi_t___GENPT___snd_rawmidi_params_t___GENPT___int)(snd_rawmidi_t * rmidi, snd_rawmidi_params_t * params, int val);
typedef struct {
    snd_rawmidi_t * a1;
    snd_rawmidi_params_t * a2;
    int a3;
} ARGS_int_snd_rawmidi_t___GENPT___snd_rawmidi_params_t___GENPT___int;
typedef struct {
    int format;
    FUNC_int_snd_rawmidi_t___GENPT___snd_rawmidi_params_t___GENPT___int func;
    ARGS_int_snd_rawmidi_t___GENPT___snd_rawmidi_params_t___GENPT___int args;
} PACKED_int_snd_rawmidi_t___GENPT___snd_rawmidi_params_t___GENPT___int;
typedef struct {
    int func;
    ARGS_int_snd_rawmidi_t___GENPT___snd_rawmidi_params_t___GENPT___int args;
} INDEXED_int_snd_rawmidi_t___GENPT___snd_rawmidi_params_t___GENPT___int;
typedef int (*FUNC_int_snd_rawmidi_t___GENPT___struct_pollfd___GENPT___unsigned_int)(snd_rawmidi_t * rmidi, struct pollfd * pfds, unsigned int space);
typedef struct {
    snd_rawmidi_t * a1;
    struct pollfd * a2;
    unsigned int a3;
} ARGS_int_snd_rawmidi_t___GENPT___struct_pollfd___GENPT___unsigned_int;
typedef struct {
    int format;
    FUNC_int_snd_rawmidi_t___GENPT___struct_pollfd___GENPT___unsigned_int func;
    ARGS_int_snd_rawmidi_t___GENPT___struct_pollfd___GENPT___unsigned_int args;
} PACKED_int_snd_rawmidi_t___GENPT___struct_pollfd___GENPT___unsigned_int;
typedef struct {
    int func;
    ARGS_int_snd_rawmidi_t___GENPT___struct_pollfd___GENPT___unsigned_int args;
} INDEXED_int_snd_rawmidi_t___GENPT___struct_pollfd___GENPT___unsigned_int;
typedef int (*FUNC_int_snd_rawmidi_t___GENPT___struct_pollfd___GENPT___unsigned_int_unsigned_short___GENPT__)(snd_rawmidi_t * rawmidi, struct pollfd * pfds, unsigned int nfds, unsigned short * revent);
typedef struct {
    snd_rawmidi_t * a1;
    struct pollfd * a2;
    unsigned int a3;
    unsigned short * a4;
} ARGS_int_snd_rawmidi_t___GENPT___struct_pollfd___GENPT___unsigned_int_unsigned_short___GENPT__;
typedef struct {
    int format;
    FUNC_int_snd_rawmidi_t___GENPT___struct_pollfd___GENPT___unsigned_int_unsigned_short___GENPT__ func;
    ARGS_int_snd_rawmidi_t___GENPT___struct_pollfd___GENPT___unsigned_int_unsigned_short___GENPT__ args;
} PACKED_int_snd_rawmidi_t___GENPT___struct_pollfd___GENPT___unsigned_int_unsigned_short___GENPT__;
typedef struct {
    int func;
    ARGS_int_snd_rawmidi_t___GENPT___struct_pollfd___GENPT___unsigned_int_unsigned_short___GENPT__ args;
} INDEXED_int_snd_rawmidi_t___GENPT___struct_pollfd___GENPT___unsigned_int_unsigned_short___GENPT__;
typedef ssize_t (*FUNC_ssize_t_snd_rawmidi_t___GENPT___void___GENPT___size_t)(snd_rawmidi_t * rmidi, void * buffer, size_t size);
typedef struct {
    snd_rawmidi_t * a1;
    void * a2;
    size_t a3;
} ARGS_ssize_t_snd_rawmidi_t___GENPT___void___GENPT___size_t;
typedef struct {
    int format;
    FUNC_ssize_t_snd_rawmidi_t___GENPT___void___GENPT___size_t func;
    ARGS_ssize_t_snd_rawmidi_t___GENPT___void___GENPT___size_t args;
} PACKED_ssize_t_snd_rawmidi_t___GENPT___void___GENPT___size_t;
typedef struct {
    int func;
    ARGS_ssize_t_snd_rawmidi_t___GENPT___void___GENPT___size_t args;
} INDEXED_ssize_t_snd_rawmidi_t___GENPT___void___GENPT___size_t;
typedef int (*FUNC_int_snd_rawmidi_t___GENPT___snd_rawmidi_status_t___GENPT__)(snd_rawmidi_t * rmidi, snd_rawmidi_status_t * status);
typedef struct {
    snd_rawmidi_t * a1;
    snd_rawmidi_status_t * a2;
} ARGS_int_snd_rawmidi_t___GENPT___snd_rawmidi_status_t___GENPT__;
typedef struct {
    int format;
    FUNC_int_snd_rawmidi_t___GENPT___snd_rawmidi_status_t___GENPT__ func;
    ARGS_int_snd_rawmidi_t___GENPT___snd_rawmidi_status_t___GENPT__ args;
} PACKED_int_snd_rawmidi_t___GENPT___snd_rawmidi_status_t___GENPT__;
typedef struct {
    int func;
    ARGS_int_snd_rawmidi_t___GENPT___snd_rawmidi_status_t___GENPT__ args;
} INDEXED_int_snd_rawmidi_t___GENPT___snd_rawmidi_status_t___GENPT__;
typedef void (*FUNC_void_snd_rawmidi_status_t___GENPT___const_snd_rawmidi_status_t___GENPT__)(snd_rawmidi_status_t * dst, const snd_rawmidi_status_t * src);
typedef struct {
    snd_rawmidi_status_t * a1;
    snd_rawmidi_status_t * a2;
} ARGS_void_snd_rawmidi_status_t___GENPT___const_snd_rawmidi_status_t___GENPT__;
typedef struct {
    int format;
    FUNC_void_snd_rawmidi_status_t___GENPT___const_snd_rawmidi_status_t___GENPT__ func;
    ARGS_void_snd_rawmidi_status_t___GENPT___const_snd_rawmidi_status_t___GENPT__ args;
} PACKED_void_snd_rawmidi_status_t___GENPT___const_snd_rawmidi_status_t___GENPT__;
typedef struct {
    int func;
    ARGS_void_snd_rawmidi_status_t___GENPT___const_snd_rawmidi_status_t___GENPT__ args;
} INDEXED_void_snd_rawmidi_status_t___GENPT___const_snd_rawmidi_status_t___GENPT__;
typedef void (*FUNC_void_snd_rawmidi_status_t___GENPT__)(snd_rawmidi_status_t * obj);
typedef struct {
    snd_rawmidi_status_t * a1;
} ARGS_void_snd_rawmidi_status_t___GENPT__;
typedef struct {
    int format;
    FUNC_void_snd_rawmidi_status_t___GENPT__ func;
    ARGS_void_snd_rawmidi_status_t___GENPT__ args;
} PACKED_void_snd_rawmidi_status_t___GENPT__;
typedef struct {
    int func;
    ARGS_void_snd_rawmidi_status_t___GENPT__ args;
} INDEXED_void_snd_rawmidi_status_t___GENPT__;
typedef size_t (*FUNC_size_t_const_snd_rawmidi_status_t___GENPT__)(const snd_rawmidi_status_t * obj);
typedef struct {
    snd_rawmidi_status_t * a1;
} ARGS_size_t_const_snd_rawmidi_status_t___GENPT__;
typedef struct {
    int format;
    FUNC_size_t_const_snd_rawmidi_status_t___GENPT__ func;
    ARGS_size_t_const_snd_rawmidi_status_t___GENPT__ args;
} PACKED_size_t_const_snd_rawmidi_status_t___GENPT__;
typedef struct {
    int func;
    ARGS_size_t_const_snd_rawmidi_status_t___GENPT__ args;
} INDEXED_size_t_const_snd_rawmidi_status_t___GENPT__;
typedef void (*FUNC_void_const_snd_rawmidi_status_t___GENPT___snd_htimestamp_t___GENPT__)(const snd_rawmidi_status_t * obj, snd_htimestamp_t * ptr);
typedef struct {
    snd_rawmidi_status_t * a1;
    snd_htimestamp_t * a2;
} ARGS_void_const_snd_rawmidi_status_t___GENPT___snd_htimestamp_t___GENPT__;
typedef struct {
    int format;
    FUNC_void_const_snd_rawmidi_status_t___GENPT___snd_htimestamp_t___GENPT__ func;
    ARGS_void_const_snd_rawmidi_status_t___GENPT___snd_htimestamp_t___GENPT__ args;
} PACKED_void_const_snd_rawmidi_status_t___GENPT___snd_htimestamp_t___GENPT__;
typedef struct {
    int func;
    ARGS_void_const_snd_rawmidi_status_t___GENPT___snd_htimestamp_t___GENPT__ args;
} INDEXED_void_const_snd_rawmidi_status_t___GENPT___snd_htimestamp_t___GENPT__;
typedef int (*FUNC_int_snd_rawmidi_status_t___GENPT____GENPT__)(snd_rawmidi_status_t ** ptr);
typedef struct {
    snd_rawmidi_status_t ** a1;
} ARGS_int_snd_rawmidi_status_t___GENPT____GENPT__;
typedef struct {
    int format;
    FUNC_int_snd_rawmidi_status_t___GENPT____GENPT__ func;
    ARGS_int_snd_rawmidi_status_t___GENPT____GENPT__ args;
} PACKED_int_snd_rawmidi_status_t___GENPT____GENPT__;
typedef struct {
    int func;
    ARGS_int_snd_rawmidi_status_t___GENPT____GENPT__ args;
} INDEXED_int_snd_rawmidi_status_t___GENPT____GENPT__;
typedef snd_rawmidi_stream_t (*FUNC_snd_rawmidi_stream_t_snd_rawmidi_t___GENPT__)(snd_rawmidi_t * rawmidi);
typedef struct {
    snd_rawmidi_t * a1;
} ARGS_snd_rawmidi_stream_t_snd_rawmidi_t___GENPT__;
typedef struct {
    int format;
    FUNC_snd_rawmidi_stream_t_snd_rawmidi_t___GENPT__ func;
    ARGS_snd_rawmidi_stream_t_snd_rawmidi_t___GENPT__ args;
} PACKED_snd_rawmidi_stream_t_snd_rawmidi_t___GENPT__;
typedef struct {
    int func;
    ARGS_snd_rawmidi_stream_t_snd_rawmidi_t___GENPT__ args;
} INDEXED_snd_rawmidi_stream_t_snd_rawmidi_t___GENPT__;
typedef snd_rawmidi_type_t (*FUNC_snd_rawmidi_type_t_snd_rawmidi_t___GENPT__)(snd_rawmidi_t * rmidi);
typedef struct {
    snd_rawmidi_t * a1;
} ARGS_snd_rawmidi_type_t_snd_rawmidi_t___GENPT__;
typedef struct {
    int format;
    FUNC_snd_rawmidi_type_t_snd_rawmidi_t___GENPT__ func;
    ARGS_snd_rawmidi_type_t_snd_rawmidi_t___GENPT__ args;
} PACKED_snd_rawmidi_type_t_snd_rawmidi_t___GENPT__;
typedef struct {
    int func;
    ARGS_snd_rawmidi_type_t_snd_rawmidi_t___GENPT__ args;
} INDEXED_snd_rawmidi_type_t_snd_rawmidi_t___GENPT__;
typedef ssize_t (*FUNC_ssize_t_snd_rawmidi_t___GENPT___const_void___GENPT___size_t)(snd_rawmidi_t * rmidi, const void * buffer, size_t size);
typedef struct {
    snd_rawmidi_t * a1;
    void * a2;
    size_t a3;
} ARGS_ssize_t_snd_rawmidi_t___GENPT___const_void___GENPT___size_t;
typedef struct {
    int format;
    FUNC_ssize_t_snd_rawmidi_t___GENPT___const_void___GENPT___size_t func;
    ARGS_ssize_t_snd_rawmidi_t___GENPT___const_void___GENPT___size_t args;
} PACKED_ssize_t_snd_rawmidi_t___GENPT___const_void___GENPT___size_t;
typedef struct {
    int func;
    ARGS_ssize_t_snd_rawmidi_t___GENPT___const_void___GENPT___size_t args;
} INDEXED_ssize_t_snd_rawmidi_t___GENPT___const_void___GENPT___size_t;
typedef int (*FUNC_int_snd_sctl_t___GENPT____GENPT___snd_ctl_t___GENPT___snd_config_t___GENPT___snd_config_t___GENPT___int)(snd_sctl_t ** ctl, snd_ctl_t * handle, snd_config_t * config, snd_config_t * private_data, int mode);
typedef struct {
    snd_sctl_t ** a1;
    snd_ctl_t * a2;
    snd_config_t * a3;
    snd_config_t * a4;
    int a5;
} ARGS_int_snd_sctl_t___GENPT____GENPT___snd_ctl_t___GENPT___snd_config_t___GENPT___snd_config_t___GENPT___int;
typedef struct {
    int format;
    FUNC_int_snd_sctl_t___GENPT____GENPT___snd_ctl_t___GENPT___snd_config_t___GENPT___snd_config_t___GENPT___int func;
    ARGS_int_snd_sctl_t___GENPT____GENPT___snd_ctl_t___GENPT___snd_config_t___GENPT___snd_config_t___GENPT___int args;
} PACKED_int_snd_sctl_t___GENPT____GENPT___snd_ctl_t___GENPT___snd_config_t___GENPT___snd_config_t___GENPT___int;
typedef struct {
    int func;
    ARGS_int_snd_sctl_t___GENPT____GENPT___snd_ctl_t___GENPT___snd_config_t___GENPT___snd_config_t___GENPT___int args;
} INDEXED_int_snd_sctl_t___GENPT____GENPT___snd_ctl_t___GENPT___snd_config_t___GENPT___snd_config_t___GENPT___int;
typedef int (*FUNC_int_snd_sctl_t___GENPT__)(snd_sctl_t * handle);
typedef struct {
    snd_sctl_t * a1;
} ARGS_int_snd_sctl_t___GENPT__;
typedef struct {
    int format;
    FUNC_int_snd_sctl_t___GENPT__ func;
    ARGS_int_snd_sctl_t___GENPT__ args;
} PACKED_int_snd_sctl_t___GENPT__;
typedef struct {
    int func;
    ARGS_int_snd_sctl_t___GENPT__ args;
} INDEXED_int_snd_sctl_t___GENPT__;
typedef int (*FUNC_int_snd_seq_t___GENPT___const_char___GENPT__)(snd_seq_t * seq, const char * name);
typedef struct {
    snd_seq_t * a1;
    char * a2;
} ARGS_int_snd_seq_t___GENPT___const_char___GENPT__;
typedef struct {
    int format;
    FUNC_int_snd_seq_t___GENPT___const_char___GENPT__ func;
    ARGS_int_snd_seq_t___GENPT___const_char___GENPT__ args;
} PACKED_int_snd_seq_t___GENPT___const_char___GENPT__;
typedef struct {
    int func;
    ARGS_int_snd_seq_t___GENPT___const_char___GENPT__ args;
} INDEXED_int_snd_seq_t___GENPT___const_char___GENPT__;
typedef int (*FUNC_int_snd_seq_t___GENPT__)(snd_seq_t * handle);
typedef struct {
    snd_seq_t * a1;
} ARGS_int_snd_seq_t___GENPT__;
typedef struct {
    int format;
    FUNC_int_snd_seq_t___GENPT__ func;
    ARGS_int_snd_seq_t___GENPT__ args;
} PACKED_int_snd_seq_t___GENPT__;
typedef struct {
    int func;
    ARGS_int_snd_seq_t___GENPT__ args;
} INDEXED_int_snd_seq_t___GENPT__;
typedef int (*FUNC_int_int_void___GENPT__)(int nr, void * array);
typedef struct {
    int a1;
    void * a2;
} ARGS_int_int_void___GENPT__;
typedef struct {
    int format;
    FUNC_int_int_void___GENPT__ func;
    ARGS_int_int_void___GENPT__ args;
} PACKED_int_int_void___GENPT__;
typedef struct {
    int func;
    ARGS_int_int_void___GENPT__ args;
} INDEXED_int_int_void___GENPT__;
typedef void (*FUNC_void_snd_seq_client_info_t___GENPT___const_snd_seq_client_info_t___GENPT__)(snd_seq_client_info_t * dst, const snd_seq_client_info_t * src);
typedef struct {
    snd_seq_client_info_t * a1;
    snd_seq_client_info_t * a2;
} ARGS_void_snd_seq_client_info_t___GENPT___const_snd_seq_client_info_t___GENPT__;
typedef struct {
    int format;
    FUNC_void_snd_seq_client_info_t___GENPT___const_snd_seq_client_info_t___GENPT__ func;
    ARGS_void_snd_seq_client_info_t___GENPT___const_snd_seq_client_info_t___GENPT__ args;
} PACKED_void_snd_seq_client_info_t___GENPT___const_snd_seq_client_info_t___GENPT__;
typedef struct {
    int func;
    ARGS_void_snd_seq_client_info_t___GENPT___const_snd_seq_client_info_t___GENPT__ args;
} INDEXED_void_snd_seq_client_info_t___GENPT___const_snd_seq_client_info_t___GENPT__;
typedef void (*FUNC_void_snd_seq_client_info_t___GENPT__)(snd_seq_client_info_t * ptr);
typedef struct {
    snd_seq_client_info_t * a1;
} ARGS_void_snd_seq_client_info_t___GENPT__;
typedef struct {
    int format;
    FUNC_void_snd_seq_client_info_t___GENPT__ func;
    ARGS_void_snd_seq_client_info_t___GENPT__ args;
} PACKED_void_snd_seq_client_info_t___GENPT__;
typedef struct {
    int func;
    ARGS_void_snd_seq_client_info_t___GENPT__ args;
} INDEXED_void_snd_seq_client_info_t___GENPT__;
typedef int (*FUNC_int_const_snd_seq_client_info_t___GENPT__)(const snd_seq_client_info_t * info);
typedef struct {
    snd_seq_client_info_t * a1;
} ARGS_int_const_snd_seq_client_info_t___GENPT__;
typedef struct {
    int format;
    FUNC_int_const_snd_seq_client_info_t___GENPT__ func;
    ARGS_int_const_snd_seq_client_info_t___GENPT__ args;
} PACKED_int_const_snd_seq_client_info_t___GENPT__;
typedef struct {
    int func;
    ARGS_int_const_snd_seq_client_info_t___GENPT__ args;
} INDEXED_int_const_snd_seq_client_info_t___GENPT__;
typedef const unsigned char * (*FUNC_const_unsigned_char___GENPT___const_snd_seq_client_info_t___GENPT__)(const snd_seq_client_info_t * info);
typedef struct {
    snd_seq_client_info_t * a1;
} ARGS_const_unsigned_char___GENPT___const_snd_seq_client_info_t___GENPT__;
typedef struct {
    int format;
    FUNC_const_unsigned_char___GENPT___const_snd_seq_client_info_t___GENPT__ func;
    ARGS_const_unsigned_char___GENPT___const_snd_seq_client_info_t___GENPT__ args;
} PACKED_const_unsigned_char___GENPT___const_snd_seq_client_info_t___GENPT__;
typedef struct {
    int func;
    ARGS_const_unsigned_char___GENPT___const_snd_seq_client_info_t___GENPT__ args;
} INDEXED_const_unsigned_char___GENPT___const_snd_seq_client_info_t___GENPT__;
typedef const char * (*FUNC_const_char___GENPT___snd_seq_client_info_t___GENPT__)(snd_seq_client_info_t * info);
typedef struct {
    snd_seq_client_info_t * a1;
} ARGS_const_char___GENPT___snd_seq_client_info_t___GENPT__;
typedef struct {
    int format;
    FUNC_const_char___GENPT___snd_seq_client_info_t___GENPT__ func;
    ARGS_const_char___GENPT___snd_seq_client_info_t___GENPT__ args;
} PACKED_const_char___GENPT___snd_seq_client_info_t___GENPT__;
typedef struct {
    int func;
    ARGS_const_char___GENPT___snd_seq_client_info_t___GENPT__ args;
} INDEXED_const_char___GENPT___snd_seq_client_info_t___GENPT__;
typedef snd_seq_client_type_t (*FUNC_snd_seq_client_type_t_const_snd_seq_client_info_t___GENPT__)(const snd_seq_client_info_t * info);
typedef struct {
    snd_seq_client_info_t * a1;
} ARGS_snd_seq_client_type_t_const_snd_seq_client_info_t___GENPT__;
typedef struct {
    int format;
    FUNC_snd_seq_client_type_t_const_snd_seq_client_info_t___GENPT__ func;
    ARGS_snd_seq_client_type_t_const_snd_seq_client_info_t___GENPT__ args;
} PACKED_snd_seq_client_type_t_const_snd_seq_client_info_t___GENPT__;
typedef struct {
    int func;
    ARGS_snd_seq_client_type_t_const_snd_seq_client_info_t___GENPT__ args;
} INDEXED_snd_seq_client_type_t_const_snd_seq_client_info_t___GENPT__;
typedef int (*FUNC_int_snd_seq_client_info_t___GENPT____GENPT__)(snd_seq_client_info_t ** ptr);
typedef struct {
    snd_seq_client_info_t ** a1;
} ARGS_int_snd_seq_client_info_t___GENPT____GENPT__;
typedef struct {
    int format;
    FUNC_int_snd_seq_client_info_t___GENPT____GENPT__ func;
    ARGS_int_snd_seq_client_info_t___GENPT____GENPT__ args;
} PACKED_int_snd_seq_client_info_t___GENPT____GENPT__;
typedef struct {
    int func;
    ARGS_int_snd_seq_client_info_t___GENPT____GENPT__ args;
} INDEXED_int_snd_seq_client_info_t___GENPT____GENPT__;
typedef void (*FUNC_void_snd_seq_client_info_t___GENPT___int)(snd_seq_client_info_t * info, int val);
typedef struct {
    snd_seq_client_info_t * a1;
    int a2;
} ARGS_void_snd_seq_client_info_t___GENPT___int;
typedef struct {
    int format;
    FUNC_void_snd_seq_client_info_t___GENPT___int func;
    ARGS_void_snd_seq_client_info_t___GENPT___int args;
} PACKED_void_snd_seq_client_info_t___GENPT___int;
typedef struct {
    int func;
    ARGS_void_snd_seq_client_info_t___GENPT___int args;
} INDEXED_void_snd_seq_client_info_t___GENPT___int;
typedef void (*FUNC_void_snd_seq_client_info_t___GENPT___unsigned_char___GENPT__)(snd_seq_client_info_t * info, unsigned char * filter);
typedef struct {
    snd_seq_client_info_t * a1;
    unsigned char * a2;
} ARGS_void_snd_seq_client_info_t___GENPT___unsigned_char___GENPT__;
typedef struct {
    int format;
    FUNC_void_snd_seq_client_info_t___GENPT___unsigned_char___GENPT__ func;
    ARGS_void_snd_seq_client_info_t___GENPT___unsigned_char___GENPT__ args;
} PACKED_void_snd_seq_client_info_t___GENPT___unsigned_char___GENPT__;
typedef struct {
    int func;
    ARGS_void_snd_seq_client_info_t___GENPT___unsigned_char___GENPT__ args;
} INDEXED_void_snd_seq_client_info_t___GENPT___unsigned_char___GENPT__;
typedef void (*FUNC_void_snd_seq_client_info_t___GENPT___const_char___GENPT__)(snd_seq_client_info_t * info, const char * name);
typedef struct {
    snd_seq_client_info_t * a1;
    char * a2;
} ARGS_void_snd_seq_client_info_t___GENPT___const_char___GENPT__;
typedef struct {
    int format;
    FUNC_void_snd_seq_client_info_t___GENPT___const_char___GENPT__ func;
    ARGS_void_snd_seq_client_info_t___GENPT___const_char___GENPT__ args;
} PACKED_void_snd_seq_client_info_t___GENPT___const_char___GENPT__;
typedef struct {
    int func;
    ARGS_void_snd_seq_client_info_t___GENPT___const_char___GENPT__ args;
} INDEXED_void_snd_seq_client_info_t___GENPT___const_char___GENPT__;
typedef void (*FUNC_void_snd_seq_client_pool_t___GENPT___const_snd_seq_client_pool_t___GENPT__)(snd_seq_client_pool_t * dst, const snd_seq_client_pool_t * src);
typedef struct {
    snd_seq_client_pool_t * a1;
    snd_seq_client_pool_t * a2;
} ARGS_void_snd_seq_client_pool_t___GENPT___const_snd_seq_client_pool_t___GENPT__;
typedef struct {
    int format;
    FUNC_void_snd_seq_client_pool_t___GENPT___const_snd_seq_client_pool_t___GENPT__ func;
    ARGS_void_snd_seq_client_pool_t___GENPT___const_snd_seq_client_pool_t___GENPT__ args;
} PACKED_void_snd_seq_client_pool_t___GENPT___const_snd_seq_client_pool_t___GENPT__;
typedef struct {
    int func;
    ARGS_void_snd_seq_client_pool_t___GENPT___const_snd_seq_client_pool_t___GENPT__ args;
} INDEXED_void_snd_seq_client_pool_t___GENPT___const_snd_seq_client_pool_t___GENPT__;
typedef void (*FUNC_void_snd_seq_client_pool_t___GENPT__)(snd_seq_client_pool_t * ptr);
typedef struct {
    snd_seq_client_pool_t * a1;
} ARGS_void_snd_seq_client_pool_t___GENPT__;
typedef struct {
    int format;
    FUNC_void_snd_seq_client_pool_t___GENPT__ func;
    ARGS_void_snd_seq_client_pool_t___GENPT__ args;
} PACKED_void_snd_seq_client_pool_t___GENPT__;
typedef struct {
    int func;
    ARGS_void_snd_seq_client_pool_t___GENPT__ args;
} INDEXED_void_snd_seq_client_pool_t___GENPT__;
typedef int (*FUNC_int_const_snd_seq_client_pool_t___GENPT__)(const snd_seq_client_pool_t * info);
typedef struct {
    snd_seq_client_pool_t * a1;
} ARGS_int_const_snd_seq_client_pool_t___GENPT__;
typedef struct {
    int format;
    FUNC_int_const_snd_seq_client_pool_t___GENPT__ func;
    ARGS_int_const_snd_seq_client_pool_t___GENPT__ args;
} PACKED_int_const_snd_seq_client_pool_t___GENPT__;
typedef struct {
    int func;
    ARGS_int_const_snd_seq_client_pool_t___GENPT__ args;
} INDEXED_int_const_snd_seq_client_pool_t___GENPT__;
typedef size_t (*FUNC_size_t_const_snd_seq_client_pool_t___GENPT__)(const snd_seq_client_pool_t * info);
typedef struct {
    snd_seq_client_pool_t * a1;
} ARGS_size_t_const_snd_seq_client_pool_t___GENPT__;
typedef struct {
    int format;
    FUNC_size_t_const_snd_seq_client_pool_t___GENPT__ func;
    ARGS_size_t_const_snd_seq_client_pool_t___GENPT__ args;
} PACKED_size_t_const_snd_seq_client_pool_t___GENPT__;
typedef struct {
    int func;
    ARGS_size_t_const_snd_seq_client_pool_t___GENPT__ args;
} INDEXED_size_t_const_snd_seq_client_pool_t___GENPT__;
typedef int (*FUNC_int_snd_seq_client_pool_t___GENPT____GENPT__)(snd_seq_client_pool_t ** ptr);
typedef struct {
    snd_seq_client_pool_t ** a1;
} ARGS_int_snd_seq_client_pool_t___GENPT____GENPT__;
typedef struct {
    int format;
    FUNC_int_snd_seq_client_pool_t___GENPT____GENPT__ func;
    ARGS_int_snd_seq_client_pool_t___GENPT____GENPT__ args;
} PACKED_int_snd_seq_client_pool_t___GENPT____GENPT__;
typedef struct {
    int func;
    ARGS_int_snd_seq_client_pool_t___GENPT____GENPT__ args;
} INDEXED_int_snd_seq_client_pool_t___GENPT____GENPT__;
typedef void (*FUNC_void_snd_seq_client_pool_t___GENPT___size_t)(snd_seq_client_pool_t * info, size_t size);
typedef struct {
    snd_seq_client_pool_t * a1;
    size_t a2;
} ARGS_void_snd_seq_client_pool_t___GENPT___size_t;
typedef struct {
    int format;
    FUNC_void_snd_seq_client_pool_t___GENPT___size_t func;
    ARGS_void_snd_seq_client_pool_t___GENPT___size_t args;
} PACKED_void_snd_seq_client_pool_t___GENPT___size_t;
typedef struct {
    int func;
    ARGS_void_snd_seq_client_pool_t___GENPT___size_t args;
} INDEXED_void_snd_seq_client_pool_t___GENPT___size_t;
typedef int (*FUNC_int_snd_seq_t___GENPT___int_int_int)(snd_seq_t * seq, int myport, int src_client, int src_port);
typedef struct {
    snd_seq_t * a1;
    int a2;
    int a3;
    int a4;
} ARGS_int_snd_seq_t___GENPT___int_int_int;
typedef struct {
    int format;
    FUNC_int_snd_seq_t___GENPT___int_int_int func;
    ARGS_int_snd_seq_t___GENPT___int_int_int args;
} PACKED_int_snd_seq_t___GENPT___int_int_int;
typedef struct {
    int func;
    ARGS_int_snd_seq_t___GENPT___int_int_int args;
} INDEXED_int_snd_seq_t___GENPT___int_int_int;
typedef int (*FUNC_int_snd_seq_t___GENPT___int_int_int_snd_seq_event_t___GENPT__)(snd_seq_t * seq, int q, int type, int value, snd_seq_event_t * ev);
typedef struct {
    snd_seq_t * a1;
    int a2;
    int a3;
    int a4;
    snd_seq_event_t * a5;
} ARGS_int_snd_seq_t___GENPT___int_int_int_snd_seq_event_t___GENPT__;
typedef struct {
    int format;
    FUNC_int_snd_seq_t___GENPT___int_int_int_snd_seq_event_t___GENPT__ func;
    ARGS_int_snd_seq_t___GENPT___int_int_int_snd_seq_event_t___GENPT__ args;
} PACKED_int_snd_seq_t___GENPT___int_int_int_snd_seq_event_t___GENPT__;
typedef struct {
    int func;
    ARGS_int_snd_seq_t___GENPT___int_int_int_snd_seq_event_t___GENPT__ args;
} INDEXED_int_snd_seq_t___GENPT___int_int_int_snd_seq_event_t___GENPT__;
typedef int (*FUNC_int_snd_seq_t___GENPT___snd_seq_port_info_t___GENPT__)(snd_seq_t * handle, snd_seq_port_info_t * info);
typedef struct {
    snd_seq_t * a1;
    snd_seq_port_info_t * a2;
} ARGS_int_snd_seq_t___GENPT___snd_seq_port_info_t___GENPT__;
typedef struct {
    int format;
    FUNC_int_snd_seq_t___GENPT___snd_seq_port_info_t___GENPT__ func;
    ARGS_int_snd_seq_t___GENPT___snd_seq_port_info_t___GENPT__ args;
} PACKED_int_snd_seq_t___GENPT___snd_seq_port_info_t___GENPT__;
typedef struct {
    int func;
    ARGS_int_snd_seq_t___GENPT___snd_seq_port_info_t___GENPT__ args;
} INDEXED_int_snd_seq_t___GENPT___snd_seq_port_info_t___GENPT__;
typedef int (*FUNC_int_snd_seq_t___GENPT___snd_seq_queue_info_t___GENPT__)(snd_seq_t * seq, snd_seq_queue_info_t * info);
typedef struct {
    snd_seq_t * a1;
    snd_seq_queue_info_t * a2;
} ARGS_int_snd_seq_t___GENPT___snd_seq_queue_info_t___GENPT__;
typedef struct {
    int format;
    FUNC_int_snd_seq_t___GENPT___snd_seq_queue_info_t___GENPT__ func;
    ARGS_int_snd_seq_t___GENPT___snd_seq_queue_info_t___GENPT__ args;
} PACKED_int_snd_seq_t___GENPT___snd_seq_queue_info_t___GENPT__;
typedef struct {
    int func;
    ARGS_int_snd_seq_t___GENPT___snd_seq_queue_info_t___GENPT__ args;
} INDEXED_int_snd_seq_t___GENPT___snd_seq_queue_info_t___GENPT__;
typedef int (*FUNC_int_snd_seq_t___GENPT___const_char___GENPT___unsigned_int_unsigned_int)(snd_seq_t * seq, const char * name, unsigned int caps, unsigned int type);
typedef struct {
    snd_seq_t * a1;
    char * a2;
    unsigned int a3;
    unsigned int a4;
} ARGS_int_snd_seq_t___GENPT___const_char___GENPT___unsigned_int_unsigned_int;
typedef struct {
    int format;
    FUNC_int_snd_seq_t___GENPT___const_char___GENPT___unsigned_int_unsigned_int func;
    ARGS_int_snd_seq_t___GENPT___const_char___GENPT___unsigned_int_unsigned_int args;
} PACKED_int_snd_seq_t___GENPT___const_char___GENPT___unsigned_int_unsigned_int;
typedef struct {
    int func;
    ARGS_int_snd_seq_t___GENPT___const_char___GENPT___unsigned_int_unsigned_int args;
} INDEXED_int_snd_seq_t___GENPT___const_char___GENPT___unsigned_int_unsigned_int;
typedef int (*FUNC_int_snd_seq_t___GENPT___int)(snd_seq_t * handle, int port);
typedef struct {
    snd_seq_t * a1;
    int a2;
} ARGS_int_snd_seq_t___GENPT___int;
typedef struct {
    int format;
    FUNC_int_snd_seq_t___GENPT___int func;
    ARGS_int_snd_seq_t___GENPT___int args;
} PACKED_int_snd_seq_t___GENPT___int;
typedef struct {
    int func;
    ARGS_int_snd_seq_t___GENPT___int args;
} INDEXED_int_snd_seq_t___GENPT___int;
typedef int (*FUNC_int_snd_seq_t___GENPT___snd_seq_event_t___GENPT____GENPT__)(snd_seq_t * handle, snd_seq_event_t ** ev);
typedef struct {
    snd_seq_t * a1;
    snd_seq_event_t ** a2;
} ARGS_int_snd_seq_t___GENPT___snd_seq_event_t___GENPT____GENPT__;
typedef struct {
    int format;
    FUNC_int_snd_seq_t___GENPT___snd_seq_event_t___GENPT____GENPT__ func;
    ARGS_int_snd_seq_t___GENPT___snd_seq_event_t___GENPT____GENPT__ args;
} PACKED_int_snd_seq_t___GENPT___snd_seq_event_t___GENPT____GENPT__;
typedef struct {
    int func;
    ARGS_int_snd_seq_t___GENPT___snd_seq_event_t___GENPT____GENPT__ args;
} INDEXED_int_snd_seq_t___GENPT___snd_seq_event_t___GENPT____GENPT__;
typedef ssize_t (*FUNC_ssize_t_snd_seq_event_t___GENPT__)(snd_seq_event_t * ev);
typedef struct {
    snd_seq_event_t * a1;
} ARGS_ssize_t_snd_seq_event_t___GENPT__;
typedef struct {
    int format;
    FUNC_ssize_t_snd_seq_event_t___GENPT__ func;
    ARGS_ssize_t_snd_seq_event_t___GENPT__ args;
} PACKED_ssize_t_snd_seq_event_t___GENPT__;
typedef struct {
    int func;
    ARGS_ssize_t_snd_seq_event_t___GENPT__ args;
} INDEXED_ssize_t_snd_seq_event_t___GENPT__;
typedef int (*FUNC_int_snd_seq_t___GENPT___snd_seq_event_t___GENPT__)(snd_seq_t * handle, snd_seq_event_t * ev);
typedef struct {
    snd_seq_t * a1;
    snd_seq_event_t * a2;
} ARGS_int_snd_seq_t___GENPT___snd_seq_event_t___GENPT__;
typedef struct {
    int format;
    FUNC_int_snd_seq_t___GENPT___snd_seq_event_t___GENPT__ func;
    ARGS_int_snd_seq_t___GENPT___snd_seq_event_t___GENPT__ args;
} PACKED_int_snd_seq_t___GENPT___snd_seq_event_t___GENPT__;
typedef struct {
    int func;
    ARGS_int_snd_seq_t___GENPT___snd_seq_event_t___GENPT__ args;
} INDEXED_int_snd_seq_t___GENPT___snd_seq_event_t___GENPT__;
typedef int (*FUNC_int_snd_seq_event_t___GENPT__)(snd_seq_event_t * ev);
typedef struct {
    snd_seq_event_t * a1;
} ARGS_int_snd_seq_event_t___GENPT__;
typedef struct {
    int format;
    FUNC_int_snd_seq_event_t___GENPT__ func;
    ARGS_int_snd_seq_event_t___GENPT__ args;
} PACKED_int_snd_seq_event_t___GENPT__;
typedef struct {
    int func;
    ARGS_int_snd_seq_event_t___GENPT__ args;
} INDEXED_int_snd_seq_event_t___GENPT__;
typedef int (*FUNC_int_snd_seq_t___GENPT___int_snd_seq_client_info_t___GENPT__)(snd_seq_t * handle, int client, snd_seq_client_info_t * info);
typedef struct {
    snd_seq_t * a1;
    int a2;
    snd_seq_client_info_t * a3;
} ARGS_int_snd_seq_t___GENPT___int_snd_seq_client_info_t___GENPT__;
typedef struct {
    int format;
    FUNC_int_snd_seq_t___GENPT___int_snd_seq_client_info_t___GENPT__ func;
    ARGS_int_snd_seq_t___GENPT___int_snd_seq_client_info_t___GENPT__ args;
} PACKED_int_snd_seq_t___GENPT___int_snd_seq_client_info_t___GENPT__;
typedef struct {
    int func;
    ARGS_int_snd_seq_t___GENPT___int_snd_seq_client_info_t___GENPT__ args;
} INDEXED_int_snd_seq_t___GENPT___int_snd_seq_client_info_t___GENPT__;
typedef int (*FUNC_int_snd_seq_t___GENPT___int_int_snd_seq_port_info_t___GENPT__)(snd_seq_t * handle, int client, int port, snd_seq_port_info_t * info);
typedef struct {
    snd_seq_t * a1;
    int a2;
    int a3;
    snd_seq_port_info_t * a4;
} ARGS_int_snd_seq_t___GENPT___int_int_snd_seq_port_info_t___GENPT__;
typedef struct {
    int format;
    FUNC_int_snd_seq_t___GENPT___int_int_snd_seq_port_info_t___GENPT__ func;
    ARGS_int_snd_seq_t___GENPT___int_int_snd_seq_port_info_t___GENPT__ args;
} PACKED_int_snd_seq_t___GENPT___int_int_snd_seq_port_info_t___GENPT__;
typedef struct {
    int func;
    ARGS_int_snd_seq_t___GENPT___int_int_snd_seq_port_info_t___GENPT__ args;
} INDEXED_int_snd_seq_t___GENPT___int_int_snd_seq_port_info_t___GENPT__;
typedef int (*FUNC_int_snd_seq_t___GENPT___snd_seq_client_info_t___GENPT__)(snd_seq_t * handle, snd_seq_client_info_t * info);
typedef struct {
    snd_seq_t * a1;
    snd_seq_client_info_t * a2;
} ARGS_int_snd_seq_t___GENPT___snd_seq_client_info_t___GENPT__;
typedef struct {
    int format;
    FUNC_int_snd_seq_t___GENPT___snd_seq_client_info_t___GENPT__ func;
    ARGS_int_snd_seq_t___GENPT___snd_seq_client_info_t___GENPT__ args;
} PACKED_int_snd_seq_t___GENPT___snd_seq_client_info_t___GENPT__;
typedef struct {
    int func;
    ARGS_int_snd_seq_t___GENPT___snd_seq_client_info_t___GENPT__ args;
} INDEXED_int_snd_seq_t___GENPT___snd_seq_client_info_t___GENPT__;
typedef int (*FUNC_int_snd_seq_t___GENPT___snd_seq_client_pool_t___GENPT__)(snd_seq_t * handle, snd_seq_client_pool_t * info);
typedef struct {
    snd_seq_t * a1;
    snd_seq_client_pool_t * a2;
} ARGS_int_snd_seq_t___GENPT___snd_seq_client_pool_t___GENPT__;
typedef struct {
    int format;
    FUNC_int_snd_seq_t___GENPT___snd_seq_client_pool_t___GENPT__ func;
    ARGS_int_snd_seq_t___GENPT___snd_seq_client_pool_t___GENPT__ args;
} PACKED_int_snd_seq_t___GENPT___snd_seq_client_pool_t___GENPT__;
typedef struct {
    int func;
    ARGS_int_snd_seq_t___GENPT___snd_seq_client_pool_t___GENPT__ args;
} INDEXED_int_snd_seq_t___GENPT___snd_seq_client_pool_t___GENPT__;
typedef size_t (*FUNC_size_t_snd_seq_t___GENPT__)(snd_seq_t * handle);
typedef struct {
    snd_seq_t * a1;
} ARGS_size_t_snd_seq_t___GENPT__;
typedef struct {
    int format;
    FUNC_size_t_snd_seq_t___GENPT__ func;
    ARGS_size_t_snd_seq_t___GENPT__ args;
} PACKED_size_t_snd_seq_t___GENPT__;
typedef struct {
    int func;
    ARGS_size_t_snd_seq_t___GENPT__ args;
} INDEXED_size_t_snd_seq_t___GENPT__;
typedef int (*FUNC_int_snd_seq_t___GENPT___int_snd_seq_port_info_t___GENPT__)(snd_seq_t * handle, int port, snd_seq_port_info_t * info);
typedef struct {
    snd_seq_t * a1;
    int a2;
    snd_seq_port_info_t * a3;
} ARGS_int_snd_seq_t___GENPT___int_snd_seq_port_info_t___GENPT__;
typedef struct {
    int format;
    FUNC_int_snd_seq_t___GENPT___int_snd_seq_port_info_t___GENPT__ func;
    ARGS_int_snd_seq_t___GENPT___int_snd_seq_port_info_t___GENPT__ args;
} PACKED_int_snd_seq_t___GENPT___int_snd_seq_port_info_t___GENPT__;
typedef struct {
    int func;
    ARGS_int_snd_seq_t___GENPT___int_snd_seq_port_info_t___GENPT__ args;
} INDEXED_int_snd_seq_t___GENPT___int_snd_seq_port_info_t___GENPT__;
typedef int (*FUNC_int_snd_seq_t___GENPT___snd_seq_port_subscribe_t___GENPT__)(snd_seq_t * handle, snd_seq_port_subscribe_t * sub);
typedef struct {
    snd_seq_t * a1;
    snd_seq_port_subscribe_t * a2;
} ARGS_int_snd_seq_t___GENPT___snd_seq_port_subscribe_t___GENPT__;
typedef struct {
    int format;
    FUNC_int_snd_seq_t___GENPT___snd_seq_port_subscribe_t___GENPT__ func;
    ARGS_int_snd_seq_t___GENPT___snd_seq_port_subscribe_t___GENPT__ args;
} PACKED_int_snd_seq_t___GENPT___snd_seq_port_subscribe_t___GENPT__;
typedef struct {
    int func;
    ARGS_int_snd_seq_t___GENPT___snd_seq_port_subscribe_t___GENPT__ args;
} INDEXED_int_snd_seq_t___GENPT___snd_seq_port_subscribe_t___GENPT__;
typedef int (*FUNC_int_snd_seq_t___GENPT___int_snd_seq_queue_info_t___GENPT__)(snd_seq_t * seq, int q, snd_seq_queue_info_t * info);
typedef struct {
    snd_seq_t * a1;
    int a2;
    snd_seq_queue_info_t * a3;
} ARGS_int_snd_seq_t___GENPT___int_snd_seq_queue_info_t___GENPT__;
typedef struct {
    int format;
    FUNC_int_snd_seq_t___GENPT___int_snd_seq_queue_info_t___GENPT__ func;
    ARGS_int_snd_seq_t___GENPT___int_snd_seq_queue_info_t___GENPT__ args;
} PACKED_int_snd_seq_t___GENPT___int_snd_seq_queue_info_t___GENPT__;
typedef struct {
    int func;
    ARGS_int_snd_seq_t___GENPT___int_snd_seq_queue_info_t___GENPT__ args;
} INDEXED_int_snd_seq_t___GENPT___int_snd_seq_queue_info_t___GENPT__;
typedef int (*FUNC_int_snd_seq_t___GENPT___int_snd_seq_queue_status_t___GENPT__)(snd_seq_t * handle, int q, snd_seq_queue_status_t * status);
typedef struct {
    snd_seq_t * a1;
    int a2;
    snd_seq_queue_status_t * a3;
} ARGS_int_snd_seq_t___GENPT___int_snd_seq_queue_status_t___GENPT__;
typedef struct {
    int format;
    FUNC_int_snd_seq_t___GENPT___int_snd_seq_queue_status_t___GENPT__ func;
    ARGS_int_snd_seq_t___GENPT___int_snd_seq_queue_status_t___GENPT__ args;
} PACKED_int_snd_seq_t___GENPT___int_snd_seq_queue_status_t___GENPT__;
typedef struct {
    int func;
    ARGS_int_snd_seq_t___GENPT___int_snd_seq_queue_status_t___GENPT__ args;
} INDEXED_int_snd_seq_t___GENPT___int_snd_seq_queue_status_t___GENPT__;
typedef int (*FUNC_int_snd_seq_t___GENPT___int_snd_seq_queue_tempo_t___GENPT__)(snd_seq_t * handle, int q, snd_seq_queue_tempo_t * tempo);
typedef struct {
    snd_seq_t * a1;
    int a2;
    snd_seq_queue_tempo_t * a3;
} ARGS_int_snd_seq_t___GENPT___int_snd_seq_queue_tempo_t___GENPT__;
typedef struct {
    int format;
    FUNC_int_snd_seq_t___GENPT___int_snd_seq_queue_tempo_t___GENPT__ func;
    ARGS_int_snd_seq_t___GENPT___int_snd_seq_queue_tempo_t___GENPT__ args;
} PACKED_int_snd_seq_t___GENPT___int_snd_seq_queue_tempo_t___GENPT__;
typedef struct {
    int func;
    ARGS_int_snd_seq_t___GENPT___int_snd_seq_queue_tempo_t___GENPT__ args;
} INDEXED_int_snd_seq_t___GENPT___int_snd_seq_queue_tempo_t___GENPT__;
typedef int (*FUNC_int_snd_seq_t___GENPT___int_snd_seq_queue_timer_t___GENPT__)(snd_seq_t * handle, int q, snd_seq_queue_timer_t * timer);
typedef struct {
    snd_seq_t * a1;
    int a2;
    snd_seq_queue_timer_t * a3;
} ARGS_int_snd_seq_t___GENPT___int_snd_seq_queue_timer_t___GENPT__;
typedef struct {
    int format;
    FUNC_int_snd_seq_t___GENPT___int_snd_seq_queue_timer_t___GENPT__ func;
    ARGS_int_snd_seq_t___GENPT___int_snd_seq_queue_timer_t___GENPT__ args;
} PACKED_int_snd_seq_t___GENPT___int_snd_seq_queue_timer_t___GENPT__;
typedef struct {
    int func;
    ARGS_int_snd_seq_t___GENPT___int_snd_seq_queue_timer_t___GENPT__ args;
} INDEXED_int_snd_seq_t___GENPT___int_snd_seq_queue_timer_t___GENPT__;
typedef const char * (*FUNC_const_char___GENPT___snd_seq_t___GENPT__)(snd_seq_t * seq);
typedef struct {
    snd_seq_t * a1;
} ARGS_const_char___GENPT___snd_seq_t___GENPT__;
typedef struct {
    int format;
    FUNC_const_char___GENPT___snd_seq_t___GENPT__ func;
    ARGS_const_char___GENPT___snd_seq_t___GENPT__ args;
} PACKED_const_char___GENPT___snd_seq_t___GENPT__;
typedef struct {
    int func;
    ARGS_const_char___GENPT___snd_seq_t___GENPT__ args;
} INDEXED_const_char___GENPT___snd_seq_t___GENPT__;
typedef int (*FUNC_int_snd_seq_t___GENPT____GENPT___const_char___GENPT___int_int)(snd_seq_t ** handle, const char * name, int streams, int mode);
typedef struct {
    snd_seq_t ** a1;
    char * a2;
    int a3;
    int a4;
} ARGS_int_snd_seq_t___GENPT____GENPT___const_char___GENPT___int_int;
typedef struct {
    int format;
    FUNC_int_snd_seq_t___GENPT____GENPT___const_char___GENPT___int_int func;
    ARGS_int_snd_seq_t___GENPT____GENPT___const_char___GENPT___int_int args;
} PACKED_int_snd_seq_t___GENPT____GENPT___const_char___GENPT___int_int;
typedef struct {
    int func;
    ARGS_int_snd_seq_t___GENPT____GENPT___const_char___GENPT___int_int args;
} INDEXED_int_snd_seq_t___GENPT____GENPT___const_char___GENPT___int_int;
typedef int (*FUNC_int_snd_seq_t___GENPT____GENPT___const_char___GENPT___int_int_snd_config_t___GENPT__)(snd_seq_t ** handle, const char * name, int streams, int mode, snd_config_t * lconf);
typedef struct {
    snd_seq_t ** a1;
    char * a2;
    int a3;
    int a4;
    snd_config_t * a5;
} ARGS_int_snd_seq_t___GENPT____GENPT___const_char___GENPT___int_int_snd_config_t___GENPT__;
typedef struct {
    int format;
    FUNC_int_snd_seq_t___GENPT____GENPT___const_char___GENPT___int_int_snd_config_t___GENPT__ func;
    ARGS_int_snd_seq_t___GENPT____GENPT___const_char___GENPT___int_int_snd_config_t___GENPT__ args;
} PACKED_int_snd_seq_t___GENPT____GENPT___const_char___GENPT___int_int_snd_config_t___GENPT__;
typedef struct {
    int func;
    ARGS_int_snd_seq_t___GENPT____GENPT___const_char___GENPT___int_int_snd_config_t___GENPT__ args;
} INDEXED_int_snd_seq_t___GENPT____GENPT___const_char___GENPT___int_int_snd_config_t___GENPT__;
typedef int (*FUNC_int_snd_seq_t___GENPT___snd_seq_addr_t___GENPT___const_char___GENPT__)(snd_seq_t * seq, snd_seq_addr_t * addr, const char * arg);
typedef struct {
    snd_seq_t * a1;
    snd_seq_addr_t * a2;
    char * a3;
} ARGS_int_snd_seq_t___GENPT___snd_seq_addr_t___GENPT___const_char___GENPT__;
typedef struct {
    int format;
    FUNC_int_snd_seq_t___GENPT___snd_seq_addr_t___GENPT___const_char___GENPT__ func;
    ARGS_int_snd_seq_t___GENPT___snd_seq_addr_t___GENPT___const_char___GENPT__ args;
} PACKED_int_snd_seq_t___GENPT___snd_seq_addr_t___GENPT___const_char___GENPT__;
typedef struct {
    int func;
    ARGS_int_snd_seq_t___GENPT___snd_seq_addr_t___GENPT___const_char___GENPT__ args;
} INDEXED_int_snd_seq_t___GENPT___snd_seq_addr_t___GENPT___const_char___GENPT__;
typedef int (*FUNC_int_snd_seq_t___GENPT___struct_pollfd___GENPT___unsigned_int_short)(snd_seq_t * handle, struct pollfd * pfds, unsigned int space, short events);
typedef struct {
    snd_seq_t * a1;
    struct pollfd * a2;
    unsigned int a3;
    short a4;
} ARGS_int_snd_seq_t___GENPT___struct_pollfd___GENPT___unsigned_int_short;
typedef struct {
    int format;
    FUNC_int_snd_seq_t___GENPT___struct_pollfd___GENPT___unsigned_int_short func;
    ARGS_int_snd_seq_t___GENPT___struct_pollfd___GENPT___unsigned_int_short args;
} PACKED_int_snd_seq_t___GENPT___struct_pollfd___GENPT___unsigned_int_short;
typedef struct {
    int func;
    ARGS_int_snd_seq_t___GENPT___struct_pollfd___GENPT___unsigned_int_short args;
} INDEXED_int_snd_seq_t___GENPT___struct_pollfd___GENPT___unsigned_int_short;
typedef int (*FUNC_int_snd_seq_t___GENPT___short)(snd_seq_t * handle, short events);
typedef struct {
    snd_seq_t * a1;
    short a2;
} ARGS_int_snd_seq_t___GENPT___short;
typedef struct {
    int format;
    FUNC_int_snd_seq_t___GENPT___short func;
    ARGS_int_snd_seq_t___GENPT___short args;
} PACKED_int_snd_seq_t___GENPT___short;
typedef struct {
    int func;
    ARGS_int_snd_seq_t___GENPT___short args;
} INDEXED_int_snd_seq_t___GENPT___short;
typedef int (*FUNC_int_snd_seq_t___GENPT___struct_pollfd___GENPT___unsigned_int_unsigned_short___GENPT__)(snd_seq_t * seq, struct pollfd * pfds, unsigned int nfds, unsigned short * revents);
typedef struct {
    snd_seq_t * a1;
    struct pollfd * a2;
    unsigned int a3;
    unsigned short * a4;
} ARGS_int_snd_seq_t___GENPT___struct_pollfd___GENPT___unsigned_int_unsigned_short___GENPT__;
typedef struct {
    int format;
    FUNC_int_snd_seq_t___GENPT___struct_pollfd___GENPT___unsigned_int_unsigned_short___GENPT__ func;
    ARGS_int_snd_seq_t___GENPT___struct_pollfd___GENPT___unsigned_int_unsigned_short___GENPT__ args;
} PACKED_int_snd_seq_t___GENPT___struct_pollfd___GENPT___unsigned_int_unsigned_short___GENPT__;
typedef struct {
    int func;
    ARGS_int_snd_seq_t___GENPT___struct_pollfd___GENPT___unsigned_int_unsigned_short___GENPT__ args;
} INDEXED_int_snd_seq_t___GENPT___struct_pollfd___GENPT___unsigned_int_unsigned_short___GENPT__;
typedef void (*FUNC_void_snd_seq_port_info_t___GENPT___const_snd_seq_port_info_t___GENPT__)(snd_seq_port_info_t * dst, const snd_seq_port_info_t * src);
typedef struct {
    snd_seq_port_info_t * a1;
    snd_seq_port_info_t * a2;
} ARGS_void_snd_seq_port_info_t___GENPT___const_snd_seq_port_info_t___GENPT__;
typedef struct {
    int format;
    FUNC_void_snd_seq_port_info_t___GENPT___const_snd_seq_port_info_t___GENPT__ func;
    ARGS_void_snd_seq_port_info_t___GENPT___const_snd_seq_port_info_t___GENPT__ args;
} PACKED_void_snd_seq_port_info_t___GENPT___const_snd_seq_port_info_t___GENPT__;
typedef struct {
    int func;
    ARGS_void_snd_seq_port_info_t___GENPT___const_snd_seq_port_info_t___GENPT__ args;
} INDEXED_void_snd_seq_port_info_t___GENPT___const_snd_seq_port_info_t___GENPT__;
typedef void (*FUNC_void_snd_seq_port_info_t___GENPT__)(snd_seq_port_info_t * ptr);
typedef struct {
    snd_seq_port_info_t * a1;
} ARGS_void_snd_seq_port_info_t___GENPT__;
typedef struct {
    int format;
    FUNC_void_snd_seq_port_info_t___GENPT__ func;
    ARGS_void_snd_seq_port_info_t___GENPT__ args;
} PACKED_void_snd_seq_port_info_t___GENPT__;
typedef struct {
    int func;
    ARGS_void_snd_seq_port_info_t___GENPT__ args;
} INDEXED_void_snd_seq_port_info_t___GENPT__;
typedef const snd_seq_addr_t * (*FUNC_const_snd_seq_addr_t___GENPT___const_snd_seq_port_info_t___GENPT__)(const snd_seq_port_info_t * info);
typedef struct {
    snd_seq_port_info_t * a1;
} ARGS_const_snd_seq_addr_t___GENPT___const_snd_seq_port_info_t___GENPT__;
typedef struct {
    int format;
    FUNC_const_snd_seq_addr_t___GENPT___const_snd_seq_port_info_t___GENPT__ func;
    ARGS_const_snd_seq_addr_t___GENPT___const_snd_seq_port_info_t___GENPT__ args;
} PACKED_const_snd_seq_addr_t___GENPT___const_snd_seq_port_info_t___GENPT__;
typedef struct {
    int func;
    ARGS_const_snd_seq_addr_t___GENPT___const_snd_seq_port_info_t___GENPT__ args;
} INDEXED_const_snd_seq_addr_t___GENPT___const_snd_seq_port_info_t___GENPT__;
typedef unsigned int (*FUNC_unsigned_int_const_snd_seq_port_info_t___GENPT__)(const snd_seq_port_info_t * info);
typedef struct {
    snd_seq_port_info_t * a1;
} ARGS_unsigned_int_const_snd_seq_port_info_t___GENPT__;
typedef struct {
    int format;
    FUNC_unsigned_int_const_snd_seq_port_info_t___GENPT__ func;
    ARGS_unsigned_int_const_snd_seq_port_info_t___GENPT__ args;
} PACKED_unsigned_int_const_snd_seq_port_info_t___GENPT__;
typedef struct {
    int func;
    ARGS_unsigned_int_const_snd_seq_port_info_t___GENPT__ args;
} INDEXED_unsigned_int_const_snd_seq_port_info_t___GENPT__;
typedef int (*FUNC_int_const_snd_seq_port_info_t___GENPT__)(const snd_seq_port_info_t * info);
typedef struct {
    snd_seq_port_info_t * a1;
} ARGS_int_const_snd_seq_port_info_t___GENPT__;
typedef struct {
    int format;
    FUNC_int_const_snd_seq_port_info_t___GENPT__ func;
    ARGS_int_const_snd_seq_port_info_t___GENPT__ args;
} PACKED_int_const_snd_seq_port_info_t___GENPT__;
typedef struct {
    int func;
    ARGS_int_const_snd_seq_port_info_t___GENPT__ args;
} INDEXED_int_const_snd_seq_port_info_t___GENPT__;
typedef const char * (*FUNC_const_char___GENPT___const_snd_seq_port_info_t___GENPT__)(const snd_seq_port_info_t * info);
typedef struct {
    snd_seq_port_info_t * a1;
} ARGS_const_char___GENPT___const_snd_seq_port_info_t___GENPT__;
typedef struct {
    int format;
    FUNC_const_char___GENPT___const_snd_seq_port_info_t___GENPT__ func;
    ARGS_const_char___GENPT___const_snd_seq_port_info_t___GENPT__ args;
} PACKED_const_char___GENPT___const_snd_seq_port_info_t___GENPT__;
typedef struct {
    int func;
    ARGS_const_char___GENPT___const_snd_seq_port_info_t___GENPT__ args;
} INDEXED_const_char___GENPT___const_snd_seq_port_info_t___GENPT__;
typedef int (*FUNC_int_snd_seq_port_info_t___GENPT____GENPT__)(snd_seq_port_info_t ** ptr);
typedef struct {
    snd_seq_port_info_t ** a1;
} ARGS_int_snd_seq_port_info_t___GENPT____GENPT__;
typedef struct {
    int format;
    FUNC_int_snd_seq_port_info_t___GENPT____GENPT__ func;
    ARGS_int_snd_seq_port_info_t___GENPT____GENPT__ args;
} PACKED_int_snd_seq_port_info_t___GENPT____GENPT__;
typedef struct {
    int func;
    ARGS_int_snd_seq_port_info_t___GENPT____GENPT__ args;
} INDEXED_int_snd_seq_port_info_t___GENPT____GENPT__;
typedef void (*FUNC_void_snd_seq_port_info_t___GENPT___const_snd_seq_addr_t___GENPT__)(snd_seq_port_info_t * info, const snd_seq_addr_t * addr);
typedef struct {
    snd_seq_port_info_t * a1;
    snd_seq_addr_t * a2;
} ARGS_void_snd_seq_port_info_t___GENPT___const_snd_seq_addr_t___GENPT__;
typedef struct {
    int format;
    FUNC_void_snd_seq_port_info_t___GENPT___const_snd_seq_addr_t___GENPT__ func;
    ARGS_void_snd_seq_port_info_t___GENPT___const_snd_seq_addr_t___GENPT__ args;
} PACKED_void_snd_seq_port_info_t___GENPT___const_snd_seq_addr_t___GENPT__;
typedef struct {
    int func;
    ARGS_void_snd_seq_port_info_t___GENPT___const_snd_seq_addr_t___GENPT__ args;
} INDEXED_void_snd_seq_port_info_t___GENPT___const_snd_seq_addr_t___GENPT__;
typedef void (*FUNC_void_snd_seq_port_info_t___GENPT___unsigned_int)(snd_seq_port_info_t * info, unsigned int capability);
typedef struct {
    snd_seq_port_info_t * a1;
    unsigned int a2;
} ARGS_void_snd_seq_port_info_t___GENPT___unsigned_int;
typedef struct {
    int format;
    FUNC_void_snd_seq_port_info_t___GENPT___unsigned_int func;
    ARGS_void_snd_seq_port_info_t___GENPT___unsigned_int args;
} PACKED_void_snd_seq_port_info_t___GENPT___unsigned_int;
typedef struct {
    int func;
    ARGS_void_snd_seq_port_info_t___GENPT___unsigned_int args;
} INDEXED_void_snd_seq_port_info_t___GENPT___unsigned_int;
typedef void (*FUNC_void_snd_seq_port_info_t___GENPT___int)(snd_seq_port_info_t * info, int client);
typedef struct {
    snd_seq_port_info_t * a1;
    int a2;
} ARGS_void_snd_seq_port_info_t___GENPT___int;
typedef struct {
    int format;
    FUNC_void_snd_seq_port_info_t___GENPT___int func;
    ARGS_void_snd_seq_port_info_t___GENPT___int args;
} PACKED_void_snd_seq_port_info_t___GENPT___int;
typedef struct {
    int func;
    ARGS_void_snd_seq_port_info_t___GENPT___int args;
} INDEXED_void_snd_seq_port_info_t___GENPT___int;
typedef void (*FUNC_void_snd_seq_port_info_t___GENPT___const_char___GENPT__)(snd_seq_port_info_t * info, const char * name);
typedef struct {
    snd_seq_port_info_t * a1;
    char * a2;
} ARGS_void_snd_seq_port_info_t___GENPT___const_char___GENPT__;
typedef struct {
    int format;
    FUNC_void_snd_seq_port_info_t___GENPT___const_char___GENPT__ func;
    ARGS_void_snd_seq_port_info_t___GENPT___const_char___GENPT__ args;
} PACKED_void_snd_seq_port_info_t___GENPT___const_char___GENPT__;
typedef struct {
    int func;
    ARGS_void_snd_seq_port_info_t___GENPT___const_char___GENPT__ args;
} INDEXED_void_snd_seq_port_info_t___GENPT___const_char___GENPT__;
typedef void (*FUNC_void_snd_seq_port_subscribe_t___GENPT___const_snd_seq_port_subscribe_t___GENPT__)(snd_seq_port_subscribe_t * dst, const snd_seq_port_subscribe_t * src);
typedef struct {
    snd_seq_port_subscribe_t * a1;
    snd_seq_port_subscribe_t * a2;
} ARGS_void_snd_seq_port_subscribe_t___GENPT___const_snd_seq_port_subscribe_t___GENPT__;
typedef struct {
    int format;
    FUNC_void_snd_seq_port_subscribe_t___GENPT___const_snd_seq_port_subscribe_t___GENPT__ func;
    ARGS_void_snd_seq_port_subscribe_t___GENPT___const_snd_seq_port_subscribe_t___GENPT__ args;
} PACKED_void_snd_seq_port_subscribe_t___GENPT___const_snd_seq_port_subscribe_t___GENPT__;
typedef struct {
    int func;
    ARGS_void_snd_seq_port_subscribe_t___GENPT___const_snd_seq_port_subscribe_t___GENPT__ args;
} INDEXED_void_snd_seq_port_subscribe_t___GENPT___const_snd_seq_port_subscribe_t___GENPT__;
typedef void (*FUNC_void_snd_seq_port_subscribe_t___GENPT__)(snd_seq_port_subscribe_t * ptr);
typedef struct {
    snd_seq_port_subscribe_t * a1;
} ARGS_void_snd_seq_port_subscribe_t___GENPT__;
typedef struct {
    int format;
    FUNC_void_snd_seq_port_subscribe_t___GENPT__ func;
    ARGS_void_snd_seq_port_subscribe_t___GENPT__ args;
} PACKED_void_snd_seq_port_subscribe_t___GENPT__;
typedef struct {
    int func;
    ARGS_void_snd_seq_port_subscribe_t___GENPT__ args;
} INDEXED_void_snd_seq_port_subscribe_t___GENPT__;
typedef const snd_seq_addr_t * (*FUNC_const_snd_seq_addr_t___GENPT___const_snd_seq_port_subscribe_t___GENPT__)(const snd_seq_port_subscribe_t * info);
typedef struct {
    snd_seq_port_subscribe_t * a1;
} ARGS_const_snd_seq_addr_t___GENPT___const_snd_seq_port_subscribe_t___GENPT__;
typedef struct {
    int format;
    FUNC_const_snd_seq_addr_t___GENPT___const_snd_seq_port_subscribe_t___GENPT__ func;
    ARGS_const_snd_seq_addr_t___GENPT___const_snd_seq_port_subscribe_t___GENPT__ args;
} PACKED_const_snd_seq_addr_t___GENPT___const_snd_seq_port_subscribe_t___GENPT__;
typedef struct {
    int func;
    ARGS_const_snd_seq_addr_t___GENPT___const_snd_seq_port_subscribe_t___GENPT__ args;
} INDEXED_const_snd_seq_addr_t___GENPT___const_snd_seq_port_subscribe_t___GENPT__;
typedef int (*FUNC_int_const_snd_seq_port_subscribe_t___GENPT__)(const snd_seq_port_subscribe_t * info);
typedef struct {
    snd_seq_port_subscribe_t * a1;
} ARGS_int_const_snd_seq_port_subscribe_t___GENPT__;
typedef struct {
    int format;
    FUNC_int_const_snd_seq_port_subscribe_t___GENPT__ func;
    ARGS_int_const_snd_seq_port_subscribe_t___GENPT__ args;
} PACKED_int_const_snd_seq_port_subscribe_t___GENPT__;
typedef struct {
    int func;
    ARGS_int_const_snd_seq_port_subscribe_t___GENPT__ args;
} INDEXED_int_const_snd_seq_port_subscribe_t___GENPT__;
typedef int (*FUNC_int_snd_seq_port_subscribe_t___GENPT____GENPT__)(snd_seq_port_subscribe_t ** ptr);
typedef struct {
    snd_seq_port_subscribe_t ** a1;
} ARGS_int_snd_seq_port_subscribe_t___GENPT____GENPT__;
typedef struct {
    int format;
    FUNC_int_snd_seq_port_subscribe_t___GENPT____GENPT__ func;
    ARGS_int_snd_seq_port_subscribe_t___GENPT____GENPT__ args;
} PACKED_int_snd_seq_port_subscribe_t___GENPT____GENPT__;
typedef struct {
    int func;
    ARGS_int_snd_seq_port_subscribe_t___GENPT____GENPT__ args;
} INDEXED_int_snd_seq_port_subscribe_t___GENPT____GENPT__;
typedef void (*FUNC_void_snd_seq_port_subscribe_t___GENPT___const_snd_seq_addr_t___GENPT__)(snd_seq_port_subscribe_t * info, const snd_seq_addr_t * addr);
typedef struct {
    snd_seq_port_subscribe_t * a1;
    snd_seq_addr_t * a2;
} ARGS_void_snd_seq_port_subscribe_t___GENPT___const_snd_seq_addr_t___GENPT__;
typedef struct {
    int format;
    FUNC_void_snd_seq_port_subscribe_t___GENPT___const_snd_seq_addr_t___GENPT__ func;
    ARGS_void_snd_seq_port_subscribe_t___GENPT___const_snd_seq_addr_t___GENPT__ args;
} PACKED_void_snd_seq_port_subscribe_t___GENPT___const_snd_seq_addr_t___GENPT__;
typedef struct {
    int func;
    ARGS_void_snd_seq_port_subscribe_t___GENPT___const_snd_seq_addr_t___GENPT__ args;
} INDEXED_void_snd_seq_port_subscribe_t___GENPT___const_snd_seq_addr_t___GENPT__;
typedef void (*FUNC_void_snd_seq_port_subscribe_t___GENPT___int)(snd_seq_port_subscribe_t * info, int val);
typedef struct {
    snd_seq_port_subscribe_t * a1;
    int a2;
} ARGS_void_snd_seq_port_subscribe_t___GENPT___int;
typedef struct {
    int format;
    FUNC_void_snd_seq_port_subscribe_t___GENPT___int func;
    ARGS_void_snd_seq_port_subscribe_t___GENPT___int args;
} PACKED_void_snd_seq_port_subscribe_t___GENPT___int;
typedef struct {
    int func;
    ARGS_void_snd_seq_port_subscribe_t___GENPT___int args;
} INDEXED_void_snd_seq_port_subscribe_t___GENPT___int;
typedef int (*FUNC_int_snd_seq_t___GENPT___snd_seq_query_subscribe_t___GENPT__)(snd_seq_t * seq, snd_seq_query_subscribe_t * subs);
typedef struct {
    snd_seq_t * a1;
    snd_seq_query_subscribe_t * a2;
} ARGS_int_snd_seq_t___GENPT___snd_seq_query_subscribe_t___GENPT__;
typedef struct {
    int format;
    FUNC_int_snd_seq_t___GENPT___snd_seq_query_subscribe_t___GENPT__ func;
    ARGS_int_snd_seq_t___GENPT___snd_seq_query_subscribe_t___GENPT__ args;
} PACKED_int_snd_seq_t___GENPT___snd_seq_query_subscribe_t___GENPT__;
typedef struct {
    int func;
    ARGS_int_snd_seq_t___GENPT___snd_seq_query_subscribe_t___GENPT__ args;
} INDEXED_int_snd_seq_t___GENPT___snd_seq_query_subscribe_t___GENPT__;
typedef void (*FUNC_void_snd_seq_query_subscribe_t___GENPT___const_snd_seq_query_subscribe_t___GENPT__)(snd_seq_query_subscribe_t * dst, const snd_seq_query_subscribe_t * src);
typedef struct {
    snd_seq_query_subscribe_t * a1;
    snd_seq_query_subscribe_t * a2;
} ARGS_void_snd_seq_query_subscribe_t___GENPT___const_snd_seq_query_subscribe_t___GENPT__;
typedef struct {
    int format;
    FUNC_void_snd_seq_query_subscribe_t___GENPT___const_snd_seq_query_subscribe_t___GENPT__ func;
    ARGS_void_snd_seq_query_subscribe_t___GENPT___const_snd_seq_query_subscribe_t___GENPT__ args;
} PACKED_void_snd_seq_query_subscribe_t___GENPT___const_snd_seq_query_subscribe_t___GENPT__;
typedef struct {
    int func;
    ARGS_void_snd_seq_query_subscribe_t___GENPT___const_snd_seq_query_subscribe_t___GENPT__ args;
} INDEXED_void_snd_seq_query_subscribe_t___GENPT___const_snd_seq_query_subscribe_t___GENPT__;
typedef void (*FUNC_void_snd_seq_query_subscribe_t___GENPT__)(snd_seq_query_subscribe_t * ptr);
typedef struct {
    snd_seq_query_subscribe_t * a1;
} ARGS_void_snd_seq_query_subscribe_t___GENPT__;
typedef struct {
    int format;
    FUNC_void_snd_seq_query_subscribe_t___GENPT__ func;
    ARGS_void_snd_seq_query_subscribe_t___GENPT__ args;
} PACKED_void_snd_seq_query_subscribe_t___GENPT__;
typedef struct {
    int func;
    ARGS_void_snd_seq_query_subscribe_t___GENPT__ args;
} INDEXED_void_snd_seq_query_subscribe_t___GENPT__;
typedef const snd_seq_addr_t * (*FUNC_const_snd_seq_addr_t___GENPT___const_snd_seq_query_subscribe_t___GENPT__)(const snd_seq_query_subscribe_t * info);
typedef struct {
    snd_seq_query_subscribe_t * a1;
} ARGS_const_snd_seq_addr_t___GENPT___const_snd_seq_query_subscribe_t___GENPT__;
typedef struct {
    int format;
    FUNC_const_snd_seq_addr_t___GENPT___const_snd_seq_query_subscribe_t___GENPT__ func;
    ARGS_const_snd_seq_addr_t___GENPT___const_snd_seq_query_subscribe_t___GENPT__ args;
} PACKED_const_snd_seq_addr_t___GENPT___const_snd_seq_query_subscribe_t___GENPT__;
typedef struct {
    int func;
    ARGS_const_snd_seq_addr_t___GENPT___const_snd_seq_query_subscribe_t___GENPT__ args;
} INDEXED_const_snd_seq_addr_t___GENPT___const_snd_seq_query_subscribe_t___GENPT__;
typedef int (*FUNC_int_const_snd_seq_query_subscribe_t___GENPT__)(const snd_seq_query_subscribe_t * info);
typedef struct {
    snd_seq_query_subscribe_t * a1;
} ARGS_int_const_snd_seq_query_subscribe_t___GENPT__;
typedef struct {
    int format;
    FUNC_int_const_snd_seq_query_subscribe_t___GENPT__ func;
    ARGS_int_const_snd_seq_query_subscribe_t___GENPT__ args;
} PACKED_int_const_snd_seq_query_subscribe_t___GENPT__;
typedef struct {
    int func;
    ARGS_int_const_snd_seq_query_subscribe_t___GENPT__ args;
} INDEXED_int_const_snd_seq_query_subscribe_t___GENPT__;
typedef snd_seq_query_subs_type_t (*FUNC_snd_seq_query_subs_type_t_const_snd_seq_query_subscribe_t___GENPT__)(const snd_seq_query_subscribe_t * info);
typedef struct {
    snd_seq_query_subscribe_t * a1;
} ARGS_snd_seq_query_subs_type_t_const_snd_seq_query_subscribe_t___GENPT__;
typedef struct {
    int format;
    FUNC_snd_seq_query_subs_type_t_const_snd_seq_query_subscribe_t___GENPT__ func;
    ARGS_snd_seq_query_subs_type_t_const_snd_seq_query_subscribe_t___GENPT__ args;
} PACKED_snd_seq_query_subs_type_t_const_snd_seq_query_subscribe_t___GENPT__;
typedef struct {
    int func;
    ARGS_snd_seq_query_subs_type_t_const_snd_seq_query_subscribe_t___GENPT__ args;
} INDEXED_snd_seq_query_subs_type_t_const_snd_seq_query_subscribe_t___GENPT__;
typedef int (*FUNC_int_snd_seq_query_subscribe_t___GENPT____GENPT__)(snd_seq_query_subscribe_t ** ptr);
typedef struct {
    snd_seq_query_subscribe_t ** a1;
} ARGS_int_snd_seq_query_subscribe_t___GENPT____GENPT__;
typedef struct {
    int format;
    FUNC_int_snd_seq_query_subscribe_t___GENPT____GENPT__ func;
    ARGS_int_snd_seq_query_subscribe_t___GENPT____GENPT__ args;
} PACKED_int_snd_seq_query_subscribe_t___GENPT____GENPT__;
typedef struct {
    int func;
    ARGS_int_snd_seq_query_subscribe_t___GENPT____GENPT__ args;
} INDEXED_int_snd_seq_query_subscribe_t___GENPT____GENPT__;
typedef void (*FUNC_void_snd_seq_query_subscribe_t___GENPT___int)(snd_seq_query_subscribe_t * info, int client);
typedef struct {
    snd_seq_query_subscribe_t * a1;
    int a2;
} ARGS_void_snd_seq_query_subscribe_t___GENPT___int;
typedef struct {
    int format;
    FUNC_void_snd_seq_query_subscribe_t___GENPT___int func;
    ARGS_void_snd_seq_query_subscribe_t___GENPT___int args;
} PACKED_void_snd_seq_query_subscribe_t___GENPT___int;
typedef struct {
    int func;
    ARGS_void_snd_seq_query_subscribe_t___GENPT___int args;
} INDEXED_void_snd_seq_query_subscribe_t___GENPT___int;
typedef void (*FUNC_void_snd_seq_query_subscribe_t___GENPT___const_snd_seq_addr_t___GENPT__)(snd_seq_query_subscribe_t * info, const snd_seq_addr_t * addr);
typedef struct {
    snd_seq_query_subscribe_t * a1;
    snd_seq_addr_t * a2;
} ARGS_void_snd_seq_query_subscribe_t___GENPT___const_snd_seq_addr_t___GENPT__;
typedef struct {
    int format;
    FUNC_void_snd_seq_query_subscribe_t___GENPT___const_snd_seq_addr_t___GENPT__ func;
    ARGS_void_snd_seq_query_subscribe_t___GENPT___const_snd_seq_addr_t___GENPT__ args;
} PACKED_void_snd_seq_query_subscribe_t___GENPT___const_snd_seq_addr_t___GENPT__;
typedef struct {
    int func;
    ARGS_void_snd_seq_query_subscribe_t___GENPT___const_snd_seq_addr_t___GENPT__ args;
} INDEXED_void_snd_seq_query_subscribe_t___GENPT___const_snd_seq_addr_t___GENPT__;
typedef void (*FUNC_void_snd_seq_query_subscribe_t___GENPT___snd_seq_query_subs_type_t)(snd_seq_query_subscribe_t * info, snd_seq_query_subs_type_t type);
typedef struct {
    snd_seq_query_subscribe_t * a1;
    snd_seq_query_subs_type_t a2;
} ARGS_void_snd_seq_query_subscribe_t___GENPT___snd_seq_query_subs_type_t;
typedef struct {
    int format;
    FUNC_void_snd_seq_query_subscribe_t___GENPT___snd_seq_query_subs_type_t func;
    ARGS_void_snd_seq_query_subscribe_t___GENPT___snd_seq_query_subs_type_t args;
} PACKED_void_snd_seq_query_subscribe_t___GENPT___snd_seq_query_subs_type_t;
typedef struct {
    int func;
    ARGS_void_snd_seq_query_subscribe_t___GENPT___snd_seq_query_subs_type_t args;
} INDEXED_void_snd_seq_query_subscribe_t___GENPT___snd_seq_query_subs_type_t;
typedef void (*FUNC_void_snd_seq_queue_info_t___GENPT___const_snd_seq_queue_info_t___GENPT__)(snd_seq_queue_info_t * dst, const snd_seq_queue_info_t * src);
typedef struct {
    snd_seq_queue_info_t * a1;
    snd_seq_queue_info_t * a2;
} ARGS_void_snd_seq_queue_info_t___GENPT___const_snd_seq_queue_info_t___GENPT__;
typedef struct {
    int format;
    FUNC_void_snd_seq_queue_info_t___GENPT___const_snd_seq_queue_info_t___GENPT__ func;
    ARGS_void_snd_seq_queue_info_t___GENPT___const_snd_seq_queue_info_t___GENPT__ args;
} PACKED_void_snd_seq_queue_info_t___GENPT___const_snd_seq_queue_info_t___GENPT__;
typedef struct {
    int func;
    ARGS_void_snd_seq_queue_info_t___GENPT___const_snd_seq_queue_info_t___GENPT__ args;
} INDEXED_void_snd_seq_queue_info_t___GENPT___const_snd_seq_queue_info_t___GENPT__;
typedef void (*FUNC_void_snd_seq_queue_info_t___GENPT__)(snd_seq_queue_info_t * ptr);
typedef struct {
    snd_seq_queue_info_t * a1;
} ARGS_void_snd_seq_queue_info_t___GENPT__;
typedef struct {
    int format;
    FUNC_void_snd_seq_queue_info_t___GENPT__ func;
    ARGS_void_snd_seq_queue_info_t___GENPT__ args;
} PACKED_void_snd_seq_queue_info_t___GENPT__;
typedef struct {
    int func;
    ARGS_void_snd_seq_queue_info_t___GENPT__ args;
} INDEXED_void_snd_seq_queue_info_t___GENPT__;
typedef unsigned int (*FUNC_unsigned_int_const_snd_seq_queue_info_t___GENPT__)(const snd_seq_queue_info_t * info);
typedef struct {
    snd_seq_queue_info_t * a1;
} ARGS_unsigned_int_const_snd_seq_queue_info_t___GENPT__;
typedef struct {
    int format;
    FUNC_unsigned_int_const_snd_seq_queue_info_t___GENPT__ func;
    ARGS_unsigned_int_const_snd_seq_queue_info_t___GENPT__ args;
} PACKED_unsigned_int_const_snd_seq_queue_info_t___GENPT__;
typedef struct {
    int func;
    ARGS_unsigned_int_const_snd_seq_queue_info_t___GENPT__ args;
} INDEXED_unsigned_int_const_snd_seq_queue_info_t___GENPT__;
typedef int (*FUNC_int_const_snd_seq_queue_info_t___GENPT__)(const snd_seq_queue_info_t * info);
typedef struct {
    snd_seq_queue_info_t * a1;
} ARGS_int_const_snd_seq_queue_info_t___GENPT__;
typedef struct {
    int format;
    FUNC_int_const_snd_seq_queue_info_t___GENPT__ func;
    ARGS_int_const_snd_seq_queue_info_t___GENPT__ args;
} PACKED_int_const_snd_seq_queue_info_t___GENPT__;
typedef struct {
    int func;
    ARGS_int_const_snd_seq_queue_info_t___GENPT__ args;
} INDEXED_int_const_snd_seq_queue_info_t___GENPT__;
typedef const char * (*FUNC_const_char___GENPT___const_snd_seq_queue_info_t___GENPT__)(const snd_seq_queue_info_t * info);
typedef struct {
    snd_seq_queue_info_t * a1;
} ARGS_const_char___GENPT___const_snd_seq_queue_info_t___GENPT__;
typedef struct {
    int format;
    FUNC_const_char___GENPT___const_snd_seq_queue_info_t___GENPT__ func;
    ARGS_const_char___GENPT___const_snd_seq_queue_info_t___GENPT__ args;
} PACKED_const_char___GENPT___const_snd_seq_queue_info_t___GENPT__;
typedef struct {
    int func;
    ARGS_const_char___GENPT___const_snd_seq_queue_info_t___GENPT__ args;
} INDEXED_const_char___GENPT___const_snd_seq_queue_info_t___GENPT__;
typedef int (*FUNC_int_snd_seq_queue_info_t___GENPT____GENPT__)(snd_seq_queue_info_t ** ptr);
typedef struct {
    snd_seq_queue_info_t ** a1;
} ARGS_int_snd_seq_queue_info_t___GENPT____GENPT__;
typedef struct {
    int format;
    FUNC_int_snd_seq_queue_info_t___GENPT____GENPT__ func;
    ARGS_int_snd_seq_queue_info_t___GENPT____GENPT__ args;
} PACKED_int_snd_seq_queue_info_t___GENPT____GENPT__;
typedef struct {
    int func;
    ARGS_int_snd_seq_queue_info_t___GENPT____GENPT__ args;
} INDEXED_int_snd_seq_queue_info_t___GENPT____GENPT__;
typedef void (*FUNC_void_snd_seq_queue_info_t___GENPT___unsigned_int)(snd_seq_queue_info_t * info, unsigned int flags);
typedef struct {
    snd_seq_queue_info_t * a1;
    unsigned int a2;
} ARGS_void_snd_seq_queue_info_t___GENPT___unsigned_int;
typedef struct {
    int format;
    FUNC_void_snd_seq_queue_info_t___GENPT___unsigned_int func;
    ARGS_void_snd_seq_queue_info_t___GENPT___unsigned_int args;
} PACKED_void_snd_seq_queue_info_t___GENPT___unsigned_int;
typedef struct {
    int func;
    ARGS_void_snd_seq_queue_info_t___GENPT___unsigned_int args;
} INDEXED_void_snd_seq_queue_info_t___GENPT___unsigned_int;
typedef void (*FUNC_void_snd_seq_queue_info_t___GENPT___int)(snd_seq_queue_info_t * info, int locked);
typedef struct {
    snd_seq_queue_info_t * a1;
    int a2;
} ARGS_void_snd_seq_queue_info_t___GENPT___int;
typedef struct {
    int format;
    FUNC_void_snd_seq_queue_info_t___GENPT___int func;
    ARGS_void_snd_seq_queue_info_t___GENPT___int args;
} PACKED_void_snd_seq_queue_info_t___GENPT___int;
typedef struct {
    int func;
    ARGS_void_snd_seq_queue_info_t___GENPT___int args;
} INDEXED_void_snd_seq_queue_info_t___GENPT___int;
typedef void (*FUNC_void_snd_seq_queue_info_t___GENPT___const_char___GENPT__)(snd_seq_queue_info_t * info, const char * name);
typedef struct {
    snd_seq_queue_info_t * a1;
    char * a2;
} ARGS_void_snd_seq_queue_info_t___GENPT___const_char___GENPT__;
typedef struct {
    int format;
    FUNC_void_snd_seq_queue_info_t___GENPT___const_char___GENPT__ func;
    ARGS_void_snd_seq_queue_info_t___GENPT___const_char___GENPT__ args;
} PACKED_void_snd_seq_queue_info_t___GENPT___const_char___GENPT__;
typedef struct {
    int func;
    ARGS_void_snd_seq_queue_info_t___GENPT___const_char___GENPT__ args;
} INDEXED_void_snd_seq_queue_info_t___GENPT___const_char___GENPT__;
typedef void (*FUNC_void_snd_seq_queue_status_t___GENPT___const_snd_seq_queue_status_t___GENPT__)(snd_seq_queue_status_t * dst, const snd_seq_queue_status_t * src);
typedef struct {
    snd_seq_queue_status_t * a1;
    snd_seq_queue_status_t * a2;
} ARGS_void_snd_seq_queue_status_t___GENPT___const_snd_seq_queue_status_t___GENPT__;
typedef struct {
    int format;
    FUNC_void_snd_seq_queue_status_t___GENPT___const_snd_seq_queue_status_t___GENPT__ func;
    ARGS_void_snd_seq_queue_status_t___GENPT___const_snd_seq_queue_status_t___GENPT__ args;
} PACKED_void_snd_seq_queue_status_t___GENPT___const_snd_seq_queue_status_t___GENPT__;
typedef struct {
    int func;
    ARGS_void_snd_seq_queue_status_t___GENPT___const_snd_seq_queue_status_t___GENPT__ args;
} INDEXED_void_snd_seq_queue_status_t___GENPT___const_snd_seq_queue_status_t___GENPT__;
typedef void (*FUNC_void_snd_seq_queue_status_t___GENPT__)(snd_seq_queue_status_t * ptr);
typedef struct {
    snd_seq_queue_status_t * a1;
} ARGS_void_snd_seq_queue_status_t___GENPT__;
typedef struct {
    int format;
    FUNC_void_snd_seq_queue_status_t___GENPT__ func;
    ARGS_void_snd_seq_queue_status_t___GENPT__ args;
} PACKED_void_snd_seq_queue_status_t___GENPT__;
typedef struct {
    int func;
    ARGS_void_snd_seq_queue_status_t___GENPT__ args;
} INDEXED_void_snd_seq_queue_status_t___GENPT__;
typedef int (*FUNC_int_const_snd_seq_queue_status_t___GENPT__)(const snd_seq_queue_status_t * info);
typedef struct {
    snd_seq_queue_status_t * a1;
} ARGS_int_const_snd_seq_queue_status_t___GENPT__;
typedef struct {
    int format;
    FUNC_int_const_snd_seq_queue_status_t___GENPT__ func;
    ARGS_int_const_snd_seq_queue_status_t___GENPT__ args;
} PACKED_int_const_snd_seq_queue_status_t___GENPT__;
typedef struct {
    int func;
    ARGS_int_const_snd_seq_queue_status_t___GENPT__ args;
} INDEXED_int_const_snd_seq_queue_status_t___GENPT__;
typedef const snd_seq_real_time_t * (*FUNC_const_snd_seq_real_time_t___GENPT___const_snd_seq_queue_status_t___GENPT__)(const snd_seq_queue_status_t * info);
typedef struct {
    snd_seq_queue_status_t * a1;
} ARGS_const_snd_seq_real_time_t___GENPT___const_snd_seq_queue_status_t___GENPT__;
typedef struct {
    int format;
    FUNC_const_snd_seq_real_time_t___GENPT___const_snd_seq_queue_status_t___GENPT__ func;
    ARGS_const_snd_seq_real_time_t___GENPT___const_snd_seq_queue_status_t___GENPT__ args;
} PACKED_const_snd_seq_real_time_t___GENPT___const_snd_seq_queue_status_t___GENPT__;
typedef struct {
    int func;
    ARGS_const_snd_seq_real_time_t___GENPT___const_snd_seq_queue_status_t___GENPT__ args;
} INDEXED_const_snd_seq_real_time_t___GENPT___const_snd_seq_queue_status_t___GENPT__;
typedef unsigned int (*FUNC_unsigned_int_const_snd_seq_queue_status_t___GENPT__)(const snd_seq_queue_status_t * info);
typedef struct {
    snd_seq_queue_status_t * a1;
} ARGS_unsigned_int_const_snd_seq_queue_status_t___GENPT__;
typedef struct {
    int format;
    FUNC_unsigned_int_const_snd_seq_queue_status_t___GENPT__ func;
    ARGS_unsigned_int_const_snd_seq_queue_status_t___GENPT__ args;
} PACKED_unsigned_int_const_snd_seq_queue_status_t___GENPT__;
typedef struct {
    int func;
    ARGS_unsigned_int_const_snd_seq_queue_status_t___GENPT__ args;
} INDEXED_unsigned_int_const_snd_seq_queue_status_t___GENPT__;
typedef snd_seq_tick_time_t (*FUNC_snd_seq_tick_time_t_const_snd_seq_queue_status_t___GENPT__)(const snd_seq_queue_status_t * info);
typedef struct {
    snd_seq_queue_status_t * a1;
} ARGS_snd_seq_tick_time_t_const_snd_seq_queue_status_t___GENPT__;
typedef struct {
    int format;
    FUNC_snd_seq_tick_time_t_const_snd_seq_queue_status_t___GENPT__ func;
    ARGS_snd_seq_tick_time_t_const_snd_seq_queue_status_t___GENPT__ args;
} PACKED_snd_seq_tick_time_t_const_snd_seq_queue_status_t___GENPT__;
typedef struct {
    int func;
    ARGS_snd_seq_tick_time_t_const_snd_seq_queue_status_t___GENPT__ args;
} INDEXED_snd_seq_tick_time_t_const_snd_seq_queue_status_t___GENPT__;
typedef int (*FUNC_int_snd_seq_queue_status_t___GENPT____GENPT__)(snd_seq_queue_status_t ** ptr);
typedef struct {
    snd_seq_queue_status_t ** a1;
} ARGS_int_snd_seq_queue_status_t___GENPT____GENPT__;
typedef struct {
    int format;
    FUNC_int_snd_seq_queue_status_t___GENPT____GENPT__ func;
    ARGS_int_snd_seq_queue_status_t___GENPT____GENPT__ args;
} PACKED_int_snd_seq_queue_status_t___GENPT____GENPT__;
typedef struct {
    int func;
    ARGS_int_snd_seq_queue_status_t___GENPT____GENPT__ args;
} INDEXED_int_snd_seq_queue_status_t___GENPT____GENPT__;
typedef void (*FUNC_void_snd_seq_queue_tempo_t___GENPT___const_snd_seq_queue_tempo_t___GENPT__)(snd_seq_queue_tempo_t * dst, const snd_seq_queue_tempo_t * src);
typedef struct {
    snd_seq_queue_tempo_t * a1;
    snd_seq_queue_tempo_t * a2;
} ARGS_void_snd_seq_queue_tempo_t___GENPT___const_snd_seq_queue_tempo_t___GENPT__;
typedef struct {
    int format;
    FUNC_void_snd_seq_queue_tempo_t___GENPT___const_snd_seq_queue_tempo_t___GENPT__ func;
    ARGS_void_snd_seq_queue_tempo_t___GENPT___const_snd_seq_queue_tempo_t___GENPT__ args;
} PACKED_void_snd_seq_queue_tempo_t___GENPT___const_snd_seq_queue_tempo_t___GENPT__;
typedef struct {
    int func;
    ARGS_void_snd_seq_queue_tempo_t___GENPT___const_snd_seq_queue_tempo_t___GENPT__ args;
} INDEXED_void_snd_seq_queue_tempo_t___GENPT___const_snd_seq_queue_tempo_t___GENPT__;
typedef void (*FUNC_void_snd_seq_queue_tempo_t___GENPT__)(snd_seq_queue_tempo_t * ptr);
typedef struct {
    snd_seq_queue_tempo_t * a1;
} ARGS_void_snd_seq_queue_tempo_t___GENPT__;
typedef struct {
    int format;
    FUNC_void_snd_seq_queue_tempo_t___GENPT__ func;
    ARGS_void_snd_seq_queue_tempo_t___GENPT__ args;
} PACKED_void_snd_seq_queue_tempo_t___GENPT__;
typedef struct {
    int func;
    ARGS_void_snd_seq_queue_tempo_t___GENPT__ args;
} INDEXED_void_snd_seq_queue_tempo_t___GENPT__;
typedef int (*FUNC_int_const_snd_seq_queue_tempo_t___GENPT__)(const snd_seq_queue_tempo_t * info);
typedef struct {
    snd_seq_queue_tempo_t * a1;
} ARGS_int_const_snd_seq_queue_tempo_t___GENPT__;
typedef struct {
    int format;
    FUNC_int_const_snd_seq_queue_tempo_t___GENPT__ func;
    ARGS_int_const_snd_seq_queue_tempo_t___GENPT__ args;
} PACKED_int_const_snd_seq_queue_tempo_t___GENPT__;
typedef struct {
    int func;
    ARGS_int_const_snd_seq_queue_tempo_t___GENPT__ args;
} INDEXED_int_const_snd_seq_queue_tempo_t___GENPT__;
typedef unsigned int (*FUNC_unsigned_int_const_snd_seq_queue_tempo_t___GENPT__)(const snd_seq_queue_tempo_t * info);
typedef struct {
    snd_seq_queue_tempo_t * a1;
} ARGS_unsigned_int_const_snd_seq_queue_tempo_t___GENPT__;
typedef struct {
    int format;
    FUNC_unsigned_int_const_snd_seq_queue_tempo_t___GENPT__ func;
    ARGS_unsigned_int_const_snd_seq_queue_tempo_t___GENPT__ args;
} PACKED_unsigned_int_const_snd_seq_queue_tempo_t___GENPT__;
typedef struct {
    int func;
    ARGS_unsigned_int_const_snd_seq_queue_tempo_t___GENPT__ args;
} INDEXED_unsigned_int_const_snd_seq_queue_tempo_t___GENPT__;
typedef int (*FUNC_int_snd_seq_queue_tempo_t___GENPT____GENPT__)(snd_seq_queue_tempo_t ** ptr);
typedef struct {
    snd_seq_queue_tempo_t ** a1;
} ARGS_int_snd_seq_queue_tempo_t___GENPT____GENPT__;
typedef struct {
    int format;
    FUNC_int_snd_seq_queue_tempo_t___GENPT____GENPT__ func;
    ARGS_int_snd_seq_queue_tempo_t___GENPT____GENPT__ args;
} PACKED_int_snd_seq_queue_tempo_t___GENPT____GENPT__;
typedef struct {
    int func;
    ARGS_int_snd_seq_queue_tempo_t___GENPT____GENPT__ args;
} INDEXED_int_snd_seq_queue_tempo_t___GENPT____GENPT__;
typedef void (*FUNC_void_snd_seq_queue_tempo_t___GENPT___int)(snd_seq_queue_tempo_t * info, int ppq);
typedef struct {
    snd_seq_queue_tempo_t * a1;
    int a2;
} ARGS_void_snd_seq_queue_tempo_t___GENPT___int;
typedef struct {
    int format;
    FUNC_void_snd_seq_queue_tempo_t___GENPT___int func;
    ARGS_void_snd_seq_queue_tempo_t___GENPT___int args;
} PACKED_void_snd_seq_queue_tempo_t___GENPT___int;
typedef struct {
    int func;
    ARGS_void_snd_seq_queue_tempo_t___GENPT___int args;
} INDEXED_void_snd_seq_queue_tempo_t___GENPT___int;
typedef void (*FUNC_void_snd_seq_queue_tempo_t___GENPT___unsigned_int)(snd_seq_queue_tempo_t * info, unsigned int skew);
typedef struct {
    snd_seq_queue_tempo_t * a1;
    unsigned int a2;
} ARGS_void_snd_seq_queue_tempo_t___GENPT___unsigned_int;
typedef struct {
    int format;
    FUNC_void_snd_seq_queue_tempo_t___GENPT___unsigned_int func;
    ARGS_void_snd_seq_queue_tempo_t___GENPT___unsigned_int args;
} PACKED_void_snd_seq_queue_tempo_t___GENPT___unsigned_int;
typedef struct {
    int func;
    ARGS_void_snd_seq_queue_tempo_t___GENPT___unsigned_int args;
} INDEXED_void_snd_seq_queue_tempo_t___GENPT___unsigned_int;
typedef void (*FUNC_void_snd_seq_queue_timer_t___GENPT___const_snd_seq_queue_timer_t___GENPT__)(snd_seq_queue_timer_t * dst, const snd_seq_queue_timer_t * src);
typedef struct {
    snd_seq_queue_timer_t * a1;
    snd_seq_queue_timer_t * a2;
} ARGS_void_snd_seq_queue_timer_t___GENPT___const_snd_seq_queue_timer_t___GENPT__;
typedef struct {
    int format;
    FUNC_void_snd_seq_queue_timer_t___GENPT___const_snd_seq_queue_timer_t___GENPT__ func;
    ARGS_void_snd_seq_queue_timer_t___GENPT___const_snd_seq_queue_timer_t___GENPT__ args;
} PACKED_void_snd_seq_queue_timer_t___GENPT___const_snd_seq_queue_timer_t___GENPT__;
typedef struct {
    int func;
    ARGS_void_snd_seq_queue_timer_t___GENPT___const_snd_seq_queue_timer_t___GENPT__ args;
} INDEXED_void_snd_seq_queue_timer_t___GENPT___const_snd_seq_queue_timer_t___GENPT__;
typedef void (*FUNC_void_snd_seq_queue_timer_t___GENPT__)(snd_seq_queue_timer_t * ptr);
typedef struct {
    snd_seq_queue_timer_t * a1;
} ARGS_void_snd_seq_queue_timer_t___GENPT__;
typedef struct {
    int format;
    FUNC_void_snd_seq_queue_timer_t___GENPT__ func;
    ARGS_void_snd_seq_queue_timer_t___GENPT__ args;
} PACKED_void_snd_seq_queue_timer_t___GENPT__;
typedef struct {
    int func;
    ARGS_void_snd_seq_queue_timer_t___GENPT__ args;
} INDEXED_void_snd_seq_queue_timer_t___GENPT__;
typedef const snd_timer_id_t * (*FUNC_const_snd_timer_id_t___GENPT___const_snd_seq_queue_timer_t___GENPT__)(const snd_seq_queue_timer_t * info);
typedef struct {
    snd_seq_queue_timer_t * a1;
} ARGS_const_snd_timer_id_t___GENPT___const_snd_seq_queue_timer_t___GENPT__;
typedef struct {
    int format;
    FUNC_const_snd_timer_id_t___GENPT___const_snd_seq_queue_timer_t___GENPT__ func;
    ARGS_const_snd_timer_id_t___GENPT___const_snd_seq_queue_timer_t___GENPT__ args;
} PACKED_const_snd_timer_id_t___GENPT___const_snd_seq_queue_timer_t___GENPT__;
typedef struct {
    int func;
    ARGS_const_snd_timer_id_t___GENPT___const_snd_seq_queue_timer_t___GENPT__ args;
} INDEXED_const_snd_timer_id_t___GENPT___const_snd_seq_queue_timer_t___GENPT__;
typedef int (*FUNC_int_const_snd_seq_queue_timer_t___GENPT__)(const snd_seq_queue_timer_t * info);
typedef struct {
    snd_seq_queue_timer_t * a1;
} ARGS_int_const_snd_seq_queue_timer_t___GENPT__;
typedef struct {
    int format;
    FUNC_int_const_snd_seq_queue_timer_t___GENPT__ func;
    ARGS_int_const_snd_seq_queue_timer_t___GENPT__ args;
} PACKED_int_const_snd_seq_queue_timer_t___GENPT__;
typedef struct {
    int func;
    ARGS_int_const_snd_seq_queue_timer_t___GENPT__ args;
} INDEXED_int_const_snd_seq_queue_timer_t___GENPT__;
typedef unsigned int (*FUNC_unsigned_int_const_snd_seq_queue_timer_t___GENPT__)(const snd_seq_queue_timer_t * info);
typedef struct {
    snd_seq_queue_timer_t * a1;
} ARGS_unsigned_int_const_snd_seq_queue_timer_t___GENPT__;
typedef struct {
    int format;
    FUNC_unsigned_int_const_snd_seq_queue_timer_t___GENPT__ func;
    ARGS_unsigned_int_const_snd_seq_queue_timer_t___GENPT__ args;
} PACKED_unsigned_int_const_snd_seq_queue_timer_t___GENPT__;
typedef struct {
    int func;
    ARGS_unsigned_int_const_snd_seq_queue_timer_t___GENPT__ args;
} INDEXED_unsigned_int_const_snd_seq_queue_timer_t___GENPT__;
typedef snd_seq_queue_timer_type_t (*FUNC_snd_seq_queue_timer_type_t_const_snd_seq_queue_timer_t___GENPT__)(const snd_seq_queue_timer_t * info);
typedef struct {
    snd_seq_queue_timer_t * a1;
} ARGS_snd_seq_queue_timer_type_t_const_snd_seq_queue_timer_t___GENPT__;
typedef struct {
    int format;
    FUNC_snd_seq_queue_timer_type_t_const_snd_seq_queue_timer_t___GENPT__ func;
    ARGS_snd_seq_queue_timer_type_t_const_snd_seq_queue_timer_t___GENPT__ args;
} PACKED_snd_seq_queue_timer_type_t_const_snd_seq_queue_timer_t___GENPT__;
typedef struct {
    int func;
    ARGS_snd_seq_queue_timer_type_t_const_snd_seq_queue_timer_t___GENPT__ args;
} INDEXED_snd_seq_queue_timer_type_t_const_snd_seq_queue_timer_t___GENPT__;
typedef int (*FUNC_int_snd_seq_queue_timer_t___GENPT____GENPT__)(snd_seq_queue_timer_t ** ptr);
typedef struct {
    snd_seq_queue_timer_t ** a1;
} ARGS_int_snd_seq_queue_timer_t___GENPT____GENPT__;
typedef struct {
    int format;
    FUNC_int_snd_seq_queue_timer_t___GENPT____GENPT__ func;
    ARGS_int_snd_seq_queue_timer_t___GENPT____GENPT__ args;
} PACKED_int_snd_seq_queue_timer_t___GENPT____GENPT__;
typedef struct {
    int func;
    ARGS_int_snd_seq_queue_timer_t___GENPT____GENPT__ args;
} INDEXED_int_snd_seq_queue_timer_t___GENPT____GENPT__;
typedef void (*FUNC_void_snd_seq_queue_timer_t___GENPT___const_snd_timer_id_t___GENPT__)(snd_seq_queue_timer_t * info, const snd_timer_id_t * id);
typedef struct {
    snd_seq_queue_timer_t * a1;
    snd_timer_id_t * a2;
} ARGS_void_snd_seq_queue_timer_t___GENPT___const_snd_timer_id_t___GENPT__;
typedef struct {
    int format;
    FUNC_void_snd_seq_queue_timer_t___GENPT___const_snd_timer_id_t___GENPT__ func;
    ARGS_void_snd_seq_queue_timer_t___GENPT___const_snd_timer_id_t___GENPT__ args;
} PACKED_void_snd_seq_queue_timer_t___GENPT___const_snd_timer_id_t___GENPT__;
typedef struct {
    int func;
    ARGS_void_snd_seq_queue_timer_t___GENPT___const_snd_timer_id_t___GENPT__ args;
} INDEXED_void_snd_seq_queue_timer_t___GENPT___const_snd_timer_id_t___GENPT__;
typedef void (*FUNC_void_snd_seq_queue_timer_t___GENPT___unsigned_int)(snd_seq_queue_timer_t * info, unsigned int resolution);
typedef struct {
    snd_seq_queue_timer_t * a1;
    unsigned int a2;
} ARGS_void_snd_seq_queue_timer_t___GENPT___unsigned_int;
typedef struct {
    int format;
    FUNC_void_snd_seq_queue_timer_t___GENPT___unsigned_int func;
    ARGS_void_snd_seq_queue_timer_t___GENPT___unsigned_int args;
} PACKED_void_snd_seq_queue_timer_t___GENPT___unsigned_int;
typedef struct {
    int func;
    ARGS_void_snd_seq_queue_timer_t___GENPT___unsigned_int args;
} INDEXED_void_snd_seq_queue_timer_t___GENPT___unsigned_int;
typedef void (*FUNC_void_snd_seq_queue_timer_t___GENPT___snd_seq_queue_timer_type_t)(snd_seq_queue_timer_t * info, snd_seq_queue_timer_type_t type);
typedef struct {
    snd_seq_queue_timer_t * a1;
    snd_seq_queue_timer_type_t a2;
} ARGS_void_snd_seq_queue_timer_t___GENPT___snd_seq_queue_timer_type_t;
typedef struct {
    int format;
    FUNC_void_snd_seq_queue_timer_t___GENPT___snd_seq_queue_timer_type_t func;
    ARGS_void_snd_seq_queue_timer_t___GENPT___snd_seq_queue_timer_type_t args;
} PACKED_void_snd_seq_queue_timer_t___GENPT___snd_seq_queue_timer_type_t;
typedef struct {
    int func;
    ARGS_void_snd_seq_queue_timer_t___GENPT___snd_seq_queue_timer_type_t args;
} INDEXED_void_snd_seq_queue_timer_t___GENPT___snd_seq_queue_timer_type_t;
typedef int (*FUNC_int_snd_seq_t___GENPT___snd_seq_remove_events_t___GENPT__)(snd_seq_t * handle, snd_seq_remove_events_t * info);
typedef struct {
    snd_seq_t * a1;
    snd_seq_remove_events_t * a2;
} ARGS_int_snd_seq_t___GENPT___snd_seq_remove_events_t___GENPT__;
typedef struct {
    int format;
    FUNC_int_snd_seq_t___GENPT___snd_seq_remove_events_t___GENPT__ func;
    ARGS_int_snd_seq_t___GENPT___snd_seq_remove_events_t___GENPT__ args;
} PACKED_int_snd_seq_t___GENPT___snd_seq_remove_events_t___GENPT__;
typedef struct {
    int func;
    ARGS_int_snd_seq_t___GENPT___snd_seq_remove_events_t___GENPT__ args;
} INDEXED_int_snd_seq_t___GENPT___snd_seq_remove_events_t___GENPT__;
typedef void (*FUNC_void_snd_seq_remove_events_t___GENPT___const_snd_seq_remove_events_t___GENPT__)(snd_seq_remove_events_t * dst, const snd_seq_remove_events_t * src);
typedef struct {
    snd_seq_remove_events_t * a1;
    snd_seq_remove_events_t * a2;
} ARGS_void_snd_seq_remove_events_t___GENPT___const_snd_seq_remove_events_t___GENPT__;
typedef struct {
    int format;
    FUNC_void_snd_seq_remove_events_t___GENPT___const_snd_seq_remove_events_t___GENPT__ func;
    ARGS_void_snd_seq_remove_events_t___GENPT___const_snd_seq_remove_events_t___GENPT__ args;
} PACKED_void_snd_seq_remove_events_t___GENPT___const_snd_seq_remove_events_t___GENPT__;
typedef struct {
    int func;
    ARGS_void_snd_seq_remove_events_t___GENPT___const_snd_seq_remove_events_t___GENPT__ args;
} INDEXED_void_snd_seq_remove_events_t___GENPT___const_snd_seq_remove_events_t___GENPT__;
typedef void (*FUNC_void_snd_seq_remove_events_t___GENPT__)(snd_seq_remove_events_t * ptr);
typedef struct {
    snd_seq_remove_events_t * a1;
} ARGS_void_snd_seq_remove_events_t___GENPT__;
typedef struct {
    int format;
    FUNC_void_snd_seq_remove_events_t___GENPT__ func;
    ARGS_void_snd_seq_remove_events_t___GENPT__ args;
} PACKED_void_snd_seq_remove_events_t___GENPT__;
typedef struct {
    int func;
    ARGS_void_snd_seq_remove_events_t___GENPT__ args;
} INDEXED_void_snd_seq_remove_events_t___GENPT__;
typedef int (*FUNC_int_const_snd_seq_remove_events_t___GENPT__)(const snd_seq_remove_events_t * info);
typedef struct {
    snd_seq_remove_events_t * a1;
} ARGS_int_const_snd_seq_remove_events_t___GENPT__;
typedef struct {
    int format;
    FUNC_int_const_snd_seq_remove_events_t___GENPT__ func;
    ARGS_int_const_snd_seq_remove_events_t___GENPT__ args;
} PACKED_int_const_snd_seq_remove_events_t___GENPT__;
typedef struct {
    int func;
    ARGS_int_const_snd_seq_remove_events_t___GENPT__ args;
} INDEXED_int_const_snd_seq_remove_events_t___GENPT__;
typedef unsigned int (*FUNC_unsigned_int_const_snd_seq_remove_events_t___GENPT__)(const snd_seq_remove_events_t * info);
typedef struct {
    snd_seq_remove_events_t * a1;
} ARGS_unsigned_int_const_snd_seq_remove_events_t___GENPT__;
typedef struct {
    int format;
    FUNC_unsigned_int_const_snd_seq_remove_events_t___GENPT__ func;
    ARGS_unsigned_int_const_snd_seq_remove_events_t___GENPT__ args;
} PACKED_unsigned_int_const_snd_seq_remove_events_t___GENPT__;
typedef struct {
    int func;
    ARGS_unsigned_int_const_snd_seq_remove_events_t___GENPT__ args;
} INDEXED_unsigned_int_const_snd_seq_remove_events_t___GENPT__;
typedef const snd_seq_addr_t * (*FUNC_const_snd_seq_addr_t___GENPT___const_snd_seq_remove_events_t___GENPT__)(const snd_seq_remove_events_t * info);
typedef struct {
    snd_seq_remove_events_t * a1;
} ARGS_const_snd_seq_addr_t___GENPT___const_snd_seq_remove_events_t___GENPT__;
typedef struct {
    int format;
    FUNC_const_snd_seq_addr_t___GENPT___const_snd_seq_remove_events_t___GENPT__ func;
    ARGS_const_snd_seq_addr_t___GENPT___const_snd_seq_remove_events_t___GENPT__ args;
} PACKED_const_snd_seq_addr_t___GENPT___const_snd_seq_remove_events_t___GENPT__;
typedef struct {
    int func;
    ARGS_const_snd_seq_addr_t___GENPT___const_snd_seq_remove_events_t___GENPT__ args;
} INDEXED_const_snd_seq_addr_t___GENPT___const_snd_seq_remove_events_t___GENPT__;
typedef const snd_seq_timestamp_t * (*FUNC_const_snd_seq_timestamp_t___GENPT___const_snd_seq_remove_events_t___GENPT__)(const snd_seq_remove_events_t * info);
typedef struct {
    snd_seq_remove_events_t * a1;
} ARGS_const_snd_seq_timestamp_t___GENPT___const_snd_seq_remove_events_t___GENPT__;
typedef struct {
    int format;
    FUNC_const_snd_seq_timestamp_t___GENPT___const_snd_seq_remove_events_t___GENPT__ func;
    ARGS_const_snd_seq_timestamp_t___GENPT___const_snd_seq_remove_events_t___GENPT__ args;
} PACKED_const_snd_seq_timestamp_t___GENPT___const_snd_seq_remove_events_t___GENPT__;
typedef struct {
    int func;
    ARGS_const_snd_seq_timestamp_t___GENPT___const_snd_seq_remove_events_t___GENPT__ args;
} INDEXED_const_snd_seq_timestamp_t___GENPT___const_snd_seq_remove_events_t___GENPT__;
typedef int (*FUNC_int_snd_seq_remove_events_t___GENPT____GENPT__)(snd_seq_remove_events_t ** ptr);
typedef struct {
    snd_seq_remove_events_t ** a1;
} ARGS_int_snd_seq_remove_events_t___GENPT____GENPT__;
typedef struct {
    int format;
    FUNC_int_snd_seq_remove_events_t___GENPT____GENPT__ func;
    ARGS_int_snd_seq_remove_events_t___GENPT____GENPT__ args;
} PACKED_int_snd_seq_remove_events_t___GENPT____GENPT__;
typedef struct {
    int func;
    ARGS_int_snd_seq_remove_events_t___GENPT____GENPT__ args;
} INDEXED_int_snd_seq_remove_events_t___GENPT____GENPT__;
typedef void (*FUNC_void_snd_seq_remove_events_t___GENPT___int)(snd_seq_remove_events_t * info, int channel);
typedef struct {
    snd_seq_remove_events_t * a1;
    int a2;
} ARGS_void_snd_seq_remove_events_t___GENPT___int;
typedef struct {
    int format;
    FUNC_void_snd_seq_remove_events_t___GENPT___int func;
    ARGS_void_snd_seq_remove_events_t___GENPT___int args;
} PACKED_void_snd_seq_remove_events_t___GENPT___int;
typedef struct {
    int func;
    ARGS_void_snd_seq_remove_events_t___GENPT___int args;
} INDEXED_void_snd_seq_remove_events_t___GENPT___int;
typedef void (*FUNC_void_snd_seq_remove_events_t___GENPT___unsigned_int)(snd_seq_remove_events_t * info, unsigned int flags);
typedef struct {
    snd_seq_remove_events_t * a1;
    unsigned int a2;
} ARGS_void_snd_seq_remove_events_t___GENPT___unsigned_int;
typedef struct {
    int format;
    FUNC_void_snd_seq_remove_events_t___GENPT___unsigned_int func;
    ARGS_void_snd_seq_remove_events_t___GENPT___unsigned_int args;
} PACKED_void_snd_seq_remove_events_t___GENPT___unsigned_int;
typedef struct {
    int func;
    ARGS_void_snd_seq_remove_events_t___GENPT___unsigned_int args;
} INDEXED_void_snd_seq_remove_events_t___GENPT___unsigned_int;
typedef void (*FUNC_void_snd_seq_remove_events_t___GENPT___const_snd_seq_addr_t___GENPT__)(snd_seq_remove_events_t * info, const snd_seq_addr_t * addr);
typedef struct {
    snd_seq_remove_events_t * a1;
    snd_seq_addr_t * a2;
} ARGS_void_snd_seq_remove_events_t___GENPT___const_snd_seq_addr_t___GENPT__;
typedef struct {
    int format;
    FUNC_void_snd_seq_remove_events_t___GENPT___const_snd_seq_addr_t___GENPT__ func;
    ARGS_void_snd_seq_remove_events_t___GENPT___const_snd_seq_addr_t___GENPT__ args;
} PACKED_void_snd_seq_remove_events_t___GENPT___const_snd_seq_addr_t___GENPT__;
typedef struct {
    int func;
    ARGS_void_snd_seq_remove_events_t___GENPT___const_snd_seq_addr_t___GENPT__ args;
} INDEXED_void_snd_seq_remove_events_t___GENPT___const_snd_seq_addr_t___GENPT__;
typedef void (*FUNC_void_snd_seq_remove_events_t___GENPT___const_snd_seq_timestamp_t___GENPT__)(snd_seq_remove_events_t * info, const snd_seq_timestamp_t * time);
typedef struct {
    snd_seq_remove_events_t * a1;
    snd_seq_timestamp_t * a2;
} ARGS_void_snd_seq_remove_events_t___GENPT___const_snd_seq_timestamp_t___GENPT__;
typedef struct {
    int format;
    FUNC_void_snd_seq_remove_events_t___GENPT___const_snd_seq_timestamp_t___GENPT__ func;
    ARGS_void_snd_seq_remove_events_t___GENPT___const_snd_seq_timestamp_t___GENPT__ args;
} PACKED_void_snd_seq_remove_events_t___GENPT___const_snd_seq_timestamp_t___GENPT__;
typedef struct {
    int func;
    ARGS_void_snd_seq_remove_events_t___GENPT___const_snd_seq_timestamp_t___GENPT__ args;
} INDEXED_void_snd_seq_remove_events_t___GENPT___const_snd_seq_timestamp_t___GENPT__;
typedef void (*FUNC_void_int_void___GENPT__)(int nr, void * array);
typedef struct {
    int a1;
    void * a2;
} ARGS_void_int_void___GENPT__;
typedef struct {
    int format;
    FUNC_void_int_void___GENPT__ func;
    ARGS_void_int_void___GENPT__ args;
} PACKED_void_int_void___GENPT__;
typedef struct {
    int func;
    ARGS_void_int_void___GENPT__ args;
} INDEXED_void_int_void___GENPT__;
typedef int (*FUNC_int_snd_seq_t___GENPT___size_t)(snd_seq_t * seq, size_t size);
typedef struct {
    snd_seq_t * a1;
    size_t a2;
} ARGS_int_snd_seq_t___GENPT___size_t;
typedef struct {
    int format;
    FUNC_int_snd_seq_t___GENPT___size_t func;
    ARGS_int_snd_seq_t___GENPT___size_t args;
} PACKED_int_snd_seq_t___GENPT___size_t;
typedef struct {
    int func;
    ARGS_int_snd_seq_t___GENPT___size_t args;
} INDEXED_int_snd_seq_t___GENPT___size_t;
typedef int (*FUNC_int_snd_seq_t___GENPT___int_int)(snd_seq_t * handle, int q, int used);
typedef struct {
    snd_seq_t * a1;
    int a2;
    int a3;
} ARGS_int_snd_seq_t___GENPT___int_int;
typedef struct {
    int format;
    FUNC_int_snd_seq_t___GENPT___int_int func;
    ARGS_int_snd_seq_t___GENPT___int_int args;
} PACKED_int_snd_seq_t___GENPT___int_int;
typedef struct {
    int func;
    ARGS_int_snd_seq_t___GENPT___int_int args;
} INDEXED_int_snd_seq_t___GENPT___int_int;
typedef int (*FUNC_int_snd_seq_t___GENPT___snd_seq_system_info_t___GENPT__)(snd_seq_t * handle, snd_seq_system_info_t * info);
typedef struct {
    snd_seq_t * a1;
    snd_seq_system_info_t * a2;
} ARGS_int_snd_seq_t___GENPT___snd_seq_system_info_t___GENPT__;
typedef struct {
    int format;
    FUNC_int_snd_seq_t___GENPT___snd_seq_system_info_t___GENPT__ func;
    ARGS_int_snd_seq_t___GENPT___snd_seq_system_info_t___GENPT__ args;
} PACKED_int_snd_seq_t___GENPT___snd_seq_system_info_t___GENPT__;
typedef struct {
    int func;
    ARGS_int_snd_seq_t___GENPT___snd_seq_system_info_t___GENPT__ args;
} INDEXED_int_snd_seq_t___GENPT___snd_seq_system_info_t___GENPT__;
typedef void (*FUNC_void_snd_seq_system_info_t___GENPT___const_snd_seq_system_info_t___GENPT__)(snd_seq_system_info_t * dst, const snd_seq_system_info_t * src);
typedef struct {
    snd_seq_system_info_t * a1;
    snd_seq_system_info_t * a2;
} ARGS_void_snd_seq_system_info_t___GENPT___const_snd_seq_system_info_t___GENPT__;
typedef struct {
    int format;
    FUNC_void_snd_seq_system_info_t___GENPT___const_snd_seq_system_info_t___GENPT__ func;
    ARGS_void_snd_seq_system_info_t___GENPT___const_snd_seq_system_info_t___GENPT__ args;
} PACKED_void_snd_seq_system_info_t___GENPT___const_snd_seq_system_info_t___GENPT__;
typedef struct {
    int func;
    ARGS_void_snd_seq_system_info_t___GENPT___const_snd_seq_system_info_t___GENPT__ args;
} INDEXED_void_snd_seq_system_info_t___GENPT___const_snd_seq_system_info_t___GENPT__;
typedef void (*FUNC_void_snd_seq_system_info_t___GENPT__)(snd_seq_system_info_t * ptr);
typedef struct {
    snd_seq_system_info_t * a1;
} ARGS_void_snd_seq_system_info_t___GENPT__;
typedef struct {
    int format;
    FUNC_void_snd_seq_system_info_t___GENPT__ func;
    ARGS_void_snd_seq_system_info_t___GENPT__ args;
} PACKED_void_snd_seq_system_info_t___GENPT__;
typedef struct {
    int func;
    ARGS_void_snd_seq_system_info_t___GENPT__ args;
} INDEXED_void_snd_seq_system_info_t___GENPT__;
typedef int (*FUNC_int_const_snd_seq_system_info_t___GENPT__)(const snd_seq_system_info_t * info);
typedef struct {
    snd_seq_system_info_t * a1;
} ARGS_int_const_snd_seq_system_info_t___GENPT__;
typedef struct {
    int format;
    FUNC_int_const_snd_seq_system_info_t___GENPT__ func;
    ARGS_int_const_snd_seq_system_info_t___GENPT__ args;
} PACKED_int_const_snd_seq_system_info_t___GENPT__;
typedef struct {
    int func;
    ARGS_int_const_snd_seq_system_info_t___GENPT__ args;
} INDEXED_int_const_snd_seq_system_info_t___GENPT__;
typedef int (*FUNC_int_snd_seq_system_info_t___GENPT____GENPT__)(snd_seq_system_info_t ** ptr);
typedef struct {
    snd_seq_system_info_t ** a1;
} ARGS_int_snd_seq_system_info_t___GENPT____GENPT__;
typedef struct {
    int format;
    FUNC_int_snd_seq_system_info_t___GENPT____GENPT__ func;
    ARGS_int_snd_seq_system_info_t___GENPT____GENPT__ args;
} PACKED_int_snd_seq_system_info_t___GENPT____GENPT__;
typedef struct {
    int func;
    ARGS_int_snd_seq_system_info_t___GENPT____GENPT__ args;
} INDEXED_int_snd_seq_system_info_t___GENPT____GENPT__;
typedef snd_seq_type_t (*FUNC_snd_seq_type_t_snd_seq_t___GENPT__)(snd_seq_t * seq);
typedef struct {
    snd_seq_t * a1;
} ARGS_snd_seq_type_t_snd_seq_t___GENPT__;
typedef struct {
    int format;
    FUNC_snd_seq_type_t_snd_seq_t___GENPT__ func;
    ARGS_snd_seq_type_t_snd_seq_t___GENPT__ args;
} PACKED_snd_seq_type_t_snd_seq_t___GENPT__;
typedef struct {
    int func;
    ARGS_snd_seq_type_t_snd_seq_t___GENPT__ args;
} INDEXED_snd_seq_type_t_snd_seq_t___GENPT__;
typedef struct snd_shm_area * (*FUNC_struct_snd_shm_area___GENPT___int_void___GENPT__)(int shmid, void * ptr);
typedef struct {
    int a1;
    void * a2;
} ARGS_struct_snd_shm_area___GENPT___int_void___GENPT__;
typedef struct {
    int format;
    FUNC_struct_snd_shm_area___GENPT___int_void___GENPT__ func;
    ARGS_struct_snd_shm_area___GENPT___int_void___GENPT__ args;
} PACKED_struct_snd_shm_area___GENPT___int_void___GENPT__;
typedef struct {
    int func;
    ARGS_struct_snd_shm_area___GENPT___int_void___GENPT__ args;
} INDEXED_struct_snd_shm_area___GENPT___int_void___GENPT__;
typedef int (*FUNC_int_struct_snd_shm_area___GENPT__)(struct snd_shm_area * area);
typedef struct {
    struct snd_shm_area * a1;
} ARGS_int_struct_snd_shm_area___GENPT__;
typedef struct {
    int format;
    FUNC_int_struct_snd_shm_area___GENPT__ func;
    ARGS_int_struct_snd_shm_area___GENPT__ args;
} PACKED_int_struct_snd_shm_area___GENPT__;
typedef struct {
    int func;
    ARGS_int_struct_snd_shm_area___GENPT__ args;
} INDEXED_int_struct_snd_shm_area___GENPT__;
typedef struct snd_shm_area * (*FUNC_struct_snd_shm_area___GENPT___struct_snd_shm_area___GENPT__)(struct snd_shm_area * area);
typedef struct {
    struct snd_shm_area * a1;
} ARGS_struct_snd_shm_area___GENPT___struct_snd_shm_area___GENPT__;
typedef struct {
    int format;
    FUNC_struct_snd_shm_area___GENPT___struct_snd_shm_area___GENPT__ func;
    ARGS_struct_snd_shm_area___GENPT___struct_snd_shm_area___GENPT__ args;
} PACKED_struct_snd_shm_area___GENPT___struct_snd_shm_area___GENPT__;
typedef struct {
    int func;
    ARGS_struct_snd_shm_area___GENPT___struct_snd_shm_area___GENPT__ args;
} INDEXED_struct_snd_shm_area___GENPT___struct_snd_shm_area___GENPT__;
typedef int (*FUNC_int_snd_pcm_t___GENPT___unsigned_int_unsigned_int_snd_pcm_format_t_snd_pcm_subformat_t_snd_spcm_latency_t_snd_pcm_access_t_snd_spcm_xrun_type_t)(snd_pcm_t * pcm, unsigned int rate, unsigned int channels, snd_pcm_format_t format, snd_pcm_subformat_t subformat, snd_spcm_latency_t latency, snd_pcm_access_t _access, snd_spcm_xrun_type_t xrun_type);
typedef struct {
    snd_pcm_t * a1;
    unsigned int a2;
    unsigned int a3;
    snd_pcm_format_t a4;
    snd_pcm_subformat_t a5;
    snd_spcm_latency_t a6;
    snd_pcm_access_t a7;
    snd_spcm_xrun_type_t a8;
} ARGS_int_snd_pcm_t___GENPT___unsigned_int_unsigned_int_snd_pcm_format_t_snd_pcm_subformat_t_snd_spcm_latency_t_snd_pcm_access_t_snd_spcm_xrun_type_t;
typedef struct {
    int format;
    FUNC_int_snd_pcm_t___GENPT___unsigned_int_unsigned_int_snd_pcm_format_t_snd_pcm_subformat_t_snd_spcm_latency_t_snd_pcm_access_t_snd_spcm_xrun_type_t func;
    ARGS_int_snd_pcm_t___GENPT___unsigned_int_unsigned_int_snd_pcm_format_t_snd_pcm_subformat_t_snd_spcm_latency_t_snd_pcm_access_t_snd_spcm_xrun_type_t args;
} PACKED_int_snd_pcm_t___GENPT___unsigned_int_unsigned_int_snd_pcm_format_t_snd_pcm_subformat_t_snd_spcm_latency_t_snd_pcm_access_t_snd_spcm_xrun_type_t;
typedef struct {
    int func;
    ARGS_int_snd_pcm_t___GENPT___unsigned_int_unsigned_int_snd_pcm_format_t_snd_pcm_subformat_t_snd_spcm_latency_t_snd_pcm_access_t_snd_spcm_xrun_type_t args;
} INDEXED_int_snd_pcm_t___GENPT___unsigned_int_unsigned_int_snd_pcm_format_t_snd_pcm_subformat_t_snd_spcm_latency_t_snd_pcm_access_t_snd_spcm_xrun_type_t;
typedef int (*FUNC_int_snd_pcm_t___GENPT___snd_pcm_t___GENPT___unsigned_int_unsigned_int_snd_pcm_format_t_snd_pcm_subformat_t_snd_spcm_latency_t_snd_pcm_access_t_snd_spcm_xrun_type_t_snd_spcm_duplex_type_t)(snd_pcm_t * playback_pcm, snd_pcm_t * capture_pcm, unsigned int rate, unsigned int channels, snd_pcm_format_t format, snd_pcm_subformat_t subformat, snd_spcm_latency_t latency, snd_pcm_access_t _access, snd_spcm_xrun_type_t xrun_type, snd_spcm_duplex_type_t duplex_type);
typedef struct {
    snd_pcm_t * a1;
    snd_pcm_t * a2;
    unsigned int a3;
    unsigned int a4;
    snd_pcm_format_t a5;
    snd_pcm_subformat_t a6;
    snd_spcm_latency_t a7;
    snd_pcm_access_t a8;
    snd_spcm_xrun_type_t a9;
    snd_spcm_duplex_type_t a10;
} ARGS_int_snd_pcm_t___GENPT___snd_pcm_t___GENPT___unsigned_int_unsigned_int_snd_pcm_format_t_snd_pcm_subformat_t_snd_spcm_latency_t_snd_pcm_access_t_snd_spcm_xrun_type_t_snd_spcm_duplex_type_t;
typedef struct {
    int format;
    FUNC_int_snd_pcm_t___GENPT___snd_pcm_t___GENPT___unsigned_int_unsigned_int_snd_pcm_format_t_snd_pcm_subformat_t_snd_spcm_latency_t_snd_pcm_access_t_snd_spcm_xrun_type_t_snd_spcm_duplex_type_t func;
    ARGS_int_snd_pcm_t___GENPT___snd_pcm_t___GENPT___unsigned_int_unsigned_int_snd_pcm_format_t_snd_pcm_subformat_t_snd_spcm_latency_t_snd_pcm_access_t_snd_spcm_xrun_type_t_snd_spcm_duplex_type_t args;
} PACKED_int_snd_pcm_t___GENPT___snd_pcm_t___GENPT___unsigned_int_unsigned_int_snd_pcm_format_t_snd_pcm_subformat_t_snd_spcm_latency_t_snd_pcm_access_t_snd_spcm_xrun_type_t_snd_spcm_duplex_type_t;
typedef struct {
    int func;
    ARGS_int_snd_pcm_t___GENPT___snd_pcm_t___GENPT___unsigned_int_unsigned_int_snd_pcm_format_t_snd_pcm_subformat_t_snd_spcm_latency_t_snd_pcm_access_t_snd_spcm_xrun_type_t_snd_spcm_duplex_type_t args;
} INDEXED_int_snd_pcm_t___GENPT___snd_pcm_t___GENPT___unsigned_int_unsigned_int_snd_pcm_format_t_snd_pcm_subformat_t_snd_spcm_latency_t_snd_pcm_access_t_snd_spcm_xrun_type_t_snd_spcm_duplex_type_t;
typedef int (*FUNC_int_snd_pcm_t___GENPT___unsigned_int___GENPT___snd_pcm_uframes_t___GENPT___snd_pcm_uframes_t___GENPT__)(snd_pcm_t * pcm, unsigned int * rate, snd_pcm_uframes_t * buffer_size, snd_pcm_uframes_t * period_size);
typedef struct {
    snd_pcm_t * a1;
    unsigned int * a2;
    snd_pcm_uframes_t * a3;
    snd_pcm_uframes_t * a4;
} ARGS_int_snd_pcm_t___GENPT___unsigned_int___GENPT___snd_pcm_uframes_t___GENPT___snd_pcm_uframes_t___GENPT__;
typedef struct {
    int format;
    FUNC_int_snd_pcm_t___GENPT___unsigned_int___GENPT___snd_pcm_uframes_t___GENPT___snd_pcm_uframes_t___GENPT__ func;
    ARGS_int_snd_pcm_t___GENPT___unsigned_int___GENPT___snd_pcm_uframes_t___GENPT___snd_pcm_uframes_t___GENPT__ args;
} PACKED_int_snd_pcm_t___GENPT___unsigned_int___GENPT___snd_pcm_uframes_t___GENPT___snd_pcm_uframes_t___GENPT__;
typedef struct {
    int func;
    ARGS_int_snd_pcm_t___GENPT___unsigned_int___GENPT___snd_pcm_uframes_t___GENPT___snd_pcm_uframes_t___GENPT__ args;
} INDEXED_int_snd_pcm_t___GENPT___unsigned_int___GENPT___snd_pcm_uframes_t___GENPT___snd_pcm_uframes_t___GENPT__;
typedef const char * (*FUNC_const_char___GENPT___int)(int errnum);
typedef struct {
    int a1;
} ARGS_const_char___GENPT___int;
typedef struct {
    int format;
    FUNC_const_char___GENPT___int func;
    ARGS_const_char___GENPT___int args;
} PACKED_const_char___GENPT___int;
typedef struct {
    int func;
    ARGS_const_char___GENPT___int args;
} INDEXED_const_char___GENPT___int;
typedef int (*FUNC_int_snd_timer_t___GENPT__)(snd_timer_t * handle);
typedef struct {
    snd_timer_t * a1;
} ARGS_int_snd_timer_t___GENPT__;
typedef struct {
    int format;
    FUNC_int_snd_timer_t___GENPT__ func;
    ARGS_int_snd_timer_t___GENPT__ args;
} PACKED_int_snd_timer_t___GENPT__;
typedef struct {
    int func;
    ARGS_int_snd_timer_t___GENPT__ args;
} INDEXED_int_snd_timer_t___GENPT__;
typedef void (*FUNC_void_snd_timer_ginfo_t___GENPT___const_snd_timer_ginfo_t___GENPT__)(snd_timer_ginfo_t * dst, const snd_timer_ginfo_t * src);
typedef struct {
    snd_timer_ginfo_t * a1;
    snd_timer_ginfo_t * a2;
} ARGS_void_snd_timer_ginfo_t___GENPT___const_snd_timer_ginfo_t___GENPT__;
typedef struct {
    int format;
    FUNC_void_snd_timer_ginfo_t___GENPT___const_snd_timer_ginfo_t___GENPT__ func;
    ARGS_void_snd_timer_ginfo_t___GENPT___const_snd_timer_ginfo_t___GENPT__ args;
} PACKED_void_snd_timer_ginfo_t___GENPT___const_snd_timer_ginfo_t___GENPT__;
typedef struct {
    int func;
    ARGS_void_snd_timer_ginfo_t___GENPT___const_snd_timer_ginfo_t___GENPT__ args;
} INDEXED_void_snd_timer_ginfo_t___GENPT___const_snd_timer_ginfo_t___GENPT__;
typedef void (*FUNC_void_snd_timer_ginfo_t___GENPT__)(snd_timer_ginfo_t * obj);
typedef struct {
    snd_timer_ginfo_t * a1;
} ARGS_void_snd_timer_ginfo_t___GENPT__;
typedef struct {
    int format;
    FUNC_void_snd_timer_ginfo_t___GENPT__ func;
    ARGS_void_snd_timer_ginfo_t___GENPT__ args;
} PACKED_void_snd_timer_ginfo_t___GENPT__;
typedef struct {
    int func;
    ARGS_void_snd_timer_ginfo_t___GENPT__ args;
} INDEXED_void_snd_timer_ginfo_t___GENPT__;
typedef int (*FUNC_int_snd_timer_ginfo_t___GENPT__)(snd_timer_ginfo_t * obj);
typedef struct {
    snd_timer_ginfo_t * a1;
} ARGS_int_snd_timer_ginfo_t___GENPT__;
typedef struct {
    int format;
    FUNC_int_snd_timer_ginfo_t___GENPT__ func;
    ARGS_int_snd_timer_ginfo_t___GENPT__ args;
} PACKED_int_snd_timer_ginfo_t___GENPT__;
typedef struct {
    int func;
    ARGS_int_snd_timer_ginfo_t___GENPT__ args;
} INDEXED_int_snd_timer_ginfo_t___GENPT__;
typedef unsigned int (*FUNC_unsigned_int_snd_timer_ginfo_t___GENPT__)(snd_timer_ginfo_t * obj);
typedef struct {
    snd_timer_ginfo_t * a1;
} ARGS_unsigned_int_snd_timer_ginfo_t___GENPT__;
typedef struct {
    int format;
    FUNC_unsigned_int_snd_timer_ginfo_t___GENPT__ func;
    ARGS_unsigned_int_snd_timer_ginfo_t___GENPT__ args;
} PACKED_unsigned_int_snd_timer_ginfo_t___GENPT__;
typedef struct {
    int func;
    ARGS_unsigned_int_snd_timer_ginfo_t___GENPT__ args;
} INDEXED_unsigned_int_snd_timer_ginfo_t___GENPT__;
typedef char * (*FUNC_char___GENPT___snd_timer_ginfo_t___GENPT__)(snd_timer_ginfo_t * obj);
typedef struct {
    snd_timer_ginfo_t * a1;
} ARGS_char___GENPT___snd_timer_ginfo_t___GENPT__;
typedef struct {
    int format;
    FUNC_char___GENPT___snd_timer_ginfo_t___GENPT__ func;
    ARGS_char___GENPT___snd_timer_ginfo_t___GENPT__ args;
} PACKED_char___GENPT___snd_timer_ginfo_t___GENPT__;
typedef struct {
    int func;
    ARGS_char___GENPT___snd_timer_ginfo_t___GENPT__ args;
} INDEXED_char___GENPT___snd_timer_ginfo_t___GENPT__;
typedef unsigned long (*FUNC_unsigned_long_snd_timer_ginfo_t___GENPT__)(snd_timer_ginfo_t * obj);
typedef struct {
    snd_timer_ginfo_t * a1;
} ARGS_unsigned_long_snd_timer_ginfo_t___GENPT__;
typedef struct {
    int format;
    FUNC_unsigned_long_snd_timer_ginfo_t___GENPT__ func;
    ARGS_unsigned_long_snd_timer_ginfo_t___GENPT__ args;
} PACKED_unsigned_long_snd_timer_ginfo_t___GENPT__;
typedef struct {
    int func;
    ARGS_unsigned_long_snd_timer_ginfo_t___GENPT__ args;
} INDEXED_unsigned_long_snd_timer_ginfo_t___GENPT__;
typedef snd_timer_id_t * (*FUNC_snd_timer_id_t___GENPT___snd_timer_ginfo_t___GENPT__)(snd_timer_ginfo_t * obj);
typedef struct {
    snd_timer_ginfo_t * a1;
} ARGS_snd_timer_id_t___GENPT___snd_timer_ginfo_t___GENPT__;
typedef struct {
    int format;
    FUNC_snd_timer_id_t___GENPT___snd_timer_ginfo_t___GENPT__ func;
    ARGS_snd_timer_id_t___GENPT___snd_timer_ginfo_t___GENPT__ args;
} PACKED_snd_timer_id_t___GENPT___snd_timer_ginfo_t___GENPT__;
typedef struct {
    int func;
    ARGS_snd_timer_id_t___GENPT___snd_timer_ginfo_t___GENPT__ args;
} INDEXED_snd_timer_id_t___GENPT___snd_timer_ginfo_t___GENPT__;
typedef int (*FUNC_int_snd_timer_ginfo_t___GENPT____GENPT__)(snd_timer_ginfo_t ** ptr);
typedef struct {
    snd_timer_ginfo_t ** a1;
} ARGS_int_snd_timer_ginfo_t___GENPT____GENPT__;
typedef struct {
    int format;
    FUNC_int_snd_timer_ginfo_t___GENPT____GENPT__ func;
    ARGS_int_snd_timer_ginfo_t___GENPT____GENPT__ args;
} PACKED_int_snd_timer_ginfo_t___GENPT____GENPT__;
typedef struct {
    int func;
    ARGS_int_snd_timer_ginfo_t___GENPT____GENPT__ args;
} INDEXED_int_snd_timer_ginfo_t___GENPT____GENPT__;
typedef int (*FUNC_int_snd_timer_ginfo_t___GENPT___snd_timer_id_t___GENPT__)(snd_timer_ginfo_t * obj, snd_timer_id_t * tid);
typedef struct {
    snd_timer_ginfo_t * a1;
    snd_timer_id_t * a2;
} ARGS_int_snd_timer_ginfo_t___GENPT___snd_timer_id_t___GENPT__;
typedef struct {
    int format;
    FUNC_int_snd_timer_ginfo_t___GENPT___snd_timer_id_t___GENPT__ func;
    ARGS_int_snd_timer_ginfo_t___GENPT___snd_timer_id_t___GENPT__ args;
} PACKED_int_snd_timer_ginfo_t___GENPT___snd_timer_id_t___GENPT__;
typedef struct {
    int func;
    ARGS_int_snd_timer_ginfo_t___GENPT___snd_timer_id_t___GENPT__ args;
} INDEXED_int_snd_timer_ginfo_t___GENPT___snd_timer_id_t___GENPT__;
typedef void (*FUNC_void_snd_timer_id_t___GENPT___const_snd_timer_id_t___GENPT__)(snd_timer_id_t * dst, const snd_timer_id_t * src);
typedef struct {
    snd_timer_id_t * a1;
    snd_timer_id_t * a2;
} ARGS_void_snd_timer_id_t___GENPT___const_snd_timer_id_t___GENPT__;
typedef struct {
    int format;
    FUNC_void_snd_timer_id_t___GENPT___const_snd_timer_id_t___GENPT__ func;
    ARGS_void_snd_timer_id_t___GENPT___const_snd_timer_id_t___GENPT__ args;
} PACKED_void_snd_timer_id_t___GENPT___const_snd_timer_id_t___GENPT__;
typedef struct {
    int func;
    ARGS_void_snd_timer_id_t___GENPT___const_snd_timer_id_t___GENPT__ args;
} INDEXED_void_snd_timer_id_t___GENPT___const_snd_timer_id_t___GENPT__;
typedef void (*FUNC_void_snd_timer_id_t___GENPT__)(snd_timer_id_t * obj);
typedef struct {
    snd_timer_id_t * a1;
} ARGS_void_snd_timer_id_t___GENPT__;
typedef struct {
    int format;
    FUNC_void_snd_timer_id_t___GENPT__ func;
    ARGS_void_snd_timer_id_t___GENPT__ args;
} PACKED_void_snd_timer_id_t___GENPT__;
typedef struct {
    int func;
    ARGS_void_snd_timer_id_t___GENPT__ args;
} INDEXED_void_snd_timer_id_t___GENPT__;
typedef int (*FUNC_int_snd_timer_id_t___GENPT__)(snd_timer_id_t * id);
typedef struct {
    snd_timer_id_t * a1;
} ARGS_int_snd_timer_id_t___GENPT__;
typedef struct {
    int format;
    FUNC_int_snd_timer_id_t___GENPT__ func;
    ARGS_int_snd_timer_id_t___GENPT__ args;
} PACKED_int_snd_timer_id_t___GENPT__;
typedef struct {
    int func;
    ARGS_int_snd_timer_id_t___GENPT__ args;
} INDEXED_int_snd_timer_id_t___GENPT__;
typedef int (*FUNC_int_snd_timer_id_t___GENPT____GENPT__)(snd_timer_id_t ** ptr);
typedef struct {
    snd_timer_id_t ** a1;
} ARGS_int_snd_timer_id_t___GENPT____GENPT__;
typedef struct {
    int format;
    FUNC_int_snd_timer_id_t___GENPT____GENPT__ func;
    ARGS_int_snd_timer_id_t___GENPT____GENPT__ args;
} PACKED_int_snd_timer_id_t___GENPT____GENPT__;
typedef struct {
    int func;
    ARGS_int_snd_timer_id_t___GENPT____GENPT__ args;
} INDEXED_int_snd_timer_id_t___GENPT____GENPT__;
typedef void (*FUNC_void_snd_timer_id_t___GENPT___int)(snd_timer_id_t * id, int card);
typedef struct {
    snd_timer_id_t * a1;
    int a2;
} ARGS_void_snd_timer_id_t___GENPT___int;
typedef struct {
    int format;
    FUNC_void_snd_timer_id_t___GENPT___int func;
    ARGS_void_snd_timer_id_t___GENPT___int args;
} PACKED_void_snd_timer_id_t___GENPT___int;
typedef struct {
    int func;
    ARGS_void_snd_timer_id_t___GENPT___int args;
} INDEXED_void_snd_timer_id_t___GENPT___int;
typedef int (*FUNC_int_snd_timer_t___GENPT___snd_timer_info_t___GENPT__)(snd_timer_t * handle, snd_timer_info_t * timer);
typedef struct {
    snd_timer_t * a1;
    snd_timer_info_t * a2;
} ARGS_int_snd_timer_t___GENPT___snd_timer_info_t___GENPT__;
typedef struct {
    int format;
    FUNC_int_snd_timer_t___GENPT___snd_timer_info_t___GENPT__ func;
    ARGS_int_snd_timer_t___GENPT___snd_timer_info_t___GENPT__ args;
} PACKED_int_snd_timer_t___GENPT___snd_timer_info_t___GENPT__;
typedef struct {
    int func;
    ARGS_int_snd_timer_t___GENPT___snd_timer_info_t___GENPT__ args;
} INDEXED_int_snd_timer_t___GENPT___snd_timer_info_t___GENPT__;
typedef void (*FUNC_void_snd_timer_info_t___GENPT___const_snd_timer_info_t___GENPT__)(snd_timer_info_t * dst, const snd_timer_info_t * src);
typedef struct {
    snd_timer_info_t * a1;
    snd_timer_info_t * a2;
} ARGS_void_snd_timer_info_t___GENPT___const_snd_timer_info_t___GENPT__;
typedef struct {
    int format;
    FUNC_void_snd_timer_info_t___GENPT___const_snd_timer_info_t___GENPT__ func;
    ARGS_void_snd_timer_info_t___GENPT___const_snd_timer_info_t___GENPT__ args;
} PACKED_void_snd_timer_info_t___GENPT___const_snd_timer_info_t___GENPT__;
typedef struct {
    int func;
    ARGS_void_snd_timer_info_t___GENPT___const_snd_timer_info_t___GENPT__ args;
} INDEXED_void_snd_timer_info_t___GENPT___const_snd_timer_info_t___GENPT__;
typedef void (*FUNC_void_snd_timer_info_t___GENPT__)(snd_timer_info_t * obj);
typedef struct {
    snd_timer_info_t * a1;
} ARGS_void_snd_timer_info_t___GENPT__;
typedef struct {
    int format;
    FUNC_void_snd_timer_info_t___GENPT__ func;
    ARGS_void_snd_timer_info_t___GENPT__ args;
} PACKED_void_snd_timer_info_t___GENPT__;
typedef struct {
    int func;
    ARGS_void_snd_timer_info_t___GENPT__ args;
} INDEXED_void_snd_timer_info_t___GENPT__;
typedef int (*FUNC_int_snd_timer_info_t___GENPT__)(snd_timer_info_t * info);
typedef struct {
    snd_timer_info_t * a1;
} ARGS_int_snd_timer_info_t___GENPT__;
typedef struct {
    int format;
    FUNC_int_snd_timer_info_t___GENPT__ func;
    ARGS_int_snd_timer_info_t___GENPT__ args;
} PACKED_int_snd_timer_info_t___GENPT__;
typedef struct {
    int func;
    ARGS_int_snd_timer_info_t___GENPT__ args;
} INDEXED_int_snd_timer_info_t___GENPT__;
typedef const char * (*FUNC_const_char___GENPT___snd_timer_info_t___GENPT__)(snd_timer_info_t * info);
typedef struct {
    snd_timer_info_t * a1;
} ARGS_const_char___GENPT___snd_timer_info_t___GENPT__;
typedef struct {
    int format;
    FUNC_const_char___GENPT___snd_timer_info_t___GENPT__ func;
    ARGS_const_char___GENPT___snd_timer_info_t___GENPT__ args;
} PACKED_const_char___GENPT___snd_timer_info_t___GENPT__;
typedef struct {
    int func;
    ARGS_const_char___GENPT___snd_timer_info_t___GENPT__ args;
} INDEXED_const_char___GENPT___snd_timer_info_t___GENPT__;
typedef long (*FUNC_long_snd_timer_info_t___GENPT__)(snd_timer_info_t * info);
typedef struct {
    snd_timer_info_t * a1;
} ARGS_long_snd_timer_info_t___GENPT__;
typedef struct {
    int format;
    FUNC_long_snd_timer_info_t___GENPT__ func;
    ARGS_long_snd_timer_info_t___GENPT__ args;
} PACKED_long_snd_timer_info_t___GENPT__;
typedef struct {
    int func;
    ARGS_long_snd_timer_info_t___GENPT__ args;
} INDEXED_long_snd_timer_info_t___GENPT__;
typedef int (*FUNC_int_snd_timer_info_t___GENPT____GENPT__)(snd_timer_info_t ** ptr);
typedef struct {
    snd_timer_info_t ** a1;
} ARGS_int_snd_timer_info_t___GENPT____GENPT__;
typedef struct {
    int format;
    FUNC_int_snd_timer_info_t___GENPT____GENPT__ func;
    ARGS_int_snd_timer_info_t___GENPT____GENPT__ args;
} PACKED_int_snd_timer_info_t___GENPT____GENPT__;
typedef struct {
    int func;
    ARGS_int_snd_timer_info_t___GENPT____GENPT__ args;
} INDEXED_int_snd_timer_info_t___GENPT____GENPT__;
typedef int (*FUNC_int_snd_timer_t___GENPT____GENPT___const_char___GENPT___int)(snd_timer_t ** handle, const char * name, int mode);
typedef struct {
    snd_timer_t ** a1;
    char * a2;
    int a3;
} ARGS_int_snd_timer_t___GENPT____GENPT___const_char___GENPT___int;
typedef struct {
    int format;
    FUNC_int_snd_timer_t___GENPT____GENPT___const_char___GENPT___int func;
    ARGS_int_snd_timer_t___GENPT____GENPT___const_char___GENPT___int args;
} PACKED_int_snd_timer_t___GENPT____GENPT___const_char___GENPT___int;
typedef struct {
    int func;
    ARGS_int_snd_timer_t___GENPT____GENPT___const_char___GENPT___int args;
} INDEXED_int_snd_timer_t___GENPT____GENPT___const_char___GENPT___int;
typedef int (*FUNC_int_snd_timer_t___GENPT____GENPT___const_char___GENPT___int_snd_config_t___GENPT__)(snd_timer_t ** handle, const char * name, int mode, snd_config_t * lconf);
typedef struct {
    snd_timer_t ** a1;
    char * a2;
    int a3;
    snd_config_t * a4;
} ARGS_int_snd_timer_t___GENPT____GENPT___const_char___GENPT___int_snd_config_t___GENPT__;
typedef struct {
    int format;
    FUNC_int_snd_timer_t___GENPT____GENPT___const_char___GENPT___int_snd_config_t___GENPT__ func;
    ARGS_int_snd_timer_t___GENPT____GENPT___const_char___GENPT___int_snd_config_t___GENPT__ args;
} PACKED_int_snd_timer_t___GENPT____GENPT___const_char___GENPT___int_snd_config_t___GENPT__;
typedef struct {
    int func;
    ARGS_int_snd_timer_t___GENPT____GENPT___const_char___GENPT___int_snd_config_t___GENPT__ args;
} INDEXED_int_snd_timer_t___GENPT____GENPT___const_char___GENPT___int_snd_config_t___GENPT__;
typedef int (*FUNC_int_snd_timer_t___GENPT___snd_timer_params_t___GENPT__)(snd_timer_t * handle, snd_timer_params_t * params);
typedef struct {
    snd_timer_t * a1;
    snd_timer_params_t * a2;
} ARGS_int_snd_timer_t___GENPT___snd_timer_params_t___GENPT__;
typedef struct {
    int format;
    FUNC_int_snd_timer_t___GENPT___snd_timer_params_t___GENPT__ func;
    ARGS_int_snd_timer_t___GENPT___snd_timer_params_t___GENPT__ args;
} PACKED_int_snd_timer_t___GENPT___snd_timer_params_t___GENPT__;
typedef struct {
    int func;
    ARGS_int_snd_timer_t___GENPT___snd_timer_params_t___GENPT__ args;
} INDEXED_int_snd_timer_t___GENPT___snd_timer_params_t___GENPT__;
typedef void (*FUNC_void_snd_timer_params_t___GENPT___const_snd_timer_params_t___GENPT__)(snd_timer_params_t * dst, const snd_timer_params_t * src);
typedef struct {
    snd_timer_params_t * a1;
    snd_timer_params_t * a2;
} ARGS_void_snd_timer_params_t___GENPT___const_snd_timer_params_t___GENPT__;
typedef struct {
    int format;
    FUNC_void_snd_timer_params_t___GENPT___const_snd_timer_params_t___GENPT__ func;
    ARGS_void_snd_timer_params_t___GENPT___const_snd_timer_params_t___GENPT__ args;
} PACKED_void_snd_timer_params_t___GENPT___const_snd_timer_params_t___GENPT__;
typedef struct {
    int func;
    ARGS_void_snd_timer_params_t___GENPT___const_snd_timer_params_t___GENPT__ args;
} INDEXED_void_snd_timer_params_t___GENPT___const_snd_timer_params_t___GENPT__;
typedef void (*FUNC_void_snd_timer_params_t___GENPT__)(snd_timer_params_t * obj);
typedef struct {
    snd_timer_params_t * a1;
} ARGS_void_snd_timer_params_t___GENPT__;
typedef struct {
    int format;
    FUNC_void_snd_timer_params_t___GENPT__ func;
    ARGS_void_snd_timer_params_t___GENPT__ args;
} PACKED_void_snd_timer_params_t___GENPT__;
typedef struct {
    int func;
    ARGS_void_snd_timer_params_t___GENPT__ args;
} INDEXED_void_snd_timer_params_t___GENPT__;
typedef int (*FUNC_int_snd_timer_params_t___GENPT__)(snd_timer_params_t * params);
typedef struct {
    snd_timer_params_t * a1;
} ARGS_int_snd_timer_params_t___GENPT__;
typedef struct {
    int format;
    FUNC_int_snd_timer_params_t___GENPT__ func;
    ARGS_int_snd_timer_params_t___GENPT__ args;
} PACKED_int_snd_timer_params_t___GENPT__;
typedef struct {
    int func;
    ARGS_int_snd_timer_params_t___GENPT__ args;
} INDEXED_int_snd_timer_params_t___GENPT__;
typedef unsigned int (*FUNC_unsigned_int_snd_timer_params_t___GENPT__)(snd_timer_params_t * params);
typedef struct {
    snd_timer_params_t * a1;
} ARGS_unsigned_int_snd_timer_params_t___GENPT__;
typedef struct {
    int format;
    FUNC_unsigned_int_snd_timer_params_t___GENPT__ func;
    ARGS_unsigned_int_snd_timer_params_t___GENPT__ args;
} PACKED_unsigned_int_snd_timer_params_t___GENPT__;
typedef struct {
    int func;
    ARGS_unsigned_int_snd_timer_params_t___GENPT__ args;
} INDEXED_unsigned_int_snd_timer_params_t___GENPT__;
typedef long (*FUNC_long_snd_timer_params_t___GENPT__)(snd_timer_params_t * params);
typedef struct {
    snd_timer_params_t * a1;
} ARGS_long_snd_timer_params_t___GENPT__;
typedef struct {
    int format;
    FUNC_long_snd_timer_params_t___GENPT__ func;
    ARGS_long_snd_timer_params_t___GENPT__ args;
} PACKED_long_snd_timer_params_t___GENPT__;
typedef struct {
    int func;
    ARGS_long_snd_timer_params_t___GENPT__ args;
} INDEXED_long_snd_timer_params_t___GENPT__;
typedef int (*FUNC_int_snd_timer_params_t___GENPT____GENPT__)(snd_timer_params_t ** ptr);
typedef struct {
    snd_timer_params_t ** a1;
} ARGS_int_snd_timer_params_t___GENPT____GENPT__;
typedef struct {
    int format;
    FUNC_int_snd_timer_params_t___GENPT____GENPT__ func;
    ARGS_int_snd_timer_params_t___GENPT____GENPT__ args;
} PACKED_int_snd_timer_params_t___GENPT____GENPT__;
typedef struct {
    int func;
    ARGS_int_snd_timer_params_t___GENPT____GENPT__ args;
} INDEXED_int_snd_timer_params_t___GENPT____GENPT__;
typedef int (*FUNC_int_snd_timer_params_t___GENPT___int)(snd_timer_params_t * params, int auto_start);
typedef struct {
    snd_timer_params_t * a1;
    int a2;
} ARGS_int_snd_timer_params_t___GENPT___int;
typedef struct {
    int format;
    FUNC_int_snd_timer_params_t___GENPT___int func;
    ARGS_int_snd_timer_params_t___GENPT___int args;
} PACKED_int_snd_timer_params_t___GENPT___int;
typedef struct {
    int func;
    ARGS_int_snd_timer_params_t___GENPT___int args;
} INDEXED_int_snd_timer_params_t___GENPT___int;
typedef void (*FUNC_void_snd_timer_params_t___GENPT___unsigned_int)(snd_timer_params_t * params, unsigned int filter);
typedef struct {
    snd_timer_params_t * a1;
    unsigned int a2;
} ARGS_void_snd_timer_params_t___GENPT___unsigned_int;
typedef struct {
    int format;
    FUNC_void_snd_timer_params_t___GENPT___unsigned_int func;
    ARGS_void_snd_timer_params_t___GENPT___unsigned_int args;
} PACKED_void_snd_timer_params_t___GENPT___unsigned_int;
typedef struct {
    int func;
    ARGS_void_snd_timer_params_t___GENPT___unsigned_int args;
} INDEXED_void_snd_timer_params_t___GENPT___unsigned_int;
typedef void (*FUNC_void_snd_timer_params_t___GENPT___long)(snd_timer_params_t * params, long queue_size);
typedef struct {
    snd_timer_params_t * a1;
    long a2;
} ARGS_void_snd_timer_params_t___GENPT___long;
typedef struct {
    int format;
    FUNC_void_snd_timer_params_t___GENPT___long func;
    ARGS_void_snd_timer_params_t___GENPT___long args;
} PACKED_void_snd_timer_params_t___GENPT___long;
typedef struct {
    int func;
    ARGS_void_snd_timer_params_t___GENPT___long args;
} INDEXED_void_snd_timer_params_t___GENPT___long;
typedef int (*FUNC_int_snd_timer_t___GENPT___struct_pollfd___GENPT___unsigned_int)(snd_timer_t * handle, struct pollfd * pfds, unsigned int space);
typedef struct {
    snd_timer_t * a1;
    struct pollfd * a2;
    unsigned int a3;
} ARGS_int_snd_timer_t___GENPT___struct_pollfd___GENPT___unsigned_int;
typedef struct {
    int format;
    FUNC_int_snd_timer_t___GENPT___struct_pollfd___GENPT___unsigned_int func;
    ARGS_int_snd_timer_t___GENPT___struct_pollfd___GENPT___unsigned_int args;
} PACKED_int_snd_timer_t___GENPT___struct_pollfd___GENPT___unsigned_int;
typedef struct {
    int func;
    ARGS_int_snd_timer_t___GENPT___struct_pollfd___GENPT___unsigned_int args;
} INDEXED_int_snd_timer_t___GENPT___struct_pollfd___GENPT___unsigned_int;
typedef int (*FUNC_int_snd_timer_t___GENPT___struct_pollfd___GENPT___unsigned_int_unsigned_short___GENPT__)(snd_timer_t * timer, struct pollfd * pfds, unsigned int nfds, unsigned short * revents);
typedef struct {
    snd_timer_t * a1;
    struct pollfd * a2;
    unsigned int a3;
    unsigned short * a4;
} ARGS_int_snd_timer_t___GENPT___struct_pollfd___GENPT___unsigned_int_unsigned_short___GENPT__;
typedef struct {
    int format;
    FUNC_int_snd_timer_t___GENPT___struct_pollfd___GENPT___unsigned_int_unsigned_short___GENPT__ func;
    ARGS_int_snd_timer_t___GENPT___struct_pollfd___GENPT___unsigned_int_unsigned_short___GENPT__ args;
} PACKED_int_snd_timer_t___GENPT___struct_pollfd___GENPT___unsigned_int_unsigned_short___GENPT__;
typedef struct {
    int func;
    ARGS_int_snd_timer_t___GENPT___struct_pollfd___GENPT___unsigned_int_unsigned_short___GENPT__ args;
} INDEXED_int_snd_timer_t___GENPT___struct_pollfd___GENPT___unsigned_int_unsigned_short___GENPT__;
typedef int (*FUNC_int_snd_timer_query_t___GENPT__)(snd_timer_query_t * handle);
typedef struct {
    snd_timer_query_t * a1;
} ARGS_int_snd_timer_query_t___GENPT__;
typedef struct {
    int format;
    FUNC_int_snd_timer_query_t___GENPT__ func;
    ARGS_int_snd_timer_query_t___GENPT__ args;
} PACKED_int_snd_timer_query_t___GENPT__;
typedef struct {
    int func;
    ARGS_int_snd_timer_query_t___GENPT__ args;
} INDEXED_int_snd_timer_query_t___GENPT__;
typedef int (*FUNC_int_snd_timer_query_t___GENPT___snd_timer_ginfo_t___GENPT__)(snd_timer_query_t * handle, snd_timer_ginfo_t * info);
typedef struct {
    snd_timer_query_t * a1;
    snd_timer_ginfo_t * a2;
} ARGS_int_snd_timer_query_t___GENPT___snd_timer_ginfo_t___GENPT__;
typedef struct {
    int format;
    FUNC_int_snd_timer_query_t___GENPT___snd_timer_ginfo_t___GENPT__ func;
    ARGS_int_snd_timer_query_t___GENPT___snd_timer_ginfo_t___GENPT__ args;
} PACKED_int_snd_timer_query_t___GENPT___snd_timer_ginfo_t___GENPT__;
typedef struct {
    int func;
    ARGS_int_snd_timer_query_t___GENPT___snd_timer_ginfo_t___GENPT__ args;
} INDEXED_int_snd_timer_query_t___GENPT___snd_timer_ginfo_t___GENPT__;
typedef int (*FUNC_int_snd_timer_query_t___GENPT___snd_timer_id_t___GENPT__)(snd_timer_query_t * handle, snd_timer_id_t * tid);
typedef struct {
    snd_timer_query_t * a1;
    snd_timer_id_t * a2;
} ARGS_int_snd_timer_query_t___GENPT___snd_timer_id_t___GENPT__;
typedef struct {
    int format;
    FUNC_int_snd_timer_query_t___GENPT___snd_timer_id_t___GENPT__ func;
    ARGS_int_snd_timer_query_t___GENPT___snd_timer_id_t___GENPT__ args;
} PACKED_int_snd_timer_query_t___GENPT___snd_timer_id_t___GENPT__;
typedef struct {
    int func;
    ARGS_int_snd_timer_query_t___GENPT___snd_timer_id_t___GENPT__ args;
} INDEXED_int_snd_timer_query_t___GENPT___snd_timer_id_t___GENPT__;
typedef int (*FUNC_int_snd_timer_query_t___GENPT____GENPT___const_char___GENPT___int)(snd_timer_query_t ** handle, const char * name, int mode);
typedef struct {
    snd_timer_query_t ** a1;
    char * a2;
    int a3;
} ARGS_int_snd_timer_query_t___GENPT____GENPT___const_char___GENPT___int;
typedef struct {
    int format;
    FUNC_int_snd_timer_query_t___GENPT____GENPT___const_char___GENPT___int func;
    ARGS_int_snd_timer_query_t___GENPT____GENPT___const_char___GENPT___int args;
} PACKED_int_snd_timer_query_t___GENPT____GENPT___const_char___GENPT___int;
typedef struct {
    int func;
    ARGS_int_snd_timer_query_t___GENPT____GENPT___const_char___GENPT___int args;
} INDEXED_int_snd_timer_query_t___GENPT____GENPT___const_char___GENPT___int;
typedef int (*FUNC_int_snd_timer_query_t___GENPT____GENPT___const_char___GENPT___int_snd_config_t___GENPT__)(snd_timer_query_t ** handle, const char * name, int mode, snd_config_t * lconf);
typedef struct {
    snd_timer_query_t ** a1;
    char * a2;
    int a3;
    snd_config_t * a4;
} ARGS_int_snd_timer_query_t___GENPT____GENPT___const_char___GENPT___int_snd_config_t___GENPT__;
typedef struct {
    int format;
    FUNC_int_snd_timer_query_t___GENPT____GENPT___const_char___GENPT___int_snd_config_t___GENPT__ func;
    ARGS_int_snd_timer_query_t___GENPT____GENPT___const_char___GENPT___int_snd_config_t___GENPT__ args;
} PACKED_int_snd_timer_query_t___GENPT____GENPT___const_char___GENPT___int_snd_config_t___GENPT__;
typedef struct {
    int func;
    ARGS_int_snd_timer_query_t___GENPT____GENPT___const_char___GENPT___int_snd_config_t___GENPT__ args;
} INDEXED_int_snd_timer_query_t___GENPT____GENPT___const_char___GENPT___int_snd_config_t___GENPT__;
typedef int (*FUNC_int_snd_timer_query_t___GENPT___snd_timer_gparams_t___GENPT__)(snd_timer_query_t * handle, snd_timer_gparams_t * params);
typedef struct {
    snd_timer_query_t * a1;
    snd_timer_gparams_t * a2;
} ARGS_int_snd_timer_query_t___GENPT___snd_timer_gparams_t___GENPT__;
typedef struct {
    int format;
    FUNC_int_snd_timer_query_t___GENPT___snd_timer_gparams_t___GENPT__ func;
    ARGS_int_snd_timer_query_t___GENPT___snd_timer_gparams_t___GENPT__ args;
} PACKED_int_snd_timer_query_t___GENPT___snd_timer_gparams_t___GENPT__;
typedef struct {
    int func;
    ARGS_int_snd_timer_query_t___GENPT___snd_timer_gparams_t___GENPT__ args;
} INDEXED_int_snd_timer_query_t___GENPT___snd_timer_gparams_t___GENPT__;
typedef int (*FUNC_int_snd_timer_query_t___GENPT___snd_timer_gstatus_t___GENPT__)(snd_timer_query_t * handle, snd_timer_gstatus_t * status);
typedef struct {
    snd_timer_query_t * a1;
    snd_timer_gstatus_t * a2;
} ARGS_int_snd_timer_query_t___GENPT___snd_timer_gstatus_t___GENPT__;
typedef struct {
    int format;
    FUNC_int_snd_timer_query_t___GENPT___snd_timer_gstatus_t___GENPT__ func;
    ARGS_int_snd_timer_query_t___GENPT___snd_timer_gstatus_t___GENPT__ args;
} PACKED_int_snd_timer_query_t___GENPT___snd_timer_gstatus_t___GENPT__;
typedef struct {
    int func;
    ARGS_int_snd_timer_query_t___GENPT___snd_timer_gstatus_t___GENPT__ args;
} INDEXED_int_snd_timer_query_t___GENPT___snd_timer_gstatus_t___GENPT__;
typedef ssize_t (*FUNC_ssize_t_snd_timer_t___GENPT___void___GENPT___size_t)(snd_timer_t * handle, void * buffer, size_t size);
typedef struct {
    snd_timer_t * a1;
    void * a2;
    size_t a3;
} ARGS_ssize_t_snd_timer_t___GENPT___void___GENPT___size_t;
typedef struct {
    int format;
    FUNC_ssize_t_snd_timer_t___GENPT___void___GENPT___size_t func;
    ARGS_ssize_t_snd_timer_t___GENPT___void___GENPT___size_t args;
} PACKED_ssize_t_snd_timer_t___GENPT___void___GENPT___size_t;
typedef struct {
    int func;
    ARGS_ssize_t_snd_timer_t___GENPT___void___GENPT___size_t args;
} INDEXED_ssize_t_snd_timer_t___GENPT___void___GENPT___size_t;
typedef int (*FUNC_int_snd_timer_t___GENPT___snd_timer_status_t___GENPT__)(snd_timer_t * handle, snd_timer_status_t * status);
typedef struct {
    snd_timer_t * a1;
    snd_timer_status_t * a2;
} ARGS_int_snd_timer_t___GENPT___snd_timer_status_t___GENPT__;
typedef struct {
    int format;
    FUNC_int_snd_timer_t___GENPT___snd_timer_status_t___GENPT__ func;
    ARGS_int_snd_timer_t___GENPT___snd_timer_status_t___GENPT__ args;
} PACKED_int_snd_timer_t___GENPT___snd_timer_status_t___GENPT__;
typedef struct {
    int func;
    ARGS_int_snd_timer_t___GENPT___snd_timer_status_t___GENPT__ args;
} INDEXED_int_snd_timer_t___GENPT___snd_timer_status_t___GENPT__;
typedef void (*FUNC_void_snd_timer_status_t___GENPT___const_snd_timer_status_t___GENPT__)(snd_timer_status_t * dst, const snd_timer_status_t * src);
typedef struct {
    snd_timer_status_t * a1;
    snd_timer_status_t * a2;
} ARGS_void_snd_timer_status_t___GENPT___const_snd_timer_status_t___GENPT__;
typedef struct {
    int format;
    FUNC_void_snd_timer_status_t___GENPT___const_snd_timer_status_t___GENPT__ func;
    ARGS_void_snd_timer_status_t___GENPT___const_snd_timer_status_t___GENPT__ args;
} PACKED_void_snd_timer_status_t___GENPT___const_snd_timer_status_t___GENPT__;
typedef struct {
    int func;
    ARGS_void_snd_timer_status_t___GENPT___const_snd_timer_status_t___GENPT__ args;
} INDEXED_void_snd_timer_status_t___GENPT___const_snd_timer_status_t___GENPT__;
typedef void (*FUNC_void_snd_timer_status_t___GENPT__)(snd_timer_status_t * obj);
typedef struct {
    snd_timer_status_t * a1;
} ARGS_void_snd_timer_status_t___GENPT__;
typedef struct {
    int format;
    FUNC_void_snd_timer_status_t___GENPT__ func;
    ARGS_void_snd_timer_status_t___GENPT__ args;
} PACKED_void_snd_timer_status_t___GENPT__;
typedef struct {
    int func;
    ARGS_void_snd_timer_status_t___GENPT__ args;
} INDEXED_void_snd_timer_status_t___GENPT__;
typedef long (*FUNC_long_snd_timer_status_t___GENPT__)(snd_timer_status_t * status);
typedef struct {
    snd_timer_status_t * a1;
} ARGS_long_snd_timer_status_t___GENPT__;
typedef struct {
    int format;
    FUNC_long_snd_timer_status_t___GENPT__ func;
    ARGS_long_snd_timer_status_t___GENPT__ args;
} PACKED_long_snd_timer_status_t___GENPT__;
typedef struct {
    int func;
    ARGS_long_snd_timer_status_t___GENPT__ args;
} INDEXED_long_snd_timer_status_t___GENPT__;
typedef snd_htimestamp_t (*FUNC_snd_htimestamp_t_snd_timer_status_t___GENPT__)(snd_timer_status_t * status);
typedef struct {
    snd_timer_status_t * a1;
} ARGS_snd_htimestamp_t_snd_timer_status_t___GENPT__;
typedef struct {
    int format;
    FUNC_snd_htimestamp_t_snd_timer_status_t___GENPT__ func;
    ARGS_snd_htimestamp_t_snd_timer_status_t___GENPT__ args;
} PACKED_snd_htimestamp_t_snd_timer_status_t___GENPT__;
typedef struct {
    int func;
    ARGS_snd_htimestamp_t_snd_timer_status_t___GENPT__ args;
} INDEXED_snd_htimestamp_t_snd_timer_status_t___GENPT__;
typedef int (*FUNC_int_snd_timer_status_t___GENPT____GENPT__)(snd_timer_status_t ** ptr);
typedef struct {
    snd_timer_status_t ** a1;
} ARGS_int_snd_timer_status_t___GENPT____GENPT__;
typedef struct {
    int format;
    FUNC_int_snd_timer_status_t___GENPT____GENPT__ func;
    ARGS_int_snd_timer_status_t___GENPT____GENPT__ args;
} PACKED_int_snd_timer_status_t___GENPT____GENPT__;
typedef struct {
    int func;
    ARGS_int_snd_timer_status_t___GENPT____GENPT__ args;
} INDEXED_int_snd_timer_status_t___GENPT____GENPT__;
typedef int (*FUNC_int_const_char___GENPT___char___GENPT____GENPT__)(const char * file, char ** result);
typedef struct {
    char * a1;
    char ** a2;
} ARGS_int_const_char___GENPT___char___GENPT____GENPT__;
typedef struct {
    int format;
    FUNC_int_const_char___GENPT___char___GENPT____GENPT__ func;
    ARGS_int_const_char___GENPT___char___GENPT____GENPT__ args;
} PACKED_int_const_char___GENPT___char___GENPT____GENPT__;
typedef struct {
    int func;
    ARGS_int_const_char___GENPT___char___GENPT____GENPT__ args;
} INDEXED_int_const_char___GENPT___char___GENPT____GENPT__;

extern void glPushCall(void *data);
void glPackedCall(const packed_call_t *packed);
void glIndexedCall(const indexed_call_t *packed, void *ret_v);

#define glAccum_INDEX 1
#define glAccum_RETURN void
#define glAccum_ARG_NAMES op, value
#define glAccum_ARG_EXPAND GLenum op, GLfloat value
#define glAccum_PACKED PACKED_void_GLenum_GLfloat
#define glAccum_INDEXED INDEXED_void_GLenum_GLfloat
#define glAccum_FORMAT FORMAT_void_GLenum_GLfloat
#define glActiveTexture_INDEX 2
#define glActiveTexture_RETURN void
#define glActiveTexture_ARG_NAMES texture
#define glActiveTexture_ARG_EXPAND GLenum texture
#define glActiveTexture_PACKED PACKED_void_GLenum
#define glActiveTexture_INDEXED INDEXED_void_GLenum
#define glActiveTexture_FORMAT FORMAT_void_GLenum
#define glAlphaFunc_INDEX 3
#define glAlphaFunc_RETURN void
#define glAlphaFunc_ARG_NAMES func, ref
#define glAlphaFunc_ARG_EXPAND GLenum func, GLfloat ref
#define glAlphaFunc_PACKED PACKED_void_GLenum_GLfloat
#define glAlphaFunc_INDEXED INDEXED_void_GLenum_GLfloat
#define glAlphaFunc_FORMAT FORMAT_void_GLenum_GLfloat
#define glAreTexturesResident_INDEX 4
#define glAreTexturesResident_RETURN GLboolean
#define glAreTexturesResident_ARG_NAMES n, textures, residences
#define glAreTexturesResident_ARG_EXPAND GLsizei n, const GLuint * textures, GLboolean * residences
#define glAreTexturesResident_PACKED PACKED_GLboolean_GLsizei_const_GLuint___GENPT___GLboolean___GENPT__
#define glAreTexturesResident_INDEXED INDEXED_GLboolean_GLsizei_const_GLuint___GENPT___GLboolean___GENPT__
#define glAreTexturesResident_FORMAT FORMAT_GLboolean_GLsizei_const_GLuint___GENPT___GLboolean___GENPT__
#define glArrayElement_INDEX 5
#define glArrayElement_RETURN void
#define glArrayElement_ARG_NAMES i
#define glArrayElement_ARG_EXPAND GLint i
#define glArrayElement_PACKED PACKED_void_GLint
#define glArrayElement_INDEXED INDEXED_void_GLint
#define glArrayElement_FORMAT FORMAT_void_GLint
#define glBegin_INDEX 6
#define glBegin_RETURN void
#define glBegin_ARG_NAMES mode
#define glBegin_ARG_EXPAND GLenum mode
#define glBegin_PACKED PACKED_void_GLenum
#define glBegin_INDEXED INDEXED_void_GLenum
#define glBegin_FORMAT FORMAT_void_GLenum
#define glBeginQuery_INDEX 7
#define glBeginQuery_RETURN void
#define glBeginQuery_ARG_NAMES target, id
#define glBeginQuery_ARG_EXPAND GLenum target, GLuint id
#define glBeginQuery_PACKED PACKED_void_GLenum_GLuint
#define glBeginQuery_INDEXED INDEXED_void_GLenum_GLuint
#define glBeginQuery_FORMAT FORMAT_void_GLenum_GLuint
#define glBindBuffer_INDEX 8
#define glBindBuffer_RETURN void
#define glBindBuffer_ARG_NAMES target, buffer
#define glBindBuffer_ARG_EXPAND GLenum target, GLuint buffer
#define glBindBuffer_PACKED PACKED_void_GLenum_GLuint
#define glBindBuffer_INDEXED INDEXED_void_GLenum_GLuint
#define glBindBuffer_FORMAT FORMAT_void_GLenum_GLuint
#define glBindTexture_INDEX 9
#define glBindTexture_RETURN void
#define glBindTexture_ARG_NAMES target, texture
#define glBindTexture_ARG_EXPAND GLenum target, GLuint texture
#define glBindTexture_PACKED PACKED_void_GLenum_GLuint
#define glBindTexture_INDEXED INDEXED_void_GLenum_GLuint
#define glBindTexture_FORMAT FORMAT_void_GLenum_GLuint
#define glBitmap_INDEX 10
#define glBitmap_RETURN void
#define glBitmap_ARG_NAMES width, height, xorig, yorig, xmove, ymove, bitmap
#define glBitmap_ARG_EXPAND GLsizei width, GLsizei height, GLfloat xorig, GLfloat yorig, GLfloat xmove, GLfloat ymove, const GLubyte * bitmap
#define glBitmap_PACKED PACKED_void_GLsizei_GLsizei_GLfloat_GLfloat_GLfloat_GLfloat_const_GLubyte___GENPT__
#define glBitmap_INDEXED INDEXED_void_GLsizei_GLsizei_GLfloat_GLfloat_GLfloat_GLfloat_const_GLubyte___GENPT__
#define glBitmap_FORMAT FORMAT_void_GLsizei_GLsizei_GLfloat_GLfloat_GLfloat_GLfloat_const_GLubyte___GENPT__
#define glBlendColor_INDEX 11
#define glBlendColor_RETURN void
#define glBlendColor_ARG_NAMES red, green, blue, alpha
#define glBlendColor_ARG_EXPAND GLfloat red, GLfloat green, GLfloat blue, GLfloat alpha
#define glBlendColor_PACKED PACKED_void_GLfloat_GLfloat_GLfloat_GLfloat
#define glBlendColor_INDEXED INDEXED_void_GLfloat_GLfloat_GLfloat_GLfloat
#define glBlendColor_FORMAT FORMAT_void_GLfloat_GLfloat_GLfloat_GLfloat
#define glBlendEquation_INDEX 12
#define glBlendEquation_RETURN void
#define glBlendEquation_ARG_NAMES mode
#define glBlendEquation_ARG_EXPAND GLenum mode
#define glBlendEquation_PACKED PACKED_void_GLenum
#define glBlendEquation_INDEXED INDEXED_void_GLenum
#define glBlendEquation_FORMAT FORMAT_void_GLenum
#define glBlendFunc_INDEX 13
#define glBlendFunc_RETURN void
#define glBlendFunc_ARG_NAMES sfactor, dfactor
#define glBlendFunc_ARG_EXPAND GLenum sfactor, GLenum dfactor
#define glBlendFunc_PACKED PACKED_void_GLenum_GLenum
#define glBlendFunc_INDEXED INDEXED_void_GLenum_GLenum
#define glBlendFunc_FORMAT FORMAT_void_GLenum_GLenum
#define glBlendFuncSeparate_INDEX 14
#define glBlendFuncSeparate_RETURN void
#define glBlendFuncSeparate_ARG_NAMES sfactorRGB, dfactorRGB, sfactorAlpha, dfactorAlpha
#define glBlendFuncSeparate_ARG_EXPAND GLenum sfactorRGB, GLenum dfactorRGB, GLenum sfactorAlpha, GLenum dfactorAlpha
#define glBlendFuncSeparate_PACKED PACKED_void_GLenum_GLenum_GLenum_GLenum
#define glBlendFuncSeparate_INDEXED INDEXED_void_GLenum_GLenum_GLenum_GLenum
#define glBlendFuncSeparate_FORMAT FORMAT_void_GLenum_GLenum_GLenum_GLenum
#define glBufferData_INDEX 15
#define glBufferData_RETURN void
#define glBufferData_ARG_NAMES target, size, data, usage
#define glBufferData_ARG_EXPAND GLenum target, GLsizeiptr size, const GLvoid * data, GLenum usage
#define glBufferData_PACKED PACKED_void_GLenum_GLsizeiptr_const_GLvoid___GENPT___GLenum
#define glBufferData_INDEXED INDEXED_void_GLenum_GLsizeiptr_const_GLvoid___GENPT___GLenum
#define glBufferData_FORMAT FORMAT_void_GLenum_GLsizeiptr_const_GLvoid___GENPT___GLenum
#define glBufferSubData_INDEX 16
#define glBufferSubData_RETURN void
#define glBufferSubData_ARG_NAMES target, offset, size, data
#define glBufferSubData_ARG_EXPAND GLenum target, GLintptr offset, GLsizeiptr size, const GLvoid * data
#define glBufferSubData_PACKED PACKED_void_GLenum_GLintptr_GLsizeiptr_const_GLvoid___GENPT__
#define glBufferSubData_INDEXED INDEXED_void_GLenum_GLintptr_GLsizeiptr_const_GLvoid___GENPT__
#define glBufferSubData_FORMAT FORMAT_void_GLenum_GLintptr_GLsizeiptr_const_GLvoid___GENPT__
#define glCallList_INDEX 17
#define glCallList_RETURN void
#define glCallList_ARG_NAMES list
#define glCallList_ARG_EXPAND GLuint list
#define glCallList_PACKED PACKED_void_GLuint
#define glCallList_INDEXED INDEXED_void_GLuint
#define glCallList_FORMAT FORMAT_void_GLuint
#define glCallLists_INDEX 18
#define glCallLists_RETURN void
#define glCallLists_ARG_NAMES n, type, lists
#define glCallLists_ARG_EXPAND GLsizei n, GLenum type, const GLvoid * lists
#define glCallLists_PACKED PACKED_void_GLsizei_GLenum_const_GLvoid___GENPT__
#define glCallLists_INDEXED INDEXED_void_GLsizei_GLenum_const_GLvoid___GENPT__
#define glCallLists_FORMAT FORMAT_void_GLsizei_GLenum_const_GLvoid___GENPT__
#define glClear_INDEX 19
#define glClear_RETURN void
#define glClear_ARG_NAMES mask
#define glClear_ARG_EXPAND GLbitfield mask
#define glClear_PACKED PACKED_void_GLbitfield
#define glClear_INDEXED INDEXED_void_GLbitfield
#define glClear_FORMAT FORMAT_void_GLbitfield
#define glClearAccum_INDEX 20
#define glClearAccum_RETURN void
#define glClearAccum_ARG_NAMES red, green, blue, alpha
#define glClearAccum_ARG_EXPAND GLfloat red, GLfloat green, GLfloat blue, GLfloat alpha
#define glClearAccum_PACKED PACKED_void_GLfloat_GLfloat_GLfloat_GLfloat
#define glClearAccum_INDEXED INDEXED_void_GLfloat_GLfloat_GLfloat_GLfloat
#define glClearAccum_FORMAT FORMAT_void_GLfloat_GLfloat_GLfloat_GLfloat
#define glClearColor_INDEX 21
#define glClearColor_RETURN void
#define glClearColor_ARG_NAMES red, green, blue, alpha
#define glClearColor_ARG_EXPAND GLfloat red, GLfloat green, GLfloat blue, GLfloat alpha
#define glClearColor_PACKED PACKED_void_GLfloat_GLfloat_GLfloat_GLfloat
#define glClearColor_INDEXED INDEXED_void_GLfloat_GLfloat_GLfloat_GLfloat
#define glClearColor_FORMAT FORMAT_void_GLfloat_GLfloat_GLfloat_GLfloat
#define glClearDepth_INDEX 22
#define glClearDepth_RETURN void
#define glClearDepth_ARG_NAMES depth
#define glClearDepth_ARG_EXPAND GLdouble depth
#define glClearDepth_PACKED PACKED_void_GLdouble
#define glClearDepth_INDEXED INDEXED_void_GLdouble
#define glClearDepth_FORMAT FORMAT_void_GLdouble
#define glClearIndex_INDEX 23
#define glClearIndex_RETURN void
#define glClearIndex_ARG_NAMES c
#define glClearIndex_ARG_EXPAND GLfloat c
#define glClearIndex_PACKED PACKED_void_GLfloat
#define glClearIndex_INDEXED INDEXED_void_GLfloat
#define glClearIndex_FORMAT FORMAT_void_GLfloat
#define glClearStencil_INDEX 24
#define glClearStencil_RETURN void
#define glClearStencil_ARG_NAMES s
#define glClearStencil_ARG_EXPAND GLint s
#define glClearStencil_PACKED PACKED_void_GLint
#define glClearStencil_INDEXED INDEXED_void_GLint
#define glClearStencil_FORMAT FORMAT_void_GLint
#define glClientActiveTexture_INDEX 25
#define glClientActiveTexture_RETURN void
#define glClientActiveTexture_ARG_NAMES texture
#define glClientActiveTexture_ARG_EXPAND GLenum texture
#define glClientActiveTexture_PACKED PACKED_void_GLenum
#define glClientActiveTexture_INDEXED INDEXED_void_GLenum
#define glClientActiveTexture_FORMAT FORMAT_void_GLenum
#define glClipPlane_INDEX 26
#define glClipPlane_RETURN void
#define glClipPlane_ARG_NAMES plane, equation
#define glClipPlane_ARG_EXPAND GLenum plane, const GLdouble * equation
#define glClipPlane_PACKED PACKED_void_GLenum_const_GLdouble___GENPT__
#define glClipPlane_INDEXED INDEXED_void_GLenum_const_GLdouble___GENPT__
#define glClipPlane_FORMAT FORMAT_void_GLenum_const_GLdouble___GENPT__
#define glColor3b_INDEX 27
#define glColor3b_RETURN void
#define glColor3b_ARG_NAMES red, green, blue
#define glColor3b_ARG_EXPAND GLbyte red, GLbyte green, GLbyte blue
#define glColor3b_PACKED PACKED_void_GLbyte_GLbyte_GLbyte
#define glColor3b_INDEXED INDEXED_void_GLbyte_GLbyte_GLbyte
#define glColor3b_FORMAT FORMAT_void_GLbyte_GLbyte_GLbyte
#define glColor3bv_INDEX 28
#define glColor3bv_RETURN void
#define glColor3bv_ARG_NAMES v
#define glColor3bv_ARG_EXPAND const GLbyte * v
#define glColor3bv_PACKED PACKED_void_const_GLbyte___GENPT__
#define glColor3bv_INDEXED INDEXED_void_const_GLbyte___GENPT__
#define glColor3bv_FORMAT FORMAT_void_const_GLbyte___GENPT__
#define glColor3d_INDEX 29
#define glColor3d_RETURN void
#define glColor3d_ARG_NAMES red, green, blue
#define glColor3d_ARG_EXPAND GLdouble red, GLdouble green, GLdouble blue
#define glColor3d_PACKED PACKED_void_GLdouble_GLdouble_GLdouble
#define glColor3d_INDEXED INDEXED_void_GLdouble_GLdouble_GLdouble
#define glColor3d_FORMAT FORMAT_void_GLdouble_GLdouble_GLdouble
#define glColor3dv_INDEX 30
#define glColor3dv_RETURN void
#define glColor3dv_ARG_NAMES v
#define glColor3dv_ARG_EXPAND const GLdouble * v
#define glColor3dv_PACKED PACKED_void_const_GLdouble___GENPT__
#define glColor3dv_INDEXED INDEXED_void_const_GLdouble___GENPT__
#define glColor3dv_FORMAT FORMAT_void_const_GLdouble___GENPT__
#define glColor3f_INDEX 31
#define glColor3f_RETURN void
#define glColor3f_ARG_NAMES red, green, blue
#define glColor3f_ARG_EXPAND GLfloat red, GLfloat green, GLfloat blue
#define glColor3f_PACKED PACKED_void_GLfloat_GLfloat_GLfloat
#define glColor3f_INDEXED INDEXED_void_GLfloat_GLfloat_GLfloat
#define glColor3f_FORMAT FORMAT_void_GLfloat_GLfloat_GLfloat
#define glColor3fv_INDEX 32
#define glColor3fv_RETURN void
#define glColor3fv_ARG_NAMES v
#define glColor3fv_ARG_EXPAND const GLfloat * v
#define glColor3fv_PACKED PACKED_void_const_GLfloat___GENPT__
#define glColor3fv_INDEXED INDEXED_void_const_GLfloat___GENPT__
#define glColor3fv_FORMAT FORMAT_void_const_GLfloat___GENPT__
#define glColor3i_INDEX 33
#define glColor3i_RETURN void
#define glColor3i_ARG_NAMES red, green, blue
#define glColor3i_ARG_EXPAND GLint red, GLint green, GLint blue
#define glColor3i_PACKED PACKED_void_GLint_GLint_GLint
#define glColor3i_INDEXED INDEXED_void_GLint_GLint_GLint
#define glColor3i_FORMAT FORMAT_void_GLint_GLint_GLint
#define glColor3iv_INDEX 34
#define glColor3iv_RETURN void
#define glColor3iv_ARG_NAMES v
#define glColor3iv_ARG_EXPAND const GLint * v
#define glColor3iv_PACKED PACKED_void_const_GLint___GENPT__
#define glColor3iv_INDEXED INDEXED_void_const_GLint___GENPT__
#define glColor3iv_FORMAT FORMAT_void_const_GLint___GENPT__
#define glColor3s_INDEX 35
#define glColor3s_RETURN void
#define glColor3s_ARG_NAMES red, green, blue
#define glColor3s_ARG_EXPAND GLshort red, GLshort green, GLshort blue
#define glColor3s_PACKED PACKED_void_GLshort_GLshort_GLshort
#define glColor3s_INDEXED INDEXED_void_GLshort_GLshort_GLshort
#define glColor3s_FORMAT FORMAT_void_GLshort_GLshort_GLshort
#define glColor3sv_INDEX 36
#define glColor3sv_RETURN void
#define glColor3sv_ARG_NAMES v
#define glColor3sv_ARG_EXPAND const GLshort * v
#define glColor3sv_PACKED PACKED_void_const_GLshort___GENPT__
#define glColor3sv_INDEXED INDEXED_void_const_GLshort___GENPT__
#define glColor3sv_FORMAT FORMAT_void_const_GLshort___GENPT__
#define glColor3ub_INDEX 37
#define glColor3ub_RETURN void
#define glColor3ub_ARG_NAMES red, green, blue
#define glColor3ub_ARG_EXPAND GLubyte red, GLubyte green, GLubyte blue
#define glColor3ub_PACKED PACKED_void_GLubyte_GLubyte_GLubyte
#define glColor3ub_INDEXED INDEXED_void_GLubyte_GLubyte_GLubyte
#define glColor3ub_FORMAT FORMAT_void_GLubyte_GLubyte_GLubyte
#define glColor3ubv_INDEX 38
#define glColor3ubv_RETURN void
#define glColor3ubv_ARG_NAMES v
#define glColor3ubv_ARG_EXPAND const GLubyte * v
#define glColor3ubv_PACKED PACKED_void_const_GLubyte___GENPT__
#define glColor3ubv_INDEXED INDEXED_void_const_GLubyte___GENPT__
#define glColor3ubv_FORMAT FORMAT_void_const_GLubyte___GENPT__
#define glColor3ui_INDEX 39
#define glColor3ui_RETURN void
#define glColor3ui_ARG_NAMES red, green, blue
#define glColor3ui_ARG_EXPAND GLuint red, GLuint green, GLuint blue
#define glColor3ui_PACKED PACKED_void_GLuint_GLuint_GLuint
#define glColor3ui_INDEXED INDEXED_void_GLuint_GLuint_GLuint
#define glColor3ui_FORMAT FORMAT_void_GLuint_GLuint_GLuint
#define glColor3uiv_INDEX 40
#define glColor3uiv_RETURN void
#define glColor3uiv_ARG_NAMES v
#define glColor3uiv_ARG_EXPAND const GLuint * v
#define glColor3uiv_PACKED PACKED_void_const_GLuint___GENPT__
#define glColor3uiv_INDEXED INDEXED_void_const_GLuint___GENPT__
#define glColor3uiv_FORMAT FORMAT_void_const_GLuint___GENPT__
#define glColor3us_INDEX 41
#define glColor3us_RETURN void
#define glColor3us_ARG_NAMES red, green, blue
#define glColor3us_ARG_EXPAND GLushort red, GLushort green, GLushort blue
#define glColor3us_PACKED PACKED_void_GLushort_GLushort_GLushort
#define glColor3us_INDEXED INDEXED_void_GLushort_GLushort_GLushort
#define glColor3us_FORMAT FORMAT_void_GLushort_GLushort_GLushort
#define glColor3usv_INDEX 42
#define glColor3usv_RETURN void
#define glColor3usv_ARG_NAMES v
#define glColor3usv_ARG_EXPAND const GLushort * v
#define glColor3usv_PACKED PACKED_void_const_GLushort___GENPT__
#define glColor3usv_INDEXED INDEXED_void_const_GLushort___GENPT__
#define glColor3usv_FORMAT FORMAT_void_const_GLushort___GENPT__
#define glColor4b_INDEX 43
#define glColor4b_RETURN void
#define glColor4b_ARG_NAMES red, green, blue, alpha
#define glColor4b_ARG_EXPAND GLbyte red, GLbyte green, GLbyte blue, GLbyte alpha
#define glColor4b_PACKED PACKED_void_GLbyte_GLbyte_GLbyte_GLbyte
#define glColor4b_INDEXED INDEXED_void_GLbyte_GLbyte_GLbyte_GLbyte
#define glColor4b_FORMAT FORMAT_void_GLbyte_GLbyte_GLbyte_GLbyte
#define glColor4bv_INDEX 44
#define glColor4bv_RETURN void
#define glColor4bv_ARG_NAMES v
#define glColor4bv_ARG_EXPAND const GLbyte * v
#define glColor4bv_PACKED PACKED_void_const_GLbyte___GENPT__
#define glColor4bv_INDEXED INDEXED_void_const_GLbyte___GENPT__
#define glColor4bv_FORMAT FORMAT_void_const_GLbyte___GENPT__
#define glColor4d_INDEX 45
#define glColor4d_RETURN void
#define glColor4d_ARG_NAMES red, green, blue, alpha
#define glColor4d_ARG_EXPAND GLdouble red, GLdouble green, GLdouble blue, GLdouble alpha
#define glColor4d_PACKED PACKED_void_GLdouble_GLdouble_GLdouble_GLdouble
#define glColor4d_INDEXED INDEXED_void_GLdouble_GLdouble_GLdouble_GLdouble
#define glColor4d_FORMAT FORMAT_void_GLdouble_GLdouble_GLdouble_GLdouble
#define glColor4dv_INDEX 46
#define glColor4dv_RETURN void
#define glColor4dv_ARG_NAMES v
#define glColor4dv_ARG_EXPAND const GLdouble * v
#define glColor4dv_PACKED PACKED_void_const_GLdouble___GENPT__
#define glColor4dv_INDEXED INDEXED_void_const_GLdouble___GENPT__
#define glColor4dv_FORMAT FORMAT_void_const_GLdouble___GENPT__
#define glColor4f_INDEX 47
#define glColor4f_RETURN void
#define glColor4f_ARG_NAMES red, green, blue, alpha
#define glColor4f_ARG_EXPAND GLfloat red, GLfloat green, GLfloat blue, GLfloat alpha
#define glColor4f_PACKED PACKED_void_GLfloat_GLfloat_GLfloat_GLfloat
#define glColor4f_INDEXED INDEXED_void_GLfloat_GLfloat_GLfloat_GLfloat
#define glColor4f_FORMAT FORMAT_void_GLfloat_GLfloat_GLfloat_GLfloat
#define glColor4fv_INDEX 48
#define glColor4fv_RETURN void
#define glColor4fv_ARG_NAMES v
#define glColor4fv_ARG_EXPAND const GLfloat * v
#define glColor4fv_PACKED PACKED_void_const_GLfloat___GENPT__
#define glColor4fv_INDEXED INDEXED_void_const_GLfloat___GENPT__
#define glColor4fv_FORMAT FORMAT_void_const_GLfloat___GENPT__
#define glColor4i_INDEX 49
#define glColor4i_RETURN void
#define glColor4i_ARG_NAMES red, green, blue, alpha
#define glColor4i_ARG_EXPAND GLint red, GLint green, GLint blue, GLint alpha
#define glColor4i_PACKED PACKED_void_GLint_GLint_GLint_GLint
#define glColor4i_INDEXED INDEXED_void_GLint_GLint_GLint_GLint
#define glColor4i_FORMAT FORMAT_void_GLint_GLint_GLint_GLint
#define glColor4iv_INDEX 50
#define glColor4iv_RETURN void
#define glColor4iv_ARG_NAMES v
#define glColor4iv_ARG_EXPAND const GLint * v
#define glColor4iv_PACKED PACKED_void_const_GLint___GENPT__
#define glColor4iv_INDEXED INDEXED_void_const_GLint___GENPT__
#define glColor4iv_FORMAT FORMAT_void_const_GLint___GENPT__
#define glColor4s_INDEX 51
#define glColor4s_RETURN void
#define glColor4s_ARG_NAMES red, green, blue, alpha
#define glColor4s_ARG_EXPAND GLshort red, GLshort green, GLshort blue, GLshort alpha
#define glColor4s_PACKED PACKED_void_GLshort_GLshort_GLshort_GLshort
#define glColor4s_INDEXED INDEXED_void_GLshort_GLshort_GLshort_GLshort
#define glColor4s_FORMAT FORMAT_void_GLshort_GLshort_GLshort_GLshort
#define glColor4sv_INDEX 52
#define glColor4sv_RETURN void
#define glColor4sv_ARG_NAMES v
#define glColor4sv_ARG_EXPAND const GLshort * v
#define glColor4sv_PACKED PACKED_void_const_GLshort___GENPT__
#define glColor4sv_INDEXED INDEXED_void_const_GLshort___GENPT__
#define glColor4sv_FORMAT FORMAT_void_const_GLshort___GENPT__
#define glColor4ub_INDEX 53
#define glColor4ub_RETURN void
#define glColor4ub_ARG_NAMES red, green, blue, alpha
#define glColor4ub_ARG_EXPAND GLubyte red, GLubyte green, GLubyte blue, GLubyte alpha
#define glColor4ub_PACKED PACKED_void_GLubyte_GLubyte_GLubyte_GLubyte
#define glColor4ub_INDEXED INDEXED_void_GLubyte_GLubyte_GLubyte_GLubyte
#define glColor4ub_FORMAT FORMAT_void_GLubyte_GLubyte_GLubyte_GLubyte
#define glColor4ubv_INDEX 54
#define glColor4ubv_RETURN void
#define glColor4ubv_ARG_NAMES v
#define glColor4ubv_ARG_EXPAND const GLubyte * v
#define glColor4ubv_PACKED PACKED_void_const_GLubyte___GENPT__
#define glColor4ubv_INDEXED INDEXED_void_const_GLubyte___GENPT__
#define glColor4ubv_FORMAT FORMAT_void_const_GLubyte___GENPT__
#define glColor4ui_INDEX 55
#define glColor4ui_RETURN void
#define glColor4ui_ARG_NAMES red, green, blue, alpha
#define glColor4ui_ARG_EXPAND GLuint red, GLuint green, GLuint blue, GLuint alpha
#define glColor4ui_PACKED PACKED_void_GLuint_GLuint_GLuint_GLuint
#define glColor4ui_INDEXED INDEXED_void_GLuint_GLuint_GLuint_GLuint
#define glColor4ui_FORMAT FORMAT_void_GLuint_GLuint_GLuint_GLuint
#define glColor4uiv_INDEX 56
#define glColor4uiv_RETURN void
#define glColor4uiv_ARG_NAMES v
#define glColor4uiv_ARG_EXPAND const GLuint * v
#define glColor4uiv_PACKED PACKED_void_const_GLuint___GENPT__
#define glColor4uiv_INDEXED INDEXED_void_const_GLuint___GENPT__
#define glColor4uiv_FORMAT FORMAT_void_const_GLuint___GENPT__
#define glColor4us_INDEX 57
#define glColor4us_RETURN void
#define glColor4us_ARG_NAMES red, green, blue, alpha
#define glColor4us_ARG_EXPAND GLushort red, GLushort green, GLushort blue, GLushort alpha
#define glColor4us_PACKED PACKED_void_GLushort_GLushort_GLushort_GLushort
#define glColor4us_INDEXED INDEXED_void_GLushort_GLushort_GLushort_GLushort
#define glColor4us_FORMAT FORMAT_void_GLushort_GLushort_GLushort_GLushort
#define glColor4usv_INDEX 58
#define glColor4usv_RETURN void
#define glColor4usv_ARG_NAMES v
#define glColor4usv_ARG_EXPAND const GLushort * v
#define glColor4usv_PACKED PACKED_void_const_GLushort___GENPT__
#define glColor4usv_INDEXED INDEXED_void_const_GLushort___GENPT__
#define glColor4usv_FORMAT FORMAT_void_const_GLushort___GENPT__
#define glColorMask_INDEX 59
#define glColorMask_RETURN void
#define glColorMask_ARG_NAMES red, green, blue, alpha
#define glColorMask_ARG_EXPAND GLboolean red, GLboolean green, GLboolean blue, GLboolean alpha
#define glColorMask_PACKED PACKED_void_GLboolean_GLboolean_GLboolean_GLboolean
#define glColorMask_INDEXED INDEXED_void_GLboolean_GLboolean_GLboolean_GLboolean
#define glColorMask_FORMAT FORMAT_void_GLboolean_GLboolean_GLboolean_GLboolean
#define glColorMaterial_INDEX 60
#define glColorMaterial_RETURN void
#define glColorMaterial_ARG_NAMES face, mode
#define glColorMaterial_ARG_EXPAND GLenum face, GLenum mode
#define glColorMaterial_PACKED PACKED_void_GLenum_GLenum
#define glColorMaterial_INDEXED INDEXED_void_GLenum_GLenum
#define glColorMaterial_FORMAT FORMAT_void_GLenum_GLenum
#define glColorPointer_INDEX 61
#define glColorPointer_RETURN void
#define glColorPointer_ARG_NAMES size, type, stride, pointer
#define glColorPointer_ARG_EXPAND GLint size, GLenum type, GLsizei stride, const GLvoid * pointer
#define glColorPointer_PACKED PACKED_void_GLint_GLenum_GLsizei_const_GLvoid___GENPT__
#define glColorPointer_INDEXED INDEXED_void_GLint_GLenum_GLsizei_const_GLvoid___GENPT__
#define glColorPointer_FORMAT FORMAT_void_GLint_GLenum_GLsizei_const_GLvoid___GENPT__
#define glColorSubTable_INDEX 62
#define glColorSubTable_RETURN void
#define glColorSubTable_ARG_NAMES target, start, count, format, type, data
#define glColorSubTable_ARG_EXPAND GLenum target, GLsizei start, GLsizei count, GLenum format, GLenum type, const GLvoid * data
#define glColorSubTable_PACKED PACKED_void_GLenum_GLsizei_GLsizei_GLenum_GLenum_const_GLvoid___GENPT__
#define glColorSubTable_INDEXED INDEXED_void_GLenum_GLsizei_GLsizei_GLenum_GLenum_const_GLvoid___GENPT__
#define glColorSubTable_FORMAT FORMAT_void_GLenum_GLsizei_GLsizei_GLenum_GLenum_const_GLvoid___GENPT__
#define glColorTable_INDEX 63
#define glColorTable_RETURN void
#define glColorTable_ARG_NAMES target, internalformat, width, format, type, table
#define glColorTable_ARG_EXPAND GLenum target, GLenum internalformat, GLsizei width, GLenum format, GLenum type, const GLvoid * table
#define glColorTable_PACKED PACKED_void_GLenum_GLenum_GLsizei_GLenum_GLenum_const_GLvoid___GENPT__
#define glColorTable_INDEXED INDEXED_void_GLenum_GLenum_GLsizei_GLenum_GLenum_const_GLvoid___GENPT__
#define glColorTable_FORMAT FORMAT_void_GLenum_GLenum_GLsizei_GLenum_GLenum_const_GLvoid___GENPT__
#define glColorTableParameterfv_INDEX 64
#define glColorTableParameterfv_RETURN void
#define glColorTableParameterfv_ARG_NAMES target, pname, params
#define glColorTableParameterfv_ARG_EXPAND GLenum target, GLenum pname, const GLfloat * params
#define glColorTableParameterfv_PACKED PACKED_void_GLenum_GLenum_const_GLfloat___GENPT__
#define glColorTableParameterfv_INDEXED INDEXED_void_GLenum_GLenum_const_GLfloat___GENPT__
#define glColorTableParameterfv_FORMAT FORMAT_void_GLenum_GLenum_const_GLfloat___GENPT__
#define glColorTableParameteriv_INDEX 65
#define glColorTableParameteriv_RETURN void
#define glColorTableParameteriv_ARG_NAMES target, pname, params
#define glColorTableParameteriv_ARG_EXPAND GLenum target, GLenum pname, const GLint * params
#define glColorTableParameteriv_PACKED PACKED_void_GLenum_GLenum_const_GLint___GENPT__
#define glColorTableParameteriv_INDEXED INDEXED_void_GLenum_GLenum_const_GLint___GENPT__
#define glColorTableParameteriv_FORMAT FORMAT_void_GLenum_GLenum_const_GLint___GENPT__
#define glCompressedTexImage1D_INDEX 66
#define glCompressedTexImage1D_RETURN void
#define glCompressedTexImage1D_ARG_NAMES target, level, internalformat, width, border, imageSize, data
#define glCompressedTexImage1D_ARG_EXPAND GLenum target, GLint level, GLenum internalformat, GLsizei width, GLint border, GLsizei imageSize, const GLvoid * data
#define glCompressedTexImage1D_PACKED PACKED_void_GLenum_GLint_GLenum_GLsizei_GLint_GLsizei_const_GLvoid___GENPT__
#define glCompressedTexImage1D_INDEXED INDEXED_void_GLenum_GLint_GLenum_GLsizei_GLint_GLsizei_const_GLvoid___GENPT__
#define glCompressedTexImage1D_FORMAT FORMAT_void_GLenum_GLint_GLenum_GLsizei_GLint_GLsizei_const_GLvoid___GENPT__
#define glCompressedTexImage2D_INDEX 67
#define glCompressedTexImage2D_RETURN void
#define glCompressedTexImage2D_ARG_NAMES target, level, internalformat, width, height, border, imageSize, data
#define glCompressedTexImage2D_ARG_EXPAND GLenum target, GLint level, GLenum internalformat, GLsizei width, GLsizei height, GLint border, GLsizei imageSize, const GLvoid * data
#define glCompressedTexImage2D_PACKED PACKED_void_GLenum_GLint_GLenum_GLsizei_GLsizei_GLint_GLsizei_const_GLvoid___GENPT__
#define glCompressedTexImage2D_INDEXED INDEXED_void_GLenum_GLint_GLenum_GLsizei_GLsizei_GLint_GLsizei_const_GLvoid___GENPT__
#define glCompressedTexImage2D_FORMAT FORMAT_void_GLenum_GLint_GLenum_GLsizei_GLsizei_GLint_GLsizei_const_GLvoid___GENPT__
#define glCompressedTexImage3D_INDEX 68
#define glCompressedTexImage3D_RETURN void
#define glCompressedTexImage3D_ARG_NAMES target, level, internalformat, width, height, depth, border, imageSize, data
#define glCompressedTexImage3D_ARG_EXPAND GLenum target, GLint level, GLenum internalformat, GLsizei width, GLsizei height, GLsizei depth, GLint border, GLsizei imageSize, const GLvoid * data
#define glCompressedTexImage3D_PACKED PACKED_void_GLenum_GLint_GLenum_GLsizei_GLsizei_GLsizei_GLint_GLsizei_const_GLvoid___GENPT__
#define glCompressedTexImage3D_INDEXED INDEXED_void_GLenum_GLint_GLenum_GLsizei_GLsizei_GLsizei_GLint_GLsizei_const_GLvoid___GENPT__
#define glCompressedTexImage3D_FORMAT FORMAT_void_GLenum_GLint_GLenum_GLsizei_GLsizei_GLsizei_GLint_GLsizei_const_GLvoid___GENPT__
#define glCompressedTexSubImage1D_INDEX 69
#define glCompressedTexSubImage1D_RETURN void
#define glCompressedTexSubImage1D_ARG_NAMES target, level, xoffset, width, format, imageSize, data
#define glCompressedTexSubImage1D_ARG_EXPAND GLenum target, GLint level, GLint xoffset, GLsizei width, GLenum format, GLsizei imageSize, const GLvoid * data
#define glCompressedTexSubImage1D_PACKED PACKED_void_GLenum_GLint_GLint_GLsizei_GLenum_GLsizei_const_GLvoid___GENPT__
#define glCompressedTexSubImage1D_INDEXED INDEXED_void_GLenum_GLint_GLint_GLsizei_GLenum_GLsizei_const_GLvoid___GENPT__
#define glCompressedTexSubImage1D_FORMAT FORMAT_void_GLenum_GLint_GLint_GLsizei_GLenum_GLsizei_const_GLvoid___GENPT__
#define glCompressedTexSubImage2D_INDEX 70
#define glCompressedTexSubImage2D_RETURN void
#define glCompressedTexSubImage2D_ARG_NAMES target, level, xoffset, yoffset, width, height, format, imageSize, data
#define glCompressedTexSubImage2D_ARG_EXPAND GLenum target, GLint level, GLint xoffset, GLint yoffset, GLsizei width, GLsizei height, GLenum format, GLsizei imageSize, const GLvoid * data
#define glCompressedTexSubImage2D_PACKED PACKED_void_GLenum_GLint_GLint_GLint_GLsizei_GLsizei_GLenum_GLsizei_const_GLvoid___GENPT__
#define glCompressedTexSubImage2D_INDEXED INDEXED_void_GLenum_GLint_GLint_GLint_GLsizei_GLsizei_GLenum_GLsizei_const_GLvoid___GENPT__
#define glCompressedTexSubImage2D_FORMAT FORMAT_void_GLenum_GLint_GLint_GLint_GLsizei_GLsizei_GLenum_GLsizei_const_GLvoid___GENPT__
#define glCompressedTexSubImage3D_INDEX 71
#define glCompressedTexSubImage3D_RETURN void
#define glCompressedTexSubImage3D_ARG_NAMES target, level, xoffset, yoffset, zoffset, width, height, depth, format, imageSize, data
#define glCompressedTexSubImage3D_ARG_EXPAND GLenum target, GLint level, GLint xoffset, GLint yoffset, GLint zoffset, GLsizei width, GLsizei height, GLsizei depth, GLenum format, GLsizei imageSize, const GLvoid * data
#define glCompressedTexSubImage3D_PACKED PACKED_void_GLenum_GLint_GLint_GLint_GLint_GLsizei_GLsizei_GLsizei_GLenum_GLsizei_const_GLvoid___GENPT__
#define glCompressedTexSubImage3D_INDEXED INDEXED_void_GLenum_GLint_GLint_GLint_GLint_GLsizei_GLsizei_GLsizei_GLenum_GLsizei_const_GLvoid___GENPT__
#define glCompressedTexSubImage3D_FORMAT FORMAT_void_GLenum_GLint_GLint_GLint_GLint_GLsizei_GLsizei_GLsizei_GLenum_GLsizei_const_GLvoid___GENPT__
#define glConvolutionFilter1D_INDEX 72
#define glConvolutionFilter1D_RETURN void
#define glConvolutionFilter1D_ARG_NAMES target, internalformat, width, format, type, image
#define glConvolutionFilter1D_ARG_EXPAND GLenum target, GLenum internalformat, GLsizei width, GLenum format, GLenum type, const GLvoid * image
#define glConvolutionFilter1D_PACKED PACKED_void_GLenum_GLenum_GLsizei_GLenum_GLenum_const_GLvoid___GENPT__
#define glConvolutionFilter1D_INDEXED INDEXED_void_GLenum_GLenum_GLsizei_GLenum_GLenum_const_GLvoid___GENPT__
#define glConvolutionFilter1D_FORMAT FORMAT_void_GLenum_GLenum_GLsizei_GLenum_GLenum_const_GLvoid___GENPT__
#define glConvolutionFilter2D_INDEX 73
#define glConvolutionFilter2D_RETURN void
#define glConvolutionFilter2D_ARG_NAMES target, internalformat, width, height, format, type, image
#define glConvolutionFilter2D_ARG_EXPAND GLenum target, GLenum internalformat, GLsizei width, GLsizei height, GLenum format, GLenum type, const GLvoid * image
#define glConvolutionFilter2D_PACKED PACKED_void_GLenum_GLenum_GLsizei_GLsizei_GLenum_GLenum_const_GLvoid___GENPT__
#define glConvolutionFilter2D_INDEXED INDEXED_void_GLenum_GLenum_GLsizei_GLsizei_GLenum_GLenum_const_GLvoid___GENPT__
#define glConvolutionFilter2D_FORMAT FORMAT_void_GLenum_GLenum_GLsizei_GLsizei_GLenum_GLenum_const_GLvoid___GENPT__
#define glConvolutionParameterf_INDEX 74
#define glConvolutionParameterf_RETURN void
#define glConvolutionParameterf_ARG_NAMES target, pname, params
#define glConvolutionParameterf_ARG_EXPAND GLenum target, GLenum pname, GLfloat params
#define glConvolutionParameterf_PACKED PACKED_void_GLenum_GLenum_GLfloat
#define glConvolutionParameterf_INDEXED INDEXED_void_GLenum_GLenum_GLfloat
#define glConvolutionParameterf_FORMAT FORMAT_void_GLenum_GLenum_GLfloat
#define glConvolutionParameterfv_INDEX 75
#define glConvolutionParameterfv_RETURN void
#define glConvolutionParameterfv_ARG_NAMES target, pname, params
#define glConvolutionParameterfv_ARG_EXPAND GLenum target, GLenum pname, const GLfloat * params
#define glConvolutionParameterfv_PACKED PACKED_void_GLenum_GLenum_const_GLfloat___GENPT__
#define glConvolutionParameterfv_INDEXED INDEXED_void_GLenum_GLenum_const_GLfloat___GENPT__
#define glConvolutionParameterfv_FORMAT FORMAT_void_GLenum_GLenum_const_GLfloat___GENPT__
#define glConvolutionParameteri_INDEX 76
#define glConvolutionParameteri_RETURN void
#define glConvolutionParameteri_ARG_NAMES target, pname, params
#define glConvolutionParameteri_ARG_EXPAND GLenum target, GLenum pname, GLint params
#define glConvolutionParameteri_PACKED PACKED_void_GLenum_GLenum_GLint
#define glConvolutionParameteri_INDEXED INDEXED_void_GLenum_GLenum_GLint
#define glConvolutionParameteri_FORMAT FORMAT_void_GLenum_GLenum_GLint
#define glConvolutionParameteriv_INDEX 77
#define glConvolutionParameteriv_RETURN void
#define glConvolutionParameteriv_ARG_NAMES target, pname, params
#define glConvolutionParameteriv_ARG_EXPAND GLenum target, GLenum pname, const GLint * params
#define glConvolutionParameteriv_PACKED PACKED_void_GLenum_GLenum_const_GLint___GENPT__
#define glConvolutionParameteriv_INDEXED INDEXED_void_GLenum_GLenum_const_GLint___GENPT__
#define glConvolutionParameteriv_FORMAT FORMAT_void_GLenum_GLenum_const_GLint___GENPT__
#define glCopyColorSubTable_INDEX 78
#define glCopyColorSubTable_RETURN void
#define glCopyColorSubTable_ARG_NAMES target, start, x, y, width
#define glCopyColorSubTable_ARG_EXPAND GLenum target, GLsizei start, GLint x, GLint y, GLsizei width
#define glCopyColorSubTable_PACKED PACKED_void_GLenum_GLsizei_GLint_GLint_GLsizei
#define glCopyColorSubTable_INDEXED INDEXED_void_GLenum_GLsizei_GLint_GLint_GLsizei
#define glCopyColorSubTable_FORMAT FORMAT_void_GLenum_GLsizei_GLint_GLint_GLsizei
#define glCopyColorTable_INDEX 79
#define glCopyColorTable_RETURN void
#define glCopyColorTable_ARG_NAMES target, internalformat, x, y, width
#define glCopyColorTable_ARG_EXPAND GLenum target, GLenum internalformat, GLint x, GLint y, GLsizei width
#define glCopyColorTable_PACKED PACKED_void_GLenum_GLenum_GLint_GLint_GLsizei
#define glCopyColorTable_INDEXED INDEXED_void_GLenum_GLenum_GLint_GLint_GLsizei
#define glCopyColorTable_FORMAT FORMAT_void_GLenum_GLenum_GLint_GLint_GLsizei
#define glCopyConvolutionFilter1D_INDEX 80
#define glCopyConvolutionFilter1D_RETURN void
#define glCopyConvolutionFilter1D_ARG_NAMES target, internalformat, x, y, width
#define glCopyConvolutionFilter1D_ARG_EXPAND GLenum target, GLenum internalformat, GLint x, GLint y, GLsizei width
#define glCopyConvolutionFilter1D_PACKED PACKED_void_GLenum_GLenum_GLint_GLint_GLsizei
#define glCopyConvolutionFilter1D_INDEXED INDEXED_void_GLenum_GLenum_GLint_GLint_GLsizei
#define glCopyConvolutionFilter1D_FORMAT FORMAT_void_GLenum_GLenum_GLint_GLint_GLsizei
#define glCopyConvolutionFilter2D_INDEX 81
#define glCopyConvolutionFilter2D_RETURN void
#define glCopyConvolutionFilter2D_ARG_NAMES target, internalformat, x, y, width, height
#define glCopyConvolutionFilter2D_ARG_EXPAND GLenum target, GLenum internalformat, GLint x, GLint y, GLsizei width, GLsizei height
#define glCopyConvolutionFilter2D_PACKED PACKED_void_GLenum_GLenum_GLint_GLint_GLsizei_GLsizei
#define glCopyConvolutionFilter2D_INDEXED INDEXED_void_GLenum_GLenum_GLint_GLint_GLsizei_GLsizei
#define glCopyConvolutionFilter2D_FORMAT FORMAT_void_GLenum_GLenum_GLint_GLint_GLsizei_GLsizei
#define glCopyPixels_INDEX 82
#define glCopyPixels_RETURN void
#define glCopyPixels_ARG_NAMES x, y, width, height, type
#define glCopyPixels_ARG_EXPAND GLint x, GLint y, GLsizei width, GLsizei height, GLenum type
#define glCopyPixels_PACKED PACKED_void_GLint_GLint_GLsizei_GLsizei_GLenum
#define glCopyPixels_INDEXED INDEXED_void_GLint_GLint_GLsizei_GLsizei_GLenum
#define glCopyPixels_FORMAT FORMAT_void_GLint_GLint_GLsizei_GLsizei_GLenum
#define glCopyTexImage1D_INDEX 83
#define glCopyTexImage1D_RETURN void
#define glCopyTexImage1D_ARG_NAMES target, level, internalformat, x, y, width, border
#define glCopyTexImage1D_ARG_EXPAND GLenum target, GLint level, GLenum internalformat, GLint x, GLint y, GLsizei width, GLint border
#define glCopyTexImage1D_PACKED PACKED_void_GLenum_GLint_GLenum_GLint_GLint_GLsizei_GLint
#define glCopyTexImage1D_INDEXED INDEXED_void_GLenum_GLint_GLenum_GLint_GLint_GLsizei_GLint
#define glCopyTexImage1D_FORMAT FORMAT_void_GLenum_GLint_GLenum_GLint_GLint_GLsizei_GLint
#define glCopyTexImage2D_INDEX 84
#define glCopyTexImage2D_RETURN void
#define glCopyTexImage2D_ARG_NAMES target, level, internalformat, x, y, width, height, border
#define glCopyTexImage2D_ARG_EXPAND GLenum target, GLint level, GLenum internalformat, GLint x, GLint y, GLsizei width, GLsizei height, GLint border
#define glCopyTexImage2D_PACKED PACKED_void_GLenum_GLint_GLenum_GLint_GLint_GLsizei_GLsizei_GLint
#define glCopyTexImage2D_INDEXED INDEXED_void_GLenum_GLint_GLenum_GLint_GLint_GLsizei_GLsizei_GLint
#define glCopyTexImage2D_FORMAT FORMAT_void_GLenum_GLint_GLenum_GLint_GLint_GLsizei_GLsizei_GLint
#define glCopyTexSubImage1D_INDEX 85
#define glCopyTexSubImage1D_RETURN void
#define glCopyTexSubImage1D_ARG_NAMES target, level, xoffset, x, y, width
#define glCopyTexSubImage1D_ARG_EXPAND GLenum target, GLint level, GLint xoffset, GLint x, GLint y, GLsizei width
#define glCopyTexSubImage1D_PACKED PACKED_void_GLenum_GLint_GLint_GLint_GLint_GLsizei
#define glCopyTexSubImage1D_INDEXED INDEXED_void_GLenum_GLint_GLint_GLint_GLint_GLsizei
#define glCopyTexSubImage1D_FORMAT FORMAT_void_GLenum_GLint_GLint_GLint_GLint_GLsizei
#define glCopyTexSubImage2D_INDEX 86
#define glCopyTexSubImage2D_RETURN void
#define glCopyTexSubImage2D_ARG_NAMES target, level, xoffset, yoffset, x, y, width, height
#define glCopyTexSubImage2D_ARG_EXPAND GLenum target, GLint level, GLint xoffset, GLint yoffset, GLint x, GLint y, GLsizei width, GLsizei height
#define glCopyTexSubImage2D_PACKED PACKED_void_GLenum_GLint_GLint_GLint_GLint_GLint_GLsizei_GLsizei
#define glCopyTexSubImage2D_INDEXED INDEXED_void_GLenum_GLint_GLint_GLint_GLint_GLint_GLsizei_GLsizei
#define glCopyTexSubImage2D_FORMAT FORMAT_void_GLenum_GLint_GLint_GLint_GLint_GLint_GLsizei_GLsizei
#define glCopyTexSubImage3D_INDEX 87
#define glCopyTexSubImage3D_RETURN void
#define glCopyTexSubImage3D_ARG_NAMES target, level, xoffset, yoffset, zoffset, x, y, width, height
#define glCopyTexSubImage3D_ARG_EXPAND GLenum target, GLint level, GLint xoffset, GLint yoffset, GLint zoffset, GLint x, GLint y, GLsizei width, GLsizei height
#define glCopyTexSubImage3D_PACKED PACKED_void_GLenum_GLint_GLint_GLint_GLint_GLint_GLint_GLsizei_GLsizei
#define glCopyTexSubImage3D_INDEXED INDEXED_void_GLenum_GLint_GLint_GLint_GLint_GLint_GLint_GLsizei_GLsizei
#define glCopyTexSubImage3D_FORMAT FORMAT_void_GLenum_GLint_GLint_GLint_GLint_GLint_GLint_GLsizei_GLsizei
#define glCullFace_INDEX 88
#define glCullFace_RETURN void
#define glCullFace_ARG_NAMES mode
#define glCullFace_ARG_EXPAND GLenum mode
#define glCullFace_PACKED PACKED_void_GLenum
#define glCullFace_INDEXED INDEXED_void_GLenum
#define glCullFace_FORMAT FORMAT_void_GLenum
#define glDeleteBuffers_INDEX 89
#define glDeleteBuffers_RETURN void
#define glDeleteBuffers_ARG_NAMES n, buffers
#define glDeleteBuffers_ARG_EXPAND GLsizei n, const GLuint * buffers
#define glDeleteBuffers_PACKED PACKED_void_GLsizei_const_GLuint___GENPT__
#define glDeleteBuffers_INDEXED INDEXED_void_GLsizei_const_GLuint___GENPT__
#define glDeleteBuffers_FORMAT FORMAT_void_GLsizei_const_GLuint___GENPT__
#define glDeleteLists_INDEX 90
#define glDeleteLists_RETURN void
#define glDeleteLists_ARG_NAMES list, range
#define glDeleteLists_ARG_EXPAND GLuint list, GLsizei range
#define glDeleteLists_PACKED PACKED_void_GLuint_GLsizei
#define glDeleteLists_INDEXED INDEXED_void_GLuint_GLsizei
#define glDeleteLists_FORMAT FORMAT_void_GLuint_GLsizei
#define glDeleteQueries_INDEX 91
#define glDeleteQueries_RETURN void
#define glDeleteQueries_ARG_NAMES n, ids
#define glDeleteQueries_ARG_EXPAND GLsizei n, const GLuint * ids
#define glDeleteQueries_PACKED PACKED_void_GLsizei_const_GLuint___GENPT__
#define glDeleteQueries_INDEXED INDEXED_void_GLsizei_const_GLuint___GENPT__
#define glDeleteQueries_FORMAT FORMAT_void_GLsizei_const_GLuint___GENPT__
#define glDeleteTextures_INDEX 92
#define glDeleteTextures_RETURN void
#define glDeleteTextures_ARG_NAMES n, textures
#define glDeleteTextures_ARG_EXPAND GLsizei n, const GLuint * textures
#define glDeleteTextures_PACKED PACKED_void_GLsizei_const_GLuint___GENPT__
#define glDeleteTextures_INDEXED INDEXED_void_GLsizei_const_GLuint___GENPT__
#define glDeleteTextures_FORMAT FORMAT_void_GLsizei_const_GLuint___GENPT__
#define glDepthFunc_INDEX 93
#define glDepthFunc_RETURN void
#define glDepthFunc_ARG_NAMES func
#define glDepthFunc_ARG_EXPAND GLenum func
#define glDepthFunc_PACKED PACKED_void_GLenum
#define glDepthFunc_INDEXED INDEXED_void_GLenum
#define glDepthFunc_FORMAT FORMAT_void_GLenum
#define glDepthMask_INDEX 94
#define glDepthMask_RETURN void
#define glDepthMask_ARG_NAMES flag
#define glDepthMask_ARG_EXPAND GLboolean flag
#define glDepthMask_PACKED PACKED_void_GLboolean
#define glDepthMask_INDEXED INDEXED_void_GLboolean
#define glDepthMask_FORMAT FORMAT_void_GLboolean
#define glDepthRange_INDEX 95
#define glDepthRange_RETURN void
#define glDepthRange_ARG_NAMES near, far
#define glDepthRange_ARG_EXPAND GLdouble near, GLdouble far
#define glDepthRange_PACKED PACKED_void_GLdouble_GLdouble
#define glDepthRange_INDEXED INDEXED_void_GLdouble_GLdouble
#define glDepthRange_FORMAT FORMAT_void_GLdouble_GLdouble
#define glDisable_INDEX 96
#define glDisable_RETURN void
#define glDisable_ARG_NAMES cap
#define glDisable_ARG_EXPAND GLenum cap
#define glDisable_PACKED PACKED_void_GLenum
#define glDisable_INDEXED INDEXED_void_GLenum
#define glDisable_FORMAT FORMAT_void_GLenum
#define glDisableClientState_INDEX 97
#define glDisableClientState_RETURN void
#define glDisableClientState_ARG_NAMES array
#define glDisableClientState_ARG_EXPAND GLenum array
#define glDisableClientState_PACKED PACKED_void_GLenum
#define glDisableClientState_INDEXED INDEXED_void_GLenum
#define glDisableClientState_FORMAT FORMAT_void_GLenum
#define glDrawArrays_INDEX 98
#define glDrawArrays_RETURN void
#define glDrawArrays_ARG_NAMES mode, first, count
#define glDrawArrays_ARG_EXPAND GLenum mode, GLint first, GLsizei count
#define glDrawArrays_PACKED PACKED_void_GLenum_GLint_GLsizei
#define glDrawArrays_INDEXED INDEXED_void_GLenum_GLint_GLsizei
#define glDrawArrays_FORMAT FORMAT_void_GLenum_GLint_GLsizei
#define glDrawBuffer_INDEX 99
#define glDrawBuffer_RETURN void
#define glDrawBuffer_ARG_NAMES mode
#define glDrawBuffer_ARG_EXPAND GLenum mode
#define glDrawBuffer_PACKED PACKED_void_GLenum
#define glDrawBuffer_INDEXED INDEXED_void_GLenum
#define glDrawBuffer_FORMAT FORMAT_void_GLenum
#define glDrawElements_INDEX 100
#define glDrawElements_RETURN void
#define glDrawElements_ARG_NAMES mode, count, type, indices
#define glDrawElements_ARG_EXPAND GLenum mode, GLsizei count, GLenum type, const GLvoid * indices
#define glDrawElements_PACKED PACKED_void_GLenum_GLsizei_GLenum_const_GLvoid___GENPT__
#define glDrawElements_INDEXED INDEXED_void_GLenum_GLsizei_GLenum_const_GLvoid___GENPT__
#define glDrawElements_FORMAT FORMAT_void_GLenum_GLsizei_GLenum_const_GLvoid___GENPT__
#define glDrawPixels_INDEX 101
#define glDrawPixels_RETURN void
#define glDrawPixels_ARG_NAMES width, height, format, type, pixels
#define glDrawPixels_ARG_EXPAND GLsizei width, GLsizei height, GLenum format, GLenum type, const GLvoid * pixels
#define glDrawPixels_PACKED PACKED_void_GLsizei_GLsizei_GLenum_GLenum_const_GLvoid___GENPT__
#define glDrawPixels_INDEXED INDEXED_void_GLsizei_GLsizei_GLenum_GLenum_const_GLvoid___GENPT__
#define glDrawPixels_FORMAT FORMAT_void_GLsizei_GLsizei_GLenum_GLenum_const_GLvoid___GENPT__
#define glDrawRangeElements_INDEX 102
#define glDrawRangeElements_RETURN void
#define glDrawRangeElements_ARG_NAMES mode, start, end, count, type, indices
#define glDrawRangeElements_ARG_EXPAND GLenum mode, GLuint start, GLuint end, GLsizei count, GLenum type, const GLvoid * indices
#define glDrawRangeElements_PACKED PACKED_void_GLenum_GLuint_GLuint_GLsizei_GLenum_const_GLvoid___GENPT__
#define glDrawRangeElements_INDEXED INDEXED_void_GLenum_GLuint_GLuint_GLsizei_GLenum_const_GLvoid___GENPT__
#define glDrawRangeElements_FORMAT FORMAT_void_GLenum_GLuint_GLuint_GLsizei_GLenum_const_GLvoid___GENPT__
#define glEdgeFlag_INDEX 103
#define glEdgeFlag_RETURN void
#define glEdgeFlag_ARG_NAMES flag
#define glEdgeFlag_ARG_EXPAND GLboolean flag
#define glEdgeFlag_PACKED PACKED_void_GLboolean
#define glEdgeFlag_INDEXED INDEXED_void_GLboolean
#define glEdgeFlag_FORMAT FORMAT_void_GLboolean
#define glEdgeFlagPointer_INDEX 104
#define glEdgeFlagPointer_RETURN void
#define glEdgeFlagPointer_ARG_NAMES stride, pointer
#define glEdgeFlagPointer_ARG_EXPAND GLsizei stride, const GLvoid * pointer
#define glEdgeFlagPointer_PACKED PACKED_void_GLsizei_const_GLvoid___GENPT__
#define glEdgeFlagPointer_INDEXED INDEXED_void_GLsizei_const_GLvoid___GENPT__
#define glEdgeFlagPointer_FORMAT FORMAT_void_GLsizei_const_GLvoid___GENPT__
#define glEdgeFlagv_INDEX 105
#define glEdgeFlagv_RETURN void
#define glEdgeFlagv_ARG_NAMES flag
#define glEdgeFlagv_ARG_EXPAND const GLboolean * flag
#define glEdgeFlagv_PACKED PACKED_void_const_GLboolean___GENPT__
#define glEdgeFlagv_INDEXED INDEXED_void_const_GLboolean___GENPT__
#define glEdgeFlagv_FORMAT FORMAT_void_const_GLboolean___GENPT__
#define glEnable_INDEX 106
#define glEnable_RETURN void
#define glEnable_ARG_NAMES cap
#define glEnable_ARG_EXPAND GLenum cap
#define glEnable_PACKED PACKED_void_GLenum
#define glEnable_INDEXED INDEXED_void_GLenum
#define glEnable_FORMAT FORMAT_void_GLenum
#define glEnableClientState_INDEX 107
#define glEnableClientState_RETURN void
#define glEnableClientState_ARG_NAMES array
#define glEnableClientState_ARG_EXPAND GLenum array
#define glEnableClientState_PACKED PACKED_void_GLenum
#define glEnableClientState_INDEXED INDEXED_void_GLenum
#define glEnableClientState_FORMAT FORMAT_void_GLenum
#define glEnd_INDEX 108
#define glEnd_RETURN void
#define glEnd_ARG_NAMES 
#define glEnd_ARG_EXPAND 
#define glEnd_PACKED PACKED_void
#define glEnd_INDEXED INDEXED_void
#define glEnd_FORMAT FORMAT_void
#define glEndList_INDEX 109
#define glEndList_RETURN void
#define glEndList_ARG_NAMES 
#define glEndList_ARG_EXPAND 
#define glEndList_PACKED PACKED_void
#define glEndList_INDEXED INDEXED_void
#define glEndList_FORMAT FORMAT_void
#define glEndQuery_INDEX 110
#define glEndQuery_RETURN void
#define glEndQuery_ARG_NAMES target
#define glEndQuery_ARG_EXPAND GLenum target
#define glEndQuery_PACKED PACKED_void_GLenum
#define glEndQuery_INDEXED INDEXED_void_GLenum
#define glEndQuery_FORMAT FORMAT_void_GLenum
#define glEvalCoord1d_INDEX 111
#define glEvalCoord1d_RETURN void
#define glEvalCoord1d_ARG_NAMES u
#define glEvalCoord1d_ARG_EXPAND GLdouble u
#define glEvalCoord1d_PACKED PACKED_void_GLdouble
#define glEvalCoord1d_INDEXED INDEXED_void_GLdouble
#define glEvalCoord1d_FORMAT FORMAT_void_GLdouble
#define glEvalCoord1dv_INDEX 112
#define glEvalCoord1dv_RETURN void
#define glEvalCoord1dv_ARG_NAMES u
#define glEvalCoord1dv_ARG_EXPAND const GLdouble * u
#define glEvalCoord1dv_PACKED PACKED_void_const_GLdouble___GENPT__
#define glEvalCoord1dv_INDEXED INDEXED_void_const_GLdouble___GENPT__
#define glEvalCoord1dv_FORMAT FORMAT_void_const_GLdouble___GENPT__
#define glEvalCoord1f_INDEX 113
#define glEvalCoord1f_RETURN void
#define glEvalCoord1f_ARG_NAMES u
#define glEvalCoord1f_ARG_EXPAND GLfloat u
#define glEvalCoord1f_PACKED PACKED_void_GLfloat
#define glEvalCoord1f_INDEXED INDEXED_void_GLfloat
#define glEvalCoord1f_FORMAT FORMAT_void_GLfloat
#define glEvalCoord1fv_INDEX 114
#define glEvalCoord1fv_RETURN void
#define glEvalCoord1fv_ARG_NAMES u
#define glEvalCoord1fv_ARG_EXPAND const GLfloat * u
#define glEvalCoord1fv_PACKED PACKED_void_const_GLfloat___GENPT__
#define glEvalCoord1fv_INDEXED INDEXED_void_const_GLfloat___GENPT__
#define glEvalCoord1fv_FORMAT FORMAT_void_const_GLfloat___GENPT__
#define glEvalCoord2d_INDEX 115
#define glEvalCoord2d_RETURN void
#define glEvalCoord2d_ARG_NAMES u, v
#define glEvalCoord2d_ARG_EXPAND GLdouble u, GLdouble v
#define glEvalCoord2d_PACKED PACKED_void_GLdouble_GLdouble
#define glEvalCoord2d_INDEXED INDEXED_void_GLdouble_GLdouble
#define glEvalCoord2d_FORMAT FORMAT_void_GLdouble_GLdouble
#define glEvalCoord2dv_INDEX 116
#define glEvalCoord2dv_RETURN void
#define glEvalCoord2dv_ARG_NAMES u
#define glEvalCoord2dv_ARG_EXPAND const GLdouble * u
#define glEvalCoord2dv_PACKED PACKED_void_const_GLdouble___GENPT__
#define glEvalCoord2dv_INDEXED INDEXED_void_const_GLdouble___GENPT__
#define glEvalCoord2dv_FORMAT FORMAT_void_const_GLdouble___GENPT__
#define glEvalCoord2f_INDEX 117
#define glEvalCoord2f_RETURN void
#define glEvalCoord2f_ARG_NAMES u, v
#define glEvalCoord2f_ARG_EXPAND GLfloat u, GLfloat v
#define glEvalCoord2f_PACKED PACKED_void_GLfloat_GLfloat
#define glEvalCoord2f_INDEXED INDEXED_void_GLfloat_GLfloat
#define glEvalCoord2f_FORMAT FORMAT_void_GLfloat_GLfloat
#define glEvalCoord2fv_INDEX 118
#define glEvalCoord2fv_RETURN void
#define glEvalCoord2fv_ARG_NAMES u
#define glEvalCoord2fv_ARG_EXPAND const GLfloat * u
#define glEvalCoord2fv_PACKED PACKED_void_const_GLfloat___GENPT__
#define glEvalCoord2fv_INDEXED INDEXED_void_const_GLfloat___GENPT__
#define glEvalCoord2fv_FORMAT FORMAT_void_const_GLfloat___GENPT__
#define glEvalMesh1_INDEX 119
#define glEvalMesh1_RETURN void
#define glEvalMesh1_ARG_NAMES mode, i1, i2
#define glEvalMesh1_ARG_EXPAND GLenum mode, GLint i1, GLint i2
#define glEvalMesh1_PACKED PACKED_void_GLenum_GLint_GLint
#define glEvalMesh1_INDEXED INDEXED_void_GLenum_GLint_GLint
#define glEvalMesh1_FORMAT FORMAT_void_GLenum_GLint_GLint
#define glEvalMesh2_INDEX 120
#define glEvalMesh2_RETURN void
#define glEvalMesh2_ARG_NAMES mode, i1, i2, j1, j2
#define glEvalMesh2_ARG_EXPAND GLenum mode, GLint i1, GLint i2, GLint j1, GLint j2
#define glEvalMesh2_PACKED PACKED_void_GLenum_GLint_GLint_GLint_GLint
#define glEvalMesh2_INDEXED INDEXED_void_GLenum_GLint_GLint_GLint_GLint
#define glEvalMesh2_FORMAT FORMAT_void_GLenum_GLint_GLint_GLint_GLint
#define glEvalPoint1_INDEX 121
#define glEvalPoint1_RETURN void
#define glEvalPoint1_ARG_NAMES i
#define glEvalPoint1_ARG_EXPAND GLint i
#define glEvalPoint1_PACKED PACKED_void_GLint
#define glEvalPoint1_INDEXED INDEXED_void_GLint
#define glEvalPoint1_FORMAT FORMAT_void_GLint
#define glEvalPoint2_INDEX 122
#define glEvalPoint2_RETURN void
#define glEvalPoint2_ARG_NAMES i, j
#define glEvalPoint2_ARG_EXPAND GLint i, GLint j
#define glEvalPoint2_PACKED PACKED_void_GLint_GLint
#define glEvalPoint2_INDEXED INDEXED_void_GLint_GLint
#define glEvalPoint2_FORMAT FORMAT_void_GLint_GLint
#define glFeedbackBuffer_INDEX 123
#define glFeedbackBuffer_RETURN void
#define glFeedbackBuffer_ARG_NAMES size, type, buffer
#define glFeedbackBuffer_ARG_EXPAND GLsizei size, GLenum type, GLfloat * buffer
#define glFeedbackBuffer_PACKED PACKED_void_GLsizei_GLenum_GLfloat___GENPT__
#define glFeedbackBuffer_INDEXED INDEXED_void_GLsizei_GLenum_GLfloat___GENPT__
#define glFeedbackBuffer_FORMAT FORMAT_void_GLsizei_GLenum_GLfloat___GENPT__
#define glFinish_INDEX 124
#define glFinish_RETURN void
#define glFinish_ARG_NAMES 
#define glFinish_ARG_EXPAND 
#define glFinish_PACKED PACKED_void
#define glFinish_INDEXED INDEXED_void
#define glFinish_FORMAT FORMAT_void
#define glFlush_INDEX 125
#define glFlush_RETURN void
#define glFlush_ARG_NAMES 
#define glFlush_ARG_EXPAND 
#define glFlush_PACKED PACKED_void
#define glFlush_INDEXED INDEXED_void
#define glFlush_FORMAT FORMAT_void
#define glFogCoordPointer_INDEX 126
#define glFogCoordPointer_RETURN void
#define glFogCoordPointer_ARG_NAMES type, stride, pointer
#define glFogCoordPointer_ARG_EXPAND GLenum type, GLsizei stride, const GLvoid * pointer
#define glFogCoordPointer_PACKED PACKED_void_GLenum_GLsizei_const_GLvoid___GENPT__
#define glFogCoordPointer_INDEXED INDEXED_void_GLenum_GLsizei_const_GLvoid___GENPT__
#define glFogCoordPointer_FORMAT FORMAT_void_GLenum_GLsizei_const_GLvoid___GENPT__
#define glFogCoordd_INDEX 127
#define glFogCoordd_RETURN void
#define glFogCoordd_ARG_NAMES coord
#define glFogCoordd_ARG_EXPAND GLdouble coord
#define glFogCoordd_PACKED PACKED_void_GLdouble
#define glFogCoordd_INDEXED INDEXED_void_GLdouble
#define glFogCoordd_FORMAT FORMAT_void_GLdouble
#define glFogCoorddv_INDEX 128
#define glFogCoorddv_RETURN void
#define glFogCoorddv_ARG_NAMES coord
#define glFogCoorddv_ARG_EXPAND const GLdouble * coord
#define glFogCoorddv_PACKED PACKED_void_const_GLdouble___GENPT__
#define glFogCoorddv_INDEXED INDEXED_void_const_GLdouble___GENPT__
#define glFogCoorddv_FORMAT FORMAT_void_const_GLdouble___GENPT__
#define glFogCoordf_INDEX 129
#define glFogCoordf_RETURN void
#define glFogCoordf_ARG_NAMES coord
#define glFogCoordf_ARG_EXPAND GLfloat coord
#define glFogCoordf_PACKED PACKED_void_GLfloat
#define glFogCoordf_INDEXED INDEXED_void_GLfloat
#define glFogCoordf_FORMAT FORMAT_void_GLfloat
#define glFogCoordfv_INDEX 130
#define glFogCoordfv_RETURN void
#define glFogCoordfv_ARG_NAMES coord
#define glFogCoordfv_ARG_EXPAND const GLfloat * coord
#define glFogCoordfv_PACKED PACKED_void_const_GLfloat___GENPT__
#define glFogCoordfv_INDEXED INDEXED_void_const_GLfloat___GENPT__
#define glFogCoordfv_FORMAT FORMAT_void_const_GLfloat___GENPT__
#define glFogf_INDEX 131
#define glFogf_RETURN void
#define glFogf_ARG_NAMES pname, param
#define glFogf_ARG_EXPAND GLenum pname, GLfloat param
#define glFogf_PACKED PACKED_void_GLenum_GLfloat
#define glFogf_INDEXED INDEXED_void_GLenum_GLfloat
#define glFogf_FORMAT FORMAT_void_GLenum_GLfloat
#define glFogfv_INDEX 132
#define glFogfv_RETURN void
#define glFogfv_ARG_NAMES pname, params
#define glFogfv_ARG_EXPAND GLenum pname, const GLfloat * params
#define glFogfv_PACKED PACKED_void_GLenum_const_GLfloat___GENPT__
#define glFogfv_INDEXED INDEXED_void_GLenum_const_GLfloat___GENPT__
#define glFogfv_FORMAT FORMAT_void_GLenum_const_GLfloat___GENPT__
#define glFogi_INDEX 133
#define glFogi_RETURN void
#define glFogi_ARG_NAMES pname, param
#define glFogi_ARG_EXPAND GLenum pname, GLint param
#define glFogi_PACKED PACKED_void_GLenum_GLint
#define glFogi_INDEXED INDEXED_void_GLenum_GLint
#define glFogi_FORMAT FORMAT_void_GLenum_GLint
#define glFogiv_INDEX 134
#define glFogiv_RETURN void
#define glFogiv_ARG_NAMES pname, params
#define glFogiv_ARG_EXPAND GLenum pname, const GLint * params
#define glFogiv_PACKED PACKED_void_GLenum_const_GLint___GENPT__
#define glFogiv_INDEXED INDEXED_void_GLenum_const_GLint___GENPT__
#define glFogiv_FORMAT FORMAT_void_GLenum_const_GLint___GENPT__
#define glFrontFace_INDEX 135
#define glFrontFace_RETURN void
#define glFrontFace_ARG_NAMES mode
#define glFrontFace_ARG_EXPAND GLenum mode
#define glFrontFace_PACKED PACKED_void_GLenum
#define glFrontFace_INDEXED INDEXED_void_GLenum
#define glFrontFace_FORMAT FORMAT_void_GLenum
#define glFrustum_INDEX 136
#define glFrustum_RETURN void
#define glFrustum_ARG_NAMES left, right, bottom, top, zNear, zFar
#define glFrustum_ARG_EXPAND GLdouble left, GLdouble right, GLdouble bottom, GLdouble top, GLdouble zNear, GLdouble zFar
#define glFrustum_PACKED PACKED_void_GLdouble_GLdouble_GLdouble_GLdouble_GLdouble_GLdouble
#define glFrustum_INDEXED INDEXED_void_GLdouble_GLdouble_GLdouble_GLdouble_GLdouble_GLdouble
#define glFrustum_FORMAT FORMAT_void_GLdouble_GLdouble_GLdouble_GLdouble_GLdouble_GLdouble
#define glGenBuffers_INDEX 137
#define glGenBuffers_RETURN void
#define glGenBuffers_ARG_NAMES n, buffers
#define glGenBuffers_ARG_EXPAND GLsizei n, GLuint * buffers
#define glGenBuffers_PACKED PACKED_void_GLsizei_GLuint___GENPT__
#define glGenBuffers_INDEXED INDEXED_void_GLsizei_GLuint___GENPT__
#define glGenBuffers_FORMAT FORMAT_void_GLsizei_GLuint___GENPT__
#define glGenLists_INDEX 138
#define glGenLists_RETURN GLuint
#define glGenLists_ARG_NAMES range
#define glGenLists_ARG_EXPAND GLsizei range
#define glGenLists_PACKED PACKED_GLuint_GLsizei
#define glGenLists_INDEXED INDEXED_GLuint_GLsizei
#define glGenLists_FORMAT FORMAT_GLuint_GLsizei
#define glGenQueries_INDEX 139
#define glGenQueries_RETURN void
#define glGenQueries_ARG_NAMES n, ids
#define glGenQueries_ARG_EXPAND GLsizei n, GLuint * ids
#define glGenQueries_PACKED PACKED_void_GLsizei_GLuint___GENPT__
#define glGenQueries_INDEXED INDEXED_void_GLsizei_GLuint___GENPT__
#define glGenQueries_FORMAT FORMAT_void_GLsizei_GLuint___GENPT__
#define glGenTextures_INDEX 140
#define glGenTextures_RETURN void
#define glGenTextures_ARG_NAMES n, textures
#define glGenTextures_ARG_EXPAND GLsizei n, GLuint * textures
#define glGenTextures_PACKED PACKED_void_GLsizei_GLuint___GENPT__
#define glGenTextures_INDEXED INDEXED_void_GLsizei_GLuint___GENPT__
#define glGenTextures_FORMAT FORMAT_void_GLsizei_GLuint___GENPT__
#define glGetBooleanv_INDEX 141
#define glGetBooleanv_RETURN void
#define glGetBooleanv_ARG_NAMES pname, params
#define glGetBooleanv_ARG_EXPAND GLenum pname, GLboolean * params
#define glGetBooleanv_PACKED PACKED_void_GLenum_GLboolean___GENPT__
#define glGetBooleanv_INDEXED INDEXED_void_GLenum_GLboolean___GENPT__
#define glGetBooleanv_FORMAT FORMAT_void_GLenum_GLboolean___GENPT__
#define glGetBufferParameteriv_INDEX 142
#define glGetBufferParameteriv_RETURN void
#define glGetBufferParameteriv_ARG_NAMES target, pname, params
#define glGetBufferParameteriv_ARG_EXPAND GLenum target, GLenum pname, GLint * params
#define glGetBufferParameteriv_PACKED PACKED_void_GLenum_GLenum_GLint___GENPT__
#define glGetBufferParameteriv_INDEXED INDEXED_void_GLenum_GLenum_GLint___GENPT__
#define glGetBufferParameteriv_FORMAT FORMAT_void_GLenum_GLenum_GLint___GENPT__
#define glGetBufferPointerv_INDEX 143
#define glGetBufferPointerv_RETURN void
#define glGetBufferPointerv_ARG_NAMES target, pname, params
#define glGetBufferPointerv_ARG_EXPAND GLenum target, GLenum pname, GLvoid * params
#define glGetBufferPointerv_PACKED PACKED_void_GLenum_GLenum_GLvoid___GENPT__
#define glGetBufferPointerv_INDEXED INDEXED_void_GLenum_GLenum_GLvoid___GENPT__
#define glGetBufferPointerv_FORMAT FORMAT_void_GLenum_GLenum_GLvoid___GENPT__
#define glGetBufferSubData_INDEX 144
#define glGetBufferSubData_RETURN void
#define glGetBufferSubData_ARG_NAMES target, offset, size, data
#define glGetBufferSubData_ARG_EXPAND GLenum target, GLintptr offset, GLsizeiptr size, GLvoid * data
#define glGetBufferSubData_PACKED PACKED_void_GLenum_GLintptr_GLsizeiptr_GLvoid___GENPT__
#define glGetBufferSubData_INDEXED INDEXED_void_GLenum_GLintptr_GLsizeiptr_GLvoid___GENPT__
#define glGetBufferSubData_FORMAT FORMAT_void_GLenum_GLintptr_GLsizeiptr_GLvoid___GENPT__
#define glGetClipPlane_INDEX 145
#define glGetClipPlane_RETURN void
#define glGetClipPlane_ARG_NAMES plane, equation
#define glGetClipPlane_ARG_EXPAND GLenum plane, GLdouble * equation
#define glGetClipPlane_PACKED PACKED_void_GLenum_GLdouble___GENPT__
#define glGetClipPlane_INDEXED INDEXED_void_GLenum_GLdouble___GENPT__
#define glGetClipPlane_FORMAT FORMAT_void_GLenum_GLdouble___GENPT__
#define glGetColorTable_INDEX 146
#define glGetColorTable_RETURN void
#define glGetColorTable_ARG_NAMES target, format, type, table
#define glGetColorTable_ARG_EXPAND GLenum target, GLenum format, GLenum type, GLvoid * table
#define glGetColorTable_PACKED PACKED_void_GLenum_GLenum_GLenum_GLvoid___GENPT__
#define glGetColorTable_INDEXED INDEXED_void_GLenum_GLenum_GLenum_GLvoid___GENPT__
#define glGetColorTable_FORMAT FORMAT_void_GLenum_GLenum_GLenum_GLvoid___GENPT__
#define glGetColorTableParameterfv_INDEX 147
#define glGetColorTableParameterfv_RETURN void
#define glGetColorTableParameterfv_ARG_NAMES target, pname, params
#define glGetColorTableParameterfv_ARG_EXPAND GLenum target, GLenum pname, GLfloat * params
#define glGetColorTableParameterfv_PACKED PACKED_void_GLenum_GLenum_GLfloat___GENPT__
#define glGetColorTableParameterfv_INDEXED INDEXED_void_GLenum_GLenum_GLfloat___GENPT__
#define glGetColorTableParameterfv_FORMAT FORMAT_void_GLenum_GLenum_GLfloat___GENPT__
#define glGetColorTableParameteriv_INDEX 148
#define glGetColorTableParameteriv_RETURN void
#define glGetColorTableParameteriv_ARG_NAMES target, pname, params
#define glGetColorTableParameteriv_ARG_EXPAND GLenum target, GLenum pname, GLint * params
#define glGetColorTableParameteriv_PACKED PACKED_void_GLenum_GLenum_GLint___GENPT__
#define glGetColorTableParameteriv_INDEXED INDEXED_void_GLenum_GLenum_GLint___GENPT__
#define glGetColorTableParameteriv_FORMAT FORMAT_void_GLenum_GLenum_GLint___GENPT__
#define glGetCompressedTexImage_INDEX 149
#define glGetCompressedTexImage_RETURN void
#define glGetCompressedTexImage_ARG_NAMES target, level, img
#define glGetCompressedTexImage_ARG_EXPAND GLenum target, GLint level, GLvoid * img
#define glGetCompressedTexImage_PACKED PACKED_void_GLenum_GLint_GLvoid___GENPT__
#define glGetCompressedTexImage_INDEXED INDEXED_void_GLenum_GLint_GLvoid___GENPT__
#define glGetCompressedTexImage_FORMAT FORMAT_void_GLenum_GLint_GLvoid___GENPT__
#define glGetConvolutionFilter_INDEX 150
#define glGetConvolutionFilter_RETURN void
#define glGetConvolutionFilter_ARG_NAMES target, format, type, image
#define glGetConvolutionFilter_ARG_EXPAND GLenum target, GLenum format, GLenum type, GLvoid * image
#define glGetConvolutionFilter_PACKED PACKED_void_GLenum_GLenum_GLenum_GLvoid___GENPT__
#define glGetConvolutionFilter_INDEXED INDEXED_void_GLenum_GLenum_GLenum_GLvoid___GENPT__
#define glGetConvolutionFilter_FORMAT FORMAT_void_GLenum_GLenum_GLenum_GLvoid___GENPT__
#define glGetConvolutionParameterfv_INDEX 151
#define glGetConvolutionParameterfv_RETURN void
#define glGetConvolutionParameterfv_ARG_NAMES target, pname, params
#define glGetConvolutionParameterfv_ARG_EXPAND GLenum target, GLenum pname, GLfloat * params
#define glGetConvolutionParameterfv_PACKED PACKED_void_GLenum_GLenum_GLfloat___GENPT__
#define glGetConvolutionParameterfv_INDEXED INDEXED_void_GLenum_GLenum_GLfloat___GENPT__
#define glGetConvolutionParameterfv_FORMAT FORMAT_void_GLenum_GLenum_GLfloat___GENPT__
#define glGetConvolutionParameteriv_INDEX 152
#define glGetConvolutionParameteriv_RETURN void
#define glGetConvolutionParameteriv_ARG_NAMES target, pname, params
#define glGetConvolutionParameteriv_ARG_EXPAND GLenum target, GLenum pname, GLint * params
#define glGetConvolutionParameteriv_PACKED PACKED_void_GLenum_GLenum_GLint___GENPT__
#define glGetConvolutionParameteriv_INDEXED INDEXED_void_GLenum_GLenum_GLint___GENPT__
#define glGetConvolutionParameteriv_FORMAT FORMAT_void_GLenum_GLenum_GLint___GENPT__
#define glGetDoublev_INDEX 153
#define glGetDoublev_RETURN void
#define glGetDoublev_ARG_NAMES pname, params
#define glGetDoublev_ARG_EXPAND GLenum pname, GLdouble * params
#define glGetDoublev_PACKED PACKED_void_GLenum_GLdouble___GENPT__
#define glGetDoublev_INDEXED INDEXED_void_GLenum_GLdouble___GENPT__
#define glGetDoublev_FORMAT FORMAT_void_GLenum_GLdouble___GENPT__
#define glGetError_INDEX 154
#define glGetError_RETURN GLenum
#define glGetError_ARG_NAMES 
#define glGetError_ARG_EXPAND 
#define glGetError_PACKED PACKED_GLenum
#define glGetError_INDEXED INDEXED_GLenum
#define glGetError_FORMAT FORMAT_GLenum
#define glGetFloatv_INDEX 155
#define glGetFloatv_RETURN void
#define glGetFloatv_ARG_NAMES pname, params
#define glGetFloatv_ARG_EXPAND GLenum pname, GLfloat * params
#define glGetFloatv_PACKED PACKED_void_GLenum_GLfloat___GENPT__
#define glGetFloatv_INDEXED INDEXED_void_GLenum_GLfloat___GENPT__
#define glGetFloatv_FORMAT FORMAT_void_GLenum_GLfloat___GENPT__
#define glGetHistogram_INDEX 156
#define glGetHistogram_RETURN void
#define glGetHistogram_ARG_NAMES target, reset, format, type, values
#define glGetHistogram_ARG_EXPAND GLenum target, GLboolean reset, GLenum format, GLenum type, GLvoid * values
#define glGetHistogram_PACKED PACKED_void_GLenum_GLboolean_GLenum_GLenum_GLvoid___GENPT__
#define glGetHistogram_INDEXED INDEXED_void_GLenum_GLboolean_GLenum_GLenum_GLvoid___GENPT__
#define glGetHistogram_FORMAT FORMAT_void_GLenum_GLboolean_GLenum_GLenum_GLvoid___GENPT__
#define glGetHistogramParameterfv_INDEX 157
#define glGetHistogramParameterfv_RETURN void
#define glGetHistogramParameterfv_ARG_NAMES target, pname, params
#define glGetHistogramParameterfv_ARG_EXPAND GLenum target, GLenum pname, GLfloat * params
#define glGetHistogramParameterfv_PACKED PACKED_void_GLenum_GLenum_GLfloat___GENPT__
#define glGetHistogramParameterfv_INDEXED INDEXED_void_GLenum_GLenum_GLfloat___GENPT__
#define glGetHistogramParameterfv_FORMAT FORMAT_void_GLenum_GLenum_GLfloat___GENPT__
#define glGetHistogramParameteriv_INDEX 158
#define glGetHistogramParameteriv_RETURN void
#define glGetHistogramParameteriv_ARG_NAMES target, pname, params
#define glGetHistogramParameteriv_ARG_EXPAND GLenum target, GLenum pname, GLint * params
#define glGetHistogramParameteriv_PACKED PACKED_void_GLenum_GLenum_GLint___GENPT__
#define glGetHistogramParameteriv_INDEXED INDEXED_void_GLenum_GLenum_GLint___GENPT__
#define glGetHistogramParameteriv_FORMAT FORMAT_void_GLenum_GLenum_GLint___GENPT__
#define glGetIntegerv_INDEX 159
#define glGetIntegerv_RETURN void
#define glGetIntegerv_ARG_NAMES pname, params
#define glGetIntegerv_ARG_EXPAND GLenum pname, GLint * params
#define glGetIntegerv_PACKED PACKED_void_GLenum_GLint___GENPT__
#define glGetIntegerv_INDEXED INDEXED_void_GLenum_GLint___GENPT__
#define glGetIntegerv_FORMAT FORMAT_void_GLenum_GLint___GENPT__
#define glGetLightfv_INDEX 160
#define glGetLightfv_RETURN void
#define glGetLightfv_ARG_NAMES light, pname, params
#define glGetLightfv_ARG_EXPAND GLenum light, GLenum pname, GLfloat * params
#define glGetLightfv_PACKED PACKED_void_GLenum_GLenum_GLfloat___GENPT__
#define glGetLightfv_INDEXED INDEXED_void_GLenum_GLenum_GLfloat___GENPT__
#define glGetLightfv_FORMAT FORMAT_void_GLenum_GLenum_GLfloat___GENPT__
#define glGetLightiv_INDEX 161
#define glGetLightiv_RETURN void
#define glGetLightiv_ARG_NAMES light, pname, params
#define glGetLightiv_ARG_EXPAND GLenum light, GLenum pname, GLint * params
#define glGetLightiv_PACKED PACKED_void_GLenum_GLenum_GLint___GENPT__
#define glGetLightiv_INDEXED INDEXED_void_GLenum_GLenum_GLint___GENPT__
#define glGetLightiv_FORMAT FORMAT_void_GLenum_GLenum_GLint___GENPT__
#define glGetMapdv_INDEX 162
#define glGetMapdv_RETURN void
#define glGetMapdv_ARG_NAMES target, query, v
#define glGetMapdv_ARG_EXPAND GLenum target, GLenum query, GLdouble * v
#define glGetMapdv_PACKED PACKED_void_GLenum_GLenum_GLdouble___GENPT__
#define glGetMapdv_INDEXED INDEXED_void_GLenum_GLenum_GLdouble___GENPT__
#define glGetMapdv_FORMAT FORMAT_void_GLenum_GLenum_GLdouble___GENPT__
#define glGetMapfv_INDEX 163
#define glGetMapfv_RETURN void
#define glGetMapfv_ARG_NAMES target, query, v
#define glGetMapfv_ARG_EXPAND GLenum target, GLenum query, GLfloat * v
#define glGetMapfv_PACKED PACKED_void_GLenum_GLenum_GLfloat___GENPT__
#define glGetMapfv_INDEXED INDEXED_void_GLenum_GLenum_GLfloat___GENPT__
#define glGetMapfv_FORMAT FORMAT_void_GLenum_GLenum_GLfloat___GENPT__
#define glGetMapiv_INDEX 164
#define glGetMapiv_RETURN void
#define glGetMapiv_ARG_NAMES target, query, v
#define glGetMapiv_ARG_EXPAND GLenum target, GLenum query, GLint * v
#define glGetMapiv_PACKED PACKED_void_GLenum_GLenum_GLint___GENPT__
#define glGetMapiv_INDEXED INDEXED_void_GLenum_GLenum_GLint___GENPT__
#define glGetMapiv_FORMAT FORMAT_void_GLenum_GLenum_GLint___GENPT__
#define glGetMaterialfv_INDEX 165
#define glGetMaterialfv_RETURN void
#define glGetMaterialfv_ARG_NAMES face, pname, params
#define glGetMaterialfv_ARG_EXPAND GLenum face, GLenum pname, GLfloat * params
#define glGetMaterialfv_PACKED PACKED_void_GLenum_GLenum_GLfloat___GENPT__
#define glGetMaterialfv_INDEXED INDEXED_void_GLenum_GLenum_GLfloat___GENPT__
#define glGetMaterialfv_FORMAT FORMAT_void_GLenum_GLenum_GLfloat___GENPT__
#define glGetMaterialiv_INDEX 166
#define glGetMaterialiv_RETURN void
#define glGetMaterialiv_ARG_NAMES face, pname, params
#define glGetMaterialiv_ARG_EXPAND GLenum face, GLenum pname, GLint * params
#define glGetMaterialiv_PACKED PACKED_void_GLenum_GLenum_GLint___GENPT__
#define glGetMaterialiv_INDEXED INDEXED_void_GLenum_GLenum_GLint___GENPT__
#define glGetMaterialiv_FORMAT FORMAT_void_GLenum_GLenum_GLint___GENPT__
#define glGetMinmax_INDEX 167
#define glGetMinmax_RETURN void
#define glGetMinmax_ARG_NAMES target, reset, format, type, values
#define glGetMinmax_ARG_EXPAND GLenum target, GLboolean reset, GLenum format, GLenum type, GLvoid * values
#define glGetMinmax_PACKED PACKED_void_GLenum_GLboolean_GLenum_GLenum_GLvoid___GENPT__
#define glGetMinmax_INDEXED INDEXED_void_GLenum_GLboolean_GLenum_GLenum_GLvoid___GENPT__
#define glGetMinmax_FORMAT FORMAT_void_GLenum_GLboolean_GLenum_GLenum_GLvoid___GENPT__
#define glGetMinmaxParameterfv_INDEX 168
#define glGetMinmaxParameterfv_RETURN void
#define glGetMinmaxParameterfv_ARG_NAMES target, pname, params
#define glGetMinmaxParameterfv_ARG_EXPAND GLenum target, GLenum pname, GLfloat * params
#define glGetMinmaxParameterfv_PACKED PACKED_void_GLenum_GLenum_GLfloat___GENPT__
#define glGetMinmaxParameterfv_INDEXED INDEXED_void_GLenum_GLenum_GLfloat___GENPT__
#define glGetMinmaxParameterfv_FORMAT FORMAT_void_GLenum_GLenum_GLfloat___GENPT__
#define glGetMinmaxParameteriv_INDEX 169
#define glGetMinmaxParameteriv_RETURN void
#define glGetMinmaxParameteriv_ARG_NAMES target, pname, params
#define glGetMinmaxParameteriv_ARG_EXPAND GLenum target, GLenum pname, GLint * params
#define glGetMinmaxParameteriv_PACKED PACKED_void_GLenum_GLenum_GLint___GENPT__
#define glGetMinmaxParameteriv_INDEXED INDEXED_void_GLenum_GLenum_GLint___GENPT__
#define glGetMinmaxParameteriv_FORMAT FORMAT_void_GLenum_GLenum_GLint___GENPT__
#define glGetPixelMapfv_INDEX 170
#define glGetPixelMapfv_RETURN void
#define glGetPixelMapfv_ARG_NAMES map, values
#define glGetPixelMapfv_ARG_EXPAND GLenum map, GLfloat * values
#define glGetPixelMapfv_PACKED PACKED_void_GLenum_GLfloat___GENPT__
#define glGetPixelMapfv_INDEXED INDEXED_void_GLenum_GLfloat___GENPT__
#define glGetPixelMapfv_FORMAT FORMAT_void_GLenum_GLfloat___GENPT__
#define glGetPixelMapuiv_INDEX 171
#define glGetPixelMapuiv_RETURN void
#define glGetPixelMapuiv_ARG_NAMES map, values
#define glGetPixelMapuiv_ARG_EXPAND GLenum map, GLuint * values
#define glGetPixelMapuiv_PACKED PACKED_void_GLenum_GLuint___GENPT__
#define glGetPixelMapuiv_INDEXED INDEXED_void_GLenum_GLuint___GENPT__
#define glGetPixelMapuiv_FORMAT FORMAT_void_GLenum_GLuint___GENPT__
#define glGetPixelMapusv_INDEX 172
#define glGetPixelMapusv_RETURN void
#define glGetPixelMapusv_ARG_NAMES map, values
#define glGetPixelMapusv_ARG_EXPAND GLenum map, GLushort * values
#define glGetPixelMapusv_PACKED PACKED_void_GLenum_GLushort___GENPT__
#define glGetPixelMapusv_INDEXED INDEXED_void_GLenum_GLushort___GENPT__
#define glGetPixelMapusv_FORMAT FORMAT_void_GLenum_GLushort___GENPT__
#define glGetPointerv_INDEX 173
#define glGetPointerv_RETURN void
#define glGetPointerv_ARG_NAMES pname, params
#define glGetPointerv_ARG_EXPAND GLenum pname, GLvoid ** params
#define glGetPointerv_PACKED PACKED_void_GLenum_GLvoid___GENPT____GENPT__
#define glGetPointerv_INDEXED INDEXED_void_GLenum_GLvoid___GENPT____GENPT__
#define glGetPointerv_FORMAT FORMAT_void_GLenum_GLvoid___GENPT____GENPT__
#define glGetPolygonStipple_INDEX 174
#define glGetPolygonStipple_RETURN void
#define glGetPolygonStipple_ARG_NAMES mask
#define glGetPolygonStipple_ARG_EXPAND GLubyte * mask
#define glGetPolygonStipple_PACKED PACKED_void_GLubyte___GENPT__
#define glGetPolygonStipple_INDEXED INDEXED_void_GLubyte___GENPT__
#define glGetPolygonStipple_FORMAT FORMAT_void_GLubyte___GENPT__
#define glGetQueryObjectiv_INDEX 175
#define glGetQueryObjectiv_RETURN void
#define glGetQueryObjectiv_ARG_NAMES id, pname, params
#define glGetQueryObjectiv_ARG_EXPAND GLuint id, GLenum pname, GLint * params
#define glGetQueryObjectiv_PACKED PACKED_void_GLuint_GLenum_GLint___GENPT__
#define glGetQueryObjectiv_INDEXED INDEXED_void_GLuint_GLenum_GLint___GENPT__
#define glGetQueryObjectiv_FORMAT FORMAT_void_GLuint_GLenum_GLint___GENPT__
#define glGetQueryObjectuiv_INDEX 176
#define glGetQueryObjectuiv_RETURN void
#define glGetQueryObjectuiv_ARG_NAMES id, pname, params
#define glGetQueryObjectuiv_ARG_EXPAND GLuint id, GLenum pname, GLuint * params
#define glGetQueryObjectuiv_PACKED PACKED_void_GLuint_GLenum_GLuint___GENPT__
#define glGetQueryObjectuiv_INDEXED INDEXED_void_GLuint_GLenum_GLuint___GENPT__
#define glGetQueryObjectuiv_FORMAT FORMAT_void_GLuint_GLenum_GLuint___GENPT__
#define glGetQueryiv_INDEX 177
#define glGetQueryiv_RETURN void
#define glGetQueryiv_ARG_NAMES target, pname, params
#define glGetQueryiv_ARG_EXPAND GLenum target, GLenum pname, GLint * params
#define glGetQueryiv_PACKED PACKED_void_GLenum_GLenum_GLint___GENPT__
#define glGetQueryiv_INDEXED INDEXED_void_GLenum_GLenum_GLint___GENPT__
#define glGetQueryiv_FORMAT FORMAT_void_GLenum_GLenum_GLint___GENPT__
#define glGetSeparableFilter_INDEX 178
#define glGetSeparableFilter_RETURN void
#define glGetSeparableFilter_ARG_NAMES target, format, type, row, column, span
#define glGetSeparableFilter_ARG_EXPAND GLenum target, GLenum format, GLenum type, GLvoid * row, GLvoid * column, GLvoid * span
#define glGetSeparableFilter_PACKED PACKED_void_GLenum_GLenum_GLenum_GLvoid___GENPT___GLvoid___GENPT___GLvoid___GENPT__
#define glGetSeparableFilter_INDEXED INDEXED_void_GLenum_GLenum_GLenum_GLvoid___GENPT___GLvoid___GENPT___GLvoid___GENPT__
#define glGetSeparableFilter_FORMAT FORMAT_void_GLenum_GLenum_GLenum_GLvoid___GENPT___GLvoid___GENPT___GLvoid___GENPT__
#define glGetString_INDEX 179
#define glGetString_RETURN const GLubyte *
#define glGetString_ARG_NAMES name
#define glGetString_ARG_EXPAND GLenum name
#define glGetString_PACKED PACKED_const_GLubyte___GENPT___GLenum
#define glGetString_INDEXED INDEXED_const_GLubyte___GENPT___GLenum
#define glGetString_FORMAT FORMAT_const_GLubyte___GENPT___GLenum
#define glGetTexEnvfv_INDEX 180
#define glGetTexEnvfv_RETURN void
#define glGetTexEnvfv_ARG_NAMES target, pname, params
#define glGetTexEnvfv_ARG_EXPAND GLenum target, GLenum pname, GLfloat * params
#define glGetTexEnvfv_PACKED PACKED_void_GLenum_GLenum_GLfloat___GENPT__
#define glGetTexEnvfv_INDEXED INDEXED_void_GLenum_GLenum_GLfloat___GENPT__
#define glGetTexEnvfv_FORMAT FORMAT_void_GLenum_GLenum_GLfloat___GENPT__
#define glGetTexEnviv_INDEX 181
#define glGetTexEnviv_RETURN void
#define glGetTexEnviv_ARG_NAMES target, pname, params
#define glGetTexEnviv_ARG_EXPAND GLenum target, GLenum pname, GLint * params
#define glGetTexEnviv_PACKED PACKED_void_GLenum_GLenum_GLint___GENPT__
#define glGetTexEnviv_INDEXED INDEXED_void_GLenum_GLenum_GLint___GENPT__
#define glGetTexEnviv_FORMAT FORMAT_void_GLenum_GLenum_GLint___GENPT__
#define glGetTexGendv_INDEX 182
#define glGetTexGendv_RETURN void
#define glGetTexGendv_ARG_NAMES coord, pname, params
#define glGetTexGendv_ARG_EXPAND GLenum coord, GLenum pname, GLdouble * params
#define glGetTexGendv_PACKED PACKED_void_GLenum_GLenum_GLdouble___GENPT__
#define glGetTexGendv_INDEXED INDEXED_void_GLenum_GLenum_GLdouble___GENPT__
#define glGetTexGendv_FORMAT FORMAT_void_GLenum_GLenum_GLdouble___GENPT__
#define glGetTexGenfv_INDEX 183
#define glGetTexGenfv_RETURN void
#define glGetTexGenfv_ARG_NAMES coord, pname, params
#define glGetTexGenfv_ARG_EXPAND GLenum coord, GLenum pname, GLfloat * params
#define glGetTexGenfv_PACKED PACKED_void_GLenum_GLenum_GLfloat___GENPT__
#define glGetTexGenfv_INDEXED INDEXED_void_GLenum_GLenum_GLfloat___GENPT__
#define glGetTexGenfv_FORMAT FORMAT_void_GLenum_GLenum_GLfloat___GENPT__
#define glGetTexGeniv_INDEX 184
#define glGetTexGeniv_RETURN void
#define glGetTexGeniv_ARG_NAMES coord, pname, params
#define glGetTexGeniv_ARG_EXPAND GLenum coord, GLenum pname, GLint * params
#define glGetTexGeniv_PACKED PACKED_void_GLenum_GLenum_GLint___GENPT__
#define glGetTexGeniv_INDEXED INDEXED_void_GLenum_GLenum_GLint___GENPT__
#define glGetTexGeniv_FORMAT FORMAT_void_GLenum_GLenum_GLint___GENPT__
#define glGetTexImage_INDEX 185
#define glGetTexImage_RETURN void
#define glGetTexImage_ARG_NAMES target, level, format, type, pixels
#define glGetTexImage_ARG_EXPAND GLenum target, GLint level, GLenum format, GLenum type, GLvoid * pixels
#define glGetTexImage_PACKED PACKED_void_GLenum_GLint_GLenum_GLenum_GLvoid___GENPT__
#define glGetTexImage_INDEXED INDEXED_void_GLenum_GLint_GLenum_GLenum_GLvoid___GENPT__
#define glGetTexImage_FORMAT FORMAT_void_GLenum_GLint_GLenum_GLenum_GLvoid___GENPT__
#define glGetTexLevelParameterfv_INDEX 186
#define glGetTexLevelParameterfv_RETURN void
#define glGetTexLevelParameterfv_ARG_NAMES target, level, pname, params
#define glGetTexLevelParameterfv_ARG_EXPAND GLenum target, GLint level, GLenum pname, GLfloat * params
#define glGetTexLevelParameterfv_PACKED PACKED_void_GLenum_GLint_GLenum_GLfloat___GENPT__
#define glGetTexLevelParameterfv_INDEXED INDEXED_void_GLenum_GLint_GLenum_GLfloat___GENPT__
#define glGetTexLevelParameterfv_FORMAT FORMAT_void_GLenum_GLint_GLenum_GLfloat___GENPT__
#define glGetTexLevelParameteriv_INDEX 187
#define glGetTexLevelParameteriv_RETURN void
#define glGetTexLevelParameteriv_ARG_NAMES target, level, pname, params
#define glGetTexLevelParameteriv_ARG_EXPAND GLenum target, GLint level, GLenum pname, GLint * params
#define glGetTexLevelParameteriv_PACKED PACKED_void_GLenum_GLint_GLenum_GLint___GENPT__
#define glGetTexLevelParameteriv_INDEXED INDEXED_void_GLenum_GLint_GLenum_GLint___GENPT__
#define glGetTexLevelParameteriv_FORMAT FORMAT_void_GLenum_GLint_GLenum_GLint___GENPT__
#define glGetTexParameterfv_INDEX 188
#define glGetTexParameterfv_RETURN void
#define glGetTexParameterfv_ARG_NAMES target, pname, params
#define glGetTexParameterfv_ARG_EXPAND GLenum target, GLenum pname, GLfloat * params
#define glGetTexParameterfv_PACKED PACKED_void_GLenum_GLenum_GLfloat___GENPT__
#define glGetTexParameterfv_INDEXED INDEXED_void_GLenum_GLenum_GLfloat___GENPT__
#define glGetTexParameterfv_FORMAT FORMAT_void_GLenum_GLenum_GLfloat___GENPT__
#define glGetTexParameteriv_INDEX 189
#define glGetTexParameteriv_RETURN void
#define glGetTexParameteriv_ARG_NAMES target, pname, params
#define glGetTexParameteriv_ARG_EXPAND GLenum target, GLenum pname, GLint * params
#define glGetTexParameteriv_PACKED PACKED_void_GLenum_GLenum_GLint___GENPT__
#define glGetTexParameteriv_INDEXED INDEXED_void_GLenum_GLenum_GLint___GENPT__
#define glGetTexParameteriv_FORMAT FORMAT_void_GLenum_GLenum_GLint___GENPT__
#define glHint_INDEX 190
#define glHint_RETURN void
#define glHint_ARG_NAMES target, mode
#define glHint_ARG_EXPAND GLenum target, GLenum mode
#define glHint_PACKED PACKED_void_GLenum_GLenum
#define glHint_INDEXED INDEXED_void_GLenum_GLenum
#define glHint_FORMAT FORMAT_void_GLenum_GLenum
#define glHistogram_INDEX 191
#define glHistogram_RETURN void
#define glHistogram_ARG_NAMES target, width, internalformat, sink
#define glHistogram_ARG_EXPAND GLenum target, GLsizei width, GLenum internalformat, GLboolean sink
#define glHistogram_PACKED PACKED_void_GLenum_GLsizei_GLenum_GLboolean
#define glHistogram_INDEXED INDEXED_void_GLenum_GLsizei_GLenum_GLboolean
#define glHistogram_FORMAT FORMAT_void_GLenum_GLsizei_GLenum_GLboolean
#define glIndexMask_INDEX 192
#define glIndexMask_RETURN void
#define glIndexMask_ARG_NAMES mask
#define glIndexMask_ARG_EXPAND GLuint mask
#define glIndexMask_PACKED PACKED_void_GLuint
#define glIndexMask_INDEXED INDEXED_void_GLuint
#define glIndexMask_FORMAT FORMAT_void_GLuint
#define glIndexPointer_INDEX 193
#define glIndexPointer_RETURN void
#define glIndexPointer_ARG_NAMES type, stride, pointer
#define glIndexPointer_ARG_EXPAND GLenum type, GLsizei stride, const GLvoid * pointer
#define glIndexPointer_PACKED PACKED_void_GLenum_GLsizei_const_GLvoid___GENPT__
#define glIndexPointer_INDEXED INDEXED_void_GLenum_GLsizei_const_GLvoid___GENPT__
#define glIndexPointer_FORMAT FORMAT_void_GLenum_GLsizei_const_GLvoid___GENPT__
#define glIndexd_INDEX 194
#define glIndexd_RETURN void
#define glIndexd_ARG_NAMES c
#define glIndexd_ARG_EXPAND GLdouble c
#define glIndexd_PACKED PACKED_void_GLdouble
#define glIndexd_INDEXED INDEXED_void_GLdouble
#define glIndexd_FORMAT FORMAT_void_GLdouble
#define glIndexdv_INDEX 195
#define glIndexdv_RETURN void
#define glIndexdv_ARG_NAMES c
#define glIndexdv_ARG_EXPAND const GLdouble * c
#define glIndexdv_PACKED PACKED_void_const_GLdouble___GENPT__
#define glIndexdv_INDEXED INDEXED_void_const_GLdouble___GENPT__
#define glIndexdv_FORMAT FORMAT_void_const_GLdouble___GENPT__
#define glIndexf_INDEX 196
#define glIndexf_RETURN void
#define glIndexf_ARG_NAMES c
#define glIndexf_ARG_EXPAND GLfloat c
#define glIndexf_PACKED PACKED_void_GLfloat
#define glIndexf_INDEXED INDEXED_void_GLfloat
#define glIndexf_FORMAT FORMAT_void_GLfloat
#define glIndexfv_INDEX 197
#define glIndexfv_RETURN void
#define glIndexfv_ARG_NAMES c
#define glIndexfv_ARG_EXPAND const GLfloat * c
#define glIndexfv_PACKED PACKED_void_const_GLfloat___GENPT__
#define glIndexfv_INDEXED INDEXED_void_const_GLfloat___GENPT__
#define glIndexfv_FORMAT FORMAT_void_const_GLfloat___GENPT__
#define glIndexi_INDEX 198
#define glIndexi_RETURN void
#define glIndexi_ARG_NAMES c
#define glIndexi_ARG_EXPAND GLint c
#define glIndexi_PACKED PACKED_void_GLint
#define glIndexi_INDEXED INDEXED_void_GLint
#define glIndexi_FORMAT FORMAT_void_GLint
#define glIndexiv_INDEX 199
#define glIndexiv_RETURN void
#define glIndexiv_ARG_NAMES c
#define glIndexiv_ARG_EXPAND const GLint * c
#define glIndexiv_PACKED PACKED_void_const_GLint___GENPT__
#define glIndexiv_INDEXED INDEXED_void_const_GLint___GENPT__
#define glIndexiv_FORMAT FORMAT_void_const_GLint___GENPT__
#define glIndexs_INDEX 200
#define glIndexs_RETURN void
#define glIndexs_ARG_NAMES c
#define glIndexs_ARG_EXPAND GLshort c
#define glIndexs_PACKED PACKED_void_GLshort
#define glIndexs_INDEXED INDEXED_void_GLshort
#define glIndexs_FORMAT FORMAT_void_GLshort
#define glIndexsv_INDEX 201
#define glIndexsv_RETURN void
#define glIndexsv_ARG_NAMES c
#define glIndexsv_ARG_EXPAND const GLshort * c
#define glIndexsv_PACKED PACKED_void_const_GLshort___GENPT__
#define glIndexsv_INDEXED INDEXED_void_const_GLshort___GENPT__
#define glIndexsv_FORMAT FORMAT_void_const_GLshort___GENPT__
#define glIndexub_INDEX 202
#define glIndexub_RETURN void
#define glIndexub_ARG_NAMES c
#define glIndexub_ARG_EXPAND GLubyte c
#define glIndexub_PACKED PACKED_void_GLubyte
#define glIndexub_INDEXED INDEXED_void_GLubyte
#define glIndexub_FORMAT FORMAT_void_GLubyte
#define glIndexubv_INDEX 203
#define glIndexubv_RETURN void
#define glIndexubv_ARG_NAMES c
#define glIndexubv_ARG_EXPAND const GLubyte * c
#define glIndexubv_PACKED PACKED_void_const_GLubyte___GENPT__
#define glIndexubv_INDEXED INDEXED_void_const_GLubyte___GENPT__
#define glIndexubv_FORMAT FORMAT_void_const_GLubyte___GENPT__
#define glInitNames_INDEX 204
#define glInitNames_RETURN void
#define glInitNames_ARG_NAMES 
#define glInitNames_ARG_EXPAND 
#define glInitNames_PACKED PACKED_void
#define glInitNames_INDEXED INDEXED_void
#define glInitNames_FORMAT FORMAT_void
#define glInterleavedArrays_INDEX 205
#define glInterleavedArrays_RETURN void
#define glInterleavedArrays_ARG_NAMES format, stride, pointer
#define glInterleavedArrays_ARG_EXPAND GLenum format, GLsizei stride, const GLvoid * pointer
#define glInterleavedArrays_PACKED PACKED_void_GLenum_GLsizei_const_GLvoid___GENPT__
#define glInterleavedArrays_INDEXED INDEXED_void_GLenum_GLsizei_const_GLvoid___GENPT__
#define glInterleavedArrays_FORMAT FORMAT_void_GLenum_GLsizei_const_GLvoid___GENPT__
#define glIsBuffer_INDEX 206
#define glIsBuffer_RETURN GLboolean
#define glIsBuffer_ARG_NAMES buffer
#define glIsBuffer_ARG_EXPAND GLuint buffer
#define glIsBuffer_PACKED PACKED_GLboolean_GLuint
#define glIsBuffer_INDEXED INDEXED_GLboolean_GLuint
#define glIsBuffer_FORMAT FORMAT_GLboolean_GLuint
#define glIsEnabled_INDEX 207
#define glIsEnabled_RETURN GLboolean
#define glIsEnabled_ARG_NAMES cap
#define glIsEnabled_ARG_EXPAND GLenum cap
#define glIsEnabled_PACKED PACKED_GLboolean_GLenum
#define glIsEnabled_INDEXED INDEXED_GLboolean_GLenum
#define glIsEnabled_FORMAT FORMAT_GLboolean_GLenum
#define glIsList_INDEX 208
#define glIsList_RETURN GLboolean
#define glIsList_ARG_NAMES list
#define glIsList_ARG_EXPAND GLuint list
#define glIsList_PACKED PACKED_GLboolean_GLuint
#define glIsList_INDEXED INDEXED_GLboolean_GLuint
#define glIsList_FORMAT FORMAT_GLboolean_GLuint
#define glIsQuery_INDEX 209
#define glIsQuery_RETURN GLboolean
#define glIsQuery_ARG_NAMES id
#define glIsQuery_ARG_EXPAND GLuint id
#define glIsQuery_PACKED PACKED_GLboolean_GLuint
#define glIsQuery_INDEXED INDEXED_GLboolean_GLuint
#define glIsQuery_FORMAT FORMAT_GLboolean_GLuint
#define glIsTexture_INDEX 210
#define glIsTexture_RETURN GLboolean
#define glIsTexture_ARG_NAMES texture
#define glIsTexture_ARG_EXPAND GLuint texture
#define glIsTexture_PACKED PACKED_GLboolean_GLuint
#define glIsTexture_INDEXED INDEXED_GLboolean_GLuint
#define glIsTexture_FORMAT FORMAT_GLboolean_GLuint
#define glLightModelf_INDEX 211
#define glLightModelf_RETURN void
#define glLightModelf_ARG_NAMES pname, param
#define glLightModelf_ARG_EXPAND GLenum pname, GLfloat param
#define glLightModelf_PACKED PACKED_void_GLenum_GLfloat
#define glLightModelf_INDEXED INDEXED_void_GLenum_GLfloat
#define glLightModelf_FORMAT FORMAT_void_GLenum_GLfloat
#define glLightModelfv_INDEX 212
#define glLightModelfv_RETURN void
#define glLightModelfv_ARG_NAMES pname, params
#define glLightModelfv_ARG_EXPAND GLenum pname, const GLfloat * params
#define glLightModelfv_PACKED PACKED_void_GLenum_const_GLfloat___GENPT__
#define glLightModelfv_INDEXED INDEXED_void_GLenum_const_GLfloat___GENPT__
#define glLightModelfv_FORMAT FORMAT_void_GLenum_const_GLfloat___GENPT__
#define glLightModeli_INDEX 213
#define glLightModeli_RETURN void
#define glLightModeli_ARG_NAMES pname, param
#define glLightModeli_ARG_EXPAND GLenum pname, GLint param
#define glLightModeli_PACKED PACKED_void_GLenum_GLint
#define glLightModeli_INDEXED INDEXED_void_GLenum_GLint
#define glLightModeli_FORMAT FORMAT_void_GLenum_GLint
#define glLightModeliv_INDEX 214
#define glLightModeliv_RETURN void
#define glLightModeliv_ARG_NAMES pname, params
#define glLightModeliv_ARG_EXPAND GLenum pname, const GLint * params
#define glLightModeliv_PACKED PACKED_void_GLenum_const_GLint___GENPT__
#define glLightModeliv_INDEXED INDEXED_void_GLenum_const_GLint___GENPT__
#define glLightModeliv_FORMAT FORMAT_void_GLenum_const_GLint___GENPT__
#define glLightf_INDEX 215
#define glLightf_RETURN void
#define glLightf_ARG_NAMES light, pname, param
#define glLightf_ARG_EXPAND GLenum light, GLenum pname, GLfloat param
#define glLightf_PACKED PACKED_void_GLenum_GLenum_GLfloat
#define glLightf_INDEXED INDEXED_void_GLenum_GLenum_GLfloat
#define glLightf_FORMAT FORMAT_void_GLenum_GLenum_GLfloat
#define glLightfv_INDEX 216
#define glLightfv_RETURN void
#define glLightfv_ARG_NAMES light, pname, params
#define glLightfv_ARG_EXPAND GLenum light, GLenum pname, const GLfloat * params
#define glLightfv_PACKED PACKED_void_GLenum_GLenum_const_GLfloat___GENPT__
#define glLightfv_INDEXED INDEXED_void_GLenum_GLenum_const_GLfloat___GENPT__
#define glLightfv_FORMAT FORMAT_void_GLenum_GLenum_const_GLfloat___GENPT__
#define glLighti_INDEX 217
#define glLighti_RETURN void
#define glLighti_ARG_NAMES light, pname, param
#define glLighti_ARG_EXPAND GLenum light, GLenum pname, GLint param
#define glLighti_PACKED PACKED_void_GLenum_GLenum_GLint
#define glLighti_INDEXED INDEXED_void_GLenum_GLenum_GLint
#define glLighti_FORMAT FORMAT_void_GLenum_GLenum_GLint
#define glLightiv_INDEX 218
#define glLightiv_RETURN void
#define glLightiv_ARG_NAMES light, pname, params
#define glLightiv_ARG_EXPAND GLenum light, GLenum pname, const GLint * params
#define glLightiv_PACKED PACKED_void_GLenum_GLenum_const_GLint___GENPT__
#define glLightiv_INDEXED INDEXED_void_GLenum_GLenum_const_GLint___GENPT__
#define glLightiv_FORMAT FORMAT_void_GLenum_GLenum_const_GLint___GENPT__
#define glLineStipple_INDEX 219
#define glLineStipple_RETURN void
#define glLineStipple_ARG_NAMES factor, pattern
#define glLineStipple_ARG_EXPAND GLint factor, GLushort pattern
#define glLineStipple_PACKED PACKED_void_GLint_GLushort
#define glLineStipple_INDEXED INDEXED_void_GLint_GLushort
#define glLineStipple_FORMAT FORMAT_void_GLint_GLushort
#define glLineWidth_INDEX 220
#define glLineWidth_RETURN void
#define glLineWidth_ARG_NAMES width
#define glLineWidth_ARG_EXPAND GLfloat width
#define glLineWidth_PACKED PACKED_void_GLfloat
#define glLineWidth_INDEXED INDEXED_void_GLfloat
#define glLineWidth_FORMAT FORMAT_void_GLfloat
#define glListBase_INDEX 221
#define glListBase_RETURN void
#define glListBase_ARG_NAMES base
#define glListBase_ARG_EXPAND GLuint base
#define glListBase_PACKED PACKED_void_GLuint
#define glListBase_INDEXED INDEXED_void_GLuint
#define glListBase_FORMAT FORMAT_void_GLuint
#define glLoadIdentity_INDEX 222
#define glLoadIdentity_RETURN void
#define glLoadIdentity_ARG_NAMES 
#define glLoadIdentity_ARG_EXPAND 
#define glLoadIdentity_PACKED PACKED_void
#define glLoadIdentity_INDEXED INDEXED_void
#define glLoadIdentity_FORMAT FORMAT_void
#define glLoadMatrixd_INDEX 223
#define glLoadMatrixd_RETURN void
#define glLoadMatrixd_ARG_NAMES m
#define glLoadMatrixd_ARG_EXPAND const GLdouble * m
#define glLoadMatrixd_PACKED PACKED_void_const_GLdouble___GENPT__
#define glLoadMatrixd_INDEXED INDEXED_void_const_GLdouble___GENPT__
#define glLoadMatrixd_FORMAT FORMAT_void_const_GLdouble___GENPT__
#define glLoadMatrixf_INDEX 224
#define glLoadMatrixf_RETURN void
#define glLoadMatrixf_ARG_NAMES m
#define glLoadMatrixf_ARG_EXPAND const GLfloat * m
#define glLoadMatrixf_PACKED PACKED_void_const_GLfloat___GENPT__
#define glLoadMatrixf_INDEXED INDEXED_void_const_GLfloat___GENPT__
#define glLoadMatrixf_FORMAT FORMAT_void_const_GLfloat___GENPT__
#define glLoadName_INDEX 225
#define glLoadName_RETURN void
#define glLoadName_ARG_NAMES name
#define glLoadName_ARG_EXPAND GLuint name
#define glLoadName_PACKED PACKED_void_GLuint
#define glLoadName_INDEXED INDEXED_void_GLuint
#define glLoadName_FORMAT FORMAT_void_GLuint
#define glLoadTransposeMatrixd_INDEX 226
#define glLoadTransposeMatrixd_RETURN void
#define glLoadTransposeMatrixd_ARG_NAMES m
#define glLoadTransposeMatrixd_ARG_EXPAND const GLdouble * m
#define glLoadTransposeMatrixd_PACKED PACKED_void_const_GLdouble___GENPT__
#define glLoadTransposeMatrixd_INDEXED INDEXED_void_const_GLdouble___GENPT__
#define glLoadTransposeMatrixd_FORMAT FORMAT_void_const_GLdouble___GENPT__
#define glLoadTransposeMatrixf_INDEX 227
#define glLoadTransposeMatrixf_RETURN void
#define glLoadTransposeMatrixf_ARG_NAMES m
#define glLoadTransposeMatrixf_ARG_EXPAND const GLfloat * m
#define glLoadTransposeMatrixf_PACKED PACKED_void_const_GLfloat___GENPT__
#define glLoadTransposeMatrixf_INDEXED INDEXED_void_const_GLfloat___GENPT__
#define glLoadTransposeMatrixf_FORMAT FORMAT_void_const_GLfloat___GENPT__
#define glLogicOp_INDEX 228
#define glLogicOp_RETURN void
#define glLogicOp_ARG_NAMES opcode
#define glLogicOp_ARG_EXPAND GLenum opcode
#define glLogicOp_PACKED PACKED_void_GLenum
#define glLogicOp_INDEXED INDEXED_void_GLenum
#define glLogicOp_FORMAT FORMAT_void_GLenum
#define glMap1d_INDEX 229
#define glMap1d_RETURN void
#define glMap1d_ARG_NAMES target, u1, u2, stride, order, points
#define glMap1d_ARG_EXPAND GLenum target, GLdouble u1, GLdouble u2, GLint stride, GLint order, const GLdouble * points
#define glMap1d_PACKED PACKED_void_GLenum_GLdouble_GLdouble_GLint_GLint_const_GLdouble___GENPT__
#define glMap1d_INDEXED INDEXED_void_GLenum_GLdouble_GLdouble_GLint_GLint_const_GLdouble___GENPT__
#define glMap1d_FORMAT FORMAT_void_GLenum_GLdouble_GLdouble_GLint_GLint_const_GLdouble___GENPT__
#define glMap1f_INDEX 230
#define glMap1f_RETURN void
#define glMap1f_ARG_NAMES target, u1, u2, stride, order, points
#define glMap1f_ARG_EXPAND GLenum target, GLfloat u1, GLfloat u2, GLint stride, GLint order, const GLfloat * points
#define glMap1f_PACKED PACKED_void_GLenum_GLfloat_GLfloat_GLint_GLint_const_GLfloat___GENPT__
#define glMap1f_INDEXED INDEXED_void_GLenum_GLfloat_GLfloat_GLint_GLint_const_GLfloat___GENPT__
#define glMap1f_FORMAT FORMAT_void_GLenum_GLfloat_GLfloat_GLint_GLint_const_GLfloat___GENPT__
#define glMap2d_INDEX 231
#define glMap2d_RETURN void
#define glMap2d_ARG_NAMES target, u1, u2, ustride, uorder, v1, v2, vstride, vorder, points
#define glMap2d_ARG_EXPAND GLenum target, GLdouble u1, GLdouble u2, GLint ustride, GLint uorder, GLdouble v1, GLdouble v2, GLint vstride, GLint vorder, const GLdouble * points
#define glMap2d_PACKED PACKED_void_GLenum_GLdouble_GLdouble_GLint_GLint_GLdouble_GLdouble_GLint_GLint_const_GLdouble___GENPT__
#define glMap2d_INDEXED INDEXED_void_GLenum_GLdouble_GLdouble_GLint_GLint_GLdouble_GLdouble_GLint_GLint_const_GLdouble___GENPT__
#define glMap2d_FORMAT FORMAT_void_GLenum_GLdouble_GLdouble_GLint_GLint_GLdouble_GLdouble_GLint_GLint_const_GLdouble___GENPT__
#define glMap2f_INDEX 232
#define glMap2f_RETURN void
#define glMap2f_ARG_NAMES target, u1, u2, ustride, uorder, v1, v2, vstride, vorder, points
#define glMap2f_ARG_EXPAND GLenum target, GLfloat u1, GLfloat u2, GLint ustride, GLint uorder, GLfloat v1, GLfloat v2, GLint vstride, GLint vorder, const GLfloat * points
#define glMap2f_PACKED PACKED_void_GLenum_GLfloat_GLfloat_GLint_GLint_GLfloat_GLfloat_GLint_GLint_const_GLfloat___GENPT__
#define glMap2f_INDEXED INDEXED_void_GLenum_GLfloat_GLfloat_GLint_GLint_GLfloat_GLfloat_GLint_GLint_const_GLfloat___GENPT__
#define glMap2f_FORMAT FORMAT_void_GLenum_GLfloat_GLfloat_GLint_GLint_GLfloat_GLfloat_GLint_GLint_const_GLfloat___GENPT__
#define glMapBuffer_INDEX 233
#define glMapBuffer_RETURN GLvoid *
#define glMapBuffer_ARG_NAMES target, access
#define glMapBuffer_ARG_EXPAND GLenum target, GLenum access
#define glMapBuffer_PACKED PACKED_GLvoid___GENPT___GLenum_GLenum
#define glMapBuffer_INDEXED INDEXED_GLvoid___GENPT___GLenum_GLenum
#define glMapBuffer_FORMAT FORMAT_GLvoid___GENPT___GLenum_GLenum
#define glMapGrid1d_INDEX 234
#define glMapGrid1d_RETURN void
#define glMapGrid1d_ARG_NAMES un, u1, u2
#define glMapGrid1d_ARG_EXPAND GLint un, GLdouble u1, GLdouble u2
#define glMapGrid1d_PACKED PACKED_void_GLint_GLdouble_GLdouble
#define glMapGrid1d_INDEXED INDEXED_void_GLint_GLdouble_GLdouble
#define glMapGrid1d_FORMAT FORMAT_void_GLint_GLdouble_GLdouble
#define glMapGrid1f_INDEX 235
#define glMapGrid1f_RETURN void
#define glMapGrid1f_ARG_NAMES un, u1, u2
#define glMapGrid1f_ARG_EXPAND GLint un, GLfloat u1, GLfloat u2
#define glMapGrid1f_PACKED PACKED_void_GLint_GLfloat_GLfloat
#define glMapGrid1f_INDEXED INDEXED_void_GLint_GLfloat_GLfloat
#define glMapGrid1f_FORMAT FORMAT_void_GLint_GLfloat_GLfloat
#define glMapGrid2d_INDEX 236
#define glMapGrid2d_RETURN void
#define glMapGrid2d_ARG_NAMES un, u1, u2, vn, v1, v2
#define glMapGrid2d_ARG_EXPAND GLint un, GLdouble u1, GLdouble u2, GLint vn, GLdouble v1, GLdouble v2
#define glMapGrid2d_PACKED PACKED_void_GLint_GLdouble_GLdouble_GLint_GLdouble_GLdouble
#define glMapGrid2d_INDEXED INDEXED_void_GLint_GLdouble_GLdouble_GLint_GLdouble_GLdouble
#define glMapGrid2d_FORMAT FORMAT_void_GLint_GLdouble_GLdouble_GLint_GLdouble_GLdouble
#define glMapGrid2f_INDEX 237
#define glMapGrid2f_RETURN void
#define glMapGrid2f_ARG_NAMES un, u1, u2, vn, v1, v2
#define glMapGrid2f_ARG_EXPAND GLint un, GLfloat u1, GLfloat u2, GLint vn, GLfloat v1, GLfloat v2
#define glMapGrid2f_PACKED PACKED_void_GLint_GLfloat_GLfloat_GLint_GLfloat_GLfloat
#define glMapGrid2f_INDEXED INDEXED_void_GLint_GLfloat_GLfloat_GLint_GLfloat_GLfloat
#define glMapGrid2f_FORMAT FORMAT_void_GLint_GLfloat_GLfloat_GLint_GLfloat_GLfloat
#define glMaterialf_INDEX 238
#define glMaterialf_RETURN void
#define glMaterialf_ARG_NAMES face, pname, param
#define glMaterialf_ARG_EXPAND GLenum face, GLenum pname, GLfloat param
#define glMaterialf_PACKED PACKED_void_GLenum_GLenum_GLfloat
#define glMaterialf_INDEXED INDEXED_void_GLenum_GLenum_GLfloat
#define glMaterialf_FORMAT FORMAT_void_GLenum_GLenum_GLfloat
#define glMaterialfv_INDEX 239
#define glMaterialfv_RETURN void
#define glMaterialfv_ARG_NAMES face, pname, params
#define glMaterialfv_ARG_EXPAND GLenum face, GLenum pname, const GLfloat * params
#define glMaterialfv_PACKED PACKED_void_GLenum_GLenum_const_GLfloat___GENPT__
#define glMaterialfv_INDEXED INDEXED_void_GLenum_GLenum_const_GLfloat___GENPT__
#define glMaterialfv_FORMAT FORMAT_void_GLenum_GLenum_const_GLfloat___GENPT__
#define glMateriali_INDEX 240
#define glMateriali_RETURN void
#define glMateriali_ARG_NAMES face, pname, param
#define glMateriali_ARG_EXPAND GLenum face, GLenum pname, GLint param
#define glMateriali_PACKED PACKED_void_GLenum_GLenum_GLint
#define glMateriali_INDEXED INDEXED_void_GLenum_GLenum_GLint
#define glMateriali_FORMAT FORMAT_void_GLenum_GLenum_GLint
#define glMaterialiv_INDEX 241
#define glMaterialiv_RETURN void
#define glMaterialiv_ARG_NAMES face, pname, params
#define glMaterialiv_ARG_EXPAND GLenum face, GLenum pname, const GLint * params
#define glMaterialiv_PACKED PACKED_void_GLenum_GLenum_const_GLint___GENPT__
#define glMaterialiv_INDEXED INDEXED_void_GLenum_GLenum_const_GLint___GENPT__
#define glMaterialiv_FORMAT FORMAT_void_GLenum_GLenum_const_GLint___GENPT__
#define glMatrixMode_INDEX 242
#define glMatrixMode_RETURN void
#define glMatrixMode_ARG_NAMES mode
#define glMatrixMode_ARG_EXPAND GLenum mode
#define glMatrixMode_PACKED PACKED_void_GLenum
#define glMatrixMode_INDEXED INDEXED_void_GLenum
#define glMatrixMode_FORMAT FORMAT_void_GLenum
#define glMinmax_INDEX 243
#define glMinmax_RETURN void
#define glMinmax_ARG_NAMES target, internalformat, sink
#define glMinmax_ARG_EXPAND GLenum target, GLenum internalformat, GLboolean sink
#define glMinmax_PACKED PACKED_void_GLenum_GLenum_GLboolean
#define glMinmax_INDEXED INDEXED_void_GLenum_GLenum_GLboolean
#define glMinmax_FORMAT FORMAT_void_GLenum_GLenum_GLboolean
#define glMultMatrixd_INDEX 244
#define glMultMatrixd_RETURN void
#define glMultMatrixd_ARG_NAMES m
#define glMultMatrixd_ARG_EXPAND const GLdouble * m
#define glMultMatrixd_PACKED PACKED_void_const_GLdouble___GENPT__
#define glMultMatrixd_INDEXED INDEXED_void_const_GLdouble___GENPT__
#define glMultMatrixd_FORMAT FORMAT_void_const_GLdouble___GENPT__
#define glMultMatrixf_INDEX 245
#define glMultMatrixf_RETURN void
#define glMultMatrixf_ARG_NAMES m
#define glMultMatrixf_ARG_EXPAND const GLfloat * m
#define glMultMatrixf_PACKED PACKED_void_const_GLfloat___GENPT__
#define glMultMatrixf_INDEXED INDEXED_void_const_GLfloat___GENPT__
#define glMultMatrixf_FORMAT FORMAT_void_const_GLfloat___GENPT__
#define glMultTransposeMatrixd_INDEX 246
#define glMultTransposeMatrixd_RETURN void
#define glMultTransposeMatrixd_ARG_NAMES m
#define glMultTransposeMatrixd_ARG_EXPAND const GLdouble * m
#define glMultTransposeMatrixd_PACKED PACKED_void_const_GLdouble___GENPT__
#define glMultTransposeMatrixd_INDEXED INDEXED_void_const_GLdouble___GENPT__
#define glMultTransposeMatrixd_FORMAT FORMAT_void_const_GLdouble___GENPT__
#define glMultTransposeMatrixf_INDEX 247
#define glMultTransposeMatrixf_RETURN void
#define glMultTransposeMatrixf_ARG_NAMES m
#define glMultTransposeMatrixf_ARG_EXPAND const GLfloat * m
#define glMultTransposeMatrixf_PACKED PACKED_void_const_GLfloat___GENPT__
#define glMultTransposeMatrixf_INDEXED INDEXED_void_const_GLfloat___GENPT__
#define glMultTransposeMatrixf_FORMAT FORMAT_void_const_GLfloat___GENPT__
#define glMultiDrawArrays_INDEX 248
#define glMultiDrawArrays_RETURN void
#define glMultiDrawArrays_ARG_NAMES mode, first, count, drawcount
#define glMultiDrawArrays_ARG_EXPAND GLenum mode, const GLint * first, const GLsizei * count, GLsizei drawcount
#define glMultiDrawArrays_PACKED PACKED_void_GLenum_const_GLint___GENPT___const_GLsizei___GENPT___GLsizei
#define glMultiDrawArrays_INDEXED INDEXED_void_GLenum_const_GLint___GENPT___const_GLsizei___GENPT___GLsizei
#define glMultiDrawArrays_FORMAT FORMAT_void_GLenum_const_GLint___GENPT___const_GLsizei___GENPT___GLsizei
#define glMultiDrawElements_INDEX 249
#define glMultiDrawElements_RETURN void
#define glMultiDrawElements_ARG_NAMES mode, count, type, indices, drawcount
#define glMultiDrawElements_ARG_EXPAND GLenum mode, const GLsizei * count, GLenum type, GLvoid*const * indices, GLsizei drawcount
#define glMultiDrawElements_PACKED PACKED_void_GLenum_const_GLsizei___GENPT___GLenum_GLvoid__GENPT__const___GENPT___GLsizei
#define glMultiDrawElements_INDEXED INDEXED_void_GLenum_const_GLsizei___GENPT___GLenum_GLvoid__GENPT__const___GENPT___GLsizei
#define glMultiDrawElements_FORMAT FORMAT_void_GLenum_const_GLsizei___GENPT___GLenum_GLvoid__GENPT__const___GENPT___GLsizei
#define glMultiTexCoord1d_INDEX 250
#define glMultiTexCoord1d_RETURN void
#define glMultiTexCoord1d_ARG_NAMES target, s
#define glMultiTexCoord1d_ARG_EXPAND GLenum target, GLdouble s
#define glMultiTexCoord1d_PACKED PACKED_void_GLenum_GLdouble
#define glMultiTexCoord1d_INDEXED INDEXED_void_GLenum_GLdouble
#define glMultiTexCoord1d_FORMAT FORMAT_void_GLenum_GLdouble
#define glMultiTexCoord1dv_INDEX 251
#define glMultiTexCoord1dv_RETURN void
#define glMultiTexCoord1dv_ARG_NAMES target, v
#define glMultiTexCoord1dv_ARG_EXPAND GLenum target, const GLdouble * v
#define glMultiTexCoord1dv_PACKED PACKED_void_GLenum_const_GLdouble___GENPT__
#define glMultiTexCoord1dv_INDEXED INDEXED_void_GLenum_const_GLdouble___GENPT__
#define glMultiTexCoord1dv_FORMAT FORMAT_void_GLenum_const_GLdouble___GENPT__
#define glMultiTexCoord1f_INDEX 252
#define glMultiTexCoord1f_RETURN void
#define glMultiTexCoord1f_ARG_NAMES target, s
#define glMultiTexCoord1f_ARG_EXPAND GLenum target, GLfloat s
#define glMultiTexCoord1f_PACKED PACKED_void_GLenum_GLfloat
#define glMultiTexCoord1f_INDEXED INDEXED_void_GLenum_GLfloat
#define glMultiTexCoord1f_FORMAT FORMAT_void_GLenum_GLfloat
#define glMultiTexCoord1fv_INDEX 253
#define glMultiTexCoord1fv_RETURN void
#define glMultiTexCoord1fv_ARG_NAMES target, v
#define glMultiTexCoord1fv_ARG_EXPAND GLenum target, const GLfloat * v
#define glMultiTexCoord1fv_PACKED PACKED_void_GLenum_const_GLfloat___GENPT__
#define glMultiTexCoord1fv_INDEXED INDEXED_void_GLenum_const_GLfloat___GENPT__
#define glMultiTexCoord1fv_FORMAT FORMAT_void_GLenum_const_GLfloat___GENPT__
#define glMultiTexCoord1i_INDEX 254
#define glMultiTexCoord1i_RETURN void
#define glMultiTexCoord1i_ARG_NAMES target, s
#define glMultiTexCoord1i_ARG_EXPAND GLenum target, GLint s
#define glMultiTexCoord1i_PACKED PACKED_void_GLenum_GLint
#define glMultiTexCoord1i_INDEXED INDEXED_void_GLenum_GLint
#define glMultiTexCoord1i_FORMAT FORMAT_void_GLenum_GLint
#define glMultiTexCoord1iv_INDEX 255
#define glMultiTexCoord1iv_RETURN void
#define glMultiTexCoord1iv_ARG_NAMES target, v
#define glMultiTexCoord1iv_ARG_EXPAND GLenum target, const GLint * v
#define glMultiTexCoord1iv_PACKED PACKED_void_GLenum_const_GLint___GENPT__
#define glMultiTexCoord1iv_INDEXED INDEXED_void_GLenum_const_GLint___GENPT__
#define glMultiTexCoord1iv_FORMAT FORMAT_void_GLenum_const_GLint___GENPT__
#define glMultiTexCoord1s_INDEX 256
#define glMultiTexCoord1s_RETURN void
#define glMultiTexCoord1s_ARG_NAMES target, s
#define glMultiTexCoord1s_ARG_EXPAND GLenum target, GLshort s
#define glMultiTexCoord1s_PACKED PACKED_void_GLenum_GLshort
#define glMultiTexCoord1s_INDEXED INDEXED_void_GLenum_GLshort
#define glMultiTexCoord1s_FORMAT FORMAT_void_GLenum_GLshort
#define glMultiTexCoord1sv_INDEX 257
#define glMultiTexCoord1sv_RETURN void
#define glMultiTexCoord1sv_ARG_NAMES target, v
#define glMultiTexCoord1sv_ARG_EXPAND GLenum target, const GLshort * v
#define glMultiTexCoord1sv_PACKED PACKED_void_GLenum_const_GLshort___GENPT__
#define glMultiTexCoord1sv_INDEXED INDEXED_void_GLenum_const_GLshort___GENPT__
#define glMultiTexCoord1sv_FORMAT FORMAT_void_GLenum_const_GLshort___GENPT__
#define glMultiTexCoord2d_INDEX 258
#define glMultiTexCoord2d_RETURN void
#define glMultiTexCoord2d_ARG_NAMES target, s, t
#define glMultiTexCoord2d_ARG_EXPAND GLenum target, GLdouble s, GLdouble t
#define glMultiTexCoord2d_PACKED PACKED_void_GLenum_GLdouble_GLdouble
#define glMultiTexCoord2d_INDEXED INDEXED_void_GLenum_GLdouble_GLdouble
#define glMultiTexCoord2d_FORMAT FORMAT_void_GLenum_GLdouble_GLdouble
#define glMultiTexCoord2dv_INDEX 259
#define glMultiTexCoord2dv_RETURN void
#define glMultiTexCoord2dv_ARG_NAMES target, v
#define glMultiTexCoord2dv_ARG_EXPAND GLenum target, const GLdouble * v
#define glMultiTexCoord2dv_PACKED PACKED_void_GLenum_const_GLdouble___GENPT__
#define glMultiTexCoord2dv_INDEXED INDEXED_void_GLenum_const_GLdouble___GENPT__
#define glMultiTexCoord2dv_FORMAT FORMAT_void_GLenum_const_GLdouble___GENPT__
#define glMultiTexCoord2f_INDEX 260
#define glMultiTexCoord2f_RETURN void
#define glMultiTexCoord2f_ARG_NAMES target, s, t
#define glMultiTexCoord2f_ARG_EXPAND GLenum target, GLfloat s, GLfloat t
#define glMultiTexCoord2f_PACKED PACKED_void_GLenum_GLfloat_GLfloat
#define glMultiTexCoord2f_INDEXED INDEXED_void_GLenum_GLfloat_GLfloat
#define glMultiTexCoord2f_FORMAT FORMAT_void_GLenum_GLfloat_GLfloat
#define glMultiTexCoord2fv_INDEX 261
#define glMultiTexCoord2fv_RETURN void
#define glMultiTexCoord2fv_ARG_NAMES target, v
#define glMultiTexCoord2fv_ARG_EXPAND GLenum target, const GLfloat * v
#define glMultiTexCoord2fv_PACKED PACKED_void_GLenum_const_GLfloat___GENPT__
#define glMultiTexCoord2fv_INDEXED INDEXED_void_GLenum_const_GLfloat___GENPT__
#define glMultiTexCoord2fv_FORMAT FORMAT_void_GLenum_const_GLfloat___GENPT__
#define glMultiTexCoord2i_INDEX 262
#define glMultiTexCoord2i_RETURN void
#define glMultiTexCoord2i_ARG_NAMES target, s, t
#define glMultiTexCoord2i_ARG_EXPAND GLenum target, GLint s, GLint t
#define glMultiTexCoord2i_PACKED PACKED_void_GLenum_GLint_GLint
#define glMultiTexCoord2i_INDEXED INDEXED_void_GLenum_GLint_GLint
#define glMultiTexCoord2i_FORMAT FORMAT_void_GLenum_GLint_GLint
#define glMultiTexCoord2iv_INDEX 263
#define glMultiTexCoord2iv_RETURN void
#define glMultiTexCoord2iv_ARG_NAMES target, v
#define glMultiTexCoord2iv_ARG_EXPAND GLenum target, const GLint * v
#define glMultiTexCoord2iv_PACKED PACKED_void_GLenum_const_GLint___GENPT__
#define glMultiTexCoord2iv_INDEXED INDEXED_void_GLenum_const_GLint___GENPT__
#define glMultiTexCoord2iv_FORMAT FORMAT_void_GLenum_const_GLint___GENPT__
#define glMultiTexCoord2s_INDEX 264
#define glMultiTexCoord2s_RETURN void
#define glMultiTexCoord2s_ARG_NAMES target, s, t
#define glMultiTexCoord2s_ARG_EXPAND GLenum target, GLshort s, GLshort t
#define glMultiTexCoord2s_PACKED PACKED_void_GLenum_GLshort_GLshort
#define glMultiTexCoord2s_INDEXED INDEXED_void_GLenum_GLshort_GLshort
#define glMultiTexCoord2s_FORMAT FORMAT_void_GLenum_GLshort_GLshort
#define glMultiTexCoord2sv_INDEX 265
#define glMultiTexCoord2sv_RETURN void
#define glMultiTexCoord2sv_ARG_NAMES target, v
#define glMultiTexCoord2sv_ARG_EXPAND GLenum target, const GLshort * v
#define glMultiTexCoord2sv_PACKED PACKED_void_GLenum_const_GLshort___GENPT__
#define glMultiTexCoord2sv_INDEXED INDEXED_void_GLenum_const_GLshort___GENPT__
#define glMultiTexCoord2sv_FORMAT FORMAT_void_GLenum_const_GLshort___GENPT__
#define glMultiTexCoord3d_INDEX 266
#define glMultiTexCoord3d_RETURN void
#define glMultiTexCoord3d_ARG_NAMES target, s, t, r
#define glMultiTexCoord3d_ARG_EXPAND GLenum target, GLdouble s, GLdouble t, GLdouble r
#define glMultiTexCoord3d_PACKED PACKED_void_GLenum_GLdouble_GLdouble_GLdouble
#define glMultiTexCoord3d_INDEXED INDEXED_void_GLenum_GLdouble_GLdouble_GLdouble
#define glMultiTexCoord3d_FORMAT FORMAT_void_GLenum_GLdouble_GLdouble_GLdouble
#define glMultiTexCoord3dv_INDEX 267
#define glMultiTexCoord3dv_RETURN void
#define glMultiTexCoord3dv_ARG_NAMES target, v
#define glMultiTexCoord3dv_ARG_EXPAND GLenum target, const GLdouble * v
#define glMultiTexCoord3dv_PACKED PACKED_void_GLenum_const_GLdouble___GENPT__
#define glMultiTexCoord3dv_INDEXED INDEXED_void_GLenum_const_GLdouble___GENPT__
#define glMultiTexCoord3dv_FORMAT FORMAT_void_GLenum_const_GLdouble___GENPT__
#define glMultiTexCoord3f_INDEX 268
#define glMultiTexCoord3f_RETURN void
#define glMultiTexCoord3f_ARG_NAMES target, s, t, r
#define glMultiTexCoord3f_ARG_EXPAND GLenum target, GLfloat s, GLfloat t, GLfloat r
#define glMultiTexCoord3f_PACKED PACKED_void_GLenum_GLfloat_GLfloat_GLfloat
#define glMultiTexCoord3f_INDEXED INDEXED_void_GLenum_GLfloat_GLfloat_GLfloat
#define glMultiTexCoord3f_FORMAT FORMAT_void_GLenum_GLfloat_GLfloat_GLfloat
#define glMultiTexCoord3fv_INDEX 269
#define glMultiTexCoord3fv_RETURN void
#define glMultiTexCoord3fv_ARG_NAMES target, v
#define glMultiTexCoord3fv_ARG_EXPAND GLenum target, const GLfloat * v
#define glMultiTexCoord3fv_PACKED PACKED_void_GLenum_const_GLfloat___GENPT__
#define glMultiTexCoord3fv_INDEXED INDEXED_void_GLenum_const_GLfloat___GENPT__
#define glMultiTexCoord3fv_FORMAT FORMAT_void_GLenum_const_GLfloat___GENPT__
#define glMultiTexCoord3i_INDEX 270
#define glMultiTexCoord3i_RETURN void
#define glMultiTexCoord3i_ARG_NAMES target, s, t, r
#define glMultiTexCoord3i_ARG_EXPAND GLenum target, GLint s, GLint t, GLint r
#define glMultiTexCoord3i_PACKED PACKED_void_GLenum_GLint_GLint_GLint
#define glMultiTexCoord3i_INDEXED INDEXED_void_GLenum_GLint_GLint_GLint
#define glMultiTexCoord3i_FORMAT FORMAT_void_GLenum_GLint_GLint_GLint
#define glMultiTexCoord3iv_INDEX 271
#define glMultiTexCoord3iv_RETURN void
#define glMultiTexCoord3iv_ARG_NAMES target, v
#define glMultiTexCoord3iv_ARG_EXPAND GLenum target, const GLint * v
#define glMultiTexCoord3iv_PACKED PACKED_void_GLenum_const_GLint___GENPT__
#define glMultiTexCoord3iv_INDEXED INDEXED_void_GLenum_const_GLint___GENPT__
#define glMultiTexCoord3iv_FORMAT FORMAT_void_GLenum_const_GLint___GENPT__
#define glMultiTexCoord3s_INDEX 272
#define glMultiTexCoord3s_RETURN void
#define glMultiTexCoord3s_ARG_NAMES target, s, t, r
#define glMultiTexCoord3s_ARG_EXPAND GLenum target, GLshort s, GLshort t, GLshort r
#define glMultiTexCoord3s_PACKED PACKED_void_GLenum_GLshort_GLshort_GLshort
#define glMultiTexCoord3s_INDEXED INDEXED_void_GLenum_GLshort_GLshort_GLshort
#define glMultiTexCoord3s_FORMAT FORMAT_void_GLenum_GLshort_GLshort_GLshort
#define glMultiTexCoord3sv_INDEX 273
#define glMultiTexCoord3sv_RETURN void
#define glMultiTexCoord3sv_ARG_NAMES target, v
#define glMultiTexCoord3sv_ARG_EXPAND GLenum target, const GLshort * v
#define glMultiTexCoord3sv_PACKED PACKED_void_GLenum_const_GLshort___GENPT__
#define glMultiTexCoord3sv_INDEXED INDEXED_void_GLenum_const_GLshort___GENPT__
#define glMultiTexCoord3sv_FORMAT FORMAT_void_GLenum_const_GLshort___GENPT__
#define glMultiTexCoord4d_INDEX 274
#define glMultiTexCoord4d_RETURN void
#define glMultiTexCoord4d_ARG_NAMES target, s, t, r, q
#define glMultiTexCoord4d_ARG_EXPAND GLenum target, GLdouble s, GLdouble t, GLdouble r, GLdouble q
#define glMultiTexCoord4d_PACKED PACKED_void_GLenum_GLdouble_GLdouble_GLdouble_GLdouble
#define glMultiTexCoord4d_INDEXED INDEXED_void_GLenum_GLdouble_GLdouble_GLdouble_GLdouble
#define glMultiTexCoord4d_FORMAT FORMAT_void_GLenum_GLdouble_GLdouble_GLdouble_GLdouble
#define glMultiTexCoord4dv_INDEX 275
#define glMultiTexCoord4dv_RETURN void
#define glMultiTexCoord4dv_ARG_NAMES target, v
#define glMultiTexCoord4dv_ARG_EXPAND GLenum target, const GLdouble * v
#define glMultiTexCoord4dv_PACKED PACKED_void_GLenum_const_GLdouble___GENPT__
#define glMultiTexCoord4dv_INDEXED INDEXED_void_GLenum_const_GLdouble___GENPT__
#define glMultiTexCoord4dv_FORMAT FORMAT_void_GLenum_const_GLdouble___GENPT__
#define glMultiTexCoord4f_INDEX 276
#define glMultiTexCoord4f_RETURN void
#define glMultiTexCoord4f_ARG_NAMES target, s, t, r, q
#define glMultiTexCoord4f_ARG_EXPAND GLenum target, GLfloat s, GLfloat t, GLfloat r, GLfloat q
#define glMultiTexCoord4f_PACKED PACKED_void_GLenum_GLfloat_GLfloat_GLfloat_GLfloat
#define glMultiTexCoord4f_INDEXED INDEXED_void_GLenum_GLfloat_GLfloat_GLfloat_GLfloat
#define glMultiTexCoord4f_FORMAT FORMAT_void_GLenum_GLfloat_GLfloat_GLfloat_GLfloat
#define glMultiTexCoord4fv_INDEX 277
#define glMultiTexCoord4fv_RETURN void
#define glMultiTexCoord4fv_ARG_NAMES target, v
#define glMultiTexCoord4fv_ARG_EXPAND GLenum target, const GLfloat * v
#define glMultiTexCoord4fv_PACKED PACKED_void_GLenum_const_GLfloat___GENPT__
#define glMultiTexCoord4fv_INDEXED INDEXED_void_GLenum_const_GLfloat___GENPT__
#define glMultiTexCoord4fv_FORMAT FORMAT_void_GLenum_const_GLfloat___GENPT__
#define glMultiTexCoord4i_INDEX 278
#define glMultiTexCoord4i_RETURN void
#define glMultiTexCoord4i_ARG_NAMES target, s, t, r, q
#define glMultiTexCoord4i_ARG_EXPAND GLenum target, GLint s, GLint t, GLint r, GLint q
#define glMultiTexCoord4i_PACKED PACKED_void_GLenum_GLint_GLint_GLint_GLint
#define glMultiTexCoord4i_INDEXED INDEXED_void_GLenum_GLint_GLint_GLint_GLint
#define glMultiTexCoord4i_FORMAT FORMAT_void_GLenum_GLint_GLint_GLint_GLint
#define glMultiTexCoord4iv_INDEX 279
#define glMultiTexCoord4iv_RETURN void
#define glMultiTexCoord4iv_ARG_NAMES target, v
#define glMultiTexCoord4iv_ARG_EXPAND GLenum target, const GLint * v
#define glMultiTexCoord4iv_PACKED PACKED_void_GLenum_const_GLint___GENPT__
#define glMultiTexCoord4iv_INDEXED INDEXED_void_GLenum_const_GLint___GENPT__
#define glMultiTexCoord4iv_FORMAT FORMAT_void_GLenum_const_GLint___GENPT__
#define glMultiTexCoord4s_INDEX 280
#define glMultiTexCoord4s_RETURN void
#define glMultiTexCoord4s_ARG_NAMES target, s, t, r, q
#define glMultiTexCoord4s_ARG_EXPAND GLenum target, GLshort s, GLshort t, GLshort r, GLshort q
#define glMultiTexCoord4s_PACKED PACKED_void_GLenum_GLshort_GLshort_GLshort_GLshort
#define glMultiTexCoord4s_INDEXED INDEXED_void_GLenum_GLshort_GLshort_GLshort_GLshort
#define glMultiTexCoord4s_FORMAT FORMAT_void_GLenum_GLshort_GLshort_GLshort_GLshort
#define glMultiTexCoord4sv_INDEX 281
#define glMultiTexCoord4sv_RETURN void
#define glMultiTexCoord4sv_ARG_NAMES target, v
#define glMultiTexCoord4sv_ARG_EXPAND GLenum target, const GLshort * v
#define glMultiTexCoord4sv_PACKED PACKED_void_GLenum_const_GLshort___GENPT__
#define glMultiTexCoord4sv_INDEXED INDEXED_void_GLenum_const_GLshort___GENPT__
#define glMultiTexCoord4sv_FORMAT FORMAT_void_GLenum_const_GLshort___GENPT__
#define glNewList_INDEX 282
#define glNewList_RETURN void
#define glNewList_ARG_NAMES list, mode
#define glNewList_ARG_EXPAND GLuint list, GLenum mode
#define glNewList_PACKED PACKED_void_GLuint_GLenum
#define glNewList_INDEXED INDEXED_void_GLuint_GLenum
#define glNewList_FORMAT FORMAT_void_GLuint_GLenum
#define glNormal3b_INDEX 283
#define glNormal3b_RETURN void
#define glNormal3b_ARG_NAMES nx, ny, nz
#define glNormal3b_ARG_EXPAND GLbyte nx, GLbyte ny, GLbyte nz
#define glNormal3b_PACKED PACKED_void_GLbyte_GLbyte_GLbyte
#define glNormal3b_INDEXED INDEXED_void_GLbyte_GLbyte_GLbyte
#define glNormal3b_FORMAT FORMAT_void_GLbyte_GLbyte_GLbyte
#define glNormal3bv_INDEX 284
#define glNormal3bv_RETURN void
#define glNormal3bv_ARG_NAMES v
#define glNormal3bv_ARG_EXPAND const GLbyte * v
#define glNormal3bv_PACKED PACKED_void_const_GLbyte___GENPT__
#define glNormal3bv_INDEXED INDEXED_void_const_GLbyte___GENPT__
#define glNormal3bv_FORMAT FORMAT_void_const_GLbyte___GENPT__
#define glNormal3d_INDEX 285
#define glNormal3d_RETURN void
#define glNormal3d_ARG_NAMES nx, ny, nz
#define glNormal3d_ARG_EXPAND GLdouble nx, GLdouble ny, GLdouble nz
#define glNormal3d_PACKED PACKED_void_GLdouble_GLdouble_GLdouble
#define glNormal3d_INDEXED INDEXED_void_GLdouble_GLdouble_GLdouble
#define glNormal3d_FORMAT FORMAT_void_GLdouble_GLdouble_GLdouble
#define glNormal3dv_INDEX 286
#define glNormal3dv_RETURN void
#define glNormal3dv_ARG_NAMES v
#define glNormal3dv_ARG_EXPAND const GLdouble * v
#define glNormal3dv_PACKED PACKED_void_const_GLdouble___GENPT__
#define glNormal3dv_INDEXED INDEXED_void_const_GLdouble___GENPT__
#define glNormal3dv_FORMAT FORMAT_void_const_GLdouble___GENPT__
#define glNormal3f_INDEX 287
#define glNormal3f_RETURN void
#define glNormal3f_ARG_NAMES nx, ny, nz
#define glNormal3f_ARG_EXPAND GLfloat nx, GLfloat ny, GLfloat nz
#define glNormal3f_PACKED PACKED_void_GLfloat_GLfloat_GLfloat
#define glNormal3f_INDEXED INDEXED_void_GLfloat_GLfloat_GLfloat
#define glNormal3f_FORMAT FORMAT_void_GLfloat_GLfloat_GLfloat
#define glNormal3fv_INDEX 288
#define glNormal3fv_RETURN void
#define glNormal3fv_ARG_NAMES v
#define glNormal3fv_ARG_EXPAND const GLfloat * v
#define glNormal3fv_PACKED PACKED_void_const_GLfloat___GENPT__
#define glNormal3fv_INDEXED INDEXED_void_const_GLfloat___GENPT__
#define glNormal3fv_FORMAT FORMAT_void_const_GLfloat___GENPT__
#define glNormal3i_INDEX 289
#define glNormal3i_RETURN void
#define glNormal3i_ARG_NAMES nx, ny, nz
#define glNormal3i_ARG_EXPAND GLint nx, GLint ny, GLint nz
#define glNormal3i_PACKED PACKED_void_GLint_GLint_GLint
#define glNormal3i_INDEXED INDEXED_void_GLint_GLint_GLint
#define glNormal3i_FORMAT FORMAT_void_GLint_GLint_GLint
#define glNormal3iv_INDEX 290
#define glNormal3iv_RETURN void
#define glNormal3iv_ARG_NAMES v
#define glNormal3iv_ARG_EXPAND const GLint * v
#define glNormal3iv_PACKED PACKED_void_const_GLint___GENPT__
#define glNormal3iv_INDEXED INDEXED_void_const_GLint___GENPT__
#define glNormal3iv_FORMAT FORMAT_void_const_GLint___GENPT__
#define glNormal3s_INDEX 291
#define glNormal3s_RETURN void
#define glNormal3s_ARG_NAMES nx, ny, nz
#define glNormal3s_ARG_EXPAND GLshort nx, GLshort ny, GLshort nz
#define glNormal3s_PACKED PACKED_void_GLshort_GLshort_GLshort
#define glNormal3s_INDEXED INDEXED_void_GLshort_GLshort_GLshort
#define glNormal3s_FORMAT FORMAT_void_GLshort_GLshort_GLshort
#define glNormal3sv_INDEX 292
#define glNormal3sv_RETURN void
#define glNormal3sv_ARG_NAMES v
#define glNormal3sv_ARG_EXPAND const GLshort * v
#define glNormal3sv_PACKED PACKED_void_const_GLshort___GENPT__
#define glNormal3sv_INDEXED INDEXED_void_const_GLshort___GENPT__
#define glNormal3sv_FORMAT FORMAT_void_const_GLshort___GENPT__
#define glNormalPointer_INDEX 293
#define glNormalPointer_RETURN void
#define glNormalPointer_ARG_NAMES type, stride, pointer
#define glNormalPointer_ARG_EXPAND GLenum type, GLsizei stride, const GLvoid * pointer
#define glNormalPointer_PACKED PACKED_void_GLenum_GLsizei_const_GLvoid___GENPT__
#define glNormalPointer_INDEXED INDEXED_void_GLenum_GLsizei_const_GLvoid___GENPT__
#define glNormalPointer_FORMAT FORMAT_void_GLenum_GLsizei_const_GLvoid___GENPT__
#define glOrtho_INDEX 294
#define glOrtho_RETURN void
#define glOrtho_ARG_NAMES left, right, bottom, top, zNear, zFar
#define glOrtho_ARG_EXPAND GLdouble left, GLdouble right, GLdouble bottom, GLdouble top, GLdouble zNear, GLdouble zFar
#define glOrtho_PACKED PACKED_void_GLdouble_GLdouble_GLdouble_GLdouble_GLdouble_GLdouble
#define glOrtho_INDEXED INDEXED_void_GLdouble_GLdouble_GLdouble_GLdouble_GLdouble_GLdouble
#define glOrtho_FORMAT FORMAT_void_GLdouble_GLdouble_GLdouble_GLdouble_GLdouble_GLdouble
#define glPassThrough_INDEX 295
#define glPassThrough_RETURN void
#define glPassThrough_ARG_NAMES token
#define glPassThrough_ARG_EXPAND GLfloat token
#define glPassThrough_PACKED PACKED_void_GLfloat
#define glPassThrough_INDEXED INDEXED_void_GLfloat
#define glPassThrough_FORMAT FORMAT_void_GLfloat
#define glPixelMapfv_INDEX 296
#define glPixelMapfv_RETURN void
#define glPixelMapfv_ARG_NAMES map, mapsize, values
#define glPixelMapfv_ARG_EXPAND GLenum map, GLsizei mapsize, const GLfloat * values
#define glPixelMapfv_PACKED PACKED_void_GLenum_GLsizei_const_GLfloat___GENPT__
#define glPixelMapfv_INDEXED INDEXED_void_GLenum_GLsizei_const_GLfloat___GENPT__
#define glPixelMapfv_FORMAT FORMAT_void_GLenum_GLsizei_const_GLfloat___GENPT__
#define glPixelMapuiv_INDEX 297
#define glPixelMapuiv_RETURN void
#define glPixelMapuiv_ARG_NAMES map, mapsize, values
#define glPixelMapuiv_ARG_EXPAND GLenum map, GLsizei mapsize, const GLuint * values
#define glPixelMapuiv_PACKED PACKED_void_GLenum_GLsizei_const_GLuint___GENPT__
#define glPixelMapuiv_INDEXED INDEXED_void_GLenum_GLsizei_const_GLuint___GENPT__
#define glPixelMapuiv_FORMAT FORMAT_void_GLenum_GLsizei_const_GLuint___GENPT__
#define glPixelMapusv_INDEX 298
#define glPixelMapusv_RETURN void
#define glPixelMapusv_ARG_NAMES map, mapsize, values
#define glPixelMapusv_ARG_EXPAND GLenum map, GLsizei mapsize, const GLushort * values
#define glPixelMapusv_PACKED PACKED_void_GLenum_GLsizei_const_GLushort___GENPT__
#define glPixelMapusv_INDEXED INDEXED_void_GLenum_GLsizei_const_GLushort___GENPT__
#define glPixelMapusv_FORMAT FORMAT_void_GLenum_GLsizei_const_GLushort___GENPT__
#define glPixelStoref_INDEX 299
#define glPixelStoref_RETURN void
#define glPixelStoref_ARG_NAMES pname, param
#define glPixelStoref_ARG_EXPAND GLenum pname, GLfloat param
#define glPixelStoref_PACKED PACKED_void_GLenum_GLfloat
#define glPixelStoref_INDEXED INDEXED_void_GLenum_GLfloat
#define glPixelStoref_FORMAT FORMAT_void_GLenum_GLfloat
#define glPixelStorei_INDEX 300
#define glPixelStorei_RETURN void
#define glPixelStorei_ARG_NAMES pname, param
#define glPixelStorei_ARG_EXPAND GLenum pname, GLint param
#define glPixelStorei_PACKED PACKED_void_GLenum_GLint
#define glPixelStorei_INDEXED INDEXED_void_GLenum_GLint
#define glPixelStorei_FORMAT FORMAT_void_GLenum_GLint
#define glPixelTransferf_INDEX 301
#define glPixelTransferf_RETURN void
#define glPixelTransferf_ARG_NAMES pname, param
#define glPixelTransferf_ARG_EXPAND GLenum pname, GLfloat param
#define glPixelTransferf_PACKED PACKED_void_GLenum_GLfloat
#define glPixelTransferf_INDEXED INDEXED_void_GLenum_GLfloat
#define glPixelTransferf_FORMAT FORMAT_void_GLenum_GLfloat
#define glPixelTransferi_INDEX 302
#define glPixelTransferi_RETURN void
#define glPixelTransferi_ARG_NAMES pname, param
#define glPixelTransferi_ARG_EXPAND GLenum pname, GLint param
#define glPixelTransferi_PACKED PACKED_void_GLenum_GLint
#define glPixelTransferi_INDEXED INDEXED_void_GLenum_GLint
#define glPixelTransferi_FORMAT FORMAT_void_GLenum_GLint
#define glPixelZoom_INDEX 303
#define glPixelZoom_RETURN void
#define glPixelZoom_ARG_NAMES xfactor, yfactor
#define glPixelZoom_ARG_EXPAND GLfloat xfactor, GLfloat yfactor
#define glPixelZoom_PACKED PACKED_void_GLfloat_GLfloat
#define glPixelZoom_INDEXED INDEXED_void_GLfloat_GLfloat
#define glPixelZoom_FORMAT FORMAT_void_GLfloat_GLfloat
#define glPointParameterf_INDEX 304
#define glPointParameterf_RETURN void
#define glPointParameterf_ARG_NAMES pname, param
#define glPointParameterf_ARG_EXPAND GLenum pname, GLfloat param
#define glPointParameterf_PACKED PACKED_void_GLenum_GLfloat
#define glPointParameterf_INDEXED INDEXED_void_GLenum_GLfloat
#define glPointParameterf_FORMAT FORMAT_void_GLenum_GLfloat
#define glPointParameterfv_INDEX 305
#define glPointParameterfv_RETURN void
#define glPointParameterfv_ARG_NAMES pname, params
#define glPointParameterfv_ARG_EXPAND GLenum pname, const GLfloat * params
#define glPointParameterfv_PACKED PACKED_void_GLenum_const_GLfloat___GENPT__
#define glPointParameterfv_INDEXED INDEXED_void_GLenum_const_GLfloat___GENPT__
#define glPointParameterfv_FORMAT FORMAT_void_GLenum_const_GLfloat___GENPT__
#define glPointParameteri_INDEX 306
#define glPointParameteri_RETURN void
#define glPointParameteri_ARG_NAMES pname, param
#define glPointParameteri_ARG_EXPAND GLenum pname, GLint param
#define glPointParameteri_PACKED PACKED_void_GLenum_GLint
#define glPointParameteri_INDEXED INDEXED_void_GLenum_GLint
#define glPointParameteri_FORMAT FORMAT_void_GLenum_GLint
#define glPointParameteriv_INDEX 307
#define glPointParameteriv_RETURN void
#define glPointParameteriv_ARG_NAMES pname, params
#define glPointParameteriv_ARG_EXPAND GLenum pname, const GLint * params
#define glPointParameteriv_PACKED PACKED_void_GLenum_const_GLint___GENPT__
#define glPointParameteriv_INDEXED INDEXED_void_GLenum_const_GLint___GENPT__
#define glPointParameteriv_FORMAT FORMAT_void_GLenum_const_GLint___GENPT__
#define glPointSize_INDEX 308
#define glPointSize_RETURN void
#define glPointSize_ARG_NAMES size
#define glPointSize_ARG_EXPAND GLfloat size
#define glPointSize_PACKED PACKED_void_GLfloat
#define glPointSize_INDEXED INDEXED_void_GLfloat
#define glPointSize_FORMAT FORMAT_void_GLfloat
#define glPolygonMode_INDEX 309
#define glPolygonMode_RETURN void
#define glPolygonMode_ARG_NAMES face, mode
#define glPolygonMode_ARG_EXPAND GLenum face, GLenum mode
#define glPolygonMode_PACKED PACKED_void_GLenum_GLenum
#define glPolygonMode_INDEXED INDEXED_void_GLenum_GLenum
#define glPolygonMode_FORMAT FORMAT_void_GLenum_GLenum
#define glPolygonOffset_INDEX 310
#define glPolygonOffset_RETURN void
#define glPolygonOffset_ARG_NAMES factor, units
#define glPolygonOffset_ARG_EXPAND GLfloat factor, GLfloat units
#define glPolygonOffset_PACKED PACKED_void_GLfloat_GLfloat
#define glPolygonOffset_INDEXED INDEXED_void_GLfloat_GLfloat
#define glPolygonOffset_FORMAT FORMAT_void_GLfloat_GLfloat
#define glPolygonStipple_INDEX 311
#define glPolygonStipple_RETURN void
#define glPolygonStipple_ARG_NAMES mask
#define glPolygonStipple_ARG_EXPAND const GLubyte * mask
#define glPolygonStipple_PACKED PACKED_void_const_GLubyte___GENPT__
#define glPolygonStipple_INDEXED INDEXED_void_const_GLubyte___GENPT__
#define glPolygonStipple_FORMAT FORMAT_void_const_GLubyte___GENPT__
#define glPopAttrib_INDEX 312
#define glPopAttrib_RETURN void
#define glPopAttrib_ARG_NAMES 
#define glPopAttrib_ARG_EXPAND 
#define glPopAttrib_PACKED PACKED_void
#define glPopAttrib_INDEXED INDEXED_void
#define glPopAttrib_FORMAT FORMAT_void
#define glPopClientAttrib_INDEX 313
#define glPopClientAttrib_RETURN void
#define glPopClientAttrib_ARG_NAMES 
#define glPopClientAttrib_ARG_EXPAND 
#define glPopClientAttrib_PACKED PACKED_void
#define glPopClientAttrib_INDEXED INDEXED_void
#define glPopClientAttrib_FORMAT FORMAT_void
#define glPopMatrix_INDEX 314
#define glPopMatrix_RETURN void
#define glPopMatrix_ARG_NAMES 
#define glPopMatrix_ARG_EXPAND 
#define glPopMatrix_PACKED PACKED_void
#define glPopMatrix_INDEXED INDEXED_void
#define glPopMatrix_FORMAT FORMAT_void
#define glPopName_INDEX 315
#define glPopName_RETURN void
#define glPopName_ARG_NAMES 
#define glPopName_ARG_EXPAND 
#define glPopName_PACKED PACKED_void
#define glPopName_INDEXED INDEXED_void
#define glPopName_FORMAT FORMAT_void
#define glPrioritizeTextures_INDEX 316
#define glPrioritizeTextures_RETURN void
#define glPrioritizeTextures_ARG_NAMES n, textures, priorities
#define glPrioritizeTextures_ARG_EXPAND GLsizei n, const GLuint * textures, const GLfloat * priorities
#define glPrioritizeTextures_PACKED PACKED_void_GLsizei_const_GLuint___GENPT___const_GLfloat___GENPT__
#define glPrioritizeTextures_INDEXED INDEXED_void_GLsizei_const_GLuint___GENPT___const_GLfloat___GENPT__
#define glPrioritizeTextures_FORMAT FORMAT_void_GLsizei_const_GLuint___GENPT___const_GLfloat___GENPT__
#define glPushAttrib_INDEX 317
#define glPushAttrib_RETURN void
#define glPushAttrib_ARG_NAMES mask
#define glPushAttrib_ARG_EXPAND GLbitfield mask
#define glPushAttrib_PACKED PACKED_void_GLbitfield
#define glPushAttrib_INDEXED INDEXED_void_GLbitfield
#define glPushAttrib_FORMAT FORMAT_void_GLbitfield
#define glPushClientAttrib_INDEX 318
#define glPushClientAttrib_RETURN void
#define glPushClientAttrib_ARG_NAMES mask
#define glPushClientAttrib_ARG_EXPAND GLbitfield mask
#define glPushClientAttrib_PACKED PACKED_void_GLbitfield
#define glPushClientAttrib_INDEXED INDEXED_void_GLbitfield
#define glPushClientAttrib_FORMAT FORMAT_void_GLbitfield
#define glPushMatrix_INDEX 319
#define glPushMatrix_RETURN void
#define glPushMatrix_ARG_NAMES 
#define glPushMatrix_ARG_EXPAND 
#define glPushMatrix_PACKED PACKED_void
#define glPushMatrix_INDEXED INDEXED_void
#define glPushMatrix_FORMAT FORMAT_void
#define glPushName_INDEX 320
#define glPushName_RETURN void
#define glPushName_ARG_NAMES name
#define glPushName_ARG_EXPAND GLuint name
#define glPushName_PACKED PACKED_void_GLuint
#define glPushName_INDEXED INDEXED_void_GLuint
#define glPushName_FORMAT FORMAT_void_GLuint
#define glRasterPos2d_INDEX 321
#define glRasterPos2d_RETURN void
#define glRasterPos2d_ARG_NAMES x, y
#define glRasterPos2d_ARG_EXPAND GLdouble x, GLdouble y
#define glRasterPos2d_PACKED PACKED_void_GLdouble_GLdouble
#define glRasterPos2d_INDEXED INDEXED_void_GLdouble_GLdouble
#define glRasterPos2d_FORMAT FORMAT_void_GLdouble_GLdouble
#define glRasterPos2dv_INDEX 322
#define glRasterPos2dv_RETURN void
#define glRasterPos2dv_ARG_NAMES v
#define glRasterPos2dv_ARG_EXPAND const GLdouble * v
#define glRasterPos2dv_PACKED PACKED_void_const_GLdouble___GENPT__
#define glRasterPos2dv_INDEXED INDEXED_void_const_GLdouble___GENPT__
#define glRasterPos2dv_FORMAT FORMAT_void_const_GLdouble___GENPT__
#define glRasterPos2f_INDEX 323
#define glRasterPos2f_RETURN void
#define glRasterPos2f_ARG_NAMES x, y
#define glRasterPos2f_ARG_EXPAND GLfloat x, GLfloat y
#define glRasterPos2f_PACKED PACKED_void_GLfloat_GLfloat
#define glRasterPos2f_INDEXED INDEXED_void_GLfloat_GLfloat
#define glRasterPos2f_FORMAT FORMAT_void_GLfloat_GLfloat
#define glRasterPos2fv_INDEX 324
#define glRasterPos2fv_RETURN void
#define glRasterPos2fv_ARG_NAMES v
#define glRasterPos2fv_ARG_EXPAND const GLfloat * v
#define glRasterPos2fv_PACKED PACKED_void_const_GLfloat___GENPT__
#define glRasterPos2fv_INDEXED INDEXED_void_const_GLfloat___GENPT__
#define glRasterPos2fv_FORMAT FORMAT_void_const_GLfloat___GENPT__
#define glRasterPos2i_INDEX 325
#define glRasterPos2i_RETURN void
#define glRasterPos2i_ARG_NAMES x, y
#define glRasterPos2i_ARG_EXPAND GLint x, GLint y
#define glRasterPos2i_PACKED PACKED_void_GLint_GLint
#define glRasterPos2i_INDEXED INDEXED_void_GLint_GLint
#define glRasterPos2i_FORMAT FORMAT_void_GLint_GLint
#define glRasterPos2iv_INDEX 326
#define glRasterPos2iv_RETURN void
#define glRasterPos2iv_ARG_NAMES v
#define glRasterPos2iv_ARG_EXPAND const GLint * v
#define glRasterPos2iv_PACKED PACKED_void_const_GLint___GENPT__
#define glRasterPos2iv_INDEXED INDEXED_void_const_GLint___GENPT__
#define glRasterPos2iv_FORMAT FORMAT_void_const_GLint___GENPT__
#define glRasterPos2s_INDEX 327
#define glRasterPos2s_RETURN void
#define glRasterPos2s_ARG_NAMES x, y
#define glRasterPos2s_ARG_EXPAND GLshort x, GLshort y
#define glRasterPos2s_PACKED PACKED_void_GLshort_GLshort
#define glRasterPos2s_INDEXED INDEXED_void_GLshort_GLshort
#define glRasterPos2s_FORMAT FORMAT_void_GLshort_GLshort
#define glRasterPos2sv_INDEX 328
#define glRasterPos2sv_RETURN void
#define glRasterPos2sv_ARG_NAMES v
#define glRasterPos2sv_ARG_EXPAND const GLshort * v
#define glRasterPos2sv_PACKED PACKED_void_const_GLshort___GENPT__
#define glRasterPos2sv_INDEXED INDEXED_void_const_GLshort___GENPT__
#define glRasterPos2sv_FORMAT FORMAT_void_const_GLshort___GENPT__
#define glRasterPos3d_INDEX 329
#define glRasterPos3d_RETURN void
#define glRasterPos3d_ARG_NAMES x, y, z
#define glRasterPos3d_ARG_EXPAND GLdouble x, GLdouble y, GLdouble z
#define glRasterPos3d_PACKED PACKED_void_GLdouble_GLdouble_GLdouble
#define glRasterPos3d_INDEXED INDEXED_void_GLdouble_GLdouble_GLdouble
#define glRasterPos3d_FORMAT FORMAT_void_GLdouble_GLdouble_GLdouble
#define glRasterPos3dv_INDEX 330
#define glRasterPos3dv_RETURN void
#define glRasterPos3dv_ARG_NAMES v
#define glRasterPos3dv_ARG_EXPAND const GLdouble * v
#define glRasterPos3dv_PACKED PACKED_void_const_GLdouble___GENPT__
#define glRasterPos3dv_INDEXED INDEXED_void_const_GLdouble___GENPT__
#define glRasterPos3dv_FORMAT FORMAT_void_const_GLdouble___GENPT__
#define glRasterPos3f_INDEX 331
#define glRasterPos3f_RETURN void
#define glRasterPos3f_ARG_NAMES x, y, z
#define glRasterPos3f_ARG_EXPAND GLfloat x, GLfloat y, GLfloat z
#define glRasterPos3f_PACKED PACKED_void_GLfloat_GLfloat_GLfloat
#define glRasterPos3f_INDEXED INDEXED_void_GLfloat_GLfloat_GLfloat
#define glRasterPos3f_FORMAT FORMAT_void_GLfloat_GLfloat_GLfloat
#define glRasterPos3fv_INDEX 332
#define glRasterPos3fv_RETURN void
#define glRasterPos3fv_ARG_NAMES v
#define glRasterPos3fv_ARG_EXPAND const GLfloat * v
#define glRasterPos3fv_PACKED PACKED_void_const_GLfloat___GENPT__
#define glRasterPos3fv_INDEXED INDEXED_void_const_GLfloat___GENPT__
#define glRasterPos3fv_FORMAT FORMAT_void_const_GLfloat___GENPT__
#define glRasterPos3i_INDEX 333
#define glRasterPos3i_RETURN void
#define glRasterPos3i_ARG_NAMES x, y, z
#define glRasterPos3i_ARG_EXPAND GLint x, GLint y, GLint z
#define glRasterPos3i_PACKED PACKED_void_GLint_GLint_GLint
#define glRasterPos3i_INDEXED INDEXED_void_GLint_GLint_GLint
#define glRasterPos3i_FORMAT FORMAT_void_GLint_GLint_GLint
#define glRasterPos3iv_INDEX 334
#define glRasterPos3iv_RETURN void
#define glRasterPos3iv_ARG_NAMES v
#define glRasterPos3iv_ARG_EXPAND const GLint * v
#define glRasterPos3iv_PACKED PACKED_void_const_GLint___GENPT__
#define glRasterPos3iv_INDEXED INDEXED_void_const_GLint___GENPT__
#define glRasterPos3iv_FORMAT FORMAT_void_const_GLint___GENPT__
#define glRasterPos3s_INDEX 335
#define glRasterPos3s_RETURN void
#define glRasterPos3s_ARG_NAMES x, y, z
#define glRasterPos3s_ARG_EXPAND GLshort x, GLshort y, GLshort z
#define glRasterPos3s_PACKED PACKED_void_GLshort_GLshort_GLshort
#define glRasterPos3s_INDEXED INDEXED_void_GLshort_GLshort_GLshort
#define glRasterPos3s_FORMAT FORMAT_void_GLshort_GLshort_GLshort
#define glRasterPos3sv_INDEX 336
#define glRasterPos3sv_RETURN void
#define glRasterPos3sv_ARG_NAMES v
#define glRasterPos3sv_ARG_EXPAND const GLshort * v
#define glRasterPos3sv_PACKED PACKED_void_const_GLshort___GENPT__
#define glRasterPos3sv_INDEXED INDEXED_void_const_GLshort___GENPT__
#define glRasterPos3sv_FORMAT FORMAT_void_const_GLshort___GENPT__
#define glRasterPos4d_INDEX 337
#define glRasterPos4d_RETURN void
#define glRasterPos4d_ARG_NAMES x, y, z, w
#define glRasterPos4d_ARG_EXPAND GLdouble x, GLdouble y, GLdouble z, GLdouble w
#define glRasterPos4d_PACKED PACKED_void_GLdouble_GLdouble_GLdouble_GLdouble
#define glRasterPos4d_INDEXED INDEXED_void_GLdouble_GLdouble_GLdouble_GLdouble
#define glRasterPos4d_FORMAT FORMAT_void_GLdouble_GLdouble_GLdouble_GLdouble
#define glRasterPos4dv_INDEX 338
#define glRasterPos4dv_RETURN void
#define glRasterPos4dv_ARG_NAMES v
#define glRasterPos4dv_ARG_EXPAND const GLdouble * v
#define glRasterPos4dv_PACKED PACKED_void_const_GLdouble___GENPT__
#define glRasterPos4dv_INDEXED INDEXED_void_const_GLdouble___GENPT__
#define glRasterPos4dv_FORMAT FORMAT_void_const_GLdouble___GENPT__
#define glRasterPos4f_INDEX 339
#define glRasterPos4f_RETURN void
#define glRasterPos4f_ARG_NAMES x, y, z, w
#define glRasterPos4f_ARG_EXPAND GLfloat x, GLfloat y, GLfloat z, GLfloat w
#define glRasterPos4f_PACKED PACKED_void_GLfloat_GLfloat_GLfloat_GLfloat
#define glRasterPos4f_INDEXED INDEXED_void_GLfloat_GLfloat_GLfloat_GLfloat
#define glRasterPos4f_FORMAT FORMAT_void_GLfloat_GLfloat_GLfloat_GLfloat
#define glRasterPos4fv_INDEX 340
#define glRasterPos4fv_RETURN void
#define glRasterPos4fv_ARG_NAMES v
#define glRasterPos4fv_ARG_EXPAND const GLfloat * v
#define glRasterPos4fv_PACKED PACKED_void_const_GLfloat___GENPT__
#define glRasterPos4fv_INDEXED INDEXED_void_const_GLfloat___GENPT__
#define glRasterPos4fv_FORMAT FORMAT_void_const_GLfloat___GENPT__
#define glRasterPos4i_INDEX 341
#define glRasterPos4i_RETURN void
#define glRasterPos4i_ARG_NAMES x, y, z, w
#define glRasterPos4i_ARG_EXPAND GLint x, GLint y, GLint z, GLint w
#define glRasterPos4i_PACKED PACKED_void_GLint_GLint_GLint_GLint
#define glRasterPos4i_INDEXED INDEXED_void_GLint_GLint_GLint_GLint
#define glRasterPos4i_FORMAT FORMAT_void_GLint_GLint_GLint_GLint
#define glRasterPos4iv_INDEX 342
#define glRasterPos4iv_RETURN void
#define glRasterPos4iv_ARG_NAMES v
#define glRasterPos4iv_ARG_EXPAND const GLint * v
#define glRasterPos4iv_PACKED PACKED_void_const_GLint___GENPT__
#define glRasterPos4iv_INDEXED INDEXED_void_const_GLint___GENPT__
#define glRasterPos4iv_FORMAT FORMAT_void_const_GLint___GENPT__
#define glRasterPos4s_INDEX 343
#define glRasterPos4s_RETURN void
#define glRasterPos4s_ARG_NAMES x, y, z, w
#define glRasterPos4s_ARG_EXPAND GLshort x, GLshort y, GLshort z, GLshort w
#define glRasterPos4s_PACKED PACKED_void_GLshort_GLshort_GLshort_GLshort
#define glRasterPos4s_INDEXED INDEXED_void_GLshort_GLshort_GLshort_GLshort
#define glRasterPos4s_FORMAT FORMAT_void_GLshort_GLshort_GLshort_GLshort
#define glRasterPos4sv_INDEX 344
#define glRasterPos4sv_RETURN void
#define glRasterPos4sv_ARG_NAMES v
#define glRasterPos4sv_ARG_EXPAND const GLshort * v
#define glRasterPos4sv_PACKED PACKED_void_const_GLshort___GENPT__
#define glRasterPos4sv_INDEXED INDEXED_void_const_GLshort___GENPT__
#define glRasterPos4sv_FORMAT FORMAT_void_const_GLshort___GENPT__
#define glReadBuffer_INDEX 345
#define glReadBuffer_RETURN void
#define glReadBuffer_ARG_NAMES mode
#define glReadBuffer_ARG_EXPAND GLenum mode
#define glReadBuffer_PACKED PACKED_void_GLenum
#define glReadBuffer_INDEXED INDEXED_void_GLenum
#define glReadBuffer_FORMAT FORMAT_void_GLenum
#define glReadPixels_INDEX 346
#define glReadPixels_RETURN void
#define glReadPixels_ARG_NAMES x, y, width, height, format, type, pixels
#define glReadPixels_ARG_EXPAND GLint x, GLint y, GLsizei width, GLsizei height, GLenum format, GLenum type, GLvoid * pixels
#define glReadPixels_PACKED PACKED_void_GLint_GLint_GLsizei_GLsizei_GLenum_GLenum_GLvoid___GENPT__
#define glReadPixels_INDEXED INDEXED_void_GLint_GLint_GLsizei_GLsizei_GLenum_GLenum_GLvoid___GENPT__
#define glReadPixels_FORMAT FORMAT_void_GLint_GLint_GLsizei_GLsizei_GLenum_GLenum_GLvoid___GENPT__
#define glRectd_INDEX 347
#define glRectd_RETURN void
#define glRectd_ARG_NAMES x1, y1, x2, y2
#define glRectd_ARG_EXPAND GLdouble x1, GLdouble y1, GLdouble x2, GLdouble y2
#define glRectd_PACKED PACKED_void_GLdouble_GLdouble_GLdouble_GLdouble
#define glRectd_INDEXED INDEXED_void_GLdouble_GLdouble_GLdouble_GLdouble
#define glRectd_FORMAT FORMAT_void_GLdouble_GLdouble_GLdouble_GLdouble
#define glRectdv_INDEX 348
#define glRectdv_RETURN void
#define glRectdv_ARG_NAMES v1, v2
#define glRectdv_ARG_EXPAND const GLdouble * v1, const GLdouble * v2
#define glRectdv_PACKED PACKED_void_const_GLdouble___GENPT___const_GLdouble___GENPT__
#define glRectdv_INDEXED INDEXED_void_const_GLdouble___GENPT___const_GLdouble___GENPT__
#define glRectdv_FORMAT FORMAT_void_const_GLdouble___GENPT___const_GLdouble___GENPT__
#define glRectf_INDEX 349
#define glRectf_RETURN void
#define glRectf_ARG_NAMES x1, y1, x2, y2
#define glRectf_ARG_EXPAND GLfloat x1, GLfloat y1, GLfloat x2, GLfloat y2
#define glRectf_PACKED PACKED_void_GLfloat_GLfloat_GLfloat_GLfloat
#define glRectf_INDEXED INDEXED_void_GLfloat_GLfloat_GLfloat_GLfloat
#define glRectf_FORMAT FORMAT_void_GLfloat_GLfloat_GLfloat_GLfloat
#define glRectfv_INDEX 350
#define glRectfv_RETURN void
#define glRectfv_ARG_NAMES v1, v2
#define glRectfv_ARG_EXPAND const GLfloat * v1, const GLfloat * v2
#define glRectfv_PACKED PACKED_void_const_GLfloat___GENPT___const_GLfloat___GENPT__
#define glRectfv_INDEXED INDEXED_void_const_GLfloat___GENPT___const_GLfloat___GENPT__
#define glRectfv_FORMAT FORMAT_void_const_GLfloat___GENPT___const_GLfloat___GENPT__
#define glRecti_INDEX 351
#define glRecti_RETURN void
#define glRecti_ARG_NAMES x1, y1, x2, y2
#define glRecti_ARG_EXPAND GLint x1, GLint y1, GLint x2, GLint y2
#define glRecti_PACKED PACKED_void_GLint_GLint_GLint_GLint
#define glRecti_INDEXED INDEXED_void_GLint_GLint_GLint_GLint
#define glRecti_FORMAT FORMAT_void_GLint_GLint_GLint_GLint
#define glRectiv_INDEX 352
#define glRectiv_RETURN void
#define glRectiv_ARG_NAMES v1, v2
#define glRectiv_ARG_EXPAND const GLint * v1, const GLint * v2
#define glRectiv_PACKED PACKED_void_const_GLint___GENPT___const_GLint___GENPT__
#define glRectiv_INDEXED INDEXED_void_const_GLint___GENPT___const_GLint___GENPT__
#define glRectiv_FORMAT FORMAT_void_const_GLint___GENPT___const_GLint___GENPT__
#define glRects_INDEX 353
#define glRects_RETURN void
#define glRects_ARG_NAMES x1, y1, x2, y2
#define glRects_ARG_EXPAND GLshort x1, GLshort y1, GLshort x2, GLshort y2
#define glRects_PACKED PACKED_void_GLshort_GLshort_GLshort_GLshort
#define glRects_INDEXED INDEXED_void_GLshort_GLshort_GLshort_GLshort
#define glRects_FORMAT FORMAT_void_GLshort_GLshort_GLshort_GLshort
#define glRectsv_INDEX 354
#define glRectsv_RETURN void
#define glRectsv_ARG_NAMES v1, v2
#define glRectsv_ARG_EXPAND const GLshort * v1, const GLshort * v2
#define glRectsv_PACKED PACKED_void_const_GLshort___GENPT___const_GLshort___GENPT__
#define glRectsv_INDEXED INDEXED_void_const_GLshort___GENPT___const_GLshort___GENPT__
#define glRectsv_FORMAT FORMAT_void_const_GLshort___GENPT___const_GLshort___GENPT__
#define glRenderMode_INDEX 355
#define glRenderMode_RETURN GLint
#define glRenderMode_ARG_NAMES mode
#define glRenderMode_ARG_EXPAND GLenum mode
#define glRenderMode_PACKED PACKED_GLint_GLenum
#define glRenderMode_INDEXED INDEXED_GLint_GLenum
#define glRenderMode_FORMAT FORMAT_GLint_GLenum
#define glResetHistogram_INDEX 356
#define glResetHistogram_RETURN void
#define glResetHistogram_ARG_NAMES target
#define glResetHistogram_ARG_EXPAND GLenum target
#define glResetHistogram_PACKED PACKED_void_GLenum
#define glResetHistogram_INDEXED INDEXED_void_GLenum
#define glResetHistogram_FORMAT FORMAT_void_GLenum
#define glResetMinmax_INDEX 357
#define glResetMinmax_RETURN void
#define glResetMinmax_ARG_NAMES target
#define glResetMinmax_ARG_EXPAND GLenum target
#define glResetMinmax_PACKED PACKED_void_GLenum
#define glResetMinmax_INDEXED INDEXED_void_GLenum
#define glResetMinmax_FORMAT FORMAT_void_GLenum
#define glRotated_INDEX 358
#define glRotated_RETURN void
#define glRotated_ARG_NAMES angle, x, y, z
#define glRotated_ARG_EXPAND GLdouble angle, GLdouble x, GLdouble y, GLdouble z
#define glRotated_PACKED PACKED_void_GLdouble_GLdouble_GLdouble_GLdouble
#define glRotated_INDEXED INDEXED_void_GLdouble_GLdouble_GLdouble_GLdouble
#define glRotated_FORMAT FORMAT_void_GLdouble_GLdouble_GLdouble_GLdouble
#define glRotatef_INDEX 359
#define glRotatef_RETURN void
#define glRotatef_ARG_NAMES angle, x, y, z
#define glRotatef_ARG_EXPAND GLfloat angle, GLfloat x, GLfloat y, GLfloat z
#define glRotatef_PACKED PACKED_void_GLfloat_GLfloat_GLfloat_GLfloat
#define glRotatef_INDEXED INDEXED_void_GLfloat_GLfloat_GLfloat_GLfloat
#define glRotatef_FORMAT FORMAT_void_GLfloat_GLfloat_GLfloat_GLfloat
#define glSampleCoverage_INDEX 360
#define glSampleCoverage_RETURN void
#define glSampleCoverage_ARG_NAMES value, invert
#define glSampleCoverage_ARG_EXPAND GLfloat value, GLboolean invert
#define glSampleCoverage_PACKED PACKED_void_GLfloat_GLboolean
#define glSampleCoverage_INDEXED INDEXED_void_GLfloat_GLboolean
#define glSampleCoverage_FORMAT FORMAT_void_GLfloat_GLboolean
#define glScaled_INDEX 361
#define glScaled_RETURN void
#define glScaled_ARG_NAMES x, y, z
#define glScaled_ARG_EXPAND GLdouble x, GLdouble y, GLdouble z
#define glScaled_PACKED PACKED_void_GLdouble_GLdouble_GLdouble
#define glScaled_INDEXED INDEXED_void_GLdouble_GLdouble_GLdouble
#define glScaled_FORMAT FORMAT_void_GLdouble_GLdouble_GLdouble
#define glScalef_INDEX 362
#define glScalef_RETURN void
#define glScalef_ARG_NAMES x, y, z
#define glScalef_ARG_EXPAND GLfloat x, GLfloat y, GLfloat z
#define glScalef_PACKED PACKED_void_GLfloat_GLfloat_GLfloat
#define glScalef_INDEXED INDEXED_void_GLfloat_GLfloat_GLfloat
#define glScalef_FORMAT FORMAT_void_GLfloat_GLfloat_GLfloat
#define glScissor_INDEX 363
#define glScissor_RETURN void
#define glScissor_ARG_NAMES x, y, width, height
#define glScissor_ARG_EXPAND GLint x, GLint y, GLsizei width, GLsizei height
#define glScissor_PACKED PACKED_void_GLint_GLint_GLsizei_GLsizei
#define glScissor_INDEXED INDEXED_void_GLint_GLint_GLsizei_GLsizei
#define glScissor_FORMAT FORMAT_void_GLint_GLint_GLsizei_GLsizei
#define glSecondaryColor3b_INDEX 364
#define glSecondaryColor3b_RETURN void
#define glSecondaryColor3b_ARG_NAMES red, green, blue
#define glSecondaryColor3b_ARG_EXPAND GLbyte red, GLbyte green, GLbyte blue
#define glSecondaryColor3b_PACKED PACKED_void_GLbyte_GLbyte_GLbyte
#define glSecondaryColor3b_INDEXED INDEXED_void_GLbyte_GLbyte_GLbyte
#define glSecondaryColor3b_FORMAT FORMAT_void_GLbyte_GLbyte_GLbyte
#define glSecondaryColor3bv_INDEX 365
#define glSecondaryColor3bv_RETURN void
#define glSecondaryColor3bv_ARG_NAMES v
#define glSecondaryColor3bv_ARG_EXPAND const GLbyte * v
#define glSecondaryColor3bv_PACKED PACKED_void_const_GLbyte___GENPT__
#define glSecondaryColor3bv_INDEXED INDEXED_void_const_GLbyte___GENPT__
#define glSecondaryColor3bv_FORMAT FORMAT_void_const_GLbyte___GENPT__
#define glSecondaryColor3d_INDEX 366
#define glSecondaryColor3d_RETURN void
#define glSecondaryColor3d_ARG_NAMES red, green, blue
#define glSecondaryColor3d_ARG_EXPAND GLdouble red, GLdouble green, GLdouble blue
#define glSecondaryColor3d_PACKED PACKED_void_GLdouble_GLdouble_GLdouble
#define glSecondaryColor3d_INDEXED INDEXED_void_GLdouble_GLdouble_GLdouble
#define glSecondaryColor3d_FORMAT FORMAT_void_GLdouble_GLdouble_GLdouble
#define glSecondaryColor3dv_INDEX 367
#define glSecondaryColor3dv_RETURN void
#define glSecondaryColor3dv_ARG_NAMES v
#define glSecondaryColor3dv_ARG_EXPAND const GLdouble * v
#define glSecondaryColor3dv_PACKED PACKED_void_const_GLdouble___GENPT__
#define glSecondaryColor3dv_INDEXED INDEXED_void_const_GLdouble___GENPT__
#define glSecondaryColor3dv_FORMAT FORMAT_void_const_GLdouble___GENPT__
#define glSecondaryColor3f_INDEX 368
#define glSecondaryColor3f_RETURN void
#define glSecondaryColor3f_ARG_NAMES red, green, blue
#define glSecondaryColor3f_ARG_EXPAND GLfloat red, GLfloat green, GLfloat blue
#define glSecondaryColor3f_PACKED PACKED_void_GLfloat_GLfloat_GLfloat
#define glSecondaryColor3f_INDEXED INDEXED_void_GLfloat_GLfloat_GLfloat
#define glSecondaryColor3f_FORMAT FORMAT_void_GLfloat_GLfloat_GLfloat
#define glSecondaryColor3fv_INDEX 369
#define glSecondaryColor3fv_RETURN void
#define glSecondaryColor3fv_ARG_NAMES v
#define glSecondaryColor3fv_ARG_EXPAND const GLfloat * v
#define glSecondaryColor3fv_PACKED PACKED_void_const_GLfloat___GENPT__
#define glSecondaryColor3fv_INDEXED INDEXED_void_const_GLfloat___GENPT__
#define glSecondaryColor3fv_FORMAT FORMAT_void_const_GLfloat___GENPT__
#define glSecondaryColor3i_INDEX 370
#define glSecondaryColor3i_RETURN void
#define glSecondaryColor3i_ARG_NAMES red, green, blue
#define glSecondaryColor3i_ARG_EXPAND GLint red, GLint green, GLint blue
#define glSecondaryColor3i_PACKED PACKED_void_GLint_GLint_GLint
#define glSecondaryColor3i_INDEXED INDEXED_void_GLint_GLint_GLint
#define glSecondaryColor3i_FORMAT FORMAT_void_GLint_GLint_GLint
#define glSecondaryColor3iv_INDEX 371
#define glSecondaryColor3iv_RETURN void
#define glSecondaryColor3iv_ARG_NAMES v
#define glSecondaryColor3iv_ARG_EXPAND const GLint * v
#define glSecondaryColor3iv_PACKED PACKED_void_const_GLint___GENPT__
#define glSecondaryColor3iv_INDEXED INDEXED_void_const_GLint___GENPT__
#define glSecondaryColor3iv_FORMAT FORMAT_void_const_GLint___GENPT__
#define glSecondaryColor3s_INDEX 372
#define glSecondaryColor3s_RETURN void
#define glSecondaryColor3s_ARG_NAMES red, green, blue
#define glSecondaryColor3s_ARG_EXPAND GLshort red, GLshort green, GLshort blue
#define glSecondaryColor3s_PACKED PACKED_void_GLshort_GLshort_GLshort
#define glSecondaryColor3s_INDEXED INDEXED_void_GLshort_GLshort_GLshort
#define glSecondaryColor3s_FORMAT FORMAT_void_GLshort_GLshort_GLshort
#define glSecondaryColor3sv_INDEX 373
#define glSecondaryColor3sv_RETURN void
#define glSecondaryColor3sv_ARG_NAMES v
#define glSecondaryColor3sv_ARG_EXPAND const GLshort * v
#define glSecondaryColor3sv_PACKED PACKED_void_const_GLshort___GENPT__
#define glSecondaryColor3sv_INDEXED INDEXED_void_const_GLshort___GENPT__
#define glSecondaryColor3sv_FORMAT FORMAT_void_const_GLshort___GENPT__
#define glSecondaryColor3ub_INDEX 374
#define glSecondaryColor3ub_RETURN void
#define glSecondaryColor3ub_ARG_NAMES red, green, blue
#define glSecondaryColor3ub_ARG_EXPAND GLubyte red, GLubyte green, GLubyte blue
#define glSecondaryColor3ub_PACKED PACKED_void_GLubyte_GLubyte_GLubyte
#define glSecondaryColor3ub_INDEXED INDEXED_void_GLubyte_GLubyte_GLubyte
#define glSecondaryColor3ub_FORMAT FORMAT_void_GLubyte_GLubyte_GLubyte
#define glSecondaryColor3ubv_INDEX 375
#define glSecondaryColor3ubv_RETURN void
#define glSecondaryColor3ubv_ARG_NAMES v
#define glSecondaryColor3ubv_ARG_EXPAND const GLubyte * v
#define glSecondaryColor3ubv_PACKED PACKED_void_const_GLubyte___GENPT__
#define glSecondaryColor3ubv_INDEXED INDEXED_void_const_GLubyte___GENPT__
#define glSecondaryColor3ubv_FORMAT FORMAT_void_const_GLubyte___GENPT__
#define glSecondaryColor3ui_INDEX 376
#define glSecondaryColor3ui_RETURN void
#define glSecondaryColor3ui_ARG_NAMES red, green, blue
#define glSecondaryColor3ui_ARG_EXPAND GLuint red, GLuint green, GLuint blue
#define glSecondaryColor3ui_PACKED PACKED_void_GLuint_GLuint_GLuint
#define glSecondaryColor3ui_INDEXED INDEXED_void_GLuint_GLuint_GLuint
#define glSecondaryColor3ui_FORMAT FORMAT_void_GLuint_GLuint_GLuint
#define glSecondaryColor3uiv_INDEX 377
#define glSecondaryColor3uiv_RETURN void
#define glSecondaryColor3uiv_ARG_NAMES v
#define glSecondaryColor3uiv_ARG_EXPAND const GLuint * v
#define glSecondaryColor3uiv_PACKED PACKED_void_const_GLuint___GENPT__
#define glSecondaryColor3uiv_INDEXED INDEXED_void_const_GLuint___GENPT__
#define glSecondaryColor3uiv_FORMAT FORMAT_void_const_GLuint___GENPT__
#define glSecondaryColor3us_INDEX 378
#define glSecondaryColor3us_RETURN void
#define glSecondaryColor3us_ARG_NAMES red, green, blue
#define glSecondaryColor3us_ARG_EXPAND GLushort red, GLushort green, GLushort blue
#define glSecondaryColor3us_PACKED PACKED_void_GLushort_GLushort_GLushort
#define glSecondaryColor3us_INDEXED INDEXED_void_GLushort_GLushort_GLushort
#define glSecondaryColor3us_FORMAT FORMAT_void_GLushort_GLushort_GLushort
#define glSecondaryColor3usv_INDEX 379
#define glSecondaryColor3usv_RETURN void
#define glSecondaryColor3usv_ARG_NAMES v
#define glSecondaryColor3usv_ARG_EXPAND const GLushort * v
#define glSecondaryColor3usv_PACKED PACKED_void_const_GLushort___GENPT__
#define glSecondaryColor3usv_INDEXED INDEXED_void_const_GLushort___GENPT__
#define glSecondaryColor3usv_FORMAT FORMAT_void_const_GLushort___GENPT__
#define glSecondaryColorPointer_INDEX 380
#define glSecondaryColorPointer_RETURN void
#define glSecondaryColorPointer_ARG_NAMES size, type, stride, pointer
#define glSecondaryColorPointer_ARG_EXPAND GLint size, GLenum type, GLsizei stride, const GLvoid * pointer
#define glSecondaryColorPointer_PACKED PACKED_void_GLint_GLenum_GLsizei_const_GLvoid___GENPT__
#define glSecondaryColorPointer_INDEXED INDEXED_void_GLint_GLenum_GLsizei_const_GLvoid___GENPT__
#define glSecondaryColorPointer_FORMAT FORMAT_void_GLint_GLenum_GLsizei_const_GLvoid___GENPT__
#define glSelectBuffer_INDEX 381
#define glSelectBuffer_RETURN void
#define glSelectBuffer_ARG_NAMES size, buffer
#define glSelectBuffer_ARG_EXPAND GLsizei size, GLuint * buffer
#define glSelectBuffer_PACKED PACKED_void_GLsizei_GLuint___GENPT__
#define glSelectBuffer_INDEXED INDEXED_void_GLsizei_GLuint___GENPT__
#define glSelectBuffer_FORMAT FORMAT_void_GLsizei_GLuint___GENPT__
#define glSeparableFilter2D_INDEX 382
#define glSeparableFilter2D_RETURN void
#define glSeparableFilter2D_ARG_NAMES target, internalformat, width, height, format, type, row, column
#define glSeparableFilter2D_ARG_EXPAND GLenum target, GLenum internalformat, GLsizei width, GLsizei height, GLenum format, GLenum type, const GLvoid * row, const GLvoid * column
#define glSeparableFilter2D_PACKED PACKED_void_GLenum_GLenum_GLsizei_GLsizei_GLenum_GLenum_const_GLvoid___GENPT___const_GLvoid___GENPT__
#define glSeparableFilter2D_INDEXED INDEXED_void_GLenum_GLenum_GLsizei_GLsizei_GLenum_GLenum_const_GLvoid___GENPT___const_GLvoid___GENPT__
#define glSeparableFilter2D_FORMAT FORMAT_void_GLenum_GLenum_GLsizei_GLsizei_GLenum_GLenum_const_GLvoid___GENPT___const_GLvoid___GENPT__
#define glShadeModel_INDEX 383
#define glShadeModel_RETURN void
#define glShadeModel_ARG_NAMES mode
#define glShadeModel_ARG_EXPAND GLenum mode
#define glShadeModel_PACKED PACKED_void_GLenum
#define glShadeModel_INDEXED INDEXED_void_GLenum
#define glShadeModel_FORMAT FORMAT_void_GLenum
#define glStencilFunc_INDEX 384
#define glStencilFunc_RETURN void
#define glStencilFunc_ARG_NAMES func, ref, mask
#define glStencilFunc_ARG_EXPAND GLenum func, GLint ref, GLuint mask
#define glStencilFunc_PACKED PACKED_void_GLenum_GLint_GLuint
#define glStencilFunc_INDEXED INDEXED_void_GLenum_GLint_GLuint
#define glStencilFunc_FORMAT FORMAT_void_GLenum_GLint_GLuint
#define glStencilMask_INDEX 385
#define glStencilMask_RETURN void
#define glStencilMask_ARG_NAMES mask
#define glStencilMask_ARG_EXPAND GLuint mask
#define glStencilMask_PACKED PACKED_void_GLuint
#define glStencilMask_INDEXED INDEXED_void_GLuint
#define glStencilMask_FORMAT FORMAT_void_GLuint
#define glStencilOp_INDEX 386
#define glStencilOp_RETURN void
#define glStencilOp_ARG_NAMES fail, zfail, zpass
#define glStencilOp_ARG_EXPAND GLenum fail, GLenum zfail, GLenum zpass
#define glStencilOp_PACKED PACKED_void_GLenum_GLenum_GLenum
#define glStencilOp_INDEXED INDEXED_void_GLenum_GLenum_GLenum
#define glStencilOp_FORMAT FORMAT_void_GLenum_GLenum_GLenum
#define glTexCoord1d_INDEX 387
#define glTexCoord1d_RETURN void
#define glTexCoord1d_ARG_NAMES s
#define glTexCoord1d_ARG_EXPAND GLdouble s
#define glTexCoord1d_PACKED PACKED_void_GLdouble
#define glTexCoord1d_INDEXED INDEXED_void_GLdouble
#define glTexCoord1d_FORMAT FORMAT_void_GLdouble
#define glTexCoord1dv_INDEX 388
#define glTexCoord1dv_RETURN void
#define glTexCoord1dv_ARG_NAMES v
#define glTexCoord1dv_ARG_EXPAND const GLdouble * v
#define glTexCoord1dv_PACKED PACKED_void_const_GLdouble___GENPT__
#define glTexCoord1dv_INDEXED INDEXED_void_const_GLdouble___GENPT__
#define glTexCoord1dv_FORMAT FORMAT_void_const_GLdouble___GENPT__
#define glTexCoord1f_INDEX 389
#define glTexCoord1f_RETURN void
#define glTexCoord1f_ARG_NAMES s
#define glTexCoord1f_ARG_EXPAND GLfloat s
#define glTexCoord1f_PACKED PACKED_void_GLfloat
#define glTexCoord1f_INDEXED INDEXED_void_GLfloat
#define glTexCoord1f_FORMAT FORMAT_void_GLfloat
#define glTexCoord1fv_INDEX 390
#define glTexCoord1fv_RETURN void
#define glTexCoord1fv_ARG_NAMES v
#define glTexCoord1fv_ARG_EXPAND const GLfloat * v
#define glTexCoord1fv_PACKED PACKED_void_const_GLfloat___GENPT__
#define glTexCoord1fv_INDEXED INDEXED_void_const_GLfloat___GENPT__
#define glTexCoord1fv_FORMAT FORMAT_void_const_GLfloat___GENPT__
#define glTexCoord1i_INDEX 391
#define glTexCoord1i_RETURN void
#define glTexCoord1i_ARG_NAMES s
#define glTexCoord1i_ARG_EXPAND GLint s
#define glTexCoord1i_PACKED PACKED_void_GLint
#define glTexCoord1i_INDEXED INDEXED_void_GLint
#define glTexCoord1i_FORMAT FORMAT_void_GLint
#define glTexCoord1iv_INDEX 392
#define glTexCoord1iv_RETURN void
#define glTexCoord1iv_ARG_NAMES v
#define glTexCoord1iv_ARG_EXPAND const GLint * v
#define glTexCoord1iv_PACKED PACKED_void_const_GLint___GENPT__
#define glTexCoord1iv_INDEXED INDEXED_void_const_GLint___GENPT__
#define glTexCoord1iv_FORMAT FORMAT_void_const_GLint___GENPT__
#define glTexCoord1s_INDEX 393
#define glTexCoord1s_RETURN void
#define glTexCoord1s_ARG_NAMES s
#define glTexCoord1s_ARG_EXPAND GLshort s
#define glTexCoord1s_PACKED PACKED_void_GLshort
#define glTexCoord1s_INDEXED INDEXED_void_GLshort
#define glTexCoord1s_FORMAT FORMAT_void_GLshort
#define glTexCoord1sv_INDEX 394
#define glTexCoord1sv_RETURN void
#define glTexCoord1sv_ARG_NAMES v
#define glTexCoord1sv_ARG_EXPAND const GLshort * v
#define glTexCoord1sv_PACKED PACKED_void_const_GLshort___GENPT__
#define glTexCoord1sv_INDEXED INDEXED_void_const_GLshort___GENPT__
#define glTexCoord1sv_FORMAT FORMAT_void_const_GLshort___GENPT__
#define glTexCoord2d_INDEX 395
#define glTexCoord2d_RETURN void
#define glTexCoord2d_ARG_NAMES s, t
#define glTexCoord2d_ARG_EXPAND GLdouble s, GLdouble t
#define glTexCoord2d_PACKED PACKED_void_GLdouble_GLdouble
#define glTexCoord2d_INDEXED INDEXED_void_GLdouble_GLdouble
#define glTexCoord2d_FORMAT FORMAT_void_GLdouble_GLdouble
#define glTexCoord2dv_INDEX 396
#define glTexCoord2dv_RETURN void
#define glTexCoord2dv_ARG_NAMES v
#define glTexCoord2dv_ARG_EXPAND const GLdouble * v
#define glTexCoord2dv_PACKED PACKED_void_const_GLdouble___GENPT__
#define glTexCoord2dv_INDEXED INDEXED_void_const_GLdouble___GENPT__
#define glTexCoord2dv_FORMAT FORMAT_void_const_GLdouble___GENPT__
#define glTexCoord2f_INDEX 397
#define glTexCoord2f_RETURN void
#define glTexCoord2f_ARG_NAMES s, t
#define glTexCoord2f_ARG_EXPAND GLfloat s, GLfloat t
#define glTexCoord2f_PACKED PACKED_void_GLfloat_GLfloat
#define glTexCoord2f_INDEXED INDEXED_void_GLfloat_GLfloat
#define glTexCoord2f_FORMAT FORMAT_void_GLfloat_GLfloat
#define glTexCoord2fv_INDEX 398
#define glTexCoord2fv_RETURN void
#define glTexCoord2fv_ARG_NAMES v
#define glTexCoord2fv_ARG_EXPAND const GLfloat * v
#define glTexCoord2fv_PACKED PACKED_void_const_GLfloat___GENPT__
#define glTexCoord2fv_INDEXED INDEXED_void_const_GLfloat___GENPT__
#define glTexCoord2fv_FORMAT FORMAT_void_const_GLfloat___GENPT__
#define glTexCoord2i_INDEX 399
#define glTexCoord2i_RETURN void
#define glTexCoord2i_ARG_NAMES s, t
#define glTexCoord2i_ARG_EXPAND GLint s, GLint t
#define glTexCoord2i_PACKED PACKED_void_GLint_GLint
#define glTexCoord2i_INDEXED INDEXED_void_GLint_GLint
#define glTexCoord2i_FORMAT FORMAT_void_GLint_GLint
#define glTexCoord2iv_INDEX 400
#define glTexCoord2iv_RETURN void
#define glTexCoord2iv_ARG_NAMES v
#define glTexCoord2iv_ARG_EXPAND const GLint * v
#define glTexCoord2iv_PACKED PACKED_void_const_GLint___GENPT__
#define glTexCoord2iv_INDEXED INDEXED_void_const_GLint___GENPT__
#define glTexCoord2iv_FORMAT FORMAT_void_const_GLint___GENPT__
#define glTexCoord2s_INDEX 401
#define glTexCoord2s_RETURN void
#define glTexCoord2s_ARG_NAMES s, t
#define glTexCoord2s_ARG_EXPAND GLshort s, GLshort t
#define glTexCoord2s_PACKED PACKED_void_GLshort_GLshort
#define glTexCoord2s_INDEXED INDEXED_void_GLshort_GLshort
#define glTexCoord2s_FORMAT FORMAT_void_GLshort_GLshort
#define glTexCoord2sv_INDEX 402
#define glTexCoord2sv_RETURN void
#define glTexCoord2sv_ARG_NAMES v
#define glTexCoord2sv_ARG_EXPAND const GLshort * v
#define glTexCoord2sv_PACKED PACKED_void_const_GLshort___GENPT__
#define glTexCoord2sv_INDEXED INDEXED_void_const_GLshort___GENPT__
#define glTexCoord2sv_FORMAT FORMAT_void_const_GLshort___GENPT__
#define glTexCoord3d_INDEX 403
#define glTexCoord3d_RETURN void
#define glTexCoord3d_ARG_NAMES s, t, r
#define glTexCoord3d_ARG_EXPAND GLdouble s, GLdouble t, GLdouble r
#define glTexCoord3d_PACKED PACKED_void_GLdouble_GLdouble_GLdouble
#define glTexCoord3d_INDEXED INDEXED_void_GLdouble_GLdouble_GLdouble
#define glTexCoord3d_FORMAT FORMAT_void_GLdouble_GLdouble_GLdouble
#define glTexCoord3dv_INDEX 404
#define glTexCoord3dv_RETURN void
#define glTexCoord3dv_ARG_NAMES v
#define glTexCoord3dv_ARG_EXPAND const GLdouble * v
#define glTexCoord3dv_PACKED PACKED_void_const_GLdouble___GENPT__
#define glTexCoord3dv_INDEXED INDEXED_void_const_GLdouble___GENPT__
#define glTexCoord3dv_FORMAT FORMAT_void_const_GLdouble___GENPT__
#define glTexCoord3f_INDEX 405
#define glTexCoord3f_RETURN void
#define glTexCoord3f_ARG_NAMES s, t, r
#define glTexCoord3f_ARG_EXPAND GLfloat s, GLfloat t, GLfloat r
#define glTexCoord3f_PACKED PACKED_void_GLfloat_GLfloat_GLfloat
#define glTexCoord3f_INDEXED INDEXED_void_GLfloat_GLfloat_GLfloat
#define glTexCoord3f_FORMAT FORMAT_void_GLfloat_GLfloat_GLfloat
#define glTexCoord3fv_INDEX 406
#define glTexCoord3fv_RETURN void
#define glTexCoord3fv_ARG_NAMES v
#define glTexCoord3fv_ARG_EXPAND const GLfloat * v
#define glTexCoord3fv_PACKED PACKED_void_const_GLfloat___GENPT__
#define glTexCoord3fv_INDEXED INDEXED_void_const_GLfloat___GENPT__
#define glTexCoord3fv_FORMAT FORMAT_void_const_GLfloat___GENPT__
#define glTexCoord3i_INDEX 407
#define glTexCoord3i_RETURN void
#define glTexCoord3i_ARG_NAMES s, t, r
#define glTexCoord3i_ARG_EXPAND GLint s, GLint t, GLint r
#define glTexCoord3i_PACKED PACKED_void_GLint_GLint_GLint
#define glTexCoord3i_INDEXED INDEXED_void_GLint_GLint_GLint
#define glTexCoord3i_FORMAT FORMAT_void_GLint_GLint_GLint
#define glTexCoord3iv_INDEX 408
#define glTexCoord3iv_RETURN void
#define glTexCoord3iv_ARG_NAMES v
#define glTexCoord3iv_ARG_EXPAND const GLint * v
#define glTexCoord3iv_PACKED PACKED_void_const_GLint___GENPT__
#define glTexCoord3iv_INDEXED INDEXED_void_const_GLint___GENPT__
#define glTexCoord3iv_FORMAT FORMAT_void_const_GLint___GENPT__
#define glTexCoord3s_INDEX 409
#define glTexCoord3s_RETURN void
#define glTexCoord3s_ARG_NAMES s, t, r
#define glTexCoord3s_ARG_EXPAND GLshort s, GLshort t, GLshort r
#define glTexCoord3s_PACKED PACKED_void_GLshort_GLshort_GLshort
#define glTexCoord3s_INDEXED INDEXED_void_GLshort_GLshort_GLshort
#define glTexCoord3s_FORMAT FORMAT_void_GLshort_GLshort_GLshort
#define glTexCoord3sv_INDEX 410
#define glTexCoord3sv_RETURN void
#define glTexCoord3sv_ARG_NAMES v
#define glTexCoord3sv_ARG_EXPAND const GLshort * v
#define glTexCoord3sv_PACKED PACKED_void_const_GLshort___GENPT__
#define glTexCoord3sv_INDEXED INDEXED_void_const_GLshort___GENPT__
#define glTexCoord3sv_FORMAT FORMAT_void_const_GLshort___GENPT__
#define glTexCoord4d_INDEX 411
#define glTexCoord4d_RETURN void
#define glTexCoord4d_ARG_NAMES s, t, r, q
#define glTexCoord4d_ARG_EXPAND GLdouble s, GLdouble t, GLdouble r, GLdouble q
#define glTexCoord4d_PACKED PACKED_void_GLdouble_GLdouble_GLdouble_GLdouble
#define glTexCoord4d_INDEXED INDEXED_void_GLdouble_GLdouble_GLdouble_GLdouble
#define glTexCoord4d_FORMAT FORMAT_void_GLdouble_GLdouble_GLdouble_GLdouble
#define glTexCoord4dv_INDEX 412
#define glTexCoord4dv_RETURN void
#define glTexCoord4dv_ARG_NAMES v
#define glTexCoord4dv_ARG_EXPAND const GLdouble * v
#define glTexCoord4dv_PACKED PACKED_void_const_GLdouble___GENPT__
#define glTexCoord4dv_INDEXED INDEXED_void_const_GLdouble___GENPT__
#define glTexCoord4dv_FORMAT FORMAT_void_const_GLdouble___GENPT__
#define glTexCoord4f_INDEX 413
#define glTexCoord4f_RETURN void
#define glTexCoord4f_ARG_NAMES s, t, r, q
#define glTexCoord4f_ARG_EXPAND GLfloat s, GLfloat t, GLfloat r, GLfloat q
#define glTexCoord4f_PACKED PACKED_void_GLfloat_GLfloat_GLfloat_GLfloat
#define glTexCoord4f_INDEXED INDEXED_void_GLfloat_GLfloat_GLfloat_GLfloat
#define glTexCoord4f_FORMAT FORMAT_void_GLfloat_GLfloat_GLfloat_GLfloat
#define glTexCoord4fv_INDEX 414
#define glTexCoord4fv_RETURN void
#define glTexCoord4fv_ARG_NAMES v
#define glTexCoord4fv_ARG_EXPAND const GLfloat * v
#define glTexCoord4fv_PACKED PACKED_void_const_GLfloat___GENPT__
#define glTexCoord4fv_INDEXED INDEXED_void_const_GLfloat___GENPT__
#define glTexCoord4fv_FORMAT FORMAT_void_const_GLfloat___GENPT__
#define glTexCoord4i_INDEX 415
#define glTexCoord4i_RETURN void
#define glTexCoord4i_ARG_NAMES s, t, r, q
#define glTexCoord4i_ARG_EXPAND GLint s, GLint t, GLint r, GLint q
#define glTexCoord4i_PACKED PACKED_void_GLint_GLint_GLint_GLint
#define glTexCoord4i_INDEXED INDEXED_void_GLint_GLint_GLint_GLint
#define glTexCoord4i_FORMAT FORMAT_void_GLint_GLint_GLint_GLint
#define glTexCoord4iv_INDEX 416
#define glTexCoord4iv_RETURN void
#define glTexCoord4iv_ARG_NAMES v
#define glTexCoord4iv_ARG_EXPAND const GLint * v
#define glTexCoord4iv_PACKED PACKED_void_const_GLint___GENPT__
#define glTexCoord4iv_INDEXED INDEXED_void_const_GLint___GENPT__
#define glTexCoord4iv_FORMAT FORMAT_void_const_GLint___GENPT__
#define glTexCoord4s_INDEX 417
#define glTexCoord4s_RETURN void
#define glTexCoord4s_ARG_NAMES s, t, r, q
#define glTexCoord4s_ARG_EXPAND GLshort s, GLshort t, GLshort r, GLshort q
#define glTexCoord4s_PACKED PACKED_void_GLshort_GLshort_GLshort_GLshort
#define glTexCoord4s_INDEXED INDEXED_void_GLshort_GLshort_GLshort_GLshort
#define glTexCoord4s_FORMAT FORMAT_void_GLshort_GLshort_GLshort_GLshort
#define glTexCoord4sv_INDEX 418
#define glTexCoord4sv_RETURN void
#define glTexCoord4sv_ARG_NAMES v
#define glTexCoord4sv_ARG_EXPAND const GLshort * v
#define glTexCoord4sv_PACKED PACKED_void_const_GLshort___GENPT__
#define glTexCoord4sv_INDEXED INDEXED_void_const_GLshort___GENPT__
#define glTexCoord4sv_FORMAT FORMAT_void_const_GLshort___GENPT__
#define glTexCoordPointer_INDEX 419
#define glTexCoordPointer_RETURN void
#define glTexCoordPointer_ARG_NAMES size, type, stride, pointer
#define glTexCoordPointer_ARG_EXPAND GLint size, GLenum type, GLsizei stride, const GLvoid * pointer
#define glTexCoordPointer_PACKED PACKED_void_GLint_GLenum_GLsizei_const_GLvoid___GENPT__
#define glTexCoordPointer_INDEXED INDEXED_void_GLint_GLenum_GLsizei_const_GLvoid___GENPT__
#define glTexCoordPointer_FORMAT FORMAT_void_GLint_GLenum_GLsizei_const_GLvoid___GENPT__
#define glTexEnvf_INDEX 420
#define glTexEnvf_RETURN void
#define glTexEnvf_ARG_NAMES target, pname, param
#define glTexEnvf_ARG_EXPAND GLenum target, GLenum pname, GLfloat param
#define glTexEnvf_PACKED PACKED_void_GLenum_GLenum_GLfloat
#define glTexEnvf_INDEXED INDEXED_void_GLenum_GLenum_GLfloat
#define glTexEnvf_FORMAT FORMAT_void_GLenum_GLenum_GLfloat
#define glTexEnvfv_INDEX 421
#define glTexEnvfv_RETURN void
#define glTexEnvfv_ARG_NAMES target, pname, params
#define glTexEnvfv_ARG_EXPAND GLenum target, GLenum pname, const GLfloat * params
#define glTexEnvfv_PACKED PACKED_void_GLenum_GLenum_const_GLfloat___GENPT__
#define glTexEnvfv_INDEXED INDEXED_void_GLenum_GLenum_const_GLfloat___GENPT__
#define glTexEnvfv_FORMAT FORMAT_void_GLenum_GLenum_const_GLfloat___GENPT__
#define glTexEnvi_INDEX 422
#define glTexEnvi_RETURN void
#define glTexEnvi_ARG_NAMES target, pname, param
#define glTexEnvi_ARG_EXPAND GLenum target, GLenum pname, GLint param
#define glTexEnvi_PACKED PACKED_void_GLenum_GLenum_GLint
#define glTexEnvi_INDEXED INDEXED_void_GLenum_GLenum_GLint
#define glTexEnvi_FORMAT FORMAT_void_GLenum_GLenum_GLint
#define glTexEnviv_INDEX 423
#define glTexEnviv_RETURN void
#define glTexEnviv_ARG_NAMES target, pname, params
#define glTexEnviv_ARG_EXPAND GLenum target, GLenum pname, const GLint * params
#define glTexEnviv_PACKED PACKED_void_GLenum_GLenum_const_GLint___GENPT__
#define glTexEnviv_INDEXED INDEXED_void_GLenum_GLenum_const_GLint___GENPT__
#define glTexEnviv_FORMAT FORMAT_void_GLenum_GLenum_const_GLint___GENPT__
#define glTexGend_INDEX 424
#define glTexGend_RETURN void
#define glTexGend_ARG_NAMES coord, pname, param
#define glTexGend_ARG_EXPAND GLenum coord, GLenum pname, GLdouble param
#define glTexGend_PACKED PACKED_void_GLenum_GLenum_GLdouble
#define glTexGend_INDEXED INDEXED_void_GLenum_GLenum_GLdouble
#define glTexGend_FORMAT FORMAT_void_GLenum_GLenum_GLdouble
#define glTexGendv_INDEX 425
#define glTexGendv_RETURN void
#define glTexGendv_ARG_NAMES coord, pname, params
#define glTexGendv_ARG_EXPAND GLenum coord, GLenum pname, const GLdouble * params
#define glTexGendv_PACKED PACKED_void_GLenum_GLenum_const_GLdouble___GENPT__
#define glTexGendv_INDEXED INDEXED_void_GLenum_GLenum_const_GLdouble___GENPT__
#define glTexGendv_FORMAT FORMAT_void_GLenum_GLenum_const_GLdouble___GENPT__
#define glTexGenf_INDEX 426
#define glTexGenf_RETURN void
#define glTexGenf_ARG_NAMES coord, pname, param
#define glTexGenf_ARG_EXPAND GLenum coord, GLenum pname, GLfloat param
#define glTexGenf_PACKED PACKED_void_GLenum_GLenum_GLfloat
#define glTexGenf_INDEXED INDEXED_void_GLenum_GLenum_GLfloat
#define glTexGenf_FORMAT FORMAT_void_GLenum_GLenum_GLfloat
#define glTexGenfv_INDEX 427
#define glTexGenfv_RETURN void
#define glTexGenfv_ARG_NAMES coord, pname, params
#define glTexGenfv_ARG_EXPAND GLenum coord, GLenum pname, const GLfloat * params
#define glTexGenfv_PACKED PACKED_void_GLenum_GLenum_const_GLfloat___GENPT__
#define glTexGenfv_INDEXED INDEXED_void_GLenum_GLenum_const_GLfloat___GENPT__
#define glTexGenfv_FORMAT FORMAT_void_GLenum_GLenum_const_GLfloat___GENPT__
#define glTexGeni_INDEX 428
#define glTexGeni_RETURN void
#define glTexGeni_ARG_NAMES coord, pname, param
#define glTexGeni_ARG_EXPAND GLenum coord, GLenum pname, GLint param
#define glTexGeni_PACKED PACKED_void_GLenum_GLenum_GLint
#define glTexGeni_INDEXED INDEXED_void_GLenum_GLenum_GLint
#define glTexGeni_FORMAT FORMAT_void_GLenum_GLenum_GLint
#define glTexGeniv_INDEX 429
#define glTexGeniv_RETURN void
#define glTexGeniv_ARG_NAMES coord, pname, params
#define glTexGeniv_ARG_EXPAND GLenum coord, GLenum pname, const GLint * params
#define glTexGeniv_PACKED PACKED_void_GLenum_GLenum_const_GLint___GENPT__
#define glTexGeniv_INDEXED INDEXED_void_GLenum_GLenum_const_GLint___GENPT__
#define glTexGeniv_FORMAT FORMAT_void_GLenum_GLenum_const_GLint___GENPT__
#define glTexImage1D_INDEX 430
#define glTexImage1D_RETURN void
#define glTexImage1D_ARG_NAMES target, level, internalformat, width, border, format, type, pixels
#define glTexImage1D_ARG_EXPAND GLenum target, GLint level, GLint internalformat, GLsizei width, GLint border, GLenum format, GLenum type, const GLvoid * pixels
#define glTexImage1D_PACKED PACKED_void_GLenum_GLint_GLint_GLsizei_GLint_GLenum_GLenum_const_GLvoid___GENPT__
#define glTexImage1D_INDEXED INDEXED_void_GLenum_GLint_GLint_GLsizei_GLint_GLenum_GLenum_const_GLvoid___GENPT__
#define glTexImage1D_FORMAT FORMAT_void_GLenum_GLint_GLint_GLsizei_GLint_GLenum_GLenum_const_GLvoid___GENPT__
#define glTexImage2D_INDEX 431
#define glTexImage2D_RETURN void
#define glTexImage2D_ARG_NAMES target, level, internalformat, width, height, border, format, type, pixels
#define glTexImage2D_ARG_EXPAND GLenum target, GLint level, GLint internalformat, GLsizei width, GLsizei height, GLint border, GLenum format, GLenum type, const GLvoid * pixels
#define glTexImage2D_PACKED PACKED_void_GLenum_GLint_GLint_GLsizei_GLsizei_GLint_GLenum_GLenum_const_GLvoid___GENPT__
#define glTexImage2D_INDEXED INDEXED_void_GLenum_GLint_GLint_GLsizei_GLsizei_GLint_GLenum_GLenum_const_GLvoid___GENPT__
#define glTexImage2D_FORMAT FORMAT_void_GLenum_GLint_GLint_GLsizei_GLsizei_GLint_GLenum_GLenum_const_GLvoid___GENPT__
#define glTexImage3D_INDEX 432
#define glTexImage3D_RETURN void
#define glTexImage3D_ARG_NAMES target, level, internalformat, width, height, depth, border, format, type, pixels
#define glTexImage3D_ARG_EXPAND GLenum target, GLint level, GLint internalformat, GLsizei width, GLsizei height, GLsizei depth, GLint border, GLenum format, GLenum type, const GLvoid * pixels
#define glTexImage3D_PACKED PACKED_void_GLenum_GLint_GLint_GLsizei_GLsizei_GLsizei_GLint_GLenum_GLenum_const_GLvoid___GENPT__
#define glTexImage3D_INDEXED INDEXED_void_GLenum_GLint_GLint_GLsizei_GLsizei_GLsizei_GLint_GLenum_GLenum_const_GLvoid___GENPT__
#define glTexImage3D_FORMAT FORMAT_void_GLenum_GLint_GLint_GLsizei_GLsizei_GLsizei_GLint_GLenum_GLenum_const_GLvoid___GENPT__
#define glTexParameterf_INDEX 433
#define glTexParameterf_RETURN void
#define glTexParameterf_ARG_NAMES target, pname, param
#define glTexParameterf_ARG_EXPAND GLenum target, GLenum pname, GLfloat param
#define glTexParameterf_PACKED PACKED_void_GLenum_GLenum_GLfloat
#define glTexParameterf_INDEXED INDEXED_void_GLenum_GLenum_GLfloat
#define glTexParameterf_FORMAT FORMAT_void_GLenum_GLenum_GLfloat
#define glTexParameterfv_INDEX 434
#define glTexParameterfv_RETURN void
#define glTexParameterfv_ARG_NAMES target, pname, params
#define glTexParameterfv_ARG_EXPAND GLenum target, GLenum pname, const GLfloat * params
#define glTexParameterfv_PACKED PACKED_void_GLenum_GLenum_const_GLfloat___GENPT__
#define glTexParameterfv_INDEXED INDEXED_void_GLenum_GLenum_const_GLfloat___GENPT__
#define glTexParameterfv_FORMAT FORMAT_void_GLenum_GLenum_const_GLfloat___GENPT__
#define glTexParameteri_INDEX 435
#define glTexParameteri_RETURN void
#define glTexParameteri_ARG_NAMES target, pname, param
#define glTexParameteri_ARG_EXPAND GLenum target, GLenum pname, GLint param
#define glTexParameteri_PACKED PACKED_void_GLenum_GLenum_GLint
#define glTexParameteri_INDEXED INDEXED_void_GLenum_GLenum_GLint
#define glTexParameteri_FORMAT FORMAT_void_GLenum_GLenum_GLint
#define glTexParameteriv_INDEX 436
#define glTexParameteriv_RETURN void
#define glTexParameteriv_ARG_NAMES target, pname, params
#define glTexParameteriv_ARG_EXPAND GLenum target, GLenum pname, const GLint * params
#define glTexParameteriv_PACKED PACKED_void_GLenum_GLenum_const_GLint___GENPT__
#define glTexParameteriv_INDEXED INDEXED_void_GLenum_GLenum_const_GLint___GENPT__
#define glTexParameteriv_FORMAT FORMAT_void_GLenum_GLenum_const_GLint___GENPT__
#define glTexSubImage1D_INDEX 437
#define glTexSubImage1D_RETURN void
#define glTexSubImage1D_ARG_NAMES target, level, xoffset, width, format, type, pixels
#define glTexSubImage1D_ARG_EXPAND GLenum target, GLint level, GLint xoffset, GLsizei width, GLenum format, GLenum type, const GLvoid * pixels
#define glTexSubImage1D_PACKED PACKED_void_GLenum_GLint_GLint_GLsizei_GLenum_GLenum_const_GLvoid___GENPT__
#define glTexSubImage1D_INDEXED INDEXED_void_GLenum_GLint_GLint_GLsizei_GLenum_GLenum_const_GLvoid___GENPT__
#define glTexSubImage1D_FORMAT FORMAT_void_GLenum_GLint_GLint_GLsizei_GLenum_GLenum_const_GLvoid___GENPT__
#define glTexSubImage2D_INDEX 438
#define glTexSubImage2D_RETURN void
#define glTexSubImage2D_ARG_NAMES target, level, xoffset, yoffset, width, height, format, type, pixels
#define glTexSubImage2D_ARG_EXPAND GLenum target, GLint level, GLint xoffset, GLint yoffset, GLsizei width, GLsizei height, GLenum format, GLenum type, const GLvoid * pixels
#define glTexSubImage2D_PACKED PACKED_void_GLenum_GLint_GLint_GLint_GLsizei_GLsizei_GLenum_GLenum_const_GLvoid___GENPT__
#define glTexSubImage2D_INDEXED INDEXED_void_GLenum_GLint_GLint_GLint_GLsizei_GLsizei_GLenum_GLenum_const_GLvoid___GENPT__
#define glTexSubImage2D_FORMAT FORMAT_void_GLenum_GLint_GLint_GLint_GLsizei_GLsizei_GLenum_GLenum_const_GLvoid___GENPT__
#define glTexSubImage3D_INDEX 439
#define glTexSubImage3D_RETURN void
#define glTexSubImage3D_ARG_NAMES target, level, xoffset, yoffset, zoffset, width, height, depth, format, type, pixels
#define glTexSubImage3D_ARG_EXPAND GLenum target, GLint level, GLint xoffset, GLint yoffset, GLint zoffset, GLsizei width, GLsizei height, GLsizei depth, GLenum format, GLenum type, const GLvoid * pixels
#define glTexSubImage3D_PACKED PACKED_void_GLenum_GLint_GLint_GLint_GLint_GLsizei_GLsizei_GLsizei_GLenum_GLenum_const_GLvoid___GENPT__
#define glTexSubImage3D_INDEXED INDEXED_void_GLenum_GLint_GLint_GLint_GLint_GLsizei_GLsizei_GLsizei_GLenum_GLenum_const_GLvoid___GENPT__
#define glTexSubImage3D_FORMAT FORMAT_void_GLenum_GLint_GLint_GLint_GLint_GLsizei_GLsizei_GLsizei_GLenum_GLenum_const_GLvoid___GENPT__
#define glTranslated_INDEX 440
#define glTranslated_RETURN void
#define glTranslated_ARG_NAMES x, y, z
#define glTranslated_ARG_EXPAND GLdouble x, GLdouble y, GLdouble z
#define glTranslated_PACKED PACKED_void_GLdouble_GLdouble_GLdouble
#define glTranslated_INDEXED INDEXED_void_GLdouble_GLdouble_GLdouble
#define glTranslated_FORMAT FORMAT_void_GLdouble_GLdouble_GLdouble
#define glTranslatef_INDEX 441
#define glTranslatef_RETURN void
#define glTranslatef_ARG_NAMES x, y, z
#define glTranslatef_ARG_EXPAND GLfloat x, GLfloat y, GLfloat z
#define glTranslatef_PACKED PACKED_void_GLfloat_GLfloat_GLfloat
#define glTranslatef_INDEXED INDEXED_void_GLfloat_GLfloat_GLfloat
#define glTranslatef_FORMAT FORMAT_void_GLfloat_GLfloat_GLfloat
#define glUnmapBuffer_INDEX 442
#define glUnmapBuffer_RETURN GLboolean
#define glUnmapBuffer_ARG_NAMES target
#define glUnmapBuffer_ARG_EXPAND GLenum target
#define glUnmapBuffer_PACKED PACKED_GLboolean_GLenum
#define glUnmapBuffer_INDEXED INDEXED_GLboolean_GLenum
#define glUnmapBuffer_FORMAT FORMAT_GLboolean_GLenum
#define glVertex2d_INDEX 443
#define glVertex2d_RETURN void
#define glVertex2d_ARG_NAMES x, y
#define glVertex2d_ARG_EXPAND GLdouble x, GLdouble y
#define glVertex2d_PACKED PACKED_void_GLdouble_GLdouble
#define glVertex2d_INDEXED INDEXED_void_GLdouble_GLdouble
#define glVertex2d_FORMAT FORMAT_void_GLdouble_GLdouble
#define glVertex2dv_INDEX 444
#define glVertex2dv_RETURN void
#define glVertex2dv_ARG_NAMES v
#define glVertex2dv_ARG_EXPAND const GLdouble * v
#define glVertex2dv_PACKED PACKED_void_const_GLdouble___GENPT__
#define glVertex2dv_INDEXED INDEXED_void_const_GLdouble___GENPT__
#define glVertex2dv_FORMAT FORMAT_void_const_GLdouble___GENPT__
#define glVertex2f_INDEX 445
#define glVertex2f_RETURN void
#define glVertex2f_ARG_NAMES x, y
#define glVertex2f_ARG_EXPAND GLfloat x, GLfloat y
#define glVertex2f_PACKED PACKED_void_GLfloat_GLfloat
#define glVertex2f_INDEXED INDEXED_void_GLfloat_GLfloat
#define glVertex2f_FORMAT FORMAT_void_GLfloat_GLfloat
#define glVertex2fv_INDEX 446
#define glVertex2fv_RETURN void
#define glVertex2fv_ARG_NAMES v
#define glVertex2fv_ARG_EXPAND const GLfloat * v
#define glVertex2fv_PACKED PACKED_void_const_GLfloat___GENPT__
#define glVertex2fv_INDEXED INDEXED_void_const_GLfloat___GENPT__
#define glVertex2fv_FORMAT FORMAT_void_const_GLfloat___GENPT__
#define glVertex2i_INDEX 447
#define glVertex2i_RETURN void
#define glVertex2i_ARG_NAMES x, y
#define glVertex2i_ARG_EXPAND GLint x, GLint y
#define glVertex2i_PACKED PACKED_void_GLint_GLint
#define glVertex2i_INDEXED INDEXED_void_GLint_GLint
#define glVertex2i_FORMAT FORMAT_void_GLint_GLint
#define glVertex2iv_INDEX 448
#define glVertex2iv_RETURN void
#define glVertex2iv_ARG_NAMES v
#define glVertex2iv_ARG_EXPAND const GLint * v
#define glVertex2iv_PACKED PACKED_void_const_GLint___GENPT__
#define glVertex2iv_INDEXED INDEXED_void_const_GLint___GENPT__
#define glVertex2iv_FORMAT FORMAT_void_const_GLint___GENPT__
#define glVertex2s_INDEX 449
#define glVertex2s_RETURN void
#define glVertex2s_ARG_NAMES x, y
#define glVertex2s_ARG_EXPAND GLshort x, GLshort y
#define glVertex2s_PACKED PACKED_void_GLshort_GLshort
#define glVertex2s_INDEXED INDEXED_void_GLshort_GLshort
#define glVertex2s_FORMAT FORMAT_void_GLshort_GLshort
#define glVertex2sv_INDEX 450
#define glVertex2sv_RETURN void
#define glVertex2sv_ARG_NAMES v
#define glVertex2sv_ARG_EXPAND const GLshort * v
#define glVertex2sv_PACKED PACKED_void_const_GLshort___GENPT__
#define glVertex2sv_INDEXED INDEXED_void_const_GLshort___GENPT__
#define glVertex2sv_FORMAT FORMAT_void_const_GLshort___GENPT__
#define glVertex3d_INDEX 451
#define glVertex3d_RETURN void
#define glVertex3d_ARG_NAMES x, y, z
#define glVertex3d_ARG_EXPAND GLdouble x, GLdouble y, GLdouble z
#define glVertex3d_PACKED PACKED_void_GLdouble_GLdouble_GLdouble
#define glVertex3d_INDEXED INDEXED_void_GLdouble_GLdouble_GLdouble
#define glVertex3d_FORMAT FORMAT_void_GLdouble_GLdouble_GLdouble
#define glVertex3dv_INDEX 452
#define glVertex3dv_RETURN void
#define glVertex3dv_ARG_NAMES v
#define glVertex3dv_ARG_EXPAND const GLdouble * v
#define glVertex3dv_PACKED PACKED_void_const_GLdouble___GENPT__
#define glVertex3dv_INDEXED INDEXED_void_const_GLdouble___GENPT__
#define glVertex3dv_FORMAT FORMAT_void_const_GLdouble___GENPT__
#define glVertex3f_INDEX 453
#define glVertex3f_RETURN void
#define glVertex3f_ARG_NAMES x, y, z
#define glVertex3f_ARG_EXPAND GLfloat x, GLfloat y, GLfloat z
#define glVertex3f_PACKED PACKED_void_GLfloat_GLfloat_GLfloat
#define glVertex3f_INDEXED INDEXED_void_GLfloat_GLfloat_GLfloat
#define glVertex3f_FORMAT FORMAT_void_GLfloat_GLfloat_GLfloat
#define glVertex3fv_INDEX 454
#define glVertex3fv_RETURN void
#define glVertex3fv_ARG_NAMES v
#define glVertex3fv_ARG_EXPAND const GLfloat * v
#define glVertex3fv_PACKED PACKED_void_const_GLfloat___GENPT__
#define glVertex3fv_INDEXED INDEXED_void_const_GLfloat___GENPT__
#define glVertex3fv_FORMAT FORMAT_void_const_GLfloat___GENPT__
#define glVertex3i_INDEX 455
#define glVertex3i_RETURN void
#define glVertex3i_ARG_NAMES x, y, z
#define glVertex3i_ARG_EXPAND GLint x, GLint y, GLint z
#define glVertex3i_PACKED PACKED_void_GLint_GLint_GLint
#define glVertex3i_INDEXED INDEXED_void_GLint_GLint_GLint
#define glVertex3i_FORMAT FORMAT_void_GLint_GLint_GLint
#define glVertex3iv_INDEX 456
#define glVertex3iv_RETURN void
#define glVertex3iv_ARG_NAMES v
#define glVertex3iv_ARG_EXPAND const GLint * v
#define glVertex3iv_PACKED PACKED_void_const_GLint___GENPT__
#define glVertex3iv_INDEXED INDEXED_void_const_GLint___GENPT__
#define glVertex3iv_FORMAT FORMAT_void_const_GLint___GENPT__
#define glVertex3s_INDEX 457
#define glVertex3s_RETURN void
#define glVertex3s_ARG_NAMES x, y, z
#define glVertex3s_ARG_EXPAND GLshort x, GLshort y, GLshort z
#define glVertex3s_PACKED PACKED_void_GLshort_GLshort_GLshort
#define glVertex3s_INDEXED INDEXED_void_GLshort_GLshort_GLshort
#define glVertex3s_FORMAT FORMAT_void_GLshort_GLshort_GLshort
#define glVertex3sv_INDEX 458
#define glVertex3sv_RETURN void
#define glVertex3sv_ARG_NAMES v
#define glVertex3sv_ARG_EXPAND const GLshort * v
#define glVertex3sv_PACKED PACKED_void_const_GLshort___GENPT__
#define glVertex3sv_INDEXED INDEXED_void_const_GLshort___GENPT__
#define glVertex3sv_FORMAT FORMAT_void_const_GLshort___GENPT__
#define glVertex4d_INDEX 459
#define glVertex4d_RETURN void
#define glVertex4d_ARG_NAMES x, y, z, w
#define glVertex4d_ARG_EXPAND GLdouble x, GLdouble y, GLdouble z, GLdouble w
#define glVertex4d_PACKED PACKED_void_GLdouble_GLdouble_GLdouble_GLdouble
#define glVertex4d_INDEXED INDEXED_void_GLdouble_GLdouble_GLdouble_GLdouble
#define glVertex4d_FORMAT FORMAT_void_GLdouble_GLdouble_GLdouble_GLdouble
#define glVertex4dv_INDEX 460
#define glVertex4dv_RETURN void
#define glVertex4dv_ARG_NAMES v
#define glVertex4dv_ARG_EXPAND const GLdouble * v
#define glVertex4dv_PACKED PACKED_void_const_GLdouble___GENPT__
#define glVertex4dv_INDEXED INDEXED_void_const_GLdouble___GENPT__
#define glVertex4dv_FORMAT FORMAT_void_const_GLdouble___GENPT__
#define glVertex4f_INDEX 461
#define glVertex4f_RETURN void
#define glVertex4f_ARG_NAMES x, y, z, w
#define glVertex4f_ARG_EXPAND GLfloat x, GLfloat y, GLfloat z, GLfloat w
#define glVertex4f_PACKED PACKED_void_GLfloat_GLfloat_GLfloat_GLfloat
#define glVertex4f_INDEXED INDEXED_void_GLfloat_GLfloat_GLfloat_GLfloat
#define glVertex4f_FORMAT FORMAT_void_GLfloat_GLfloat_GLfloat_GLfloat
#define glVertex4fv_INDEX 462
#define glVertex4fv_RETURN void
#define glVertex4fv_ARG_NAMES v
#define glVertex4fv_ARG_EXPAND const GLfloat * v
#define glVertex4fv_PACKED PACKED_void_const_GLfloat___GENPT__
#define glVertex4fv_INDEXED INDEXED_void_const_GLfloat___GENPT__
#define glVertex4fv_FORMAT FORMAT_void_const_GLfloat___GENPT__
#define glVertex4i_INDEX 463
#define glVertex4i_RETURN void
#define glVertex4i_ARG_NAMES x, y, z, w
#define glVertex4i_ARG_EXPAND GLint x, GLint y, GLint z, GLint w
#define glVertex4i_PACKED PACKED_void_GLint_GLint_GLint_GLint
#define glVertex4i_INDEXED INDEXED_void_GLint_GLint_GLint_GLint
#define glVertex4i_FORMAT FORMAT_void_GLint_GLint_GLint_GLint
#define glVertex4iv_INDEX 464
#define glVertex4iv_RETURN void
#define glVertex4iv_ARG_NAMES v
#define glVertex4iv_ARG_EXPAND const GLint * v
#define glVertex4iv_PACKED PACKED_void_const_GLint___GENPT__
#define glVertex4iv_INDEXED INDEXED_void_const_GLint___GENPT__
#define glVertex4iv_FORMAT FORMAT_void_const_GLint___GENPT__
#define glVertex4s_INDEX 465
#define glVertex4s_RETURN void
#define glVertex4s_ARG_NAMES x, y, z, w
#define glVertex4s_ARG_EXPAND GLshort x, GLshort y, GLshort z, GLshort w
#define glVertex4s_PACKED PACKED_void_GLshort_GLshort_GLshort_GLshort
#define glVertex4s_INDEXED INDEXED_void_GLshort_GLshort_GLshort_GLshort
#define glVertex4s_FORMAT FORMAT_void_GLshort_GLshort_GLshort_GLshort
#define glVertex4sv_INDEX 466
#define glVertex4sv_RETURN void
#define glVertex4sv_ARG_NAMES v
#define glVertex4sv_ARG_EXPAND const GLshort * v
#define glVertex4sv_PACKED PACKED_void_const_GLshort___GENPT__
#define glVertex4sv_INDEXED INDEXED_void_const_GLshort___GENPT__
#define glVertex4sv_FORMAT FORMAT_void_const_GLshort___GENPT__
#define glVertexPointer_INDEX 467
#define glVertexPointer_RETURN void
#define glVertexPointer_ARG_NAMES size, type, stride, pointer
#define glVertexPointer_ARG_EXPAND GLint size, GLenum type, GLsizei stride, const GLvoid * pointer
#define glVertexPointer_PACKED PACKED_void_GLint_GLenum_GLsizei_const_GLvoid___GENPT__
#define glVertexPointer_INDEXED INDEXED_void_GLint_GLenum_GLsizei_const_GLvoid___GENPT__
#define glVertexPointer_FORMAT FORMAT_void_GLint_GLenum_GLsizei_const_GLvoid___GENPT__
#define glViewport_INDEX 468
#define glViewport_RETURN void
#define glViewport_ARG_NAMES x, y, width, height
#define glViewport_ARG_EXPAND GLint x, GLint y, GLsizei width, GLsizei height
#define glViewport_PACKED PACKED_void_GLint_GLint_GLsizei_GLsizei
#define glViewport_INDEXED INDEXED_void_GLint_GLint_GLsizei_GLsizei
#define glViewport_FORMAT FORMAT_void_GLint_GLint_GLsizei_GLsizei
#define glWindowPos2d_INDEX 469
#define glWindowPos2d_RETURN void
#define glWindowPos2d_ARG_NAMES x, y
#define glWindowPos2d_ARG_EXPAND GLdouble x, GLdouble y
#define glWindowPos2d_PACKED PACKED_void_GLdouble_GLdouble
#define glWindowPos2d_INDEXED INDEXED_void_GLdouble_GLdouble
#define glWindowPos2d_FORMAT FORMAT_void_GLdouble_GLdouble
#define glWindowPos2dv_INDEX 470
#define glWindowPos2dv_RETURN void
#define glWindowPos2dv_ARG_NAMES v
#define glWindowPos2dv_ARG_EXPAND const GLdouble * v
#define glWindowPos2dv_PACKED PACKED_void_const_GLdouble___GENPT__
#define glWindowPos2dv_INDEXED INDEXED_void_const_GLdouble___GENPT__
#define glWindowPos2dv_FORMAT FORMAT_void_const_GLdouble___GENPT__
#define glWindowPos2f_INDEX 471
#define glWindowPos2f_RETURN void
#define glWindowPos2f_ARG_NAMES x, y
#define glWindowPos2f_ARG_EXPAND GLfloat x, GLfloat y
#define glWindowPos2f_PACKED PACKED_void_GLfloat_GLfloat
#define glWindowPos2f_INDEXED INDEXED_void_GLfloat_GLfloat
#define glWindowPos2f_FORMAT FORMAT_void_GLfloat_GLfloat
#define glWindowPos2fv_INDEX 472
#define glWindowPos2fv_RETURN void
#define glWindowPos2fv_ARG_NAMES v
#define glWindowPos2fv_ARG_EXPAND const GLfloat * v
#define glWindowPos2fv_PACKED PACKED_void_const_GLfloat___GENPT__
#define glWindowPos2fv_INDEXED INDEXED_void_const_GLfloat___GENPT__
#define glWindowPos2fv_FORMAT FORMAT_void_const_GLfloat___GENPT__
#define glWindowPos2i_INDEX 473
#define glWindowPos2i_RETURN void
#define glWindowPos2i_ARG_NAMES x, y
#define glWindowPos2i_ARG_EXPAND GLint x, GLint y
#define glWindowPos2i_PACKED PACKED_void_GLint_GLint
#define glWindowPos2i_INDEXED INDEXED_void_GLint_GLint
#define glWindowPos2i_FORMAT FORMAT_void_GLint_GLint
#define glWindowPos2iv_INDEX 474
#define glWindowPos2iv_RETURN void
#define glWindowPos2iv_ARG_NAMES v
#define glWindowPos2iv_ARG_EXPAND const GLint * v
#define glWindowPos2iv_PACKED PACKED_void_const_GLint___GENPT__
#define glWindowPos2iv_INDEXED INDEXED_void_const_GLint___GENPT__
#define glWindowPos2iv_FORMAT FORMAT_void_const_GLint___GENPT__
#define glWindowPos2s_INDEX 475
#define glWindowPos2s_RETURN void
#define glWindowPos2s_ARG_NAMES x, y
#define glWindowPos2s_ARG_EXPAND GLshort x, GLshort y
#define glWindowPos2s_PACKED PACKED_void_GLshort_GLshort
#define glWindowPos2s_INDEXED INDEXED_void_GLshort_GLshort
#define glWindowPos2s_FORMAT FORMAT_void_GLshort_GLshort
#define glWindowPos2sv_INDEX 476
#define glWindowPos2sv_RETURN void
#define glWindowPos2sv_ARG_NAMES v
#define glWindowPos2sv_ARG_EXPAND const GLshort * v
#define glWindowPos2sv_PACKED PACKED_void_const_GLshort___GENPT__
#define glWindowPos2sv_INDEXED INDEXED_void_const_GLshort___GENPT__
#define glWindowPos2sv_FORMAT FORMAT_void_const_GLshort___GENPT__
#define glWindowPos3d_INDEX 477
#define glWindowPos3d_RETURN void
#define glWindowPos3d_ARG_NAMES x, y, z
#define glWindowPos3d_ARG_EXPAND GLdouble x, GLdouble y, GLdouble z
#define glWindowPos3d_PACKED PACKED_void_GLdouble_GLdouble_GLdouble
#define glWindowPos3d_INDEXED INDEXED_void_GLdouble_GLdouble_GLdouble
#define glWindowPos3d_FORMAT FORMAT_void_GLdouble_GLdouble_GLdouble
#define glWindowPos3dv_INDEX 478
#define glWindowPos3dv_RETURN void
#define glWindowPos3dv_ARG_NAMES v
#define glWindowPos3dv_ARG_EXPAND const GLdouble * v
#define glWindowPos3dv_PACKED PACKED_void_const_GLdouble___GENPT__
#define glWindowPos3dv_INDEXED INDEXED_void_const_GLdouble___GENPT__
#define glWindowPos3dv_FORMAT FORMAT_void_const_GLdouble___GENPT__
#define glWindowPos3f_INDEX 479
#define glWindowPos3f_RETURN void
#define glWindowPos3f_ARG_NAMES x, y, z
#define glWindowPos3f_ARG_EXPAND GLfloat x, GLfloat y, GLfloat z
#define glWindowPos3f_PACKED PACKED_void_GLfloat_GLfloat_GLfloat
#define glWindowPos3f_INDEXED INDEXED_void_GLfloat_GLfloat_GLfloat
#define glWindowPos3f_FORMAT FORMAT_void_GLfloat_GLfloat_GLfloat
#define glWindowPos3fv_INDEX 480
#define glWindowPos3fv_RETURN void
#define glWindowPos3fv_ARG_NAMES v
#define glWindowPos3fv_ARG_EXPAND const GLfloat * v
#define glWindowPos3fv_PACKED PACKED_void_const_GLfloat___GENPT__
#define glWindowPos3fv_INDEXED INDEXED_void_const_GLfloat___GENPT__
#define glWindowPos3fv_FORMAT FORMAT_void_const_GLfloat___GENPT__
#define glWindowPos3i_INDEX 481
#define glWindowPos3i_RETURN void
#define glWindowPos3i_ARG_NAMES x, y, z
#define glWindowPos3i_ARG_EXPAND GLint x, GLint y, GLint z
#define glWindowPos3i_PACKED PACKED_void_GLint_GLint_GLint
#define glWindowPos3i_INDEXED INDEXED_void_GLint_GLint_GLint
#define glWindowPos3i_FORMAT FORMAT_void_GLint_GLint_GLint
#define glWindowPos3iv_INDEX 482
#define glWindowPos3iv_RETURN void
#define glWindowPos3iv_ARG_NAMES v
#define glWindowPos3iv_ARG_EXPAND const GLint * v
#define glWindowPos3iv_PACKED PACKED_void_const_GLint___GENPT__
#define glWindowPos3iv_INDEXED INDEXED_void_const_GLint___GENPT__
#define glWindowPos3iv_FORMAT FORMAT_void_const_GLint___GENPT__
#define glWindowPos3s_INDEX 483
#define glWindowPos3s_RETURN void
#define glWindowPos3s_ARG_NAMES x, y, z
#define glWindowPos3s_ARG_EXPAND GLshort x, GLshort y, GLshort z
#define glWindowPos3s_PACKED PACKED_void_GLshort_GLshort_GLshort
#define glWindowPos3s_INDEXED INDEXED_void_GLshort_GLshort_GLshort
#define glWindowPos3s_FORMAT FORMAT_void_GLshort_GLshort_GLshort
#define glWindowPos3sv_INDEX 484
#define glWindowPos3sv_RETURN void
#define glWindowPos3sv_ARG_NAMES v
#define glWindowPos3sv_ARG_EXPAND const GLshort * v
#define glWindowPos3sv_PACKED PACKED_void_const_GLshort___GENPT__
#define glWindowPos3sv_INDEXED INDEXED_void_const_GLshort___GENPT__
#define glWindowPos3sv_FORMAT FORMAT_void_const_GLshort___GENPT__
#define glXBindHyperpipeSGIX_INDEX 485
#define glXBindHyperpipeSGIX_RETURN int
#define glXBindHyperpipeSGIX_ARG_NAMES dpy, hpId
#define glXBindHyperpipeSGIX_ARG_EXPAND Display * dpy, int hpId
#define glXBindHyperpipeSGIX_PACKED PACKED_int_Display___GENPT___int
#define glXBindHyperpipeSGIX_INDEXED INDEXED_int_Display___GENPT___int
#define glXBindHyperpipeSGIX_FORMAT FORMAT_int_Display___GENPT___int
#define glXBindSwapBarrierSGIX_INDEX 486
#define glXBindSwapBarrierSGIX_RETURN void
#define glXBindSwapBarrierSGIX_ARG_NAMES window, barrier
#define glXBindSwapBarrierSGIX_ARG_EXPAND uint32_t window, uint32_t barrier
#define glXBindSwapBarrierSGIX_PACKED PACKED_void_uint32_t_uint32_t
#define glXBindSwapBarrierSGIX_INDEXED INDEXED_void_uint32_t_uint32_t
#define glXBindSwapBarrierSGIX_FORMAT FORMAT_void_uint32_t_uint32_t
#define glXChangeDrawableAttributes_INDEX 487
#define glXChangeDrawableAttributes_RETURN void
#define glXChangeDrawableAttributes_ARG_NAMES drawable
#define glXChangeDrawableAttributes_ARG_EXPAND uint32_t drawable
#define glXChangeDrawableAttributes_PACKED PACKED_void_uint32_t
#define glXChangeDrawableAttributes_INDEXED INDEXED_void_uint32_t
#define glXChangeDrawableAttributes_FORMAT FORMAT_void_uint32_t
#define glXChangeDrawableAttributesSGIX_INDEX 488
#define glXChangeDrawableAttributesSGIX_RETURN void
#define glXChangeDrawableAttributesSGIX_ARG_NAMES drawable
#define glXChangeDrawableAttributesSGIX_ARG_EXPAND uint32_t drawable
#define glXChangeDrawableAttributesSGIX_PACKED PACKED_void_uint32_t
#define glXChangeDrawableAttributesSGIX_INDEXED INDEXED_void_uint32_t
#define glXChangeDrawableAttributesSGIX_FORMAT FORMAT_void_uint32_t
#define glXChooseFBConfig_INDEX 489
#define glXChooseFBConfig_RETURN GLXFBConfig *
#define glXChooseFBConfig_ARG_NAMES dpy, screen, attrib_list, nelements
#define glXChooseFBConfig_ARG_EXPAND Display * dpy, int screen, const int * attrib_list, int * nelements
#define glXChooseFBConfig_PACKED PACKED_GLXFBConfig___GENPT___Display___GENPT___int_const_int___GENPT___int___GENPT__
#define glXChooseFBConfig_INDEXED INDEXED_GLXFBConfig___GENPT___Display___GENPT___int_const_int___GENPT___int___GENPT__
#define glXChooseFBConfig_FORMAT FORMAT_GLXFBConfig___GENPT___Display___GENPT___int_const_int___GENPT___int___GENPT__
#define glXChooseVisual_INDEX 490
#define glXChooseVisual_RETURN XVisualInfo *
#define glXChooseVisual_ARG_NAMES dpy, screen, attribList
#define glXChooseVisual_ARG_EXPAND Display * dpy, int screen, int * attribList
#define glXChooseVisual_PACKED PACKED_XVisualInfo___GENPT___Display___GENPT___int_int___GENPT__
#define glXChooseVisual_INDEXED INDEXED_XVisualInfo___GENPT___Display___GENPT___int_int___GENPT__
#define glXChooseVisual_FORMAT FORMAT_XVisualInfo___GENPT___Display___GENPT___int_int___GENPT__
#define glXClientInfo_INDEX 491
#define glXClientInfo_RETURN void
#define glXClientInfo_ARG_NAMES 
#define glXClientInfo_ARG_EXPAND 
#define glXClientInfo_PACKED PACKED_void
#define glXClientInfo_INDEXED INDEXED_void
#define glXClientInfo_FORMAT FORMAT_void
#define glXCopyContext_INDEX 492
#define glXCopyContext_RETURN void
#define glXCopyContext_ARG_NAMES dpy, src, dst, mask
#define glXCopyContext_ARG_EXPAND Display * dpy, GLXContext src, GLXContext dst, unsigned long mask
#define glXCopyContext_PACKED PACKED_void_Display___GENPT___GLXContext_GLXContext_unsigned_long
#define glXCopyContext_INDEXED INDEXED_void_Display___GENPT___GLXContext_GLXContext_unsigned_long
#define glXCopyContext_FORMAT FORMAT_void_Display___GENPT___GLXContext_GLXContext_unsigned_long
#define glXCreateContext_INDEX 493
#define glXCreateContext_RETURN GLXContext
#define glXCreateContext_ARG_NAMES dpy, vis, shareList, direct
#define glXCreateContext_ARG_EXPAND Display * dpy, XVisualInfo * vis, GLXContext shareList, Bool direct
#define glXCreateContext_PACKED PACKED_GLXContext_Display___GENPT___XVisualInfo___GENPT___GLXContext_Bool
#define glXCreateContext_INDEXED INDEXED_GLXContext_Display___GENPT___XVisualInfo___GENPT___GLXContext_Bool
#define glXCreateContext_FORMAT FORMAT_GLXContext_Display___GENPT___XVisualInfo___GENPT___GLXContext_Bool
#define glXCreateContextAttribsARB_INDEX 494
#define glXCreateContextAttribsARB_RETURN GLXContext
#define glXCreateContextAttribsARB_ARG_NAMES display, config, share_context, direct, attrib_list
#define glXCreateContextAttribsARB_ARG_EXPAND Display * display, void * config, GLXContext share_context, Bool direct, const int * attrib_list
#define glXCreateContextAttribsARB_PACKED PACKED_GLXContext_Display___GENPT___void___GENPT___GLXContext_Bool_const_int___GENPT__
#define glXCreateContextAttribsARB_INDEXED INDEXED_GLXContext_Display___GENPT___void___GENPT___GLXContext_Bool_const_int___GENPT__
#define glXCreateContextAttribsARB_FORMAT FORMAT_GLXContext_Display___GENPT___void___GENPT___GLXContext_Bool_const_int___GENPT__
#define glXCreateContextWithConfigSGIX_INDEX 495
#define glXCreateContextWithConfigSGIX_RETURN void
#define glXCreateContextWithConfigSGIX_ARG_NAMES gc_id, screen, config, share_list
#define glXCreateContextWithConfigSGIX_ARG_EXPAND uint32_t gc_id, uint32_t screen, uint32_t config, uint32_t share_list
#define glXCreateContextWithConfigSGIX_PACKED PACKED_void_uint32_t_uint32_t_uint32_t_uint32_t
#define glXCreateContextWithConfigSGIX_INDEXED INDEXED_void_uint32_t_uint32_t_uint32_t_uint32_t
#define glXCreateContextWithConfigSGIX_FORMAT FORMAT_void_uint32_t_uint32_t_uint32_t_uint32_t
#define glXCreateGLXPbufferSGIX_INDEX 496
#define glXCreateGLXPbufferSGIX_RETURN void
#define glXCreateGLXPbufferSGIX_ARG_NAMES config, pbuffer
#define glXCreateGLXPbufferSGIX_ARG_EXPAND uint32_t config, uint32_t pbuffer
#define glXCreateGLXPbufferSGIX_PACKED PACKED_void_uint32_t_uint32_t
#define glXCreateGLXPbufferSGIX_INDEXED INDEXED_void_uint32_t_uint32_t
#define glXCreateGLXPbufferSGIX_FORMAT FORMAT_void_uint32_t_uint32_t
#define glXCreateGLXPixmap_INDEX 497
#define glXCreateGLXPixmap_RETURN GLXPixmap
#define glXCreateGLXPixmap_ARG_NAMES dpy, visual, pixmap
#define glXCreateGLXPixmap_ARG_EXPAND Display * dpy, XVisualInfo * visual, Pixmap pixmap
#define glXCreateGLXPixmap_PACKED PACKED_GLXPixmap_Display___GENPT___XVisualInfo___GENPT___Pixmap
#define glXCreateGLXPixmap_INDEXED INDEXED_GLXPixmap_Display___GENPT___XVisualInfo___GENPT___Pixmap
#define glXCreateGLXPixmap_FORMAT FORMAT_GLXPixmap_Display___GENPT___XVisualInfo___GENPT___Pixmap
#define glXCreateGLXPixmapWithConfigSGIX_INDEX 498
#define glXCreateGLXPixmapWithConfigSGIX_RETURN void
#define glXCreateGLXPixmapWithConfigSGIX_ARG_NAMES config, pixmap, glxpixmap
#define glXCreateGLXPixmapWithConfigSGIX_ARG_EXPAND uint32_t config, uint32_t pixmap, uint32_t glxpixmap
#define glXCreateGLXPixmapWithConfigSGIX_PACKED PACKED_void_uint32_t_uint32_t_uint32_t
#define glXCreateGLXPixmapWithConfigSGIX_INDEXED INDEXED_void_uint32_t_uint32_t_uint32_t
#define glXCreateGLXPixmapWithConfigSGIX_FORMAT FORMAT_void_uint32_t_uint32_t_uint32_t
#define glXCreateGLXVideoSourceSGIX_INDEX 499
#define glXCreateGLXVideoSourceSGIX_RETURN void
#define glXCreateGLXVideoSourceSGIX_ARG_NAMES dpy, screen, server, path, class, node
#define glXCreateGLXVideoSourceSGIX_ARG_EXPAND Display * dpy, uint32_t screen, uint32_t server, uint32_t path, uint32_t class, uint32_t node
#define glXCreateGLXVideoSourceSGIX_PACKED PACKED_void_Display___GENPT___uint32_t_uint32_t_uint32_t_uint32_t_uint32_t
#define glXCreateGLXVideoSourceSGIX_INDEXED INDEXED_void_Display___GENPT___uint32_t_uint32_t_uint32_t_uint32_t_uint32_t
#define glXCreateGLXVideoSourceSGIX_FORMAT FORMAT_void_Display___GENPT___uint32_t_uint32_t_uint32_t_uint32_t_uint32_t
#define glXCreateNewContext_INDEX 500
#define glXCreateNewContext_RETURN GLXContext
#define glXCreateNewContext_ARG_NAMES dpy, config, render_type, share_list, direct
#define glXCreateNewContext_ARG_EXPAND Display * dpy, GLXFBConfig config, int render_type, GLXContext share_list, Bool direct
#define glXCreateNewContext_PACKED PACKED_GLXContext_Display___GENPT___GLXFBConfig_int_GLXContext_Bool
#define glXCreateNewContext_INDEXED INDEXED_GLXContext_Display___GENPT___GLXFBConfig_int_GLXContext_Bool
#define glXCreateNewContext_FORMAT FORMAT_GLXContext_Display___GENPT___GLXFBConfig_int_GLXContext_Bool
#define glXCreatePbuffer_INDEX 501
#define glXCreatePbuffer_RETURN GLXPbuffer
#define glXCreatePbuffer_ARG_NAMES dpy, config, attrib_list
#define glXCreatePbuffer_ARG_EXPAND Display * dpy, GLXFBConfig config, const int * attrib_list
#define glXCreatePbuffer_PACKED PACKED_GLXPbuffer_Display___GENPT___GLXFBConfig_const_int___GENPT__
#define glXCreatePbuffer_INDEXED INDEXED_GLXPbuffer_Display___GENPT___GLXFBConfig_const_int___GENPT__
#define glXCreatePbuffer_FORMAT FORMAT_GLXPbuffer_Display___GENPT___GLXFBConfig_const_int___GENPT__
#define glXCreatePixmap_INDEX 502
#define glXCreatePixmap_RETURN GLXPixmap
#define glXCreatePixmap_ARG_NAMES dpy, config, pixmap, attrib_list
#define glXCreatePixmap_ARG_EXPAND Display * dpy, GLXFBConfig config, Pixmap pixmap, const int * attrib_list
#define glXCreatePixmap_PACKED PACKED_GLXPixmap_Display___GENPT___GLXFBConfig_Pixmap_const_int___GENPT__
#define glXCreatePixmap_INDEXED INDEXED_GLXPixmap_Display___GENPT___GLXFBConfig_Pixmap_const_int___GENPT__
#define glXCreatePixmap_FORMAT FORMAT_GLXPixmap_Display___GENPT___GLXFBConfig_Pixmap_const_int___GENPT__
#define glXCreateWindow_INDEX 503
#define glXCreateWindow_RETURN GLXWindow
#define glXCreateWindow_ARG_NAMES dpy, config, win, attrib_list
#define glXCreateWindow_ARG_EXPAND Display * dpy, GLXFBConfig config, Window win, const int * attrib_list
#define glXCreateWindow_PACKED PACKED_GLXWindow_Display___GENPT___GLXFBConfig_Window_const_int___GENPT__
#define glXCreateWindow_INDEXED INDEXED_GLXWindow_Display___GENPT___GLXFBConfig_Window_const_int___GENPT__
#define glXCreateWindow_FORMAT FORMAT_GLXWindow_Display___GENPT___GLXFBConfig_Window_const_int___GENPT__
#define glXDestroyContext_INDEX 504
#define glXDestroyContext_RETURN void
#define glXDestroyContext_ARG_NAMES dpy, ctx
#define glXDestroyContext_ARG_EXPAND Display * dpy, GLXContext ctx
#define glXDestroyContext_PACKED PACKED_void_Display___GENPT___GLXContext
#define glXDestroyContext_INDEXED INDEXED_void_Display___GENPT___GLXContext
#define glXDestroyContext_FORMAT FORMAT_void_Display___GENPT___GLXContext
#define glXDestroyGLXPbufferSGIX_INDEX 505
#define glXDestroyGLXPbufferSGIX_RETURN void
#define glXDestroyGLXPbufferSGIX_ARG_NAMES pbuffer
#define glXDestroyGLXPbufferSGIX_ARG_EXPAND uint32_t pbuffer
#define glXDestroyGLXPbufferSGIX_PACKED PACKED_void_uint32_t
#define glXDestroyGLXPbufferSGIX_INDEXED INDEXED_void_uint32_t
#define glXDestroyGLXPbufferSGIX_FORMAT FORMAT_void_uint32_t
#define glXDestroyGLXPixmap_INDEX 506
#define glXDestroyGLXPixmap_RETURN void
#define glXDestroyGLXPixmap_ARG_NAMES dpy, pixmap
#define glXDestroyGLXPixmap_ARG_EXPAND Display * dpy, GLXPixmap pixmap
#define glXDestroyGLXPixmap_PACKED PACKED_void_Display___GENPT___GLXPixmap
#define glXDestroyGLXPixmap_INDEXED INDEXED_void_Display___GENPT___GLXPixmap
#define glXDestroyGLXPixmap_FORMAT FORMAT_void_Display___GENPT___GLXPixmap
#define glXDestroyGLXVideoSourceSGIX_INDEX 507
#define glXDestroyGLXVideoSourceSGIX_RETURN void
#define glXDestroyGLXVideoSourceSGIX_ARG_NAMES dpy, glxvideosource
#define glXDestroyGLXVideoSourceSGIX_ARG_EXPAND Display * dpy, uint32_t glxvideosource
#define glXDestroyGLXVideoSourceSGIX_PACKED PACKED_void_Display___GENPT___uint32_t
#define glXDestroyGLXVideoSourceSGIX_INDEXED INDEXED_void_Display___GENPT___uint32_t
#define glXDestroyGLXVideoSourceSGIX_FORMAT FORMAT_void_Display___GENPT___uint32_t
#define glXDestroyHyperpipeConfigSGIX_INDEX 508
#define glXDestroyHyperpipeConfigSGIX_RETURN int
#define glXDestroyHyperpipeConfigSGIX_ARG_NAMES dpy, hpId
#define glXDestroyHyperpipeConfigSGIX_ARG_EXPAND Display * dpy, int hpId
#define glXDestroyHyperpipeConfigSGIX_PACKED PACKED_int_Display___GENPT___int
#define glXDestroyHyperpipeConfigSGIX_INDEXED INDEXED_int_Display___GENPT___int
#define glXDestroyHyperpipeConfigSGIX_FORMAT FORMAT_int_Display___GENPT___int
#define glXDestroyPbuffer_INDEX 509
#define glXDestroyPbuffer_RETURN void
#define glXDestroyPbuffer_ARG_NAMES dpy, pbuf
#define glXDestroyPbuffer_ARG_EXPAND Display * dpy, GLXPbuffer pbuf
#define glXDestroyPbuffer_PACKED PACKED_void_Display___GENPT___GLXPbuffer
#define glXDestroyPbuffer_INDEXED INDEXED_void_Display___GENPT___GLXPbuffer
#define glXDestroyPbuffer_FORMAT FORMAT_void_Display___GENPT___GLXPbuffer
#define glXDestroyPixmap_INDEX 510
#define glXDestroyPixmap_RETURN void
#define glXDestroyPixmap_ARG_NAMES dpy, pixmap
#define glXDestroyPixmap_ARG_EXPAND Display * dpy, GLXPixmap pixmap
#define glXDestroyPixmap_PACKED PACKED_void_Display___GENPT___GLXPixmap
#define glXDestroyPixmap_INDEXED INDEXED_void_Display___GENPT___GLXPixmap
#define glXDestroyPixmap_FORMAT FORMAT_void_Display___GENPT___GLXPixmap
#define glXDestroyWindow_INDEX 511
#define glXDestroyWindow_RETURN void
#define glXDestroyWindow_ARG_NAMES dpy, win
#define glXDestroyWindow_ARG_EXPAND Display * dpy, GLXWindow win
#define glXDestroyWindow_PACKED PACKED_void_Display___GENPT___GLXWindow
#define glXDestroyWindow_INDEXED INDEXED_void_Display___GENPT___GLXWindow
#define glXDestroyWindow_FORMAT FORMAT_void_Display___GENPT___GLXWindow
#define glXGetClientString_INDEX 512
#define glXGetClientString_RETURN const char *
#define glXGetClientString_ARG_NAMES display, name
#define glXGetClientString_ARG_EXPAND Display * display, int name
#define glXGetClientString_PACKED PACKED_const_char___GENPT___Display___GENPT___int
#define glXGetClientString_INDEXED INDEXED_const_char___GENPT___Display___GENPT___int
#define glXGetClientString_FORMAT FORMAT_const_char___GENPT___Display___GENPT___int
#define glXGetConfig_INDEX 513
#define glXGetConfig_RETURN int
#define glXGetConfig_ARG_NAMES display, visual, attribute, value
#define glXGetConfig_ARG_EXPAND Display * display, XVisualInfo * visual, int attribute, int * value
#define glXGetConfig_PACKED PACKED_int_Display___GENPT___XVisualInfo___GENPT___int_int___GENPT__
#define glXGetConfig_INDEXED INDEXED_int_Display___GENPT___XVisualInfo___GENPT___int_int___GENPT__
#define glXGetConfig_FORMAT FORMAT_int_Display___GENPT___XVisualInfo___GENPT___int_int___GENPT__
#define glXGetCurrentContext_INDEX 514
#define glXGetCurrentContext_RETURN GLXContext
#define glXGetCurrentContext_ARG_NAMES 
#define glXGetCurrentContext_ARG_EXPAND 
#define glXGetCurrentContext_PACKED PACKED_GLXContext
#define glXGetCurrentContext_INDEXED INDEXED_GLXContext
#define glXGetCurrentContext_FORMAT FORMAT_GLXContext
#define glXGetCurrentDisplay_INDEX 515
#define glXGetCurrentDisplay_RETURN Display *
#define glXGetCurrentDisplay_ARG_NAMES 
#define glXGetCurrentDisplay_ARG_EXPAND 
#define glXGetCurrentDisplay_PACKED PACKED_Display___GENPT__
#define glXGetCurrentDisplay_INDEXED INDEXED_Display___GENPT__
#define glXGetCurrentDisplay_FORMAT FORMAT_Display___GENPT__
#define glXGetCurrentDrawable_INDEX 516
#define glXGetCurrentDrawable_RETURN GLXDrawable
#define glXGetCurrentDrawable_ARG_NAMES 
#define glXGetCurrentDrawable_ARG_EXPAND 
#define glXGetCurrentDrawable_PACKED PACKED_GLXDrawable
#define glXGetCurrentDrawable_INDEXED INDEXED_GLXDrawable
#define glXGetCurrentDrawable_FORMAT FORMAT_GLXDrawable
#define glXGetCurrentReadDrawable_INDEX 517
#define glXGetCurrentReadDrawable_RETURN GLXDrawable
#define glXGetCurrentReadDrawable_ARG_NAMES 
#define glXGetCurrentReadDrawable_ARG_EXPAND 
#define glXGetCurrentReadDrawable_PACKED PACKED_GLXDrawable
#define glXGetCurrentReadDrawable_INDEXED INDEXED_GLXDrawable
#define glXGetCurrentReadDrawable_FORMAT FORMAT_GLXDrawable
#define glXGetDrawableAttributes_INDEX 518
#define glXGetDrawableAttributes_RETURN void
#define glXGetDrawableAttributes_ARG_NAMES drawable
#define glXGetDrawableAttributes_ARG_EXPAND uint32_t drawable
#define glXGetDrawableAttributes_PACKED PACKED_void_uint32_t
#define glXGetDrawableAttributes_INDEXED INDEXED_void_uint32_t
#define glXGetDrawableAttributes_FORMAT FORMAT_void_uint32_t
#define glXGetDrawableAttributesSGIX_INDEX 519
#define glXGetDrawableAttributesSGIX_RETURN void
#define glXGetDrawableAttributesSGIX_ARG_NAMES drawable
#define glXGetDrawableAttributesSGIX_ARG_EXPAND uint32_t drawable
#define glXGetDrawableAttributesSGIX_PACKED PACKED_void_uint32_t
#define glXGetDrawableAttributesSGIX_INDEXED INDEXED_void_uint32_t
#define glXGetDrawableAttributesSGIX_FORMAT FORMAT_void_uint32_t
#define glXGetFBConfigAttrib_INDEX 520
#define glXGetFBConfigAttrib_RETURN int
#define glXGetFBConfigAttrib_ARG_NAMES dpy, config, attribute, value
#define glXGetFBConfigAttrib_ARG_EXPAND Display * dpy, GLXFBConfig config, int attribute, int * value
#define glXGetFBConfigAttrib_PACKED PACKED_int_Display___GENPT___GLXFBConfig_int_int___GENPT__
#define glXGetFBConfigAttrib_INDEXED INDEXED_int_Display___GENPT___GLXFBConfig_int_int___GENPT__
#define glXGetFBConfigAttrib_FORMAT FORMAT_int_Display___GENPT___GLXFBConfig_int_int___GENPT__
#define glXGetFBConfigs_INDEX 521
#define glXGetFBConfigs_RETURN GLXFBConfig *
#define glXGetFBConfigs_ARG_NAMES dpy, screen, nelements
#define glXGetFBConfigs_ARG_EXPAND Display * dpy, int screen, int * nelements
#define glXGetFBConfigs_PACKED PACKED_GLXFBConfig___GENPT___Display___GENPT___int_int___GENPT__
#define glXGetFBConfigs_INDEXED INDEXED_GLXFBConfig___GENPT___Display___GENPT___int_int___GENPT__
#define glXGetFBConfigs_FORMAT FORMAT_GLXFBConfig___GENPT___Display___GENPT___int_int___GENPT__
#define glXGetFBConfigsSGIX_INDEX 522
#define glXGetFBConfigsSGIX_RETURN void
#define glXGetFBConfigsSGIX_ARG_NAMES 
#define glXGetFBConfigsSGIX_ARG_EXPAND 
#define glXGetFBConfigsSGIX_PACKED PACKED_void
#define glXGetFBConfigsSGIX_INDEXED INDEXED_void
#define glXGetFBConfigsSGIX_FORMAT FORMAT_void
#define glXGetProcAddress_INDEX 523
#define glXGetProcAddress_RETURN __GLXextFuncPtr
#define glXGetProcAddress_ARG_NAMES procName
#define glXGetProcAddress_ARG_EXPAND const GLubyte * procName
#define glXGetProcAddress_PACKED PACKED___GLXextFuncPtr_const_GLubyte___GENPT__
#define glXGetProcAddress_INDEXED INDEXED___GLXextFuncPtr_const_GLubyte___GENPT__
#define glXGetProcAddress_FORMAT FORMAT___GLXextFuncPtr_const_GLubyte___GENPT__
#define glXGetSelectedEvent_INDEX 524
#define glXGetSelectedEvent_RETURN void
#define glXGetSelectedEvent_ARG_NAMES dpy, draw, event_mask
#define glXGetSelectedEvent_ARG_EXPAND Display * dpy, GLXDrawable draw, unsigned long * event_mask
#define glXGetSelectedEvent_PACKED PACKED_void_Display___GENPT___GLXDrawable_unsigned_long___GENPT__
#define glXGetSelectedEvent_INDEXED INDEXED_void_Display___GENPT___GLXDrawable_unsigned_long___GENPT__
#define glXGetSelectedEvent_FORMAT FORMAT_void_Display___GENPT___GLXDrawable_unsigned_long___GENPT__
#define glXGetVisualConfigs_INDEX 525
#define glXGetVisualConfigs_RETURN void
#define glXGetVisualConfigs_ARG_NAMES 
#define glXGetVisualConfigs_ARG_EXPAND 
#define glXGetVisualConfigs_PACKED PACKED_void
#define glXGetVisualConfigs_INDEXED INDEXED_void
#define glXGetVisualConfigs_FORMAT FORMAT_void
#define glXGetVisualFromFBConfig_INDEX 526
#define glXGetVisualFromFBConfig_RETURN XVisualInfo *
#define glXGetVisualFromFBConfig_ARG_NAMES dpy, config
#define glXGetVisualFromFBConfig_ARG_EXPAND Display * dpy, GLXFBConfig config
#define glXGetVisualFromFBConfig_PACKED PACKED_XVisualInfo___GENPT___Display___GENPT___GLXFBConfig
#define glXGetVisualFromFBConfig_INDEXED INDEXED_XVisualInfo___GENPT___Display___GENPT___GLXFBConfig
#define glXGetVisualFromFBConfig_FORMAT FORMAT_XVisualInfo___GENPT___Display___GENPT___GLXFBConfig
#define glXHyperpipeAttribSGIX_INDEX 527
#define glXHyperpipeAttribSGIX_RETURN int
#define glXHyperpipeAttribSGIX_ARG_NAMES dpy, timeSlice, attrib, size, attribList
#define glXHyperpipeAttribSGIX_ARG_EXPAND Display * dpy, int timeSlice, int attrib, int size, const void * attribList
#define glXHyperpipeAttribSGIX_PACKED PACKED_int_Display___GENPT___int_int_int_const_void___GENPT__
#define glXHyperpipeAttribSGIX_INDEXED INDEXED_int_Display___GENPT___int_int_int_const_void___GENPT__
#define glXHyperpipeAttribSGIX_FORMAT FORMAT_int_Display___GENPT___int_int_int_const_void___GENPT__
#define glXHyperpipeConfigSGIX_INDEX 528
#define glXHyperpipeConfigSGIX_RETURN int
#define glXHyperpipeConfigSGIX_ARG_NAMES dpy, networkId, npipes, cfg, hpId
#define glXHyperpipeConfigSGIX_ARG_EXPAND Display * dpy, int networkId, int npipes, GLXHyperpipeConfigSGIX cfg, int * hpId
#define glXHyperpipeConfigSGIX_PACKED PACKED_int_Display___GENPT___int_int_GLXHyperpipeConfigSGIX_int___GENPT__
#define glXHyperpipeConfigSGIX_INDEXED INDEXED_int_Display___GENPT___int_int_GLXHyperpipeConfigSGIX_int___GENPT__
#define glXHyperpipeConfigSGIX_FORMAT FORMAT_int_Display___GENPT___int_int_GLXHyperpipeConfigSGIX_int___GENPT__
#define glXIsDirect_INDEX 529
#define glXIsDirect_RETURN Bool
#define glXIsDirect_ARG_NAMES dpy, ctx
#define glXIsDirect_ARG_EXPAND Display * dpy, GLXContext ctx
#define glXIsDirect_PACKED PACKED_Bool_Display___GENPT___GLXContext
#define glXIsDirect_INDEXED INDEXED_Bool_Display___GENPT___GLXContext
#define glXIsDirect_FORMAT FORMAT_Bool_Display___GENPT___GLXContext
#define glXJoinSwapGroupSGIX_INDEX 530
#define glXJoinSwapGroupSGIX_RETURN void
#define glXJoinSwapGroupSGIX_ARG_NAMES window, group
#define glXJoinSwapGroupSGIX_ARG_EXPAND uint32_t window, uint32_t group
#define glXJoinSwapGroupSGIX_PACKED PACKED_void_uint32_t_uint32_t
#define glXJoinSwapGroupSGIX_INDEXED INDEXED_void_uint32_t_uint32_t
#define glXJoinSwapGroupSGIX_FORMAT FORMAT_void_uint32_t_uint32_t
#define glXMakeContextCurrent_INDEX 531
#define glXMakeContextCurrent_RETURN Bool
#define glXMakeContextCurrent_ARG_NAMES dpy, draw, read, ctx
#define glXMakeContextCurrent_ARG_EXPAND Display * dpy, GLXDrawable draw, GLXDrawable read, GLXContext ctx
#define glXMakeContextCurrent_PACKED PACKED_Bool_Display___GENPT___GLXDrawable_GLXDrawable_GLXContext
#define glXMakeContextCurrent_INDEXED INDEXED_Bool_Display___GENPT___GLXDrawable_GLXDrawable_GLXContext
#define glXMakeContextCurrent_FORMAT FORMAT_Bool_Display___GENPT___GLXDrawable_GLXDrawable_GLXContext
#define glXMakeCurrent_INDEX 532
#define glXMakeCurrent_RETURN Bool
#define glXMakeCurrent_ARG_NAMES dpy, drawable, ctx
#define glXMakeCurrent_ARG_EXPAND Display * dpy, GLXDrawable drawable, GLXContext ctx
#define glXMakeCurrent_PACKED PACKED_Bool_Display___GENPT___GLXDrawable_GLXContext
#define glXMakeCurrent_INDEXED INDEXED_Bool_Display___GENPT___GLXDrawable_GLXContext
#define glXMakeCurrent_FORMAT FORMAT_Bool_Display___GENPT___GLXDrawable_GLXContext
#define glXMakeCurrentReadSGI_INDEX 533
#define glXMakeCurrentReadSGI_RETURN void
#define glXMakeCurrentReadSGI_ARG_NAMES drawable, readdrawable, context
#define glXMakeCurrentReadSGI_ARG_EXPAND uint32_t drawable, uint32_t readdrawable, uint32_t context
#define glXMakeCurrentReadSGI_PACKED PACKED_void_uint32_t_uint32_t_uint32_t
#define glXMakeCurrentReadSGI_INDEXED INDEXED_void_uint32_t_uint32_t_uint32_t
#define glXMakeCurrentReadSGI_FORMAT FORMAT_void_uint32_t_uint32_t_uint32_t
#define glXQueryContext_INDEX 534
#define glXQueryContext_RETURN int
#define glXQueryContext_ARG_NAMES dpy, ctx, attribute, value
#define glXQueryContext_ARG_EXPAND Display * dpy, GLXContext ctx, int attribute, int * value
#define glXQueryContext_PACKED PACKED_int_Display___GENPT___GLXContext_int_int___GENPT__
#define glXQueryContext_INDEXED INDEXED_int_Display___GENPT___GLXContext_int_int___GENPT__
#define glXQueryContext_FORMAT FORMAT_int_Display___GENPT___GLXContext_int_int___GENPT__
#define glXQueryContextInfoEXT_INDEX 535
#define glXQueryContextInfoEXT_RETURN void
#define glXQueryContextInfoEXT_ARG_NAMES 
#define glXQueryContextInfoEXT_ARG_EXPAND 
#define glXQueryContextInfoEXT_PACKED PACKED_void
#define glXQueryContextInfoEXT_INDEXED INDEXED_void
#define glXQueryContextInfoEXT_FORMAT FORMAT_void
#define glXQueryDrawable_INDEX 536
#define glXQueryDrawable_RETURN void
#define glXQueryDrawable_ARG_NAMES dpy, draw, attribute, value
#define glXQueryDrawable_ARG_EXPAND Display * dpy, GLXDrawable draw, int attribute, unsigned int * value
#define glXQueryDrawable_PACKED PACKED_void_Display___GENPT___GLXDrawable_int_unsigned_int___GENPT__
#define glXQueryDrawable_INDEXED INDEXED_void_Display___GENPT___GLXDrawable_int_unsigned_int___GENPT__
#define glXQueryDrawable_FORMAT FORMAT_void_Display___GENPT___GLXDrawable_int_unsigned_int___GENPT__
#define glXQueryExtension_INDEX 537
#define glXQueryExtension_RETURN Bool
#define glXQueryExtension_ARG_NAMES display, errorBase, eventBase
#define glXQueryExtension_ARG_EXPAND Display * display, int * errorBase, int * eventBase
#define glXQueryExtension_PACKED PACKED_Bool_Display___GENPT___int___GENPT___int___GENPT__
#define glXQueryExtension_INDEXED INDEXED_Bool_Display___GENPT___int___GENPT___int___GENPT__
#define glXQueryExtension_FORMAT FORMAT_Bool_Display___GENPT___int___GENPT___int___GENPT__
#define glXQueryExtensionsString_INDEX 538
#define glXQueryExtensionsString_RETURN const char *
#define glXQueryExtensionsString_ARG_NAMES dpy, screen
#define glXQueryExtensionsString_ARG_EXPAND Display * dpy, int screen
#define glXQueryExtensionsString_PACKED PACKED_const_char___GENPT___Display___GENPT___int
#define glXQueryExtensionsString_INDEXED INDEXED_const_char___GENPT___Display___GENPT___int
#define glXQueryExtensionsString_FORMAT FORMAT_const_char___GENPT___Display___GENPT___int
#define glXQueryHyperpipeAttribSGIX_INDEX 539
#define glXQueryHyperpipeAttribSGIX_RETURN int
#define glXQueryHyperpipeAttribSGIX_ARG_NAMES dpy, timeSlice, attrib, size, returnAttribList
#define glXQueryHyperpipeAttribSGIX_ARG_EXPAND Display * dpy, int timeSlice, int attrib, int size, const void * returnAttribList
#define glXQueryHyperpipeAttribSGIX_PACKED PACKED_int_Display___GENPT___int_int_int_const_void___GENPT__
#define glXQueryHyperpipeAttribSGIX_INDEXED INDEXED_int_Display___GENPT___int_int_int_const_void___GENPT__
#define glXQueryHyperpipeAttribSGIX_FORMAT FORMAT_int_Display___GENPT___int_int_int_const_void___GENPT__
#define glXQueryHyperpipeBestAttribSGIX_INDEX 540
#define glXQueryHyperpipeBestAttribSGIX_RETURN int
#define glXQueryHyperpipeBestAttribSGIX_ARG_NAMES dpy, timeSlice, attrib, size, attribList, returnAttribList
#define glXQueryHyperpipeBestAttribSGIX_ARG_EXPAND Display * dpy, int timeSlice, int attrib, int size, const void * attribList, void * returnAttribList
#define glXQueryHyperpipeBestAttribSGIX_PACKED PACKED_int_Display___GENPT___int_int_int_const_void___GENPT___void___GENPT__
#define glXQueryHyperpipeBestAttribSGIX_INDEXED INDEXED_int_Display___GENPT___int_int_int_const_void___GENPT___void___GENPT__
#define glXQueryHyperpipeBestAttribSGIX_FORMAT FORMAT_int_Display___GENPT___int_int_int_const_void___GENPT___void___GENPT__
#define glXQueryHyperpipeConfigSGIX_INDEX 541
#define glXQueryHyperpipeConfigSGIX_RETURN GLXHyperpipeConfigSGIX *
#define glXQueryHyperpipeConfigSGIX_ARG_NAMES dpy, hpId, npipes
#define glXQueryHyperpipeConfigSGIX_ARG_EXPAND Display * dpy, int hpId, int * npipes
#define glXQueryHyperpipeConfigSGIX_PACKED PACKED_GLXHyperpipeConfigSGIX___GENPT___Display___GENPT___int_int___GENPT__
#define glXQueryHyperpipeConfigSGIX_INDEXED INDEXED_GLXHyperpipeConfigSGIX___GENPT___Display___GENPT___int_int___GENPT__
#define glXQueryHyperpipeConfigSGIX_FORMAT FORMAT_GLXHyperpipeConfigSGIX___GENPT___Display___GENPT___int_int___GENPT__
#define glXQueryHyperpipeNetworkSGIX_INDEX 542
#define glXQueryHyperpipeNetworkSGIX_RETURN GLXHyperpipeNetworkSGIX *
#define glXQueryHyperpipeNetworkSGIX_ARG_NAMES dpy, npipes
#define glXQueryHyperpipeNetworkSGIX_ARG_EXPAND Display * dpy, int * npipes
#define glXQueryHyperpipeNetworkSGIX_PACKED PACKED_GLXHyperpipeNetworkSGIX___GENPT___Display___GENPT___int___GENPT__
#define glXQueryHyperpipeNetworkSGIX_INDEXED INDEXED_GLXHyperpipeNetworkSGIX___GENPT___Display___GENPT___int___GENPT__
#define glXQueryHyperpipeNetworkSGIX_FORMAT FORMAT_GLXHyperpipeNetworkSGIX___GENPT___Display___GENPT___int___GENPT__
#define glXQueryMaxSwapBarriersSGIX_INDEX 543
#define glXQueryMaxSwapBarriersSGIX_RETURN void
#define glXQueryMaxSwapBarriersSGIX_ARG_NAMES 
#define glXQueryMaxSwapBarriersSGIX_ARG_EXPAND 
#define glXQueryMaxSwapBarriersSGIX_PACKED PACKED_void
#define glXQueryMaxSwapBarriersSGIX_INDEXED INDEXED_void
#define glXQueryMaxSwapBarriersSGIX_FORMAT FORMAT_void
#define glXQueryServerString_INDEX 544
#define glXQueryServerString_RETURN const char *
#define glXQueryServerString_ARG_NAMES dpy, screen, name
#define glXQueryServerString_ARG_EXPAND Display * dpy, int screen, int name
#define glXQueryServerString_PACKED PACKED_const_char___GENPT___Display___GENPT___int_int
#define glXQueryServerString_INDEXED INDEXED_const_char___GENPT___Display___GENPT___int_int
#define glXQueryServerString_FORMAT FORMAT_const_char___GENPT___Display___GENPT___int_int
#define glXQueryVersion_INDEX 545
#define glXQueryVersion_RETURN Bool
#define glXQueryVersion_ARG_NAMES dpy, maj, min
#define glXQueryVersion_ARG_EXPAND Display * dpy, int * maj, int * min
#define glXQueryVersion_PACKED PACKED_Bool_Display___GENPT___int___GENPT___int___GENPT__
#define glXQueryVersion_INDEXED INDEXED_Bool_Display___GENPT___int___GENPT___int___GENPT__
#define glXQueryVersion_FORMAT FORMAT_Bool_Display___GENPT___int___GENPT___int___GENPT__
#define glXReleaseBuffersMESA_INDEX 546
#define glXReleaseBuffersMESA_RETURN Bool
#define glXReleaseBuffersMESA_ARG_NAMES dpy, drawable
#define glXReleaseBuffersMESA_ARG_EXPAND Display * dpy, GLXDrawable drawable
#define glXReleaseBuffersMESA_PACKED PACKED_Bool_Display___GENPT___GLXDrawable
#define glXReleaseBuffersMESA_INDEXED INDEXED_Bool_Display___GENPT___GLXDrawable
#define glXReleaseBuffersMESA_FORMAT FORMAT_Bool_Display___GENPT___GLXDrawable
#define glXRender_INDEX 547
#define glXRender_RETURN void
#define glXRender_ARG_NAMES 
#define glXRender_ARG_EXPAND 
#define glXRender_PACKED PACKED_void
#define glXRender_INDEXED INDEXED_void
#define glXRender_FORMAT FORMAT_void
#define glXRenderLarge_INDEX 548
#define glXRenderLarge_RETURN void
#define glXRenderLarge_ARG_NAMES 
#define glXRenderLarge_ARG_EXPAND 
#define glXRenderLarge_PACKED PACKED_void
#define glXRenderLarge_INDEXED INDEXED_void
#define glXRenderLarge_FORMAT FORMAT_void
#define glXSelectEvent_INDEX 549
#define glXSelectEvent_RETURN void
#define glXSelectEvent_ARG_NAMES dpy, draw, event_mask
#define glXSelectEvent_ARG_EXPAND Display * dpy, GLXDrawable draw, unsigned long event_mask
#define glXSelectEvent_PACKED PACKED_void_Display___GENPT___GLXDrawable_unsigned_long
#define glXSelectEvent_INDEXED INDEXED_void_Display___GENPT___GLXDrawable_unsigned_long
#define glXSelectEvent_FORMAT FORMAT_void_Display___GENPT___GLXDrawable_unsigned_long
#define glXSwapBuffers_INDEX 550
#define glXSwapBuffers_RETURN void
#define glXSwapBuffers_ARG_NAMES dpy, drawable
#define glXSwapBuffers_ARG_EXPAND Display * dpy, GLXDrawable drawable
#define glXSwapBuffers_PACKED PACKED_void_Display___GENPT___GLXDrawable
#define glXSwapBuffers_INDEXED INDEXED_void_Display___GENPT___GLXDrawable
#define glXSwapBuffers_FORMAT FORMAT_void_Display___GENPT___GLXDrawable
#define glXSwapIntervalMESA_INDEX 551
#define glXSwapIntervalMESA_RETURN int
#define glXSwapIntervalMESA_ARG_NAMES interval
#define glXSwapIntervalMESA_ARG_EXPAND unsigned int interval
#define glXSwapIntervalMESA_PACKED PACKED_int_unsigned_int
#define glXSwapIntervalMESA_INDEXED INDEXED_int_unsigned_int
#define glXSwapIntervalMESA_FORMAT FORMAT_int_unsigned_int
#define glXSwapIntervalSGI_INDEX 552
#define glXSwapIntervalSGI_RETURN void
#define glXSwapIntervalSGI_ARG_NAMES interval
#define glXSwapIntervalSGI_ARG_EXPAND unsigned int interval
#define glXSwapIntervalSGI_PACKED PACKED_void_unsigned_int
#define glXSwapIntervalSGI_INDEXED INDEXED_void_unsigned_int
#define glXSwapIntervalSGI_FORMAT FORMAT_void_unsigned_int
#define glXUseXFont_INDEX 553
#define glXUseXFont_RETURN void
#define glXUseXFont_ARG_NAMES font, first, count, list
#define glXUseXFont_ARG_EXPAND Font font, int first, int count, int list
#define glXUseXFont_PACKED PACKED_void_Font_int_int_int
#define glXUseXFont_INDEXED INDEXED_void_Font_int_int_int
#define glXUseXFont_FORMAT FORMAT_void_Font_int_int_int
#define glXVendorPrivate_INDEX 554
#define glXVendorPrivate_RETURN void
#define glXVendorPrivate_ARG_NAMES 
#define glXVendorPrivate_ARG_EXPAND 
#define glXVendorPrivate_PACKED PACKED_void
#define glXVendorPrivate_INDEXED INDEXED_void
#define glXVendorPrivate_FORMAT FORMAT_void
#define glXVendorPrivateWithReply_INDEX 555
#define glXVendorPrivateWithReply_RETURN void
#define glXVendorPrivateWithReply_ARG_NAMES 
#define glXVendorPrivateWithReply_ARG_EXPAND 
#define glXVendorPrivateWithReply_PACKED PACKED_void
#define glXVendorPrivateWithReply_INDEXED INDEXED_void
#define glXVendorPrivateWithReply_FORMAT FORMAT_void
#define glXWaitGL_INDEX 556
#define glXWaitGL_RETURN void
#define glXWaitGL_ARG_NAMES 
#define glXWaitGL_ARG_EXPAND 
#define glXWaitGL_PACKED PACKED_void
#define glXWaitGL_INDEXED INDEXED_void
#define glXWaitGL_FORMAT FORMAT_void
#define glXWaitX_INDEX 557
#define glXWaitX_RETURN void
#define glXWaitX_ARG_NAMES 
#define glXWaitX_ARG_EXPAND 
#define glXWaitX_PACKED PACKED_void
#define glXWaitX_INDEXED INDEXED_void
#define glXWaitX_FORMAT FORMAT_void
#define snd_asoundlib_version_INDEX 558
#define snd_asoundlib_version_RETURN const char *
#define snd_asoundlib_version_ARG_NAMES 
#define snd_asoundlib_version_ARG_EXPAND 
#define snd_asoundlib_version_PACKED PACKED_const_char___GENPT__
#define snd_asoundlib_version_INDEXED INDEXED_const_char___GENPT__
#define snd_asoundlib_version_FORMAT FORMAT_const_char___GENPT__
#define snd_async_add_ctl_handler_INDEX 559
#define snd_async_add_ctl_handler_RETURN int
#define snd_async_add_ctl_handler_ARG_NAMES handler, ctl, callback, private_data
#define snd_async_add_ctl_handler_ARG_EXPAND snd_async_handler_t ** handler, snd_ctl_t * ctl, snd_async_callback_t callback, void * private_data
#define snd_async_add_ctl_handler_PACKED PACKED_int_snd_async_handler_t___GENPT____GENPT___snd_ctl_t___GENPT___snd_async_callback_t_void___GENPT__
#define snd_async_add_ctl_handler_INDEXED INDEXED_int_snd_async_handler_t___GENPT____GENPT___snd_ctl_t___GENPT___snd_async_callback_t_void___GENPT__
#define snd_async_add_ctl_handler_FORMAT FORMAT_int_snd_async_handler_t___GENPT____GENPT___snd_ctl_t___GENPT___snd_async_callback_t_void___GENPT__
#define snd_async_add_handler_INDEX 560
#define snd_async_add_handler_RETURN int
#define snd_async_add_handler_ARG_NAMES handler, fd, callback, private_data
#define snd_async_add_handler_ARG_EXPAND snd_async_handler_t ** handler, int fd, snd_async_callback_t callback, void * private_data
#define snd_async_add_handler_PACKED PACKED_int_snd_async_handler_t___GENPT____GENPT___int_snd_async_callback_t_void___GENPT__
#define snd_async_add_handler_INDEXED INDEXED_int_snd_async_handler_t___GENPT____GENPT___int_snd_async_callback_t_void___GENPT__
#define snd_async_add_handler_FORMAT FORMAT_int_snd_async_handler_t___GENPT____GENPT___int_snd_async_callback_t_void___GENPT__
#define snd_async_add_pcm_handler_INDEX 561
#define snd_async_add_pcm_handler_RETURN int
#define snd_async_add_pcm_handler_ARG_NAMES handler, pcm, callback, private_data
#define snd_async_add_pcm_handler_ARG_EXPAND snd_async_handler_t ** handler, snd_pcm_t * pcm, snd_async_callback_t callback, void * private_data
#define snd_async_add_pcm_handler_PACKED PACKED_int_snd_async_handler_t___GENPT____GENPT___snd_pcm_t___GENPT___snd_async_callback_t_void___GENPT__
#define snd_async_add_pcm_handler_INDEXED INDEXED_int_snd_async_handler_t___GENPT____GENPT___snd_pcm_t___GENPT___snd_async_callback_t_void___GENPT__
#define snd_async_add_pcm_handler_FORMAT FORMAT_int_snd_async_handler_t___GENPT____GENPT___snd_pcm_t___GENPT___snd_async_callback_t_void___GENPT__
#define snd_async_add_timer_handler_INDEX 562
#define snd_async_add_timer_handler_RETURN int
#define snd_async_add_timer_handler_ARG_NAMES handler, timer, callback, private_data
#define snd_async_add_timer_handler_ARG_EXPAND snd_async_handler_t ** handler, snd_timer_t * timer, snd_async_callback_t callback, void * private_data
#define snd_async_add_timer_handler_PACKED PACKED_int_snd_async_handler_t___GENPT____GENPT___snd_timer_t___GENPT___snd_async_callback_t_void___GENPT__
#define snd_async_add_timer_handler_INDEXED INDEXED_int_snd_async_handler_t___GENPT____GENPT___snd_timer_t___GENPT___snd_async_callback_t_void___GENPT__
#define snd_async_add_timer_handler_FORMAT FORMAT_int_snd_async_handler_t___GENPT____GENPT___snd_timer_t___GENPT___snd_async_callback_t_void___GENPT__
#define snd_async_del_handler_INDEX 563
#define snd_async_del_handler_RETURN int
#define snd_async_del_handler_ARG_NAMES handler
#define snd_async_del_handler_ARG_EXPAND snd_async_handler_t * handler
#define snd_async_del_handler_PACKED PACKED_int_snd_async_handler_t___GENPT__
#define snd_async_del_handler_INDEXED INDEXED_int_snd_async_handler_t___GENPT__
#define snd_async_del_handler_FORMAT FORMAT_int_snd_async_handler_t___GENPT__
#define snd_async_handler_get_callback_private_INDEX 564
#define snd_async_handler_get_callback_private_RETURN void *
#define snd_async_handler_get_callback_private_ARG_NAMES handler
#define snd_async_handler_get_callback_private_ARG_EXPAND snd_async_handler_t * handler
#define snd_async_handler_get_callback_private_PACKED PACKED_void___GENPT___snd_async_handler_t___GENPT__
#define snd_async_handler_get_callback_private_INDEXED INDEXED_void___GENPT___snd_async_handler_t___GENPT__
#define snd_async_handler_get_callback_private_FORMAT FORMAT_void___GENPT___snd_async_handler_t___GENPT__
#define snd_async_handler_get_ctl_INDEX 565
#define snd_async_handler_get_ctl_RETURN snd_ctl_t *
#define snd_async_handler_get_ctl_ARG_NAMES handler
#define snd_async_handler_get_ctl_ARG_EXPAND snd_async_handler_t * handler
#define snd_async_handler_get_ctl_PACKED PACKED_snd_ctl_t___GENPT___snd_async_handler_t___GENPT__
#define snd_async_handler_get_ctl_INDEXED INDEXED_snd_ctl_t___GENPT___snd_async_handler_t___GENPT__
#define snd_async_handler_get_ctl_FORMAT FORMAT_snd_ctl_t___GENPT___snd_async_handler_t___GENPT__
#define snd_async_handler_get_fd_INDEX 566
#define snd_async_handler_get_fd_RETURN int
#define snd_async_handler_get_fd_ARG_NAMES handler
#define snd_async_handler_get_fd_ARG_EXPAND snd_async_handler_t * handler
#define snd_async_handler_get_fd_PACKED PACKED_int_snd_async_handler_t___GENPT__
#define snd_async_handler_get_fd_INDEXED INDEXED_int_snd_async_handler_t___GENPT__
#define snd_async_handler_get_fd_FORMAT FORMAT_int_snd_async_handler_t___GENPT__
#define snd_async_handler_get_pcm_INDEX 567
#define snd_async_handler_get_pcm_RETURN snd_pcm_t *
#define snd_async_handler_get_pcm_ARG_NAMES handler
#define snd_async_handler_get_pcm_ARG_EXPAND snd_async_handler_t * handler
#define snd_async_handler_get_pcm_PACKED PACKED_snd_pcm_t___GENPT___snd_async_handler_t___GENPT__
#define snd_async_handler_get_pcm_INDEXED INDEXED_snd_pcm_t___GENPT___snd_async_handler_t___GENPT__
#define snd_async_handler_get_pcm_FORMAT FORMAT_snd_pcm_t___GENPT___snd_async_handler_t___GENPT__
#define snd_async_handler_get_signo_INDEX 568
#define snd_async_handler_get_signo_RETURN int
#define snd_async_handler_get_signo_ARG_NAMES handler
#define snd_async_handler_get_signo_ARG_EXPAND snd_async_handler_t * handler
#define snd_async_handler_get_signo_PACKED PACKED_int_snd_async_handler_t___GENPT__
#define snd_async_handler_get_signo_INDEXED INDEXED_int_snd_async_handler_t___GENPT__
#define snd_async_handler_get_signo_FORMAT FORMAT_int_snd_async_handler_t___GENPT__
#define snd_async_handler_get_timer_INDEX 569
#define snd_async_handler_get_timer_RETURN snd_timer_t *
#define snd_async_handler_get_timer_ARG_NAMES handler
#define snd_async_handler_get_timer_ARG_EXPAND snd_async_handler_t * handler
#define snd_async_handler_get_timer_PACKED PACKED_snd_timer_t___GENPT___snd_async_handler_t___GENPT__
#define snd_async_handler_get_timer_INDEXED INDEXED_snd_timer_t___GENPT___snd_async_handler_t___GENPT__
#define snd_async_handler_get_timer_FORMAT FORMAT_snd_timer_t___GENPT___snd_async_handler_t___GENPT__
#define snd_card_get_index_INDEX 570
#define snd_card_get_index_RETURN int
#define snd_card_get_index_ARG_NAMES name
#define snd_card_get_index_ARG_EXPAND const char * name
#define snd_card_get_index_PACKED PACKED_int_const_char___GENPT__
#define snd_card_get_index_INDEXED INDEXED_int_const_char___GENPT__
#define snd_card_get_index_FORMAT FORMAT_int_const_char___GENPT__
#define snd_card_get_longname_INDEX 571
#define snd_card_get_longname_RETURN int
#define snd_card_get_longname_ARG_NAMES card, name
#define snd_card_get_longname_ARG_EXPAND int card, char ** name
#define snd_card_get_longname_PACKED PACKED_int_int_char___GENPT____GENPT__
#define snd_card_get_longname_INDEXED INDEXED_int_int_char___GENPT____GENPT__
#define snd_card_get_longname_FORMAT FORMAT_int_int_char___GENPT____GENPT__
#define snd_card_get_name_INDEX 572
#define snd_card_get_name_RETURN int
#define snd_card_get_name_ARG_NAMES card, name
#define snd_card_get_name_ARG_EXPAND int card, char ** name
#define snd_card_get_name_PACKED PACKED_int_int_char___GENPT____GENPT__
#define snd_card_get_name_INDEXED INDEXED_int_int_char___GENPT____GENPT__
#define snd_card_get_name_FORMAT FORMAT_int_int_char___GENPT____GENPT__
#define snd_card_load_INDEX 573
#define snd_card_load_RETURN int
#define snd_card_load_ARG_NAMES card
#define snd_card_load_ARG_EXPAND int card
#define snd_card_load_PACKED PACKED_int_int
#define snd_card_load_INDEXED INDEXED_int_int
#define snd_card_load_FORMAT FORMAT_int_int
#define snd_card_next_INDEX 574
#define snd_card_next_RETURN int
#define snd_card_next_ARG_NAMES card
#define snd_card_next_ARG_EXPAND int * card
#define snd_card_next_PACKED PACKED_int_int___GENPT__
#define snd_card_next_INDEXED INDEXED_int_int___GENPT__
#define snd_card_next_FORMAT FORMAT_int_int___GENPT__
#define snd_config_add_INDEX 575
#define snd_config_add_RETURN int
#define snd_config_add_ARG_NAMES config, leaf
#define snd_config_add_ARG_EXPAND snd_config_t * config, snd_config_t * leaf
#define snd_config_add_PACKED PACKED_int_snd_config_t___GENPT___snd_config_t___GENPT__
#define snd_config_add_INDEXED INDEXED_int_snd_config_t___GENPT___snd_config_t___GENPT__
#define snd_config_add_FORMAT FORMAT_int_snd_config_t___GENPT___snd_config_t___GENPT__
#define snd_config_copy_INDEX 576
#define snd_config_copy_RETURN int
#define snd_config_copy_ARG_NAMES dst, src
#define snd_config_copy_ARG_EXPAND snd_config_t ** dst, snd_config_t * src
#define snd_config_copy_PACKED PACKED_int_snd_config_t___GENPT____GENPT___snd_config_t___GENPT__
#define snd_config_copy_INDEXED INDEXED_int_snd_config_t___GENPT____GENPT___snd_config_t___GENPT__
#define snd_config_copy_FORMAT FORMAT_int_snd_config_t___GENPT____GENPT___snd_config_t___GENPT__
#define snd_config_delete_INDEX 577
#define snd_config_delete_RETURN int
#define snd_config_delete_ARG_NAMES config
#define snd_config_delete_ARG_EXPAND snd_config_t * config
#define snd_config_delete_PACKED PACKED_int_snd_config_t___GENPT__
#define snd_config_delete_INDEXED INDEXED_int_snd_config_t___GENPT__
#define snd_config_delete_FORMAT FORMAT_int_snd_config_t___GENPT__
#define snd_config_delete_compound_members_INDEX 578
#define snd_config_delete_compound_members_RETURN int
#define snd_config_delete_compound_members_ARG_NAMES config
#define snd_config_delete_compound_members_ARG_EXPAND const snd_config_t * config
#define snd_config_delete_compound_members_PACKED PACKED_int_const_snd_config_t___GENPT__
#define snd_config_delete_compound_members_INDEXED INDEXED_int_const_snd_config_t___GENPT__
#define snd_config_delete_compound_members_FORMAT FORMAT_int_const_snd_config_t___GENPT__
#define snd_config_evaluate_INDEX 579
#define snd_config_evaluate_RETURN int
#define snd_config_evaluate_ARG_NAMES config, root, private_data, result
#define snd_config_evaluate_ARG_EXPAND snd_config_t * config, snd_config_t * root, snd_config_t * private_data, snd_config_t ** result
#define snd_config_evaluate_PACKED PACKED_int_snd_config_t___GENPT___snd_config_t___GENPT___snd_config_t___GENPT___snd_config_t___GENPT____GENPT__
#define snd_config_evaluate_INDEXED INDEXED_int_snd_config_t___GENPT___snd_config_t___GENPT___snd_config_t___GENPT___snd_config_t___GENPT____GENPT__
#define snd_config_evaluate_FORMAT FORMAT_int_snd_config_t___GENPT___snd_config_t___GENPT___snd_config_t___GENPT___snd_config_t___GENPT____GENPT__
#define snd_config_expand_INDEX 580
#define snd_config_expand_RETURN int
#define snd_config_expand_ARG_NAMES config, root, args, private_data, result
#define snd_config_expand_ARG_EXPAND snd_config_t * config, snd_config_t * root, const char * args, snd_config_t * private_data, snd_config_t ** result
#define snd_config_expand_PACKED PACKED_int_snd_config_t___GENPT___snd_config_t___GENPT___const_char___GENPT___snd_config_t___GENPT___snd_config_t___GENPT____GENPT__
#define snd_config_expand_INDEXED INDEXED_int_snd_config_t___GENPT___snd_config_t___GENPT___const_char___GENPT___snd_config_t___GENPT___snd_config_t___GENPT____GENPT__
#define snd_config_expand_FORMAT FORMAT_int_snd_config_t___GENPT___snd_config_t___GENPT___const_char___GENPT___snd_config_t___GENPT___snd_config_t___GENPT____GENPT__
#define snd_config_get_ascii_INDEX 581
#define snd_config_get_ascii_RETURN int
#define snd_config_get_ascii_ARG_NAMES config, value
#define snd_config_get_ascii_ARG_EXPAND const snd_config_t * config, char ** value
#define snd_config_get_ascii_PACKED PACKED_int_const_snd_config_t___GENPT___char___GENPT____GENPT__
#define snd_config_get_ascii_INDEXED INDEXED_int_const_snd_config_t___GENPT___char___GENPT____GENPT__
#define snd_config_get_ascii_FORMAT FORMAT_int_const_snd_config_t___GENPT___char___GENPT____GENPT__
#define snd_config_get_bool_INDEX 582
#define snd_config_get_bool_RETURN int
#define snd_config_get_bool_ARG_NAMES conf
#define snd_config_get_bool_ARG_EXPAND const snd_config_t * conf
#define snd_config_get_bool_PACKED PACKED_int_const_snd_config_t___GENPT__
#define snd_config_get_bool_INDEXED INDEXED_int_const_snd_config_t___GENPT__
#define snd_config_get_bool_FORMAT FORMAT_int_const_snd_config_t___GENPT__
#define snd_config_get_bool_ascii_INDEX 583
#define snd_config_get_bool_ascii_RETURN int
#define snd_config_get_bool_ascii_ARG_NAMES ascii
#define snd_config_get_bool_ascii_ARG_EXPAND const char * ascii
#define snd_config_get_bool_ascii_PACKED PACKED_int_const_char___GENPT__
#define snd_config_get_bool_ascii_INDEXED INDEXED_int_const_char___GENPT__
#define snd_config_get_bool_ascii_FORMAT FORMAT_int_const_char___GENPT__
#define snd_config_get_ctl_iface_INDEX 584
#define snd_config_get_ctl_iface_RETURN int
#define snd_config_get_ctl_iface_ARG_NAMES conf
#define snd_config_get_ctl_iface_ARG_EXPAND const snd_config_t * conf
#define snd_config_get_ctl_iface_PACKED PACKED_int_const_snd_config_t___GENPT__
#define snd_config_get_ctl_iface_INDEXED INDEXED_int_const_snd_config_t___GENPT__
#define snd_config_get_ctl_iface_FORMAT FORMAT_int_const_snd_config_t___GENPT__
#define snd_config_get_ctl_iface_ascii_INDEX 585
#define snd_config_get_ctl_iface_ascii_RETURN int
#define snd_config_get_ctl_iface_ascii_ARG_NAMES ascii
#define snd_config_get_ctl_iface_ascii_ARG_EXPAND const char * ascii
#define snd_config_get_ctl_iface_ascii_PACKED PACKED_int_const_char___GENPT__
#define snd_config_get_ctl_iface_ascii_INDEXED INDEXED_int_const_char___GENPT__
#define snd_config_get_ctl_iface_ascii_FORMAT FORMAT_int_const_char___GENPT__
#define snd_config_get_id_INDEX 586
#define snd_config_get_id_RETURN int
#define snd_config_get_id_ARG_NAMES config, value
#define snd_config_get_id_ARG_EXPAND const snd_config_t * config, const char ** value
#define snd_config_get_id_PACKED PACKED_int_const_snd_config_t___GENPT___const_char___GENPT____GENPT__
#define snd_config_get_id_INDEXED INDEXED_int_const_snd_config_t___GENPT___const_char___GENPT____GENPT__
#define snd_config_get_id_FORMAT FORMAT_int_const_snd_config_t___GENPT___const_char___GENPT____GENPT__
#define snd_config_get_integer_INDEX 587
#define snd_config_get_integer_RETURN int
#define snd_config_get_integer_ARG_NAMES config, value
#define snd_config_get_integer_ARG_EXPAND const snd_config_t * config, long * value
#define snd_config_get_integer_PACKED PACKED_int_const_snd_config_t___GENPT___long___GENPT__
#define snd_config_get_integer_INDEXED INDEXED_int_const_snd_config_t___GENPT___long___GENPT__
#define snd_config_get_integer_FORMAT FORMAT_int_const_snd_config_t___GENPT___long___GENPT__
#define snd_config_get_integer64_INDEX 588
#define snd_config_get_integer64_RETURN int
#define snd_config_get_integer64_ARG_NAMES config, value
#define snd_config_get_integer64_ARG_EXPAND const snd_config_t * config, long long * value
#define snd_config_get_integer64_PACKED PACKED_int_const_snd_config_t___GENPT___long_long___GENPT__
#define snd_config_get_integer64_INDEXED INDEXED_int_const_snd_config_t___GENPT___long_long___GENPT__
#define snd_config_get_integer64_FORMAT FORMAT_int_const_snd_config_t___GENPT___long_long___GENPT__
#define snd_config_get_ireal_INDEX 589
#define snd_config_get_ireal_RETURN int
#define snd_config_get_ireal_ARG_NAMES config, value
#define snd_config_get_ireal_ARG_EXPAND const snd_config_t * config, double * value
#define snd_config_get_ireal_PACKED PACKED_int_const_snd_config_t___GENPT___double___GENPT__
#define snd_config_get_ireal_INDEXED INDEXED_int_const_snd_config_t___GENPT___double___GENPT__
#define snd_config_get_ireal_FORMAT FORMAT_int_const_snd_config_t___GENPT___double___GENPT__
#define snd_config_get_pointer_INDEX 590
#define snd_config_get_pointer_RETURN int
#define snd_config_get_pointer_ARG_NAMES config, value
#define snd_config_get_pointer_ARG_EXPAND const snd_config_t * config, const void ** value
#define snd_config_get_pointer_PACKED PACKED_int_const_snd_config_t___GENPT___const_void___GENPT____GENPT__
#define snd_config_get_pointer_INDEXED INDEXED_int_const_snd_config_t___GENPT___const_void___GENPT____GENPT__
#define snd_config_get_pointer_FORMAT FORMAT_int_const_snd_config_t___GENPT___const_void___GENPT____GENPT__
#define snd_config_get_real_INDEX 591
#define snd_config_get_real_RETURN int
#define snd_config_get_real_ARG_NAMES config, value
#define snd_config_get_real_ARG_EXPAND const snd_config_t * config, double * value
#define snd_config_get_real_PACKED PACKED_int_const_snd_config_t___GENPT___double___GENPT__
#define snd_config_get_real_INDEXED INDEXED_int_const_snd_config_t___GENPT___double___GENPT__
#define snd_config_get_real_FORMAT FORMAT_int_const_snd_config_t___GENPT___double___GENPT__
#define snd_config_get_string_INDEX 592
#define snd_config_get_string_RETURN int
#define snd_config_get_string_ARG_NAMES config, value
#define snd_config_get_string_ARG_EXPAND const snd_config_t * config, const char ** value
#define snd_config_get_string_PACKED PACKED_int_const_snd_config_t___GENPT___const_char___GENPT____GENPT__
#define snd_config_get_string_INDEXED INDEXED_int_const_snd_config_t___GENPT___const_char___GENPT____GENPT__
#define snd_config_get_string_FORMAT FORMAT_int_const_snd_config_t___GENPT___const_char___GENPT____GENPT__
#define snd_config_get_type_INDEX 593
#define snd_config_get_type_RETURN snd_config_type_t
#define snd_config_get_type_ARG_NAMES config
#define snd_config_get_type_ARG_EXPAND const snd_config_t * config
#define snd_config_get_type_PACKED PACKED_snd_config_type_t_const_snd_config_t___GENPT__
#define snd_config_get_type_INDEXED INDEXED_snd_config_type_t_const_snd_config_t___GENPT__
#define snd_config_get_type_FORMAT FORMAT_snd_config_type_t_const_snd_config_t___GENPT__
#define snd_config_imake_integer_INDEX 594
#define snd_config_imake_integer_RETURN int
#define snd_config_imake_integer_ARG_NAMES config, key, value
#define snd_config_imake_integer_ARG_EXPAND snd_config_t ** config, const char * key, const long value
#define snd_config_imake_integer_PACKED PACKED_int_snd_config_t___GENPT____GENPT___const_char___GENPT___const_long
#define snd_config_imake_integer_INDEXED INDEXED_int_snd_config_t___GENPT____GENPT___const_char___GENPT___const_long
#define snd_config_imake_integer_FORMAT FORMAT_int_snd_config_t___GENPT____GENPT___const_char___GENPT___const_long
#define snd_config_imake_integer64_INDEX 595
#define snd_config_imake_integer64_RETURN int
#define snd_config_imake_integer64_ARG_NAMES config, key, value
#define snd_config_imake_integer64_ARG_EXPAND snd_config_t ** config, const char * key, const long long value
#define snd_config_imake_integer64_PACKED PACKED_int_snd_config_t___GENPT____GENPT___const_char___GENPT___const_long_long
#define snd_config_imake_integer64_INDEXED INDEXED_int_snd_config_t___GENPT____GENPT___const_char___GENPT___const_long_long
#define snd_config_imake_integer64_FORMAT FORMAT_int_snd_config_t___GENPT____GENPT___const_char___GENPT___const_long_long
#define snd_config_imake_pointer_INDEX 596
#define snd_config_imake_pointer_RETURN int
#define snd_config_imake_pointer_ARG_NAMES config, key, ptr
#define snd_config_imake_pointer_ARG_EXPAND snd_config_t ** config, const char * key, const void * ptr
#define snd_config_imake_pointer_PACKED PACKED_int_snd_config_t___GENPT____GENPT___const_char___GENPT___const_void___GENPT__
#define snd_config_imake_pointer_INDEXED INDEXED_int_snd_config_t___GENPT____GENPT___const_char___GENPT___const_void___GENPT__
#define snd_config_imake_pointer_FORMAT FORMAT_int_snd_config_t___GENPT____GENPT___const_char___GENPT___const_void___GENPT__
#define snd_config_imake_real_INDEX 597
#define snd_config_imake_real_RETURN int
#define snd_config_imake_real_ARG_NAMES config, key, value
#define snd_config_imake_real_ARG_EXPAND snd_config_t ** config, const char * key, const double value
#define snd_config_imake_real_PACKED PACKED_int_snd_config_t___GENPT____GENPT___const_char___GENPT___const_double
#define snd_config_imake_real_INDEXED INDEXED_int_snd_config_t___GENPT____GENPT___const_char___GENPT___const_double
#define snd_config_imake_real_FORMAT FORMAT_int_snd_config_t___GENPT____GENPT___const_char___GENPT___const_double
#define snd_config_imake_string_INDEX 598
#define snd_config_imake_string_RETURN int
#define snd_config_imake_string_ARG_NAMES config, key, ascii
#define snd_config_imake_string_ARG_EXPAND snd_config_t ** config, const char * key, const char * ascii
#define snd_config_imake_string_PACKED PACKED_int_snd_config_t___GENPT____GENPT___const_char___GENPT___const_char___GENPT__
#define snd_config_imake_string_INDEXED INDEXED_int_snd_config_t___GENPT____GENPT___const_char___GENPT___const_char___GENPT__
#define snd_config_imake_string_FORMAT FORMAT_int_snd_config_t___GENPT____GENPT___const_char___GENPT___const_char___GENPT__
#define snd_config_iterator_end_INDEX 599
#define snd_config_iterator_end_RETURN snd_config_iterator_t
#define snd_config_iterator_end_ARG_NAMES node
#define snd_config_iterator_end_ARG_EXPAND const snd_config_t * node
#define snd_config_iterator_end_PACKED PACKED_snd_config_iterator_t_const_snd_config_t___GENPT__
#define snd_config_iterator_end_INDEXED INDEXED_snd_config_iterator_t_const_snd_config_t___GENPT__
#define snd_config_iterator_end_FORMAT FORMAT_snd_config_iterator_t_const_snd_config_t___GENPT__
#define snd_config_iterator_entry_INDEX 600
#define snd_config_iterator_entry_RETURN snd_config_t *
#define snd_config_iterator_entry_ARG_NAMES iterator
#define snd_config_iterator_entry_ARG_EXPAND const snd_config_iterator_t iterator
#define snd_config_iterator_entry_PACKED PACKED_snd_config_t___GENPT___const_snd_config_iterator_t
#define snd_config_iterator_entry_INDEXED INDEXED_snd_config_t___GENPT___const_snd_config_iterator_t
#define snd_config_iterator_entry_FORMAT FORMAT_snd_config_t___GENPT___const_snd_config_iterator_t
#define snd_config_iterator_first_INDEX 601
#define snd_config_iterator_first_RETURN snd_config_iterator_t
#define snd_config_iterator_first_ARG_NAMES node
#define snd_config_iterator_first_ARG_EXPAND const snd_config_t * node
#define snd_config_iterator_first_PACKED PACKED_snd_config_iterator_t_const_snd_config_t___GENPT__
#define snd_config_iterator_first_INDEXED INDEXED_snd_config_iterator_t_const_snd_config_t___GENPT__
#define snd_config_iterator_first_FORMAT FORMAT_snd_config_iterator_t_const_snd_config_t___GENPT__
#define snd_config_iterator_next_INDEX 602
#define snd_config_iterator_next_RETURN snd_config_iterator_t
#define snd_config_iterator_next_ARG_NAMES iterator
#define snd_config_iterator_next_ARG_EXPAND const snd_config_iterator_t iterator
#define snd_config_iterator_next_PACKED PACKED_snd_config_iterator_t_const_snd_config_iterator_t
#define snd_config_iterator_next_INDEXED INDEXED_snd_config_iterator_t_const_snd_config_iterator_t
#define snd_config_iterator_next_FORMAT FORMAT_snd_config_iterator_t_const_snd_config_iterator_t
#define snd_config_load_INDEX 603
#define snd_config_load_RETURN int
#define snd_config_load_ARG_NAMES config, in
#define snd_config_load_ARG_EXPAND snd_config_t * config, snd_input_t * in
#define snd_config_load_PACKED PACKED_int_snd_config_t___GENPT___snd_input_t___GENPT__
#define snd_config_load_INDEXED INDEXED_int_snd_config_t___GENPT___snd_input_t___GENPT__
#define snd_config_load_FORMAT FORMAT_int_snd_config_t___GENPT___snd_input_t___GENPT__
#define snd_config_load_override_INDEX 604
#define snd_config_load_override_RETURN int
#define snd_config_load_override_ARG_NAMES config, in
#define snd_config_load_override_ARG_EXPAND snd_config_t * config, snd_input_t * in
#define snd_config_load_override_PACKED PACKED_int_snd_config_t___GENPT___snd_input_t___GENPT__
#define snd_config_load_override_INDEXED INDEXED_int_snd_config_t___GENPT___snd_input_t___GENPT__
#define snd_config_load_override_FORMAT FORMAT_int_snd_config_t___GENPT___snd_input_t___GENPT__
#define snd_config_make_INDEX 605
#define snd_config_make_RETURN int
#define snd_config_make_ARG_NAMES config, key, type
#define snd_config_make_ARG_EXPAND snd_config_t ** config, const char * key, snd_config_type_t type
#define snd_config_make_PACKED PACKED_int_snd_config_t___GENPT____GENPT___const_char___GENPT___snd_config_type_t
#define snd_config_make_INDEXED INDEXED_int_snd_config_t___GENPT____GENPT___const_char___GENPT___snd_config_type_t
#define snd_config_make_FORMAT FORMAT_int_snd_config_t___GENPT____GENPT___const_char___GENPT___snd_config_type_t
#define snd_config_make_compound_INDEX 606
#define snd_config_make_compound_RETURN int
#define snd_config_make_compound_ARG_NAMES config, key, join
#define snd_config_make_compound_ARG_EXPAND snd_config_t ** config, const char * key, int join
#define snd_config_make_compound_PACKED PACKED_int_snd_config_t___GENPT____GENPT___const_char___GENPT___int
#define snd_config_make_compound_INDEXED INDEXED_int_snd_config_t___GENPT____GENPT___const_char___GENPT___int
#define snd_config_make_compound_FORMAT FORMAT_int_snd_config_t___GENPT____GENPT___const_char___GENPT___int
#define snd_config_make_integer_INDEX 607
#define snd_config_make_integer_RETURN int
#define snd_config_make_integer_ARG_NAMES config, key
#define snd_config_make_integer_ARG_EXPAND snd_config_t ** config, const char * key
#define snd_config_make_integer_PACKED PACKED_int_snd_config_t___GENPT____GENPT___const_char___GENPT__
#define snd_config_make_integer_INDEXED INDEXED_int_snd_config_t___GENPT____GENPT___const_char___GENPT__
#define snd_config_make_integer_FORMAT FORMAT_int_snd_config_t___GENPT____GENPT___const_char___GENPT__
#define snd_config_make_integer64_INDEX 608
#define snd_config_make_integer64_RETURN int
#define snd_config_make_integer64_ARG_NAMES config, key
#define snd_config_make_integer64_ARG_EXPAND snd_config_t ** config, const char * key
#define snd_config_make_integer64_PACKED PACKED_int_snd_config_t___GENPT____GENPT___const_char___GENPT__
#define snd_config_make_integer64_INDEXED INDEXED_int_snd_config_t___GENPT____GENPT___const_char___GENPT__
#define snd_config_make_integer64_FORMAT FORMAT_int_snd_config_t___GENPT____GENPT___const_char___GENPT__
#define snd_config_make_pointer_INDEX 609
#define snd_config_make_pointer_RETURN int
#define snd_config_make_pointer_ARG_NAMES config, key
#define snd_config_make_pointer_ARG_EXPAND snd_config_t ** config, const char * key
#define snd_config_make_pointer_PACKED PACKED_int_snd_config_t___GENPT____GENPT___const_char___GENPT__
#define snd_config_make_pointer_INDEXED INDEXED_int_snd_config_t___GENPT____GENPT___const_char___GENPT__
#define snd_config_make_pointer_FORMAT FORMAT_int_snd_config_t___GENPT____GENPT___const_char___GENPT__
#define snd_config_make_real_INDEX 610
#define snd_config_make_real_RETURN int
#define snd_config_make_real_ARG_NAMES config, key
#define snd_config_make_real_ARG_EXPAND snd_config_t ** config, const char * key
#define snd_config_make_real_PACKED PACKED_int_snd_config_t___GENPT____GENPT___const_char___GENPT__
#define snd_config_make_real_INDEXED INDEXED_int_snd_config_t___GENPT____GENPT___const_char___GENPT__
#define snd_config_make_real_FORMAT FORMAT_int_snd_config_t___GENPT____GENPT___const_char___GENPT__
#define snd_config_make_string_INDEX 611
#define snd_config_make_string_RETURN int
#define snd_config_make_string_ARG_NAMES config, key
#define snd_config_make_string_ARG_EXPAND snd_config_t ** config, const char * key
#define snd_config_make_string_PACKED PACKED_int_snd_config_t___GENPT____GENPT___const_char___GENPT__
#define snd_config_make_string_INDEXED INDEXED_int_snd_config_t___GENPT____GENPT___const_char___GENPT__
#define snd_config_make_string_FORMAT FORMAT_int_snd_config_t___GENPT____GENPT___const_char___GENPT__
#define snd_config_save_INDEX 612
#define snd_config_save_RETURN int
#define snd_config_save_ARG_NAMES config, out
#define snd_config_save_ARG_EXPAND snd_config_t * config, snd_output_t * out
#define snd_config_save_PACKED PACKED_int_snd_config_t___GENPT___snd_output_t___GENPT__
#define snd_config_save_INDEXED INDEXED_int_snd_config_t___GENPT___snd_output_t___GENPT__
#define snd_config_save_FORMAT FORMAT_int_snd_config_t___GENPT___snd_output_t___GENPT__
#define snd_config_search_INDEX 613
#define snd_config_search_RETURN int
#define snd_config_search_ARG_NAMES config, key, result
#define snd_config_search_ARG_EXPAND snd_config_t * config, const char * key, snd_config_t ** result
#define snd_config_search_PACKED PACKED_int_snd_config_t___GENPT___const_char___GENPT___snd_config_t___GENPT____GENPT__
#define snd_config_search_INDEXED INDEXED_int_snd_config_t___GENPT___const_char___GENPT___snd_config_t___GENPT____GENPT__
#define snd_config_search_FORMAT FORMAT_int_snd_config_t___GENPT___const_char___GENPT___snd_config_t___GENPT____GENPT__
#define snd_config_search_definition_INDEX 614
#define snd_config_search_definition_RETURN int
#define snd_config_search_definition_ARG_NAMES config, base, key, result
#define snd_config_search_definition_ARG_EXPAND snd_config_t * config, const char * base, const char * key, snd_config_t ** result
#define snd_config_search_definition_PACKED PACKED_int_snd_config_t___GENPT___const_char___GENPT___const_char___GENPT___snd_config_t___GENPT____GENPT__
#define snd_config_search_definition_INDEXED INDEXED_int_snd_config_t___GENPT___const_char___GENPT___const_char___GENPT___snd_config_t___GENPT____GENPT__
#define snd_config_search_definition_FORMAT FORMAT_int_snd_config_t___GENPT___const_char___GENPT___const_char___GENPT___snd_config_t___GENPT____GENPT__
#define snd_config_set_ascii_INDEX 615
#define snd_config_set_ascii_RETURN int
#define snd_config_set_ascii_ARG_NAMES config, ascii
#define snd_config_set_ascii_ARG_EXPAND snd_config_t * config, const char * ascii
#define snd_config_set_ascii_PACKED PACKED_int_snd_config_t___GENPT___const_char___GENPT__
#define snd_config_set_ascii_INDEXED INDEXED_int_snd_config_t___GENPT___const_char___GENPT__
#define snd_config_set_ascii_FORMAT FORMAT_int_snd_config_t___GENPT___const_char___GENPT__
#define snd_config_set_id_INDEX 616
#define snd_config_set_id_RETURN int
#define snd_config_set_id_ARG_NAMES config, id
#define snd_config_set_id_ARG_EXPAND snd_config_t * config, const char * id
#define snd_config_set_id_PACKED PACKED_int_snd_config_t___GENPT___const_char___GENPT__
#define snd_config_set_id_INDEXED INDEXED_int_snd_config_t___GENPT___const_char___GENPT__
#define snd_config_set_id_FORMAT FORMAT_int_snd_config_t___GENPT___const_char___GENPT__
#define snd_config_set_integer_INDEX 617
#define snd_config_set_integer_RETURN int
#define snd_config_set_integer_ARG_NAMES config, value
#define snd_config_set_integer_ARG_EXPAND snd_config_t * config, long value
#define snd_config_set_integer_PACKED PACKED_int_snd_config_t___GENPT___long
#define snd_config_set_integer_INDEXED INDEXED_int_snd_config_t___GENPT___long
#define snd_config_set_integer_FORMAT FORMAT_int_snd_config_t___GENPT___long
#define snd_config_set_integer64_INDEX 618
#define snd_config_set_integer64_RETURN int
#define snd_config_set_integer64_ARG_NAMES config, value
#define snd_config_set_integer64_ARG_EXPAND snd_config_t * config, long long value
#define snd_config_set_integer64_PACKED PACKED_int_snd_config_t___GENPT___long_long
#define snd_config_set_integer64_INDEXED INDEXED_int_snd_config_t___GENPT___long_long
#define snd_config_set_integer64_FORMAT FORMAT_int_snd_config_t___GENPT___long_long
#define snd_config_set_pointer_INDEX 619
#define snd_config_set_pointer_RETURN int
#define snd_config_set_pointer_ARG_NAMES config, ptr
#define snd_config_set_pointer_ARG_EXPAND snd_config_t * config, const void * ptr
#define snd_config_set_pointer_PACKED PACKED_int_snd_config_t___GENPT___const_void___GENPT__
#define snd_config_set_pointer_INDEXED INDEXED_int_snd_config_t___GENPT___const_void___GENPT__
#define snd_config_set_pointer_FORMAT FORMAT_int_snd_config_t___GENPT___const_void___GENPT__
#define snd_config_set_real_INDEX 620
#define snd_config_set_real_RETURN int
#define snd_config_set_real_ARG_NAMES config, value
#define snd_config_set_real_ARG_EXPAND snd_config_t * config, double value
#define snd_config_set_real_PACKED PACKED_int_snd_config_t___GENPT___double
#define snd_config_set_real_INDEXED INDEXED_int_snd_config_t___GENPT___double
#define snd_config_set_real_FORMAT FORMAT_int_snd_config_t___GENPT___double
#define snd_config_set_string_INDEX 621
#define snd_config_set_string_RETURN int
#define snd_config_set_string_ARG_NAMES config, value
#define snd_config_set_string_ARG_EXPAND snd_config_t * config, const char * value
#define snd_config_set_string_PACKED PACKED_int_snd_config_t___GENPT___const_char___GENPT__
#define snd_config_set_string_INDEXED INDEXED_int_snd_config_t___GENPT___const_char___GENPT__
#define snd_config_set_string_FORMAT FORMAT_int_snd_config_t___GENPT___const_char___GENPT__
#define snd_config_test_id_INDEX 622
#define snd_config_test_id_RETURN int
#define snd_config_test_id_ARG_NAMES config, id
#define snd_config_test_id_ARG_EXPAND const snd_config_t * config, const char * id
#define snd_config_test_id_PACKED PACKED_int_const_snd_config_t___GENPT___const_char___GENPT__
#define snd_config_test_id_INDEXED INDEXED_int_const_snd_config_t___GENPT___const_char___GENPT__
#define snd_config_test_id_FORMAT FORMAT_int_const_snd_config_t___GENPT___const_char___GENPT__
#define snd_config_top_INDEX 623
#define snd_config_top_RETURN int
#define snd_config_top_ARG_NAMES config
#define snd_config_top_ARG_EXPAND snd_config_t ** config
#define snd_config_top_PACKED PACKED_int_snd_config_t___GENPT____GENPT__
#define snd_config_top_INDEXED INDEXED_int_snd_config_t___GENPT____GENPT__
#define snd_config_top_FORMAT FORMAT_int_snd_config_t___GENPT____GENPT__
#define snd_config_update_INDEX 624
#define snd_config_update_RETURN int
#define snd_config_update_ARG_NAMES 
#define snd_config_update_ARG_EXPAND 
#define snd_config_update_PACKED PACKED_int
#define snd_config_update_INDEXED INDEXED_int
#define snd_config_update_FORMAT FORMAT_int
#define snd_config_update_free_INDEX 625
#define snd_config_update_free_RETURN int
#define snd_config_update_free_ARG_NAMES update
#define snd_config_update_free_ARG_EXPAND snd_config_update_t * update
#define snd_config_update_free_PACKED PACKED_int_snd_config_update_t___GENPT__
#define snd_config_update_free_INDEXED INDEXED_int_snd_config_update_t___GENPT__
#define snd_config_update_free_FORMAT FORMAT_int_snd_config_update_t___GENPT__
#define snd_config_update_free_global_INDEX 626
#define snd_config_update_free_global_RETURN int
#define snd_config_update_free_global_ARG_NAMES 
#define snd_config_update_free_global_ARG_EXPAND 
#define snd_config_update_free_global_PACKED PACKED_int
#define snd_config_update_free_global_INDEXED INDEXED_int
#define snd_config_update_free_global_FORMAT FORMAT_int
#define snd_config_update_r_INDEX 627
#define snd_config_update_r_RETURN int
#define snd_config_update_r_ARG_NAMES top, update, path
#define snd_config_update_r_ARG_EXPAND snd_config_t ** top, snd_config_update_t ** update, const char * path
#define snd_config_update_r_PACKED PACKED_int_snd_config_t___GENPT____GENPT___snd_config_update_t___GENPT____GENPT___const_char___GENPT__
#define snd_config_update_r_INDEXED INDEXED_int_snd_config_t___GENPT____GENPT___snd_config_update_t___GENPT____GENPT___const_char___GENPT__
#define snd_config_update_r_FORMAT FORMAT_int_snd_config_t___GENPT____GENPT___snd_config_update_t___GENPT____GENPT___const_char___GENPT__
#define snd_ctl_card_info_INDEX 628
#define snd_ctl_card_info_RETURN int
#define snd_ctl_card_info_ARG_NAMES ctl, info
#define snd_ctl_card_info_ARG_EXPAND snd_ctl_t * ctl, snd_ctl_card_info_t * info
#define snd_ctl_card_info_PACKED PACKED_int_snd_ctl_t___GENPT___snd_ctl_card_info_t___GENPT__
#define snd_ctl_card_info_INDEXED INDEXED_int_snd_ctl_t___GENPT___snd_ctl_card_info_t___GENPT__
#define snd_ctl_card_info_FORMAT FORMAT_int_snd_ctl_t___GENPT___snd_ctl_card_info_t___GENPT__
#define snd_ctl_card_info_clear_INDEX 629
#define snd_ctl_card_info_clear_RETURN void
#define snd_ctl_card_info_clear_ARG_NAMES obj
#define snd_ctl_card_info_clear_ARG_EXPAND snd_ctl_card_info_t * obj
#define snd_ctl_card_info_clear_PACKED PACKED_void_snd_ctl_card_info_t___GENPT__
#define snd_ctl_card_info_clear_INDEXED INDEXED_void_snd_ctl_card_info_t___GENPT__
#define snd_ctl_card_info_clear_FORMAT FORMAT_void_snd_ctl_card_info_t___GENPT__
#define snd_ctl_card_info_copy_INDEX 630
#define snd_ctl_card_info_copy_RETURN void
#define snd_ctl_card_info_copy_ARG_NAMES dst, src
#define snd_ctl_card_info_copy_ARG_EXPAND snd_ctl_card_info_t * dst, const snd_ctl_card_info_t * src
#define snd_ctl_card_info_copy_PACKED PACKED_void_snd_ctl_card_info_t___GENPT___const_snd_ctl_card_info_t___GENPT__
#define snd_ctl_card_info_copy_INDEXED INDEXED_void_snd_ctl_card_info_t___GENPT___const_snd_ctl_card_info_t___GENPT__
#define snd_ctl_card_info_copy_FORMAT FORMAT_void_snd_ctl_card_info_t___GENPT___const_snd_ctl_card_info_t___GENPT__
#define snd_ctl_card_info_free_INDEX 631
#define snd_ctl_card_info_free_RETURN void
#define snd_ctl_card_info_free_ARG_NAMES obj
#define snd_ctl_card_info_free_ARG_EXPAND snd_ctl_card_info_t * obj
#define snd_ctl_card_info_free_PACKED PACKED_void_snd_ctl_card_info_t___GENPT__
#define snd_ctl_card_info_free_INDEXED INDEXED_void_snd_ctl_card_info_t___GENPT__
#define snd_ctl_card_info_free_FORMAT FORMAT_void_snd_ctl_card_info_t___GENPT__
#define snd_ctl_card_info_get_card_INDEX 632
#define snd_ctl_card_info_get_card_RETURN int
#define snd_ctl_card_info_get_card_ARG_NAMES obj
#define snd_ctl_card_info_get_card_ARG_EXPAND const snd_ctl_card_info_t * obj
#define snd_ctl_card_info_get_card_PACKED PACKED_int_const_snd_ctl_card_info_t___GENPT__
#define snd_ctl_card_info_get_card_INDEXED INDEXED_int_const_snd_ctl_card_info_t___GENPT__
#define snd_ctl_card_info_get_card_FORMAT FORMAT_int_const_snd_ctl_card_info_t___GENPT__
#define snd_ctl_card_info_get_components_INDEX 633
#define snd_ctl_card_info_get_components_RETURN const char *
#define snd_ctl_card_info_get_components_ARG_NAMES obj
#define snd_ctl_card_info_get_components_ARG_EXPAND const snd_ctl_card_info_t * obj
#define snd_ctl_card_info_get_components_PACKED PACKED_const_char___GENPT___const_snd_ctl_card_info_t___GENPT__
#define snd_ctl_card_info_get_components_INDEXED INDEXED_const_char___GENPT___const_snd_ctl_card_info_t___GENPT__
#define snd_ctl_card_info_get_components_FORMAT FORMAT_const_char___GENPT___const_snd_ctl_card_info_t___GENPT__
#define snd_ctl_card_info_get_driver_INDEX 634
#define snd_ctl_card_info_get_driver_RETURN const char *
#define snd_ctl_card_info_get_driver_ARG_NAMES obj
#define snd_ctl_card_info_get_driver_ARG_EXPAND const snd_ctl_card_info_t * obj
#define snd_ctl_card_info_get_driver_PACKED PACKED_const_char___GENPT___const_snd_ctl_card_info_t___GENPT__
#define snd_ctl_card_info_get_driver_INDEXED INDEXED_const_char___GENPT___const_snd_ctl_card_info_t___GENPT__
#define snd_ctl_card_info_get_driver_FORMAT FORMAT_const_char___GENPT___const_snd_ctl_card_info_t___GENPT__
#define snd_ctl_card_info_get_id_INDEX 635
#define snd_ctl_card_info_get_id_RETURN const char *
#define snd_ctl_card_info_get_id_ARG_NAMES obj
#define snd_ctl_card_info_get_id_ARG_EXPAND const snd_ctl_card_info_t * obj
#define snd_ctl_card_info_get_id_PACKED PACKED_const_char___GENPT___const_snd_ctl_card_info_t___GENPT__
#define snd_ctl_card_info_get_id_INDEXED INDEXED_const_char___GENPT___const_snd_ctl_card_info_t___GENPT__
#define snd_ctl_card_info_get_id_FORMAT FORMAT_const_char___GENPT___const_snd_ctl_card_info_t___GENPT__
#define snd_ctl_card_info_get_longname_INDEX 636
#define snd_ctl_card_info_get_longname_RETURN const char *
#define snd_ctl_card_info_get_longname_ARG_NAMES obj
#define snd_ctl_card_info_get_longname_ARG_EXPAND const snd_ctl_card_info_t * obj
#define snd_ctl_card_info_get_longname_PACKED PACKED_const_char___GENPT___const_snd_ctl_card_info_t___GENPT__
#define snd_ctl_card_info_get_longname_INDEXED INDEXED_const_char___GENPT___const_snd_ctl_card_info_t___GENPT__
#define snd_ctl_card_info_get_longname_FORMAT FORMAT_const_char___GENPT___const_snd_ctl_card_info_t___GENPT__
#define snd_ctl_card_info_get_mixername_INDEX 637
#define snd_ctl_card_info_get_mixername_RETURN const char *
#define snd_ctl_card_info_get_mixername_ARG_NAMES obj
#define snd_ctl_card_info_get_mixername_ARG_EXPAND const snd_ctl_card_info_t * obj
#define snd_ctl_card_info_get_mixername_PACKED PACKED_const_char___GENPT___const_snd_ctl_card_info_t___GENPT__
#define snd_ctl_card_info_get_mixername_INDEXED INDEXED_const_char___GENPT___const_snd_ctl_card_info_t___GENPT__
#define snd_ctl_card_info_get_mixername_FORMAT FORMAT_const_char___GENPT___const_snd_ctl_card_info_t___GENPT__
#define snd_ctl_card_info_get_name_INDEX 638
#define snd_ctl_card_info_get_name_RETURN const char *
#define snd_ctl_card_info_get_name_ARG_NAMES obj
#define snd_ctl_card_info_get_name_ARG_EXPAND const snd_ctl_card_info_t * obj
#define snd_ctl_card_info_get_name_PACKED PACKED_const_char___GENPT___const_snd_ctl_card_info_t___GENPT__
#define snd_ctl_card_info_get_name_INDEXED INDEXED_const_char___GENPT___const_snd_ctl_card_info_t___GENPT__
#define snd_ctl_card_info_get_name_FORMAT FORMAT_const_char___GENPT___const_snd_ctl_card_info_t___GENPT__
#define snd_ctl_card_info_malloc_INDEX 639
#define snd_ctl_card_info_malloc_RETURN int
#define snd_ctl_card_info_malloc_ARG_NAMES ptr
#define snd_ctl_card_info_malloc_ARG_EXPAND snd_ctl_card_info_t ** ptr
#define snd_ctl_card_info_malloc_PACKED PACKED_int_snd_ctl_card_info_t___GENPT____GENPT__
#define snd_ctl_card_info_malloc_INDEXED INDEXED_int_snd_ctl_card_info_t___GENPT____GENPT__
#define snd_ctl_card_info_malloc_FORMAT FORMAT_int_snd_ctl_card_info_t___GENPT____GENPT__
#define snd_ctl_card_info_sizeof_INDEX 640
#define snd_ctl_card_info_sizeof_RETURN size_t
#define snd_ctl_card_info_sizeof_ARG_NAMES 
#define snd_ctl_card_info_sizeof_ARG_EXPAND 
#define snd_ctl_card_info_sizeof_PACKED PACKED_size_t
#define snd_ctl_card_info_sizeof_INDEXED INDEXED_size_t
#define snd_ctl_card_info_sizeof_FORMAT FORMAT_size_t
#define snd_ctl_close_INDEX 641
#define snd_ctl_close_RETURN int
#define snd_ctl_close_ARG_NAMES ctl
#define snd_ctl_close_ARG_EXPAND snd_ctl_t * ctl
#define snd_ctl_close_PACKED PACKED_int_snd_ctl_t___GENPT__
#define snd_ctl_close_INDEXED INDEXED_int_snd_ctl_t___GENPT__
#define snd_ctl_close_FORMAT FORMAT_int_snd_ctl_t___GENPT__
#define snd_ctl_elem_add_boolean_INDEX 642
#define snd_ctl_elem_add_boolean_RETURN int
#define snd_ctl_elem_add_boolean_ARG_NAMES ctl, id, count
#define snd_ctl_elem_add_boolean_ARG_EXPAND snd_ctl_t * ctl, const snd_ctl_elem_id_t * id, unsigned int count
#define snd_ctl_elem_add_boolean_PACKED PACKED_int_snd_ctl_t___GENPT___const_snd_ctl_elem_id_t___GENPT___unsigned_int
#define snd_ctl_elem_add_boolean_INDEXED INDEXED_int_snd_ctl_t___GENPT___const_snd_ctl_elem_id_t___GENPT___unsigned_int
#define snd_ctl_elem_add_boolean_FORMAT FORMAT_int_snd_ctl_t___GENPT___const_snd_ctl_elem_id_t___GENPT___unsigned_int
#define snd_ctl_elem_add_iec958_INDEX 643
#define snd_ctl_elem_add_iec958_RETURN int
#define snd_ctl_elem_add_iec958_ARG_NAMES ctl, id
#define snd_ctl_elem_add_iec958_ARG_EXPAND snd_ctl_t * ctl, const snd_ctl_elem_id_t * id
#define snd_ctl_elem_add_iec958_PACKED PACKED_int_snd_ctl_t___GENPT___const_snd_ctl_elem_id_t___GENPT__
#define snd_ctl_elem_add_iec958_INDEXED INDEXED_int_snd_ctl_t___GENPT___const_snd_ctl_elem_id_t___GENPT__
#define snd_ctl_elem_add_iec958_FORMAT FORMAT_int_snd_ctl_t___GENPT___const_snd_ctl_elem_id_t___GENPT__
#define snd_ctl_elem_add_integer_INDEX 644
#define snd_ctl_elem_add_integer_RETURN int
#define snd_ctl_elem_add_integer_ARG_NAMES ctl, id, count, imin, imax, istep
#define snd_ctl_elem_add_integer_ARG_EXPAND snd_ctl_t * ctl, const snd_ctl_elem_id_t * id, unsigned int count, long imin, long imax, long istep
#define snd_ctl_elem_add_integer_PACKED PACKED_int_snd_ctl_t___GENPT___const_snd_ctl_elem_id_t___GENPT___unsigned_int_long_long_long
#define snd_ctl_elem_add_integer_INDEXED INDEXED_int_snd_ctl_t___GENPT___const_snd_ctl_elem_id_t___GENPT___unsigned_int_long_long_long
#define snd_ctl_elem_add_integer_FORMAT FORMAT_int_snd_ctl_t___GENPT___const_snd_ctl_elem_id_t___GENPT___unsigned_int_long_long_long
#define snd_ctl_elem_add_integer64_INDEX 645
#define snd_ctl_elem_add_integer64_RETURN int
#define snd_ctl_elem_add_integer64_ARG_NAMES ctl, id, count, imin, imax, istep
#define snd_ctl_elem_add_integer64_ARG_EXPAND snd_ctl_t * ctl, const snd_ctl_elem_id_t * id, unsigned int count, long long imin, long long imax, long long istep
#define snd_ctl_elem_add_integer64_PACKED PACKED_int_snd_ctl_t___GENPT___const_snd_ctl_elem_id_t___GENPT___unsigned_int_long_long_long_long_long_long
#define snd_ctl_elem_add_integer64_INDEXED INDEXED_int_snd_ctl_t___GENPT___const_snd_ctl_elem_id_t___GENPT___unsigned_int_long_long_long_long_long_long
#define snd_ctl_elem_add_integer64_FORMAT FORMAT_int_snd_ctl_t___GENPT___const_snd_ctl_elem_id_t___GENPT___unsigned_int_long_long_long_long_long_long
#define snd_ctl_elem_id_clear_INDEX 646
#define snd_ctl_elem_id_clear_RETURN void
#define snd_ctl_elem_id_clear_ARG_NAMES obj
#define snd_ctl_elem_id_clear_ARG_EXPAND snd_ctl_elem_id_t * obj
#define snd_ctl_elem_id_clear_PACKED PACKED_void_snd_ctl_elem_id_t___GENPT__
#define snd_ctl_elem_id_clear_INDEXED INDEXED_void_snd_ctl_elem_id_t___GENPT__
#define snd_ctl_elem_id_clear_FORMAT FORMAT_void_snd_ctl_elem_id_t___GENPT__
#define snd_ctl_elem_id_copy_INDEX 647
#define snd_ctl_elem_id_copy_RETURN void
#define snd_ctl_elem_id_copy_ARG_NAMES dst, src
#define snd_ctl_elem_id_copy_ARG_EXPAND snd_ctl_elem_id_t * dst, const snd_ctl_elem_id_t * src
#define snd_ctl_elem_id_copy_PACKED PACKED_void_snd_ctl_elem_id_t___GENPT___const_snd_ctl_elem_id_t___GENPT__
#define snd_ctl_elem_id_copy_INDEXED INDEXED_void_snd_ctl_elem_id_t___GENPT___const_snd_ctl_elem_id_t___GENPT__
#define snd_ctl_elem_id_copy_FORMAT FORMAT_void_snd_ctl_elem_id_t___GENPT___const_snd_ctl_elem_id_t___GENPT__
#define snd_ctl_elem_id_free_INDEX 648
#define snd_ctl_elem_id_free_RETURN void
#define snd_ctl_elem_id_free_ARG_NAMES obj
#define snd_ctl_elem_id_free_ARG_EXPAND snd_ctl_elem_id_t * obj
#define snd_ctl_elem_id_free_PACKED PACKED_void_snd_ctl_elem_id_t___GENPT__
#define snd_ctl_elem_id_free_INDEXED INDEXED_void_snd_ctl_elem_id_t___GENPT__
#define snd_ctl_elem_id_free_FORMAT FORMAT_void_snd_ctl_elem_id_t___GENPT__
#define snd_ctl_elem_id_get_device_INDEX 649
#define snd_ctl_elem_id_get_device_RETURN unsigned int
#define snd_ctl_elem_id_get_device_ARG_NAMES obj
#define snd_ctl_elem_id_get_device_ARG_EXPAND const snd_ctl_elem_id_t * obj
#define snd_ctl_elem_id_get_device_PACKED PACKED_unsigned_int_const_snd_ctl_elem_id_t___GENPT__
#define snd_ctl_elem_id_get_device_INDEXED INDEXED_unsigned_int_const_snd_ctl_elem_id_t___GENPT__
#define snd_ctl_elem_id_get_device_FORMAT FORMAT_unsigned_int_const_snd_ctl_elem_id_t___GENPT__
#define snd_ctl_elem_id_get_index_INDEX 650
#define snd_ctl_elem_id_get_index_RETURN unsigned int
#define snd_ctl_elem_id_get_index_ARG_NAMES obj
#define snd_ctl_elem_id_get_index_ARG_EXPAND const snd_ctl_elem_id_t * obj
#define snd_ctl_elem_id_get_index_PACKED PACKED_unsigned_int_const_snd_ctl_elem_id_t___GENPT__
#define snd_ctl_elem_id_get_index_INDEXED INDEXED_unsigned_int_const_snd_ctl_elem_id_t___GENPT__
#define snd_ctl_elem_id_get_index_FORMAT FORMAT_unsigned_int_const_snd_ctl_elem_id_t___GENPT__
#define snd_ctl_elem_id_get_interface_INDEX 651
#define snd_ctl_elem_id_get_interface_RETURN snd_ctl_elem_iface_t
#define snd_ctl_elem_id_get_interface_ARG_NAMES obj
#define snd_ctl_elem_id_get_interface_ARG_EXPAND const snd_ctl_elem_id_t * obj
#define snd_ctl_elem_id_get_interface_PACKED PACKED_snd_ctl_elem_iface_t_const_snd_ctl_elem_id_t___GENPT__
#define snd_ctl_elem_id_get_interface_INDEXED INDEXED_snd_ctl_elem_iface_t_const_snd_ctl_elem_id_t___GENPT__
#define snd_ctl_elem_id_get_interface_FORMAT FORMAT_snd_ctl_elem_iface_t_const_snd_ctl_elem_id_t___GENPT__
#define snd_ctl_elem_id_get_name_INDEX 652
#define snd_ctl_elem_id_get_name_RETURN const char *
#define snd_ctl_elem_id_get_name_ARG_NAMES obj
#define snd_ctl_elem_id_get_name_ARG_EXPAND const snd_ctl_elem_id_t * obj
#define snd_ctl_elem_id_get_name_PACKED PACKED_const_char___GENPT___const_snd_ctl_elem_id_t___GENPT__
#define snd_ctl_elem_id_get_name_INDEXED INDEXED_const_char___GENPT___const_snd_ctl_elem_id_t___GENPT__
#define snd_ctl_elem_id_get_name_FORMAT FORMAT_const_char___GENPT___const_snd_ctl_elem_id_t___GENPT__
#define snd_ctl_elem_id_get_numid_INDEX 653
#define snd_ctl_elem_id_get_numid_RETURN unsigned int
#define snd_ctl_elem_id_get_numid_ARG_NAMES obj
#define snd_ctl_elem_id_get_numid_ARG_EXPAND const snd_ctl_elem_id_t * obj
#define snd_ctl_elem_id_get_numid_PACKED PACKED_unsigned_int_const_snd_ctl_elem_id_t___GENPT__
#define snd_ctl_elem_id_get_numid_INDEXED INDEXED_unsigned_int_const_snd_ctl_elem_id_t___GENPT__
#define snd_ctl_elem_id_get_numid_FORMAT FORMAT_unsigned_int_const_snd_ctl_elem_id_t___GENPT__
#define snd_ctl_elem_id_get_subdevice_INDEX 654
#define snd_ctl_elem_id_get_subdevice_RETURN unsigned int
#define snd_ctl_elem_id_get_subdevice_ARG_NAMES obj
#define snd_ctl_elem_id_get_subdevice_ARG_EXPAND const snd_ctl_elem_id_t * obj
#define snd_ctl_elem_id_get_subdevice_PACKED PACKED_unsigned_int_const_snd_ctl_elem_id_t___GENPT__
#define snd_ctl_elem_id_get_subdevice_INDEXED INDEXED_unsigned_int_const_snd_ctl_elem_id_t___GENPT__
#define snd_ctl_elem_id_get_subdevice_FORMAT FORMAT_unsigned_int_const_snd_ctl_elem_id_t___GENPT__
#define snd_ctl_elem_id_malloc_INDEX 655
#define snd_ctl_elem_id_malloc_RETURN int
#define snd_ctl_elem_id_malloc_ARG_NAMES ptr
#define snd_ctl_elem_id_malloc_ARG_EXPAND snd_ctl_elem_id_t ** ptr
#define snd_ctl_elem_id_malloc_PACKED PACKED_int_snd_ctl_elem_id_t___GENPT____GENPT__
#define snd_ctl_elem_id_malloc_INDEXED INDEXED_int_snd_ctl_elem_id_t___GENPT____GENPT__
#define snd_ctl_elem_id_malloc_FORMAT FORMAT_int_snd_ctl_elem_id_t___GENPT____GENPT__
#define snd_ctl_elem_id_set_device_INDEX 656
#define snd_ctl_elem_id_set_device_RETURN void
#define snd_ctl_elem_id_set_device_ARG_NAMES obj, val
#define snd_ctl_elem_id_set_device_ARG_EXPAND snd_ctl_elem_id_t * obj, unsigned int val
#define snd_ctl_elem_id_set_device_PACKED PACKED_void_snd_ctl_elem_id_t___GENPT___unsigned_int
#define snd_ctl_elem_id_set_device_INDEXED INDEXED_void_snd_ctl_elem_id_t___GENPT___unsigned_int
#define snd_ctl_elem_id_set_device_FORMAT FORMAT_void_snd_ctl_elem_id_t___GENPT___unsigned_int
#define snd_ctl_elem_id_set_index_INDEX 657
#define snd_ctl_elem_id_set_index_RETURN void
#define snd_ctl_elem_id_set_index_ARG_NAMES obj, val
#define snd_ctl_elem_id_set_index_ARG_EXPAND snd_ctl_elem_id_t * obj, unsigned int val
#define snd_ctl_elem_id_set_index_PACKED PACKED_void_snd_ctl_elem_id_t___GENPT___unsigned_int
#define snd_ctl_elem_id_set_index_INDEXED INDEXED_void_snd_ctl_elem_id_t___GENPT___unsigned_int
#define snd_ctl_elem_id_set_index_FORMAT FORMAT_void_snd_ctl_elem_id_t___GENPT___unsigned_int
#define snd_ctl_elem_id_set_interface_INDEX 658
#define snd_ctl_elem_id_set_interface_RETURN void
#define snd_ctl_elem_id_set_interface_ARG_NAMES obj, val
#define snd_ctl_elem_id_set_interface_ARG_EXPAND snd_ctl_elem_id_t * obj, snd_ctl_elem_iface_t val
#define snd_ctl_elem_id_set_interface_PACKED PACKED_void_snd_ctl_elem_id_t___GENPT___snd_ctl_elem_iface_t
#define snd_ctl_elem_id_set_interface_INDEXED INDEXED_void_snd_ctl_elem_id_t___GENPT___snd_ctl_elem_iface_t
#define snd_ctl_elem_id_set_interface_FORMAT FORMAT_void_snd_ctl_elem_id_t___GENPT___snd_ctl_elem_iface_t
#define snd_ctl_elem_id_set_name_INDEX 659
#define snd_ctl_elem_id_set_name_RETURN void
#define snd_ctl_elem_id_set_name_ARG_NAMES obj, val
#define snd_ctl_elem_id_set_name_ARG_EXPAND snd_ctl_elem_id_t * obj, const char * val
#define snd_ctl_elem_id_set_name_PACKED PACKED_void_snd_ctl_elem_id_t___GENPT___const_char___GENPT__
#define snd_ctl_elem_id_set_name_INDEXED INDEXED_void_snd_ctl_elem_id_t___GENPT___const_char___GENPT__
#define snd_ctl_elem_id_set_name_FORMAT FORMAT_void_snd_ctl_elem_id_t___GENPT___const_char___GENPT__
#define snd_ctl_elem_id_set_numid_INDEX 660
#define snd_ctl_elem_id_set_numid_RETURN void
#define snd_ctl_elem_id_set_numid_ARG_NAMES obj, val
#define snd_ctl_elem_id_set_numid_ARG_EXPAND snd_ctl_elem_id_t * obj, unsigned int val
#define snd_ctl_elem_id_set_numid_PACKED PACKED_void_snd_ctl_elem_id_t___GENPT___unsigned_int
#define snd_ctl_elem_id_set_numid_INDEXED INDEXED_void_snd_ctl_elem_id_t___GENPT___unsigned_int
#define snd_ctl_elem_id_set_numid_FORMAT FORMAT_void_snd_ctl_elem_id_t___GENPT___unsigned_int
#define snd_ctl_elem_id_set_subdevice_INDEX 661
#define snd_ctl_elem_id_set_subdevice_RETURN void
#define snd_ctl_elem_id_set_subdevice_ARG_NAMES obj, val
#define snd_ctl_elem_id_set_subdevice_ARG_EXPAND snd_ctl_elem_id_t * obj, unsigned int val
#define snd_ctl_elem_id_set_subdevice_PACKED PACKED_void_snd_ctl_elem_id_t___GENPT___unsigned_int
#define snd_ctl_elem_id_set_subdevice_INDEXED INDEXED_void_snd_ctl_elem_id_t___GENPT___unsigned_int
#define snd_ctl_elem_id_set_subdevice_FORMAT FORMAT_void_snd_ctl_elem_id_t___GENPT___unsigned_int
#define snd_ctl_elem_id_sizeof_INDEX 662
#define snd_ctl_elem_id_sizeof_RETURN size_t
#define snd_ctl_elem_id_sizeof_ARG_NAMES 
#define snd_ctl_elem_id_sizeof_ARG_EXPAND 
#define snd_ctl_elem_id_sizeof_PACKED PACKED_size_t
#define snd_ctl_elem_id_sizeof_INDEXED INDEXED_size_t
#define snd_ctl_elem_id_sizeof_FORMAT FORMAT_size_t
#define snd_ctl_elem_iface_name_INDEX 663
#define snd_ctl_elem_iface_name_RETURN const char *
#define snd_ctl_elem_iface_name_ARG_NAMES iface
#define snd_ctl_elem_iface_name_ARG_EXPAND snd_ctl_elem_iface_t iface
#define snd_ctl_elem_iface_name_PACKED PACKED_const_char___GENPT___snd_ctl_elem_iface_t
#define snd_ctl_elem_iface_name_INDEXED INDEXED_const_char___GENPT___snd_ctl_elem_iface_t
#define snd_ctl_elem_iface_name_FORMAT FORMAT_const_char___GENPT___snd_ctl_elem_iface_t
#define snd_ctl_elem_info_INDEX 664
#define snd_ctl_elem_info_RETURN int
#define snd_ctl_elem_info_ARG_NAMES ctl, info
#define snd_ctl_elem_info_ARG_EXPAND snd_ctl_t * ctl, snd_ctl_elem_info_t * info
#define snd_ctl_elem_info_PACKED PACKED_int_snd_ctl_t___GENPT___snd_ctl_elem_info_t___GENPT__
#define snd_ctl_elem_info_INDEXED INDEXED_int_snd_ctl_t___GENPT___snd_ctl_elem_info_t___GENPT__
#define snd_ctl_elem_info_FORMAT FORMAT_int_snd_ctl_t___GENPT___snd_ctl_elem_info_t___GENPT__
#define snd_ctl_elem_info_clear_INDEX 665
#define snd_ctl_elem_info_clear_RETURN void
#define snd_ctl_elem_info_clear_ARG_NAMES obj
#define snd_ctl_elem_info_clear_ARG_EXPAND snd_ctl_elem_info_t * obj
#define snd_ctl_elem_info_clear_PACKED PACKED_void_snd_ctl_elem_info_t___GENPT__
#define snd_ctl_elem_info_clear_INDEXED INDEXED_void_snd_ctl_elem_info_t___GENPT__
#define snd_ctl_elem_info_clear_FORMAT FORMAT_void_snd_ctl_elem_info_t___GENPT__
#define snd_ctl_elem_info_copy_INDEX 666
#define snd_ctl_elem_info_copy_RETURN void
#define snd_ctl_elem_info_copy_ARG_NAMES dst, src
#define snd_ctl_elem_info_copy_ARG_EXPAND snd_ctl_elem_info_t * dst, const snd_ctl_elem_info_t * src
#define snd_ctl_elem_info_copy_PACKED PACKED_void_snd_ctl_elem_info_t___GENPT___const_snd_ctl_elem_info_t___GENPT__
#define snd_ctl_elem_info_copy_INDEXED INDEXED_void_snd_ctl_elem_info_t___GENPT___const_snd_ctl_elem_info_t___GENPT__
#define snd_ctl_elem_info_copy_FORMAT FORMAT_void_snd_ctl_elem_info_t___GENPT___const_snd_ctl_elem_info_t___GENPT__
#define snd_ctl_elem_info_free_INDEX 667
#define snd_ctl_elem_info_free_RETURN void
#define snd_ctl_elem_info_free_ARG_NAMES obj
#define snd_ctl_elem_info_free_ARG_EXPAND snd_ctl_elem_info_t * obj
#define snd_ctl_elem_info_free_PACKED PACKED_void_snd_ctl_elem_info_t___GENPT__
#define snd_ctl_elem_info_free_INDEXED INDEXED_void_snd_ctl_elem_info_t___GENPT__
#define snd_ctl_elem_info_free_FORMAT FORMAT_void_snd_ctl_elem_info_t___GENPT__
#define snd_ctl_elem_info_get_count_INDEX 668
#define snd_ctl_elem_info_get_count_RETURN unsigned int
#define snd_ctl_elem_info_get_count_ARG_NAMES obj
#define snd_ctl_elem_info_get_count_ARG_EXPAND const snd_ctl_elem_info_t * obj
#define snd_ctl_elem_info_get_count_PACKED PACKED_unsigned_int_const_snd_ctl_elem_info_t___GENPT__
#define snd_ctl_elem_info_get_count_INDEXED INDEXED_unsigned_int_const_snd_ctl_elem_info_t___GENPT__
#define snd_ctl_elem_info_get_count_FORMAT FORMAT_unsigned_int_const_snd_ctl_elem_info_t___GENPT__
#define snd_ctl_elem_info_get_device_INDEX 669
#define snd_ctl_elem_info_get_device_RETURN unsigned int
#define snd_ctl_elem_info_get_device_ARG_NAMES obj
#define snd_ctl_elem_info_get_device_ARG_EXPAND const snd_ctl_elem_info_t * obj
#define snd_ctl_elem_info_get_device_PACKED PACKED_unsigned_int_const_snd_ctl_elem_info_t___GENPT__
#define snd_ctl_elem_info_get_device_INDEXED INDEXED_unsigned_int_const_snd_ctl_elem_info_t___GENPT__
#define snd_ctl_elem_info_get_device_FORMAT FORMAT_unsigned_int_const_snd_ctl_elem_info_t___GENPT__
#define snd_ctl_elem_info_get_dimension_INDEX 670
#define snd_ctl_elem_info_get_dimension_RETURN int
#define snd_ctl_elem_info_get_dimension_ARG_NAMES obj, idx
#define snd_ctl_elem_info_get_dimension_ARG_EXPAND const snd_ctl_elem_info_t * obj, unsigned int idx
#define snd_ctl_elem_info_get_dimension_PACKED PACKED_int_const_snd_ctl_elem_info_t___GENPT___unsigned_int
#define snd_ctl_elem_info_get_dimension_INDEXED INDEXED_int_const_snd_ctl_elem_info_t___GENPT___unsigned_int
#define snd_ctl_elem_info_get_dimension_FORMAT FORMAT_int_const_snd_ctl_elem_info_t___GENPT___unsigned_int
#define snd_ctl_elem_info_get_dimensions_INDEX 671
#define snd_ctl_elem_info_get_dimensions_RETURN int
#define snd_ctl_elem_info_get_dimensions_ARG_NAMES obj
#define snd_ctl_elem_info_get_dimensions_ARG_EXPAND const snd_ctl_elem_info_t * obj
#define snd_ctl_elem_info_get_dimensions_PACKED PACKED_int_const_snd_ctl_elem_info_t___GENPT__
#define snd_ctl_elem_info_get_dimensions_INDEXED INDEXED_int_const_snd_ctl_elem_info_t___GENPT__
#define snd_ctl_elem_info_get_dimensions_FORMAT FORMAT_int_const_snd_ctl_elem_info_t___GENPT__
#define snd_ctl_elem_info_get_id_INDEX 672
#define snd_ctl_elem_info_get_id_RETURN void
#define snd_ctl_elem_info_get_id_ARG_NAMES obj, ptr
#define snd_ctl_elem_info_get_id_ARG_EXPAND const snd_ctl_elem_info_t * obj, snd_ctl_elem_id_t * ptr
#define snd_ctl_elem_info_get_id_PACKED PACKED_void_const_snd_ctl_elem_info_t___GENPT___snd_ctl_elem_id_t___GENPT__
#define snd_ctl_elem_info_get_id_INDEXED INDEXED_void_const_snd_ctl_elem_info_t___GENPT___snd_ctl_elem_id_t___GENPT__
#define snd_ctl_elem_info_get_id_FORMAT FORMAT_void_const_snd_ctl_elem_info_t___GENPT___snd_ctl_elem_id_t___GENPT__
#define snd_ctl_elem_info_get_index_INDEX 673
#define snd_ctl_elem_info_get_index_RETURN unsigned int
#define snd_ctl_elem_info_get_index_ARG_NAMES obj
#define snd_ctl_elem_info_get_index_ARG_EXPAND const snd_ctl_elem_info_t * obj
#define snd_ctl_elem_info_get_index_PACKED PACKED_unsigned_int_const_snd_ctl_elem_info_t___GENPT__
#define snd_ctl_elem_info_get_index_INDEXED INDEXED_unsigned_int_const_snd_ctl_elem_info_t___GENPT__
#define snd_ctl_elem_info_get_index_FORMAT FORMAT_unsigned_int_const_snd_ctl_elem_info_t___GENPT__
#define snd_ctl_elem_info_get_interface_INDEX 674
#define snd_ctl_elem_info_get_interface_RETURN snd_ctl_elem_iface_t
#define snd_ctl_elem_info_get_interface_ARG_NAMES obj
#define snd_ctl_elem_info_get_interface_ARG_EXPAND const snd_ctl_elem_info_t * obj
#define snd_ctl_elem_info_get_interface_PACKED PACKED_snd_ctl_elem_iface_t_const_snd_ctl_elem_info_t___GENPT__
#define snd_ctl_elem_info_get_interface_INDEXED INDEXED_snd_ctl_elem_iface_t_const_snd_ctl_elem_info_t___GENPT__
#define snd_ctl_elem_info_get_interface_FORMAT FORMAT_snd_ctl_elem_iface_t_const_snd_ctl_elem_info_t___GENPT__
#define snd_ctl_elem_info_get_item_name_INDEX 675
#define snd_ctl_elem_info_get_item_name_RETURN const char *
#define snd_ctl_elem_info_get_item_name_ARG_NAMES obj
#define snd_ctl_elem_info_get_item_name_ARG_EXPAND const snd_ctl_elem_info_t * obj
#define snd_ctl_elem_info_get_item_name_PACKED PACKED_const_char___GENPT___const_snd_ctl_elem_info_t___GENPT__
#define snd_ctl_elem_info_get_item_name_INDEXED INDEXED_const_char___GENPT___const_snd_ctl_elem_info_t___GENPT__
#define snd_ctl_elem_info_get_item_name_FORMAT FORMAT_const_char___GENPT___const_snd_ctl_elem_info_t___GENPT__
#define snd_ctl_elem_info_get_items_INDEX 676
#define snd_ctl_elem_info_get_items_RETURN unsigned int
#define snd_ctl_elem_info_get_items_ARG_NAMES obj
#define snd_ctl_elem_info_get_items_ARG_EXPAND const snd_ctl_elem_info_t * obj
#define snd_ctl_elem_info_get_items_PACKED PACKED_unsigned_int_const_snd_ctl_elem_info_t___GENPT__
#define snd_ctl_elem_info_get_items_INDEXED INDEXED_unsigned_int_const_snd_ctl_elem_info_t___GENPT__
#define snd_ctl_elem_info_get_items_FORMAT FORMAT_unsigned_int_const_snd_ctl_elem_info_t___GENPT__
#define snd_ctl_elem_info_get_max_INDEX 677
#define snd_ctl_elem_info_get_max_RETURN long
#define snd_ctl_elem_info_get_max_ARG_NAMES obj
#define snd_ctl_elem_info_get_max_ARG_EXPAND const snd_ctl_elem_info_t * obj
#define snd_ctl_elem_info_get_max_PACKED PACKED_long_const_snd_ctl_elem_info_t___GENPT__
#define snd_ctl_elem_info_get_max_INDEXED INDEXED_long_const_snd_ctl_elem_info_t___GENPT__
#define snd_ctl_elem_info_get_max_FORMAT FORMAT_long_const_snd_ctl_elem_info_t___GENPT__
#define snd_ctl_elem_info_get_max64_INDEX 678
#define snd_ctl_elem_info_get_max64_RETURN long long
#define snd_ctl_elem_info_get_max64_ARG_NAMES obj
#define snd_ctl_elem_info_get_max64_ARG_EXPAND const snd_ctl_elem_info_t * obj
#define snd_ctl_elem_info_get_max64_PACKED PACKED_long_long_const_snd_ctl_elem_info_t___GENPT__
#define snd_ctl_elem_info_get_max64_INDEXED INDEXED_long_long_const_snd_ctl_elem_info_t___GENPT__
#define snd_ctl_elem_info_get_max64_FORMAT FORMAT_long_long_const_snd_ctl_elem_info_t___GENPT__
#define snd_ctl_elem_info_get_min_INDEX 679
#define snd_ctl_elem_info_get_min_RETURN long
#define snd_ctl_elem_info_get_min_ARG_NAMES obj
#define snd_ctl_elem_info_get_min_ARG_EXPAND const snd_ctl_elem_info_t * obj
#define snd_ctl_elem_info_get_min_PACKED PACKED_long_const_snd_ctl_elem_info_t___GENPT__
#define snd_ctl_elem_info_get_min_INDEXED INDEXED_long_const_snd_ctl_elem_info_t___GENPT__
#define snd_ctl_elem_info_get_min_FORMAT FORMAT_long_const_snd_ctl_elem_info_t___GENPT__
#define snd_ctl_elem_info_get_min64_INDEX 680
#define snd_ctl_elem_info_get_min64_RETURN long long
#define snd_ctl_elem_info_get_min64_ARG_NAMES obj
#define snd_ctl_elem_info_get_min64_ARG_EXPAND const snd_ctl_elem_info_t * obj
#define snd_ctl_elem_info_get_min64_PACKED PACKED_long_long_const_snd_ctl_elem_info_t___GENPT__
#define snd_ctl_elem_info_get_min64_INDEXED INDEXED_long_long_const_snd_ctl_elem_info_t___GENPT__
#define snd_ctl_elem_info_get_min64_FORMAT FORMAT_long_long_const_snd_ctl_elem_info_t___GENPT__
#define snd_ctl_elem_info_get_name_INDEX 681
#define snd_ctl_elem_info_get_name_RETURN const char *
#define snd_ctl_elem_info_get_name_ARG_NAMES obj
#define snd_ctl_elem_info_get_name_ARG_EXPAND const snd_ctl_elem_info_t * obj
#define snd_ctl_elem_info_get_name_PACKED PACKED_const_char___GENPT___const_snd_ctl_elem_info_t___GENPT__
#define snd_ctl_elem_info_get_name_INDEXED INDEXED_const_char___GENPT___const_snd_ctl_elem_info_t___GENPT__
#define snd_ctl_elem_info_get_name_FORMAT FORMAT_const_char___GENPT___const_snd_ctl_elem_info_t___GENPT__
#define snd_ctl_elem_info_get_numid_INDEX 682
#define snd_ctl_elem_info_get_numid_RETURN unsigned int
#define snd_ctl_elem_info_get_numid_ARG_NAMES obj
#define snd_ctl_elem_info_get_numid_ARG_EXPAND const snd_ctl_elem_info_t * obj
#define snd_ctl_elem_info_get_numid_PACKED PACKED_unsigned_int_const_snd_ctl_elem_info_t___GENPT__
#define snd_ctl_elem_info_get_numid_INDEXED INDEXED_unsigned_int_const_snd_ctl_elem_info_t___GENPT__
#define snd_ctl_elem_info_get_numid_FORMAT FORMAT_unsigned_int_const_snd_ctl_elem_info_t___GENPT__
#define snd_ctl_elem_info_get_owner_INDEX 683
#define snd_ctl_elem_info_get_owner_RETURN pid_t
#define snd_ctl_elem_info_get_owner_ARG_NAMES obj
#define snd_ctl_elem_info_get_owner_ARG_EXPAND const snd_ctl_elem_info_t * obj
#define snd_ctl_elem_info_get_owner_PACKED PACKED_pid_t_const_snd_ctl_elem_info_t___GENPT__
#define snd_ctl_elem_info_get_owner_INDEXED INDEXED_pid_t_const_snd_ctl_elem_info_t___GENPT__
#define snd_ctl_elem_info_get_owner_FORMAT FORMAT_pid_t_const_snd_ctl_elem_info_t___GENPT__
#define snd_ctl_elem_info_get_step_INDEX 684
#define snd_ctl_elem_info_get_step_RETURN long
#define snd_ctl_elem_info_get_step_ARG_NAMES obj
#define snd_ctl_elem_info_get_step_ARG_EXPAND const snd_ctl_elem_info_t * obj
#define snd_ctl_elem_info_get_step_PACKED PACKED_long_const_snd_ctl_elem_info_t___GENPT__
#define snd_ctl_elem_info_get_step_INDEXED INDEXED_long_const_snd_ctl_elem_info_t___GENPT__
#define snd_ctl_elem_info_get_step_FORMAT FORMAT_long_const_snd_ctl_elem_info_t___GENPT__
#define snd_ctl_elem_info_get_step64_INDEX 685
#define snd_ctl_elem_info_get_step64_RETURN long long
#define snd_ctl_elem_info_get_step64_ARG_NAMES obj
#define snd_ctl_elem_info_get_step64_ARG_EXPAND const snd_ctl_elem_info_t * obj
#define snd_ctl_elem_info_get_step64_PACKED PACKED_long_long_const_snd_ctl_elem_info_t___GENPT__
#define snd_ctl_elem_info_get_step64_INDEXED INDEXED_long_long_const_snd_ctl_elem_info_t___GENPT__
#define snd_ctl_elem_info_get_step64_FORMAT FORMAT_long_long_const_snd_ctl_elem_info_t___GENPT__
#define snd_ctl_elem_info_get_subdevice_INDEX 686
#define snd_ctl_elem_info_get_subdevice_RETURN unsigned int
#define snd_ctl_elem_info_get_subdevice_ARG_NAMES obj
#define snd_ctl_elem_info_get_subdevice_ARG_EXPAND const snd_ctl_elem_info_t * obj
#define snd_ctl_elem_info_get_subdevice_PACKED PACKED_unsigned_int_const_snd_ctl_elem_info_t___GENPT__
#define snd_ctl_elem_info_get_subdevice_INDEXED INDEXED_unsigned_int_const_snd_ctl_elem_info_t___GENPT__
#define snd_ctl_elem_info_get_subdevice_FORMAT FORMAT_unsigned_int_const_snd_ctl_elem_info_t___GENPT__
#define snd_ctl_elem_info_get_type_INDEX 687
#define snd_ctl_elem_info_get_type_RETURN snd_ctl_elem_type_t
#define snd_ctl_elem_info_get_type_ARG_NAMES obj
#define snd_ctl_elem_info_get_type_ARG_EXPAND const snd_ctl_elem_info_t * obj
#define snd_ctl_elem_info_get_type_PACKED PACKED_snd_ctl_elem_type_t_const_snd_ctl_elem_info_t___GENPT__
#define snd_ctl_elem_info_get_type_INDEXED INDEXED_snd_ctl_elem_type_t_const_snd_ctl_elem_info_t___GENPT__
#define snd_ctl_elem_info_get_type_FORMAT FORMAT_snd_ctl_elem_type_t_const_snd_ctl_elem_info_t___GENPT__
#define snd_ctl_elem_info_is_inactive_INDEX 688
#define snd_ctl_elem_info_is_inactive_RETURN int
#define snd_ctl_elem_info_is_inactive_ARG_NAMES obj
#define snd_ctl_elem_info_is_inactive_ARG_EXPAND const snd_ctl_elem_info_t * obj
#define snd_ctl_elem_info_is_inactive_PACKED PACKED_int_const_snd_ctl_elem_info_t___GENPT__
#define snd_ctl_elem_info_is_inactive_INDEXED INDEXED_int_const_snd_ctl_elem_info_t___GENPT__
#define snd_ctl_elem_info_is_inactive_FORMAT FORMAT_int_const_snd_ctl_elem_info_t___GENPT__
#define snd_ctl_elem_info_is_locked_INDEX 689
#define snd_ctl_elem_info_is_locked_RETURN int
#define snd_ctl_elem_info_is_locked_ARG_NAMES obj
#define snd_ctl_elem_info_is_locked_ARG_EXPAND const snd_ctl_elem_info_t * obj
#define snd_ctl_elem_info_is_locked_PACKED PACKED_int_const_snd_ctl_elem_info_t___GENPT__
#define snd_ctl_elem_info_is_locked_INDEXED INDEXED_int_const_snd_ctl_elem_info_t___GENPT__
#define snd_ctl_elem_info_is_locked_FORMAT FORMAT_int_const_snd_ctl_elem_info_t___GENPT__
#define snd_ctl_elem_info_is_owner_INDEX 690
#define snd_ctl_elem_info_is_owner_RETURN int
#define snd_ctl_elem_info_is_owner_ARG_NAMES obj
#define snd_ctl_elem_info_is_owner_ARG_EXPAND const snd_ctl_elem_info_t * obj
#define snd_ctl_elem_info_is_owner_PACKED PACKED_int_const_snd_ctl_elem_info_t___GENPT__
#define snd_ctl_elem_info_is_owner_INDEXED INDEXED_int_const_snd_ctl_elem_info_t___GENPT__
#define snd_ctl_elem_info_is_owner_FORMAT FORMAT_int_const_snd_ctl_elem_info_t___GENPT__
#define snd_ctl_elem_info_is_readable_INDEX 691
#define snd_ctl_elem_info_is_readable_RETURN int
#define snd_ctl_elem_info_is_readable_ARG_NAMES obj
#define snd_ctl_elem_info_is_readable_ARG_EXPAND const snd_ctl_elem_info_t * obj
#define snd_ctl_elem_info_is_readable_PACKED PACKED_int_const_snd_ctl_elem_info_t___GENPT__
#define snd_ctl_elem_info_is_readable_INDEXED INDEXED_int_const_snd_ctl_elem_info_t___GENPT__
#define snd_ctl_elem_info_is_readable_FORMAT FORMAT_int_const_snd_ctl_elem_info_t___GENPT__
#define snd_ctl_elem_info_is_tlv_commandable_INDEX 692
#define snd_ctl_elem_info_is_tlv_commandable_RETURN int
#define snd_ctl_elem_info_is_tlv_commandable_ARG_NAMES obj
#define snd_ctl_elem_info_is_tlv_commandable_ARG_EXPAND const snd_ctl_elem_info_t * obj
#define snd_ctl_elem_info_is_tlv_commandable_PACKED PACKED_int_const_snd_ctl_elem_info_t___GENPT__
#define snd_ctl_elem_info_is_tlv_commandable_INDEXED INDEXED_int_const_snd_ctl_elem_info_t___GENPT__
#define snd_ctl_elem_info_is_tlv_commandable_FORMAT FORMAT_int_const_snd_ctl_elem_info_t___GENPT__
#define snd_ctl_elem_info_is_tlv_readable_INDEX 693
#define snd_ctl_elem_info_is_tlv_readable_RETURN int
#define snd_ctl_elem_info_is_tlv_readable_ARG_NAMES obj
#define snd_ctl_elem_info_is_tlv_readable_ARG_EXPAND const snd_ctl_elem_info_t * obj
#define snd_ctl_elem_info_is_tlv_readable_PACKED PACKED_int_const_snd_ctl_elem_info_t___GENPT__
#define snd_ctl_elem_info_is_tlv_readable_INDEXED INDEXED_int_const_snd_ctl_elem_info_t___GENPT__
#define snd_ctl_elem_info_is_tlv_readable_FORMAT FORMAT_int_const_snd_ctl_elem_info_t___GENPT__
#define snd_ctl_elem_info_is_tlv_writable_INDEX 694
#define snd_ctl_elem_info_is_tlv_writable_RETURN int
#define snd_ctl_elem_info_is_tlv_writable_ARG_NAMES obj
#define snd_ctl_elem_info_is_tlv_writable_ARG_EXPAND const snd_ctl_elem_info_t * obj
#define snd_ctl_elem_info_is_tlv_writable_PACKED PACKED_int_const_snd_ctl_elem_info_t___GENPT__
#define snd_ctl_elem_info_is_tlv_writable_INDEXED INDEXED_int_const_snd_ctl_elem_info_t___GENPT__
#define snd_ctl_elem_info_is_tlv_writable_FORMAT FORMAT_int_const_snd_ctl_elem_info_t___GENPT__
#define snd_ctl_elem_info_is_user_INDEX 695
#define snd_ctl_elem_info_is_user_RETURN int
#define snd_ctl_elem_info_is_user_ARG_NAMES obj
#define snd_ctl_elem_info_is_user_ARG_EXPAND const snd_ctl_elem_info_t * obj
#define snd_ctl_elem_info_is_user_PACKED PACKED_int_const_snd_ctl_elem_info_t___GENPT__
#define snd_ctl_elem_info_is_user_INDEXED INDEXED_int_const_snd_ctl_elem_info_t___GENPT__
#define snd_ctl_elem_info_is_user_FORMAT FORMAT_int_const_snd_ctl_elem_info_t___GENPT__
#define snd_ctl_elem_info_is_volatile_INDEX 696
#define snd_ctl_elem_info_is_volatile_RETURN int
#define snd_ctl_elem_info_is_volatile_ARG_NAMES obj
#define snd_ctl_elem_info_is_volatile_ARG_EXPAND const snd_ctl_elem_info_t * obj
#define snd_ctl_elem_info_is_volatile_PACKED PACKED_int_const_snd_ctl_elem_info_t___GENPT__
#define snd_ctl_elem_info_is_volatile_INDEXED INDEXED_int_const_snd_ctl_elem_info_t___GENPT__
#define snd_ctl_elem_info_is_volatile_FORMAT FORMAT_int_const_snd_ctl_elem_info_t___GENPT__
#define snd_ctl_elem_info_is_writable_INDEX 697
#define snd_ctl_elem_info_is_writable_RETURN int
#define snd_ctl_elem_info_is_writable_ARG_NAMES obj
#define snd_ctl_elem_info_is_writable_ARG_EXPAND const snd_ctl_elem_info_t * obj
#define snd_ctl_elem_info_is_writable_PACKED PACKED_int_const_snd_ctl_elem_info_t___GENPT__
#define snd_ctl_elem_info_is_writable_INDEXED INDEXED_int_const_snd_ctl_elem_info_t___GENPT__
#define snd_ctl_elem_info_is_writable_FORMAT FORMAT_int_const_snd_ctl_elem_info_t___GENPT__
#define snd_ctl_elem_info_malloc_INDEX 698
#define snd_ctl_elem_info_malloc_RETURN int
#define snd_ctl_elem_info_malloc_ARG_NAMES ptr
#define snd_ctl_elem_info_malloc_ARG_EXPAND snd_ctl_elem_info_t ** ptr
#define snd_ctl_elem_info_malloc_PACKED PACKED_int_snd_ctl_elem_info_t___GENPT____GENPT__
#define snd_ctl_elem_info_malloc_INDEXED INDEXED_int_snd_ctl_elem_info_t___GENPT____GENPT__
#define snd_ctl_elem_info_malloc_FORMAT FORMAT_int_snd_ctl_elem_info_t___GENPT____GENPT__
#define snd_ctl_elem_info_set_device_INDEX 699
#define snd_ctl_elem_info_set_device_RETURN void
#define snd_ctl_elem_info_set_device_ARG_NAMES obj, val
#define snd_ctl_elem_info_set_device_ARG_EXPAND snd_ctl_elem_info_t * obj, unsigned int val
#define snd_ctl_elem_info_set_device_PACKED PACKED_void_snd_ctl_elem_info_t___GENPT___unsigned_int
#define snd_ctl_elem_info_set_device_INDEXED INDEXED_void_snd_ctl_elem_info_t___GENPT___unsigned_int
#define snd_ctl_elem_info_set_device_FORMAT FORMAT_void_snd_ctl_elem_info_t___GENPT___unsigned_int
#define snd_ctl_elem_info_set_id_INDEX 700
#define snd_ctl_elem_info_set_id_RETURN void
#define snd_ctl_elem_info_set_id_ARG_NAMES obj, ptr
#define snd_ctl_elem_info_set_id_ARG_EXPAND snd_ctl_elem_info_t * obj, const snd_ctl_elem_id_t * ptr
#define snd_ctl_elem_info_set_id_PACKED PACKED_void_snd_ctl_elem_info_t___GENPT___const_snd_ctl_elem_id_t___GENPT__
#define snd_ctl_elem_info_set_id_INDEXED INDEXED_void_snd_ctl_elem_info_t___GENPT___const_snd_ctl_elem_id_t___GENPT__
#define snd_ctl_elem_info_set_id_FORMAT FORMAT_void_snd_ctl_elem_info_t___GENPT___const_snd_ctl_elem_id_t___GENPT__
#define snd_ctl_elem_info_set_index_INDEX 701
#define snd_ctl_elem_info_set_index_RETURN void
#define snd_ctl_elem_info_set_index_ARG_NAMES obj, val
#define snd_ctl_elem_info_set_index_ARG_EXPAND snd_ctl_elem_info_t * obj, unsigned int val
#define snd_ctl_elem_info_set_index_PACKED PACKED_void_snd_ctl_elem_info_t___GENPT___unsigned_int
#define snd_ctl_elem_info_set_index_INDEXED INDEXED_void_snd_ctl_elem_info_t___GENPT___unsigned_int
#define snd_ctl_elem_info_set_index_FORMAT FORMAT_void_snd_ctl_elem_info_t___GENPT___unsigned_int
#define snd_ctl_elem_info_set_interface_INDEX 702
#define snd_ctl_elem_info_set_interface_RETURN void
#define snd_ctl_elem_info_set_interface_ARG_NAMES obj, val
#define snd_ctl_elem_info_set_interface_ARG_EXPAND snd_ctl_elem_info_t * obj, snd_ctl_elem_iface_t val
#define snd_ctl_elem_info_set_interface_PACKED PACKED_void_snd_ctl_elem_info_t___GENPT___snd_ctl_elem_iface_t
#define snd_ctl_elem_info_set_interface_INDEXED INDEXED_void_snd_ctl_elem_info_t___GENPT___snd_ctl_elem_iface_t
#define snd_ctl_elem_info_set_interface_FORMAT FORMAT_void_snd_ctl_elem_info_t___GENPT___snd_ctl_elem_iface_t
#define snd_ctl_elem_info_set_item_INDEX 703
#define snd_ctl_elem_info_set_item_RETURN void
#define snd_ctl_elem_info_set_item_ARG_NAMES obj, val
#define snd_ctl_elem_info_set_item_ARG_EXPAND snd_ctl_elem_info_t * obj, unsigned int val
#define snd_ctl_elem_info_set_item_PACKED PACKED_void_snd_ctl_elem_info_t___GENPT___unsigned_int
#define snd_ctl_elem_info_set_item_INDEXED INDEXED_void_snd_ctl_elem_info_t___GENPT___unsigned_int
#define snd_ctl_elem_info_set_item_FORMAT FORMAT_void_snd_ctl_elem_info_t___GENPT___unsigned_int
#define snd_ctl_elem_info_set_name_INDEX 704
#define snd_ctl_elem_info_set_name_RETURN void
#define snd_ctl_elem_info_set_name_ARG_NAMES obj, val
#define snd_ctl_elem_info_set_name_ARG_EXPAND snd_ctl_elem_info_t * obj, const char * val
#define snd_ctl_elem_info_set_name_PACKED PACKED_void_snd_ctl_elem_info_t___GENPT___const_char___GENPT__
#define snd_ctl_elem_info_set_name_INDEXED INDEXED_void_snd_ctl_elem_info_t___GENPT___const_char___GENPT__
#define snd_ctl_elem_info_set_name_FORMAT FORMAT_void_snd_ctl_elem_info_t___GENPT___const_char___GENPT__
#define snd_ctl_elem_info_set_numid_INDEX 705
#define snd_ctl_elem_info_set_numid_RETURN void
#define snd_ctl_elem_info_set_numid_ARG_NAMES obj, val
#define snd_ctl_elem_info_set_numid_ARG_EXPAND snd_ctl_elem_info_t * obj, unsigned int val
#define snd_ctl_elem_info_set_numid_PACKED PACKED_void_snd_ctl_elem_info_t___GENPT___unsigned_int
#define snd_ctl_elem_info_set_numid_INDEXED INDEXED_void_snd_ctl_elem_info_t___GENPT___unsigned_int
#define snd_ctl_elem_info_set_numid_FORMAT FORMAT_void_snd_ctl_elem_info_t___GENPT___unsigned_int
#define snd_ctl_elem_info_set_subdevice_INDEX 706
#define snd_ctl_elem_info_set_subdevice_RETURN void
#define snd_ctl_elem_info_set_subdevice_ARG_NAMES obj, val
#define snd_ctl_elem_info_set_subdevice_ARG_EXPAND snd_ctl_elem_info_t * obj, unsigned int val
#define snd_ctl_elem_info_set_subdevice_PACKED PACKED_void_snd_ctl_elem_info_t___GENPT___unsigned_int
#define snd_ctl_elem_info_set_subdevice_INDEXED INDEXED_void_snd_ctl_elem_info_t___GENPT___unsigned_int
#define snd_ctl_elem_info_set_subdevice_FORMAT FORMAT_void_snd_ctl_elem_info_t___GENPT___unsigned_int
#define snd_ctl_elem_info_sizeof_INDEX 707
#define snd_ctl_elem_info_sizeof_RETURN size_t
#define snd_ctl_elem_info_sizeof_ARG_NAMES 
#define snd_ctl_elem_info_sizeof_ARG_EXPAND 
#define snd_ctl_elem_info_sizeof_PACKED PACKED_size_t
#define snd_ctl_elem_info_sizeof_INDEXED INDEXED_size_t
#define snd_ctl_elem_info_sizeof_FORMAT FORMAT_size_t
#define snd_ctl_elem_list_INDEX 708
#define snd_ctl_elem_list_RETURN int
#define snd_ctl_elem_list_ARG_NAMES ctl, list
#define snd_ctl_elem_list_ARG_EXPAND snd_ctl_t * ctl, snd_ctl_elem_list_t * list
#define snd_ctl_elem_list_PACKED PACKED_int_snd_ctl_t___GENPT___snd_ctl_elem_list_t___GENPT__
#define snd_ctl_elem_list_INDEXED INDEXED_int_snd_ctl_t___GENPT___snd_ctl_elem_list_t___GENPT__
#define snd_ctl_elem_list_FORMAT FORMAT_int_snd_ctl_t___GENPT___snd_ctl_elem_list_t___GENPT__
#define snd_ctl_elem_list_alloc_space_INDEX 709
#define snd_ctl_elem_list_alloc_space_RETURN int
#define snd_ctl_elem_list_alloc_space_ARG_NAMES obj, entries
#define snd_ctl_elem_list_alloc_space_ARG_EXPAND snd_ctl_elem_list_t * obj, unsigned int entries
#define snd_ctl_elem_list_alloc_space_PACKED PACKED_int_snd_ctl_elem_list_t___GENPT___unsigned_int
#define snd_ctl_elem_list_alloc_space_INDEXED INDEXED_int_snd_ctl_elem_list_t___GENPT___unsigned_int
#define snd_ctl_elem_list_alloc_space_FORMAT FORMAT_int_snd_ctl_elem_list_t___GENPT___unsigned_int
#define snd_ctl_elem_list_clear_INDEX 710
#define snd_ctl_elem_list_clear_RETURN void
#define snd_ctl_elem_list_clear_ARG_NAMES obj
#define snd_ctl_elem_list_clear_ARG_EXPAND snd_ctl_elem_list_t * obj
#define snd_ctl_elem_list_clear_PACKED PACKED_void_snd_ctl_elem_list_t___GENPT__
#define snd_ctl_elem_list_clear_INDEXED INDEXED_void_snd_ctl_elem_list_t___GENPT__
#define snd_ctl_elem_list_clear_FORMAT FORMAT_void_snd_ctl_elem_list_t___GENPT__
#define snd_ctl_elem_list_copy_INDEX 711
#define snd_ctl_elem_list_copy_RETURN void
#define snd_ctl_elem_list_copy_ARG_NAMES dst, src
#define snd_ctl_elem_list_copy_ARG_EXPAND snd_ctl_elem_list_t * dst, const snd_ctl_elem_list_t * src
#define snd_ctl_elem_list_copy_PACKED PACKED_void_snd_ctl_elem_list_t___GENPT___const_snd_ctl_elem_list_t___GENPT__
#define snd_ctl_elem_list_copy_INDEXED INDEXED_void_snd_ctl_elem_list_t___GENPT___const_snd_ctl_elem_list_t___GENPT__
#define snd_ctl_elem_list_copy_FORMAT FORMAT_void_snd_ctl_elem_list_t___GENPT___const_snd_ctl_elem_list_t___GENPT__
#define snd_ctl_elem_list_free_INDEX 712
#define snd_ctl_elem_list_free_RETURN void
#define snd_ctl_elem_list_free_ARG_NAMES obj
#define snd_ctl_elem_list_free_ARG_EXPAND snd_ctl_elem_list_t * obj
#define snd_ctl_elem_list_free_PACKED PACKED_void_snd_ctl_elem_list_t___GENPT__
#define snd_ctl_elem_list_free_INDEXED INDEXED_void_snd_ctl_elem_list_t___GENPT__
#define snd_ctl_elem_list_free_FORMAT FORMAT_void_snd_ctl_elem_list_t___GENPT__
#define snd_ctl_elem_list_free_space_INDEX 713
#define snd_ctl_elem_list_free_space_RETURN void
#define snd_ctl_elem_list_free_space_ARG_NAMES obj
#define snd_ctl_elem_list_free_space_ARG_EXPAND snd_ctl_elem_list_t * obj
#define snd_ctl_elem_list_free_space_PACKED PACKED_void_snd_ctl_elem_list_t___GENPT__
#define snd_ctl_elem_list_free_space_INDEXED INDEXED_void_snd_ctl_elem_list_t___GENPT__
#define snd_ctl_elem_list_free_space_FORMAT FORMAT_void_snd_ctl_elem_list_t___GENPT__
#define snd_ctl_elem_list_get_count_INDEX 714
#define snd_ctl_elem_list_get_count_RETURN unsigned int
#define snd_ctl_elem_list_get_count_ARG_NAMES obj
#define snd_ctl_elem_list_get_count_ARG_EXPAND const snd_ctl_elem_list_t * obj
#define snd_ctl_elem_list_get_count_PACKED PACKED_unsigned_int_const_snd_ctl_elem_list_t___GENPT__
#define snd_ctl_elem_list_get_count_INDEXED INDEXED_unsigned_int_const_snd_ctl_elem_list_t___GENPT__
#define snd_ctl_elem_list_get_count_FORMAT FORMAT_unsigned_int_const_snd_ctl_elem_list_t___GENPT__
#define snd_ctl_elem_list_get_device_INDEX 715
#define snd_ctl_elem_list_get_device_RETURN unsigned int
#define snd_ctl_elem_list_get_device_ARG_NAMES obj, idx
#define snd_ctl_elem_list_get_device_ARG_EXPAND const snd_ctl_elem_list_t * obj, unsigned int idx
#define snd_ctl_elem_list_get_device_PACKED PACKED_unsigned_int_const_snd_ctl_elem_list_t___GENPT___unsigned_int
#define snd_ctl_elem_list_get_device_INDEXED INDEXED_unsigned_int_const_snd_ctl_elem_list_t___GENPT___unsigned_int
#define snd_ctl_elem_list_get_device_FORMAT FORMAT_unsigned_int_const_snd_ctl_elem_list_t___GENPT___unsigned_int
#define snd_ctl_elem_list_get_id_INDEX 716
#define snd_ctl_elem_list_get_id_RETURN void
#define snd_ctl_elem_list_get_id_ARG_NAMES obj, idx, ptr
#define snd_ctl_elem_list_get_id_ARG_EXPAND const snd_ctl_elem_list_t * obj, unsigned int idx, snd_ctl_elem_id_t * ptr
#define snd_ctl_elem_list_get_id_PACKED PACKED_void_const_snd_ctl_elem_list_t___GENPT___unsigned_int_snd_ctl_elem_id_t___GENPT__
#define snd_ctl_elem_list_get_id_INDEXED INDEXED_void_const_snd_ctl_elem_list_t___GENPT___unsigned_int_snd_ctl_elem_id_t___GENPT__
#define snd_ctl_elem_list_get_id_FORMAT FORMAT_void_const_snd_ctl_elem_list_t___GENPT___unsigned_int_snd_ctl_elem_id_t___GENPT__
#define snd_ctl_elem_list_get_index_INDEX 717
#define snd_ctl_elem_list_get_index_RETURN unsigned int
#define snd_ctl_elem_list_get_index_ARG_NAMES obj, idx
#define snd_ctl_elem_list_get_index_ARG_EXPAND const snd_ctl_elem_list_t * obj, unsigned int idx
#define snd_ctl_elem_list_get_index_PACKED PACKED_unsigned_int_const_snd_ctl_elem_list_t___GENPT___unsigned_int
#define snd_ctl_elem_list_get_index_INDEXED INDEXED_unsigned_int_const_snd_ctl_elem_list_t___GENPT___unsigned_int
#define snd_ctl_elem_list_get_index_FORMAT FORMAT_unsigned_int_const_snd_ctl_elem_list_t___GENPT___unsigned_int
#define snd_ctl_elem_list_get_interface_INDEX 718
#define snd_ctl_elem_list_get_interface_RETURN snd_ctl_elem_iface_t
#define snd_ctl_elem_list_get_interface_ARG_NAMES obj, idx
#define snd_ctl_elem_list_get_interface_ARG_EXPAND const snd_ctl_elem_list_t * obj, unsigned int idx
#define snd_ctl_elem_list_get_interface_PACKED PACKED_snd_ctl_elem_iface_t_const_snd_ctl_elem_list_t___GENPT___unsigned_int
#define snd_ctl_elem_list_get_interface_INDEXED INDEXED_snd_ctl_elem_iface_t_const_snd_ctl_elem_list_t___GENPT___unsigned_int
#define snd_ctl_elem_list_get_interface_FORMAT FORMAT_snd_ctl_elem_iface_t_const_snd_ctl_elem_list_t___GENPT___unsigned_int
#define snd_ctl_elem_list_get_name_INDEX 719
#define snd_ctl_elem_list_get_name_RETURN const char *
#define snd_ctl_elem_list_get_name_ARG_NAMES obj, idx
#define snd_ctl_elem_list_get_name_ARG_EXPAND const snd_ctl_elem_list_t * obj, unsigned int idx
#define snd_ctl_elem_list_get_name_PACKED PACKED_const_char___GENPT___const_snd_ctl_elem_list_t___GENPT___unsigned_int
#define snd_ctl_elem_list_get_name_INDEXED INDEXED_const_char___GENPT___const_snd_ctl_elem_list_t___GENPT___unsigned_int
#define snd_ctl_elem_list_get_name_FORMAT FORMAT_const_char___GENPT___const_snd_ctl_elem_list_t___GENPT___unsigned_int
#define snd_ctl_elem_list_get_numid_INDEX 720
#define snd_ctl_elem_list_get_numid_RETURN unsigned int
#define snd_ctl_elem_list_get_numid_ARG_NAMES obj, idx
#define snd_ctl_elem_list_get_numid_ARG_EXPAND const snd_ctl_elem_list_t * obj, unsigned int idx
#define snd_ctl_elem_list_get_numid_PACKED PACKED_unsigned_int_const_snd_ctl_elem_list_t___GENPT___unsigned_int
#define snd_ctl_elem_list_get_numid_INDEXED INDEXED_unsigned_int_const_snd_ctl_elem_list_t___GENPT___unsigned_int
#define snd_ctl_elem_list_get_numid_FORMAT FORMAT_unsigned_int_const_snd_ctl_elem_list_t___GENPT___unsigned_int
#define snd_ctl_elem_list_get_subdevice_INDEX 721
#define snd_ctl_elem_list_get_subdevice_RETURN unsigned int
#define snd_ctl_elem_list_get_subdevice_ARG_NAMES obj, idx
#define snd_ctl_elem_list_get_subdevice_ARG_EXPAND const snd_ctl_elem_list_t * obj, unsigned int idx
#define snd_ctl_elem_list_get_subdevice_PACKED PACKED_unsigned_int_const_snd_ctl_elem_list_t___GENPT___unsigned_int
#define snd_ctl_elem_list_get_subdevice_INDEXED INDEXED_unsigned_int_const_snd_ctl_elem_list_t___GENPT___unsigned_int
#define snd_ctl_elem_list_get_subdevice_FORMAT FORMAT_unsigned_int_const_snd_ctl_elem_list_t___GENPT___unsigned_int
#define snd_ctl_elem_list_get_used_INDEX 722
#define snd_ctl_elem_list_get_used_RETURN unsigned int
#define snd_ctl_elem_list_get_used_ARG_NAMES obj
#define snd_ctl_elem_list_get_used_ARG_EXPAND const snd_ctl_elem_list_t * obj
#define snd_ctl_elem_list_get_used_PACKED PACKED_unsigned_int_const_snd_ctl_elem_list_t___GENPT__
#define snd_ctl_elem_list_get_used_INDEXED INDEXED_unsigned_int_const_snd_ctl_elem_list_t___GENPT__
#define snd_ctl_elem_list_get_used_FORMAT FORMAT_unsigned_int_const_snd_ctl_elem_list_t___GENPT__
#define snd_ctl_elem_list_malloc_INDEX 723
#define snd_ctl_elem_list_malloc_RETURN int
#define snd_ctl_elem_list_malloc_ARG_NAMES ptr
#define snd_ctl_elem_list_malloc_ARG_EXPAND snd_ctl_elem_list_t ** ptr
#define snd_ctl_elem_list_malloc_PACKED PACKED_int_snd_ctl_elem_list_t___GENPT____GENPT__
#define snd_ctl_elem_list_malloc_INDEXED INDEXED_int_snd_ctl_elem_list_t___GENPT____GENPT__
#define snd_ctl_elem_list_malloc_FORMAT FORMAT_int_snd_ctl_elem_list_t___GENPT____GENPT__
#define snd_ctl_elem_list_set_offset_INDEX 724
#define snd_ctl_elem_list_set_offset_RETURN void
#define snd_ctl_elem_list_set_offset_ARG_NAMES obj, val
#define snd_ctl_elem_list_set_offset_ARG_EXPAND snd_ctl_elem_list_t * obj, unsigned int val
#define snd_ctl_elem_list_set_offset_PACKED PACKED_void_snd_ctl_elem_list_t___GENPT___unsigned_int
#define snd_ctl_elem_list_set_offset_INDEXED INDEXED_void_snd_ctl_elem_list_t___GENPT___unsigned_int
#define snd_ctl_elem_list_set_offset_FORMAT FORMAT_void_snd_ctl_elem_list_t___GENPT___unsigned_int
#define snd_ctl_elem_list_sizeof_INDEX 725
#define snd_ctl_elem_list_sizeof_RETURN size_t
#define snd_ctl_elem_list_sizeof_ARG_NAMES 
#define snd_ctl_elem_list_sizeof_ARG_EXPAND 
#define snd_ctl_elem_list_sizeof_PACKED PACKED_size_t
#define snd_ctl_elem_list_sizeof_INDEXED INDEXED_size_t
#define snd_ctl_elem_list_sizeof_FORMAT FORMAT_size_t
#define snd_ctl_elem_lock_INDEX 726
#define snd_ctl_elem_lock_RETURN int
#define snd_ctl_elem_lock_ARG_NAMES ctl, id
#define snd_ctl_elem_lock_ARG_EXPAND snd_ctl_t * ctl, snd_ctl_elem_id_t * id
#define snd_ctl_elem_lock_PACKED PACKED_int_snd_ctl_t___GENPT___snd_ctl_elem_id_t___GENPT__
#define snd_ctl_elem_lock_INDEXED INDEXED_int_snd_ctl_t___GENPT___snd_ctl_elem_id_t___GENPT__
#define snd_ctl_elem_lock_FORMAT FORMAT_int_snd_ctl_t___GENPT___snd_ctl_elem_id_t___GENPT__
#define snd_ctl_elem_read_INDEX 727
#define snd_ctl_elem_read_RETURN int
#define snd_ctl_elem_read_ARG_NAMES ctl, value
#define snd_ctl_elem_read_ARG_EXPAND snd_ctl_t * ctl, snd_ctl_elem_value_t * value
#define snd_ctl_elem_read_PACKED PACKED_int_snd_ctl_t___GENPT___snd_ctl_elem_value_t___GENPT__
#define snd_ctl_elem_read_INDEXED INDEXED_int_snd_ctl_t___GENPT___snd_ctl_elem_value_t___GENPT__
#define snd_ctl_elem_read_FORMAT FORMAT_int_snd_ctl_t___GENPT___snd_ctl_elem_value_t___GENPT__
#define snd_ctl_elem_remove_INDEX 728
#define snd_ctl_elem_remove_RETURN int
#define snd_ctl_elem_remove_ARG_NAMES ctl, id
#define snd_ctl_elem_remove_ARG_EXPAND snd_ctl_t * ctl, snd_ctl_elem_id_t * id
#define snd_ctl_elem_remove_PACKED PACKED_int_snd_ctl_t___GENPT___snd_ctl_elem_id_t___GENPT__
#define snd_ctl_elem_remove_INDEXED INDEXED_int_snd_ctl_t___GENPT___snd_ctl_elem_id_t___GENPT__
#define snd_ctl_elem_remove_FORMAT FORMAT_int_snd_ctl_t___GENPT___snd_ctl_elem_id_t___GENPT__
#define snd_ctl_elem_set_bytes_INDEX 729
#define snd_ctl_elem_set_bytes_RETURN void
#define snd_ctl_elem_set_bytes_ARG_NAMES obj, data, size
#define snd_ctl_elem_set_bytes_ARG_EXPAND snd_ctl_elem_value_t * obj, void * data, size_t size
#define snd_ctl_elem_set_bytes_PACKED PACKED_void_snd_ctl_elem_value_t___GENPT___void___GENPT___size_t
#define snd_ctl_elem_set_bytes_INDEXED INDEXED_void_snd_ctl_elem_value_t___GENPT___void___GENPT___size_t
#define snd_ctl_elem_set_bytes_FORMAT FORMAT_void_snd_ctl_elem_value_t___GENPT___void___GENPT___size_t
#define snd_ctl_elem_tlv_command_INDEX 730
#define snd_ctl_elem_tlv_command_RETURN int
#define snd_ctl_elem_tlv_command_ARG_NAMES ctl, id, tlv
#define snd_ctl_elem_tlv_command_ARG_EXPAND snd_ctl_t * ctl, const snd_ctl_elem_id_t * id, const unsigned int * tlv
#define snd_ctl_elem_tlv_command_PACKED PACKED_int_snd_ctl_t___GENPT___const_snd_ctl_elem_id_t___GENPT___const_unsigned_int___GENPT__
#define snd_ctl_elem_tlv_command_INDEXED INDEXED_int_snd_ctl_t___GENPT___const_snd_ctl_elem_id_t___GENPT___const_unsigned_int___GENPT__
#define snd_ctl_elem_tlv_command_FORMAT FORMAT_int_snd_ctl_t___GENPT___const_snd_ctl_elem_id_t___GENPT___const_unsigned_int___GENPT__
#define snd_ctl_elem_tlv_read_INDEX 731
#define snd_ctl_elem_tlv_read_RETURN int
#define snd_ctl_elem_tlv_read_ARG_NAMES ctl, id, tlv, tlv_size
#define snd_ctl_elem_tlv_read_ARG_EXPAND snd_ctl_t * ctl, const snd_ctl_elem_id_t * id, unsigned int * tlv, unsigned int tlv_size
#define snd_ctl_elem_tlv_read_PACKED PACKED_int_snd_ctl_t___GENPT___const_snd_ctl_elem_id_t___GENPT___unsigned_int___GENPT___unsigned_int
#define snd_ctl_elem_tlv_read_INDEXED INDEXED_int_snd_ctl_t___GENPT___const_snd_ctl_elem_id_t___GENPT___unsigned_int___GENPT___unsigned_int
#define snd_ctl_elem_tlv_read_FORMAT FORMAT_int_snd_ctl_t___GENPT___const_snd_ctl_elem_id_t___GENPT___unsigned_int___GENPT___unsigned_int
#define snd_ctl_elem_tlv_write_INDEX 732
#define snd_ctl_elem_tlv_write_RETURN int
#define snd_ctl_elem_tlv_write_ARG_NAMES ctl, id, tlv
#define snd_ctl_elem_tlv_write_ARG_EXPAND snd_ctl_t * ctl, const snd_ctl_elem_id_t * id, const unsigned int * tlv
#define snd_ctl_elem_tlv_write_PACKED PACKED_int_snd_ctl_t___GENPT___const_snd_ctl_elem_id_t___GENPT___const_unsigned_int___GENPT__
#define snd_ctl_elem_tlv_write_INDEXED INDEXED_int_snd_ctl_t___GENPT___const_snd_ctl_elem_id_t___GENPT___const_unsigned_int___GENPT__
#define snd_ctl_elem_tlv_write_FORMAT FORMAT_int_snd_ctl_t___GENPT___const_snd_ctl_elem_id_t___GENPT___const_unsigned_int___GENPT__
#define snd_ctl_elem_type_name_INDEX 733
#define snd_ctl_elem_type_name_RETURN const char *
#define snd_ctl_elem_type_name_ARG_NAMES type
#define snd_ctl_elem_type_name_ARG_EXPAND snd_ctl_elem_type_t type
#define snd_ctl_elem_type_name_PACKED PACKED_const_char___GENPT___snd_ctl_elem_type_t
#define snd_ctl_elem_type_name_INDEXED INDEXED_const_char___GENPT___snd_ctl_elem_type_t
#define snd_ctl_elem_type_name_FORMAT FORMAT_const_char___GENPT___snd_ctl_elem_type_t
#define snd_ctl_elem_unlock_INDEX 734
#define snd_ctl_elem_unlock_RETURN int
#define snd_ctl_elem_unlock_ARG_NAMES ctl, id
#define snd_ctl_elem_unlock_ARG_EXPAND snd_ctl_t * ctl, snd_ctl_elem_id_t * id
#define snd_ctl_elem_unlock_PACKED PACKED_int_snd_ctl_t___GENPT___snd_ctl_elem_id_t___GENPT__
#define snd_ctl_elem_unlock_INDEXED INDEXED_int_snd_ctl_t___GENPT___snd_ctl_elem_id_t___GENPT__
#define snd_ctl_elem_unlock_FORMAT FORMAT_int_snd_ctl_t___GENPT___snd_ctl_elem_id_t___GENPT__
#define snd_ctl_elem_value_clear_INDEX 735
#define snd_ctl_elem_value_clear_RETURN void
#define snd_ctl_elem_value_clear_ARG_NAMES obj
#define snd_ctl_elem_value_clear_ARG_EXPAND snd_ctl_elem_value_t * obj
#define snd_ctl_elem_value_clear_PACKED PACKED_void_snd_ctl_elem_value_t___GENPT__
#define snd_ctl_elem_value_clear_INDEXED INDEXED_void_snd_ctl_elem_value_t___GENPT__
#define snd_ctl_elem_value_clear_FORMAT FORMAT_void_snd_ctl_elem_value_t___GENPT__
#define snd_ctl_elem_value_copy_INDEX 736
#define snd_ctl_elem_value_copy_RETURN void
#define snd_ctl_elem_value_copy_ARG_NAMES dst, src
#define snd_ctl_elem_value_copy_ARG_EXPAND snd_ctl_elem_value_t * dst, const snd_ctl_elem_value_t * src
#define snd_ctl_elem_value_copy_PACKED PACKED_void_snd_ctl_elem_value_t___GENPT___const_snd_ctl_elem_value_t___GENPT__
#define snd_ctl_elem_value_copy_INDEXED INDEXED_void_snd_ctl_elem_value_t___GENPT___const_snd_ctl_elem_value_t___GENPT__
#define snd_ctl_elem_value_copy_FORMAT FORMAT_void_snd_ctl_elem_value_t___GENPT___const_snd_ctl_elem_value_t___GENPT__
#define snd_ctl_elem_value_free_INDEX 737
#define snd_ctl_elem_value_free_RETURN void
#define snd_ctl_elem_value_free_ARG_NAMES obj
#define snd_ctl_elem_value_free_ARG_EXPAND snd_ctl_elem_value_t * obj
#define snd_ctl_elem_value_free_PACKED PACKED_void_snd_ctl_elem_value_t___GENPT__
#define snd_ctl_elem_value_free_INDEXED INDEXED_void_snd_ctl_elem_value_t___GENPT__
#define snd_ctl_elem_value_free_FORMAT FORMAT_void_snd_ctl_elem_value_t___GENPT__
#define snd_ctl_elem_value_get_boolean_INDEX 738
#define snd_ctl_elem_value_get_boolean_RETURN int
#define snd_ctl_elem_value_get_boolean_ARG_NAMES obj, idx
#define snd_ctl_elem_value_get_boolean_ARG_EXPAND const snd_ctl_elem_value_t * obj, unsigned int idx
#define snd_ctl_elem_value_get_boolean_PACKED PACKED_int_const_snd_ctl_elem_value_t___GENPT___unsigned_int
#define snd_ctl_elem_value_get_boolean_INDEXED INDEXED_int_const_snd_ctl_elem_value_t___GENPT___unsigned_int
#define snd_ctl_elem_value_get_boolean_FORMAT FORMAT_int_const_snd_ctl_elem_value_t___GENPT___unsigned_int
#define snd_ctl_elem_value_get_byte_INDEX 739
#define snd_ctl_elem_value_get_byte_RETURN unsigned char
#define snd_ctl_elem_value_get_byte_ARG_NAMES obj, idx
#define snd_ctl_elem_value_get_byte_ARG_EXPAND const snd_ctl_elem_value_t * obj, unsigned int idx
#define snd_ctl_elem_value_get_byte_PACKED PACKED_unsigned_char_const_snd_ctl_elem_value_t___GENPT___unsigned_int
#define snd_ctl_elem_value_get_byte_INDEXED INDEXED_unsigned_char_const_snd_ctl_elem_value_t___GENPT___unsigned_int
#define snd_ctl_elem_value_get_byte_FORMAT FORMAT_unsigned_char_const_snd_ctl_elem_value_t___GENPT___unsigned_int
#define snd_ctl_elem_value_get_bytes_INDEX 740
#define snd_ctl_elem_value_get_bytes_RETURN const void *
#define snd_ctl_elem_value_get_bytes_ARG_NAMES obj
#define snd_ctl_elem_value_get_bytes_ARG_EXPAND const snd_ctl_elem_value_t * obj
#define snd_ctl_elem_value_get_bytes_PACKED PACKED_const_void___GENPT___const_snd_ctl_elem_value_t___GENPT__
#define snd_ctl_elem_value_get_bytes_INDEXED INDEXED_const_void___GENPT___const_snd_ctl_elem_value_t___GENPT__
#define snd_ctl_elem_value_get_bytes_FORMAT FORMAT_const_void___GENPT___const_snd_ctl_elem_value_t___GENPT__
#define snd_ctl_elem_value_get_device_INDEX 741
#define snd_ctl_elem_value_get_device_RETURN unsigned int
#define snd_ctl_elem_value_get_device_ARG_NAMES obj
#define snd_ctl_elem_value_get_device_ARG_EXPAND const snd_ctl_elem_value_t * obj
#define snd_ctl_elem_value_get_device_PACKED PACKED_unsigned_int_const_snd_ctl_elem_value_t___GENPT__
#define snd_ctl_elem_value_get_device_INDEXED INDEXED_unsigned_int_const_snd_ctl_elem_value_t___GENPT__
#define snd_ctl_elem_value_get_device_FORMAT FORMAT_unsigned_int_const_snd_ctl_elem_value_t___GENPT__
#define snd_ctl_elem_value_get_enumerated_INDEX 742
#define snd_ctl_elem_value_get_enumerated_RETURN unsigned int
#define snd_ctl_elem_value_get_enumerated_ARG_NAMES obj, idx
#define snd_ctl_elem_value_get_enumerated_ARG_EXPAND const snd_ctl_elem_value_t * obj, unsigned int idx
#define snd_ctl_elem_value_get_enumerated_PACKED PACKED_unsigned_int_const_snd_ctl_elem_value_t___GENPT___unsigned_int
#define snd_ctl_elem_value_get_enumerated_INDEXED INDEXED_unsigned_int_const_snd_ctl_elem_value_t___GENPT___unsigned_int
#define snd_ctl_elem_value_get_enumerated_FORMAT FORMAT_unsigned_int_const_snd_ctl_elem_value_t___GENPT___unsigned_int
#define snd_ctl_elem_value_get_id_INDEX 743
#define snd_ctl_elem_value_get_id_RETURN void
#define snd_ctl_elem_value_get_id_ARG_NAMES obj, ptr
#define snd_ctl_elem_value_get_id_ARG_EXPAND const snd_ctl_elem_value_t * obj, snd_ctl_elem_id_t * ptr
#define snd_ctl_elem_value_get_id_PACKED PACKED_void_const_snd_ctl_elem_value_t___GENPT___snd_ctl_elem_id_t___GENPT__
#define snd_ctl_elem_value_get_id_INDEXED INDEXED_void_const_snd_ctl_elem_value_t___GENPT___snd_ctl_elem_id_t___GENPT__
#define snd_ctl_elem_value_get_id_FORMAT FORMAT_void_const_snd_ctl_elem_value_t___GENPT___snd_ctl_elem_id_t___GENPT__
#define snd_ctl_elem_value_get_iec958_INDEX 744
#define snd_ctl_elem_value_get_iec958_RETURN void
#define snd_ctl_elem_value_get_iec958_ARG_NAMES obj, ptr
#define snd_ctl_elem_value_get_iec958_ARG_EXPAND const snd_ctl_elem_value_t * obj, snd_aes_iec958_t * ptr
#define snd_ctl_elem_value_get_iec958_PACKED PACKED_void_const_snd_ctl_elem_value_t___GENPT___snd_aes_iec958_t___GENPT__
#define snd_ctl_elem_value_get_iec958_INDEXED INDEXED_void_const_snd_ctl_elem_value_t___GENPT___snd_aes_iec958_t___GENPT__
#define snd_ctl_elem_value_get_iec958_FORMAT FORMAT_void_const_snd_ctl_elem_value_t___GENPT___snd_aes_iec958_t___GENPT__
#define snd_ctl_elem_value_get_index_INDEX 745
#define snd_ctl_elem_value_get_index_RETURN unsigned int
#define snd_ctl_elem_value_get_index_ARG_NAMES obj
#define snd_ctl_elem_value_get_index_ARG_EXPAND const snd_ctl_elem_value_t * obj
#define snd_ctl_elem_value_get_index_PACKED PACKED_unsigned_int_const_snd_ctl_elem_value_t___GENPT__
#define snd_ctl_elem_value_get_index_INDEXED INDEXED_unsigned_int_const_snd_ctl_elem_value_t___GENPT__
#define snd_ctl_elem_value_get_index_FORMAT FORMAT_unsigned_int_const_snd_ctl_elem_value_t___GENPT__
#define snd_ctl_elem_value_get_integer_INDEX 746
#define snd_ctl_elem_value_get_integer_RETURN long
#define snd_ctl_elem_value_get_integer_ARG_NAMES obj, idx
#define snd_ctl_elem_value_get_integer_ARG_EXPAND const snd_ctl_elem_value_t * obj, unsigned int idx
#define snd_ctl_elem_value_get_integer_PACKED PACKED_long_const_snd_ctl_elem_value_t___GENPT___unsigned_int
#define snd_ctl_elem_value_get_integer_INDEXED INDEXED_long_const_snd_ctl_elem_value_t___GENPT___unsigned_int
#define snd_ctl_elem_value_get_integer_FORMAT FORMAT_long_const_snd_ctl_elem_value_t___GENPT___unsigned_int
#define snd_ctl_elem_value_get_integer64_INDEX 747
#define snd_ctl_elem_value_get_integer64_RETURN long long
#define snd_ctl_elem_value_get_integer64_ARG_NAMES obj, idx
#define snd_ctl_elem_value_get_integer64_ARG_EXPAND const snd_ctl_elem_value_t * obj, unsigned int idx
#define snd_ctl_elem_value_get_integer64_PACKED PACKED_long_long_const_snd_ctl_elem_value_t___GENPT___unsigned_int
#define snd_ctl_elem_value_get_integer64_INDEXED INDEXED_long_long_const_snd_ctl_elem_value_t___GENPT___unsigned_int
#define snd_ctl_elem_value_get_integer64_FORMAT FORMAT_long_long_const_snd_ctl_elem_value_t___GENPT___unsigned_int
#define snd_ctl_elem_value_get_interface_INDEX 748
#define snd_ctl_elem_value_get_interface_RETURN snd_ctl_elem_iface_t
#define snd_ctl_elem_value_get_interface_ARG_NAMES obj
#define snd_ctl_elem_value_get_interface_ARG_EXPAND const snd_ctl_elem_value_t * obj
#define snd_ctl_elem_value_get_interface_PACKED PACKED_snd_ctl_elem_iface_t_const_snd_ctl_elem_value_t___GENPT__
#define snd_ctl_elem_value_get_interface_INDEXED INDEXED_snd_ctl_elem_iface_t_const_snd_ctl_elem_value_t___GENPT__
#define snd_ctl_elem_value_get_interface_FORMAT FORMAT_snd_ctl_elem_iface_t_const_snd_ctl_elem_value_t___GENPT__
#define snd_ctl_elem_value_get_name_INDEX 749
#define snd_ctl_elem_value_get_name_RETURN const char *
#define snd_ctl_elem_value_get_name_ARG_NAMES obj
#define snd_ctl_elem_value_get_name_ARG_EXPAND const snd_ctl_elem_value_t * obj
#define snd_ctl_elem_value_get_name_PACKED PACKED_const_char___GENPT___const_snd_ctl_elem_value_t___GENPT__
#define snd_ctl_elem_value_get_name_INDEXED INDEXED_const_char___GENPT___const_snd_ctl_elem_value_t___GENPT__
#define snd_ctl_elem_value_get_name_FORMAT FORMAT_const_char___GENPT___const_snd_ctl_elem_value_t___GENPT__
#define snd_ctl_elem_value_get_numid_INDEX 750
#define snd_ctl_elem_value_get_numid_RETURN unsigned int
#define snd_ctl_elem_value_get_numid_ARG_NAMES obj
#define snd_ctl_elem_value_get_numid_ARG_EXPAND const snd_ctl_elem_value_t * obj
#define snd_ctl_elem_value_get_numid_PACKED PACKED_unsigned_int_const_snd_ctl_elem_value_t___GENPT__
#define snd_ctl_elem_value_get_numid_INDEXED INDEXED_unsigned_int_const_snd_ctl_elem_value_t___GENPT__
#define snd_ctl_elem_value_get_numid_FORMAT FORMAT_unsigned_int_const_snd_ctl_elem_value_t___GENPT__
#define snd_ctl_elem_value_get_subdevice_INDEX 751
#define snd_ctl_elem_value_get_subdevice_RETURN unsigned int
#define snd_ctl_elem_value_get_subdevice_ARG_NAMES obj
#define snd_ctl_elem_value_get_subdevice_ARG_EXPAND const snd_ctl_elem_value_t * obj
#define snd_ctl_elem_value_get_subdevice_PACKED PACKED_unsigned_int_const_snd_ctl_elem_value_t___GENPT__
#define snd_ctl_elem_value_get_subdevice_INDEXED INDEXED_unsigned_int_const_snd_ctl_elem_value_t___GENPT__
#define snd_ctl_elem_value_get_subdevice_FORMAT FORMAT_unsigned_int_const_snd_ctl_elem_value_t___GENPT__
#define snd_ctl_elem_value_malloc_INDEX 752
#define snd_ctl_elem_value_malloc_RETURN int
#define snd_ctl_elem_value_malloc_ARG_NAMES ptr
#define snd_ctl_elem_value_malloc_ARG_EXPAND snd_ctl_elem_value_t ** ptr
#define snd_ctl_elem_value_malloc_PACKED PACKED_int_snd_ctl_elem_value_t___GENPT____GENPT__
#define snd_ctl_elem_value_malloc_INDEXED INDEXED_int_snd_ctl_elem_value_t___GENPT____GENPT__
#define snd_ctl_elem_value_malloc_FORMAT FORMAT_int_snd_ctl_elem_value_t___GENPT____GENPT__
#define snd_ctl_elem_value_set_boolean_INDEX 753
#define snd_ctl_elem_value_set_boolean_RETURN void
#define snd_ctl_elem_value_set_boolean_ARG_NAMES obj, idx, val
#define snd_ctl_elem_value_set_boolean_ARG_EXPAND snd_ctl_elem_value_t * obj, unsigned int idx, long val
#define snd_ctl_elem_value_set_boolean_PACKED PACKED_void_snd_ctl_elem_value_t___GENPT___unsigned_int_long
#define snd_ctl_elem_value_set_boolean_INDEXED INDEXED_void_snd_ctl_elem_value_t___GENPT___unsigned_int_long
#define snd_ctl_elem_value_set_boolean_FORMAT FORMAT_void_snd_ctl_elem_value_t___GENPT___unsigned_int_long
#define snd_ctl_elem_value_set_byte_INDEX 754
#define snd_ctl_elem_value_set_byte_RETURN void
#define snd_ctl_elem_value_set_byte_ARG_NAMES obj, idx, val
#define snd_ctl_elem_value_set_byte_ARG_EXPAND snd_ctl_elem_value_t * obj, unsigned int idx, unsigned char val
#define snd_ctl_elem_value_set_byte_PACKED PACKED_void_snd_ctl_elem_value_t___GENPT___unsigned_int_unsigned_char
#define snd_ctl_elem_value_set_byte_INDEXED INDEXED_void_snd_ctl_elem_value_t___GENPT___unsigned_int_unsigned_char
#define snd_ctl_elem_value_set_byte_FORMAT FORMAT_void_snd_ctl_elem_value_t___GENPT___unsigned_int_unsigned_char
#define snd_ctl_elem_value_set_device_INDEX 755
#define snd_ctl_elem_value_set_device_RETURN void
#define snd_ctl_elem_value_set_device_ARG_NAMES obj, val
#define snd_ctl_elem_value_set_device_ARG_EXPAND snd_ctl_elem_value_t * obj, unsigned int val
#define snd_ctl_elem_value_set_device_PACKED PACKED_void_snd_ctl_elem_value_t___GENPT___unsigned_int
#define snd_ctl_elem_value_set_device_INDEXED INDEXED_void_snd_ctl_elem_value_t___GENPT___unsigned_int
#define snd_ctl_elem_value_set_device_FORMAT FORMAT_void_snd_ctl_elem_value_t___GENPT___unsigned_int
#define snd_ctl_elem_value_set_enumerated_INDEX 756
#define snd_ctl_elem_value_set_enumerated_RETURN void
#define snd_ctl_elem_value_set_enumerated_ARG_NAMES obj, idx, val
#define snd_ctl_elem_value_set_enumerated_ARG_EXPAND snd_ctl_elem_value_t * obj, unsigned int idx, unsigned int val
#define snd_ctl_elem_value_set_enumerated_PACKED PACKED_void_snd_ctl_elem_value_t___GENPT___unsigned_int_unsigned_int
#define snd_ctl_elem_value_set_enumerated_INDEXED INDEXED_void_snd_ctl_elem_value_t___GENPT___unsigned_int_unsigned_int
#define snd_ctl_elem_value_set_enumerated_FORMAT FORMAT_void_snd_ctl_elem_value_t___GENPT___unsigned_int_unsigned_int
#define snd_ctl_elem_value_set_id_INDEX 757
#define snd_ctl_elem_value_set_id_RETURN void
#define snd_ctl_elem_value_set_id_ARG_NAMES obj, ptr
#define snd_ctl_elem_value_set_id_ARG_EXPAND snd_ctl_elem_value_t * obj, const snd_ctl_elem_id_t * ptr
#define snd_ctl_elem_value_set_id_PACKED PACKED_void_snd_ctl_elem_value_t___GENPT___const_snd_ctl_elem_id_t___GENPT__
#define snd_ctl_elem_value_set_id_INDEXED INDEXED_void_snd_ctl_elem_value_t___GENPT___const_snd_ctl_elem_id_t___GENPT__
#define snd_ctl_elem_value_set_id_FORMAT FORMAT_void_snd_ctl_elem_value_t___GENPT___const_snd_ctl_elem_id_t___GENPT__
#define snd_ctl_elem_value_set_iec958_INDEX 758
#define snd_ctl_elem_value_set_iec958_RETURN void
#define snd_ctl_elem_value_set_iec958_ARG_NAMES obj, ptr
#define snd_ctl_elem_value_set_iec958_ARG_EXPAND snd_ctl_elem_value_t * obj, const snd_aes_iec958_t * ptr
#define snd_ctl_elem_value_set_iec958_PACKED PACKED_void_snd_ctl_elem_value_t___GENPT___const_snd_aes_iec958_t___GENPT__
#define snd_ctl_elem_value_set_iec958_INDEXED INDEXED_void_snd_ctl_elem_value_t___GENPT___const_snd_aes_iec958_t___GENPT__
#define snd_ctl_elem_value_set_iec958_FORMAT FORMAT_void_snd_ctl_elem_value_t___GENPT___const_snd_aes_iec958_t___GENPT__
#define snd_ctl_elem_value_set_index_INDEX 759
#define snd_ctl_elem_value_set_index_RETURN void
#define snd_ctl_elem_value_set_index_ARG_NAMES obj, val
#define snd_ctl_elem_value_set_index_ARG_EXPAND snd_ctl_elem_value_t * obj, unsigned int val
#define snd_ctl_elem_value_set_index_PACKED PACKED_void_snd_ctl_elem_value_t___GENPT___unsigned_int
#define snd_ctl_elem_value_set_index_INDEXED INDEXED_void_snd_ctl_elem_value_t___GENPT___unsigned_int
#define snd_ctl_elem_value_set_index_FORMAT FORMAT_void_snd_ctl_elem_value_t___GENPT___unsigned_int
#define snd_ctl_elem_value_set_integer_INDEX 760
#define snd_ctl_elem_value_set_integer_RETURN void
#define snd_ctl_elem_value_set_integer_ARG_NAMES obj, idx, val
#define snd_ctl_elem_value_set_integer_ARG_EXPAND snd_ctl_elem_value_t * obj, unsigned int idx, long val
#define snd_ctl_elem_value_set_integer_PACKED PACKED_void_snd_ctl_elem_value_t___GENPT___unsigned_int_long
#define snd_ctl_elem_value_set_integer_INDEXED INDEXED_void_snd_ctl_elem_value_t___GENPT___unsigned_int_long
#define snd_ctl_elem_value_set_integer_FORMAT FORMAT_void_snd_ctl_elem_value_t___GENPT___unsigned_int_long
#define snd_ctl_elem_value_set_integer64_INDEX 761
#define snd_ctl_elem_value_set_integer64_RETURN void
#define snd_ctl_elem_value_set_integer64_ARG_NAMES obj, idx, val
#define snd_ctl_elem_value_set_integer64_ARG_EXPAND snd_ctl_elem_value_t * obj, unsigned int idx, long long val
#define snd_ctl_elem_value_set_integer64_PACKED PACKED_void_snd_ctl_elem_value_t___GENPT___unsigned_int_long_long
#define snd_ctl_elem_value_set_integer64_INDEXED INDEXED_void_snd_ctl_elem_value_t___GENPT___unsigned_int_long_long
#define snd_ctl_elem_value_set_integer64_FORMAT FORMAT_void_snd_ctl_elem_value_t___GENPT___unsigned_int_long_long
#define snd_ctl_elem_value_set_interface_INDEX 762
#define snd_ctl_elem_value_set_interface_RETURN void
#define snd_ctl_elem_value_set_interface_ARG_NAMES obj, val
#define snd_ctl_elem_value_set_interface_ARG_EXPAND snd_ctl_elem_value_t * obj, snd_ctl_elem_iface_t val
#define snd_ctl_elem_value_set_interface_PACKED PACKED_void_snd_ctl_elem_value_t___GENPT___snd_ctl_elem_iface_t
#define snd_ctl_elem_value_set_interface_INDEXED INDEXED_void_snd_ctl_elem_value_t___GENPT___snd_ctl_elem_iface_t
#define snd_ctl_elem_value_set_interface_FORMAT FORMAT_void_snd_ctl_elem_value_t___GENPT___snd_ctl_elem_iface_t
#define snd_ctl_elem_value_set_name_INDEX 763
#define snd_ctl_elem_value_set_name_RETURN void
#define snd_ctl_elem_value_set_name_ARG_NAMES obj, val
#define snd_ctl_elem_value_set_name_ARG_EXPAND snd_ctl_elem_value_t * obj, const char * val
#define snd_ctl_elem_value_set_name_PACKED PACKED_void_snd_ctl_elem_value_t___GENPT___const_char___GENPT__
#define snd_ctl_elem_value_set_name_INDEXED INDEXED_void_snd_ctl_elem_value_t___GENPT___const_char___GENPT__
#define snd_ctl_elem_value_set_name_FORMAT FORMAT_void_snd_ctl_elem_value_t___GENPT___const_char___GENPT__
#define snd_ctl_elem_value_set_numid_INDEX 764
#define snd_ctl_elem_value_set_numid_RETURN void
#define snd_ctl_elem_value_set_numid_ARG_NAMES obj, val
#define snd_ctl_elem_value_set_numid_ARG_EXPAND snd_ctl_elem_value_t * obj, unsigned int val
#define snd_ctl_elem_value_set_numid_PACKED PACKED_void_snd_ctl_elem_value_t___GENPT___unsigned_int
#define snd_ctl_elem_value_set_numid_INDEXED INDEXED_void_snd_ctl_elem_value_t___GENPT___unsigned_int
#define snd_ctl_elem_value_set_numid_FORMAT FORMAT_void_snd_ctl_elem_value_t___GENPT___unsigned_int
#define snd_ctl_elem_value_set_subdevice_INDEX 765
#define snd_ctl_elem_value_set_subdevice_RETURN void
#define snd_ctl_elem_value_set_subdevice_ARG_NAMES obj, val
#define snd_ctl_elem_value_set_subdevice_ARG_EXPAND snd_ctl_elem_value_t * obj, unsigned int val
#define snd_ctl_elem_value_set_subdevice_PACKED PACKED_void_snd_ctl_elem_value_t___GENPT___unsigned_int
#define snd_ctl_elem_value_set_subdevice_INDEXED INDEXED_void_snd_ctl_elem_value_t___GENPT___unsigned_int
#define snd_ctl_elem_value_set_subdevice_FORMAT FORMAT_void_snd_ctl_elem_value_t___GENPT___unsigned_int
#define snd_ctl_elem_value_sizeof_INDEX 766
#define snd_ctl_elem_value_sizeof_RETURN size_t
#define snd_ctl_elem_value_sizeof_ARG_NAMES 
#define snd_ctl_elem_value_sizeof_ARG_EXPAND 
#define snd_ctl_elem_value_sizeof_PACKED PACKED_size_t
#define snd_ctl_elem_value_sizeof_INDEXED INDEXED_size_t
#define snd_ctl_elem_value_sizeof_FORMAT FORMAT_size_t
#define snd_ctl_elem_write_INDEX 767
#define snd_ctl_elem_write_RETURN int
#define snd_ctl_elem_write_ARG_NAMES ctl, value
#define snd_ctl_elem_write_ARG_EXPAND snd_ctl_t * ctl, snd_ctl_elem_value_t * value
#define snd_ctl_elem_write_PACKED PACKED_int_snd_ctl_t___GENPT___snd_ctl_elem_value_t___GENPT__
#define snd_ctl_elem_write_INDEXED INDEXED_int_snd_ctl_t___GENPT___snd_ctl_elem_value_t___GENPT__
#define snd_ctl_elem_write_FORMAT FORMAT_int_snd_ctl_t___GENPT___snd_ctl_elem_value_t___GENPT__
#define snd_ctl_event_clear_INDEX 768
#define snd_ctl_event_clear_RETURN void
#define snd_ctl_event_clear_ARG_NAMES obj
#define snd_ctl_event_clear_ARG_EXPAND snd_ctl_event_t * obj
#define snd_ctl_event_clear_PACKED PACKED_void_snd_ctl_event_t___GENPT__
#define snd_ctl_event_clear_INDEXED INDEXED_void_snd_ctl_event_t___GENPT__
#define snd_ctl_event_clear_FORMAT FORMAT_void_snd_ctl_event_t___GENPT__
#define snd_ctl_event_copy_INDEX 769
#define snd_ctl_event_copy_RETURN void
#define snd_ctl_event_copy_ARG_NAMES dst, src
#define snd_ctl_event_copy_ARG_EXPAND snd_ctl_event_t * dst, const snd_ctl_event_t * src
#define snd_ctl_event_copy_PACKED PACKED_void_snd_ctl_event_t___GENPT___const_snd_ctl_event_t___GENPT__
#define snd_ctl_event_copy_INDEXED INDEXED_void_snd_ctl_event_t___GENPT___const_snd_ctl_event_t___GENPT__
#define snd_ctl_event_copy_FORMAT FORMAT_void_snd_ctl_event_t___GENPT___const_snd_ctl_event_t___GENPT__
#define snd_ctl_event_elem_get_device_INDEX 770
#define snd_ctl_event_elem_get_device_RETURN unsigned int
#define snd_ctl_event_elem_get_device_ARG_NAMES obj
#define snd_ctl_event_elem_get_device_ARG_EXPAND const snd_ctl_event_t * obj
#define snd_ctl_event_elem_get_device_PACKED PACKED_unsigned_int_const_snd_ctl_event_t___GENPT__
#define snd_ctl_event_elem_get_device_INDEXED INDEXED_unsigned_int_const_snd_ctl_event_t___GENPT__
#define snd_ctl_event_elem_get_device_FORMAT FORMAT_unsigned_int_const_snd_ctl_event_t___GENPT__
#define snd_ctl_event_elem_get_id_INDEX 771
#define snd_ctl_event_elem_get_id_RETURN void
#define snd_ctl_event_elem_get_id_ARG_NAMES obj, ptr
#define snd_ctl_event_elem_get_id_ARG_EXPAND const snd_ctl_event_t * obj, snd_ctl_elem_id_t * ptr
#define snd_ctl_event_elem_get_id_PACKED PACKED_void_const_snd_ctl_event_t___GENPT___snd_ctl_elem_id_t___GENPT__
#define snd_ctl_event_elem_get_id_INDEXED INDEXED_void_const_snd_ctl_event_t___GENPT___snd_ctl_elem_id_t___GENPT__
#define snd_ctl_event_elem_get_id_FORMAT FORMAT_void_const_snd_ctl_event_t___GENPT___snd_ctl_elem_id_t___GENPT__
#define snd_ctl_event_elem_get_index_INDEX 772
#define snd_ctl_event_elem_get_index_RETURN unsigned int
#define snd_ctl_event_elem_get_index_ARG_NAMES obj
#define snd_ctl_event_elem_get_index_ARG_EXPAND const snd_ctl_event_t * obj
#define snd_ctl_event_elem_get_index_PACKED PACKED_unsigned_int_const_snd_ctl_event_t___GENPT__
#define snd_ctl_event_elem_get_index_INDEXED INDEXED_unsigned_int_const_snd_ctl_event_t___GENPT__
#define snd_ctl_event_elem_get_index_FORMAT FORMAT_unsigned_int_const_snd_ctl_event_t___GENPT__
#define snd_ctl_event_elem_get_interface_INDEX 773
#define snd_ctl_event_elem_get_interface_RETURN snd_ctl_elem_iface_t
#define snd_ctl_event_elem_get_interface_ARG_NAMES obj
#define snd_ctl_event_elem_get_interface_ARG_EXPAND const snd_ctl_event_t * obj
#define snd_ctl_event_elem_get_interface_PACKED PACKED_snd_ctl_elem_iface_t_const_snd_ctl_event_t___GENPT__
#define snd_ctl_event_elem_get_interface_INDEXED INDEXED_snd_ctl_elem_iface_t_const_snd_ctl_event_t___GENPT__
#define snd_ctl_event_elem_get_interface_FORMAT FORMAT_snd_ctl_elem_iface_t_const_snd_ctl_event_t___GENPT__
#define snd_ctl_event_elem_get_mask_INDEX 774
#define snd_ctl_event_elem_get_mask_RETURN unsigned int
#define snd_ctl_event_elem_get_mask_ARG_NAMES obj
#define snd_ctl_event_elem_get_mask_ARG_EXPAND const snd_ctl_event_t * obj
#define snd_ctl_event_elem_get_mask_PACKED PACKED_unsigned_int_const_snd_ctl_event_t___GENPT__
#define snd_ctl_event_elem_get_mask_INDEXED INDEXED_unsigned_int_const_snd_ctl_event_t___GENPT__
#define snd_ctl_event_elem_get_mask_FORMAT FORMAT_unsigned_int_const_snd_ctl_event_t___GENPT__
#define snd_ctl_event_elem_get_name_INDEX 775
#define snd_ctl_event_elem_get_name_RETURN const char *
#define snd_ctl_event_elem_get_name_ARG_NAMES obj
#define snd_ctl_event_elem_get_name_ARG_EXPAND const snd_ctl_event_t * obj
#define snd_ctl_event_elem_get_name_PACKED PACKED_const_char___GENPT___const_snd_ctl_event_t___GENPT__
#define snd_ctl_event_elem_get_name_INDEXED INDEXED_const_char___GENPT___const_snd_ctl_event_t___GENPT__
#define snd_ctl_event_elem_get_name_FORMAT FORMAT_const_char___GENPT___const_snd_ctl_event_t___GENPT__
#define snd_ctl_event_elem_get_numid_INDEX 776
#define snd_ctl_event_elem_get_numid_RETURN unsigned int
#define snd_ctl_event_elem_get_numid_ARG_NAMES obj
#define snd_ctl_event_elem_get_numid_ARG_EXPAND const snd_ctl_event_t * obj
#define snd_ctl_event_elem_get_numid_PACKED PACKED_unsigned_int_const_snd_ctl_event_t___GENPT__
#define snd_ctl_event_elem_get_numid_INDEXED INDEXED_unsigned_int_const_snd_ctl_event_t___GENPT__
#define snd_ctl_event_elem_get_numid_FORMAT FORMAT_unsigned_int_const_snd_ctl_event_t___GENPT__
#define snd_ctl_event_elem_get_subdevice_INDEX 777
#define snd_ctl_event_elem_get_subdevice_RETURN unsigned int
#define snd_ctl_event_elem_get_subdevice_ARG_NAMES obj
#define snd_ctl_event_elem_get_subdevice_ARG_EXPAND const snd_ctl_event_t * obj
#define snd_ctl_event_elem_get_subdevice_PACKED PACKED_unsigned_int_const_snd_ctl_event_t___GENPT__
#define snd_ctl_event_elem_get_subdevice_INDEXED INDEXED_unsigned_int_const_snd_ctl_event_t___GENPT__
#define snd_ctl_event_elem_get_subdevice_FORMAT FORMAT_unsigned_int_const_snd_ctl_event_t___GENPT__
#define snd_ctl_event_free_INDEX 778
#define snd_ctl_event_free_RETURN void
#define snd_ctl_event_free_ARG_NAMES obj
#define snd_ctl_event_free_ARG_EXPAND snd_ctl_event_t * obj
#define snd_ctl_event_free_PACKED PACKED_void_snd_ctl_event_t___GENPT__
#define snd_ctl_event_free_INDEXED INDEXED_void_snd_ctl_event_t___GENPT__
#define snd_ctl_event_free_FORMAT FORMAT_void_snd_ctl_event_t___GENPT__
#define snd_ctl_event_get_type_INDEX 779
#define snd_ctl_event_get_type_RETURN snd_ctl_event_type_t
#define snd_ctl_event_get_type_ARG_NAMES obj
#define snd_ctl_event_get_type_ARG_EXPAND const snd_ctl_event_t * obj
#define snd_ctl_event_get_type_PACKED PACKED_snd_ctl_event_type_t_const_snd_ctl_event_t___GENPT__
#define snd_ctl_event_get_type_INDEXED INDEXED_snd_ctl_event_type_t_const_snd_ctl_event_t___GENPT__
#define snd_ctl_event_get_type_FORMAT FORMAT_snd_ctl_event_type_t_const_snd_ctl_event_t___GENPT__
#define snd_ctl_event_malloc_INDEX 780
#define snd_ctl_event_malloc_RETURN int
#define snd_ctl_event_malloc_ARG_NAMES ptr
#define snd_ctl_event_malloc_ARG_EXPAND snd_ctl_event_t ** ptr
#define snd_ctl_event_malloc_PACKED PACKED_int_snd_ctl_event_t___GENPT____GENPT__
#define snd_ctl_event_malloc_INDEXED INDEXED_int_snd_ctl_event_t___GENPT____GENPT__
#define snd_ctl_event_malloc_FORMAT FORMAT_int_snd_ctl_event_t___GENPT____GENPT__
#define snd_ctl_event_sizeof_INDEX 781
#define snd_ctl_event_sizeof_RETURN size_t
#define snd_ctl_event_sizeof_ARG_NAMES 
#define snd_ctl_event_sizeof_ARG_EXPAND 
#define snd_ctl_event_sizeof_PACKED PACKED_size_t
#define snd_ctl_event_sizeof_INDEXED INDEXED_size_t
#define snd_ctl_event_sizeof_FORMAT FORMAT_size_t
#define snd_ctl_event_type_name_INDEX 782
#define snd_ctl_event_type_name_RETURN const char *
#define snd_ctl_event_type_name_ARG_NAMES type
#define snd_ctl_event_type_name_ARG_EXPAND snd_ctl_event_type_t type
#define snd_ctl_event_type_name_PACKED PACKED_const_char___GENPT___snd_ctl_event_type_t
#define snd_ctl_event_type_name_INDEXED INDEXED_const_char___GENPT___snd_ctl_event_type_t
#define snd_ctl_event_type_name_FORMAT FORMAT_const_char___GENPT___snd_ctl_event_type_t
#define snd_ctl_get_power_state_INDEX 783
#define snd_ctl_get_power_state_RETURN int
#define snd_ctl_get_power_state_ARG_NAMES ctl, state
#define snd_ctl_get_power_state_ARG_EXPAND snd_ctl_t * ctl, unsigned int * state
#define snd_ctl_get_power_state_PACKED PACKED_int_snd_ctl_t___GENPT___unsigned_int___GENPT__
#define snd_ctl_get_power_state_INDEXED INDEXED_int_snd_ctl_t___GENPT___unsigned_int___GENPT__
#define snd_ctl_get_power_state_FORMAT FORMAT_int_snd_ctl_t___GENPT___unsigned_int___GENPT__
#define snd_ctl_hwdep_info_INDEX 784
#define snd_ctl_hwdep_info_RETURN int
#define snd_ctl_hwdep_info_ARG_NAMES ctl, info
#define snd_ctl_hwdep_info_ARG_EXPAND snd_ctl_t * ctl, snd_hwdep_info_t * info
#define snd_ctl_hwdep_info_PACKED PACKED_int_snd_ctl_t___GENPT___snd_hwdep_info_t___GENPT__
#define snd_ctl_hwdep_info_INDEXED INDEXED_int_snd_ctl_t___GENPT___snd_hwdep_info_t___GENPT__
#define snd_ctl_hwdep_info_FORMAT FORMAT_int_snd_ctl_t___GENPT___snd_hwdep_info_t___GENPT__
#define snd_ctl_hwdep_next_device_INDEX 785
#define snd_ctl_hwdep_next_device_RETURN int
#define snd_ctl_hwdep_next_device_ARG_NAMES ctl, device
#define snd_ctl_hwdep_next_device_ARG_EXPAND snd_ctl_t * ctl, int * device
#define snd_ctl_hwdep_next_device_PACKED PACKED_int_snd_ctl_t___GENPT___int___GENPT__
#define snd_ctl_hwdep_next_device_INDEXED INDEXED_int_snd_ctl_t___GENPT___int___GENPT__
#define snd_ctl_hwdep_next_device_FORMAT FORMAT_int_snd_ctl_t___GENPT___int___GENPT__
#define snd_ctl_name_INDEX 786
#define snd_ctl_name_RETURN const char *
#define snd_ctl_name_ARG_NAMES ctl
#define snd_ctl_name_ARG_EXPAND snd_ctl_t * ctl
#define snd_ctl_name_PACKED PACKED_const_char___GENPT___snd_ctl_t___GENPT__
#define snd_ctl_name_INDEXED INDEXED_const_char___GENPT___snd_ctl_t___GENPT__
#define snd_ctl_name_FORMAT FORMAT_const_char___GENPT___snd_ctl_t___GENPT__
#define snd_ctl_nonblock_INDEX 787
#define snd_ctl_nonblock_RETURN int
#define snd_ctl_nonblock_ARG_NAMES ctl, nonblock
#define snd_ctl_nonblock_ARG_EXPAND snd_ctl_t * ctl, int nonblock
#define snd_ctl_nonblock_PACKED PACKED_int_snd_ctl_t___GENPT___int
#define snd_ctl_nonblock_INDEXED INDEXED_int_snd_ctl_t___GENPT___int
#define snd_ctl_nonblock_FORMAT FORMAT_int_snd_ctl_t___GENPT___int
#define snd_ctl_open_INDEX 788
#define snd_ctl_open_RETURN int
#define snd_ctl_open_ARG_NAMES ctl, name, mode
#define snd_ctl_open_ARG_EXPAND snd_ctl_t ** ctl, const char * name, int mode
#define snd_ctl_open_PACKED PACKED_int_snd_ctl_t___GENPT____GENPT___const_char___GENPT___int
#define snd_ctl_open_INDEXED INDEXED_int_snd_ctl_t___GENPT____GENPT___const_char___GENPT___int
#define snd_ctl_open_FORMAT FORMAT_int_snd_ctl_t___GENPT____GENPT___const_char___GENPT___int
#define snd_ctl_open_lconf_INDEX 789
#define snd_ctl_open_lconf_RETURN int
#define snd_ctl_open_lconf_ARG_NAMES ctl, name, mode, lconf
#define snd_ctl_open_lconf_ARG_EXPAND snd_ctl_t ** ctl, const char * name, int mode, snd_config_t * lconf
#define snd_ctl_open_lconf_PACKED PACKED_int_snd_ctl_t___GENPT____GENPT___const_char___GENPT___int_snd_config_t___GENPT__
#define snd_ctl_open_lconf_INDEXED INDEXED_int_snd_ctl_t___GENPT____GENPT___const_char___GENPT___int_snd_config_t___GENPT__
#define snd_ctl_open_lconf_FORMAT FORMAT_int_snd_ctl_t___GENPT____GENPT___const_char___GENPT___int_snd_config_t___GENPT__
#define snd_ctl_pcm_info_INDEX 790
#define snd_ctl_pcm_info_RETURN int
#define snd_ctl_pcm_info_ARG_NAMES ctl, info
#define snd_ctl_pcm_info_ARG_EXPAND snd_ctl_t * ctl, snd_pcm_info_t * info
#define snd_ctl_pcm_info_PACKED PACKED_int_snd_ctl_t___GENPT___snd_pcm_info_t___GENPT__
#define snd_ctl_pcm_info_INDEXED INDEXED_int_snd_ctl_t___GENPT___snd_pcm_info_t___GENPT__
#define snd_ctl_pcm_info_FORMAT FORMAT_int_snd_ctl_t___GENPT___snd_pcm_info_t___GENPT__
#define snd_ctl_pcm_next_device_INDEX 791
#define snd_ctl_pcm_next_device_RETURN int
#define snd_ctl_pcm_next_device_ARG_NAMES ctl, device
#define snd_ctl_pcm_next_device_ARG_EXPAND snd_ctl_t * ctl, int * device
#define snd_ctl_pcm_next_device_PACKED PACKED_int_snd_ctl_t___GENPT___int___GENPT__
#define snd_ctl_pcm_next_device_INDEXED INDEXED_int_snd_ctl_t___GENPT___int___GENPT__
#define snd_ctl_pcm_next_device_FORMAT FORMAT_int_snd_ctl_t___GENPT___int___GENPT__
#define snd_ctl_pcm_prefer_subdevice_INDEX 792
#define snd_ctl_pcm_prefer_subdevice_RETURN int
#define snd_ctl_pcm_prefer_subdevice_ARG_NAMES ctl, subdev
#define snd_ctl_pcm_prefer_subdevice_ARG_EXPAND snd_ctl_t * ctl, int subdev
#define snd_ctl_pcm_prefer_subdevice_PACKED PACKED_int_snd_ctl_t___GENPT___int
#define snd_ctl_pcm_prefer_subdevice_INDEXED INDEXED_int_snd_ctl_t___GENPT___int
#define snd_ctl_pcm_prefer_subdevice_FORMAT FORMAT_int_snd_ctl_t___GENPT___int
#define snd_ctl_poll_descriptors_INDEX 793
#define snd_ctl_poll_descriptors_RETURN int
#define snd_ctl_poll_descriptors_ARG_NAMES ctl, pfds, space
#define snd_ctl_poll_descriptors_ARG_EXPAND snd_ctl_t * ctl, struct pollfd * pfds, unsigned int space
#define snd_ctl_poll_descriptors_PACKED PACKED_int_snd_ctl_t___GENPT___struct_pollfd___GENPT___unsigned_int
#define snd_ctl_poll_descriptors_INDEXED INDEXED_int_snd_ctl_t___GENPT___struct_pollfd___GENPT___unsigned_int
#define snd_ctl_poll_descriptors_FORMAT FORMAT_int_snd_ctl_t___GENPT___struct_pollfd___GENPT___unsigned_int
#define snd_ctl_poll_descriptors_count_INDEX 794
#define snd_ctl_poll_descriptors_count_RETURN int
#define snd_ctl_poll_descriptors_count_ARG_NAMES ctl
#define snd_ctl_poll_descriptors_count_ARG_EXPAND snd_ctl_t * ctl
#define snd_ctl_poll_descriptors_count_PACKED PACKED_int_snd_ctl_t___GENPT__
#define snd_ctl_poll_descriptors_count_INDEXED INDEXED_int_snd_ctl_t___GENPT__
#define snd_ctl_poll_descriptors_count_FORMAT FORMAT_int_snd_ctl_t___GENPT__
#define snd_ctl_poll_descriptors_revents_INDEX 795
#define snd_ctl_poll_descriptors_revents_RETURN int
#define snd_ctl_poll_descriptors_revents_ARG_NAMES ctl, pfds, nfds, revents
#define snd_ctl_poll_descriptors_revents_ARG_EXPAND snd_ctl_t * ctl, struct pollfd * pfds, unsigned int nfds, unsigned short * revents
#define snd_ctl_poll_descriptors_revents_PACKED PACKED_int_snd_ctl_t___GENPT___struct_pollfd___GENPT___unsigned_int_unsigned_short___GENPT__
#define snd_ctl_poll_descriptors_revents_INDEXED INDEXED_int_snd_ctl_t___GENPT___struct_pollfd___GENPT___unsigned_int_unsigned_short___GENPT__
#define snd_ctl_poll_descriptors_revents_FORMAT FORMAT_int_snd_ctl_t___GENPT___struct_pollfd___GENPT___unsigned_int_unsigned_short___GENPT__
#define snd_ctl_rawmidi_info_INDEX 796
#define snd_ctl_rawmidi_info_RETURN int
#define snd_ctl_rawmidi_info_ARG_NAMES ctl, info
#define snd_ctl_rawmidi_info_ARG_EXPAND snd_ctl_t * ctl, snd_rawmidi_info_t * info
#define snd_ctl_rawmidi_info_PACKED PACKED_int_snd_ctl_t___GENPT___snd_rawmidi_info_t___GENPT__
#define snd_ctl_rawmidi_info_INDEXED INDEXED_int_snd_ctl_t___GENPT___snd_rawmidi_info_t___GENPT__
#define snd_ctl_rawmidi_info_FORMAT FORMAT_int_snd_ctl_t___GENPT___snd_rawmidi_info_t___GENPT__
#define snd_ctl_rawmidi_next_device_INDEX 797
#define snd_ctl_rawmidi_next_device_RETURN int
#define snd_ctl_rawmidi_next_device_ARG_NAMES ctl, device
#define snd_ctl_rawmidi_next_device_ARG_EXPAND snd_ctl_t * ctl, int * device
#define snd_ctl_rawmidi_next_device_PACKED PACKED_int_snd_ctl_t___GENPT___int___GENPT__
#define snd_ctl_rawmidi_next_device_INDEXED INDEXED_int_snd_ctl_t___GENPT___int___GENPT__
#define snd_ctl_rawmidi_next_device_FORMAT FORMAT_int_snd_ctl_t___GENPT___int___GENPT__
#define snd_ctl_rawmidi_prefer_subdevice_INDEX 798
#define snd_ctl_rawmidi_prefer_subdevice_RETURN int
#define snd_ctl_rawmidi_prefer_subdevice_ARG_NAMES ctl, subdev
#define snd_ctl_rawmidi_prefer_subdevice_ARG_EXPAND snd_ctl_t * ctl, int subdev
#define snd_ctl_rawmidi_prefer_subdevice_PACKED PACKED_int_snd_ctl_t___GENPT___int
#define snd_ctl_rawmidi_prefer_subdevice_INDEXED INDEXED_int_snd_ctl_t___GENPT___int
#define snd_ctl_rawmidi_prefer_subdevice_FORMAT FORMAT_int_snd_ctl_t___GENPT___int
#define snd_ctl_read_INDEX 799
#define snd_ctl_read_RETURN int
#define snd_ctl_read_ARG_NAMES ctl, event
#define snd_ctl_read_ARG_EXPAND snd_ctl_t * ctl, snd_ctl_event_t * event
#define snd_ctl_read_PACKED PACKED_int_snd_ctl_t___GENPT___snd_ctl_event_t___GENPT__
#define snd_ctl_read_INDEXED INDEXED_int_snd_ctl_t___GENPT___snd_ctl_event_t___GENPT__
#define snd_ctl_read_FORMAT FORMAT_int_snd_ctl_t___GENPT___snd_ctl_event_t___GENPT__
#define snd_ctl_set_power_state_INDEX 800
#define snd_ctl_set_power_state_RETURN int
#define snd_ctl_set_power_state_ARG_NAMES ctl, state
#define snd_ctl_set_power_state_ARG_EXPAND snd_ctl_t * ctl, unsigned int state
#define snd_ctl_set_power_state_PACKED PACKED_int_snd_ctl_t___GENPT___unsigned_int
#define snd_ctl_set_power_state_INDEXED INDEXED_int_snd_ctl_t___GENPT___unsigned_int
#define snd_ctl_set_power_state_FORMAT FORMAT_int_snd_ctl_t___GENPT___unsigned_int
#define snd_ctl_subscribe_events_INDEX 801
#define snd_ctl_subscribe_events_RETURN int
#define snd_ctl_subscribe_events_ARG_NAMES ctl, subscribe
#define snd_ctl_subscribe_events_ARG_EXPAND snd_ctl_t * ctl, int subscribe
#define snd_ctl_subscribe_events_PACKED PACKED_int_snd_ctl_t___GENPT___int
#define snd_ctl_subscribe_events_INDEXED INDEXED_int_snd_ctl_t___GENPT___int
#define snd_ctl_subscribe_events_FORMAT FORMAT_int_snd_ctl_t___GENPT___int
#define snd_ctl_type_INDEX 802
#define snd_ctl_type_RETURN snd_ctl_type_t
#define snd_ctl_type_ARG_NAMES ctl
#define snd_ctl_type_ARG_EXPAND snd_ctl_t * ctl
#define snd_ctl_type_PACKED PACKED_snd_ctl_type_t_snd_ctl_t___GENPT__
#define snd_ctl_type_INDEXED INDEXED_snd_ctl_type_t_snd_ctl_t___GENPT__
#define snd_ctl_type_FORMAT FORMAT_snd_ctl_type_t_snd_ctl_t___GENPT__
#define snd_ctl_wait_INDEX 803
#define snd_ctl_wait_RETURN int
#define snd_ctl_wait_ARG_NAMES ctl, timeout
#define snd_ctl_wait_ARG_EXPAND snd_ctl_t * ctl, int timeout
#define snd_ctl_wait_PACKED PACKED_int_snd_ctl_t___GENPT___int
#define snd_ctl_wait_INDEXED INDEXED_int_snd_ctl_t___GENPT___int
#define snd_ctl_wait_FORMAT FORMAT_int_snd_ctl_t___GENPT___int
#define snd_dlclose_INDEX 804
#define snd_dlclose_RETURN int
#define snd_dlclose_ARG_NAMES handle
#define snd_dlclose_ARG_EXPAND void * handle
#define snd_dlclose_PACKED PACKED_int_void___GENPT__
#define snd_dlclose_INDEXED INDEXED_int_void___GENPT__
#define snd_dlclose_FORMAT FORMAT_int_void___GENPT__
#define snd_dlopen_INDEX 805
#define snd_dlopen_RETURN void *
#define snd_dlopen_ARG_NAMES file, mode
#define snd_dlopen_ARG_EXPAND const char * file, int mode
#define snd_dlopen_PACKED PACKED_void___GENPT___const_char___GENPT___int
#define snd_dlopen_INDEXED INDEXED_void___GENPT___const_char___GENPT___int
#define snd_dlopen_FORMAT FORMAT_void___GENPT___const_char___GENPT___int
#define snd_dlsym_INDEX 806
#define snd_dlsym_RETURN void *
#define snd_dlsym_ARG_NAMES handle, name, version
#define snd_dlsym_ARG_EXPAND void * handle, const char * name, const char * version
#define snd_dlsym_PACKED PACKED_void___GENPT___void___GENPT___const_char___GENPT___const_char___GENPT__
#define snd_dlsym_INDEXED INDEXED_void___GENPT___void___GENPT___const_char___GENPT___const_char___GENPT__
#define snd_dlsym_FORMAT FORMAT_void___GENPT___void___GENPT___const_char___GENPT___const_char___GENPT__
#define snd_hctl_close_INDEX 807
#define snd_hctl_close_RETURN int
#define snd_hctl_close_ARG_NAMES hctl
#define snd_hctl_close_ARG_EXPAND snd_hctl_t * hctl
#define snd_hctl_close_PACKED PACKED_int_snd_hctl_t___GENPT__
#define snd_hctl_close_INDEXED INDEXED_int_snd_hctl_t___GENPT__
#define snd_hctl_close_FORMAT FORMAT_int_snd_hctl_t___GENPT__
#define snd_hctl_compare_fast_INDEX 808
#define snd_hctl_compare_fast_RETURN int
#define snd_hctl_compare_fast_ARG_NAMES c1, c2
#define snd_hctl_compare_fast_ARG_EXPAND const snd_hctl_elem_t * c1, const snd_hctl_elem_t * c2
#define snd_hctl_compare_fast_PACKED PACKED_int_const_snd_hctl_elem_t___GENPT___const_snd_hctl_elem_t___GENPT__
#define snd_hctl_compare_fast_INDEXED INDEXED_int_const_snd_hctl_elem_t___GENPT___const_snd_hctl_elem_t___GENPT__
#define snd_hctl_compare_fast_FORMAT FORMAT_int_const_snd_hctl_elem_t___GENPT___const_snd_hctl_elem_t___GENPT__
#define snd_hctl_ctl_INDEX 809
#define snd_hctl_ctl_RETURN snd_ctl_t *
#define snd_hctl_ctl_ARG_NAMES hctl
#define snd_hctl_ctl_ARG_EXPAND snd_hctl_t * hctl
#define snd_hctl_ctl_PACKED PACKED_snd_ctl_t___GENPT___snd_hctl_t___GENPT__
#define snd_hctl_ctl_INDEXED INDEXED_snd_ctl_t___GENPT___snd_hctl_t___GENPT__
#define snd_hctl_ctl_FORMAT FORMAT_snd_ctl_t___GENPT___snd_hctl_t___GENPT__
#define snd_hctl_elem_get_callback_private_INDEX 810
#define snd_hctl_elem_get_callback_private_RETURN void *
#define snd_hctl_elem_get_callback_private_ARG_NAMES obj
#define snd_hctl_elem_get_callback_private_ARG_EXPAND const snd_hctl_elem_t * obj
#define snd_hctl_elem_get_callback_private_PACKED PACKED_void___GENPT___const_snd_hctl_elem_t___GENPT__
#define snd_hctl_elem_get_callback_private_INDEXED INDEXED_void___GENPT___const_snd_hctl_elem_t___GENPT__
#define snd_hctl_elem_get_callback_private_FORMAT FORMAT_void___GENPT___const_snd_hctl_elem_t___GENPT__
#define snd_hctl_elem_get_device_INDEX 811
#define snd_hctl_elem_get_device_RETURN unsigned int
#define snd_hctl_elem_get_device_ARG_NAMES obj
#define snd_hctl_elem_get_device_ARG_EXPAND const snd_hctl_elem_t * obj
#define snd_hctl_elem_get_device_PACKED PACKED_unsigned_int_const_snd_hctl_elem_t___GENPT__
#define snd_hctl_elem_get_device_INDEXED INDEXED_unsigned_int_const_snd_hctl_elem_t___GENPT__
#define snd_hctl_elem_get_device_FORMAT FORMAT_unsigned_int_const_snd_hctl_elem_t___GENPT__
#define snd_hctl_elem_get_hctl_INDEX 812
#define snd_hctl_elem_get_hctl_RETURN snd_hctl_t *
#define snd_hctl_elem_get_hctl_ARG_NAMES elem
#define snd_hctl_elem_get_hctl_ARG_EXPAND snd_hctl_elem_t * elem
#define snd_hctl_elem_get_hctl_PACKED PACKED_snd_hctl_t___GENPT___snd_hctl_elem_t___GENPT__
#define snd_hctl_elem_get_hctl_INDEXED INDEXED_snd_hctl_t___GENPT___snd_hctl_elem_t___GENPT__
#define snd_hctl_elem_get_hctl_FORMAT FORMAT_snd_hctl_t___GENPT___snd_hctl_elem_t___GENPT__
#define snd_hctl_elem_get_id_INDEX 813
#define snd_hctl_elem_get_id_RETURN void
#define snd_hctl_elem_get_id_ARG_NAMES obj, ptr
#define snd_hctl_elem_get_id_ARG_EXPAND const snd_hctl_elem_t * obj, snd_ctl_elem_id_t * ptr
#define snd_hctl_elem_get_id_PACKED PACKED_void_const_snd_hctl_elem_t___GENPT___snd_ctl_elem_id_t___GENPT__
#define snd_hctl_elem_get_id_INDEXED INDEXED_void_const_snd_hctl_elem_t___GENPT___snd_ctl_elem_id_t___GENPT__
#define snd_hctl_elem_get_id_FORMAT FORMAT_void_const_snd_hctl_elem_t___GENPT___snd_ctl_elem_id_t___GENPT__
#define snd_hctl_elem_get_index_INDEX 814
#define snd_hctl_elem_get_index_RETURN unsigned int
#define snd_hctl_elem_get_index_ARG_NAMES obj
#define snd_hctl_elem_get_index_ARG_EXPAND const snd_hctl_elem_t * obj
#define snd_hctl_elem_get_index_PACKED PACKED_unsigned_int_const_snd_hctl_elem_t___GENPT__
#define snd_hctl_elem_get_index_INDEXED INDEXED_unsigned_int_const_snd_hctl_elem_t___GENPT__
#define snd_hctl_elem_get_index_FORMAT FORMAT_unsigned_int_const_snd_hctl_elem_t___GENPT__
#define snd_hctl_elem_get_interface_INDEX 815
#define snd_hctl_elem_get_interface_RETURN snd_ctl_elem_iface_t
#define snd_hctl_elem_get_interface_ARG_NAMES obj
#define snd_hctl_elem_get_interface_ARG_EXPAND const snd_hctl_elem_t * obj
#define snd_hctl_elem_get_interface_PACKED PACKED_snd_ctl_elem_iface_t_const_snd_hctl_elem_t___GENPT__
#define snd_hctl_elem_get_interface_INDEXED INDEXED_snd_ctl_elem_iface_t_const_snd_hctl_elem_t___GENPT__
#define snd_hctl_elem_get_interface_FORMAT FORMAT_snd_ctl_elem_iface_t_const_snd_hctl_elem_t___GENPT__
#define snd_hctl_elem_get_name_INDEX 816
#define snd_hctl_elem_get_name_RETURN const char *
#define snd_hctl_elem_get_name_ARG_NAMES obj
#define snd_hctl_elem_get_name_ARG_EXPAND const snd_hctl_elem_t * obj
#define snd_hctl_elem_get_name_PACKED PACKED_const_char___GENPT___const_snd_hctl_elem_t___GENPT__
#define snd_hctl_elem_get_name_INDEXED INDEXED_const_char___GENPT___const_snd_hctl_elem_t___GENPT__
#define snd_hctl_elem_get_name_FORMAT FORMAT_const_char___GENPT___const_snd_hctl_elem_t___GENPT__
#define snd_hctl_elem_get_numid_INDEX 817
#define snd_hctl_elem_get_numid_RETURN unsigned int
#define snd_hctl_elem_get_numid_ARG_NAMES obj
#define snd_hctl_elem_get_numid_ARG_EXPAND const snd_hctl_elem_t * obj
#define snd_hctl_elem_get_numid_PACKED PACKED_unsigned_int_const_snd_hctl_elem_t___GENPT__
#define snd_hctl_elem_get_numid_INDEXED INDEXED_unsigned_int_const_snd_hctl_elem_t___GENPT__
#define snd_hctl_elem_get_numid_FORMAT FORMAT_unsigned_int_const_snd_hctl_elem_t___GENPT__
#define snd_hctl_elem_get_subdevice_INDEX 818
#define snd_hctl_elem_get_subdevice_RETURN unsigned int
#define snd_hctl_elem_get_subdevice_ARG_NAMES obj
#define snd_hctl_elem_get_subdevice_ARG_EXPAND const snd_hctl_elem_t * obj
#define snd_hctl_elem_get_subdevice_PACKED PACKED_unsigned_int_const_snd_hctl_elem_t___GENPT__
#define snd_hctl_elem_get_subdevice_INDEXED INDEXED_unsigned_int_const_snd_hctl_elem_t___GENPT__
#define snd_hctl_elem_get_subdevice_FORMAT FORMAT_unsigned_int_const_snd_hctl_elem_t___GENPT__
#define snd_hctl_elem_info_INDEX 819
#define snd_hctl_elem_info_RETURN int
#define snd_hctl_elem_info_ARG_NAMES elem, info
#define snd_hctl_elem_info_ARG_EXPAND snd_hctl_elem_t * elem, snd_ctl_elem_info_t * info
#define snd_hctl_elem_info_PACKED PACKED_int_snd_hctl_elem_t___GENPT___snd_ctl_elem_info_t___GENPT__
#define snd_hctl_elem_info_INDEXED INDEXED_int_snd_hctl_elem_t___GENPT___snd_ctl_elem_info_t___GENPT__
#define snd_hctl_elem_info_FORMAT FORMAT_int_snd_hctl_elem_t___GENPT___snd_ctl_elem_info_t___GENPT__
#define snd_hctl_elem_next_INDEX 820
#define snd_hctl_elem_next_RETURN snd_hctl_elem_t *
#define snd_hctl_elem_next_ARG_NAMES elem
#define snd_hctl_elem_next_ARG_EXPAND snd_hctl_elem_t * elem
#define snd_hctl_elem_next_PACKED PACKED_snd_hctl_elem_t___GENPT___snd_hctl_elem_t___GENPT__
#define snd_hctl_elem_next_INDEXED INDEXED_snd_hctl_elem_t___GENPT___snd_hctl_elem_t___GENPT__
#define snd_hctl_elem_next_FORMAT FORMAT_snd_hctl_elem_t___GENPT___snd_hctl_elem_t___GENPT__
#define snd_hctl_elem_prev_INDEX 821
#define snd_hctl_elem_prev_RETURN snd_hctl_elem_t *
#define snd_hctl_elem_prev_ARG_NAMES elem
#define snd_hctl_elem_prev_ARG_EXPAND snd_hctl_elem_t * elem
#define snd_hctl_elem_prev_PACKED PACKED_snd_hctl_elem_t___GENPT___snd_hctl_elem_t___GENPT__
#define snd_hctl_elem_prev_INDEXED INDEXED_snd_hctl_elem_t___GENPT___snd_hctl_elem_t___GENPT__
#define snd_hctl_elem_prev_FORMAT FORMAT_snd_hctl_elem_t___GENPT___snd_hctl_elem_t___GENPT__
#define snd_hctl_elem_read_INDEX 822
#define snd_hctl_elem_read_RETURN int
#define snd_hctl_elem_read_ARG_NAMES elem, value
#define snd_hctl_elem_read_ARG_EXPAND snd_hctl_elem_t * elem, snd_ctl_elem_value_t * value
#define snd_hctl_elem_read_PACKED PACKED_int_snd_hctl_elem_t___GENPT___snd_ctl_elem_value_t___GENPT__
#define snd_hctl_elem_read_INDEXED INDEXED_int_snd_hctl_elem_t___GENPT___snd_ctl_elem_value_t___GENPT__
#define snd_hctl_elem_read_FORMAT FORMAT_int_snd_hctl_elem_t___GENPT___snd_ctl_elem_value_t___GENPT__
#define snd_hctl_elem_set_callback_INDEX 823
#define snd_hctl_elem_set_callback_RETURN void
#define snd_hctl_elem_set_callback_ARG_NAMES obj, val
#define snd_hctl_elem_set_callback_ARG_EXPAND snd_hctl_elem_t * obj, snd_hctl_elem_callback_t val
#define snd_hctl_elem_set_callback_PACKED PACKED_void_snd_hctl_elem_t___GENPT___snd_hctl_elem_callback_t
#define snd_hctl_elem_set_callback_INDEXED INDEXED_void_snd_hctl_elem_t___GENPT___snd_hctl_elem_callback_t
#define snd_hctl_elem_set_callback_FORMAT FORMAT_void_snd_hctl_elem_t___GENPT___snd_hctl_elem_callback_t
#define snd_hctl_elem_set_callback_private_INDEX 824
#define snd_hctl_elem_set_callback_private_RETURN void
#define snd_hctl_elem_set_callback_private_ARG_NAMES obj, val
#define snd_hctl_elem_set_callback_private_ARG_EXPAND snd_hctl_elem_t * obj, void * val
#define snd_hctl_elem_set_callback_private_PACKED PACKED_void_snd_hctl_elem_t___GENPT___void___GENPT__
#define snd_hctl_elem_set_callback_private_INDEXED INDEXED_void_snd_hctl_elem_t___GENPT___void___GENPT__
#define snd_hctl_elem_set_callback_private_FORMAT FORMAT_void_snd_hctl_elem_t___GENPT___void___GENPT__
#define snd_hctl_elem_tlv_command_INDEX 825
#define snd_hctl_elem_tlv_command_RETURN int
#define snd_hctl_elem_tlv_command_ARG_NAMES elem, tlv
#define snd_hctl_elem_tlv_command_ARG_EXPAND snd_hctl_elem_t * elem, const unsigned int * tlv
#define snd_hctl_elem_tlv_command_PACKED PACKED_int_snd_hctl_elem_t___GENPT___const_unsigned_int___GENPT__
#define snd_hctl_elem_tlv_command_INDEXED INDEXED_int_snd_hctl_elem_t___GENPT___const_unsigned_int___GENPT__
#define snd_hctl_elem_tlv_command_FORMAT FORMAT_int_snd_hctl_elem_t___GENPT___const_unsigned_int___GENPT__
#define snd_hctl_elem_tlv_read_INDEX 826
#define snd_hctl_elem_tlv_read_RETURN int
#define snd_hctl_elem_tlv_read_ARG_NAMES elem, tlv, tlv_size
#define snd_hctl_elem_tlv_read_ARG_EXPAND snd_hctl_elem_t * elem, unsigned int * tlv, unsigned int tlv_size
#define snd_hctl_elem_tlv_read_PACKED PACKED_int_snd_hctl_elem_t___GENPT___unsigned_int___GENPT___unsigned_int
#define snd_hctl_elem_tlv_read_INDEXED INDEXED_int_snd_hctl_elem_t___GENPT___unsigned_int___GENPT___unsigned_int
#define snd_hctl_elem_tlv_read_FORMAT FORMAT_int_snd_hctl_elem_t___GENPT___unsigned_int___GENPT___unsigned_int
#define snd_hctl_elem_tlv_write_INDEX 827
#define snd_hctl_elem_tlv_write_RETURN int
#define snd_hctl_elem_tlv_write_ARG_NAMES elem, tlv
#define snd_hctl_elem_tlv_write_ARG_EXPAND snd_hctl_elem_t * elem, const unsigned int * tlv
#define snd_hctl_elem_tlv_write_PACKED PACKED_int_snd_hctl_elem_t___GENPT___const_unsigned_int___GENPT__
#define snd_hctl_elem_tlv_write_INDEXED INDEXED_int_snd_hctl_elem_t___GENPT___const_unsigned_int___GENPT__
#define snd_hctl_elem_tlv_write_FORMAT FORMAT_int_snd_hctl_elem_t___GENPT___const_unsigned_int___GENPT__
#define snd_hctl_elem_write_INDEX 828
#define snd_hctl_elem_write_RETURN int
#define snd_hctl_elem_write_ARG_NAMES elem, value
#define snd_hctl_elem_write_ARG_EXPAND snd_hctl_elem_t * elem, snd_ctl_elem_value_t * value
#define snd_hctl_elem_write_PACKED PACKED_int_snd_hctl_elem_t___GENPT___snd_ctl_elem_value_t___GENPT__
#define snd_hctl_elem_write_INDEXED INDEXED_int_snd_hctl_elem_t___GENPT___snd_ctl_elem_value_t___GENPT__
#define snd_hctl_elem_write_FORMAT FORMAT_int_snd_hctl_elem_t___GENPT___snd_ctl_elem_value_t___GENPT__
#define snd_hctl_find_elem_INDEX 829
#define snd_hctl_find_elem_RETURN snd_hctl_elem_t *
#define snd_hctl_find_elem_ARG_NAMES hctl, id
#define snd_hctl_find_elem_ARG_EXPAND snd_hctl_t * hctl, const snd_ctl_elem_id_t * id
#define snd_hctl_find_elem_PACKED PACKED_snd_hctl_elem_t___GENPT___snd_hctl_t___GENPT___const_snd_ctl_elem_id_t___GENPT__
#define snd_hctl_find_elem_INDEXED INDEXED_snd_hctl_elem_t___GENPT___snd_hctl_t___GENPT___const_snd_ctl_elem_id_t___GENPT__
#define snd_hctl_find_elem_FORMAT FORMAT_snd_hctl_elem_t___GENPT___snd_hctl_t___GENPT___const_snd_ctl_elem_id_t___GENPT__
#define snd_hctl_first_elem_INDEX 830
#define snd_hctl_first_elem_RETURN snd_hctl_elem_t *
#define snd_hctl_first_elem_ARG_NAMES hctl
#define snd_hctl_first_elem_ARG_EXPAND snd_hctl_t * hctl
#define snd_hctl_first_elem_PACKED PACKED_snd_hctl_elem_t___GENPT___snd_hctl_t___GENPT__
#define snd_hctl_first_elem_INDEXED INDEXED_snd_hctl_elem_t___GENPT___snd_hctl_t___GENPT__
#define snd_hctl_first_elem_FORMAT FORMAT_snd_hctl_elem_t___GENPT___snd_hctl_t___GENPT__
#define snd_hctl_free_INDEX 831
#define snd_hctl_free_RETURN int
#define snd_hctl_free_ARG_NAMES hctl
#define snd_hctl_free_ARG_EXPAND snd_hctl_t * hctl
#define snd_hctl_free_PACKED PACKED_int_snd_hctl_t___GENPT__
#define snd_hctl_free_INDEXED INDEXED_int_snd_hctl_t___GENPT__
#define snd_hctl_free_FORMAT FORMAT_int_snd_hctl_t___GENPT__
#define snd_hctl_get_callback_private_INDEX 832
#define snd_hctl_get_callback_private_RETURN void *
#define snd_hctl_get_callback_private_ARG_NAMES hctl
#define snd_hctl_get_callback_private_ARG_EXPAND snd_hctl_t * hctl
#define snd_hctl_get_callback_private_PACKED PACKED_void___GENPT___snd_hctl_t___GENPT__
#define snd_hctl_get_callback_private_INDEXED INDEXED_void___GENPT___snd_hctl_t___GENPT__
#define snd_hctl_get_callback_private_FORMAT FORMAT_void___GENPT___snd_hctl_t___GENPT__
#define snd_hctl_get_count_INDEX 833
#define snd_hctl_get_count_RETURN unsigned int
#define snd_hctl_get_count_ARG_NAMES hctl
#define snd_hctl_get_count_ARG_EXPAND snd_hctl_t * hctl
#define snd_hctl_get_count_PACKED PACKED_unsigned_int_snd_hctl_t___GENPT__
#define snd_hctl_get_count_INDEXED INDEXED_unsigned_int_snd_hctl_t___GENPT__
#define snd_hctl_get_count_FORMAT FORMAT_unsigned_int_snd_hctl_t___GENPT__
#define snd_hctl_handle_events_INDEX 834
#define snd_hctl_handle_events_RETURN int
#define snd_hctl_handle_events_ARG_NAMES hctl
#define snd_hctl_handle_events_ARG_EXPAND snd_hctl_t * hctl
#define snd_hctl_handle_events_PACKED PACKED_int_snd_hctl_t___GENPT__
#define snd_hctl_handle_events_INDEXED INDEXED_int_snd_hctl_t___GENPT__
#define snd_hctl_handle_events_FORMAT FORMAT_int_snd_hctl_t___GENPT__
#define snd_hctl_last_elem_INDEX 835
#define snd_hctl_last_elem_RETURN snd_hctl_elem_t *
#define snd_hctl_last_elem_ARG_NAMES hctl
#define snd_hctl_last_elem_ARG_EXPAND snd_hctl_t * hctl
#define snd_hctl_last_elem_PACKED PACKED_snd_hctl_elem_t___GENPT___snd_hctl_t___GENPT__
#define snd_hctl_last_elem_INDEXED INDEXED_snd_hctl_elem_t___GENPT___snd_hctl_t___GENPT__
#define snd_hctl_last_elem_FORMAT FORMAT_snd_hctl_elem_t___GENPT___snd_hctl_t___GENPT__
#define snd_hctl_load_INDEX 836
#define snd_hctl_load_RETURN int
#define snd_hctl_load_ARG_NAMES hctl
#define snd_hctl_load_ARG_EXPAND snd_hctl_t * hctl
#define snd_hctl_load_PACKED PACKED_int_snd_hctl_t___GENPT__
#define snd_hctl_load_INDEXED INDEXED_int_snd_hctl_t___GENPT__
#define snd_hctl_load_FORMAT FORMAT_int_snd_hctl_t___GENPT__
#define snd_hctl_name_INDEX 837
#define snd_hctl_name_RETURN const char *
#define snd_hctl_name_ARG_NAMES hctl
#define snd_hctl_name_ARG_EXPAND snd_hctl_t * hctl
#define snd_hctl_name_PACKED PACKED_const_char___GENPT___snd_hctl_t___GENPT__
#define snd_hctl_name_INDEXED INDEXED_const_char___GENPT___snd_hctl_t___GENPT__
#define snd_hctl_name_FORMAT FORMAT_const_char___GENPT___snd_hctl_t___GENPT__
#define snd_hctl_nonblock_INDEX 838
#define snd_hctl_nonblock_RETURN int
#define snd_hctl_nonblock_ARG_NAMES hctl, nonblock
#define snd_hctl_nonblock_ARG_EXPAND snd_hctl_t * hctl, int nonblock
#define snd_hctl_nonblock_PACKED PACKED_int_snd_hctl_t___GENPT___int
#define snd_hctl_nonblock_INDEXED INDEXED_int_snd_hctl_t___GENPT___int
#define snd_hctl_nonblock_FORMAT FORMAT_int_snd_hctl_t___GENPT___int
#define snd_hctl_open_INDEX 839
#define snd_hctl_open_RETURN int
#define snd_hctl_open_ARG_NAMES hctl, name, mode
#define snd_hctl_open_ARG_EXPAND snd_hctl_t ** hctl, const char * name, int mode
#define snd_hctl_open_PACKED PACKED_int_snd_hctl_t___GENPT____GENPT___const_char___GENPT___int
#define snd_hctl_open_INDEXED INDEXED_int_snd_hctl_t___GENPT____GENPT___const_char___GENPT___int
#define snd_hctl_open_FORMAT FORMAT_int_snd_hctl_t___GENPT____GENPT___const_char___GENPT___int
#define snd_hctl_open_ctl_INDEX 840
#define snd_hctl_open_ctl_RETURN int
#define snd_hctl_open_ctl_ARG_NAMES hctlp, ctl
#define snd_hctl_open_ctl_ARG_EXPAND snd_hctl_t ** hctlp, snd_ctl_t * ctl
#define snd_hctl_open_ctl_PACKED PACKED_int_snd_hctl_t___GENPT____GENPT___snd_ctl_t___GENPT__
#define snd_hctl_open_ctl_INDEXED INDEXED_int_snd_hctl_t___GENPT____GENPT___snd_ctl_t___GENPT__
#define snd_hctl_open_ctl_FORMAT FORMAT_int_snd_hctl_t___GENPT____GENPT___snd_ctl_t___GENPT__
#define snd_hctl_poll_descriptors_INDEX 841
#define snd_hctl_poll_descriptors_RETURN int
#define snd_hctl_poll_descriptors_ARG_NAMES hctl, pfds, space
#define snd_hctl_poll_descriptors_ARG_EXPAND snd_hctl_t * hctl, struct pollfd * pfds, unsigned int space
#define snd_hctl_poll_descriptors_PACKED PACKED_int_snd_hctl_t___GENPT___struct_pollfd___GENPT___unsigned_int
#define snd_hctl_poll_descriptors_INDEXED INDEXED_int_snd_hctl_t___GENPT___struct_pollfd___GENPT___unsigned_int
#define snd_hctl_poll_descriptors_FORMAT FORMAT_int_snd_hctl_t___GENPT___struct_pollfd___GENPT___unsigned_int
#define snd_hctl_poll_descriptors_count_INDEX 842
#define snd_hctl_poll_descriptors_count_RETURN int
#define snd_hctl_poll_descriptors_count_ARG_NAMES hctl
#define snd_hctl_poll_descriptors_count_ARG_EXPAND snd_hctl_t * hctl
#define snd_hctl_poll_descriptors_count_PACKED PACKED_int_snd_hctl_t___GENPT__
#define snd_hctl_poll_descriptors_count_INDEXED INDEXED_int_snd_hctl_t___GENPT__
#define snd_hctl_poll_descriptors_count_FORMAT FORMAT_int_snd_hctl_t___GENPT__
#define snd_hctl_poll_descriptors_revents_INDEX 843
#define snd_hctl_poll_descriptors_revents_RETURN int
#define snd_hctl_poll_descriptors_revents_ARG_NAMES ctl, pfds, nfds, revents
#define snd_hctl_poll_descriptors_revents_ARG_EXPAND snd_hctl_t * ctl, struct pollfd * pfds, unsigned int nfds, unsigned short * revents
#define snd_hctl_poll_descriptors_revents_PACKED PACKED_int_snd_hctl_t___GENPT___struct_pollfd___GENPT___unsigned_int_unsigned_short___GENPT__
#define snd_hctl_poll_descriptors_revents_INDEXED INDEXED_int_snd_hctl_t___GENPT___struct_pollfd___GENPT___unsigned_int_unsigned_short___GENPT__
#define snd_hctl_poll_descriptors_revents_FORMAT FORMAT_int_snd_hctl_t___GENPT___struct_pollfd___GENPT___unsigned_int_unsigned_short___GENPT__
#define snd_hctl_set_callback_INDEX 844
#define snd_hctl_set_callback_RETURN void
#define snd_hctl_set_callback_ARG_NAMES hctl, callback
#define snd_hctl_set_callback_ARG_EXPAND snd_hctl_t * hctl, snd_hctl_callback_t callback
#define snd_hctl_set_callback_PACKED PACKED_void_snd_hctl_t___GENPT___snd_hctl_callback_t
#define snd_hctl_set_callback_INDEXED INDEXED_void_snd_hctl_t___GENPT___snd_hctl_callback_t
#define snd_hctl_set_callback_FORMAT FORMAT_void_snd_hctl_t___GENPT___snd_hctl_callback_t
#define snd_hctl_set_callback_private_INDEX 845
#define snd_hctl_set_callback_private_RETURN void
#define snd_hctl_set_callback_private_ARG_NAMES hctl, data
#define snd_hctl_set_callback_private_ARG_EXPAND snd_hctl_t * hctl, void * data
#define snd_hctl_set_callback_private_PACKED PACKED_void_snd_hctl_t___GENPT___void___GENPT__
#define snd_hctl_set_callback_private_INDEXED INDEXED_void_snd_hctl_t___GENPT___void___GENPT__
#define snd_hctl_set_callback_private_FORMAT FORMAT_void_snd_hctl_t___GENPT___void___GENPT__
#define snd_hctl_set_compare_INDEX 846
#define snd_hctl_set_compare_RETURN int
#define snd_hctl_set_compare_ARG_NAMES hctl, hsort
#define snd_hctl_set_compare_ARG_EXPAND snd_hctl_t * hctl, snd_hctl_compare_t hsort
#define snd_hctl_set_compare_PACKED PACKED_int_snd_hctl_t___GENPT___snd_hctl_compare_t
#define snd_hctl_set_compare_INDEXED INDEXED_int_snd_hctl_t___GENPT___snd_hctl_compare_t
#define snd_hctl_set_compare_FORMAT FORMAT_int_snd_hctl_t___GENPT___snd_hctl_compare_t
#define snd_hctl_wait_INDEX 847
#define snd_hctl_wait_RETURN int
#define snd_hctl_wait_ARG_NAMES hctl, timeout
#define snd_hctl_wait_ARG_EXPAND snd_hctl_t * hctl, int timeout
#define snd_hctl_wait_PACKED PACKED_int_snd_hctl_t___GENPT___int
#define snd_hctl_wait_INDEXED INDEXED_int_snd_hctl_t___GENPT___int
#define snd_hctl_wait_FORMAT FORMAT_int_snd_hctl_t___GENPT___int
#define snd_hwdep_close_INDEX 848
#define snd_hwdep_close_RETURN int
#define snd_hwdep_close_ARG_NAMES hwdep
#define snd_hwdep_close_ARG_EXPAND snd_hwdep_t * hwdep
#define snd_hwdep_close_PACKED PACKED_int_snd_hwdep_t___GENPT__
#define snd_hwdep_close_INDEXED INDEXED_int_snd_hwdep_t___GENPT__
#define snd_hwdep_close_FORMAT FORMAT_int_snd_hwdep_t___GENPT__
#define snd_hwdep_dsp_image_copy_INDEX 849
#define snd_hwdep_dsp_image_copy_RETURN void
#define snd_hwdep_dsp_image_copy_ARG_NAMES dst, src
#define snd_hwdep_dsp_image_copy_ARG_EXPAND snd_hwdep_dsp_image_t * dst, const snd_hwdep_dsp_image_t * src
#define snd_hwdep_dsp_image_copy_PACKED PACKED_void_snd_hwdep_dsp_image_t___GENPT___const_snd_hwdep_dsp_image_t___GENPT__
#define snd_hwdep_dsp_image_copy_INDEXED INDEXED_void_snd_hwdep_dsp_image_t___GENPT___const_snd_hwdep_dsp_image_t___GENPT__
#define snd_hwdep_dsp_image_copy_FORMAT FORMAT_void_snd_hwdep_dsp_image_t___GENPT___const_snd_hwdep_dsp_image_t___GENPT__
#define snd_hwdep_dsp_image_free_INDEX 850
#define snd_hwdep_dsp_image_free_RETURN void
#define snd_hwdep_dsp_image_free_ARG_NAMES obj
#define snd_hwdep_dsp_image_free_ARG_EXPAND snd_hwdep_dsp_image_t * obj
#define snd_hwdep_dsp_image_free_PACKED PACKED_void_snd_hwdep_dsp_image_t___GENPT__
#define snd_hwdep_dsp_image_free_INDEXED INDEXED_void_snd_hwdep_dsp_image_t___GENPT__
#define snd_hwdep_dsp_image_free_FORMAT FORMAT_void_snd_hwdep_dsp_image_t___GENPT__
#define snd_hwdep_dsp_image_get_image_INDEX 851
#define snd_hwdep_dsp_image_get_image_RETURN const void *
#define snd_hwdep_dsp_image_get_image_ARG_NAMES obj
#define snd_hwdep_dsp_image_get_image_ARG_EXPAND const snd_hwdep_dsp_image_t * obj
#define snd_hwdep_dsp_image_get_image_PACKED PACKED_const_void___GENPT___const_snd_hwdep_dsp_image_t___GENPT__
#define snd_hwdep_dsp_image_get_image_INDEXED INDEXED_const_void___GENPT___const_snd_hwdep_dsp_image_t___GENPT__
#define snd_hwdep_dsp_image_get_image_FORMAT FORMAT_const_void___GENPT___const_snd_hwdep_dsp_image_t___GENPT__
#define snd_hwdep_dsp_image_get_index_INDEX 852
#define snd_hwdep_dsp_image_get_index_RETURN unsigned int
#define snd_hwdep_dsp_image_get_index_ARG_NAMES obj
#define snd_hwdep_dsp_image_get_index_ARG_EXPAND const snd_hwdep_dsp_image_t * obj
#define snd_hwdep_dsp_image_get_index_PACKED PACKED_unsigned_int_const_snd_hwdep_dsp_image_t___GENPT__
#define snd_hwdep_dsp_image_get_index_INDEXED INDEXED_unsigned_int_const_snd_hwdep_dsp_image_t___GENPT__
#define snd_hwdep_dsp_image_get_index_FORMAT FORMAT_unsigned_int_const_snd_hwdep_dsp_image_t___GENPT__
#define snd_hwdep_dsp_image_get_length_INDEX 853
#define snd_hwdep_dsp_image_get_length_RETURN size_t
#define snd_hwdep_dsp_image_get_length_ARG_NAMES obj
#define snd_hwdep_dsp_image_get_length_ARG_EXPAND const snd_hwdep_dsp_image_t * obj
#define snd_hwdep_dsp_image_get_length_PACKED PACKED_size_t_const_snd_hwdep_dsp_image_t___GENPT__
#define snd_hwdep_dsp_image_get_length_INDEXED INDEXED_size_t_const_snd_hwdep_dsp_image_t___GENPT__
#define snd_hwdep_dsp_image_get_length_FORMAT FORMAT_size_t_const_snd_hwdep_dsp_image_t___GENPT__
#define snd_hwdep_dsp_image_get_name_INDEX 854
#define snd_hwdep_dsp_image_get_name_RETURN const char *
#define snd_hwdep_dsp_image_get_name_ARG_NAMES obj
#define snd_hwdep_dsp_image_get_name_ARG_EXPAND const snd_hwdep_dsp_image_t * obj
#define snd_hwdep_dsp_image_get_name_PACKED PACKED_const_char___GENPT___const_snd_hwdep_dsp_image_t___GENPT__
#define snd_hwdep_dsp_image_get_name_INDEXED INDEXED_const_char___GENPT___const_snd_hwdep_dsp_image_t___GENPT__
#define snd_hwdep_dsp_image_get_name_FORMAT FORMAT_const_char___GENPT___const_snd_hwdep_dsp_image_t___GENPT__
#define snd_hwdep_dsp_image_malloc_INDEX 855
#define snd_hwdep_dsp_image_malloc_RETURN int
#define snd_hwdep_dsp_image_malloc_ARG_NAMES ptr
#define snd_hwdep_dsp_image_malloc_ARG_EXPAND snd_hwdep_dsp_image_t ** ptr
#define snd_hwdep_dsp_image_malloc_PACKED PACKED_int_snd_hwdep_dsp_image_t___GENPT____GENPT__
#define snd_hwdep_dsp_image_malloc_INDEXED INDEXED_int_snd_hwdep_dsp_image_t___GENPT____GENPT__
#define snd_hwdep_dsp_image_malloc_FORMAT FORMAT_int_snd_hwdep_dsp_image_t___GENPT____GENPT__
#define snd_hwdep_dsp_image_set_image_INDEX 856
#define snd_hwdep_dsp_image_set_image_RETURN void
#define snd_hwdep_dsp_image_set_image_ARG_NAMES obj, buffer
#define snd_hwdep_dsp_image_set_image_ARG_EXPAND snd_hwdep_dsp_image_t * obj, void * buffer
#define snd_hwdep_dsp_image_set_image_PACKED PACKED_void_snd_hwdep_dsp_image_t___GENPT___void___GENPT__
#define snd_hwdep_dsp_image_set_image_INDEXED INDEXED_void_snd_hwdep_dsp_image_t___GENPT___void___GENPT__
#define snd_hwdep_dsp_image_set_image_FORMAT FORMAT_void_snd_hwdep_dsp_image_t___GENPT___void___GENPT__
#define snd_hwdep_dsp_image_set_index_INDEX 857
#define snd_hwdep_dsp_image_set_index_RETURN void
#define snd_hwdep_dsp_image_set_index_ARG_NAMES obj, _index
#define snd_hwdep_dsp_image_set_index_ARG_EXPAND snd_hwdep_dsp_image_t * obj, unsigned int _index
#define snd_hwdep_dsp_image_set_index_PACKED PACKED_void_snd_hwdep_dsp_image_t___GENPT___unsigned_int
#define snd_hwdep_dsp_image_set_index_INDEXED INDEXED_void_snd_hwdep_dsp_image_t___GENPT___unsigned_int
#define snd_hwdep_dsp_image_set_index_FORMAT FORMAT_void_snd_hwdep_dsp_image_t___GENPT___unsigned_int
#define snd_hwdep_dsp_image_set_length_INDEX 858
#define snd_hwdep_dsp_image_set_length_RETURN void
#define snd_hwdep_dsp_image_set_length_ARG_NAMES obj, length
#define snd_hwdep_dsp_image_set_length_ARG_EXPAND snd_hwdep_dsp_image_t * obj, size_t length
#define snd_hwdep_dsp_image_set_length_PACKED PACKED_void_snd_hwdep_dsp_image_t___GENPT___size_t
#define snd_hwdep_dsp_image_set_length_INDEXED INDEXED_void_snd_hwdep_dsp_image_t___GENPT___size_t
#define snd_hwdep_dsp_image_set_length_FORMAT FORMAT_void_snd_hwdep_dsp_image_t___GENPT___size_t
#define snd_hwdep_dsp_image_set_name_INDEX 859
#define snd_hwdep_dsp_image_set_name_RETURN void
#define snd_hwdep_dsp_image_set_name_ARG_NAMES obj, name
#define snd_hwdep_dsp_image_set_name_ARG_EXPAND snd_hwdep_dsp_image_t * obj, const char * name
#define snd_hwdep_dsp_image_set_name_PACKED PACKED_void_snd_hwdep_dsp_image_t___GENPT___const_char___GENPT__
#define snd_hwdep_dsp_image_set_name_INDEXED INDEXED_void_snd_hwdep_dsp_image_t___GENPT___const_char___GENPT__
#define snd_hwdep_dsp_image_set_name_FORMAT FORMAT_void_snd_hwdep_dsp_image_t___GENPT___const_char___GENPT__
#define snd_hwdep_dsp_image_sizeof_INDEX 860
#define snd_hwdep_dsp_image_sizeof_RETURN size_t
#define snd_hwdep_dsp_image_sizeof_ARG_NAMES 
#define snd_hwdep_dsp_image_sizeof_ARG_EXPAND 
#define snd_hwdep_dsp_image_sizeof_PACKED PACKED_size_t
#define snd_hwdep_dsp_image_sizeof_INDEXED INDEXED_size_t
#define snd_hwdep_dsp_image_sizeof_FORMAT FORMAT_size_t
#define snd_hwdep_dsp_load_INDEX 861
#define snd_hwdep_dsp_load_RETURN int
#define snd_hwdep_dsp_load_ARG_NAMES hwdep, block
#define snd_hwdep_dsp_load_ARG_EXPAND snd_hwdep_t * hwdep, snd_hwdep_dsp_image_t * block
#define snd_hwdep_dsp_load_PACKED PACKED_int_snd_hwdep_t___GENPT___snd_hwdep_dsp_image_t___GENPT__
#define snd_hwdep_dsp_load_INDEXED INDEXED_int_snd_hwdep_t___GENPT___snd_hwdep_dsp_image_t___GENPT__
#define snd_hwdep_dsp_load_FORMAT FORMAT_int_snd_hwdep_t___GENPT___snd_hwdep_dsp_image_t___GENPT__
#define snd_hwdep_dsp_status_INDEX 862
#define snd_hwdep_dsp_status_RETURN int
#define snd_hwdep_dsp_status_ARG_NAMES hwdep, status
#define snd_hwdep_dsp_status_ARG_EXPAND snd_hwdep_t * hwdep, snd_hwdep_dsp_status_t * status
#define snd_hwdep_dsp_status_PACKED PACKED_int_snd_hwdep_t___GENPT___snd_hwdep_dsp_status_t___GENPT__
#define snd_hwdep_dsp_status_INDEXED INDEXED_int_snd_hwdep_t___GENPT___snd_hwdep_dsp_status_t___GENPT__
#define snd_hwdep_dsp_status_FORMAT FORMAT_int_snd_hwdep_t___GENPT___snd_hwdep_dsp_status_t___GENPT__
#define snd_hwdep_dsp_status_copy_INDEX 863
#define snd_hwdep_dsp_status_copy_RETURN void
#define snd_hwdep_dsp_status_copy_ARG_NAMES dst, src
#define snd_hwdep_dsp_status_copy_ARG_EXPAND snd_hwdep_dsp_status_t * dst, const snd_hwdep_dsp_status_t * src
#define snd_hwdep_dsp_status_copy_PACKED PACKED_void_snd_hwdep_dsp_status_t___GENPT___const_snd_hwdep_dsp_status_t___GENPT__
#define snd_hwdep_dsp_status_copy_INDEXED INDEXED_void_snd_hwdep_dsp_status_t___GENPT___const_snd_hwdep_dsp_status_t___GENPT__
#define snd_hwdep_dsp_status_copy_FORMAT FORMAT_void_snd_hwdep_dsp_status_t___GENPT___const_snd_hwdep_dsp_status_t___GENPT__
#define snd_hwdep_dsp_status_free_INDEX 864
#define snd_hwdep_dsp_status_free_RETURN void
#define snd_hwdep_dsp_status_free_ARG_NAMES obj
#define snd_hwdep_dsp_status_free_ARG_EXPAND snd_hwdep_dsp_status_t * obj
#define snd_hwdep_dsp_status_free_PACKED PACKED_void_snd_hwdep_dsp_status_t___GENPT__
#define snd_hwdep_dsp_status_free_INDEXED INDEXED_void_snd_hwdep_dsp_status_t___GENPT__
#define snd_hwdep_dsp_status_free_FORMAT FORMAT_void_snd_hwdep_dsp_status_t___GENPT__
#define snd_hwdep_dsp_status_get_chip_ready_INDEX 865
#define snd_hwdep_dsp_status_get_chip_ready_RETURN unsigned int
#define snd_hwdep_dsp_status_get_chip_ready_ARG_NAMES obj
#define snd_hwdep_dsp_status_get_chip_ready_ARG_EXPAND const snd_hwdep_dsp_status_t * obj
#define snd_hwdep_dsp_status_get_chip_ready_PACKED PACKED_unsigned_int_const_snd_hwdep_dsp_status_t___GENPT__
#define snd_hwdep_dsp_status_get_chip_ready_INDEXED INDEXED_unsigned_int_const_snd_hwdep_dsp_status_t___GENPT__
#define snd_hwdep_dsp_status_get_chip_ready_FORMAT FORMAT_unsigned_int_const_snd_hwdep_dsp_status_t___GENPT__
#define snd_hwdep_dsp_status_get_dsp_loaded_INDEX 866
#define snd_hwdep_dsp_status_get_dsp_loaded_RETURN unsigned int
#define snd_hwdep_dsp_status_get_dsp_loaded_ARG_NAMES obj
#define snd_hwdep_dsp_status_get_dsp_loaded_ARG_EXPAND const snd_hwdep_dsp_status_t * obj
#define snd_hwdep_dsp_status_get_dsp_loaded_PACKED PACKED_unsigned_int_const_snd_hwdep_dsp_status_t___GENPT__
#define snd_hwdep_dsp_status_get_dsp_loaded_INDEXED INDEXED_unsigned_int_const_snd_hwdep_dsp_status_t___GENPT__
#define snd_hwdep_dsp_status_get_dsp_loaded_FORMAT FORMAT_unsigned_int_const_snd_hwdep_dsp_status_t___GENPT__
#define snd_hwdep_dsp_status_get_id_INDEX 867
#define snd_hwdep_dsp_status_get_id_RETURN const char *
#define snd_hwdep_dsp_status_get_id_ARG_NAMES obj
#define snd_hwdep_dsp_status_get_id_ARG_EXPAND const snd_hwdep_dsp_status_t * obj
#define snd_hwdep_dsp_status_get_id_PACKED PACKED_const_char___GENPT___const_snd_hwdep_dsp_status_t___GENPT__
#define snd_hwdep_dsp_status_get_id_INDEXED INDEXED_const_char___GENPT___const_snd_hwdep_dsp_status_t___GENPT__
#define snd_hwdep_dsp_status_get_id_FORMAT FORMAT_const_char___GENPT___const_snd_hwdep_dsp_status_t___GENPT__
#define snd_hwdep_dsp_status_get_num_dsps_INDEX 868
#define snd_hwdep_dsp_status_get_num_dsps_RETURN unsigned int
#define snd_hwdep_dsp_status_get_num_dsps_ARG_NAMES obj
#define snd_hwdep_dsp_status_get_num_dsps_ARG_EXPAND const snd_hwdep_dsp_status_t * obj
#define snd_hwdep_dsp_status_get_num_dsps_PACKED PACKED_unsigned_int_const_snd_hwdep_dsp_status_t___GENPT__
#define snd_hwdep_dsp_status_get_num_dsps_INDEXED INDEXED_unsigned_int_const_snd_hwdep_dsp_status_t___GENPT__
#define snd_hwdep_dsp_status_get_num_dsps_FORMAT FORMAT_unsigned_int_const_snd_hwdep_dsp_status_t___GENPT__
#define snd_hwdep_dsp_status_get_version_INDEX 869
#define snd_hwdep_dsp_status_get_version_RETURN unsigned int
#define snd_hwdep_dsp_status_get_version_ARG_NAMES obj
#define snd_hwdep_dsp_status_get_version_ARG_EXPAND const snd_hwdep_dsp_status_t * obj
#define snd_hwdep_dsp_status_get_version_PACKED PACKED_unsigned_int_const_snd_hwdep_dsp_status_t___GENPT__
#define snd_hwdep_dsp_status_get_version_INDEXED INDEXED_unsigned_int_const_snd_hwdep_dsp_status_t___GENPT__
#define snd_hwdep_dsp_status_get_version_FORMAT FORMAT_unsigned_int_const_snd_hwdep_dsp_status_t___GENPT__
#define snd_hwdep_dsp_status_malloc_INDEX 870
#define snd_hwdep_dsp_status_malloc_RETURN int
#define snd_hwdep_dsp_status_malloc_ARG_NAMES ptr
#define snd_hwdep_dsp_status_malloc_ARG_EXPAND snd_hwdep_dsp_status_t ** ptr
#define snd_hwdep_dsp_status_malloc_PACKED PACKED_int_snd_hwdep_dsp_status_t___GENPT____GENPT__
#define snd_hwdep_dsp_status_malloc_INDEXED INDEXED_int_snd_hwdep_dsp_status_t___GENPT____GENPT__
#define snd_hwdep_dsp_status_malloc_FORMAT FORMAT_int_snd_hwdep_dsp_status_t___GENPT____GENPT__
#define snd_hwdep_dsp_status_sizeof_INDEX 871
#define snd_hwdep_dsp_status_sizeof_RETURN size_t
#define snd_hwdep_dsp_status_sizeof_ARG_NAMES 
#define snd_hwdep_dsp_status_sizeof_ARG_EXPAND 
#define snd_hwdep_dsp_status_sizeof_PACKED PACKED_size_t
#define snd_hwdep_dsp_status_sizeof_INDEXED INDEXED_size_t
#define snd_hwdep_dsp_status_sizeof_FORMAT FORMAT_size_t
#define snd_hwdep_info_INDEX 872
#define snd_hwdep_info_RETURN int
#define snd_hwdep_info_ARG_NAMES hwdep, info
#define snd_hwdep_info_ARG_EXPAND snd_hwdep_t * hwdep, snd_hwdep_info_t * info
#define snd_hwdep_info_PACKED PACKED_int_snd_hwdep_t___GENPT___snd_hwdep_info_t___GENPT__
#define snd_hwdep_info_INDEXED INDEXED_int_snd_hwdep_t___GENPT___snd_hwdep_info_t___GENPT__
#define snd_hwdep_info_FORMAT FORMAT_int_snd_hwdep_t___GENPT___snd_hwdep_info_t___GENPT__
#define snd_hwdep_info_sizeof_INDEX 873
#define snd_hwdep_info_sizeof_RETURN size_t
#define snd_hwdep_info_sizeof_ARG_NAMES 
#define snd_hwdep_info_sizeof_ARG_EXPAND 
#define snd_hwdep_info_sizeof_PACKED PACKED_size_t
#define snd_hwdep_info_sizeof_INDEXED INDEXED_size_t
#define snd_hwdep_info_sizeof_FORMAT FORMAT_size_t
#define snd_hwdep_ioctl_INDEX 874
#define snd_hwdep_ioctl_RETURN int
#define snd_hwdep_ioctl_ARG_NAMES hwdep, request, arg
#define snd_hwdep_ioctl_ARG_EXPAND snd_hwdep_t * hwdep, unsigned int request, void * arg
#define snd_hwdep_ioctl_PACKED PACKED_int_snd_hwdep_t___GENPT___unsigned_int_void___GENPT__
#define snd_hwdep_ioctl_INDEXED INDEXED_int_snd_hwdep_t___GENPT___unsigned_int_void___GENPT__
#define snd_hwdep_ioctl_FORMAT FORMAT_int_snd_hwdep_t___GENPT___unsigned_int_void___GENPT__
#define snd_hwdep_nonblock_INDEX 875
#define snd_hwdep_nonblock_RETURN int
#define snd_hwdep_nonblock_ARG_NAMES hwdep, nonblock
#define snd_hwdep_nonblock_ARG_EXPAND snd_hwdep_t * hwdep, int nonblock
#define snd_hwdep_nonblock_PACKED PACKED_int_snd_hwdep_t___GENPT___int
#define snd_hwdep_nonblock_INDEXED INDEXED_int_snd_hwdep_t___GENPT___int
#define snd_hwdep_nonblock_FORMAT FORMAT_int_snd_hwdep_t___GENPT___int
#define snd_hwdep_open_INDEX 876
#define snd_hwdep_open_RETURN int
#define snd_hwdep_open_ARG_NAMES hwdep, name, mode
#define snd_hwdep_open_ARG_EXPAND snd_hwdep_t ** hwdep, const char * name, int mode
#define snd_hwdep_open_PACKED PACKED_int_snd_hwdep_t___GENPT____GENPT___const_char___GENPT___int
#define snd_hwdep_open_INDEXED INDEXED_int_snd_hwdep_t___GENPT____GENPT___const_char___GENPT___int
#define snd_hwdep_open_FORMAT FORMAT_int_snd_hwdep_t___GENPT____GENPT___const_char___GENPT___int
#define snd_hwdep_poll_descriptors_INDEX 877
#define snd_hwdep_poll_descriptors_RETURN int
#define snd_hwdep_poll_descriptors_ARG_NAMES hwdep, pfds, space
#define snd_hwdep_poll_descriptors_ARG_EXPAND snd_hwdep_t * hwdep, struct pollfd * pfds, unsigned int space
#define snd_hwdep_poll_descriptors_PACKED PACKED_int_snd_hwdep_t___GENPT___struct_pollfd___GENPT___unsigned_int
#define snd_hwdep_poll_descriptors_INDEXED INDEXED_int_snd_hwdep_t___GENPT___struct_pollfd___GENPT___unsigned_int
#define snd_hwdep_poll_descriptors_FORMAT FORMAT_int_snd_hwdep_t___GENPT___struct_pollfd___GENPT___unsigned_int
#define snd_hwdep_poll_descriptors_revents_INDEX 878
#define snd_hwdep_poll_descriptors_revents_RETURN int
#define snd_hwdep_poll_descriptors_revents_ARG_NAMES hwdep, pfds, nfds, revents
#define snd_hwdep_poll_descriptors_revents_ARG_EXPAND snd_hwdep_t * hwdep, struct pollfd * pfds, unsigned int nfds, unsigned short * revents
#define snd_hwdep_poll_descriptors_revents_PACKED PACKED_int_snd_hwdep_t___GENPT___struct_pollfd___GENPT___unsigned_int_unsigned_short___GENPT__
#define snd_hwdep_poll_descriptors_revents_INDEXED INDEXED_int_snd_hwdep_t___GENPT___struct_pollfd___GENPT___unsigned_int_unsigned_short___GENPT__
#define snd_hwdep_poll_descriptors_revents_FORMAT FORMAT_int_snd_hwdep_t___GENPT___struct_pollfd___GENPT___unsigned_int_unsigned_short___GENPT__
#define snd_hwdep_read_INDEX 879
#define snd_hwdep_read_RETURN ssize_t
#define snd_hwdep_read_ARG_NAMES hwdep, buffer, size
#define snd_hwdep_read_ARG_EXPAND snd_hwdep_t * hwdep, void * buffer, size_t size
#define snd_hwdep_read_PACKED PACKED_ssize_t_snd_hwdep_t___GENPT___void___GENPT___size_t
#define snd_hwdep_read_INDEXED INDEXED_ssize_t_snd_hwdep_t___GENPT___void___GENPT___size_t
#define snd_hwdep_read_FORMAT FORMAT_ssize_t_snd_hwdep_t___GENPT___void___GENPT___size_t
#define snd_hwdep_write_INDEX 880
#define snd_hwdep_write_RETURN ssize_t
#define snd_hwdep_write_ARG_NAMES hwdep, buffer, size
#define snd_hwdep_write_ARG_EXPAND snd_hwdep_t * hwdep, const void * buffer, size_t size
#define snd_hwdep_write_PACKED PACKED_ssize_t_snd_hwdep_t___GENPT___const_void___GENPT___size_t
#define snd_hwdep_write_INDEXED INDEXED_ssize_t_snd_hwdep_t___GENPT___const_void___GENPT___size_t
#define snd_hwdep_write_FORMAT FORMAT_ssize_t_snd_hwdep_t___GENPT___const_void___GENPT___size_t
#define snd_input_buffer_open_INDEX 881
#define snd_input_buffer_open_RETURN int
#define snd_input_buffer_open_ARG_NAMES inputp, buffer, size
#define snd_input_buffer_open_ARG_EXPAND snd_input_t ** inputp, const char * buffer, ssize_t size
#define snd_input_buffer_open_PACKED PACKED_int_snd_input_t___GENPT____GENPT___const_char___GENPT___ssize_t
#define snd_input_buffer_open_INDEXED INDEXED_int_snd_input_t___GENPT____GENPT___const_char___GENPT___ssize_t
#define snd_input_buffer_open_FORMAT FORMAT_int_snd_input_t___GENPT____GENPT___const_char___GENPT___ssize_t
#define snd_input_close_INDEX 882
#define snd_input_close_RETURN int
#define snd_input_close_ARG_NAMES input
#define snd_input_close_ARG_EXPAND snd_input_t * input
#define snd_input_close_PACKED PACKED_int_snd_input_t___GENPT__
#define snd_input_close_INDEXED INDEXED_int_snd_input_t___GENPT__
#define snd_input_close_FORMAT FORMAT_int_snd_input_t___GENPT__
#define snd_input_getc_INDEX 883
#define snd_input_getc_RETURN int
#define snd_input_getc_ARG_NAMES input
#define snd_input_getc_ARG_EXPAND snd_input_t * input
#define snd_input_getc_PACKED PACKED_int_snd_input_t___GENPT__
#define snd_input_getc_INDEXED INDEXED_int_snd_input_t___GENPT__
#define snd_input_getc_FORMAT FORMAT_int_snd_input_t___GENPT__
#define snd_input_gets_INDEX 884
#define snd_input_gets_RETURN char *
#define snd_input_gets_ARG_NAMES input, str, size
#define snd_input_gets_ARG_EXPAND snd_input_t * input, char * str, size_t size
#define snd_input_gets_PACKED PACKED_char___GENPT___snd_input_t___GENPT___char___GENPT___size_t
#define snd_input_gets_INDEXED INDEXED_char___GENPT___snd_input_t___GENPT___char___GENPT___size_t
#define snd_input_gets_FORMAT FORMAT_char___GENPT___snd_input_t___GENPT___char___GENPT___size_t
#define snd_input_stdio_attach_INDEX 885
#define snd_input_stdio_attach_RETURN int
#define snd_input_stdio_attach_ARG_NAMES inputp, fp, _close
#define snd_input_stdio_attach_ARG_EXPAND snd_input_t ** inputp, FILE * fp, int _close
#define snd_input_stdio_attach_PACKED PACKED_int_snd_input_t___GENPT____GENPT___FILE___GENPT___int
#define snd_input_stdio_attach_INDEXED INDEXED_int_snd_input_t___GENPT____GENPT___FILE___GENPT___int
#define snd_input_stdio_attach_FORMAT FORMAT_int_snd_input_t___GENPT____GENPT___FILE___GENPT___int
#define snd_input_stdio_open_INDEX 886
#define snd_input_stdio_open_RETURN int
#define snd_input_stdio_open_ARG_NAMES inputp, file, mode
#define snd_input_stdio_open_ARG_EXPAND snd_input_t ** inputp, const char * file, const char * mode
#define snd_input_stdio_open_PACKED PACKED_int_snd_input_t___GENPT____GENPT___const_char___GENPT___const_char___GENPT__
#define snd_input_stdio_open_INDEXED INDEXED_int_snd_input_t___GENPT____GENPT___const_char___GENPT___const_char___GENPT__
#define snd_input_stdio_open_FORMAT FORMAT_int_snd_input_t___GENPT____GENPT___const_char___GENPT___const_char___GENPT__
#define snd_input_ungetc_INDEX 887
#define snd_input_ungetc_RETURN int
#define snd_input_ungetc_ARG_NAMES input, c
#define snd_input_ungetc_ARG_EXPAND snd_input_t * input, int c
#define snd_input_ungetc_PACKED PACKED_int_snd_input_t___GENPT___int
#define snd_input_ungetc_INDEXED INDEXED_int_snd_input_t___GENPT___int
#define snd_input_ungetc_FORMAT FORMAT_int_snd_input_t___GENPT___int
#define snd_lib_error_set_handler_INDEX 888
#define snd_lib_error_set_handler_RETURN int
#define snd_lib_error_set_handler_ARG_NAMES handler
#define snd_lib_error_set_handler_ARG_EXPAND snd_lib_error_handler_t handler
#define snd_lib_error_set_handler_PACKED PACKED_int_snd_lib_error_handler_t
#define snd_lib_error_set_handler_INDEXED INDEXED_int_snd_lib_error_handler_t
#define snd_lib_error_set_handler_FORMAT FORMAT_int_snd_lib_error_handler_t
#define snd_midi_event_decode_INDEX 889
#define snd_midi_event_decode_RETURN long
#define snd_midi_event_decode_ARG_NAMES dev, buf, count, ev
#define snd_midi_event_decode_ARG_EXPAND snd_midi_event_t * dev, unsigned char * buf, long count, const snd_seq_event_t * ev
#define snd_midi_event_decode_PACKED PACKED_long_snd_midi_event_t___GENPT___unsigned_char___GENPT___long_const_snd_seq_event_t___GENPT__
#define snd_midi_event_decode_INDEXED INDEXED_long_snd_midi_event_t___GENPT___unsigned_char___GENPT___long_const_snd_seq_event_t___GENPT__
#define snd_midi_event_decode_FORMAT FORMAT_long_snd_midi_event_t___GENPT___unsigned_char___GENPT___long_const_snd_seq_event_t___GENPT__
#define snd_midi_event_encode_INDEX 890
#define snd_midi_event_encode_RETURN long
#define snd_midi_event_encode_ARG_NAMES dev, buf, count, ev
#define snd_midi_event_encode_ARG_EXPAND snd_midi_event_t * dev, const unsigned char * buf, long count, snd_seq_event_t * ev
#define snd_midi_event_encode_PACKED PACKED_long_snd_midi_event_t___GENPT___const_unsigned_char___GENPT___long_snd_seq_event_t___GENPT__
#define snd_midi_event_encode_INDEXED INDEXED_long_snd_midi_event_t___GENPT___const_unsigned_char___GENPT___long_snd_seq_event_t___GENPT__
#define snd_midi_event_encode_FORMAT FORMAT_long_snd_midi_event_t___GENPT___const_unsigned_char___GENPT___long_snd_seq_event_t___GENPT__
#define snd_midi_event_encode_byte_INDEX 891
#define snd_midi_event_encode_byte_RETURN int
#define snd_midi_event_encode_byte_ARG_NAMES dev, c, ev
#define snd_midi_event_encode_byte_ARG_EXPAND snd_midi_event_t * dev, int c, snd_seq_event_t * ev
#define snd_midi_event_encode_byte_PACKED PACKED_int_snd_midi_event_t___GENPT___int_snd_seq_event_t___GENPT__
#define snd_midi_event_encode_byte_INDEXED INDEXED_int_snd_midi_event_t___GENPT___int_snd_seq_event_t___GENPT__
#define snd_midi_event_encode_byte_FORMAT FORMAT_int_snd_midi_event_t___GENPT___int_snd_seq_event_t___GENPT__
#define snd_midi_event_free_INDEX 892
#define snd_midi_event_free_RETURN void
#define snd_midi_event_free_ARG_NAMES dev
#define snd_midi_event_free_ARG_EXPAND snd_midi_event_t * dev
#define snd_midi_event_free_PACKED PACKED_void_snd_midi_event_t___GENPT__
#define snd_midi_event_free_INDEXED INDEXED_void_snd_midi_event_t___GENPT__
#define snd_midi_event_free_FORMAT FORMAT_void_snd_midi_event_t___GENPT__
#define snd_midi_event_init_INDEX 893
#define snd_midi_event_init_RETURN void
#define snd_midi_event_init_ARG_NAMES dev
#define snd_midi_event_init_ARG_EXPAND snd_midi_event_t * dev
#define snd_midi_event_init_PACKED PACKED_void_snd_midi_event_t___GENPT__
#define snd_midi_event_init_INDEXED INDEXED_void_snd_midi_event_t___GENPT__
#define snd_midi_event_init_FORMAT FORMAT_void_snd_midi_event_t___GENPT__
#define snd_midi_event_new_INDEX 894
#define snd_midi_event_new_RETURN int
#define snd_midi_event_new_ARG_NAMES bufsize, rdev
#define snd_midi_event_new_ARG_EXPAND size_t bufsize, snd_midi_event_t ** rdev
#define snd_midi_event_new_PACKED PACKED_int_size_t_snd_midi_event_t___GENPT____GENPT__
#define snd_midi_event_new_INDEXED INDEXED_int_size_t_snd_midi_event_t___GENPT____GENPT__
#define snd_midi_event_new_FORMAT FORMAT_int_size_t_snd_midi_event_t___GENPT____GENPT__
#define snd_midi_event_no_status_INDEX 895
#define snd_midi_event_no_status_RETURN void
#define snd_midi_event_no_status_ARG_NAMES dev, on
#define snd_midi_event_no_status_ARG_EXPAND snd_midi_event_t * dev, int on
#define snd_midi_event_no_status_PACKED PACKED_void_snd_midi_event_t___GENPT___int
#define snd_midi_event_no_status_INDEXED INDEXED_void_snd_midi_event_t___GENPT___int
#define snd_midi_event_no_status_FORMAT FORMAT_void_snd_midi_event_t___GENPT___int
#define snd_midi_event_reset_decode_INDEX 896
#define snd_midi_event_reset_decode_RETURN void
#define snd_midi_event_reset_decode_ARG_NAMES dev
#define snd_midi_event_reset_decode_ARG_EXPAND snd_midi_event_t * dev
#define snd_midi_event_reset_decode_PACKED PACKED_void_snd_midi_event_t___GENPT__
#define snd_midi_event_reset_decode_INDEXED INDEXED_void_snd_midi_event_t___GENPT__
#define snd_midi_event_reset_decode_FORMAT FORMAT_void_snd_midi_event_t___GENPT__
#define snd_midi_event_reset_encode_INDEX 897
#define snd_midi_event_reset_encode_RETURN void
#define snd_midi_event_reset_encode_ARG_NAMES dev
#define snd_midi_event_reset_encode_ARG_EXPAND snd_midi_event_t * dev
#define snd_midi_event_reset_encode_PACKED PACKED_void_snd_midi_event_t___GENPT__
#define snd_midi_event_reset_encode_INDEXED INDEXED_void_snd_midi_event_t___GENPT__
#define snd_midi_event_reset_encode_FORMAT FORMAT_void_snd_midi_event_t___GENPT__
#define snd_midi_event_resize_buffer_INDEX 898
#define snd_midi_event_resize_buffer_RETURN int
#define snd_midi_event_resize_buffer_ARG_NAMES dev, bufsize
#define snd_midi_event_resize_buffer_ARG_EXPAND snd_midi_event_t * dev, size_t bufsize
#define snd_midi_event_resize_buffer_PACKED PACKED_int_snd_midi_event_t___GENPT___size_t
#define snd_midi_event_resize_buffer_INDEXED INDEXED_int_snd_midi_event_t___GENPT___size_t
#define snd_midi_event_resize_buffer_FORMAT FORMAT_int_snd_midi_event_t___GENPT___size_t
#define snd_mixer_attach_INDEX 899
#define snd_mixer_attach_RETURN int
#define snd_mixer_attach_ARG_NAMES mixer, name
#define snd_mixer_attach_ARG_EXPAND snd_mixer_t * mixer, const char * name
#define snd_mixer_attach_PACKED PACKED_int_snd_mixer_t___GENPT___const_char___GENPT__
#define snd_mixer_attach_INDEXED INDEXED_int_snd_mixer_t___GENPT___const_char___GENPT__
#define snd_mixer_attach_FORMAT FORMAT_int_snd_mixer_t___GENPT___const_char___GENPT__
#define snd_mixer_attach_hctl_INDEX 900
#define snd_mixer_attach_hctl_RETURN int
#define snd_mixer_attach_hctl_ARG_NAMES mixer, hctl
#define snd_mixer_attach_hctl_ARG_EXPAND snd_mixer_t * mixer, snd_hctl_t * hctl
#define snd_mixer_attach_hctl_PACKED PACKED_int_snd_mixer_t___GENPT___snd_hctl_t___GENPT__
#define snd_mixer_attach_hctl_INDEXED INDEXED_int_snd_mixer_t___GENPT___snd_hctl_t___GENPT__
#define snd_mixer_attach_hctl_FORMAT FORMAT_int_snd_mixer_t___GENPT___snd_hctl_t___GENPT__
#define snd_mixer_class_copy_INDEX 901
#define snd_mixer_class_copy_RETURN void
#define snd_mixer_class_copy_ARG_NAMES dst, src
#define snd_mixer_class_copy_ARG_EXPAND snd_mixer_class_t * dst, const snd_mixer_class_t * src
#define snd_mixer_class_copy_PACKED PACKED_void_snd_mixer_class_t___GENPT___const_snd_mixer_class_t___GENPT__
#define snd_mixer_class_copy_INDEXED INDEXED_void_snd_mixer_class_t___GENPT___const_snd_mixer_class_t___GENPT__
#define snd_mixer_class_copy_FORMAT FORMAT_void_snd_mixer_class_t___GENPT___const_snd_mixer_class_t___GENPT__
#define snd_mixer_class_free_INDEX 902
#define snd_mixer_class_free_RETURN void
#define snd_mixer_class_free_ARG_NAMES obj
#define snd_mixer_class_free_ARG_EXPAND snd_mixer_class_t * obj
#define snd_mixer_class_free_PACKED PACKED_void_snd_mixer_class_t___GENPT__
#define snd_mixer_class_free_INDEXED INDEXED_void_snd_mixer_class_t___GENPT__
#define snd_mixer_class_free_FORMAT FORMAT_void_snd_mixer_class_t___GENPT__
#define snd_mixer_class_get_compare_INDEX 903
#define snd_mixer_class_get_compare_RETURN snd_mixer_compare_t
#define snd_mixer_class_get_compare_ARG_NAMES class_
#define snd_mixer_class_get_compare_ARG_EXPAND const snd_mixer_class_t * class_
#define snd_mixer_class_get_compare_PACKED PACKED_snd_mixer_compare_t_const_snd_mixer_class_t___GENPT__
#define snd_mixer_class_get_compare_INDEXED INDEXED_snd_mixer_compare_t_const_snd_mixer_class_t___GENPT__
#define snd_mixer_class_get_compare_FORMAT FORMAT_snd_mixer_compare_t_const_snd_mixer_class_t___GENPT__
#define snd_mixer_class_get_event_INDEX 904
#define snd_mixer_class_get_event_RETURN snd_mixer_event_t
#define snd_mixer_class_get_event_ARG_NAMES class_
#define snd_mixer_class_get_event_ARG_EXPAND const snd_mixer_class_t * class_
#define snd_mixer_class_get_event_PACKED PACKED_snd_mixer_event_t_const_snd_mixer_class_t___GENPT__
#define snd_mixer_class_get_event_INDEXED INDEXED_snd_mixer_event_t_const_snd_mixer_class_t___GENPT__
#define snd_mixer_class_get_event_FORMAT FORMAT_snd_mixer_event_t_const_snd_mixer_class_t___GENPT__
#define snd_mixer_class_get_mixer_INDEX 905
#define snd_mixer_class_get_mixer_RETURN snd_mixer_t *
#define snd_mixer_class_get_mixer_ARG_NAMES class_
#define snd_mixer_class_get_mixer_ARG_EXPAND const snd_mixer_class_t * class_
#define snd_mixer_class_get_mixer_PACKED PACKED_snd_mixer_t___GENPT___const_snd_mixer_class_t___GENPT__
#define snd_mixer_class_get_mixer_INDEXED INDEXED_snd_mixer_t___GENPT___const_snd_mixer_class_t___GENPT__
#define snd_mixer_class_get_mixer_FORMAT FORMAT_snd_mixer_t___GENPT___const_snd_mixer_class_t___GENPT__
#define snd_mixer_class_get_private_INDEX 906
#define snd_mixer_class_get_private_RETURN void *
#define snd_mixer_class_get_private_ARG_NAMES class_
#define snd_mixer_class_get_private_ARG_EXPAND const snd_mixer_class_t * class_
#define snd_mixer_class_get_private_PACKED PACKED_void___GENPT___const_snd_mixer_class_t___GENPT__
#define snd_mixer_class_get_private_INDEXED INDEXED_void___GENPT___const_snd_mixer_class_t___GENPT__
#define snd_mixer_class_get_private_FORMAT FORMAT_void___GENPT___const_snd_mixer_class_t___GENPT__
#define snd_mixer_class_malloc_INDEX 907
#define snd_mixer_class_malloc_RETURN int
#define snd_mixer_class_malloc_ARG_NAMES ptr
#define snd_mixer_class_malloc_ARG_EXPAND snd_mixer_class_t ** ptr
#define snd_mixer_class_malloc_PACKED PACKED_int_snd_mixer_class_t___GENPT____GENPT__
#define snd_mixer_class_malloc_INDEXED INDEXED_int_snd_mixer_class_t___GENPT____GENPT__
#define snd_mixer_class_malloc_FORMAT FORMAT_int_snd_mixer_class_t___GENPT____GENPT__
#define snd_mixer_class_register_INDEX 908
#define snd_mixer_class_register_RETURN int
#define snd_mixer_class_register_ARG_NAMES class_, mixer
#define snd_mixer_class_register_ARG_EXPAND snd_mixer_class_t * class_, snd_mixer_t * mixer
#define snd_mixer_class_register_PACKED PACKED_int_snd_mixer_class_t___GENPT___snd_mixer_t___GENPT__
#define snd_mixer_class_register_INDEXED INDEXED_int_snd_mixer_class_t___GENPT___snd_mixer_t___GENPT__
#define snd_mixer_class_register_FORMAT FORMAT_int_snd_mixer_class_t___GENPT___snd_mixer_t___GENPT__
#define snd_mixer_class_set_compare_INDEX 909
#define snd_mixer_class_set_compare_RETURN int
#define snd_mixer_class_set_compare_ARG_NAMES class_, compare
#define snd_mixer_class_set_compare_ARG_EXPAND snd_mixer_class_t * class_, snd_mixer_compare_t compare
#define snd_mixer_class_set_compare_PACKED PACKED_int_snd_mixer_class_t___GENPT___snd_mixer_compare_t
#define snd_mixer_class_set_compare_INDEXED INDEXED_int_snd_mixer_class_t___GENPT___snd_mixer_compare_t
#define snd_mixer_class_set_compare_FORMAT FORMAT_int_snd_mixer_class_t___GENPT___snd_mixer_compare_t
#define snd_mixer_class_set_event_INDEX 910
#define snd_mixer_class_set_event_RETURN int
#define snd_mixer_class_set_event_ARG_NAMES class_, event
#define snd_mixer_class_set_event_ARG_EXPAND snd_mixer_class_t * class_, snd_mixer_event_t event
#define snd_mixer_class_set_event_PACKED PACKED_int_snd_mixer_class_t___GENPT___snd_mixer_event_t
#define snd_mixer_class_set_event_INDEXED INDEXED_int_snd_mixer_class_t___GENPT___snd_mixer_event_t
#define snd_mixer_class_set_event_FORMAT FORMAT_int_snd_mixer_class_t___GENPT___snd_mixer_event_t
#define snd_mixer_class_set_private_INDEX 911
#define snd_mixer_class_set_private_RETURN int
#define snd_mixer_class_set_private_ARG_NAMES class_, private_data
#define snd_mixer_class_set_private_ARG_EXPAND snd_mixer_class_t * class_, void * private_data
#define snd_mixer_class_set_private_PACKED PACKED_int_snd_mixer_class_t___GENPT___void___GENPT__
#define snd_mixer_class_set_private_INDEXED INDEXED_int_snd_mixer_class_t___GENPT___void___GENPT__
#define snd_mixer_class_set_private_FORMAT FORMAT_int_snd_mixer_class_t___GENPT___void___GENPT__
#define snd_mixer_class_sizeof_INDEX 912
#define snd_mixer_class_sizeof_RETURN size_t
#define snd_mixer_class_sizeof_ARG_NAMES 
#define snd_mixer_class_sizeof_ARG_EXPAND 
#define snd_mixer_class_sizeof_PACKED PACKED_size_t
#define snd_mixer_class_sizeof_INDEXED INDEXED_size_t
#define snd_mixer_class_sizeof_FORMAT FORMAT_size_t
#define snd_mixer_class_unregister_INDEX 913
#define snd_mixer_class_unregister_RETURN int
#define snd_mixer_class_unregister_ARG_NAMES clss
#define snd_mixer_class_unregister_ARG_EXPAND snd_mixer_class_t * clss
#define snd_mixer_class_unregister_PACKED PACKED_int_snd_mixer_class_t___GENPT__
#define snd_mixer_class_unregister_INDEXED INDEXED_int_snd_mixer_class_t___GENPT__
#define snd_mixer_class_unregister_FORMAT FORMAT_int_snd_mixer_class_t___GENPT__
#define snd_mixer_close_INDEX 914
#define snd_mixer_close_RETURN int
#define snd_mixer_close_ARG_NAMES mixer
#define snd_mixer_close_ARG_EXPAND snd_mixer_t * mixer
#define snd_mixer_close_PACKED PACKED_int_snd_mixer_t___GENPT__
#define snd_mixer_close_INDEXED INDEXED_int_snd_mixer_t___GENPT__
#define snd_mixer_close_FORMAT FORMAT_int_snd_mixer_t___GENPT__
#define snd_mixer_detach_INDEX 915
#define snd_mixer_detach_RETURN int
#define snd_mixer_detach_ARG_NAMES mixer, name
#define snd_mixer_detach_ARG_EXPAND snd_mixer_t * mixer, const char * name
#define snd_mixer_detach_PACKED PACKED_int_snd_mixer_t___GENPT___const_char___GENPT__
#define snd_mixer_detach_INDEXED INDEXED_int_snd_mixer_t___GENPT___const_char___GENPT__
#define snd_mixer_detach_FORMAT FORMAT_int_snd_mixer_t___GENPT___const_char___GENPT__
#define snd_mixer_detach_hctl_INDEX 916
#define snd_mixer_detach_hctl_RETURN int
#define snd_mixer_detach_hctl_ARG_NAMES mixer, hctl
#define snd_mixer_detach_hctl_ARG_EXPAND snd_mixer_t * mixer, snd_hctl_t * hctl
#define snd_mixer_detach_hctl_PACKED PACKED_int_snd_mixer_t___GENPT___snd_hctl_t___GENPT__
#define snd_mixer_detach_hctl_INDEXED INDEXED_int_snd_mixer_t___GENPT___snd_hctl_t___GENPT__
#define snd_mixer_detach_hctl_FORMAT FORMAT_int_snd_mixer_t___GENPT___snd_hctl_t___GENPT__
#define snd_mixer_elem_add_INDEX 917
#define snd_mixer_elem_add_RETURN int
#define snd_mixer_elem_add_ARG_NAMES elem, class_
#define snd_mixer_elem_add_ARG_EXPAND snd_mixer_elem_t * elem, snd_mixer_class_t * class_
#define snd_mixer_elem_add_PACKED PACKED_int_snd_mixer_elem_t___GENPT___snd_mixer_class_t___GENPT__
#define snd_mixer_elem_add_INDEXED INDEXED_int_snd_mixer_elem_t___GENPT___snd_mixer_class_t___GENPT__
#define snd_mixer_elem_add_FORMAT FORMAT_int_snd_mixer_elem_t___GENPT___snd_mixer_class_t___GENPT__
#define snd_mixer_elem_attach_INDEX 918
#define snd_mixer_elem_attach_RETURN int
#define snd_mixer_elem_attach_ARG_NAMES melem, helem
#define snd_mixer_elem_attach_ARG_EXPAND snd_mixer_elem_t * melem, snd_hctl_elem_t * helem
#define snd_mixer_elem_attach_PACKED PACKED_int_snd_mixer_elem_t___GENPT___snd_hctl_elem_t___GENPT__
#define snd_mixer_elem_attach_INDEXED INDEXED_int_snd_mixer_elem_t___GENPT___snd_hctl_elem_t___GENPT__
#define snd_mixer_elem_attach_FORMAT FORMAT_int_snd_mixer_elem_t___GENPT___snd_hctl_elem_t___GENPT__
#define snd_mixer_elem_detach_INDEX 919
#define snd_mixer_elem_detach_RETURN int
#define snd_mixer_elem_detach_ARG_NAMES melem, helem
#define snd_mixer_elem_detach_ARG_EXPAND snd_mixer_elem_t * melem, snd_hctl_elem_t * helem
#define snd_mixer_elem_detach_PACKED PACKED_int_snd_mixer_elem_t___GENPT___snd_hctl_elem_t___GENPT__
#define snd_mixer_elem_detach_INDEXED INDEXED_int_snd_mixer_elem_t___GENPT___snd_hctl_elem_t___GENPT__
#define snd_mixer_elem_detach_FORMAT FORMAT_int_snd_mixer_elem_t___GENPT___snd_hctl_elem_t___GENPT__
#define snd_mixer_elem_empty_INDEX 920
#define snd_mixer_elem_empty_RETURN int
#define snd_mixer_elem_empty_ARG_NAMES melem
#define snd_mixer_elem_empty_ARG_EXPAND snd_mixer_elem_t * melem
#define snd_mixer_elem_empty_PACKED PACKED_int_snd_mixer_elem_t___GENPT__
#define snd_mixer_elem_empty_INDEXED INDEXED_int_snd_mixer_elem_t___GENPT__
#define snd_mixer_elem_empty_FORMAT FORMAT_int_snd_mixer_elem_t___GENPT__
#define snd_mixer_elem_free_INDEX 921
#define snd_mixer_elem_free_RETURN void
#define snd_mixer_elem_free_ARG_NAMES elem
#define snd_mixer_elem_free_ARG_EXPAND snd_mixer_elem_t * elem
#define snd_mixer_elem_free_PACKED PACKED_void_snd_mixer_elem_t___GENPT__
#define snd_mixer_elem_free_INDEXED INDEXED_void_snd_mixer_elem_t___GENPT__
#define snd_mixer_elem_free_FORMAT FORMAT_void_snd_mixer_elem_t___GENPT__
#define snd_mixer_elem_get_callback_private_INDEX 922
#define snd_mixer_elem_get_callback_private_RETURN void *
#define snd_mixer_elem_get_callback_private_ARG_NAMES obj
#define snd_mixer_elem_get_callback_private_ARG_EXPAND const snd_mixer_elem_t * obj
#define snd_mixer_elem_get_callback_private_PACKED PACKED_void___GENPT___const_snd_mixer_elem_t___GENPT__
#define snd_mixer_elem_get_callback_private_INDEXED INDEXED_void___GENPT___const_snd_mixer_elem_t___GENPT__
#define snd_mixer_elem_get_callback_private_FORMAT FORMAT_void___GENPT___const_snd_mixer_elem_t___GENPT__
#define snd_mixer_elem_get_private_INDEX 923
#define snd_mixer_elem_get_private_RETURN void *
#define snd_mixer_elem_get_private_ARG_NAMES melem
#define snd_mixer_elem_get_private_ARG_EXPAND const snd_mixer_elem_t * melem
#define snd_mixer_elem_get_private_PACKED PACKED_void___GENPT___const_snd_mixer_elem_t___GENPT__
#define snd_mixer_elem_get_private_INDEXED INDEXED_void___GENPT___const_snd_mixer_elem_t___GENPT__
#define snd_mixer_elem_get_private_FORMAT FORMAT_void___GENPT___const_snd_mixer_elem_t___GENPT__
#define snd_mixer_elem_get_type_INDEX 924
#define snd_mixer_elem_get_type_RETURN snd_mixer_elem_type_t
#define snd_mixer_elem_get_type_ARG_NAMES obj
#define snd_mixer_elem_get_type_ARG_EXPAND const snd_mixer_elem_t * obj
#define snd_mixer_elem_get_type_PACKED PACKED_snd_mixer_elem_type_t_const_snd_mixer_elem_t___GENPT__
#define snd_mixer_elem_get_type_INDEXED INDEXED_snd_mixer_elem_type_t_const_snd_mixer_elem_t___GENPT__
#define snd_mixer_elem_get_type_FORMAT FORMAT_snd_mixer_elem_type_t_const_snd_mixer_elem_t___GENPT__
#define snd_mixer_elem_info_INDEX 925
#define snd_mixer_elem_info_RETURN int
#define snd_mixer_elem_info_ARG_NAMES elem
#define snd_mixer_elem_info_ARG_EXPAND snd_mixer_elem_t * elem
#define snd_mixer_elem_info_PACKED PACKED_int_snd_mixer_elem_t___GENPT__
#define snd_mixer_elem_info_INDEXED INDEXED_int_snd_mixer_elem_t___GENPT__
#define snd_mixer_elem_info_FORMAT FORMAT_int_snd_mixer_elem_t___GENPT__
#define snd_mixer_elem_next_INDEX 926
#define snd_mixer_elem_next_RETURN snd_mixer_elem_t *
#define snd_mixer_elem_next_ARG_NAMES elem
#define snd_mixer_elem_next_ARG_EXPAND snd_mixer_elem_t * elem
#define snd_mixer_elem_next_PACKED PACKED_snd_mixer_elem_t___GENPT___snd_mixer_elem_t___GENPT__
#define snd_mixer_elem_next_INDEXED INDEXED_snd_mixer_elem_t___GENPT___snd_mixer_elem_t___GENPT__
#define snd_mixer_elem_next_FORMAT FORMAT_snd_mixer_elem_t___GENPT___snd_mixer_elem_t___GENPT__
#define snd_mixer_elem_prev_INDEX 927
#define snd_mixer_elem_prev_RETURN snd_mixer_elem_t *
#define snd_mixer_elem_prev_ARG_NAMES elem
#define snd_mixer_elem_prev_ARG_EXPAND snd_mixer_elem_t * elem
#define snd_mixer_elem_prev_PACKED PACKED_snd_mixer_elem_t___GENPT___snd_mixer_elem_t___GENPT__
#define snd_mixer_elem_prev_INDEXED INDEXED_snd_mixer_elem_t___GENPT___snd_mixer_elem_t___GENPT__
#define snd_mixer_elem_prev_FORMAT FORMAT_snd_mixer_elem_t___GENPT___snd_mixer_elem_t___GENPT__
#define snd_mixer_elem_remove_INDEX 928
#define snd_mixer_elem_remove_RETURN int
#define snd_mixer_elem_remove_ARG_NAMES elem
#define snd_mixer_elem_remove_ARG_EXPAND snd_mixer_elem_t * elem
#define snd_mixer_elem_remove_PACKED PACKED_int_snd_mixer_elem_t___GENPT__
#define snd_mixer_elem_remove_INDEXED INDEXED_int_snd_mixer_elem_t___GENPT__
#define snd_mixer_elem_remove_FORMAT FORMAT_int_snd_mixer_elem_t___GENPT__
#define snd_mixer_elem_set_callback_INDEX 929
#define snd_mixer_elem_set_callback_RETURN void
#define snd_mixer_elem_set_callback_ARG_NAMES obj, val
#define snd_mixer_elem_set_callback_ARG_EXPAND snd_mixer_elem_t * obj, snd_mixer_elem_callback_t val
#define snd_mixer_elem_set_callback_PACKED PACKED_void_snd_mixer_elem_t___GENPT___snd_mixer_elem_callback_t
#define snd_mixer_elem_set_callback_INDEXED INDEXED_void_snd_mixer_elem_t___GENPT___snd_mixer_elem_callback_t
#define snd_mixer_elem_set_callback_FORMAT FORMAT_void_snd_mixer_elem_t___GENPT___snd_mixer_elem_callback_t
#define snd_mixer_elem_set_callback_private_INDEX 930
#define snd_mixer_elem_set_callback_private_RETURN void
#define snd_mixer_elem_set_callback_private_ARG_NAMES obj, val
#define snd_mixer_elem_set_callback_private_ARG_EXPAND snd_mixer_elem_t * obj, void * val
#define snd_mixer_elem_set_callback_private_PACKED PACKED_void_snd_mixer_elem_t___GENPT___void___GENPT__
#define snd_mixer_elem_set_callback_private_INDEXED INDEXED_void_snd_mixer_elem_t___GENPT___void___GENPT__
#define snd_mixer_elem_set_callback_private_FORMAT FORMAT_void_snd_mixer_elem_t___GENPT___void___GENPT__
#define snd_mixer_elem_value_INDEX 931
#define snd_mixer_elem_value_RETURN int
#define snd_mixer_elem_value_ARG_NAMES elem
#define snd_mixer_elem_value_ARG_EXPAND snd_mixer_elem_t * elem
#define snd_mixer_elem_value_PACKED PACKED_int_snd_mixer_elem_t___GENPT__
#define snd_mixer_elem_value_INDEXED INDEXED_int_snd_mixer_elem_t___GENPT__
#define snd_mixer_elem_value_FORMAT FORMAT_int_snd_mixer_elem_t___GENPT__
#define snd_mixer_find_selem_INDEX 932
#define snd_mixer_find_selem_RETURN snd_mixer_elem_t *
#define snd_mixer_find_selem_ARG_NAMES mixer, id
#define snd_mixer_find_selem_ARG_EXPAND snd_mixer_t * mixer, const snd_mixer_selem_id_t * id
#define snd_mixer_find_selem_PACKED PACKED_snd_mixer_elem_t___GENPT___snd_mixer_t___GENPT___const_snd_mixer_selem_id_t___GENPT__
#define snd_mixer_find_selem_INDEXED INDEXED_snd_mixer_elem_t___GENPT___snd_mixer_t___GENPT___const_snd_mixer_selem_id_t___GENPT__
#define snd_mixer_find_selem_FORMAT FORMAT_snd_mixer_elem_t___GENPT___snd_mixer_t___GENPT___const_snd_mixer_selem_id_t___GENPT__
#define snd_mixer_first_elem_INDEX 933
#define snd_mixer_first_elem_RETURN snd_mixer_elem_t *
#define snd_mixer_first_elem_ARG_NAMES mixer
#define snd_mixer_first_elem_ARG_EXPAND snd_mixer_t * mixer
#define snd_mixer_first_elem_PACKED PACKED_snd_mixer_elem_t___GENPT___snd_mixer_t___GENPT__
#define snd_mixer_first_elem_INDEXED INDEXED_snd_mixer_elem_t___GENPT___snd_mixer_t___GENPT__
#define snd_mixer_first_elem_FORMAT FORMAT_snd_mixer_elem_t___GENPT___snd_mixer_t___GENPT__
#define snd_mixer_free_INDEX 934
#define snd_mixer_free_RETURN void
#define snd_mixer_free_ARG_NAMES mixer
#define snd_mixer_free_ARG_EXPAND snd_mixer_t * mixer
#define snd_mixer_free_PACKED PACKED_void_snd_mixer_t___GENPT__
#define snd_mixer_free_INDEXED INDEXED_void_snd_mixer_t___GENPT__
#define snd_mixer_free_FORMAT FORMAT_void_snd_mixer_t___GENPT__
#define snd_mixer_get_callback_private_INDEX 935
#define snd_mixer_get_callback_private_RETURN void *
#define snd_mixer_get_callback_private_ARG_NAMES obj
#define snd_mixer_get_callback_private_ARG_EXPAND const snd_mixer_t * obj
#define snd_mixer_get_callback_private_PACKED PACKED_void___GENPT___const_snd_mixer_t___GENPT__
#define snd_mixer_get_callback_private_INDEXED INDEXED_void___GENPT___const_snd_mixer_t___GENPT__
#define snd_mixer_get_callback_private_FORMAT FORMAT_void___GENPT___const_snd_mixer_t___GENPT__
#define snd_mixer_get_count_INDEX 936
#define snd_mixer_get_count_RETURN unsigned int
#define snd_mixer_get_count_ARG_NAMES obj
#define snd_mixer_get_count_ARG_EXPAND const snd_mixer_t * obj
#define snd_mixer_get_count_PACKED PACKED_unsigned_int_const_snd_mixer_t___GENPT__
#define snd_mixer_get_count_INDEXED INDEXED_unsigned_int_const_snd_mixer_t___GENPT__
#define snd_mixer_get_count_FORMAT FORMAT_unsigned_int_const_snd_mixer_t___GENPT__
#define snd_mixer_get_hctl_INDEX 937
#define snd_mixer_get_hctl_RETURN int
#define snd_mixer_get_hctl_ARG_NAMES mixer, name, hctl
#define snd_mixer_get_hctl_ARG_EXPAND snd_mixer_t * mixer, const char * name, snd_hctl_t ** hctl
#define snd_mixer_get_hctl_PACKED PACKED_int_snd_mixer_t___GENPT___const_char___GENPT___snd_hctl_t___GENPT____GENPT__
#define snd_mixer_get_hctl_INDEXED INDEXED_int_snd_mixer_t___GENPT___const_char___GENPT___snd_hctl_t___GENPT____GENPT__
#define snd_mixer_get_hctl_FORMAT FORMAT_int_snd_mixer_t___GENPT___const_char___GENPT___snd_hctl_t___GENPT____GENPT__
#define snd_mixer_handle_events_INDEX 938
#define snd_mixer_handle_events_RETURN int
#define snd_mixer_handle_events_ARG_NAMES mixer
#define snd_mixer_handle_events_ARG_EXPAND snd_mixer_t * mixer
#define snd_mixer_handle_events_PACKED PACKED_int_snd_mixer_t___GENPT__
#define snd_mixer_handle_events_INDEXED INDEXED_int_snd_mixer_t___GENPT__
#define snd_mixer_handle_events_FORMAT FORMAT_int_snd_mixer_t___GENPT__
#define snd_mixer_last_elem_INDEX 939
#define snd_mixer_last_elem_RETURN snd_mixer_elem_t *
#define snd_mixer_last_elem_ARG_NAMES mixer
#define snd_mixer_last_elem_ARG_EXPAND snd_mixer_t * mixer
#define snd_mixer_last_elem_PACKED PACKED_snd_mixer_elem_t___GENPT___snd_mixer_t___GENPT__
#define snd_mixer_last_elem_INDEXED INDEXED_snd_mixer_elem_t___GENPT___snd_mixer_t___GENPT__
#define snd_mixer_last_elem_FORMAT FORMAT_snd_mixer_elem_t___GENPT___snd_mixer_t___GENPT__
#define snd_mixer_load_INDEX 940
#define snd_mixer_load_RETURN int
#define snd_mixer_load_ARG_NAMES mixer
#define snd_mixer_load_ARG_EXPAND snd_mixer_t * mixer
#define snd_mixer_load_PACKED PACKED_int_snd_mixer_t___GENPT__
#define snd_mixer_load_INDEXED INDEXED_int_snd_mixer_t___GENPT__
#define snd_mixer_load_FORMAT FORMAT_int_snd_mixer_t___GENPT__
#define snd_mixer_open_INDEX 941
#define snd_mixer_open_RETURN int
#define snd_mixer_open_ARG_NAMES mixer, mode
#define snd_mixer_open_ARG_EXPAND snd_mixer_t ** mixer, int mode
#define snd_mixer_open_PACKED PACKED_int_snd_mixer_t___GENPT____GENPT___int
#define snd_mixer_open_INDEXED INDEXED_int_snd_mixer_t___GENPT____GENPT___int
#define snd_mixer_open_FORMAT FORMAT_int_snd_mixer_t___GENPT____GENPT___int
#define snd_mixer_poll_descriptors_INDEX 942
#define snd_mixer_poll_descriptors_RETURN int
#define snd_mixer_poll_descriptors_ARG_NAMES mixer, pfds, space
#define snd_mixer_poll_descriptors_ARG_EXPAND snd_mixer_t * mixer, struct pollfd * pfds, unsigned int space
#define snd_mixer_poll_descriptors_PACKED PACKED_int_snd_mixer_t___GENPT___struct_pollfd___GENPT___unsigned_int
#define snd_mixer_poll_descriptors_INDEXED INDEXED_int_snd_mixer_t___GENPT___struct_pollfd___GENPT___unsigned_int
#define snd_mixer_poll_descriptors_FORMAT FORMAT_int_snd_mixer_t___GENPT___struct_pollfd___GENPT___unsigned_int
#define snd_mixer_poll_descriptors_count_INDEX 943
#define snd_mixer_poll_descriptors_count_RETURN int
#define snd_mixer_poll_descriptors_count_ARG_NAMES mixer
#define snd_mixer_poll_descriptors_count_ARG_EXPAND snd_mixer_t * mixer
#define snd_mixer_poll_descriptors_count_PACKED PACKED_int_snd_mixer_t___GENPT__
#define snd_mixer_poll_descriptors_count_INDEXED INDEXED_int_snd_mixer_t___GENPT__
#define snd_mixer_poll_descriptors_count_FORMAT FORMAT_int_snd_mixer_t___GENPT__
#define snd_mixer_poll_descriptors_revents_INDEX 944
#define snd_mixer_poll_descriptors_revents_RETURN int
#define snd_mixer_poll_descriptors_revents_ARG_NAMES mixer, pfds, nfds, revents
#define snd_mixer_poll_descriptors_revents_ARG_EXPAND snd_mixer_t * mixer, struct pollfd * pfds, unsigned int nfds, unsigned short * revents
#define snd_mixer_poll_descriptors_revents_PACKED PACKED_int_snd_mixer_t___GENPT___struct_pollfd___GENPT___unsigned_int_unsigned_short___GENPT__
#define snd_mixer_poll_descriptors_revents_INDEXED INDEXED_int_snd_mixer_t___GENPT___struct_pollfd___GENPT___unsigned_int_unsigned_short___GENPT__
#define snd_mixer_poll_descriptors_revents_FORMAT FORMAT_int_snd_mixer_t___GENPT___struct_pollfd___GENPT___unsigned_int_unsigned_short___GENPT__
#define snd_mixer_selem_channel_name_INDEX 945
#define snd_mixer_selem_channel_name_RETURN const char *
#define snd_mixer_selem_channel_name_ARG_NAMES channel
#define snd_mixer_selem_channel_name_ARG_EXPAND snd_mixer_selem_channel_id_t channel
#define snd_mixer_selem_channel_name_PACKED PACKED_const_char___GENPT___snd_mixer_selem_channel_id_t
#define snd_mixer_selem_channel_name_INDEXED INDEXED_const_char___GENPT___snd_mixer_selem_channel_id_t
#define snd_mixer_selem_channel_name_FORMAT FORMAT_const_char___GENPT___snd_mixer_selem_channel_id_t
#define snd_mixer_selem_get_capture_dB_INDEX 946
#define snd_mixer_selem_get_capture_dB_RETURN int
#define snd_mixer_selem_get_capture_dB_ARG_NAMES elem, channel, value
#define snd_mixer_selem_get_capture_dB_ARG_EXPAND snd_mixer_elem_t * elem, snd_mixer_selem_channel_id_t channel, long * value
#define snd_mixer_selem_get_capture_dB_PACKED PACKED_int_snd_mixer_elem_t___GENPT___snd_mixer_selem_channel_id_t_long___GENPT__
#define snd_mixer_selem_get_capture_dB_INDEXED INDEXED_int_snd_mixer_elem_t___GENPT___snd_mixer_selem_channel_id_t_long___GENPT__
#define snd_mixer_selem_get_capture_dB_FORMAT FORMAT_int_snd_mixer_elem_t___GENPT___snd_mixer_selem_channel_id_t_long___GENPT__
#define snd_mixer_selem_get_capture_dB_range_INDEX 947
#define snd_mixer_selem_get_capture_dB_range_RETURN int
#define snd_mixer_selem_get_capture_dB_range_ARG_NAMES elem, min, max
#define snd_mixer_selem_get_capture_dB_range_ARG_EXPAND snd_mixer_elem_t * elem, long * min, long * max
#define snd_mixer_selem_get_capture_dB_range_PACKED PACKED_int_snd_mixer_elem_t___GENPT___long___GENPT___long___GENPT__
#define snd_mixer_selem_get_capture_dB_range_INDEXED INDEXED_int_snd_mixer_elem_t___GENPT___long___GENPT___long___GENPT__
#define snd_mixer_selem_get_capture_dB_range_FORMAT FORMAT_int_snd_mixer_elem_t___GENPT___long___GENPT___long___GENPT__
#define snd_mixer_selem_get_capture_group_INDEX 948
#define snd_mixer_selem_get_capture_group_RETURN int
#define snd_mixer_selem_get_capture_group_ARG_NAMES elem
#define snd_mixer_selem_get_capture_group_ARG_EXPAND snd_mixer_elem_t * elem
#define snd_mixer_selem_get_capture_group_PACKED PACKED_int_snd_mixer_elem_t___GENPT__
#define snd_mixer_selem_get_capture_group_INDEXED INDEXED_int_snd_mixer_elem_t___GENPT__
#define snd_mixer_selem_get_capture_group_FORMAT FORMAT_int_snd_mixer_elem_t___GENPT__
#define snd_mixer_selem_get_capture_switch_INDEX 949
#define snd_mixer_selem_get_capture_switch_RETURN int
#define snd_mixer_selem_get_capture_switch_ARG_NAMES elem, channel, value
#define snd_mixer_selem_get_capture_switch_ARG_EXPAND snd_mixer_elem_t * elem, snd_mixer_selem_channel_id_t channel, int * value
#define snd_mixer_selem_get_capture_switch_PACKED PACKED_int_snd_mixer_elem_t___GENPT___snd_mixer_selem_channel_id_t_int___GENPT__
#define snd_mixer_selem_get_capture_switch_INDEXED INDEXED_int_snd_mixer_elem_t___GENPT___snd_mixer_selem_channel_id_t_int___GENPT__
#define snd_mixer_selem_get_capture_switch_FORMAT FORMAT_int_snd_mixer_elem_t___GENPT___snd_mixer_selem_channel_id_t_int___GENPT__
#define snd_mixer_selem_get_capture_volume_INDEX 950
#define snd_mixer_selem_get_capture_volume_RETURN int
#define snd_mixer_selem_get_capture_volume_ARG_NAMES elem, channel, value
#define snd_mixer_selem_get_capture_volume_ARG_EXPAND snd_mixer_elem_t * elem, snd_mixer_selem_channel_id_t channel, long * value
#define snd_mixer_selem_get_capture_volume_PACKED PACKED_int_snd_mixer_elem_t___GENPT___snd_mixer_selem_channel_id_t_long___GENPT__
#define snd_mixer_selem_get_capture_volume_INDEXED INDEXED_int_snd_mixer_elem_t___GENPT___snd_mixer_selem_channel_id_t_long___GENPT__
#define snd_mixer_selem_get_capture_volume_FORMAT FORMAT_int_snd_mixer_elem_t___GENPT___snd_mixer_selem_channel_id_t_long___GENPT__
#define snd_mixer_selem_get_capture_volume_range_INDEX 951
#define snd_mixer_selem_get_capture_volume_range_RETURN int
#define snd_mixer_selem_get_capture_volume_range_ARG_NAMES elem, min, max
#define snd_mixer_selem_get_capture_volume_range_ARG_EXPAND snd_mixer_elem_t * elem, long * min, long * max
#define snd_mixer_selem_get_capture_volume_range_PACKED PACKED_int_snd_mixer_elem_t___GENPT___long___GENPT___long___GENPT__
#define snd_mixer_selem_get_capture_volume_range_INDEXED INDEXED_int_snd_mixer_elem_t___GENPT___long___GENPT___long___GENPT__
#define snd_mixer_selem_get_capture_volume_range_FORMAT FORMAT_int_snd_mixer_elem_t___GENPT___long___GENPT___long___GENPT__
#define snd_mixer_selem_get_enum_item_INDEX 952
#define snd_mixer_selem_get_enum_item_RETURN int
#define snd_mixer_selem_get_enum_item_ARG_NAMES elem, channel, idxp
#define snd_mixer_selem_get_enum_item_ARG_EXPAND snd_mixer_elem_t * elem, snd_mixer_selem_channel_id_t channel, unsigned int * idxp
#define snd_mixer_selem_get_enum_item_PACKED PACKED_int_snd_mixer_elem_t___GENPT___snd_mixer_selem_channel_id_t_unsigned_int___GENPT__
#define snd_mixer_selem_get_enum_item_INDEXED INDEXED_int_snd_mixer_elem_t___GENPT___snd_mixer_selem_channel_id_t_unsigned_int___GENPT__
#define snd_mixer_selem_get_enum_item_FORMAT FORMAT_int_snd_mixer_elem_t___GENPT___snd_mixer_selem_channel_id_t_unsigned_int___GENPT__
#define snd_mixer_selem_get_enum_item_name_INDEX 953
#define snd_mixer_selem_get_enum_item_name_RETURN int
#define snd_mixer_selem_get_enum_item_name_ARG_NAMES elem, idx, maxlen, str
#define snd_mixer_selem_get_enum_item_name_ARG_EXPAND snd_mixer_elem_t * elem, unsigned int idx, size_t maxlen, char * str
#define snd_mixer_selem_get_enum_item_name_PACKED PACKED_int_snd_mixer_elem_t___GENPT___unsigned_int_size_t_char___GENPT__
#define snd_mixer_selem_get_enum_item_name_INDEXED INDEXED_int_snd_mixer_elem_t___GENPT___unsigned_int_size_t_char___GENPT__
#define snd_mixer_selem_get_enum_item_name_FORMAT FORMAT_int_snd_mixer_elem_t___GENPT___unsigned_int_size_t_char___GENPT__
#define snd_mixer_selem_get_enum_items_INDEX 954
#define snd_mixer_selem_get_enum_items_RETURN int
#define snd_mixer_selem_get_enum_items_ARG_NAMES elem
#define snd_mixer_selem_get_enum_items_ARG_EXPAND snd_mixer_elem_t * elem
#define snd_mixer_selem_get_enum_items_PACKED PACKED_int_snd_mixer_elem_t___GENPT__
#define snd_mixer_selem_get_enum_items_INDEXED INDEXED_int_snd_mixer_elem_t___GENPT__
#define snd_mixer_selem_get_enum_items_FORMAT FORMAT_int_snd_mixer_elem_t___GENPT__
#define snd_mixer_selem_get_id_INDEX 955
#define snd_mixer_selem_get_id_RETURN void
#define snd_mixer_selem_get_id_ARG_NAMES element, id
#define snd_mixer_selem_get_id_ARG_EXPAND snd_mixer_elem_t * element, snd_mixer_selem_id_t * id
#define snd_mixer_selem_get_id_PACKED PACKED_void_snd_mixer_elem_t___GENPT___snd_mixer_selem_id_t___GENPT__
#define snd_mixer_selem_get_id_INDEXED INDEXED_void_snd_mixer_elem_t___GENPT___snd_mixer_selem_id_t___GENPT__
#define snd_mixer_selem_get_id_FORMAT FORMAT_void_snd_mixer_elem_t___GENPT___snd_mixer_selem_id_t___GENPT__
#define snd_mixer_selem_get_index_INDEX 956
#define snd_mixer_selem_get_index_RETURN unsigned int
#define snd_mixer_selem_get_index_ARG_NAMES elem
#define snd_mixer_selem_get_index_ARG_EXPAND snd_mixer_elem_t * elem
#define snd_mixer_selem_get_index_PACKED PACKED_unsigned_int_snd_mixer_elem_t___GENPT__
#define snd_mixer_selem_get_index_INDEXED INDEXED_unsigned_int_snd_mixer_elem_t___GENPT__
#define snd_mixer_selem_get_index_FORMAT FORMAT_unsigned_int_snd_mixer_elem_t___GENPT__
#define snd_mixer_selem_get_name_INDEX 957
#define snd_mixer_selem_get_name_RETURN const char *
#define snd_mixer_selem_get_name_ARG_NAMES elem
#define snd_mixer_selem_get_name_ARG_EXPAND snd_mixer_elem_t * elem
#define snd_mixer_selem_get_name_PACKED PACKED_const_char___GENPT___snd_mixer_elem_t___GENPT__
#define snd_mixer_selem_get_name_INDEXED INDEXED_const_char___GENPT___snd_mixer_elem_t___GENPT__
#define snd_mixer_selem_get_name_FORMAT FORMAT_const_char___GENPT___snd_mixer_elem_t___GENPT__
#define snd_mixer_selem_get_playback_dB_INDEX 958
#define snd_mixer_selem_get_playback_dB_RETURN int
#define snd_mixer_selem_get_playback_dB_ARG_NAMES elem, channel, value
#define snd_mixer_selem_get_playback_dB_ARG_EXPAND snd_mixer_elem_t * elem, snd_mixer_selem_channel_id_t channel, long * value
#define snd_mixer_selem_get_playback_dB_PACKED PACKED_int_snd_mixer_elem_t___GENPT___snd_mixer_selem_channel_id_t_long___GENPT__
#define snd_mixer_selem_get_playback_dB_INDEXED INDEXED_int_snd_mixer_elem_t___GENPT___snd_mixer_selem_channel_id_t_long___GENPT__
#define snd_mixer_selem_get_playback_dB_FORMAT FORMAT_int_snd_mixer_elem_t___GENPT___snd_mixer_selem_channel_id_t_long___GENPT__
#define snd_mixer_selem_get_playback_dB_range_INDEX 959
#define snd_mixer_selem_get_playback_dB_range_RETURN int
#define snd_mixer_selem_get_playback_dB_range_ARG_NAMES elem, min, max
#define snd_mixer_selem_get_playback_dB_range_ARG_EXPAND snd_mixer_elem_t * elem, long * min, long * max
#define snd_mixer_selem_get_playback_dB_range_PACKED PACKED_int_snd_mixer_elem_t___GENPT___long___GENPT___long___GENPT__
#define snd_mixer_selem_get_playback_dB_range_INDEXED INDEXED_int_snd_mixer_elem_t___GENPT___long___GENPT___long___GENPT__
#define snd_mixer_selem_get_playback_dB_range_FORMAT FORMAT_int_snd_mixer_elem_t___GENPT___long___GENPT___long___GENPT__
#define snd_mixer_selem_get_playback_switch_INDEX 960
#define snd_mixer_selem_get_playback_switch_RETURN int
#define snd_mixer_selem_get_playback_switch_ARG_NAMES elem, channel, value
#define snd_mixer_selem_get_playback_switch_ARG_EXPAND snd_mixer_elem_t * elem, snd_mixer_selem_channel_id_t channel, int * value
#define snd_mixer_selem_get_playback_switch_PACKED PACKED_int_snd_mixer_elem_t___GENPT___snd_mixer_selem_channel_id_t_int___GENPT__
#define snd_mixer_selem_get_playback_switch_INDEXED INDEXED_int_snd_mixer_elem_t___GENPT___snd_mixer_selem_channel_id_t_int___GENPT__
#define snd_mixer_selem_get_playback_switch_FORMAT FORMAT_int_snd_mixer_elem_t___GENPT___snd_mixer_selem_channel_id_t_int___GENPT__
#define snd_mixer_selem_get_playback_volume_INDEX 961
#define snd_mixer_selem_get_playback_volume_RETURN int
#define snd_mixer_selem_get_playback_volume_ARG_NAMES elem, channel, value
#define snd_mixer_selem_get_playback_volume_ARG_EXPAND snd_mixer_elem_t * elem, snd_mixer_selem_channel_id_t channel, long * value
#define snd_mixer_selem_get_playback_volume_PACKED PACKED_int_snd_mixer_elem_t___GENPT___snd_mixer_selem_channel_id_t_long___GENPT__
#define snd_mixer_selem_get_playback_volume_INDEXED INDEXED_int_snd_mixer_elem_t___GENPT___snd_mixer_selem_channel_id_t_long___GENPT__
#define snd_mixer_selem_get_playback_volume_FORMAT FORMAT_int_snd_mixer_elem_t___GENPT___snd_mixer_selem_channel_id_t_long___GENPT__
#define snd_mixer_selem_get_playback_volume_range_INDEX 962
#define snd_mixer_selem_get_playback_volume_range_RETURN int
#define snd_mixer_selem_get_playback_volume_range_ARG_NAMES elem, min, max
#define snd_mixer_selem_get_playback_volume_range_ARG_EXPAND snd_mixer_elem_t * elem, long * min, long * max
#define snd_mixer_selem_get_playback_volume_range_PACKED PACKED_int_snd_mixer_elem_t___GENPT___long___GENPT___long___GENPT__
#define snd_mixer_selem_get_playback_volume_range_INDEXED INDEXED_int_snd_mixer_elem_t___GENPT___long___GENPT___long___GENPT__
#define snd_mixer_selem_get_playback_volume_range_FORMAT FORMAT_int_snd_mixer_elem_t___GENPT___long___GENPT___long___GENPT__
#define snd_mixer_selem_has_capture_channel_INDEX 963
#define snd_mixer_selem_has_capture_channel_RETURN int
#define snd_mixer_selem_has_capture_channel_ARG_NAMES obj, channel
#define snd_mixer_selem_has_capture_channel_ARG_EXPAND snd_mixer_elem_t * obj, snd_mixer_selem_channel_id_t channel
#define snd_mixer_selem_has_capture_channel_PACKED PACKED_int_snd_mixer_elem_t___GENPT___snd_mixer_selem_channel_id_t
#define snd_mixer_selem_has_capture_channel_INDEXED INDEXED_int_snd_mixer_elem_t___GENPT___snd_mixer_selem_channel_id_t
#define snd_mixer_selem_has_capture_channel_FORMAT FORMAT_int_snd_mixer_elem_t___GENPT___snd_mixer_selem_channel_id_t
#define snd_mixer_selem_has_capture_switch_INDEX 964
#define snd_mixer_selem_has_capture_switch_RETURN int
#define snd_mixer_selem_has_capture_switch_ARG_NAMES elem
#define snd_mixer_selem_has_capture_switch_ARG_EXPAND snd_mixer_elem_t * elem
#define snd_mixer_selem_has_capture_switch_PACKED PACKED_int_snd_mixer_elem_t___GENPT__
#define snd_mixer_selem_has_capture_switch_INDEXED INDEXED_int_snd_mixer_elem_t___GENPT__
#define snd_mixer_selem_has_capture_switch_FORMAT FORMAT_int_snd_mixer_elem_t___GENPT__
#define snd_mixer_selem_has_capture_switch_exclusive_INDEX 965
#define snd_mixer_selem_has_capture_switch_exclusive_RETURN int
#define snd_mixer_selem_has_capture_switch_exclusive_ARG_NAMES elem
#define snd_mixer_selem_has_capture_switch_exclusive_ARG_EXPAND snd_mixer_elem_t * elem
#define snd_mixer_selem_has_capture_switch_exclusive_PACKED PACKED_int_snd_mixer_elem_t___GENPT__
#define snd_mixer_selem_has_capture_switch_exclusive_INDEXED INDEXED_int_snd_mixer_elem_t___GENPT__
#define snd_mixer_selem_has_capture_switch_exclusive_FORMAT FORMAT_int_snd_mixer_elem_t___GENPT__
#define snd_mixer_selem_has_capture_switch_joined_INDEX 966
#define snd_mixer_selem_has_capture_switch_joined_RETURN int
#define snd_mixer_selem_has_capture_switch_joined_ARG_NAMES elem
#define snd_mixer_selem_has_capture_switch_joined_ARG_EXPAND snd_mixer_elem_t * elem
#define snd_mixer_selem_has_capture_switch_joined_PACKED PACKED_int_snd_mixer_elem_t___GENPT__
#define snd_mixer_selem_has_capture_switch_joined_INDEXED INDEXED_int_snd_mixer_elem_t___GENPT__
#define snd_mixer_selem_has_capture_switch_joined_FORMAT FORMAT_int_snd_mixer_elem_t___GENPT__
#define snd_mixer_selem_has_capture_volume_INDEX 967
#define snd_mixer_selem_has_capture_volume_RETURN int
#define snd_mixer_selem_has_capture_volume_ARG_NAMES elem
#define snd_mixer_selem_has_capture_volume_ARG_EXPAND snd_mixer_elem_t * elem
#define snd_mixer_selem_has_capture_volume_PACKED PACKED_int_snd_mixer_elem_t___GENPT__
#define snd_mixer_selem_has_capture_volume_INDEXED INDEXED_int_snd_mixer_elem_t___GENPT__
#define snd_mixer_selem_has_capture_volume_FORMAT FORMAT_int_snd_mixer_elem_t___GENPT__
#define snd_mixer_selem_has_capture_volume_joined_INDEX 968
#define snd_mixer_selem_has_capture_volume_joined_RETURN int
#define snd_mixer_selem_has_capture_volume_joined_ARG_NAMES elem
#define snd_mixer_selem_has_capture_volume_joined_ARG_EXPAND snd_mixer_elem_t * elem
#define snd_mixer_selem_has_capture_volume_joined_PACKED PACKED_int_snd_mixer_elem_t___GENPT__
#define snd_mixer_selem_has_capture_volume_joined_INDEXED INDEXED_int_snd_mixer_elem_t___GENPT__
#define snd_mixer_selem_has_capture_volume_joined_FORMAT FORMAT_int_snd_mixer_elem_t___GENPT__
#define snd_mixer_selem_has_common_switch_INDEX 969
#define snd_mixer_selem_has_common_switch_RETURN int
#define snd_mixer_selem_has_common_switch_ARG_NAMES elem
#define snd_mixer_selem_has_common_switch_ARG_EXPAND snd_mixer_elem_t * elem
#define snd_mixer_selem_has_common_switch_PACKED PACKED_int_snd_mixer_elem_t___GENPT__
#define snd_mixer_selem_has_common_switch_INDEXED INDEXED_int_snd_mixer_elem_t___GENPT__
#define snd_mixer_selem_has_common_switch_FORMAT FORMAT_int_snd_mixer_elem_t___GENPT__
#define snd_mixer_selem_has_common_volume_INDEX 970
#define snd_mixer_selem_has_common_volume_RETURN int
#define snd_mixer_selem_has_common_volume_ARG_NAMES elem
#define snd_mixer_selem_has_common_volume_ARG_EXPAND snd_mixer_elem_t * elem
#define snd_mixer_selem_has_common_volume_PACKED PACKED_int_snd_mixer_elem_t___GENPT__
#define snd_mixer_selem_has_common_volume_INDEXED INDEXED_int_snd_mixer_elem_t___GENPT__
#define snd_mixer_selem_has_common_volume_FORMAT FORMAT_int_snd_mixer_elem_t___GENPT__
#define snd_mixer_selem_has_playback_channel_INDEX 971
#define snd_mixer_selem_has_playback_channel_RETURN int
#define snd_mixer_selem_has_playback_channel_ARG_NAMES obj, channel
#define snd_mixer_selem_has_playback_channel_ARG_EXPAND snd_mixer_elem_t * obj, snd_mixer_selem_channel_id_t channel
#define snd_mixer_selem_has_playback_channel_PACKED PACKED_int_snd_mixer_elem_t___GENPT___snd_mixer_selem_channel_id_t
#define snd_mixer_selem_has_playback_channel_INDEXED INDEXED_int_snd_mixer_elem_t___GENPT___snd_mixer_selem_channel_id_t
#define snd_mixer_selem_has_playback_channel_FORMAT FORMAT_int_snd_mixer_elem_t___GENPT___snd_mixer_selem_channel_id_t
#define snd_mixer_selem_has_playback_switch_INDEX 972
#define snd_mixer_selem_has_playback_switch_RETURN int
#define snd_mixer_selem_has_playback_switch_ARG_NAMES elem
#define snd_mixer_selem_has_playback_switch_ARG_EXPAND snd_mixer_elem_t * elem
#define snd_mixer_selem_has_playback_switch_PACKED PACKED_int_snd_mixer_elem_t___GENPT__
#define snd_mixer_selem_has_playback_switch_INDEXED INDEXED_int_snd_mixer_elem_t___GENPT__
#define snd_mixer_selem_has_playback_switch_FORMAT FORMAT_int_snd_mixer_elem_t___GENPT__
#define snd_mixer_selem_has_playback_switch_joined_INDEX 973
#define snd_mixer_selem_has_playback_switch_joined_RETURN int
#define snd_mixer_selem_has_playback_switch_joined_ARG_NAMES elem
#define snd_mixer_selem_has_playback_switch_joined_ARG_EXPAND snd_mixer_elem_t * elem
#define snd_mixer_selem_has_playback_switch_joined_PACKED PACKED_int_snd_mixer_elem_t___GENPT__
#define snd_mixer_selem_has_playback_switch_joined_INDEXED INDEXED_int_snd_mixer_elem_t___GENPT__
#define snd_mixer_selem_has_playback_switch_joined_FORMAT FORMAT_int_snd_mixer_elem_t___GENPT__
#define snd_mixer_selem_has_playback_volume_INDEX 974
#define snd_mixer_selem_has_playback_volume_RETURN int
#define snd_mixer_selem_has_playback_volume_ARG_NAMES elem
#define snd_mixer_selem_has_playback_volume_ARG_EXPAND snd_mixer_elem_t * elem
#define snd_mixer_selem_has_playback_volume_PACKED PACKED_int_snd_mixer_elem_t___GENPT__
#define snd_mixer_selem_has_playback_volume_INDEXED INDEXED_int_snd_mixer_elem_t___GENPT__
#define snd_mixer_selem_has_playback_volume_FORMAT FORMAT_int_snd_mixer_elem_t___GENPT__
#define snd_mixer_selem_has_playback_volume_joined_INDEX 975
#define snd_mixer_selem_has_playback_volume_joined_RETURN int
#define snd_mixer_selem_has_playback_volume_joined_ARG_NAMES elem
#define snd_mixer_selem_has_playback_volume_joined_ARG_EXPAND snd_mixer_elem_t * elem
#define snd_mixer_selem_has_playback_volume_joined_PACKED PACKED_int_snd_mixer_elem_t___GENPT__
#define snd_mixer_selem_has_playback_volume_joined_INDEXED INDEXED_int_snd_mixer_elem_t___GENPT__
#define snd_mixer_selem_has_playback_volume_joined_FORMAT FORMAT_int_snd_mixer_elem_t___GENPT__
#define snd_mixer_selem_id_copy_INDEX 976
#define snd_mixer_selem_id_copy_RETURN void
#define snd_mixer_selem_id_copy_ARG_NAMES dst, src
#define snd_mixer_selem_id_copy_ARG_EXPAND snd_mixer_selem_id_t * dst, const snd_mixer_selem_id_t * src
#define snd_mixer_selem_id_copy_PACKED PACKED_void_snd_mixer_selem_id_t___GENPT___const_snd_mixer_selem_id_t___GENPT__
#define snd_mixer_selem_id_copy_INDEXED INDEXED_void_snd_mixer_selem_id_t___GENPT___const_snd_mixer_selem_id_t___GENPT__
#define snd_mixer_selem_id_copy_FORMAT FORMAT_void_snd_mixer_selem_id_t___GENPT___const_snd_mixer_selem_id_t___GENPT__
#define snd_mixer_selem_id_free_INDEX 977
#define snd_mixer_selem_id_free_RETURN void
#define snd_mixer_selem_id_free_ARG_NAMES obj
#define snd_mixer_selem_id_free_ARG_EXPAND snd_mixer_selem_id_t * obj
#define snd_mixer_selem_id_free_PACKED PACKED_void_snd_mixer_selem_id_t___GENPT__
#define snd_mixer_selem_id_free_INDEXED INDEXED_void_snd_mixer_selem_id_t___GENPT__
#define snd_mixer_selem_id_free_FORMAT FORMAT_void_snd_mixer_selem_id_t___GENPT__
#define snd_mixer_selem_id_get_index_INDEX 978
#define snd_mixer_selem_id_get_index_RETURN unsigned int
#define snd_mixer_selem_id_get_index_ARG_NAMES obj
#define snd_mixer_selem_id_get_index_ARG_EXPAND const snd_mixer_selem_id_t * obj
#define snd_mixer_selem_id_get_index_PACKED PACKED_unsigned_int_const_snd_mixer_selem_id_t___GENPT__
#define snd_mixer_selem_id_get_index_INDEXED INDEXED_unsigned_int_const_snd_mixer_selem_id_t___GENPT__
#define snd_mixer_selem_id_get_index_FORMAT FORMAT_unsigned_int_const_snd_mixer_selem_id_t___GENPT__
#define snd_mixer_selem_id_get_name_INDEX 979
#define snd_mixer_selem_id_get_name_RETURN const char *
#define snd_mixer_selem_id_get_name_ARG_NAMES obj
#define snd_mixer_selem_id_get_name_ARG_EXPAND const snd_mixer_selem_id_t * obj
#define snd_mixer_selem_id_get_name_PACKED PACKED_const_char___GENPT___const_snd_mixer_selem_id_t___GENPT__
#define snd_mixer_selem_id_get_name_INDEXED INDEXED_const_char___GENPT___const_snd_mixer_selem_id_t___GENPT__
#define snd_mixer_selem_id_get_name_FORMAT FORMAT_const_char___GENPT___const_snd_mixer_selem_id_t___GENPT__
#define snd_mixer_selem_id_malloc_INDEX 980
#define snd_mixer_selem_id_malloc_RETURN int
#define snd_mixer_selem_id_malloc_ARG_NAMES ptr
#define snd_mixer_selem_id_malloc_ARG_EXPAND snd_mixer_selem_id_t ** ptr
#define snd_mixer_selem_id_malloc_PACKED PACKED_int_snd_mixer_selem_id_t___GENPT____GENPT__
#define snd_mixer_selem_id_malloc_INDEXED INDEXED_int_snd_mixer_selem_id_t___GENPT____GENPT__
#define snd_mixer_selem_id_malloc_FORMAT FORMAT_int_snd_mixer_selem_id_t___GENPT____GENPT__
#define snd_mixer_selem_id_set_index_INDEX 981
#define snd_mixer_selem_id_set_index_RETURN void
#define snd_mixer_selem_id_set_index_ARG_NAMES obj, val
#define snd_mixer_selem_id_set_index_ARG_EXPAND snd_mixer_selem_id_t * obj, unsigned int val
#define snd_mixer_selem_id_set_index_PACKED PACKED_void_snd_mixer_selem_id_t___GENPT___unsigned_int
#define snd_mixer_selem_id_set_index_INDEXED INDEXED_void_snd_mixer_selem_id_t___GENPT___unsigned_int
#define snd_mixer_selem_id_set_index_FORMAT FORMAT_void_snd_mixer_selem_id_t___GENPT___unsigned_int
#define snd_mixer_selem_id_set_name_INDEX 982
#define snd_mixer_selem_id_set_name_RETURN void
#define snd_mixer_selem_id_set_name_ARG_NAMES obj, val
#define snd_mixer_selem_id_set_name_ARG_EXPAND snd_mixer_selem_id_t * obj, const char * val
#define snd_mixer_selem_id_set_name_PACKED PACKED_void_snd_mixer_selem_id_t___GENPT___const_char___GENPT__
#define snd_mixer_selem_id_set_name_INDEXED INDEXED_void_snd_mixer_selem_id_t___GENPT___const_char___GENPT__
#define snd_mixer_selem_id_set_name_FORMAT FORMAT_void_snd_mixer_selem_id_t___GENPT___const_char___GENPT__
#define snd_mixer_selem_id_sizeof_INDEX 983
#define snd_mixer_selem_id_sizeof_RETURN size_t
#define snd_mixer_selem_id_sizeof_ARG_NAMES 
#define snd_mixer_selem_id_sizeof_ARG_EXPAND 
#define snd_mixer_selem_id_sizeof_PACKED PACKED_size_t
#define snd_mixer_selem_id_sizeof_INDEXED INDEXED_size_t
#define snd_mixer_selem_id_sizeof_FORMAT FORMAT_size_t
#define snd_mixer_selem_is_active_INDEX 984
#define snd_mixer_selem_is_active_RETURN int
#define snd_mixer_selem_is_active_ARG_NAMES elem
#define snd_mixer_selem_is_active_ARG_EXPAND snd_mixer_elem_t * elem
#define snd_mixer_selem_is_active_PACKED PACKED_int_snd_mixer_elem_t___GENPT__
#define snd_mixer_selem_is_active_INDEXED INDEXED_int_snd_mixer_elem_t___GENPT__
#define snd_mixer_selem_is_active_FORMAT FORMAT_int_snd_mixer_elem_t___GENPT__
#define snd_mixer_selem_is_capture_mono_INDEX 985
#define snd_mixer_selem_is_capture_mono_RETURN int
#define snd_mixer_selem_is_capture_mono_ARG_NAMES elem
#define snd_mixer_selem_is_capture_mono_ARG_EXPAND snd_mixer_elem_t * elem
#define snd_mixer_selem_is_capture_mono_PACKED PACKED_int_snd_mixer_elem_t___GENPT__
#define snd_mixer_selem_is_capture_mono_INDEXED INDEXED_int_snd_mixer_elem_t___GENPT__
#define snd_mixer_selem_is_capture_mono_FORMAT FORMAT_int_snd_mixer_elem_t___GENPT__
#define snd_mixer_selem_is_enum_capture_INDEX 986
#define snd_mixer_selem_is_enum_capture_RETURN int
#define snd_mixer_selem_is_enum_capture_ARG_NAMES elem
#define snd_mixer_selem_is_enum_capture_ARG_EXPAND snd_mixer_elem_t * elem
#define snd_mixer_selem_is_enum_capture_PACKED PACKED_int_snd_mixer_elem_t___GENPT__
#define snd_mixer_selem_is_enum_capture_INDEXED INDEXED_int_snd_mixer_elem_t___GENPT__
#define snd_mixer_selem_is_enum_capture_FORMAT FORMAT_int_snd_mixer_elem_t___GENPT__
#define snd_mixer_selem_is_enum_playback_INDEX 987
#define snd_mixer_selem_is_enum_playback_RETURN int
#define snd_mixer_selem_is_enum_playback_ARG_NAMES elem
#define snd_mixer_selem_is_enum_playback_ARG_EXPAND snd_mixer_elem_t * elem
#define snd_mixer_selem_is_enum_playback_PACKED PACKED_int_snd_mixer_elem_t___GENPT__
#define snd_mixer_selem_is_enum_playback_INDEXED INDEXED_int_snd_mixer_elem_t___GENPT__
#define snd_mixer_selem_is_enum_playback_FORMAT FORMAT_int_snd_mixer_elem_t___GENPT__
#define snd_mixer_selem_is_enumerated_INDEX 988
#define snd_mixer_selem_is_enumerated_RETURN int
#define snd_mixer_selem_is_enumerated_ARG_NAMES elem
#define snd_mixer_selem_is_enumerated_ARG_EXPAND snd_mixer_elem_t * elem
#define snd_mixer_selem_is_enumerated_PACKED PACKED_int_snd_mixer_elem_t___GENPT__
#define snd_mixer_selem_is_enumerated_INDEXED INDEXED_int_snd_mixer_elem_t___GENPT__
#define snd_mixer_selem_is_enumerated_FORMAT FORMAT_int_snd_mixer_elem_t___GENPT__
#define snd_mixer_selem_is_playback_mono_INDEX 989
#define snd_mixer_selem_is_playback_mono_RETURN int
#define snd_mixer_selem_is_playback_mono_ARG_NAMES elem
#define snd_mixer_selem_is_playback_mono_ARG_EXPAND snd_mixer_elem_t * elem
#define snd_mixer_selem_is_playback_mono_PACKED PACKED_int_snd_mixer_elem_t___GENPT__
#define snd_mixer_selem_is_playback_mono_INDEXED INDEXED_int_snd_mixer_elem_t___GENPT__
#define snd_mixer_selem_is_playback_mono_FORMAT FORMAT_int_snd_mixer_elem_t___GENPT__
#define snd_mixer_selem_register_INDEX 990
#define snd_mixer_selem_register_RETURN int
#define snd_mixer_selem_register_ARG_NAMES mixer, options, classp
#define snd_mixer_selem_register_ARG_EXPAND snd_mixer_t * mixer, struct snd_mixer_selem_regopt * options, snd_mixer_class_t ** classp
#define snd_mixer_selem_register_PACKED PACKED_int_snd_mixer_t___GENPT___struct_snd_mixer_selem_regopt___GENPT___snd_mixer_class_t___GENPT____GENPT__
#define snd_mixer_selem_register_INDEXED INDEXED_int_snd_mixer_t___GENPT___struct_snd_mixer_selem_regopt___GENPT___snd_mixer_class_t___GENPT____GENPT__
#define snd_mixer_selem_register_FORMAT FORMAT_int_snd_mixer_t___GENPT___struct_snd_mixer_selem_regopt___GENPT___snd_mixer_class_t___GENPT____GENPT__
#define snd_mixer_selem_set_capture_dB_INDEX 991
#define snd_mixer_selem_set_capture_dB_RETURN int
#define snd_mixer_selem_set_capture_dB_ARG_NAMES elem, channel, value, dir
#define snd_mixer_selem_set_capture_dB_ARG_EXPAND snd_mixer_elem_t * elem, snd_mixer_selem_channel_id_t channel, long value, int dir
#define snd_mixer_selem_set_capture_dB_PACKED PACKED_int_snd_mixer_elem_t___GENPT___snd_mixer_selem_channel_id_t_long_int
#define snd_mixer_selem_set_capture_dB_INDEXED INDEXED_int_snd_mixer_elem_t___GENPT___snd_mixer_selem_channel_id_t_long_int
#define snd_mixer_selem_set_capture_dB_FORMAT FORMAT_int_snd_mixer_elem_t___GENPT___snd_mixer_selem_channel_id_t_long_int
#define snd_mixer_selem_set_capture_dB_all_INDEX 992
#define snd_mixer_selem_set_capture_dB_all_RETURN int
#define snd_mixer_selem_set_capture_dB_all_ARG_NAMES elem, value, dir
#define snd_mixer_selem_set_capture_dB_all_ARG_EXPAND snd_mixer_elem_t * elem, long value, int dir
#define snd_mixer_selem_set_capture_dB_all_PACKED PACKED_int_snd_mixer_elem_t___GENPT___long_int
#define snd_mixer_selem_set_capture_dB_all_INDEXED INDEXED_int_snd_mixer_elem_t___GENPT___long_int
#define snd_mixer_selem_set_capture_dB_all_FORMAT FORMAT_int_snd_mixer_elem_t___GENPT___long_int
#define snd_mixer_selem_set_capture_switch_INDEX 993
#define snd_mixer_selem_set_capture_switch_RETURN int
#define snd_mixer_selem_set_capture_switch_ARG_NAMES elem, channel, value
#define snd_mixer_selem_set_capture_switch_ARG_EXPAND snd_mixer_elem_t * elem, snd_mixer_selem_channel_id_t channel, int value
#define snd_mixer_selem_set_capture_switch_PACKED PACKED_int_snd_mixer_elem_t___GENPT___snd_mixer_selem_channel_id_t_int
#define snd_mixer_selem_set_capture_switch_INDEXED INDEXED_int_snd_mixer_elem_t___GENPT___snd_mixer_selem_channel_id_t_int
#define snd_mixer_selem_set_capture_switch_FORMAT FORMAT_int_snd_mixer_elem_t___GENPT___snd_mixer_selem_channel_id_t_int
#define snd_mixer_selem_set_capture_switch_all_INDEX 994
#define snd_mixer_selem_set_capture_switch_all_RETURN int
#define snd_mixer_selem_set_capture_switch_all_ARG_NAMES elem, value
#define snd_mixer_selem_set_capture_switch_all_ARG_EXPAND snd_mixer_elem_t * elem, int value
#define snd_mixer_selem_set_capture_switch_all_PACKED PACKED_int_snd_mixer_elem_t___GENPT___int
#define snd_mixer_selem_set_capture_switch_all_INDEXED INDEXED_int_snd_mixer_elem_t___GENPT___int
#define snd_mixer_selem_set_capture_switch_all_FORMAT FORMAT_int_snd_mixer_elem_t___GENPT___int
#define snd_mixer_selem_set_capture_volume_INDEX 995
#define snd_mixer_selem_set_capture_volume_RETURN int
#define snd_mixer_selem_set_capture_volume_ARG_NAMES elem, channel, value
#define snd_mixer_selem_set_capture_volume_ARG_EXPAND snd_mixer_elem_t * elem, snd_mixer_selem_channel_id_t channel, long value
#define snd_mixer_selem_set_capture_volume_PACKED PACKED_int_snd_mixer_elem_t___GENPT___snd_mixer_selem_channel_id_t_long
#define snd_mixer_selem_set_capture_volume_INDEXED INDEXED_int_snd_mixer_elem_t___GENPT___snd_mixer_selem_channel_id_t_long
#define snd_mixer_selem_set_capture_volume_FORMAT FORMAT_int_snd_mixer_elem_t___GENPT___snd_mixer_selem_channel_id_t_long
#define snd_mixer_selem_set_capture_volume_all_INDEX 996
#define snd_mixer_selem_set_capture_volume_all_RETURN int
#define snd_mixer_selem_set_capture_volume_all_ARG_NAMES elem, value
#define snd_mixer_selem_set_capture_volume_all_ARG_EXPAND snd_mixer_elem_t * elem, long value
#define snd_mixer_selem_set_capture_volume_all_PACKED PACKED_int_snd_mixer_elem_t___GENPT___long
#define snd_mixer_selem_set_capture_volume_all_INDEXED INDEXED_int_snd_mixer_elem_t___GENPT___long
#define snd_mixer_selem_set_capture_volume_all_FORMAT FORMAT_int_snd_mixer_elem_t___GENPT___long
#define snd_mixer_selem_set_capture_volume_range_INDEX 997
#define snd_mixer_selem_set_capture_volume_range_RETURN int
#define snd_mixer_selem_set_capture_volume_range_ARG_NAMES elem, min, max
#define snd_mixer_selem_set_capture_volume_range_ARG_EXPAND snd_mixer_elem_t * elem, long min, long max
#define snd_mixer_selem_set_capture_volume_range_PACKED PACKED_int_snd_mixer_elem_t___GENPT___long_long
#define snd_mixer_selem_set_capture_volume_range_INDEXED INDEXED_int_snd_mixer_elem_t___GENPT___long_long
#define snd_mixer_selem_set_capture_volume_range_FORMAT FORMAT_int_snd_mixer_elem_t___GENPT___long_long
#define snd_mixer_selem_set_enum_item_INDEX 998
#define snd_mixer_selem_set_enum_item_RETURN int
#define snd_mixer_selem_set_enum_item_ARG_NAMES elem, channel, idx
#define snd_mixer_selem_set_enum_item_ARG_EXPAND snd_mixer_elem_t * elem, snd_mixer_selem_channel_id_t channel, unsigned int idx
#define snd_mixer_selem_set_enum_item_PACKED PACKED_int_snd_mixer_elem_t___GENPT___snd_mixer_selem_channel_id_t_unsigned_int
#define snd_mixer_selem_set_enum_item_INDEXED INDEXED_int_snd_mixer_elem_t___GENPT___snd_mixer_selem_channel_id_t_unsigned_int
#define snd_mixer_selem_set_enum_item_FORMAT FORMAT_int_snd_mixer_elem_t___GENPT___snd_mixer_selem_channel_id_t_unsigned_int
#define snd_mixer_selem_set_playback_dB_INDEX 999
#define snd_mixer_selem_set_playback_dB_RETURN int
#define snd_mixer_selem_set_playback_dB_ARG_NAMES elem, channel, value, dir
#define snd_mixer_selem_set_playback_dB_ARG_EXPAND snd_mixer_elem_t * elem, snd_mixer_selem_channel_id_t channel, long value, int dir
#define snd_mixer_selem_set_playback_dB_PACKED PACKED_int_snd_mixer_elem_t___GENPT___snd_mixer_selem_channel_id_t_long_int
#define snd_mixer_selem_set_playback_dB_INDEXED INDEXED_int_snd_mixer_elem_t___GENPT___snd_mixer_selem_channel_id_t_long_int
#define snd_mixer_selem_set_playback_dB_FORMAT FORMAT_int_snd_mixer_elem_t___GENPT___snd_mixer_selem_channel_id_t_long_int
#define snd_mixer_selem_set_playback_dB_all_INDEX 1000
#define snd_mixer_selem_set_playback_dB_all_RETURN int
#define snd_mixer_selem_set_playback_dB_all_ARG_NAMES elem, value, dir
#define snd_mixer_selem_set_playback_dB_all_ARG_EXPAND snd_mixer_elem_t * elem, long value, int dir
#define snd_mixer_selem_set_playback_dB_all_PACKED PACKED_int_snd_mixer_elem_t___GENPT___long_int
#define snd_mixer_selem_set_playback_dB_all_INDEXED INDEXED_int_snd_mixer_elem_t___GENPT___long_int
#define snd_mixer_selem_set_playback_dB_all_FORMAT FORMAT_int_snd_mixer_elem_t___GENPT___long_int
#define snd_mixer_selem_set_playback_switch_INDEX 1001
#define snd_mixer_selem_set_playback_switch_RETURN int
#define snd_mixer_selem_set_playback_switch_ARG_NAMES elem, channel, value
#define snd_mixer_selem_set_playback_switch_ARG_EXPAND snd_mixer_elem_t * elem, snd_mixer_selem_channel_id_t channel, int value
#define snd_mixer_selem_set_playback_switch_PACKED PACKED_int_snd_mixer_elem_t___GENPT___snd_mixer_selem_channel_id_t_int
#define snd_mixer_selem_set_playback_switch_INDEXED INDEXED_int_snd_mixer_elem_t___GENPT___snd_mixer_selem_channel_id_t_int
#define snd_mixer_selem_set_playback_switch_FORMAT FORMAT_int_snd_mixer_elem_t___GENPT___snd_mixer_selem_channel_id_t_int
#define snd_mixer_selem_set_playback_switch_all_INDEX 1002
#define snd_mixer_selem_set_playback_switch_all_RETURN int
#define snd_mixer_selem_set_playback_switch_all_ARG_NAMES elem, value
#define snd_mixer_selem_set_playback_switch_all_ARG_EXPAND snd_mixer_elem_t * elem, int value
#define snd_mixer_selem_set_playback_switch_all_PACKED PACKED_int_snd_mixer_elem_t___GENPT___int
#define snd_mixer_selem_set_playback_switch_all_INDEXED INDEXED_int_snd_mixer_elem_t___GENPT___int
#define snd_mixer_selem_set_playback_switch_all_FORMAT FORMAT_int_snd_mixer_elem_t___GENPT___int
#define snd_mixer_selem_set_playback_volume_INDEX 1003
#define snd_mixer_selem_set_playback_volume_RETURN int
#define snd_mixer_selem_set_playback_volume_ARG_NAMES elem, channel, value
#define snd_mixer_selem_set_playback_volume_ARG_EXPAND snd_mixer_elem_t * elem, snd_mixer_selem_channel_id_t channel, long value
#define snd_mixer_selem_set_playback_volume_PACKED PACKED_int_snd_mixer_elem_t___GENPT___snd_mixer_selem_channel_id_t_long
#define snd_mixer_selem_set_playback_volume_INDEXED INDEXED_int_snd_mixer_elem_t___GENPT___snd_mixer_selem_channel_id_t_long
#define snd_mixer_selem_set_playback_volume_FORMAT FORMAT_int_snd_mixer_elem_t___GENPT___snd_mixer_selem_channel_id_t_long
#define snd_mixer_selem_set_playback_volume_all_INDEX 1004
#define snd_mixer_selem_set_playback_volume_all_RETURN int
#define snd_mixer_selem_set_playback_volume_all_ARG_NAMES elem, value
#define snd_mixer_selem_set_playback_volume_all_ARG_EXPAND snd_mixer_elem_t * elem, long value
#define snd_mixer_selem_set_playback_volume_all_PACKED PACKED_int_snd_mixer_elem_t___GENPT___long
#define snd_mixer_selem_set_playback_volume_all_INDEXED INDEXED_int_snd_mixer_elem_t___GENPT___long
#define snd_mixer_selem_set_playback_volume_all_FORMAT FORMAT_int_snd_mixer_elem_t___GENPT___long
#define snd_mixer_selem_set_playback_volume_range_INDEX 1005
#define snd_mixer_selem_set_playback_volume_range_RETURN int
#define snd_mixer_selem_set_playback_volume_range_ARG_NAMES elem, min, max
#define snd_mixer_selem_set_playback_volume_range_ARG_EXPAND snd_mixer_elem_t * elem, long min, long max
#define snd_mixer_selem_set_playback_volume_range_PACKED PACKED_int_snd_mixer_elem_t___GENPT___long_long
#define snd_mixer_selem_set_playback_volume_range_INDEXED INDEXED_int_snd_mixer_elem_t___GENPT___long_long
#define snd_mixer_selem_set_playback_volume_range_FORMAT FORMAT_int_snd_mixer_elem_t___GENPT___long_long
#define snd_mixer_set_callback_INDEX 1006
#define snd_mixer_set_callback_RETURN void
#define snd_mixer_set_callback_ARG_NAMES obj, val
#define snd_mixer_set_callback_ARG_EXPAND snd_mixer_t * obj, snd_mixer_callback_t val
#define snd_mixer_set_callback_PACKED PACKED_void_snd_mixer_t___GENPT___snd_mixer_callback_t
#define snd_mixer_set_callback_INDEXED INDEXED_void_snd_mixer_t___GENPT___snd_mixer_callback_t
#define snd_mixer_set_callback_FORMAT FORMAT_void_snd_mixer_t___GENPT___snd_mixer_callback_t
#define snd_mixer_set_callback_private_INDEX 1007
#define snd_mixer_set_callback_private_RETURN void
#define snd_mixer_set_callback_private_ARG_NAMES obj, val
#define snd_mixer_set_callback_private_ARG_EXPAND snd_mixer_t * obj, void * val
#define snd_mixer_set_callback_private_PACKED PACKED_void_snd_mixer_t___GENPT___void___GENPT__
#define snd_mixer_set_callback_private_INDEXED INDEXED_void_snd_mixer_t___GENPT___void___GENPT__
#define snd_mixer_set_callback_private_FORMAT FORMAT_void_snd_mixer_t___GENPT___void___GENPT__
#define snd_mixer_set_compare_INDEX 1008
#define snd_mixer_set_compare_RETURN int
#define snd_mixer_set_compare_ARG_NAMES mixer, msort
#define snd_mixer_set_compare_ARG_EXPAND snd_mixer_t * mixer, snd_mixer_compare_t msort
#define snd_mixer_set_compare_PACKED PACKED_int_snd_mixer_t___GENPT___snd_mixer_compare_t
#define snd_mixer_set_compare_INDEXED INDEXED_int_snd_mixer_t___GENPT___snd_mixer_compare_t
#define snd_mixer_set_compare_FORMAT FORMAT_int_snd_mixer_t___GENPT___snd_mixer_compare_t
#define snd_mixer_wait_INDEX 1009
#define snd_mixer_wait_RETURN int
#define snd_mixer_wait_ARG_NAMES mixer, timeout
#define snd_mixer_wait_ARG_EXPAND snd_mixer_t * mixer, int timeout
#define snd_mixer_wait_PACKED PACKED_int_snd_mixer_t___GENPT___int
#define snd_mixer_wait_INDEXED INDEXED_int_snd_mixer_t___GENPT___int
#define snd_mixer_wait_FORMAT FORMAT_int_snd_mixer_t___GENPT___int
#define snd_names_list_INDEX 1010
#define snd_names_list_RETURN int
#define snd_names_list_ARG_NAMES iface, list
#define snd_names_list_ARG_EXPAND const char * iface, snd_devname_t ** list
#define snd_names_list_PACKED PACKED_int_const_char___GENPT___snd_devname_t___GENPT____GENPT__
#define snd_names_list_INDEXED INDEXED_int_const_char___GENPT___snd_devname_t___GENPT____GENPT__
#define snd_names_list_FORMAT FORMAT_int_const_char___GENPT___snd_devname_t___GENPT____GENPT__
#define snd_names_list_free_INDEX 1011
#define snd_names_list_free_RETURN void
#define snd_names_list_free_ARG_NAMES list
#define snd_names_list_free_ARG_EXPAND snd_devname_t * list
#define snd_names_list_free_PACKED PACKED_void_snd_devname_t___GENPT__
#define snd_names_list_free_INDEXED INDEXED_void_snd_devname_t___GENPT__
#define snd_names_list_free_FORMAT FORMAT_void_snd_devname_t___GENPT__
#define snd_output_buffer_open_INDEX 1012
#define snd_output_buffer_open_RETURN int
#define snd_output_buffer_open_ARG_NAMES outputp
#define snd_output_buffer_open_ARG_EXPAND snd_output_t ** outputp
#define snd_output_buffer_open_PACKED PACKED_int_snd_output_t___GENPT____GENPT__
#define snd_output_buffer_open_INDEXED INDEXED_int_snd_output_t___GENPT____GENPT__
#define snd_output_buffer_open_FORMAT FORMAT_int_snd_output_t___GENPT____GENPT__
#define snd_output_buffer_string_INDEX 1013
#define snd_output_buffer_string_RETURN size_t
#define snd_output_buffer_string_ARG_NAMES output, buf
#define snd_output_buffer_string_ARG_EXPAND snd_output_t * output, char ** buf
#define snd_output_buffer_string_PACKED PACKED_size_t_snd_output_t___GENPT___char___GENPT____GENPT__
#define snd_output_buffer_string_INDEXED INDEXED_size_t_snd_output_t___GENPT___char___GENPT____GENPT__
#define snd_output_buffer_string_FORMAT FORMAT_size_t_snd_output_t___GENPT___char___GENPT____GENPT__
#define snd_output_close_INDEX 1014
#define snd_output_close_RETURN int
#define snd_output_close_ARG_NAMES output
#define snd_output_close_ARG_EXPAND snd_output_t * output
#define snd_output_close_PACKED PACKED_int_snd_output_t___GENPT__
#define snd_output_close_INDEXED INDEXED_int_snd_output_t___GENPT__
#define snd_output_close_FORMAT FORMAT_int_snd_output_t___GENPT__
#define snd_output_flush_INDEX 1015
#define snd_output_flush_RETURN int
#define snd_output_flush_ARG_NAMES output
#define snd_output_flush_ARG_EXPAND snd_output_t * output
#define snd_output_flush_PACKED PACKED_int_snd_output_t___GENPT__
#define snd_output_flush_INDEXED INDEXED_int_snd_output_t___GENPT__
#define snd_output_flush_FORMAT FORMAT_int_snd_output_t___GENPT__
#define snd_output_putc_INDEX 1016
#define snd_output_putc_RETURN int
#define snd_output_putc_ARG_NAMES output, c
#define snd_output_putc_ARG_EXPAND snd_output_t * output, int c
#define snd_output_putc_PACKED PACKED_int_snd_output_t___GENPT___int
#define snd_output_putc_INDEXED INDEXED_int_snd_output_t___GENPT___int
#define snd_output_putc_FORMAT FORMAT_int_snd_output_t___GENPT___int
#define snd_output_puts_INDEX 1017
#define snd_output_puts_RETURN int
#define snd_output_puts_ARG_NAMES output, str
#define snd_output_puts_ARG_EXPAND snd_output_t * output, const char * str
#define snd_output_puts_PACKED PACKED_int_snd_output_t___GENPT___const_char___GENPT__
#define snd_output_puts_INDEXED INDEXED_int_snd_output_t___GENPT___const_char___GENPT__
#define snd_output_puts_FORMAT FORMAT_int_snd_output_t___GENPT___const_char___GENPT__
#define snd_output_stdio_attach_INDEX 1018
#define snd_output_stdio_attach_RETURN int
#define snd_output_stdio_attach_ARG_NAMES outputp, fp, _close
#define snd_output_stdio_attach_ARG_EXPAND snd_output_t ** outputp, FILE * fp, int _close
#define snd_output_stdio_attach_PACKED PACKED_int_snd_output_t___GENPT____GENPT___FILE___GENPT___int
#define snd_output_stdio_attach_INDEXED INDEXED_int_snd_output_t___GENPT____GENPT___FILE___GENPT___int
#define snd_output_stdio_attach_FORMAT FORMAT_int_snd_output_t___GENPT____GENPT___FILE___GENPT___int
#define snd_output_stdio_open_INDEX 1019
#define snd_output_stdio_open_RETURN int
#define snd_output_stdio_open_ARG_NAMES outputp, file, mode
#define snd_output_stdio_open_ARG_EXPAND snd_output_t ** outputp, const char * file, const char * mode
#define snd_output_stdio_open_PACKED PACKED_int_snd_output_t___GENPT____GENPT___const_char___GENPT___const_char___GENPT__
#define snd_output_stdio_open_INDEXED INDEXED_int_snd_output_t___GENPT____GENPT___const_char___GENPT___const_char___GENPT__
#define snd_output_stdio_open_FORMAT FORMAT_int_snd_output_t___GENPT____GENPT___const_char___GENPT___const_char___GENPT__
#define snd_output_vprintf_INDEX 1020
#define snd_output_vprintf_RETURN int
#define snd_output_vprintf_ARG_NAMES output, format, args
#define snd_output_vprintf_ARG_EXPAND snd_output_t * output, const char * format, va_list args
#define snd_output_vprintf_PACKED PACKED_int_snd_output_t___GENPT___const_char___GENPT___va_list
#define snd_output_vprintf_INDEXED INDEXED_int_snd_output_t___GENPT___const_char___GENPT___va_list
#define snd_output_vprintf_FORMAT FORMAT_int_snd_output_t___GENPT___const_char___GENPT___va_list
#define snd_pcm_access_mask_any_INDEX 1021
#define snd_pcm_access_mask_any_RETURN void
#define snd_pcm_access_mask_any_ARG_NAMES mask
#define snd_pcm_access_mask_any_ARG_EXPAND snd_pcm_access_mask_t * mask
#define snd_pcm_access_mask_any_PACKED PACKED_void_snd_pcm_access_mask_t___GENPT__
#define snd_pcm_access_mask_any_INDEXED INDEXED_void_snd_pcm_access_mask_t___GENPT__
#define snd_pcm_access_mask_any_FORMAT FORMAT_void_snd_pcm_access_mask_t___GENPT__
#define snd_pcm_access_mask_copy_INDEX 1022
#define snd_pcm_access_mask_copy_RETURN void
#define snd_pcm_access_mask_copy_ARG_NAMES dst, src
#define snd_pcm_access_mask_copy_ARG_EXPAND snd_pcm_access_mask_t * dst, const snd_pcm_access_mask_t * src
#define snd_pcm_access_mask_copy_PACKED PACKED_void_snd_pcm_access_mask_t___GENPT___const_snd_pcm_access_mask_t___GENPT__
#define snd_pcm_access_mask_copy_INDEXED INDEXED_void_snd_pcm_access_mask_t___GENPT___const_snd_pcm_access_mask_t___GENPT__
#define snd_pcm_access_mask_copy_FORMAT FORMAT_void_snd_pcm_access_mask_t___GENPT___const_snd_pcm_access_mask_t___GENPT__
#define snd_pcm_access_mask_empty_INDEX 1023
#define snd_pcm_access_mask_empty_RETURN int
#define snd_pcm_access_mask_empty_ARG_NAMES mask
#define snd_pcm_access_mask_empty_ARG_EXPAND const snd_pcm_access_mask_t * mask
#define snd_pcm_access_mask_empty_PACKED PACKED_int_const_snd_pcm_access_mask_t___GENPT__
#define snd_pcm_access_mask_empty_INDEXED INDEXED_int_const_snd_pcm_access_mask_t___GENPT__
#define snd_pcm_access_mask_empty_FORMAT FORMAT_int_const_snd_pcm_access_mask_t___GENPT__
#define snd_pcm_access_mask_free_INDEX 1024
#define snd_pcm_access_mask_free_RETURN void
#define snd_pcm_access_mask_free_ARG_NAMES obj
#define snd_pcm_access_mask_free_ARG_EXPAND snd_pcm_access_mask_t * obj
#define snd_pcm_access_mask_free_PACKED PACKED_void_snd_pcm_access_mask_t___GENPT__
#define snd_pcm_access_mask_free_INDEXED INDEXED_void_snd_pcm_access_mask_t___GENPT__
#define snd_pcm_access_mask_free_FORMAT FORMAT_void_snd_pcm_access_mask_t___GENPT__
#define snd_pcm_access_mask_malloc_INDEX 1025
#define snd_pcm_access_mask_malloc_RETURN int
#define snd_pcm_access_mask_malloc_ARG_NAMES ptr
#define snd_pcm_access_mask_malloc_ARG_EXPAND snd_pcm_access_mask_t ** ptr
#define snd_pcm_access_mask_malloc_PACKED PACKED_int_snd_pcm_access_mask_t___GENPT____GENPT__
#define snd_pcm_access_mask_malloc_INDEXED INDEXED_int_snd_pcm_access_mask_t___GENPT____GENPT__
#define snd_pcm_access_mask_malloc_FORMAT FORMAT_int_snd_pcm_access_mask_t___GENPT____GENPT__
#define snd_pcm_access_mask_none_INDEX 1026
#define snd_pcm_access_mask_none_RETURN void
#define snd_pcm_access_mask_none_ARG_NAMES mask
#define snd_pcm_access_mask_none_ARG_EXPAND snd_pcm_access_mask_t * mask
#define snd_pcm_access_mask_none_PACKED PACKED_void_snd_pcm_access_mask_t___GENPT__
#define snd_pcm_access_mask_none_INDEXED INDEXED_void_snd_pcm_access_mask_t___GENPT__
#define snd_pcm_access_mask_none_FORMAT FORMAT_void_snd_pcm_access_mask_t___GENPT__
#define snd_pcm_access_mask_reset_INDEX 1027
#define snd_pcm_access_mask_reset_RETURN void
#define snd_pcm_access_mask_reset_ARG_NAMES mask, val
#define snd_pcm_access_mask_reset_ARG_EXPAND snd_pcm_access_mask_t * mask, snd_pcm_access_t val
#define snd_pcm_access_mask_reset_PACKED PACKED_void_snd_pcm_access_mask_t___GENPT___snd_pcm_access_t
#define snd_pcm_access_mask_reset_INDEXED INDEXED_void_snd_pcm_access_mask_t___GENPT___snd_pcm_access_t
#define snd_pcm_access_mask_reset_FORMAT FORMAT_void_snd_pcm_access_mask_t___GENPT___snd_pcm_access_t
#define snd_pcm_access_mask_set_INDEX 1028
#define snd_pcm_access_mask_set_RETURN void
#define snd_pcm_access_mask_set_ARG_NAMES mask, val
#define snd_pcm_access_mask_set_ARG_EXPAND snd_pcm_access_mask_t * mask, snd_pcm_access_t val
#define snd_pcm_access_mask_set_PACKED PACKED_void_snd_pcm_access_mask_t___GENPT___snd_pcm_access_t
#define snd_pcm_access_mask_set_INDEXED INDEXED_void_snd_pcm_access_mask_t___GENPT___snd_pcm_access_t
#define snd_pcm_access_mask_set_FORMAT FORMAT_void_snd_pcm_access_mask_t___GENPT___snd_pcm_access_t
#define snd_pcm_access_mask_sizeof_INDEX 1029
#define snd_pcm_access_mask_sizeof_RETURN size_t
#define snd_pcm_access_mask_sizeof_ARG_NAMES 
#define snd_pcm_access_mask_sizeof_ARG_EXPAND 
#define snd_pcm_access_mask_sizeof_PACKED PACKED_size_t
#define snd_pcm_access_mask_sizeof_INDEXED INDEXED_size_t
#define snd_pcm_access_mask_sizeof_FORMAT FORMAT_size_t
#define snd_pcm_access_mask_test_INDEX 1030
#define snd_pcm_access_mask_test_RETURN int
#define snd_pcm_access_mask_test_ARG_NAMES mask, val
#define snd_pcm_access_mask_test_ARG_EXPAND const snd_pcm_access_mask_t * mask, snd_pcm_access_t val
#define snd_pcm_access_mask_test_PACKED PACKED_int_const_snd_pcm_access_mask_t___GENPT___snd_pcm_access_t
#define snd_pcm_access_mask_test_INDEXED INDEXED_int_const_snd_pcm_access_mask_t___GENPT___snd_pcm_access_t
#define snd_pcm_access_mask_test_FORMAT FORMAT_int_const_snd_pcm_access_mask_t___GENPT___snd_pcm_access_t
#define snd_pcm_access_name_INDEX 1031
#define snd_pcm_access_name_RETURN const char *
#define snd_pcm_access_name_ARG_NAMES _access
#define snd_pcm_access_name_ARG_EXPAND const snd_pcm_access_t _access
#define snd_pcm_access_name_PACKED PACKED_const_char___GENPT___const_snd_pcm_access_t
#define snd_pcm_access_name_INDEXED INDEXED_const_char___GENPT___const_snd_pcm_access_t
#define snd_pcm_access_name_FORMAT FORMAT_const_char___GENPT___const_snd_pcm_access_t
#define snd_pcm_area_copy_INDEX 1032
#define snd_pcm_area_copy_RETURN int
#define snd_pcm_area_copy_ARG_NAMES dst_channel, dst_offset, src_channel, src_offset, samples, format
#define snd_pcm_area_copy_ARG_EXPAND const snd_pcm_channel_area_t * dst_channel, snd_pcm_uframes_t dst_offset, const snd_pcm_channel_area_t * src_channel, snd_pcm_uframes_t src_offset, unsigned int samples, snd_pcm_format_t format
#define snd_pcm_area_copy_PACKED PACKED_int_const_snd_pcm_channel_area_t___GENPT___snd_pcm_uframes_t_const_snd_pcm_channel_area_t___GENPT___snd_pcm_uframes_t_unsigned_int_snd_pcm_format_t
#define snd_pcm_area_copy_INDEXED INDEXED_int_const_snd_pcm_channel_area_t___GENPT___snd_pcm_uframes_t_const_snd_pcm_channel_area_t___GENPT___snd_pcm_uframes_t_unsigned_int_snd_pcm_format_t
#define snd_pcm_area_copy_FORMAT FORMAT_int_const_snd_pcm_channel_area_t___GENPT___snd_pcm_uframes_t_const_snd_pcm_channel_area_t___GENPT___snd_pcm_uframes_t_unsigned_int_snd_pcm_format_t
#define snd_pcm_area_silence_INDEX 1033
#define snd_pcm_area_silence_RETURN int
#define snd_pcm_area_silence_ARG_NAMES dst_channel, dst_offset, samples, format
#define snd_pcm_area_silence_ARG_EXPAND const snd_pcm_channel_area_t * dst_channel, snd_pcm_uframes_t dst_offset, unsigned int samples, snd_pcm_format_t format
#define snd_pcm_area_silence_PACKED PACKED_int_const_snd_pcm_channel_area_t___GENPT___snd_pcm_uframes_t_unsigned_int_snd_pcm_format_t
#define snd_pcm_area_silence_INDEXED INDEXED_int_const_snd_pcm_channel_area_t___GENPT___snd_pcm_uframes_t_unsigned_int_snd_pcm_format_t
#define snd_pcm_area_silence_FORMAT FORMAT_int_const_snd_pcm_channel_area_t___GENPT___snd_pcm_uframes_t_unsigned_int_snd_pcm_format_t
#define snd_pcm_areas_copy_INDEX 1034
#define snd_pcm_areas_copy_RETURN int
#define snd_pcm_areas_copy_ARG_NAMES dst_channels, dst_offset, src_channels, src_offset, channels, frames, format
#define snd_pcm_areas_copy_ARG_EXPAND const snd_pcm_channel_area_t * dst_channels, snd_pcm_uframes_t dst_offset, const snd_pcm_channel_area_t * src_channels, snd_pcm_uframes_t src_offset, unsigned int channels, snd_pcm_uframes_t frames, snd_pcm_format_t format
#define snd_pcm_areas_copy_PACKED PACKED_int_const_snd_pcm_channel_area_t___GENPT___snd_pcm_uframes_t_const_snd_pcm_channel_area_t___GENPT___snd_pcm_uframes_t_unsigned_int_snd_pcm_uframes_t_snd_pcm_format_t
#define snd_pcm_areas_copy_INDEXED INDEXED_int_const_snd_pcm_channel_area_t___GENPT___snd_pcm_uframes_t_const_snd_pcm_channel_area_t___GENPT___snd_pcm_uframes_t_unsigned_int_snd_pcm_uframes_t_snd_pcm_format_t
#define snd_pcm_areas_copy_FORMAT FORMAT_int_const_snd_pcm_channel_area_t___GENPT___snd_pcm_uframes_t_const_snd_pcm_channel_area_t___GENPT___snd_pcm_uframes_t_unsigned_int_snd_pcm_uframes_t_snd_pcm_format_t
#define snd_pcm_areas_silence_INDEX 1035
#define snd_pcm_areas_silence_RETURN int
#define snd_pcm_areas_silence_ARG_NAMES dst_channels, dst_offset, channels, frames, format
#define snd_pcm_areas_silence_ARG_EXPAND const snd_pcm_channel_area_t * dst_channels, snd_pcm_uframes_t dst_offset, unsigned int channels, snd_pcm_uframes_t frames, snd_pcm_format_t format
#define snd_pcm_areas_silence_PACKED PACKED_int_const_snd_pcm_channel_area_t___GENPT___snd_pcm_uframes_t_unsigned_int_snd_pcm_uframes_t_snd_pcm_format_t
#define snd_pcm_areas_silence_INDEXED INDEXED_int_const_snd_pcm_channel_area_t___GENPT___snd_pcm_uframes_t_unsigned_int_snd_pcm_uframes_t_snd_pcm_format_t
#define snd_pcm_areas_silence_FORMAT FORMAT_int_const_snd_pcm_channel_area_t___GENPT___snd_pcm_uframes_t_unsigned_int_snd_pcm_uframes_t_snd_pcm_format_t
#define snd_pcm_avail_update_INDEX 1036
#define snd_pcm_avail_update_RETURN snd_pcm_sframes_t
#define snd_pcm_avail_update_ARG_NAMES pcm
#define snd_pcm_avail_update_ARG_EXPAND snd_pcm_t * pcm
#define snd_pcm_avail_update_PACKED PACKED_snd_pcm_sframes_t_snd_pcm_t___GENPT__
#define snd_pcm_avail_update_INDEXED INDEXED_snd_pcm_sframes_t_snd_pcm_t___GENPT__
#define snd_pcm_avail_update_FORMAT FORMAT_snd_pcm_sframes_t_snd_pcm_t___GENPT__
#define snd_pcm_build_linear_format_INDEX 1037
#define snd_pcm_build_linear_format_RETURN snd_pcm_format_t
#define snd_pcm_build_linear_format_ARG_NAMES width, pwidth, unsignd, big_endian
#define snd_pcm_build_linear_format_ARG_EXPAND int width, int pwidth, int unsignd, int big_endian
#define snd_pcm_build_linear_format_PACKED PACKED_snd_pcm_format_t_int_int_int_int
#define snd_pcm_build_linear_format_INDEXED INDEXED_snd_pcm_format_t_int_int_int_int
#define snd_pcm_build_linear_format_FORMAT FORMAT_snd_pcm_format_t_int_int_int_int
#define snd_pcm_bytes_to_frames_INDEX 1038
#define snd_pcm_bytes_to_frames_RETURN snd_pcm_sframes_t
#define snd_pcm_bytes_to_frames_ARG_NAMES pcm, bytes
#define snd_pcm_bytes_to_frames_ARG_EXPAND snd_pcm_t * pcm, ssize_t bytes
#define snd_pcm_bytes_to_frames_PACKED PACKED_snd_pcm_sframes_t_snd_pcm_t___GENPT___ssize_t
#define snd_pcm_bytes_to_frames_INDEXED INDEXED_snd_pcm_sframes_t_snd_pcm_t___GENPT___ssize_t
#define snd_pcm_bytes_to_frames_FORMAT FORMAT_snd_pcm_sframes_t_snd_pcm_t___GENPT___ssize_t
#define snd_pcm_bytes_to_samples_INDEX 1039
#define snd_pcm_bytes_to_samples_RETURN long
#define snd_pcm_bytes_to_samples_ARG_NAMES pcm, bytes
#define snd_pcm_bytes_to_samples_ARG_EXPAND snd_pcm_t * pcm, ssize_t bytes
#define snd_pcm_bytes_to_samples_PACKED PACKED_long_snd_pcm_t___GENPT___ssize_t
#define snd_pcm_bytes_to_samples_INDEXED INDEXED_long_snd_pcm_t___GENPT___ssize_t
#define snd_pcm_bytes_to_samples_FORMAT FORMAT_long_snd_pcm_t___GENPT___ssize_t
#define snd_pcm_close_INDEX 1040
#define snd_pcm_close_RETURN int
#define snd_pcm_close_ARG_NAMES pcm
#define snd_pcm_close_ARG_EXPAND snd_pcm_t * pcm
#define snd_pcm_close_PACKED PACKED_int_snd_pcm_t___GENPT__
#define snd_pcm_close_INDEXED INDEXED_int_snd_pcm_t___GENPT__
#define snd_pcm_close_FORMAT FORMAT_int_snd_pcm_t___GENPT__
#define snd_pcm_delay_INDEX 1041
#define snd_pcm_delay_RETURN int
#define snd_pcm_delay_ARG_NAMES pcm, delayp
#define snd_pcm_delay_ARG_EXPAND snd_pcm_t * pcm, snd_pcm_sframes_t * delayp
#define snd_pcm_delay_PACKED PACKED_int_snd_pcm_t___GENPT___snd_pcm_sframes_t___GENPT__
#define snd_pcm_delay_INDEXED INDEXED_int_snd_pcm_t___GENPT___snd_pcm_sframes_t___GENPT__
#define snd_pcm_delay_FORMAT FORMAT_int_snd_pcm_t___GENPT___snd_pcm_sframes_t___GENPT__
#define snd_pcm_drain_INDEX 1042
#define snd_pcm_drain_RETURN int
#define snd_pcm_drain_ARG_NAMES pcm
#define snd_pcm_drain_ARG_EXPAND snd_pcm_t * pcm
#define snd_pcm_drain_PACKED PACKED_int_snd_pcm_t___GENPT__
#define snd_pcm_drain_INDEXED INDEXED_int_snd_pcm_t___GENPT__
#define snd_pcm_drain_FORMAT FORMAT_int_snd_pcm_t___GENPT__
#define snd_pcm_drop_INDEX 1043
#define snd_pcm_drop_RETURN int
#define snd_pcm_drop_ARG_NAMES pcm
#define snd_pcm_drop_ARG_EXPAND snd_pcm_t * pcm
#define snd_pcm_drop_PACKED PACKED_int_snd_pcm_t___GENPT__
#define snd_pcm_drop_INDEXED INDEXED_int_snd_pcm_t___GENPT__
#define snd_pcm_drop_FORMAT FORMAT_int_snd_pcm_t___GENPT__
#define snd_pcm_dump_INDEX 1044
#define snd_pcm_dump_RETURN int
#define snd_pcm_dump_ARG_NAMES pcm, out
#define snd_pcm_dump_ARG_EXPAND snd_pcm_t * pcm, snd_output_t * out
#define snd_pcm_dump_PACKED PACKED_int_snd_pcm_t___GENPT___snd_output_t___GENPT__
#define snd_pcm_dump_INDEXED INDEXED_int_snd_pcm_t___GENPT___snd_output_t___GENPT__
#define snd_pcm_dump_FORMAT FORMAT_int_snd_pcm_t___GENPT___snd_output_t___GENPT__
#define snd_pcm_dump_hw_setup_INDEX 1045
#define snd_pcm_dump_hw_setup_RETURN int
#define snd_pcm_dump_hw_setup_ARG_NAMES pcm, out
#define snd_pcm_dump_hw_setup_ARG_EXPAND snd_pcm_t * pcm, snd_output_t * out
#define snd_pcm_dump_hw_setup_PACKED PACKED_int_snd_pcm_t___GENPT___snd_output_t___GENPT__
#define snd_pcm_dump_hw_setup_INDEXED INDEXED_int_snd_pcm_t___GENPT___snd_output_t___GENPT__
#define snd_pcm_dump_hw_setup_FORMAT FORMAT_int_snd_pcm_t___GENPT___snd_output_t___GENPT__
#define snd_pcm_dump_setup_INDEX 1046
#define snd_pcm_dump_setup_RETURN int
#define snd_pcm_dump_setup_ARG_NAMES pcm, out
#define snd_pcm_dump_setup_ARG_EXPAND snd_pcm_t * pcm, snd_output_t * out
#define snd_pcm_dump_setup_PACKED PACKED_int_snd_pcm_t___GENPT___snd_output_t___GENPT__
#define snd_pcm_dump_setup_INDEXED INDEXED_int_snd_pcm_t___GENPT___snd_output_t___GENPT__
#define snd_pcm_dump_setup_FORMAT FORMAT_int_snd_pcm_t___GENPT___snd_output_t___GENPT__
#define snd_pcm_dump_sw_setup_INDEX 1047
#define snd_pcm_dump_sw_setup_RETURN int
#define snd_pcm_dump_sw_setup_ARG_NAMES pcm, out
#define snd_pcm_dump_sw_setup_ARG_EXPAND snd_pcm_t * pcm, snd_output_t * out
#define snd_pcm_dump_sw_setup_PACKED PACKED_int_snd_pcm_t___GENPT___snd_output_t___GENPT__
#define snd_pcm_dump_sw_setup_INDEXED INDEXED_int_snd_pcm_t___GENPT___snd_output_t___GENPT__
#define snd_pcm_dump_sw_setup_FORMAT FORMAT_int_snd_pcm_t___GENPT___snd_output_t___GENPT__
#define snd_pcm_format_big_endian_INDEX 1048
#define snd_pcm_format_big_endian_RETURN int
#define snd_pcm_format_big_endian_ARG_NAMES format
#define snd_pcm_format_big_endian_ARG_EXPAND snd_pcm_format_t format
#define snd_pcm_format_big_endian_PACKED PACKED_int_snd_pcm_format_t
#define snd_pcm_format_big_endian_INDEXED INDEXED_int_snd_pcm_format_t
#define snd_pcm_format_big_endian_FORMAT FORMAT_int_snd_pcm_format_t
#define snd_pcm_format_cpu_endian_INDEX 1049
#define snd_pcm_format_cpu_endian_RETURN int
#define snd_pcm_format_cpu_endian_ARG_NAMES format
#define snd_pcm_format_cpu_endian_ARG_EXPAND snd_pcm_format_t format
#define snd_pcm_format_cpu_endian_PACKED PACKED_int_snd_pcm_format_t
#define snd_pcm_format_cpu_endian_INDEXED INDEXED_int_snd_pcm_format_t
#define snd_pcm_format_cpu_endian_FORMAT FORMAT_int_snd_pcm_format_t
#define snd_pcm_format_description_INDEX 1050
#define snd_pcm_format_description_RETURN const char *
#define snd_pcm_format_description_ARG_NAMES format
#define snd_pcm_format_description_ARG_EXPAND const snd_pcm_format_t format
#define snd_pcm_format_description_PACKED PACKED_const_char___GENPT___const_snd_pcm_format_t
#define snd_pcm_format_description_INDEXED INDEXED_const_char___GENPT___const_snd_pcm_format_t
#define snd_pcm_format_description_FORMAT FORMAT_const_char___GENPT___const_snd_pcm_format_t
#define snd_pcm_format_float_INDEX 1051
#define snd_pcm_format_float_RETURN int
#define snd_pcm_format_float_ARG_NAMES format
#define snd_pcm_format_float_ARG_EXPAND snd_pcm_format_t format
#define snd_pcm_format_float_PACKED PACKED_int_snd_pcm_format_t
#define snd_pcm_format_float_INDEXED INDEXED_int_snd_pcm_format_t
#define snd_pcm_format_float_FORMAT FORMAT_int_snd_pcm_format_t
#define snd_pcm_format_linear_INDEX 1052
#define snd_pcm_format_linear_RETURN int
#define snd_pcm_format_linear_ARG_NAMES format
#define snd_pcm_format_linear_ARG_EXPAND snd_pcm_format_t format
#define snd_pcm_format_linear_PACKED PACKED_int_snd_pcm_format_t
#define snd_pcm_format_linear_INDEXED INDEXED_int_snd_pcm_format_t
#define snd_pcm_format_linear_FORMAT FORMAT_int_snd_pcm_format_t
#define snd_pcm_format_little_endian_INDEX 1053
#define snd_pcm_format_little_endian_RETURN int
#define snd_pcm_format_little_endian_ARG_NAMES format
#define snd_pcm_format_little_endian_ARG_EXPAND snd_pcm_format_t format
#define snd_pcm_format_little_endian_PACKED PACKED_int_snd_pcm_format_t
#define snd_pcm_format_little_endian_INDEXED INDEXED_int_snd_pcm_format_t
#define snd_pcm_format_little_endian_FORMAT FORMAT_int_snd_pcm_format_t
#define snd_pcm_format_mask_any_INDEX 1054
#define snd_pcm_format_mask_any_RETURN void
#define snd_pcm_format_mask_any_ARG_NAMES mask
#define snd_pcm_format_mask_any_ARG_EXPAND snd_pcm_format_mask_t * mask
#define snd_pcm_format_mask_any_PACKED PACKED_void_snd_pcm_format_mask_t___GENPT__
#define snd_pcm_format_mask_any_INDEXED INDEXED_void_snd_pcm_format_mask_t___GENPT__
#define snd_pcm_format_mask_any_FORMAT FORMAT_void_snd_pcm_format_mask_t___GENPT__
#define snd_pcm_format_mask_copy_INDEX 1055
#define snd_pcm_format_mask_copy_RETURN void
#define snd_pcm_format_mask_copy_ARG_NAMES dst, src
#define snd_pcm_format_mask_copy_ARG_EXPAND snd_pcm_format_mask_t * dst, const snd_pcm_format_mask_t * src
#define snd_pcm_format_mask_copy_PACKED PACKED_void_snd_pcm_format_mask_t___GENPT___const_snd_pcm_format_mask_t___GENPT__
#define snd_pcm_format_mask_copy_INDEXED INDEXED_void_snd_pcm_format_mask_t___GENPT___const_snd_pcm_format_mask_t___GENPT__
#define snd_pcm_format_mask_copy_FORMAT FORMAT_void_snd_pcm_format_mask_t___GENPT___const_snd_pcm_format_mask_t___GENPT__
#define snd_pcm_format_mask_empty_INDEX 1056
#define snd_pcm_format_mask_empty_RETURN int
#define snd_pcm_format_mask_empty_ARG_NAMES mask
#define snd_pcm_format_mask_empty_ARG_EXPAND const snd_pcm_format_mask_t * mask
#define snd_pcm_format_mask_empty_PACKED PACKED_int_const_snd_pcm_format_mask_t___GENPT__
#define snd_pcm_format_mask_empty_INDEXED INDEXED_int_const_snd_pcm_format_mask_t___GENPT__
#define snd_pcm_format_mask_empty_FORMAT FORMAT_int_const_snd_pcm_format_mask_t___GENPT__
#define snd_pcm_format_mask_free_INDEX 1057
#define snd_pcm_format_mask_free_RETURN void
#define snd_pcm_format_mask_free_ARG_NAMES obj
#define snd_pcm_format_mask_free_ARG_EXPAND snd_pcm_format_mask_t * obj
#define snd_pcm_format_mask_free_PACKED PACKED_void_snd_pcm_format_mask_t___GENPT__
#define snd_pcm_format_mask_free_INDEXED INDEXED_void_snd_pcm_format_mask_t___GENPT__
#define snd_pcm_format_mask_free_FORMAT FORMAT_void_snd_pcm_format_mask_t___GENPT__
#define snd_pcm_format_mask_malloc_INDEX 1058
#define snd_pcm_format_mask_malloc_RETURN int
#define snd_pcm_format_mask_malloc_ARG_NAMES ptr
#define snd_pcm_format_mask_malloc_ARG_EXPAND snd_pcm_format_mask_t ** ptr
#define snd_pcm_format_mask_malloc_PACKED PACKED_int_snd_pcm_format_mask_t___GENPT____GENPT__
#define snd_pcm_format_mask_malloc_INDEXED INDEXED_int_snd_pcm_format_mask_t___GENPT____GENPT__
#define snd_pcm_format_mask_malloc_FORMAT FORMAT_int_snd_pcm_format_mask_t___GENPT____GENPT__
#define snd_pcm_format_mask_none_INDEX 1059
#define snd_pcm_format_mask_none_RETURN void
#define snd_pcm_format_mask_none_ARG_NAMES mask
#define snd_pcm_format_mask_none_ARG_EXPAND snd_pcm_format_mask_t * mask
#define snd_pcm_format_mask_none_PACKED PACKED_void_snd_pcm_format_mask_t___GENPT__
#define snd_pcm_format_mask_none_INDEXED INDEXED_void_snd_pcm_format_mask_t___GENPT__
#define snd_pcm_format_mask_none_FORMAT FORMAT_void_snd_pcm_format_mask_t___GENPT__
#define snd_pcm_format_mask_reset_INDEX 1060
#define snd_pcm_format_mask_reset_RETURN void
#define snd_pcm_format_mask_reset_ARG_NAMES mask, val
#define snd_pcm_format_mask_reset_ARG_EXPAND snd_pcm_format_mask_t * mask, snd_pcm_format_t val
#define snd_pcm_format_mask_reset_PACKED PACKED_void_snd_pcm_format_mask_t___GENPT___snd_pcm_format_t
#define snd_pcm_format_mask_reset_INDEXED INDEXED_void_snd_pcm_format_mask_t___GENPT___snd_pcm_format_t
#define snd_pcm_format_mask_reset_FORMAT FORMAT_void_snd_pcm_format_mask_t___GENPT___snd_pcm_format_t
#define snd_pcm_format_mask_set_INDEX 1061
#define snd_pcm_format_mask_set_RETURN void
#define snd_pcm_format_mask_set_ARG_NAMES mask, val
#define snd_pcm_format_mask_set_ARG_EXPAND snd_pcm_format_mask_t * mask, snd_pcm_format_t val
#define snd_pcm_format_mask_set_PACKED PACKED_void_snd_pcm_format_mask_t___GENPT___snd_pcm_format_t
#define snd_pcm_format_mask_set_INDEXED INDEXED_void_snd_pcm_format_mask_t___GENPT___snd_pcm_format_t
#define snd_pcm_format_mask_set_FORMAT FORMAT_void_snd_pcm_format_mask_t___GENPT___snd_pcm_format_t
#define snd_pcm_format_mask_sizeof_INDEX 1062
#define snd_pcm_format_mask_sizeof_RETURN size_t
#define snd_pcm_format_mask_sizeof_ARG_NAMES 
#define snd_pcm_format_mask_sizeof_ARG_EXPAND 
#define snd_pcm_format_mask_sizeof_PACKED PACKED_size_t
#define snd_pcm_format_mask_sizeof_INDEXED INDEXED_size_t
#define snd_pcm_format_mask_sizeof_FORMAT FORMAT_size_t
#define snd_pcm_format_mask_test_INDEX 1063
#define snd_pcm_format_mask_test_RETURN int
#define snd_pcm_format_mask_test_ARG_NAMES mask, val
#define snd_pcm_format_mask_test_ARG_EXPAND const snd_pcm_format_mask_t * mask, snd_pcm_format_t val
#define snd_pcm_format_mask_test_PACKED PACKED_int_const_snd_pcm_format_mask_t___GENPT___snd_pcm_format_t
#define snd_pcm_format_mask_test_INDEXED INDEXED_int_const_snd_pcm_format_mask_t___GENPT___snd_pcm_format_t
#define snd_pcm_format_mask_test_FORMAT FORMAT_int_const_snd_pcm_format_mask_t___GENPT___snd_pcm_format_t
#define snd_pcm_format_name_INDEX 1064
#define snd_pcm_format_name_RETURN const char *
#define snd_pcm_format_name_ARG_NAMES format
#define snd_pcm_format_name_ARG_EXPAND const snd_pcm_format_t format
#define snd_pcm_format_name_PACKED PACKED_const_char___GENPT___const_snd_pcm_format_t
#define snd_pcm_format_name_INDEXED INDEXED_const_char___GENPT___const_snd_pcm_format_t
#define snd_pcm_format_name_FORMAT FORMAT_const_char___GENPT___const_snd_pcm_format_t
#define snd_pcm_format_physical_width_INDEX 1065
#define snd_pcm_format_physical_width_RETURN int
#define snd_pcm_format_physical_width_ARG_NAMES format
#define snd_pcm_format_physical_width_ARG_EXPAND snd_pcm_format_t format
#define snd_pcm_format_physical_width_PACKED PACKED_int_snd_pcm_format_t
#define snd_pcm_format_physical_width_INDEXED INDEXED_int_snd_pcm_format_t
#define snd_pcm_format_physical_width_FORMAT FORMAT_int_snd_pcm_format_t
#define snd_pcm_format_set_silence_INDEX 1066
#define snd_pcm_format_set_silence_RETURN int
#define snd_pcm_format_set_silence_ARG_NAMES format, buf, samples
#define snd_pcm_format_set_silence_ARG_EXPAND snd_pcm_format_t format, void * buf, unsigned int samples
#define snd_pcm_format_set_silence_PACKED PACKED_int_snd_pcm_format_t_void___GENPT___unsigned_int
#define snd_pcm_format_set_silence_INDEXED INDEXED_int_snd_pcm_format_t_void___GENPT___unsigned_int
#define snd_pcm_format_set_silence_FORMAT FORMAT_int_snd_pcm_format_t_void___GENPT___unsigned_int
#define snd_pcm_format_signed_INDEX 1067
#define snd_pcm_format_signed_RETURN int
#define snd_pcm_format_signed_ARG_NAMES format
#define snd_pcm_format_signed_ARG_EXPAND snd_pcm_format_t format
#define snd_pcm_format_signed_PACKED PACKED_int_snd_pcm_format_t
#define snd_pcm_format_signed_INDEXED INDEXED_int_snd_pcm_format_t
#define snd_pcm_format_signed_FORMAT FORMAT_int_snd_pcm_format_t
#define snd_pcm_format_silence_INDEX 1068
#define snd_pcm_format_silence_RETURN u_int8_t
#define snd_pcm_format_silence_ARG_NAMES format
#define snd_pcm_format_silence_ARG_EXPAND snd_pcm_format_t format
#define snd_pcm_format_silence_PACKED PACKED_u_int8_t_snd_pcm_format_t
#define snd_pcm_format_silence_INDEXED INDEXED_u_int8_t_snd_pcm_format_t
#define snd_pcm_format_silence_FORMAT FORMAT_u_int8_t_snd_pcm_format_t
#define snd_pcm_format_silence_16_INDEX 1069
#define snd_pcm_format_silence_16_RETURN u_int16_t
#define snd_pcm_format_silence_16_ARG_NAMES format
#define snd_pcm_format_silence_16_ARG_EXPAND snd_pcm_format_t format
#define snd_pcm_format_silence_16_PACKED PACKED_u_int16_t_snd_pcm_format_t
#define snd_pcm_format_silence_16_INDEXED INDEXED_u_int16_t_snd_pcm_format_t
#define snd_pcm_format_silence_16_FORMAT FORMAT_u_int16_t_snd_pcm_format_t
#define snd_pcm_format_silence_32_INDEX 1070
#define snd_pcm_format_silence_32_RETURN u_int32_t
#define snd_pcm_format_silence_32_ARG_NAMES format
#define snd_pcm_format_silence_32_ARG_EXPAND snd_pcm_format_t format
#define snd_pcm_format_silence_32_PACKED PACKED_u_int32_t_snd_pcm_format_t
#define snd_pcm_format_silence_32_INDEXED INDEXED_u_int32_t_snd_pcm_format_t
#define snd_pcm_format_silence_32_FORMAT FORMAT_u_int32_t_snd_pcm_format_t
#define snd_pcm_format_silence_64_INDEX 1071
#define snd_pcm_format_silence_64_RETURN u_int64_t
#define snd_pcm_format_silence_64_ARG_NAMES format
#define snd_pcm_format_silence_64_ARG_EXPAND snd_pcm_format_t format
#define snd_pcm_format_silence_64_PACKED PACKED_u_int64_t_snd_pcm_format_t
#define snd_pcm_format_silence_64_INDEXED INDEXED_u_int64_t_snd_pcm_format_t
#define snd_pcm_format_silence_64_FORMAT FORMAT_u_int64_t_snd_pcm_format_t
#define snd_pcm_format_size_INDEX 1072
#define snd_pcm_format_size_RETURN ssize_t
#define snd_pcm_format_size_ARG_NAMES format, samples
#define snd_pcm_format_size_ARG_EXPAND snd_pcm_format_t format, size_t samples
#define snd_pcm_format_size_PACKED PACKED_ssize_t_snd_pcm_format_t_size_t
#define snd_pcm_format_size_INDEXED INDEXED_ssize_t_snd_pcm_format_t_size_t
#define snd_pcm_format_size_FORMAT FORMAT_ssize_t_snd_pcm_format_t_size_t
#define snd_pcm_format_unsigned_INDEX 1073
#define snd_pcm_format_unsigned_RETURN int
#define snd_pcm_format_unsigned_ARG_NAMES format
#define snd_pcm_format_unsigned_ARG_EXPAND snd_pcm_format_t format
#define snd_pcm_format_unsigned_PACKED PACKED_int_snd_pcm_format_t
#define snd_pcm_format_unsigned_INDEXED INDEXED_int_snd_pcm_format_t
#define snd_pcm_format_unsigned_FORMAT FORMAT_int_snd_pcm_format_t
#define snd_pcm_format_value_INDEX 1074
#define snd_pcm_format_value_RETURN snd_pcm_format_t
#define snd_pcm_format_value_ARG_NAMES name
#define snd_pcm_format_value_ARG_EXPAND const char* name
#define snd_pcm_format_value_PACKED PACKED_snd_pcm_format_t_const_char__GENPT__
#define snd_pcm_format_value_INDEXED INDEXED_snd_pcm_format_t_const_char__GENPT__
#define snd_pcm_format_value_FORMAT FORMAT_snd_pcm_format_t_const_char__GENPT__
#define snd_pcm_format_width_INDEX 1075
#define snd_pcm_format_width_RETURN int
#define snd_pcm_format_width_ARG_NAMES format
#define snd_pcm_format_width_ARG_EXPAND snd_pcm_format_t format
#define snd_pcm_format_width_PACKED PACKED_int_snd_pcm_format_t
#define snd_pcm_format_width_INDEXED INDEXED_int_snd_pcm_format_t
#define snd_pcm_format_width_FORMAT FORMAT_int_snd_pcm_format_t
#define snd_pcm_forward_INDEX 1076
#define snd_pcm_forward_RETURN snd_pcm_sframes_t
#define snd_pcm_forward_ARG_NAMES pcm, frames
#define snd_pcm_forward_ARG_EXPAND snd_pcm_t * pcm, snd_pcm_uframes_t frames
#define snd_pcm_forward_PACKED PACKED_snd_pcm_sframes_t_snd_pcm_t___GENPT___snd_pcm_uframes_t
#define snd_pcm_forward_INDEXED INDEXED_snd_pcm_sframes_t_snd_pcm_t___GENPT___snd_pcm_uframes_t
#define snd_pcm_forward_FORMAT FORMAT_snd_pcm_sframes_t_snd_pcm_t___GENPT___snd_pcm_uframes_t
#define snd_pcm_frames_to_bytes_INDEX 1077
#define snd_pcm_frames_to_bytes_RETURN ssize_t
#define snd_pcm_frames_to_bytes_ARG_NAMES pcm, frames
#define snd_pcm_frames_to_bytes_ARG_EXPAND snd_pcm_t * pcm, snd_pcm_sframes_t frames
#define snd_pcm_frames_to_bytes_PACKED PACKED_ssize_t_snd_pcm_t___GENPT___snd_pcm_sframes_t
#define snd_pcm_frames_to_bytes_INDEXED INDEXED_ssize_t_snd_pcm_t___GENPT___snd_pcm_sframes_t
#define snd_pcm_frames_to_bytes_FORMAT FORMAT_ssize_t_snd_pcm_t___GENPT___snd_pcm_sframes_t
#define snd_pcm_get_params_INDEX 1078
#define snd_pcm_get_params_RETURN int
#define snd_pcm_get_params_ARG_NAMES pcm, buffer_size, period_size
#define snd_pcm_get_params_ARG_EXPAND snd_pcm_t * pcm, snd_pcm_uframes_t * buffer_size, snd_pcm_uframes_t * period_size
#define snd_pcm_get_params_PACKED PACKED_int_snd_pcm_t___GENPT___snd_pcm_uframes_t___GENPT___snd_pcm_uframes_t___GENPT__
#define snd_pcm_get_params_INDEXED INDEXED_int_snd_pcm_t___GENPT___snd_pcm_uframes_t___GENPT___snd_pcm_uframes_t___GENPT__
#define snd_pcm_get_params_FORMAT FORMAT_int_snd_pcm_t___GENPT___snd_pcm_uframes_t___GENPT___snd_pcm_uframes_t___GENPT__
#define snd_pcm_hook_add_INDEX 1079
#define snd_pcm_hook_add_RETURN int
#define snd_pcm_hook_add_ARG_NAMES hookp, pcm, type, func, private_data
#define snd_pcm_hook_add_ARG_EXPAND snd_pcm_hook_t ** hookp, snd_pcm_t * pcm, snd_pcm_hook_type_t type, snd_pcm_hook_func_t func, void * private_data
#define snd_pcm_hook_add_PACKED PACKED_int_snd_pcm_hook_t___GENPT____GENPT___snd_pcm_t___GENPT___snd_pcm_hook_type_t_snd_pcm_hook_func_t_void___GENPT__
#define snd_pcm_hook_add_INDEXED INDEXED_int_snd_pcm_hook_t___GENPT____GENPT___snd_pcm_t___GENPT___snd_pcm_hook_type_t_snd_pcm_hook_func_t_void___GENPT__
#define snd_pcm_hook_add_FORMAT FORMAT_int_snd_pcm_hook_t___GENPT____GENPT___snd_pcm_t___GENPT___snd_pcm_hook_type_t_snd_pcm_hook_func_t_void___GENPT__
#define snd_pcm_hook_get_pcm_INDEX 1080
#define snd_pcm_hook_get_pcm_RETURN snd_pcm_t *
#define snd_pcm_hook_get_pcm_ARG_NAMES hook
#define snd_pcm_hook_get_pcm_ARG_EXPAND snd_pcm_hook_t * hook
#define snd_pcm_hook_get_pcm_PACKED PACKED_snd_pcm_t___GENPT___snd_pcm_hook_t___GENPT__
#define snd_pcm_hook_get_pcm_INDEXED INDEXED_snd_pcm_t___GENPT___snd_pcm_hook_t___GENPT__
#define snd_pcm_hook_get_pcm_FORMAT FORMAT_snd_pcm_t___GENPT___snd_pcm_hook_t___GENPT__
#define snd_pcm_hook_get_private_INDEX 1081
#define snd_pcm_hook_get_private_RETURN void *
#define snd_pcm_hook_get_private_ARG_NAMES hook
#define snd_pcm_hook_get_private_ARG_EXPAND snd_pcm_hook_t * hook
#define snd_pcm_hook_get_private_PACKED PACKED_void___GENPT___snd_pcm_hook_t___GENPT__
#define snd_pcm_hook_get_private_INDEXED INDEXED_void___GENPT___snd_pcm_hook_t___GENPT__
#define snd_pcm_hook_get_private_FORMAT FORMAT_void___GENPT___snd_pcm_hook_t___GENPT__
#define snd_pcm_hook_remove_INDEX 1082
#define snd_pcm_hook_remove_RETURN int
#define snd_pcm_hook_remove_ARG_NAMES hook
#define snd_pcm_hook_remove_ARG_EXPAND snd_pcm_hook_t * hook
#define snd_pcm_hook_remove_PACKED PACKED_int_snd_pcm_hook_t___GENPT__
#define snd_pcm_hook_remove_INDEXED INDEXED_int_snd_pcm_hook_t___GENPT__
#define snd_pcm_hook_remove_FORMAT FORMAT_int_snd_pcm_hook_t___GENPT__
#define snd_pcm_hook_set_private_INDEX 1083
#define snd_pcm_hook_set_private_RETURN void
#define snd_pcm_hook_set_private_ARG_NAMES hook, private_data
#define snd_pcm_hook_set_private_ARG_EXPAND snd_pcm_hook_t * hook, void * private_data
#define snd_pcm_hook_set_private_PACKED PACKED_void_snd_pcm_hook_t___GENPT___void___GENPT__
#define snd_pcm_hook_set_private_INDEXED INDEXED_void_snd_pcm_hook_t___GENPT___void___GENPT__
#define snd_pcm_hook_set_private_FORMAT FORMAT_void_snd_pcm_hook_t___GENPT___void___GENPT__
#define snd_pcm_hw_free_INDEX 1084
#define snd_pcm_hw_free_RETURN int
#define snd_pcm_hw_free_ARG_NAMES pcm
#define snd_pcm_hw_free_ARG_EXPAND snd_pcm_t * pcm
#define snd_pcm_hw_free_PACKED PACKED_int_snd_pcm_t___GENPT__
#define snd_pcm_hw_free_INDEXED INDEXED_int_snd_pcm_t___GENPT__
#define snd_pcm_hw_free_FORMAT FORMAT_int_snd_pcm_t___GENPT__
#define snd_pcm_hw_params_INDEX 1085
#define snd_pcm_hw_params_RETURN int
#define snd_pcm_hw_params_ARG_NAMES pcm, params
#define snd_pcm_hw_params_ARG_EXPAND snd_pcm_t * pcm, snd_pcm_hw_params_t * params
#define snd_pcm_hw_params_PACKED PACKED_int_snd_pcm_t___GENPT___snd_pcm_hw_params_t___GENPT__
#define snd_pcm_hw_params_INDEXED INDEXED_int_snd_pcm_t___GENPT___snd_pcm_hw_params_t___GENPT__
#define snd_pcm_hw_params_FORMAT FORMAT_int_snd_pcm_t___GENPT___snd_pcm_hw_params_t___GENPT__
#define snd_pcm_hw_params_any_INDEX 1086
#define snd_pcm_hw_params_any_RETURN int
#define snd_pcm_hw_params_any_ARG_NAMES pcm, params
#define snd_pcm_hw_params_any_ARG_EXPAND snd_pcm_t * pcm, snd_pcm_hw_params_t * params
#define snd_pcm_hw_params_any_PACKED PACKED_int_snd_pcm_t___GENPT___snd_pcm_hw_params_t___GENPT__
#define snd_pcm_hw_params_any_INDEXED INDEXED_int_snd_pcm_t___GENPT___snd_pcm_hw_params_t___GENPT__
#define snd_pcm_hw_params_any_FORMAT FORMAT_int_snd_pcm_t___GENPT___snd_pcm_hw_params_t___GENPT__
#define snd_pcm_hw_params_can_mmap_sample_resolution_INDEX 1087
#define snd_pcm_hw_params_can_mmap_sample_resolution_RETURN int
#define snd_pcm_hw_params_can_mmap_sample_resolution_ARG_NAMES params
#define snd_pcm_hw_params_can_mmap_sample_resolution_ARG_EXPAND const snd_pcm_hw_params_t * params
#define snd_pcm_hw_params_can_mmap_sample_resolution_PACKED PACKED_int_const_snd_pcm_hw_params_t___GENPT__
#define snd_pcm_hw_params_can_mmap_sample_resolution_INDEXED INDEXED_int_const_snd_pcm_hw_params_t___GENPT__
#define snd_pcm_hw_params_can_mmap_sample_resolution_FORMAT FORMAT_int_const_snd_pcm_hw_params_t___GENPT__
#define snd_pcm_hw_params_can_overrange_INDEX 1088
#define snd_pcm_hw_params_can_overrange_RETURN int
#define snd_pcm_hw_params_can_overrange_ARG_NAMES params
#define snd_pcm_hw_params_can_overrange_ARG_EXPAND const snd_pcm_hw_params_t * params
#define snd_pcm_hw_params_can_overrange_PACKED PACKED_int_const_snd_pcm_hw_params_t___GENPT__
#define snd_pcm_hw_params_can_overrange_INDEXED INDEXED_int_const_snd_pcm_hw_params_t___GENPT__
#define snd_pcm_hw_params_can_overrange_FORMAT FORMAT_int_const_snd_pcm_hw_params_t___GENPT__
#define snd_pcm_hw_params_can_pause_INDEX 1089
#define snd_pcm_hw_params_can_pause_RETURN int
#define snd_pcm_hw_params_can_pause_ARG_NAMES params
#define snd_pcm_hw_params_can_pause_ARG_EXPAND const snd_pcm_hw_params_t * params
#define snd_pcm_hw_params_can_pause_PACKED PACKED_int_const_snd_pcm_hw_params_t___GENPT__
#define snd_pcm_hw_params_can_pause_INDEXED INDEXED_int_const_snd_pcm_hw_params_t___GENPT__
#define snd_pcm_hw_params_can_pause_FORMAT FORMAT_int_const_snd_pcm_hw_params_t___GENPT__
#define snd_pcm_hw_params_can_resume_INDEX 1090
#define snd_pcm_hw_params_can_resume_RETURN int
#define snd_pcm_hw_params_can_resume_ARG_NAMES params
#define snd_pcm_hw_params_can_resume_ARG_EXPAND const snd_pcm_hw_params_t * params
#define snd_pcm_hw_params_can_resume_PACKED PACKED_int_const_snd_pcm_hw_params_t___GENPT__
#define snd_pcm_hw_params_can_resume_INDEXED INDEXED_int_const_snd_pcm_hw_params_t___GENPT__
#define snd_pcm_hw_params_can_resume_FORMAT FORMAT_int_const_snd_pcm_hw_params_t___GENPT__
#define snd_pcm_hw_params_can_sync_start_INDEX 1091
#define snd_pcm_hw_params_can_sync_start_RETURN int
#define snd_pcm_hw_params_can_sync_start_ARG_NAMES params
#define snd_pcm_hw_params_can_sync_start_ARG_EXPAND const snd_pcm_hw_params_t * params
#define snd_pcm_hw_params_can_sync_start_PACKED PACKED_int_const_snd_pcm_hw_params_t___GENPT__
#define snd_pcm_hw_params_can_sync_start_INDEXED INDEXED_int_const_snd_pcm_hw_params_t___GENPT__
#define snd_pcm_hw_params_can_sync_start_FORMAT FORMAT_int_const_snd_pcm_hw_params_t___GENPT__
#define snd_pcm_hw_params_copy_INDEX 1092
#define snd_pcm_hw_params_copy_RETURN void
#define snd_pcm_hw_params_copy_ARG_NAMES dst, src
#define snd_pcm_hw_params_copy_ARG_EXPAND snd_pcm_hw_params_t * dst, const snd_pcm_hw_params_t * src
#define snd_pcm_hw_params_copy_PACKED PACKED_void_snd_pcm_hw_params_t___GENPT___const_snd_pcm_hw_params_t___GENPT__
#define snd_pcm_hw_params_copy_INDEXED INDEXED_void_snd_pcm_hw_params_t___GENPT___const_snd_pcm_hw_params_t___GENPT__
#define snd_pcm_hw_params_copy_FORMAT FORMAT_void_snd_pcm_hw_params_t___GENPT___const_snd_pcm_hw_params_t___GENPT__
#define snd_pcm_hw_params_current_INDEX 1093
#define snd_pcm_hw_params_current_RETURN int
#define snd_pcm_hw_params_current_ARG_NAMES pcm, params
#define snd_pcm_hw_params_current_ARG_EXPAND snd_pcm_t * pcm, snd_pcm_hw_params_t * params
#define snd_pcm_hw_params_current_PACKED PACKED_int_snd_pcm_t___GENPT___snd_pcm_hw_params_t___GENPT__
#define snd_pcm_hw_params_current_INDEXED INDEXED_int_snd_pcm_t___GENPT___snd_pcm_hw_params_t___GENPT__
#define snd_pcm_hw_params_current_FORMAT FORMAT_int_snd_pcm_t___GENPT___snd_pcm_hw_params_t___GENPT__
#define snd_pcm_hw_params_dump_INDEX 1094
#define snd_pcm_hw_params_dump_RETURN int
#define snd_pcm_hw_params_dump_ARG_NAMES params, out
#define snd_pcm_hw_params_dump_ARG_EXPAND snd_pcm_hw_params_t * params, snd_output_t * out
#define snd_pcm_hw_params_dump_PACKED PACKED_int_snd_pcm_hw_params_t___GENPT___snd_output_t___GENPT__
#define snd_pcm_hw_params_dump_INDEXED INDEXED_int_snd_pcm_hw_params_t___GENPT___snd_output_t___GENPT__
#define snd_pcm_hw_params_dump_FORMAT FORMAT_int_snd_pcm_hw_params_t___GENPT___snd_output_t___GENPT__
#define snd_pcm_hw_params_free_INDEX 1095
#define snd_pcm_hw_params_free_RETURN void
#define snd_pcm_hw_params_free_ARG_NAMES obj
#define snd_pcm_hw_params_free_ARG_EXPAND snd_pcm_hw_params_t * obj
#define snd_pcm_hw_params_free_PACKED PACKED_void_snd_pcm_hw_params_t___GENPT__
#define snd_pcm_hw_params_free_INDEXED INDEXED_void_snd_pcm_hw_params_t___GENPT__
#define snd_pcm_hw_params_free_FORMAT FORMAT_void_snd_pcm_hw_params_t___GENPT__
#define snd_pcm_hw_params_get_access_INDEX 1096
#define snd_pcm_hw_params_get_access_RETURN int
#define snd_pcm_hw_params_get_access_ARG_NAMES params, _access
#define snd_pcm_hw_params_get_access_ARG_EXPAND const snd_pcm_hw_params_t * params, snd_pcm_access_t * _access
#define snd_pcm_hw_params_get_access_PACKED PACKED_int_const_snd_pcm_hw_params_t___GENPT___snd_pcm_access_t___GENPT__
#define snd_pcm_hw_params_get_access_INDEXED INDEXED_int_const_snd_pcm_hw_params_t___GENPT___snd_pcm_access_t___GENPT__
#define snd_pcm_hw_params_get_access_FORMAT FORMAT_int_const_snd_pcm_hw_params_t___GENPT___snd_pcm_access_t___GENPT__
#define snd_pcm_hw_params_get_access_mask_INDEX 1097
#define snd_pcm_hw_params_get_access_mask_RETURN int
#define snd_pcm_hw_params_get_access_mask_ARG_NAMES params, mask
#define snd_pcm_hw_params_get_access_mask_ARG_EXPAND snd_pcm_hw_params_t * params, snd_pcm_access_mask_t * mask
#define snd_pcm_hw_params_get_access_mask_PACKED PACKED_int_snd_pcm_hw_params_t___GENPT___snd_pcm_access_mask_t___GENPT__
#define snd_pcm_hw_params_get_access_mask_INDEXED INDEXED_int_snd_pcm_hw_params_t___GENPT___snd_pcm_access_mask_t___GENPT__
#define snd_pcm_hw_params_get_access_mask_FORMAT FORMAT_int_snd_pcm_hw_params_t___GENPT___snd_pcm_access_mask_t___GENPT__
#define snd_pcm_hw_params_get_buffer_size_INDEX 1098
#define snd_pcm_hw_params_get_buffer_size_RETURN int
#define snd_pcm_hw_params_get_buffer_size_ARG_NAMES params, val
#define snd_pcm_hw_params_get_buffer_size_ARG_EXPAND const snd_pcm_hw_params_t * params, snd_pcm_uframes_t * val
#define snd_pcm_hw_params_get_buffer_size_PACKED PACKED_int_const_snd_pcm_hw_params_t___GENPT___snd_pcm_uframes_t___GENPT__
#define snd_pcm_hw_params_get_buffer_size_INDEXED INDEXED_int_const_snd_pcm_hw_params_t___GENPT___snd_pcm_uframes_t___GENPT__
#define snd_pcm_hw_params_get_buffer_size_FORMAT FORMAT_int_const_snd_pcm_hw_params_t___GENPT___snd_pcm_uframes_t___GENPT__
#define snd_pcm_hw_params_get_buffer_size_max_INDEX 1099
#define snd_pcm_hw_params_get_buffer_size_max_RETURN int
#define snd_pcm_hw_params_get_buffer_size_max_ARG_NAMES params, val
#define snd_pcm_hw_params_get_buffer_size_max_ARG_EXPAND const snd_pcm_hw_params_t * params, snd_pcm_uframes_t * val
#define snd_pcm_hw_params_get_buffer_size_max_PACKED PACKED_int_const_snd_pcm_hw_params_t___GENPT___snd_pcm_uframes_t___GENPT__
#define snd_pcm_hw_params_get_buffer_size_max_INDEXED INDEXED_int_const_snd_pcm_hw_params_t___GENPT___snd_pcm_uframes_t___GENPT__
#define snd_pcm_hw_params_get_buffer_size_max_FORMAT FORMAT_int_const_snd_pcm_hw_params_t___GENPT___snd_pcm_uframes_t___GENPT__
#define snd_pcm_hw_params_get_buffer_size_min_INDEX 1100
#define snd_pcm_hw_params_get_buffer_size_min_RETURN int
#define snd_pcm_hw_params_get_buffer_size_min_ARG_NAMES params, val
#define snd_pcm_hw_params_get_buffer_size_min_ARG_EXPAND const snd_pcm_hw_params_t * params, snd_pcm_uframes_t * val
#define snd_pcm_hw_params_get_buffer_size_min_PACKED PACKED_int_const_snd_pcm_hw_params_t___GENPT___snd_pcm_uframes_t___GENPT__
#define snd_pcm_hw_params_get_buffer_size_min_INDEXED INDEXED_int_const_snd_pcm_hw_params_t___GENPT___snd_pcm_uframes_t___GENPT__
#define snd_pcm_hw_params_get_buffer_size_min_FORMAT FORMAT_int_const_snd_pcm_hw_params_t___GENPT___snd_pcm_uframes_t___GENPT__
#define snd_pcm_hw_params_get_buffer_time_INDEX 1101
#define snd_pcm_hw_params_get_buffer_time_RETURN int
#define snd_pcm_hw_params_get_buffer_time_ARG_NAMES params, val, dir
#define snd_pcm_hw_params_get_buffer_time_ARG_EXPAND const snd_pcm_hw_params_t * params, unsigned int * val, int * dir
#define snd_pcm_hw_params_get_buffer_time_PACKED PACKED_int_const_snd_pcm_hw_params_t___GENPT___unsigned_int___GENPT___int___GENPT__
#define snd_pcm_hw_params_get_buffer_time_INDEXED INDEXED_int_const_snd_pcm_hw_params_t___GENPT___unsigned_int___GENPT___int___GENPT__
#define snd_pcm_hw_params_get_buffer_time_FORMAT FORMAT_int_const_snd_pcm_hw_params_t___GENPT___unsigned_int___GENPT___int___GENPT__
#define snd_pcm_hw_params_get_buffer_time_max_INDEX 1102
#define snd_pcm_hw_params_get_buffer_time_max_RETURN int
#define snd_pcm_hw_params_get_buffer_time_max_ARG_NAMES params, val, dir
#define snd_pcm_hw_params_get_buffer_time_max_ARG_EXPAND const snd_pcm_hw_params_t * params, unsigned int * val, int * dir
#define snd_pcm_hw_params_get_buffer_time_max_PACKED PACKED_int_const_snd_pcm_hw_params_t___GENPT___unsigned_int___GENPT___int___GENPT__
#define snd_pcm_hw_params_get_buffer_time_max_INDEXED INDEXED_int_const_snd_pcm_hw_params_t___GENPT___unsigned_int___GENPT___int___GENPT__
#define snd_pcm_hw_params_get_buffer_time_max_FORMAT FORMAT_int_const_snd_pcm_hw_params_t___GENPT___unsigned_int___GENPT___int___GENPT__
#define snd_pcm_hw_params_get_buffer_time_min_INDEX 1103
#define snd_pcm_hw_params_get_buffer_time_min_RETURN int
#define snd_pcm_hw_params_get_buffer_time_min_ARG_NAMES params, val, dir
#define snd_pcm_hw_params_get_buffer_time_min_ARG_EXPAND const snd_pcm_hw_params_t * params, unsigned int * val, int * dir
#define snd_pcm_hw_params_get_buffer_time_min_PACKED PACKED_int_const_snd_pcm_hw_params_t___GENPT___unsigned_int___GENPT___int___GENPT__
#define snd_pcm_hw_params_get_buffer_time_min_INDEXED INDEXED_int_const_snd_pcm_hw_params_t___GENPT___unsigned_int___GENPT___int___GENPT__
#define snd_pcm_hw_params_get_buffer_time_min_FORMAT FORMAT_int_const_snd_pcm_hw_params_t___GENPT___unsigned_int___GENPT___int___GENPT__
#define snd_pcm_hw_params_get_channels_INDEX 1104
#define snd_pcm_hw_params_get_channels_RETURN int
#define snd_pcm_hw_params_get_channels_ARG_NAMES params, val
#define snd_pcm_hw_params_get_channels_ARG_EXPAND const snd_pcm_hw_params_t * params, unsigned int * val
#define snd_pcm_hw_params_get_channels_PACKED PACKED_int_const_snd_pcm_hw_params_t___GENPT___unsigned_int___GENPT__
#define snd_pcm_hw_params_get_channels_INDEXED INDEXED_int_const_snd_pcm_hw_params_t___GENPT___unsigned_int___GENPT__
#define snd_pcm_hw_params_get_channels_FORMAT FORMAT_int_const_snd_pcm_hw_params_t___GENPT___unsigned_int___GENPT__
#define snd_pcm_hw_params_get_channels_max_INDEX 1105
#define snd_pcm_hw_params_get_channels_max_RETURN int
#define snd_pcm_hw_params_get_channels_max_ARG_NAMES params, val
#define snd_pcm_hw_params_get_channels_max_ARG_EXPAND const snd_pcm_hw_params_t * params, unsigned int * val
#define snd_pcm_hw_params_get_channels_max_PACKED PACKED_int_const_snd_pcm_hw_params_t___GENPT___unsigned_int___GENPT__
#define snd_pcm_hw_params_get_channels_max_INDEXED INDEXED_int_const_snd_pcm_hw_params_t___GENPT___unsigned_int___GENPT__
#define snd_pcm_hw_params_get_channels_max_FORMAT FORMAT_int_const_snd_pcm_hw_params_t___GENPT___unsigned_int___GENPT__
#define snd_pcm_hw_params_get_channels_min_INDEX 1106
#define snd_pcm_hw_params_get_channels_min_RETURN int
#define snd_pcm_hw_params_get_channels_min_ARG_NAMES params, val
#define snd_pcm_hw_params_get_channels_min_ARG_EXPAND const snd_pcm_hw_params_t * params, unsigned int * val
#define snd_pcm_hw_params_get_channels_min_PACKED PACKED_int_const_snd_pcm_hw_params_t___GENPT___unsigned_int___GENPT__
#define snd_pcm_hw_params_get_channels_min_INDEXED INDEXED_int_const_snd_pcm_hw_params_t___GENPT___unsigned_int___GENPT__
#define snd_pcm_hw_params_get_channels_min_FORMAT FORMAT_int_const_snd_pcm_hw_params_t___GENPT___unsigned_int___GENPT__
#define snd_pcm_hw_params_get_export_buffer_INDEX 1107
#define snd_pcm_hw_params_get_export_buffer_RETURN int
#define snd_pcm_hw_params_get_export_buffer_ARG_NAMES pcm, params, val
#define snd_pcm_hw_params_get_export_buffer_ARG_EXPAND snd_pcm_t * pcm, snd_pcm_hw_params_t * params, unsigned int * val
#define snd_pcm_hw_params_get_export_buffer_PACKED PACKED_int_snd_pcm_t___GENPT___snd_pcm_hw_params_t___GENPT___unsigned_int___GENPT__
#define snd_pcm_hw_params_get_export_buffer_INDEXED INDEXED_int_snd_pcm_t___GENPT___snd_pcm_hw_params_t___GENPT___unsigned_int___GENPT__
#define snd_pcm_hw_params_get_export_buffer_FORMAT FORMAT_int_snd_pcm_t___GENPT___snd_pcm_hw_params_t___GENPT___unsigned_int___GENPT__
#define snd_pcm_hw_params_get_fifo_size_INDEX 1108
#define snd_pcm_hw_params_get_fifo_size_RETURN int
#define snd_pcm_hw_params_get_fifo_size_ARG_NAMES params
#define snd_pcm_hw_params_get_fifo_size_ARG_EXPAND const snd_pcm_hw_params_t * params
#define snd_pcm_hw_params_get_fifo_size_PACKED PACKED_int_const_snd_pcm_hw_params_t___GENPT__
#define snd_pcm_hw_params_get_fifo_size_INDEXED INDEXED_int_const_snd_pcm_hw_params_t___GENPT__
#define snd_pcm_hw_params_get_fifo_size_FORMAT FORMAT_int_const_snd_pcm_hw_params_t___GENPT__
#define snd_pcm_hw_params_get_format_INDEX 1109
#define snd_pcm_hw_params_get_format_RETURN int
#define snd_pcm_hw_params_get_format_ARG_NAMES params, val
#define snd_pcm_hw_params_get_format_ARG_EXPAND const snd_pcm_hw_params_t * params, snd_pcm_format_t * val
#define snd_pcm_hw_params_get_format_PACKED PACKED_int_const_snd_pcm_hw_params_t___GENPT___snd_pcm_format_t___GENPT__
#define snd_pcm_hw_params_get_format_INDEXED INDEXED_int_const_snd_pcm_hw_params_t___GENPT___snd_pcm_format_t___GENPT__
#define snd_pcm_hw_params_get_format_FORMAT FORMAT_int_const_snd_pcm_hw_params_t___GENPT___snd_pcm_format_t___GENPT__
#define snd_pcm_hw_params_get_format_mask_INDEX 1110
#define snd_pcm_hw_params_get_format_mask_RETURN void
#define snd_pcm_hw_params_get_format_mask_ARG_NAMES params, mask
#define snd_pcm_hw_params_get_format_mask_ARG_EXPAND snd_pcm_hw_params_t * params, snd_pcm_format_mask_t * mask
#define snd_pcm_hw_params_get_format_mask_PACKED PACKED_void_snd_pcm_hw_params_t___GENPT___snd_pcm_format_mask_t___GENPT__
#define snd_pcm_hw_params_get_format_mask_INDEXED INDEXED_void_snd_pcm_hw_params_t___GENPT___snd_pcm_format_mask_t___GENPT__
#define snd_pcm_hw_params_get_format_mask_FORMAT FORMAT_void_snd_pcm_hw_params_t___GENPT___snd_pcm_format_mask_t___GENPT__
#define snd_pcm_hw_params_get_min_align_INDEX 1111
#define snd_pcm_hw_params_get_min_align_RETURN int
#define snd_pcm_hw_params_get_min_align_ARG_NAMES params, val
#define snd_pcm_hw_params_get_min_align_ARG_EXPAND const snd_pcm_hw_params_t * params, snd_pcm_uframes_t * val
#define snd_pcm_hw_params_get_min_align_PACKED PACKED_int_const_snd_pcm_hw_params_t___GENPT___snd_pcm_uframes_t___GENPT__
#define snd_pcm_hw_params_get_min_align_INDEXED INDEXED_int_const_snd_pcm_hw_params_t___GENPT___snd_pcm_uframes_t___GENPT__
#define snd_pcm_hw_params_get_min_align_FORMAT FORMAT_int_const_snd_pcm_hw_params_t___GENPT___snd_pcm_uframes_t___GENPT__
#define snd_pcm_hw_params_get_period_size_INDEX 1112
#define snd_pcm_hw_params_get_period_size_RETURN int
#define snd_pcm_hw_params_get_period_size_ARG_NAMES params, frames, dir
#define snd_pcm_hw_params_get_period_size_ARG_EXPAND const snd_pcm_hw_params_t * params, snd_pcm_uframes_t * frames, int * dir
#define snd_pcm_hw_params_get_period_size_PACKED PACKED_int_const_snd_pcm_hw_params_t___GENPT___snd_pcm_uframes_t___GENPT___int___GENPT__
#define snd_pcm_hw_params_get_period_size_INDEXED INDEXED_int_const_snd_pcm_hw_params_t___GENPT___snd_pcm_uframes_t___GENPT___int___GENPT__
#define snd_pcm_hw_params_get_period_size_FORMAT FORMAT_int_const_snd_pcm_hw_params_t___GENPT___snd_pcm_uframes_t___GENPT___int___GENPT__
#define snd_pcm_hw_params_get_period_size_max_INDEX 1113
#define snd_pcm_hw_params_get_period_size_max_RETURN int
#define snd_pcm_hw_params_get_period_size_max_ARG_NAMES params, frames, dir
#define snd_pcm_hw_params_get_period_size_max_ARG_EXPAND const snd_pcm_hw_params_t * params, snd_pcm_uframes_t * frames, int * dir
#define snd_pcm_hw_params_get_period_size_max_PACKED PACKED_int_const_snd_pcm_hw_params_t___GENPT___snd_pcm_uframes_t___GENPT___int___GENPT__
#define snd_pcm_hw_params_get_period_size_max_INDEXED INDEXED_int_const_snd_pcm_hw_params_t___GENPT___snd_pcm_uframes_t___GENPT___int___GENPT__
#define snd_pcm_hw_params_get_period_size_max_FORMAT FORMAT_int_const_snd_pcm_hw_params_t___GENPT___snd_pcm_uframes_t___GENPT___int___GENPT__
#define snd_pcm_hw_params_get_period_size_min_INDEX 1114
#define snd_pcm_hw_params_get_period_size_min_RETURN int
#define snd_pcm_hw_params_get_period_size_min_ARG_NAMES params, frames, dir
#define snd_pcm_hw_params_get_period_size_min_ARG_EXPAND const snd_pcm_hw_params_t * params, snd_pcm_uframes_t * frames, int * dir
#define snd_pcm_hw_params_get_period_size_min_PACKED PACKED_int_const_snd_pcm_hw_params_t___GENPT___snd_pcm_uframes_t___GENPT___int___GENPT__
#define snd_pcm_hw_params_get_period_size_min_INDEXED INDEXED_int_const_snd_pcm_hw_params_t___GENPT___snd_pcm_uframes_t___GENPT___int___GENPT__
#define snd_pcm_hw_params_get_period_size_min_FORMAT FORMAT_int_const_snd_pcm_hw_params_t___GENPT___snd_pcm_uframes_t___GENPT___int___GENPT__
#define snd_pcm_hw_params_get_period_time_INDEX 1115
#define snd_pcm_hw_params_get_period_time_RETURN int
#define snd_pcm_hw_params_get_period_time_ARG_NAMES params, val, dir
#define snd_pcm_hw_params_get_period_time_ARG_EXPAND const snd_pcm_hw_params_t * params, unsigned int * val, int * dir
#define snd_pcm_hw_params_get_period_time_PACKED PACKED_int_const_snd_pcm_hw_params_t___GENPT___unsigned_int___GENPT___int___GENPT__
#define snd_pcm_hw_params_get_period_time_INDEXED INDEXED_int_const_snd_pcm_hw_params_t___GENPT___unsigned_int___GENPT___int___GENPT__
#define snd_pcm_hw_params_get_period_time_FORMAT FORMAT_int_const_snd_pcm_hw_params_t___GENPT___unsigned_int___GENPT___int___GENPT__
#define snd_pcm_hw_params_get_period_time_max_INDEX 1116
#define snd_pcm_hw_params_get_period_time_max_RETURN int
#define snd_pcm_hw_params_get_period_time_max_ARG_NAMES params, val, dir
#define snd_pcm_hw_params_get_period_time_max_ARG_EXPAND const snd_pcm_hw_params_t * params, unsigned int * val, int * dir
#define snd_pcm_hw_params_get_period_time_max_PACKED PACKED_int_const_snd_pcm_hw_params_t___GENPT___unsigned_int___GENPT___int___GENPT__
#define snd_pcm_hw_params_get_period_time_max_INDEXED INDEXED_int_const_snd_pcm_hw_params_t___GENPT___unsigned_int___GENPT___int___GENPT__
#define snd_pcm_hw_params_get_period_time_max_FORMAT FORMAT_int_const_snd_pcm_hw_params_t___GENPT___unsigned_int___GENPT___int___GENPT__
#define snd_pcm_hw_params_get_period_time_min_INDEX 1117
#define snd_pcm_hw_params_get_period_time_min_RETURN int
#define snd_pcm_hw_params_get_period_time_min_ARG_NAMES params, val, dir
#define snd_pcm_hw_params_get_period_time_min_ARG_EXPAND const snd_pcm_hw_params_t * params, unsigned int * val, int * dir
#define snd_pcm_hw_params_get_period_time_min_PACKED PACKED_int_const_snd_pcm_hw_params_t___GENPT___unsigned_int___GENPT___int___GENPT__
#define snd_pcm_hw_params_get_period_time_min_INDEXED INDEXED_int_const_snd_pcm_hw_params_t___GENPT___unsigned_int___GENPT___int___GENPT__
#define snd_pcm_hw_params_get_period_time_min_FORMAT FORMAT_int_const_snd_pcm_hw_params_t___GENPT___unsigned_int___GENPT___int___GENPT__
#define snd_pcm_hw_params_get_periods_INDEX 1118
#define snd_pcm_hw_params_get_periods_RETURN int
#define snd_pcm_hw_params_get_periods_ARG_NAMES params, val, dir
#define snd_pcm_hw_params_get_periods_ARG_EXPAND const snd_pcm_hw_params_t * params, unsigned int * val, int * dir
#define snd_pcm_hw_params_get_periods_PACKED PACKED_int_const_snd_pcm_hw_params_t___GENPT___unsigned_int___GENPT___int___GENPT__
#define snd_pcm_hw_params_get_periods_INDEXED INDEXED_int_const_snd_pcm_hw_params_t___GENPT___unsigned_int___GENPT___int___GENPT__
#define snd_pcm_hw_params_get_periods_FORMAT FORMAT_int_const_snd_pcm_hw_params_t___GENPT___unsigned_int___GENPT___int___GENPT__
#define snd_pcm_hw_params_get_periods_max_INDEX 1119
#define snd_pcm_hw_params_get_periods_max_RETURN int
#define snd_pcm_hw_params_get_periods_max_ARG_NAMES params, val, dir
#define snd_pcm_hw_params_get_periods_max_ARG_EXPAND const snd_pcm_hw_params_t * params, unsigned int * val, int * dir
#define snd_pcm_hw_params_get_periods_max_PACKED PACKED_int_const_snd_pcm_hw_params_t___GENPT___unsigned_int___GENPT___int___GENPT__
#define snd_pcm_hw_params_get_periods_max_INDEXED INDEXED_int_const_snd_pcm_hw_params_t___GENPT___unsigned_int___GENPT___int___GENPT__
#define snd_pcm_hw_params_get_periods_max_FORMAT FORMAT_int_const_snd_pcm_hw_params_t___GENPT___unsigned_int___GENPT___int___GENPT__
#define snd_pcm_hw_params_get_periods_min_INDEX 1120
#define snd_pcm_hw_params_get_periods_min_RETURN int
#define snd_pcm_hw_params_get_periods_min_ARG_NAMES params, val, dir
#define snd_pcm_hw_params_get_periods_min_ARG_EXPAND const snd_pcm_hw_params_t * params, unsigned int * val, int * dir
#define snd_pcm_hw_params_get_periods_min_PACKED PACKED_int_const_snd_pcm_hw_params_t___GENPT___unsigned_int___GENPT___int___GENPT__
#define snd_pcm_hw_params_get_periods_min_INDEXED INDEXED_int_const_snd_pcm_hw_params_t___GENPT___unsigned_int___GENPT___int___GENPT__
#define snd_pcm_hw_params_get_periods_min_FORMAT FORMAT_int_const_snd_pcm_hw_params_t___GENPT___unsigned_int___GENPT___int___GENPT__
#define snd_pcm_hw_params_get_rate_INDEX 1121
#define snd_pcm_hw_params_get_rate_RETURN int
#define snd_pcm_hw_params_get_rate_ARG_NAMES params, val, dir
#define snd_pcm_hw_params_get_rate_ARG_EXPAND const snd_pcm_hw_params_t * params, unsigned int * val, int * dir
#define snd_pcm_hw_params_get_rate_PACKED PACKED_int_const_snd_pcm_hw_params_t___GENPT___unsigned_int___GENPT___int___GENPT__
#define snd_pcm_hw_params_get_rate_INDEXED INDEXED_int_const_snd_pcm_hw_params_t___GENPT___unsigned_int___GENPT___int___GENPT__
#define snd_pcm_hw_params_get_rate_FORMAT FORMAT_int_const_snd_pcm_hw_params_t___GENPT___unsigned_int___GENPT___int___GENPT__
#define snd_pcm_hw_params_get_rate_max_INDEX 1122
#define snd_pcm_hw_params_get_rate_max_RETURN int
#define snd_pcm_hw_params_get_rate_max_ARG_NAMES params, val, dir
#define snd_pcm_hw_params_get_rate_max_ARG_EXPAND const snd_pcm_hw_params_t * params, unsigned int * val, int * dir
#define snd_pcm_hw_params_get_rate_max_PACKED PACKED_int_const_snd_pcm_hw_params_t___GENPT___unsigned_int___GENPT___int___GENPT__
#define snd_pcm_hw_params_get_rate_max_INDEXED INDEXED_int_const_snd_pcm_hw_params_t___GENPT___unsigned_int___GENPT___int___GENPT__
#define snd_pcm_hw_params_get_rate_max_FORMAT FORMAT_int_const_snd_pcm_hw_params_t___GENPT___unsigned_int___GENPT___int___GENPT__
#define snd_pcm_hw_params_get_rate_min_INDEX 1123
#define snd_pcm_hw_params_get_rate_min_RETURN int
#define snd_pcm_hw_params_get_rate_min_ARG_NAMES params, val, dir
#define snd_pcm_hw_params_get_rate_min_ARG_EXPAND const snd_pcm_hw_params_t * params, unsigned int * val, int * dir
#define snd_pcm_hw_params_get_rate_min_PACKED PACKED_int_const_snd_pcm_hw_params_t___GENPT___unsigned_int___GENPT___int___GENPT__
#define snd_pcm_hw_params_get_rate_min_INDEXED INDEXED_int_const_snd_pcm_hw_params_t___GENPT___unsigned_int___GENPT___int___GENPT__
#define snd_pcm_hw_params_get_rate_min_FORMAT FORMAT_int_const_snd_pcm_hw_params_t___GENPT___unsigned_int___GENPT___int___GENPT__
#define snd_pcm_hw_params_get_rate_numden_INDEX 1124
#define snd_pcm_hw_params_get_rate_numden_RETURN int
#define snd_pcm_hw_params_get_rate_numden_ARG_NAMES params, rate_num, rate_den
#define snd_pcm_hw_params_get_rate_numden_ARG_EXPAND const snd_pcm_hw_params_t * params, unsigned int * rate_num, unsigned int * rate_den
#define snd_pcm_hw_params_get_rate_numden_PACKED PACKED_int_const_snd_pcm_hw_params_t___GENPT___unsigned_int___GENPT___unsigned_int___GENPT__
#define snd_pcm_hw_params_get_rate_numden_INDEXED INDEXED_int_const_snd_pcm_hw_params_t___GENPT___unsigned_int___GENPT___unsigned_int___GENPT__
#define snd_pcm_hw_params_get_rate_numden_FORMAT FORMAT_int_const_snd_pcm_hw_params_t___GENPT___unsigned_int___GENPT___unsigned_int___GENPT__
#define snd_pcm_hw_params_get_rate_resample_INDEX 1125
#define snd_pcm_hw_params_get_rate_resample_RETURN int
#define snd_pcm_hw_params_get_rate_resample_ARG_NAMES pcm, params, val
#define snd_pcm_hw_params_get_rate_resample_ARG_EXPAND snd_pcm_t * pcm, snd_pcm_hw_params_t * params, unsigned int * val
#define snd_pcm_hw_params_get_rate_resample_PACKED PACKED_int_snd_pcm_t___GENPT___snd_pcm_hw_params_t___GENPT___unsigned_int___GENPT__
#define snd_pcm_hw_params_get_rate_resample_INDEXED INDEXED_int_snd_pcm_t___GENPT___snd_pcm_hw_params_t___GENPT___unsigned_int___GENPT__
#define snd_pcm_hw_params_get_rate_resample_FORMAT FORMAT_int_snd_pcm_t___GENPT___snd_pcm_hw_params_t___GENPT___unsigned_int___GENPT__
#define snd_pcm_hw_params_get_sbits_INDEX 1126
#define snd_pcm_hw_params_get_sbits_RETURN int
#define snd_pcm_hw_params_get_sbits_ARG_NAMES params
#define snd_pcm_hw_params_get_sbits_ARG_EXPAND const snd_pcm_hw_params_t * params
#define snd_pcm_hw_params_get_sbits_PACKED PACKED_int_const_snd_pcm_hw_params_t___GENPT__
#define snd_pcm_hw_params_get_sbits_INDEXED INDEXED_int_const_snd_pcm_hw_params_t___GENPT__
#define snd_pcm_hw_params_get_sbits_FORMAT FORMAT_int_const_snd_pcm_hw_params_t___GENPT__
#define snd_pcm_hw_params_get_subformat_INDEX 1127
#define snd_pcm_hw_params_get_subformat_RETURN int
#define snd_pcm_hw_params_get_subformat_ARG_NAMES params, subformat
#define snd_pcm_hw_params_get_subformat_ARG_EXPAND const snd_pcm_hw_params_t * params, snd_pcm_subformat_t * subformat
#define snd_pcm_hw_params_get_subformat_PACKED PACKED_int_const_snd_pcm_hw_params_t___GENPT___snd_pcm_subformat_t___GENPT__
#define snd_pcm_hw_params_get_subformat_INDEXED INDEXED_int_const_snd_pcm_hw_params_t___GENPT___snd_pcm_subformat_t___GENPT__
#define snd_pcm_hw_params_get_subformat_FORMAT FORMAT_int_const_snd_pcm_hw_params_t___GENPT___snd_pcm_subformat_t___GENPT__
#define snd_pcm_hw_params_get_subformat_mask_INDEX 1128
#define snd_pcm_hw_params_get_subformat_mask_RETURN void
#define snd_pcm_hw_params_get_subformat_mask_ARG_NAMES params, mask
#define snd_pcm_hw_params_get_subformat_mask_ARG_EXPAND snd_pcm_hw_params_t * params, snd_pcm_subformat_mask_t * mask
#define snd_pcm_hw_params_get_subformat_mask_PACKED PACKED_void_snd_pcm_hw_params_t___GENPT___snd_pcm_subformat_mask_t___GENPT__
#define snd_pcm_hw_params_get_subformat_mask_INDEXED INDEXED_void_snd_pcm_hw_params_t___GENPT___snd_pcm_subformat_mask_t___GENPT__
#define snd_pcm_hw_params_get_subformat_mask_FORMAT FORMAT_void_snd_pcm_hw_params_t___GENPT___snd_pcm_subformat_mask_t___GENPT__
#define snd_pcm_hw_params_get_tick_time_INDEX 1129
#define snd_pcm_hw_params_get_tick_time_RETURN int
#define snd_pcm_hw_params_get_tick_time_ARG_NAMES params, val, dir
#define snd_pcm_hw_params_get_tick_time_ARG_EXPAND const snd_pcm_hw_params_t * params, unsigned int * val, int * dir
#define snd_pcm_hw_params_get_tick_time_PACKED PACKED_int_const_snd_pcm_hw_params_t___GENPT___unsigned_int___GENPT___int___GENPT__
#define snd_pcm_hw_params_get_tick_time_INDEXED INDEXED_int_const_snd_pcm_hw_params_t___GENPT___unsigned_int___GENPT___int___GENPT__
#define snd_pcm_hw_params_get_tick_time_FORMAT FORMAT_int_const_snd_pcm_hw_params_t___GENPT___unsigned_int___GENPT___int___GENPT__
#define snd_pcm_hw_params_get_tick_time_max_INDEX 1130
#define snd_pcm_hw_params_get_tick_time_max_RETURN int
#define snd_pcm_hw_params_get_tick_time_max_ARG_NAMES params, val, dir
#define snd_pcm_hw_params_get_tick_time_max_ARG_EXPAND const snd_pcm_hw_params_t * params, unsigned int * val, int * dir
#define snd_pcm_hw_params_get_tick_time_max_PACKED PACKED_int_const_snd_pcm_hw_params_t___GENPT___unsigned_int___GENPT___int___GENPT__
#define snd_pcm_hw_params_get_tick_time_max_INDEXED INDEXED_int_const_snd_pcm_hw_params_t___GENPT___unsigned_int___GENPT___int___GENPT__
#define snd_pcm_hw_params_get_tick_time_max_FORMAT FORMAT_int_const_snd_pcm_hw_params_t___GENPT___unsigned_int___GENPT___int___GENPT__
#define snd_pcm_hw_params_get_tick_time_min_INDEX 1131
#define snd_pcm_hw_params_get_tick_time_min_RETURN int
#define snd_pcm_hw_params_get_tick_time_min_ARG_NAMES params, val, dir
#define snd_pcm_hw_params_get_tick_time_min_ARG_EXPAND const snd_pcm_hw_params_t * params, unsigned int * val, int * dir
#define snd_pcm_hw_params_get_tick_time_min_PACKED PACKED_int_const_snd_pcm_hw_params_t___GENPT___unsigned_int___GENPT___int___GENPT__
#define snd_pcm_hw_params_get_tick_time_min_INDEXED INDEXED_int_const_snd_pcm_hw_params_t___GENPT___unsigned_int___GENPT___int___GENPT__
#define snd_pcm_hw_params_get_tick_time_min_FORMAT FORMAT_int_const_snd_pcm_hw_params_t___GENPT___unsigned_int___GENPT___int___GENPT__
#define snd_pcm_hw_params_is_batch_INDEX 1132
#define snd_pcm_hw_params_is_batch_RETURN int
#define snd_pcm_hw_params_is_batch_ARG_NAMES params
#define snd_pcm_hw_params_is_batch_ARG_EXPAND const snd_pcm_hw_params_t * params
#define snd_pcm_hw_params_is_batch_PACKED PACKED_int_const_snd_pcm_hw_params_t___GENPT__
#define snd_pcm_hw_params_is_batch_INDEXED INDEXED_int_const_snd_pcm_hw_params_t___GENPT__
#define snd_pcm_hw_params_is_batch_FORMAT FORMAT_int_const_snd_pcm_hw_params_t___GENPT__
#define snd_pcm_hw_params_is_block_transfer_INDEX 1133
#define snd_pcm_hw_params_is_block_transfer_RETURN int
#define snd_pcm_hw_params_is_block_transfer_ARG_NAMES params
#define snd_pcm_hw_params_is_block_transfer_ARG_EXPAND const snd_pcm_hw_params_t * params
#define snd_pcm_hw_params_is_block_transfer_PACKED PACKED_int_const_snd_pcm_hw_params_t___GENPT__
#define snd_pcm_hw_params_is_block_transfer_INDEXED INDEXED_int_const_snd_pcm_hw_params_t___GENPT__
#define snd_pcm_hw_params_is_block_transfer_FORMAT FORMAT_int_const_snd_pcm_hw_params_t___GENPT__
#define snd_pcm_hw_params_is_double_INDEX 1134
#define snd_pcm_hw_params_is_double_RETURN int
#define snd_pcm_hw_params_is_double_ARG_NAMES params
#define snd_pcm_hw_params_is_double_ARG_EXPAND const snd_pcm_hw_params_t * params
#define snd_pcm_hw_params_is_double_PACKED PACKED_int_const_snd_pcm_hw_params_t___GENPT__
#define snd_pcm_hw_params_is_double_INDEXED INDEXED_int_const_snd_pcm_hw_params_t___GENPT__
#define snd_pcm_hw_params_is_double_FORMAT FORMAT_int_const_snd_pcm_hw_params_t___GENPT__
#define snd_pcm_hw_params_is_half_duplex_INDEX 1135
#define snd_pcm_hw_params_is_half_duplex_RETURN int
#define snd_pcm_hw_params_is_half_duplex_ARG_NAMES params
#define snd_pcm_hw_params_is_half_duplex_ARG_EXPAND const snd_pcm_hw_params_t * params
#define snd_pcm_hw_params_is_half_duplex_PACKED PACKED_int_const_snd_pcm_hw_params_t___GENPT__
#define snd_pcm_hw_params_is_half_duplex_INDEXED INDEXED_int_const_snd_pcm_hw_params_t___GENPT__
#define snd_pcm_hw_params_is_half_duplex_FORMAT FORMAT_int_const_snd_pcm_hw_params_t___GENPT__
#define snd_pcm_hw_params_is_joint_duplex_INDEX 1136
#define snd_pcm_hw_params_is_joint_duplex_RETURN int
#define snd_pcm_hw_params_is_joint_duplex_ARG_NAMES params
#define snd_pcm_hw_params_is_joint_duplex_ARG_EXPAND const snd_pcm_hw_params_t * params
#define snd_pcm_hw_params_is_joint_duplex_PACKED PACKED_int_const_snd_pcm_hw_params_t___GENPT__
#define snd_pcm_hw_params_is_joint_duplex_INDEXED INDEXED_int_const_snd_pcm_hw_params_t___GENPT__
#define snd_pcm_hw_params_is_joint_duplex_FORMAT FORMAT_int_const_snd_pcm_hw_params_t___GENPT__
#define snd_pcm_hw_params_is_monotonic_INDEX 1137
#define snd_pcm_hw_params_is_monotonic_RETURN int
#define snd_pcm_hw_params_is_monotonic_ARG_NAMES params
#define snd_pcm_hw_params_is_monotonic_ARG_EXPAND const snd_pcm_hw_params_t * params
#define snd_pcm_hw_params_is_monotonic_PACKED PACKED_int_const_snd_pcm_hw_params_t___GENPT__
#define snd_pcm_hw_params_is_monotonic_INDEXED INDEXED_int_const_snd_pcm_hw_params_t___GENPT__
#define snd_pcm_hw_params_is_monotonic_FORMAT FORMAT_int_const_snd_pcm_hw_params_t___GENPT__
#define snd_pcm_hw_params_malloc_INDEX 1138
#define snd_pcm_hw_params_malloc_RETURN int
#define snd_pcm_hw_params_malloc_ARG_NAMES ptr
#define snd_pcm_hw_params_malloc_ARG_EXPAND snd_pcm_hw_params_t ** ptr
#define snd_pcm_hw_params_malloc_PACKED PACKED_int_snd_pcm_hw_params_t___GENPT____GENPT__
#define snd_pcm_hw_params_malloc_INDEXED INDEXED_int_snd_pcm_hw_params_t___GENPT____GENPT__
#define snd_pcm_hw_params_malloc_FORMAT FORMAT_int_snd_pcm_hw_params_t___GENPT____GENPT__
#define snd_pcm_hw_params_set_access_INDEX 1139
#define snd_pcm_hw_params_set_access_RETURN int
#define snd_pcm_hw_params_set_access_ARG_NAMES pcm, params, _access
#define snd_pcm_hw_params_set_access_ARG_EXPAND snd_pcm_t * pcm, snd_pcm_hw_params_t * params, snd_pcm_access_t _access
#define snd_pcm_hw_params_set_access_PACKED PACKED_int_snd_pcm_t___GENPT___snd_pcm_hw_params_t___GENPT___snd_pcm_access_t
#define snd_pcm_hw_params_set_access_INDEXED INDEXED_int_snd_pcm_t___GENPT___snd_pcm_hw_params_t___GENPT___snd_pcm_access_t
#define snd_pcm_hw_params_set_access_FORMAT FORMAT_int_snd_pcm_t___GENPT___snd_pcm_hw_params_t___GENPT___snd_pcm_access_t
#define snd_pcm_hw_params_set_access_first_INDEX 1140
#define snd_pcm_hw_params_set_access_first_RETURN int
#define snd_pcm_hw_params_set_access_first_ARG_NAMES pcm, params, _access
#define snd_pcm_hw_params_set_access_first_ARG_EXPAND snd_pcm_t * pcm, snd_pcm_hw_params_t * params, snd_pcm_access_t * _access
#define snd_pcm_hw_params_set_access_first_PACKED PACKED_int_snd_pcm_t___GENPT___snd_pcm_hw_params_t___GENPT___snd_pcm_access_t___GENPT__
#define snd_pcm_hw_params_set_access_first_INDEXED INDEXED_int_snd_pcm_t___GENPT___snd_pcm_hw_params_t___GENPT___snd_pcm_access_t___GENPT__
#define snd_pcm_hw_params_set_access_first_FORMAT FORMAT_int_snd_pcm_t___GENPT___snd_pcm_hw_params_t___GENPT___snd_pcm_access_t___GENPT__
#define snd_pcm_hw_params_set_access_last_INDEX 1141
#define snd_pcm_hw_params_set_access_last_RETURN int
#define snd_pcm_hw_params_set_access_last_ARG_NAMES pcm, params, _access
#define snd_pcm_hw_params_set_access_last_ARG_EXPAND snd_pcm_t * pcm, snd_pcm_hw_params_t * params, snd_pcm_access_t * _access
#define snd_pcm_hw_params_set_access_last_PACKED PACKED_int_snd_pcm_t___GENPT___snd_pcm_hw_params_t___GENPT___snd_pcm_access_t___GENPT__
#define snd_pcm_hw_params_set_access_last_INDEXED INDEXED_int_snd_pcm_t___GENPT___snd_pcm_hw_params_t___GENPT___snd_pcm_access_t___GENPT__
#define snd_pcm_hw_params_set_access_last_FORMAT FORMAT_int_snd_pcm_t___GENPT___snd_pcm_hw_params_t___GENPT___snd_pcm_access_t___GENPT__
#define snd_pcm_hw_params_set_access_mask_INDEX 1142
#define snd_pcm_hw_params_set_access_mask_RETURN int
#define snd_pcm_hw_params_set_access_mask_ARG_NAMES pcm, params, mask
#define snd_pcm_hw_params_set_access_mask_ARG_EXPAND snd_pcm_t * pcm, snd_pcm_hw_params_t * params, snd_pcm_access_mask_t * mask
#define snd_pcm_hw_params_set_access_mask_PACKED PACKED_int_snd_pcm_t___GENPT___snd_pcm_hw_params_t___GENPT___snd_pcm_access_mask_t___GENPT__
#define snd_pcm_hw_params_set_access_mask_INDEXED INDEXED_int_snd_pcm_t___GENPT___snd_pcm_hw_params_t___GENPT___snd_pcm_access_mask_t___GENPT__
#define snd_pcm_hw_params_set_access_mask_FORMAT FORMAT_int_snd_pcm_t___GENPT___snd_pcm_hw_params_t___GENPT___snd_pcm_access_mask_t___GENPT__
#define snd_pcm_hw_params_set_buffer_size_INDEX 1143
#define snd_pcm_hw_params_set_buffer_size_RETURN int
#define snd_pcm_hw_params_set_buffer_size_ARG_NAMES pcm, params, val
#define snd_pcm_hw_params_set_buffer_size_ARG_EXPAND snd_pcm_t * pcm, snd_pcm_hw_params_t * params, snd_pcm_uframes_t val
#define snd_pcm_hw_params_set_buffer_size_PACKED PACKED_int_snd_pcm_t___GENPT___snd_pcm_hw_params_t___GENPT___snd_pcm_uframes_t
#define snd_pcm_hw_params_set_buffer_size_INDEXED INDEXED_int_snd_pcm_t___GENPT___snd_pcm_hw_params_t___GENPT___snd_pcm_uframes_t
#define snd_pcm_hw_params_set_buffer_size_FORMAT FORMAT_int_snd_pcm_t___GENPT___snd_pcm_hw_params_t___GENPT___snd_pcm_uframes_t
#define snd_pcm_hw_params_set_buffer_size_first_INDEX 1144
#define snd_pcm_hw_params_set_buffer_size_first_RETURN int
#define snd_pcm_hw_params_set_buffer_size_first_ARG_NAMES pcm, params, val
#define snd_pcm_hw_params_set_buffer_size_first_ARG_EXPAND snd_pcm_t * pcm, snd_pcm_hw_params_t * params, snd_pcm_uframes_t * val
#define snd_pcm_hw_params_set_buffer_size_first_PACKED PACKED_int_snd_pcm_t___GENPT___snd_pcm_hw_params_t___GENPT___snd_pcm_uframes_t___GENPT__
#define snd_pcm_hw_params_set_buffer_size_first_INDEXED INDEXED_int_snd_pcm_t___GENPT___snd_pcm_hw_params_t___GENPT___snd_pcm_uframes_t___GENPT__
#define snd_pcm_hw_params_set_buffer_size_first_FORMAT FORMAT_int_snd_pcm_t___GENPT___snd_pcm_hw_params_t___GENPT___snd_pcm_uframes_t___GENPT__
#define snd_pcm_hw_params_set_buffer_size_last_INDEX 1145
#define snd_pcm_hw_params_set_buffer_size_last_RETURN int
#define snd_pcm_hw_params_set_buffer_size_last_ARG_NAMES pcm, params, val
#define snd_pcm_hw_params_set_buffer_size_last_ARG_EXPAND snd_pcm_t * pcm, snd_pcm_hw_params_t * params, snd_pcm_uframes_t * val
#define snd_pcm_hw_params_set_buffer_size_last_PACKED PACKED_int_snd_pcm_t___GENPT___snd_pcm_hw_params_t___GENPT___snd_pcm_uframes_t___GENPT__
#define snd_pcm_hw_params_set_buffer_size_last_INDEXED INDEXED_int_snd_pcm_t___GENPT___snd_pcm_hw_params_t___GENPT___snd_pcm_uframes_t___GENPT__
#define snd_pcm_hw_params_set_buffer_size_last_FORMAT FORMAT_int_snd_pcm_t___GENPT___snd_pcm_hw_params_t___GENPT___snd_pcm_uframes_t___GENPT__
#define snd_pcm_hw_params_set_buffer_size_max_INDEX 1146
#define snd_pcm_hw_params_set_buffer_size_max_RETURN int
#define snd_pcm_hw_params_set_buffer_size_max_ARG_NAMES pcm, params, val
#define snd_pcm_hw_params_set_buffer_size_max_ARG_EXPAND snd_pcm_t * pcm, snd_pcm_hw_params_t * params, snd_pcm_uframes_t * val
#define snd_pcm_hw_params_set_buffer_size_max_PACKED PACKED_int_snd_pcm_t___GENPT___snd_pcm_hw_params_t___GENPT___snd_pcm_uframes_t___GENPT__
#define snd_pcm_hw_params_set_buffer_size_max_INDEXED INDEXED_int_snd_pcm_t___GENPT___snd_pcm_hw_params_t___GENPT___snd_pcm_uframes_t___GENPT__
#define snd_pcm_hw_params_set_buffer_size_max_FORMAT FORMAT_int_snd_pcm_t___GENPT___snd_pcm_hw_params_t___GENPT___snd_pcm_uframes_t___GENPT__
#define snd_pcm_hw_params_set_buffer_size_min_INDEX 1147
#define snd_pcm_hw_params_set_buffer_size_min_RETURN int
#define snd_pcm_hw_params_set_buffer_size_min_ARG_NAMES pcm, params, val
#define snd_pcm_hw_params_set_buffer_size_min_ARG_EXPAND snd_pcm_t * pcm, snd_pcm_hw_params_t * params, snd_pcm_uframes_t * val
#define snd_pcm_hw_params_set_buffer_size_min_PACKED PACKED_int_snd_pcm_t___GENPT___snd_pcm_hw_params_t___GENPT___snd_pcm_uframes_t___GENPT__
#define snd_pcm_hw_params_set_buffer_size_min_INDEXED INDEXED_int_snd_pcm_t___GENPT___snd_pcm_hw_params_t___GENPT___snd_pcm_uframes_t___GENPT__
#define snd_pcm_hw_params_set_buffer_size_min_FORMAT FORMAT_int_snd_pcm_t___GENPT___snd_pcm_hw_params_t___GENPT___snd_pcm_uframes_t___GENPT__
#define snd_pcm_hw_params_set_buffer_size_minmax_INDEX 1148
#define snd_pcm_hw_params_set_buffer_size_minmax_RETURN int
#define snd_pcm_hw_params_set_buffer_size_minmax_ARG_NAMES pcm, params, min, max
#define snd_pcm_hw_params_set_buffer_size_minmax_ARG_EXPAND snd_pcm_t * pcm, snd_pcm_hw_params_t * params, snd_pcm_uframes_t * min, snd_pcm_uframes_t * max
#define snd_pcm_hw_params_set_buffer_size_minmax_PACKED PACKED_int_snd_pcm_t___GENPT___snd_pcm_hw_params_t___GENPT___snd_pcm_uframes_t___GENPT___snd_pcm_uframes_t___GENPT__
#define snd_pcm_hw_params_set_buffer_size_minmax_INDEXED INDEXED_int_snd_pcm_t___GENPT___snd_pcm_hw_params_t___GENPT___snd_pcm_uframes_t___GENPT___snd_pcm_uframes_t___GENPT__
#define snd_pcm_hw_params_set_buffer_size_minmax_FORMAT FORMAT_int_snd_pcm_t___GENPT___snd_pcm_hw_params_t___GENPT___snd_pcm_uframes_t___GENPT___snd_pcm_uframes_t___GENPT__
#define snd_pcm_hw_params_set_buffer_size_near_INDEX 1149
#define snd_pcm_hw_params_set_buffer_size_near_RETURN int
#define snd_pcm_hw_params_set_buffer_size_near_ARG_NAMES pcm, params, val
#define snd_pcm_hw_params_set_buffer_size_near_ARG_EXPAND snd_pcm_t * pcm, snd_pcm_hw_params_t * params, snd_pcm_uframes_t * val
#define snd_pcm_hw_params_set_buffer_size_near_PACKED PACKED_int_snd_pcm_t___GENPT___snd_pcm_hw_params_t___GENPT___snd_pcm_uframes_t___GENPT__
#define snd_pcm_hw_params_set_buffer_size_near_INDEXED INDEXED_int_snd_pcm_t___GENPT___snd_pcm_hw_params_t___GENPT___snd_pcm_uframes_t___GENPT__
#define snd_pcm_hw_params_set_buffer_size_near_FORMAT FORMAT_int_snd_pcm_t___GENPT___snd_pcm_hw_params_t___GENPT___snd_pcm_uframes_t___GENPT__
#define snd_pcm_hw_params_set_buffer_time_INDEX 1150
#define snd_pcm_hw_params_set_buffer_time_RETURN int
#define snd_pcm_hw_params_set_buffer_time_ARG_NAMES pcm, params, val, dir
#define snd_pcm_hw_params_set_buffer_time_ARG_EXPAND snd_pcm_t * pcm, snd_pcm_hw_params_t * params, unsigned int val, int dir
#define snd_pcm_hw_params_set_buffer_time_PACKED PACKED_int_snd_pcm_t___GENPT___snd_pcm_hw_params_t___GENPT___unsigned_int_int
#define snd_pcm_hw_params_set_buffer_time_INDEXED INDEXED_int_snd_pcm_t___GENPT___snd_pcm_hw_params_t___GENPT___unsigned_int_int
#define snd_pcm_hw_params_set_buffer_time_FORMAT FORMAT_int_snd_pcm_t___GENPT___snd_pcm_hw_params_t___GENPT___unsigned_int_int
#define snd_pcm_hw_params_set_buffer_time_first_INDEX 1151
#define snd_pcm_hw_params_set_buffer_time_first_RETURN int
#define snd_pcm_hw_params_set_buffer_time_first_ARG_NAMES pcm, params, val, dir
#define snd_pcm_hw_params_set_buffer_time_first_ARG_EXPAND snd_pcm_t * pcm, snd_pcm_hw_params_t * params, unsigned int * val, int * dir
#define snd_pcm_hw_params_set_buffer_time_first_PACKED PACKED_int_snd_pcm_t___GENPT___snd_pcm_hw_params_t___GENPT___unsigned_int___GENPT___int___GENPT__
#define snd_pcm_hw_params_set_buffer_time_first_INDEXED INDEXED_int_snd_pcm_t___GENPT___snd_pcm_hw_params_t___GENPT___unsigned_int___GENPT___int___GENPT__
#define snd_pcm_hw_params_set_buffer_time_first_FORMAT FORMAT_int_snd_pcm_t___GENPT___snd_pcm_hw_params_t___GENPT___unsigned_int___GENPT___int___GENPT__
#define snd_pcm_hw_params_set_buffer_time_last_INDEX 1152
#define snd_pcm_hw_params_set_buffer_time_last_RETURN int
#define snd_pcm_hw_params_set_buffer_time_last_ARG_NAMES pcm, params, val, dir
#define snd_pcm_hw_params_set_buffer_time_last_ARG_EXPAND snd_pcm_t * pcm, snd_pcm_hw_params_t * params, unsigned int * val, int * dir
#define snd_pcm_hw_params_set_buffer_time_last_PACKED PACKED_int_snd_pcm_t___GENPT___snd_pcm_hw_params_t___GENPT___unsigned_int___GENPT___int___GENPT__
#define snd_pcm_hw_params_set_buffer_time_last_INDEXED INDEXED_int_snd_pcm_t___GENPT___snd_pcm_hw_params_t___GENPT___unsigned_int___GENPT___int___GENPT__
#define snd_pcm_hw_params_set_buffer_time_last_FORMAT FORMAT_int_snd_pcm_t___GENPT___snd_pcm_hw_params_t___GENPT___unsigned_int___GENPT___int___GENPT__
#define snd_pcm_hw_params_set_buffer_time_max_INDEX 1153
#define snd_pcm_hw_params_set_buffer_time_max_RETURN int
#define snd_pcm_hw_params_set_buffer_time_max_ARG_NAMES pcm, params, val, dir
#define snd_pcm_hw_params_set_buffer_time_max_ARG_EXPAND snd_pcm_t * pcm, snd_pcm_hw_params_t * params, unsigned int * val, int * dir
#define snd_pcm_hw_params_set_buffer_time_max_PACKED PACKED_int_snd_pcm_t___GENPT___snd_pcm_hw_params_t___GENPT___unsigned_int___GENPT___int___GENPT__
#define snd_pcm_hw_params_set_buffer_time_max_INDEXED INDEXED_int_snd_pcm_t___GENPT___snd_pcm_hw_params_t___GENPT___unsigned_int___GENPT___int___GENPT__
#define snd_pcm_hw_params_set_buffer_time_max_FORMAT FORMAT_int_snd_pcm_t___GENPT___snd_pcm_hw_params_t___GENPT___unsigned_int___GENPT___int___GENPT__
#define snd_pcm_hw_params_set_buffer_time_min_INDEX 1154
#define snd_pcm_hw_params_set_buffer_time_min_RETURN int
#define snd_pcm_hw_params_set_buffer_time_min_ARG_NAMES pcm, params, val, dir
#define snd_pcm_hw_params_set_buffer_time_min_ARG_EXPAND snd_pcm_t * pcm, snd_pcm_hw_params_t * params, unsigned int * val, int * dir
#define snd_pcm_hw_params_set_buffer_time_min_PACKED PACKED_int_snd_pcm_t___GENPT___snd_pcm_hw_params_t___GENPT___unsigned_int___GENPT___int___GENPT__
#define snd_pcm_hw_params_set_buffer_time_min_INDEXED INDEXED_int_snd_pcm_t___GENPT___snd_pcm_hw_params_t___GENPT___unsigned_int___GENPT___int___GENPT__
#define snd_pcm_hw_params_set_buffer_time_min_FORMAT FORMAT_int_snd_pcm_t___GENPT___snd_pcm_hw_params_t___GENPT___unsigned_int___GENPT___int___GENPT__
#define snd_pcm_hw_params_set_buffer_time_minmax_INDEX 1155
#define snd_pcm_hw_params_set_buffer_time_minmax_RETURN int
#define snd_pcm_hw_params_set_buffer_time_minmax_ARG_NAMES pcm, params, min, mindir, max, maxdir
#define snd_pcm_hw_params_set_buffer_time_minmax_ARG_EXPAND snd_pcm_t * pcm, snd_pcm_hw_params_t * params, unsigned int * min, int * mindir, unsigned int * max, int * maxdir
#define snd_pcm_hw_params_set_buffer_time_minmax_PACKED PACKED_int_snd_pcm_t___GENPT___snd_pcm_hw_params_t___GENPT___unsigned_int___GENPT___int___GENPT___unsigned_int___GENPT___int___GENPT__
#define snd_pcm_hw_params_set_buffer_time_minmax_INDEXED INDEXED_int_snd_pcm_t___GENPT___snd_pcm_hw_params_t___GENPT___unsigned_int___GENPT___int___GENPT___unsigned_int___GENPT___int___GENPT__
#define snd_pcm_hw_params_set_buffer_time_minmax_FORMAT FORMAT_int_snd_pcm_t___GENPT___snd_pcm_hw_params_t___GENPT___unsigned_int___GENPT___int___GENPT___unsigned_int___GENPT___int___GENPT__
#define snd_pcm_hw_params_set_buffer_time_near_INDEX 1156
#define snd_pcm_hw_params_set_buffer_time_near_RETURN int
#define snd_pcm_hw_params_set_buffer_time_near_ARG_NAMES pcm, params, val, dir
#define snd_pcm_hw_params_set_buffer_time_near_ARG_EXPAND snd_pcm_t * pcm, snd_pcm_hw_params_t * params, unsigned int * val, int * dir
#define snd_pcm_hw_params_set_buffer_time_near_PACKED PACKED_int_snd_pcm_t___GENPT___snd_pcm_hw_params_t___GENPT___unsigned_int___GENPT___int___GENPT__
#define snd_pcm_hw_params_set_buffer_time_near_INDEXED INDEXED_int_snd_pcm_t___GENPT___snd_pcm_hw_params_t___GENPT___unsigned_int___GENPT___int___GENPT__
#define snd_pcm_hw_params_set_buffer_time_near_FORMAT FORMAT_int_snd_pcm_t___GENPT___snd_pcm_hw_params_t___GENPT___unsigned_int___GENPT___int___GENPT__
#define snd_pcm_hw_params_set_channels_INDEX 1157
#define snd_pcm_hw_params_set_channels_RETURN int
#define snd_pcm_hw_params_set_channels_ARG_NAMES pcm, params, val
#define snd_pcm_hw_params_set_channels_ARG_EXPAND snd_pcm_t * pcm, snd_pcm_hw_params_t * params, unsigned int val
#define snd_pcm_hw_params_set_channels_PACKED PACKED_int_snd_pcm_t___GENPT___snd_pcm_hw_params_t___GENPT___unsigned_int
#define snd_pcm_hw_params_set_channels_INDEXED INDEXED_int_snd_pcm_t___GENPT___snd_pcm_hw_params_t___GENPT___unsigned_int
#define snd_pcm_hw_params_set_channels_FORMAT FORMAT_int_snd_pcm_t___GENPT___snd_pcm_hw_params_t___GENPT___unsigned_int
#define snd_pcm_hw_params_set_channels_first_INDEX 1158
#define snd_pcm_hw_params_set_channels_first_RETURN int
#define snd_pcm_hw_params_set_channels_first_ARG_NAMES pcm, params, val
#define snd_pcm_hw_params_set_channels_first_ARG_EXPAND snd_pcm_t * pcm, snd_pcm_hw_params_t * params, unsigned int * val
#define snd_pcm_hw_params_set_channels_first_PACKED PACKED_int_snd_pcm_t___GENPT___snd_pcm_hw_params_t___GENPT___unsigned_int___GENPT__
#define snd_pcm_hw_params_set_channels_first_INDEXED INDEXED_int_snd_pcm_t___GENPT___snd_pcm_hw_params_t___GENPT___unsigned_int___GENPT__
#define snd_pcm_hw_params_set_channels_first_FORMAT FORMAT_int_snd_pcm_t___GENPT___snd_pcm_hw_params_t___GENPT___unsigned_int___GENPT__
#define snd_pcm_hw_params_set_channels_last_INDEX 1159
#define snd_pcm_hw_params_set_channels_last_RETURN int
#define snd_pcm_hw_params_set_channels_last_ARG_NAMES pcm, params, val
#define snd_pcm_hw_params_set_channels_last_ARG_EXPAND snd_pcm_t * pcm, snd_pcm_hw_params_t * params, unsigned int * val
#define snd_pcm_hw_params_set_channels_last_PACKED PACKED_int_snd_pcm_t___GENPT___snd_pcm_hw_params_t___GENPT___unsigned_int___GENPT__
#define snd_pcm_hw_params_set_channels_last_INDEXED INDEXED_int_snd_pcm_t___GENPT___snd_pcm_hw_params_t___GENPT___unsigned_int___GENPT__
#define snd_pcm_hw_params_set_channels_last_FORMAT FORMAT_int_snd_pcm_t___GENPT___snd_pcm_hw_params_t___GENPT___unsigned_int___GENPT__
#define snd_pcm_hw_params_set_channels_max_INDEX 1160
#define snd_pcm_hw_params_set_channels_max_RETURN int
#define snd_pcm_hw_params_set_channels_max_ARG_NAMES pcm, params, val
#define snd_pcm_hw_params_set_channels_max_ARG_EXPAND snd_pcm_t * pcm, snd_pcm_hw_params_t * params, unsigned int * val
#define snd_pcm_hw_params_set_channels_max_PACKED PACKED_int_snd_pcm_t___GENPT___snd_pcm_hw_params_t___GENPT___unsigned_int___GENPT__
#define snd_pcm_hw_params_set_channels_max_INDEXED INDEXED_int_snd_pcm_t___GENPT___snd_pcm_hw_params_t___GENPT___unsigned_int___GENPT__
#define snd_pcm_hw_params_set_channels_max_FORMAT FORMAT_int_snd_pcm_t___GENPT___snd_pcm_hw_params_t___GENPT___unsigned_int___GENPT__
#define snd_pcm_hw_params_set_channels_min_INDEX 1161
#define snd_pcm_hw_params_set_channels_min_RETURN int
#define snd_pcm_hw_params_set_channels_min_ARG_NAMES pcm, params, val
#define snd_pcm_hw_params_set_channels_min_ARG_EXPAND snd_pcm_t * pcm, snd_pcm_hw_params_t * params, unsigned int * val
#define snd_pcm_hw_params_set_channels_min_PACKED PACKED_int_snd_pcm_t___GENPT___snd_pcm_hw_params_t___GENPT___unsigned_int___GENPT__
#define snd_pcm_hw_params_set_channels_min_INDEXED INDEXED_int_snd_pcm_t___GENPT___snd_pcm_hw_params_t___GENPT___unsigned_int___GENPT__
#define snd_pcm_hw_params_set_channels_min_FORMAT FORMAT_int_snd_pcm_t___GENPT___snd_pcm_hw_params_t___GENPT___unsigned_int___GENPT__
#define snd_pcm_hw_params_set_channels_minmax_INDEX 1162
#define snd_pcm_hw_params_set_channels_minmax_RETURN int
#define snd_pcm_hw_params_set_channels_minmax_ARG_NAMES pcm, params, min, max
#define snd_pcm_hw_params_set_channels_minmax_ARG_EXPAND snd_pcm_t * pcm, snd_pcm_hw_params_t * params, unsigned int * min, unsigned int * max
#define snd_pcm_hw_params_set_channels_minmax_PACKED PACKED_int_snd_pcm_t___GENPT___snd_pcm_hw_params_t___GENPT___unsigned_int___GENPT___unsigned_int___GENPT__
#define snd_pcm_hw_params_set_channels_minmax_INDEXED INDEXED_int_snd_pcm_t___GENPT___snd_pcm_hw_params_t___GENPT___unsigned_int___GENPT___unsigned_int___GENPT__
#define snd_pcm_hw_params_set_channels_minmax_FORMAT FORMAT_int_snd_pcm_t___GENPT___snd_pcm_hw_params_t___GENPT___unsigned_int___GENPT___unsigned_int___GENPT__
#define snd_pcm_hw_params_set_channels_near_INDEX 1163
#define snd_pcm_hw_params_set_channels_near_RETURN int
#define snd_pcm_hw_params_set_channels_near_ARG_NAMES pcm, params, val
#define snd_pcm_hw_params_set_channels_near_ARG_EXPAND snd_pcm_t * pcm, snd_pcm_hw_params_t * params, unsigned int * val
#define snd_pcm_hw_params_set_channels_near_PACKED PACKED_int_snd_pcm_t___GENPT___snd_pcm_hw_params_t___GENPT___unsigned_int___GENPT__
#define snd_pcm_hw_params_set_channels_near_INDEXED INDEXED_int_snd_pcm_t___GENPT___snd_pcm_hw_params_t___GENPT___unsigned_int___GENPT__
#define snd_pcm_hw_params_set_channels_near_FORMAT FORMAT_int_snd_pcm_t___GENPT___snd_pcm_hw_params_t___GENPT___unsigned_int___GENPT__
#define snd_pcm_hw_params_set_export_buffer_INDEX 1164
#define snd_pcm_hw_params_set_export_buffer_RETURN int
#define snd_pcm_hw_params_set_export_buffer_ARG_NAMES pcm, params, val
#define snd_pcm_hw_params_set_export_buffer_ARG_EXPAND snd_pcm_t * pcm, snd_pcm_hw_params_t * params, unsigned int val
#define snd_pcm_hw_params_set_export_buffer_PACKED PACKED_int_snd_pcm_t___GENPT___snd_pcm_hw_params_t___GENPT___unsigned_int
#define snd_pcm_hw_params_set_export_buffer_INDEXED INDEXED_int_snd_pcm_t___GENPT___snd_pcm_hw_params_t___GENPT___unsigned_int
#define snd_pcm_hw_params_set_export_buffer_FORMAT FORMAT_int_snd_pcm_t___GENPT___snd_pcm_hw_params_t___GENPT___unsigned_int
#define snd_pcm_hw_params_set_format_INDEX 1165
#define snd_pcm_hw_params_set_format_RETURN int
#define snd_pcm_hw_params_set_format_ARG_NAMES pcm, params, val
#define snd_pcm_hw_params_set_format_ARG_EXPAND snd_pcm_t * pcm, snd_pcm_hw_params_t * params, snd_pcm_format_t val
#define snd_pcm_hw_params_set_format_PACKED PACKED_int_snd_pcm_t___GENPT___snd_pcm_hw_params_t___GENPT___snd_pcm_format_t
#define snd_pcm_hw_params_set_format_INDEXED INDEXED_int_snd_pcm_t___GENPT___snd_pcm_hw_params_t___GENPT___snd_pcm_format_t
#define snd_pcm_hw_params_set_format_FORMAT FORMAT_int_snd_pcm_t___GENPT___snd_pcm_hw_params_t___GENPT___snd_pcm_format_t
#define snd_pcm_hw_params_set_format_first_INDEX 1166
#define snd_pcm_hw_params_set_format_first_RETURN int
#define snd_pcm_hw_params_set_format_first_ARG_NAMES pcm, params, format
#define snd_pcm_hw_params_set_format_first_ARG_EXPAND snd_pcm_t * pcm, snd_pcm_hw_params_t * params, snd_pcm_format_t * format
#define snd_pcm_hw_params_set_format_first_PACKED PACKED_int_snd_pcm_t___GENPT___snd_pcm_hw_params_t___GENPT___snd_pcm_format_t___GENPT__
#define snd_pcm_hw_params_set_format_first_INDEXED INDEXED_int_snd_pcm_t___GENPT___snd_pcm_hw_params_t___GENPT___snd_pcm_format_t___GENPT__
#define snd_pcm_hw_params_set_format_first_FORMAT FORMAT_int_snd_pcm_t___GENPT___snd_pcm_hw_params_t___GENPT___snd_pcm_format_t___GENPT__
#define snd_pcm_hw_params_set_format_last_INDEX 1167
#define snd_pcm_hw_params_set_format_last_RETURN int
#define snd_pcm_hw_params_set_format_last_ARG_NAMES pcm, params, format
#define snd_pcm_hw_params_set_format_last_ARG_EXPAND snd_pcm_t * pcm, snd_pcm_hw_params_t * params, snd_pcm_format_t * format
#define snd_pcm_hw_params_set_format_last_PACKED PACKED_int_snd_pcm_t___GENPT___snd_pcm_hw_params_t___GENPT___snd_pcm_format_t___GENPT__
#define snd_pcm_hw_params_set_format_last_INDEXED INDEXED_int_snd_pcm_t___GENPT___snd_pcm_hw_params_t___GENPT___snd_pcm_format_t___GENPT__
#define snd_pcm_hw_params_set_format_last_FORMAT FORMAT_int_snd_pcm_t___GENPT___snd_pcm_hw_params_t___GENPT___snd_pcm_format_t___GENPT__
#define snd_pcm_hw_params_set_format_mask_INDEX 1168
#define snd_pcm_hw_params_set_format_mask_RETURN int
#define snd_pcm_hw_params_set_format_mask_ARG_NAMES pcm, params, mask
#define snd_pcm_hw_params_set_format_mask_ARG_EXPAND snd_pcm_t * pcm, snd_pcm_hw_params_t * params, snd_pcm_format_mask_t * mask
#define snd_pcm_hw_params_set_format_mask_PACKED PACKED_int_snd_pcm_t___GENPT___snd_pcm_hw_params_t___GENPT___snd_pcm_format_mask_t___GENPT__
#define snd_pcm_hw_params_set_format_mask_INDEXED INDEXED_int_snd_pcm_t___GENPT___snd_pcm_hw_params_t___GENPT___snd_pcm_format_mask_t___GENPT__
#define snd_pcm_hw_params_set_format_mask_FORMAT FORMAT_int_snd_pcm_t___GENPT___snd_pcm_hw_params_t___GENPT___snd_pcm_format_mask_t___GENPT__
#define snd_pcm_hw_params_set_period_size_INDEX 1169
#define snd_pcm_hw_params_set_period_size_RETURN int
#define snd_pcm_hw_params_set_period_size_ARG_NAMES pcm, params, val, dir
#define snd_pcm_hw_params_set_period_size_ARG_EXPAND snd_pcm_t * pcm, snd_pcm_hw_params_t * params, snd_pcm_uframes_t val, int dir
#define snd_pcm_hw_params_set_period_size_PACKED PACKED_int_snd_pcm_t___GENPT___snd_pcm_hw_params_t___GENPT___snd_pcm_uframes_t_int
#define snd_pcm_hw_params_set_period_size_INDEXED INDEXED_int_snd_pcm_t___GENPT___snd_pcm_hw_params_t___GENPT___snd_pcm_uframes_t_int
#define snd_pcm_hw_params_set_period_size_FORMAT FORMAT_int_snd_pcm_t___GENPT___snd_pcm_hw_params_t___GENPT___snd_pcm_uframes_t_int
#define snd_pcm_hw_params_set_period_size_first_INDEX 1170
#define snd_pcm_hw_params_set_period_size_first_RETURN int
#define snd_pcm_hw_params_set_period_size_first_ARG_NAMES pcm, params, val, dir
#define snd_pcm_hw_params_set_period_size_first_ARG_EXPAND snd_pcm_t * pcm, snd_pcm_hw_params_t * params, snd_pcm_uframes_t * val, int * dir
#define snd_pcm_hw_params_set_period_size_first_PACKED PACKED_int_snd_pcm_t___GENPT___snd_pcm_hw_params_t___GENPT___snd_pcm_uframes_t___GENPT___int___GENPT__
#define snd_pcm_hw_params_set_period_size_first_INDEXED INDEXED_int_snd_pcm_t___GENPT___snd_pcm_hw_params_t___GENPT___snd_pcm_uframes_t___GENPT___int___GENPT__
#define snd_pcm_hw_params_set_period_size_first_FORMAT FORMAT_int_snd_pcm_t___GENPT___snd_pcm_hw_params_t___GENPT___snd_pcm_uframes_t___GENPT___int___GENPT__
#define snd_pcm_hw_params_set_period_size_integer_INDEX 1171
#define snd_pcm_hw_params_set_period_size_integer_RETURN int
#define snd_pcm_hw_params_set_period_size_integer_ARG_NAMES pcm, params
#define snd_pcm_hw_params_set_period_size_integer_ARG_EXPAND snd_pcm_t * pcm, snd_pcm_hw_params_t * params
#define snd_pcm_hw_params_set_period_size_integer_PACKED PACKED_int_snd_pcm_t___GENPT___snd_pcm_hw_params_t___GENPT__
#define snd_pcm_hw_params_set_period_size_integer_INDEXED INDEXED_int_snd_pcm_t___GENPT___snd_pcm_hw_params_t___GENPT__
#define snd_pcm_hw_params_set_period_size_integer_FORMAT FORMAT_int_snd_pcm_t___GENPT___snd_pcm_hw_params_t___GENPT__
#define snd_pcm_hw_params_set_period_size_last_INDEX 1172
#define snd_pcm_hw_params_set_period_size_last_RETURN int
#define snd_pcm_hw_params_set_period_size_last_ARG_NAMES pcm, params, val, dir
#define snd_pcm_hw_params_set_period_size_last_ARG_EXPAND snd_pcm_t * pcm, snd_pcm_hw_params_t * params, snd_pcm_uframes_t * val, int * dir
#define snd_pcm_hw_params_set_period_size_last_PACKED PACKED_int_snd_pcm_t___GENPT___snd_pcm_hw_params_t___GENPT___snd_pcm_uframes_t___GENPT___int___GENPT__
#define snd_pcm_hw_params_set_period_size_last_INDEXED INDEXED_int_snd_pcm_t___GENPT___snd_pcm_hw_params_t___GENPT___snd_pcm_uframes_t___GENPT___int___GENPT__
#define snd_pcm_hw_params_set_period_size_last_FORMAT FORMAT_int_snd_pcm_t___GENPT___snd_pcm_hw_params_t___GENPT___snd_pcm_uframes_t___GENPT___int___GENPT__
#define snd_pcm_hw_params_set_period_size_max_INDEX 1173
#define snd_pcm_hw_params_set_period_size_max_RETURN int
#define snd_pcm_hw_params_set_period_size_max_ARG_NAMES pcm, params, val, dir
#define snd_pcm_hw_params_set_period_size_max_ARG_EXPAND snd_pcm_t * pcm, snd_pcm_hw_params_t * params, snd_pcm_uframes_t * val, int * dir
#define snd_pcm_hw_params_set_period_size_max_PACKED PACKED_int_snd_pcm_t___GENPT___snd_pcm_hw_params_t___GENPT___snd_pcm_uframes_t___GENPT___int___GENPT__
#define snd_pcm_hw_params_set_period_size_max_INDEXED INDEXED_int_snd_pcm_t___GENPT___snd_pcm_hw_params_t___GENPT___snd_pcm_uframes_t___GENPT___int___GENPT__
#define snd_pcm_hw_params_set_period_size_max_FORMAT FORMAT_int_snd_pcm_t___GENPT___snd_pcm_hw_params_t___GENPT___snd_pcm_uframes_t___GENPT___int___GENPT__
#define snd_pcm_hw_params_set_period_size_min_INDEX 1174
#define snd_pcm_hw_params_set_period_size_min_RETURN int
#define snd_pcm_hw_params_set_period_size_min_ARG_NAMES pcm, params, val, dir
#define snd_pcm_hw_params_set_period_size_min_ARG_EXPAND snd_pcm_t * pcm, snd_pcm_hw_params_t * params, snd_pcm_uframes_t * val, int * dir
#define snd_pcm_hw_params_set_period_size_min_PACKED PACKED_int_snd_pcm_t___GENPT___snd_pcm_hw_params_t___GENPT___snd_pcm_uframes_t___GENPT___int___GENPT__
#define snd_pcm_hw_params_set_period_size_min_INDEXED INDEXED_int_snd_pcm_t___GENPT___snd_pcm_hw_params_t___GENPT___snd_pcm_uframes_t___GENPT___int___GENPT__
#define snd_pcm_hw_params_set_period_size_min_FORMAT FORMAT_int_snd_pcm_t___GENPT___snd_pcm_hw_params_t___GENPT___snd_pcm_uframes_t___GENPT___int___GENPT__
#define snd_pcm_hw_params_set_period_size_minmax_INDEX 1175
#define snd_pcm_hw_params_set_period_size_minmax_RETURN int
#define snd_pcm_hw_params_set_period_size_minmax_ARG_NAMES pcm, params, min, mindir, max, maxdir
#define snd_pcm_hw_params_set_period_size_minmax_ARG_EXPAND snd_pcm_t * pcm, snd_pcm_hw_params_t * params, snd_pcm_uframes_t * min, int * mindir, snd_pcm_uframes_t * max, int * maxdir
#define snd_pcm_hw_params_set_period_size_minmax_PACKED PACKED_int_snd_pcm_t___GENPT___snd_pcm_hw_params_t___GENPT___snd_pcm_uframes_t___GENPT___int___GENPT___snd_pcm_uframes_t___GENPT___int___GENPT__
#define snd_pcm_hw_params_set_period_size_minmax_INDEXED INDEXED_int_snd_pcm_t___GENPT___snd_pcm_hw_params_t___GENPT___snd_pcm_uframes_t___GENPT___int___GENPT___snd_pcm_uframes_t___GENPT___int___GENPT__
#define snd_pcm_hw_params_set_period_size_minmax_FORMAT FORMAT_int_snd_pcm_t___GENPT___snd_pcm_hw_params_t___GENPT___snd_pcm_uframes_t___GENPT___int___GENPT___snd_pcm_uframes_t___GENPT___int___GENPT__
#define snd_pcm_hw_params_set_period_size_near_INDEX 1176
#define snd_pcm_hw_params_set_period_size_near_RETURN int
#define snd_pcm_hw_params_set_period_size_near_ARG_NAMES pcm, params, val, dir
#define snd_pcm_hw_params_set_period_size_near_ARG_EXPAND snd_pcm_t * pcm, snd_pcm_hw_params_t * params, snd_pcm_uframes_t * val, int * dir
#define snd_pcm_hw_params_set_period_size_near_PACKED PACKED_int_snd_pcm_t___GENPT___snd_pcm_hw_params_t___GENPT___snd_pcm_uframes_t___GENPT___int___GENPT__
#define snd_pcm_hw_params_set_period_size_near_INDEXED INDEXED_int_snd_pcm_t___GENPT___snd_pcm_hw_params_t___GENPT___snd_pcm_uframes_t___GENPT___int___GENPT__
#define snd_pcm_hw_params_set_period_size_near_FORMAT FORMAT_int_snd_pcm_t___GENPT___snd_pcm_hw_params_t___GENPT___snd_pcm_uframes_t___GENPT___int___GENPT__
#define snd_pcm_hw_params_set_period_time_INDEX 1177
#define snd_pcm_hw_params_set_period_time_RETURN int
#define snd_pcm_hw_params_set_period_time_ARG_NAMES pcm, params, val, dir
#define snd_pcm_hw_params_set_period_time_ARG_EXPAND snd_pcm_t * pcm, snd_pcm_hw_params_t * params, unsigned int val, int dir
#define snd_pcm_hw_params_set_period_time_PACKED PACKED_int_snd_pcm_t___GENPT___snd_pcm_hw_params_t___GENPT___unsigned_int_int
#define snd_pcm_hw_params_set_period_time_INDEXED INDEXED_int_snd_pcm_t___GENPT___snd_pcm_hw_params_t___GENPT___unsigned_int_int
#define snd_pcm_hw_params_set_period_time_FORMAT FORMAT_int_snd_pcm_t___GENPT___snd_pcm_hw_params_t___GENPT___unsigned_int_int
#define snd_pcm_hw_params_set_period_time_first_INDEX 1178
#define snd_pcm_hw_params_set_period_time_first_RETURN int
#define snd_pcm_hw_params_set_period_time_first_ARG_NAMES pcm, params, val, dir
#define snd_pcm_hw_params_set_period_time_first_ARG_EXPAND snd_pcm_t * pcm, snd_pcm_hw_params_t * params, unsigned int * val, int * dir
#define snd_pcm_hw_params_set_period_time_first_PACKED PACKED_int_snd_pcm_t___GENPT___snd_pcm_hw_params_t___GENPT___unsigned_int___GENPT___int___GENPT__
#define snd_pcm_hw_params_set_period_time_first_INDEXED INDEXED_int_snd_pcm_t___GENPT___snd_pcm_hw_params_t___GENPT___unsigned_int___GENPT___int___GENPT__
#define snd_pcm_hw_params_set_period_time_first_FORMAT FORMAT_int_snd_pcm_t___GENPT___snd_pcm_hw_params_t___GENPT___unsigned_int___GENPT___int___GENPT__
#define snd_pcm_hw_params_set_period_time_last_INDEX 1179
#define snd_pcm_hw_params_set_period_time_last_RETURN int
#define snd_pcm_hw_params_set_period_time_last_ARG_NAMES pcm, params, val, dir
#define snd_pcm_hw_params_set_period_time_last_ARG_EXPAND snd_pcm_t * pcm, snd_pcm_hw_params_t * params, unsigned int * val, int * dir
#define snd_pcm_hw_params_set_period_time_last_PACKED PACKED_int_snd_pcm_t___GENPT___snd_pcm_hw_params_t___GENPT___unsigned_int___GENPT___int___GENPT__
#define snd_pcm_hw_params_set_period_time_last_INDEXED INDEXED_int_snd_pcm_t___GENPT___snd_pcm_hw_params_t___GENPT___unsigned_int___GENPT___int___GENPT__
#define snd_pcm_hw_params_set_period_time_last_FORMAT FORMAT_int_snd_pcm_t___GENPT___snd_pcm_hw_params_t___GENPT___unsigned_int___GENPT___int___GENPT__
#define snd_pcm_hw_params_set_period_time_max_INDEX 1180
#define snd_pcm_hw_params_set_period_time_max_RETURN int
#define snd_pcm_hw_params_set_period_time_max_ARG_NAMES pcm, params, val, dir
#define snd_pcm_hw_params_set_period_time_max_ARG_EXPAND snd_pcm_t * pcm, snd_pcm_hw_params_t * params, unsigned int * val, int * dir
#define snd_pcm_hw_params_set_period_time_max_PACKED PACKED_int_snd_pcm_t___GENPT___snd_pcm_hw_params_t___GENPT___unsigned_int___GENPT___int___GENPT__
#define snd_pcm_hw_params_set_period_time_max_INDEXED INDEXED_int_snd_pcm_t___GENPT___snd_pcm_hw_params_t___GENPT___unsigned_int___GENPT___int___GENPT__
#define snd_pcm_hw_params_set_period_time_max_FORMAT FORMAT_int_snd_pcm_t___GENPT___snd_pcm_hw_params_t___GENPT___unsigned_int___GENPT___int___GENPT__
#define snd_pcm_hw_params_set_period_time_min_INDEX 1181
#define snd_pcm_hw_params_set_period_time_min_RETURN int
#define snd_pcm_hw_params_set_period_time_min_ARG_NAMES pcm, params, val, dir
#define snd_pcm_hw_params_set_period_time_min_ARG_EXPAND snd_pcm_t * pcm, snd_pcm_hw_params_t * params, unsigned int * val, int * dir
#define snd_pcm_hw_params_set_period_time_min_PACKED PACKED_int_snd_pcm_t___GENPT___snd_pcm_hw_params_t___GENPT___unsigned_int___GENPT___int___GENPT__
#define snd_pcm_hw_params_set_period_time_min_INDEXED INDEXED_int_snd_pcm_t___GENPT___snd_pcm_hw_params_t___GENPT___unsigned_int___GENPT___int___GENPT__
#define snd_pcm_hw_params_set_period_time_min_FORMAT FORMAT_int_snd_pcm_t___GENPT___snd_pcm_hw_params_t___GENPT___unsigned_int___GENPT___int___GENPT__
#define snd_pcm_hw_params_set_period_time_minmax_INDEX 1182
#define snd_pcm_hw_params_set_period_time_minmax_RETURN int
#define snd_pcm_hw_params_set_period_time_minmax_ARG_NAMES pcm, params, min, mindir, max, maxdir
#define snd_pcm_hw_params_set_period_time_minmax_ARG_EXPAND snd_pcm_t * pcm, snd_pcm_hw_params_t * params, unsigned int * min, int * mindir, unsigned int * max, int * maxdir
#define snd_pcm_hw_params_set_period_time_minmax_PACKED PACKED_int_snd_pcm_t___GENPT___snd_pcm_hw_params_t___GENPT___unsigned_int___GENPT___int___GENPT___unsigned_int___GENPT___int___GENPT__
#define snd_pcm_hw_params_set_period_time_minmax_INDEXED INDEXED_int_snd_pcm_t___GENPT___snd_pcm_hw_params_t___GENPT___unsigned_int___GENPT___int___GENPT___unsigned_int___GENPT___int___GENPT__
#define snd_pcm_hw_params_set_period_time_minmax_FORMAT FORMAT_int_snd_pcm_t___GENPT___snd_pcm_hw_params_t___GENPT___unsigned_int___GENPT___int___GENPT___unsigned_int___GENPT___int___GENPT__
#define snd_pcm_hw_params_set_period_time_near_INDEX 1183
#define snd_pcm_hw_params_set_period_time_near_RETURN int
#define snd_pcm_hw_params_set_period_time_near_ARG_NAMES pcm, params, val, dir
#define snd_pcm_hw_params_set_period_time_near_ARG_EXPAND snd_pcm_t * pcm, snd_pcm_hw_params_t * params, unsigned int * val, int * dir
#define snd_pcm_hw_params_set_period_time_near_PACKED PACKED_int_snd_pcm_t___GENPT___snd_pcm_hw_params_t___GENPT___unsigned_int___GENPT___int___GENPT__
#define snd_pcm_hw_params_set_period_time_near_INDEXED INDEXED_int_snd_pcm_t___GENPT___snd_pcm_hw_params_t___GENPT___unsigned_int___GENPT___int___GENPT__
#define snd_pcm_hw_params_set_period_time_near_FORMAT FORMAT_int_snd_pcm_t___GENPT___snd_pcm_hw_params_t___GENPT___unsigned_int___GENPT___int___GENPT__
#define snd_pcm_hw_params_set_periods_INDEX 1184
#define snd_pcm_hw_params_set_periods_RETURN int
#define snd_pcm_hw_params_set_periods_ARG_NAMES pcm, params, val, dir
#define snd_pcm_hw_params_set_periods_ARG_EXPAND snd_pcm_t * pcm, snd_pcm_hw_params_t * params, unsigned int val, int dir
#define snd_pcm_hw_params_set_periods_PACKED PACKED_int_snd_pcm_t___GENPT___snd_pcm_hw_params_t___GENPT___unsigned_int_int
#define snd_pcm_hw_params_set_periods_INDEXED INDEXED_int_snd_pcm_t___GENPT___snd_pcm_hw_params_t___GENPT___unsigned_int_int
#define snd_pcm_hw_params_set_periods_FORMAT FORMAT_int_snd_pcm_t___GENPT___snd_pcm_hw_params_t___GENPT___unsigned_int_int
#define snd_pcm_hw_params_set_periods_first_INDEX 1185
#define snd_pcm_hw_params_set_periods_first_RETURN int
#define snd_pcm_hw_params_set_periods_first_ARG_NAMES pcm, params, val, dir
#define snd_pcm_hw_params_set_periods_first_ARG_EXPAND snd_pcm_t * pcm, snd_pcm_hw_params_t * params, unsigned int * val, int * dir
#define snd_pcm_hw_params_set_periods_first_PACKED PACKED_int_snd_pcm_t___GENPT___snd_pcm_hw_params_t___GENPT___unsigned_int___GENPT___int___GENPT__
#define snd_pcm_hw_params_set_periods_first_INDEXED INDEXED_int_snd_pcm_t___GENPT___snd_pcm_hw_params_t___GENPT___unsigned_int___GENPT___int___GENPT__
#define snd_pcm_hw_params_set_periods_first_FORMAT FORMAT_int_snd_pcm_t___GENPT___snd_pcm_hw_params_t___GENPT___unsigned_int___GENPT___int___GENPT__
#define snd_pcm_hw_params_set_periods_integer_INDEX 1186
#define snd_pcm_hw_params_set_periods_integer_RETURN int
#define snd_pcm_hw_params_set_periods_integer_ARG_NAMES pcm, params
#define snd_pcm_hw_params_set_periods_integer_ARG_EXPAND snd_pcm_t * pcm, snd_pcm_hw_params_t * params
#define snd_pcm_hw_params_set_periods_integer_PACKED PACKED_int_snd_pcm_t___GENPT___snd_pcm_hw_params_t___GENPT__
#define snd_pcm_hw_params_set_periods_integer_INDEXED INDEXED_int_snd_pcm_t___GENPT___snd_pcm_hw_params_t___GENPT__
#define snd_pcm_hw_params_set_periods_integer_FORMAT FORMAT_int_snd_pcm_t___GENPT___snd_pcm_hw_params_t___GENPT__
#define snd_pcm_hw_params_set_periods_last_INDEX 1187
#define snd_pcm_hw_params_set_periods_last_RETURN int
#define snd_pcm_hw_params_set_periods_last_ARG_NAMES pcm, params, val, dir
#define snd_pcm_hw_params_set_periods_last_ARG_EXPAND snd_pcm_t * pcm, snd_pcm_hw_params_t * params, unsigned int * val, int * dir
#define snd_pcm_hw_params_set_periods_last_PACKED PACKED_int_snd_pcm_t___GENPT___snd_pcm_hw_params_t___GENPT___unsigned_int___GENPT___int___GENPT__
#define snd_pcm_hw_params_set_periods_last_INDEXED INDEXED_int_snd_pcm_t___GENPT___snd_pcm_hw_params_t___GENPT___unsigned_int___GENPT___int___GENPT__
#define snd_pcm_hw_params_set_periods_last_FORMAT FORMAT_int_snd_pcm_t___GENPT___snd_pcm_hw_params_t___GENPT___unsigned_int___GENPT___int___GENPT__
#define snd_pcm_hw_params_set_periods_max_INDEX 1188
#define snd_pcm_hw_params_set_periods_max_RETURN int
#define snd_pcm_hw_params_set_periods_max_ARG_NAMES pcm, params, val, dir
#define snd_pcm_hw_params_set_periods_max_ARG_EXPAND snd_pcm_t * pcm, snd_pcm_hw_params_t * params, unsigned int * val, int * dir
#define snd_pcm_hw_params_set_periods_max_PACKED PACKED_int_snd_pcm_t___GENPT___snd_pcm_hw_params_t___GENPT___unsigned_int___GENPT___int___GENPT__
#define snd_pcm_hw_params_set_periods_max_INDEXED INDEXED_int_snd_pcm_t___GENPT___snd_pcm_hw_params_t___GENPT___unsigned_int___GENPT___int___GENPT__
#define snd_pcm_hw_params_set_periods_max_FORMAT FORMAT_int_snd_pcm_t___GENPT___snd_pcm_hw_params_t___GENPT___unsigned_int___GENPT___int___GENPT__
#define snd_pcm_hw_params_set_periods_min_INDEX 1189
#define snd_pcm_hw_params_set_periods_min_RETURN int
#define snd_pcm_hw_params_set_periods_min_ARG_NAMES pcm, params, val, dir
#define snd_pcm_hw_params_set_periods_min_ARG_EXPAND snd_pcm_t * pcm, snd_pcm_hw_params_t * params, unsigned int * val, int * dir
#define snd_pcm_hw_params_set_periods_min_PACKED PACKED_int_snd_pcm_t___GENPT___snd_pcm_hw_params_t___GENPT___unsigned_int___GENPT___int___GENPT__
#define snd_pcm_hw_params_set_periods_min_INDEXED INDEXED_int_snd_pcm_t___GENPT___snd_pcm_hw_params_t___GENPT___unsigned_int___GENPT___int___GENPT__
#define snd_pcm_hw_params_set_periods_min_FORMAT FORMAT_int_snd_pcm_t___GENPT___snd_pcm_hw_params_t___GENPT___unsigned_int___GENPT___int___GENPT__
#define snd_pcm_hw_params_set_periods_minmax_INDEX 1190
#define snd_pcm_hw_params_set_periods_minmax_RETURN int
#define snd_pcm_hw_params_set_periods_minmax_ARG_NAMES pcm, params, min, mindir, max, maxdir
#define snd_pcm_hw_params_set_periods_minmax_ARG_EXPAND snd_pcm_t * pcm, snd_pcm_hw_params_t * params, unsigned int * min, int * mindir, unsigned int * max, int * maxdir
#define snd_pcm_hw_params_set_periods_minmax_PACKED PACKED_int_snd_pcm_t___GENPT___snd_pcm_hw_params_t___GENPT___unsigned_int___GENPT___int___GENPT___unsigned_int___GENPT___int___GENPT__
#define snd_pcm_hw_params_set_periods_minmax_INDEXED INDEXED_int_snd_pcm_t___GENPT___snd_pcm_hw_params_t___GENPT___unsigned_int___GENPT___int___GENPT___unsigned_int___GENPT___int___GENPT__
#define snd_pcm_hw_params_set_periods_minmax_FORMAT FORMAT_int_snd_pcm_t___GENPT___snd_pcm_hw_params_t___GENPT___unsigned_int___GENPT___int___GENPT___unsigned_int___GENPT___int___GENPT__
#define snd_pcm_hw_params_set_periods_near_INDEX 1191
#define snd_pcm_hw_params_set_periods_near_RETURN int
#define snd_pcm_hw_params_set_periods_near_ARG_NAMES pcm, params, val, dir
#define snd_pcm_hw_params_set_periods_near_ARG_EXPAND snd_pcm_t * pcm, snd_pcm_hw_params_t * params, unsigned int * val, int * dir
#define snd_pcm_hw_params_set_periods_near_PACKED PACKED_int_snd_pcm_t___GENPT___snd_pcm_hw_params_t___GENPT___unsigned_int___GENPT___int___GENPT__
#define snd_pcm_hw_params_set_periods_near_INDEXED INDEXED_int_snd_pcm_t___GENPT___snd_pcm_hw_params_t___GENPT___unsigned_int___GENPT___int___GENPT__
#define snd_pcm_hw_params_set_periods_near_FORMAT FORMAT_int_snd_pcm_t___GENPT___snd_pcm_hw_params_t___GENPT___unsigned_int___GENPT___int___GENPT__
#define snd_pcm_hw_params_set_rate_INDEX 1192
#define snd_pcm_hw_params_set_rate_RETURN int
#define snd_pcm_hw_params_set_rate_ARG_NAMES pcm, params, val, dir
#define snd_pcm_hw_params_set_rate_ARG_EXPAND snd_pcm_t * pcm, snd_pcm_hw_params_t * params, unsigned int val, int dir
#define snd_pcm_hw_params_set_rate_PACKED PACKED_int_snd_pcm_t___GENPT___snd_pcm_hw_params_t___GENPT___unsigned_int_int
#define snd_pcm_hw_params_set_rate_INDEXED INDEXED_int_snd_pcm_t___GENPT___snd_pcm_hw_params_t___GENPT___unsigned_int_int
#define snd_pcm_hw_params_set_rate_FORMAT FORMAT_int_snd_pcm_t___GENPT___snd_pcm_hw_params_t___GENPT___unsigned_int_int
#define snd_pcm_hw_params_set_rate_first_INDEX 1193
#define snd_pcm_hw_params_set_rate_first_RETURN int
#define snd_pcm_hw_params_set_rate_first_ARG_NAMES pcm, params, val, dir
#define snd_pcm_hw_params_set_rate_first_ARG_EXPAND snd_pcm_t * pcm, snd_pcm_hw_params_t * params, unsigned int * val, int * dir
#define snd_pcm_hw_params_set_rate_first_PACKED PACKED_int_snd_pcm_t___GENPT___snd_pcm_hw_params_t___GENPT___unsigned_int___GENPT___int___GENPT__
#define snd_pcm_hw_params_set_rate_first_INDEXED INDEXED_int_snd_pcm_t___GENPT___snd_pcm_hw_params_t___GENPT___unsigned_int___GENPT___int___GENPT__
#define snd_pcm_hw_params_set_rate_first_FORMAT FORMAT_int_snd_pcm_t___GENPT___snd_pcm_hw_params_t___GENPT___unsigned_int___GENPT___int___GENPT__
#define snd_pcm_hw_params_set_rate_last_INDEX 1194
#define snd_pcm_hw_params_set_rate_last_RETURN int
#define snd_pcm_hw_params_set_rate_last_ARG_NAMES pcm, params, val, dir
#define snd_pcm_hw_params_set_rate_last_ARG_EXPAND snd_pcm_t * pcm, snd_pcm_hw_params_t * params, unsigned int * val, int * dir
#define snd_pcm_hw_params_set_rate_last_PACKED PACKED_int_snd_pcm_t___GENPT___snd_pcm_hw_params_t___GENPT___unsigned_int___GENPT___int___GENPT__
#define snd_pcm_hw_params_set_rate_last_INDEXED INDEXED_int_snd_pcm_t___GENPT___snd_pcm_hw_params_t___GENPT___unsigned_int___GENPT___int___GENPT__
#define snd_pcm_hw_params_set_rate_last_FORMAT FORMAT_int_snd_pcm_t___GENPT___snd_pcm_hw_params_t___GENPT___unsigned_int___GENPT___int___GENPT__
#define snd_pcm_hw_params_set_rate_max_INDEX 1195
#define snd_pcm_hw_params_set_rate_max_RETURN int
#define snd_pcm_hw_params_set_rate_max_ARG_NAMES pcm, params, val, dir
#define snd_pcm_hw_params_set_rate_max_ARG_EXPAND snd_pcm_t * pcm, snd_pcm_hw_params_t * params, unsigned int * val, int * dir
#define snd_pcm_hw_params_set_rate_max_PACKED PACKED_int_snd_pcm_t___GENPT___snd_pcm_hw_params_t___GENPT___unsigned_int___GENPT___int___GENPT__
#define snd_pcm_hw_params_set_rate_max_INDEXED INDEXED_int_snd_pcm_t___GENPT___snd_pcm_hw_params_t___GENPT___unsigned_int___GENPT___int___GENPT__
#define snd_pcm_hw_params_set_rate_max_FORMAT FORMAT_int_snd_pcm_t___GENPT___snd_pcm_hw_params_t___GENPT___unsigned_int___GENPT___int___GENPT__
#define snd_pcm_hw_params_set_rate_min_INDEX 1196
#define snd_pcm_hw_params_set_rate_min_RETURN int
#define snd_pcm_hw_params_set_rate_min_ARG_NAMES pcm, params, val, dir
#define snd_pcm_hw_params_set_rate_min_ARG_EXPAND snd_pcm_t * pcm, snd_pcm_hw_params_t * params, unsigned int * val, int * dir
#define snd_pcm_hw_params_set_rate_min_PACKED PACKED_int_snd_pcm_t___GENPT___snd_pcm_hw_params_t___GENPT___unsigned_int___GENPT___int___GENPT__
#define snd_pcm_hw_params_set_rate_min_INDEXED INDEXED_int_snd_pcm_t___GENPT___snd_pcm_hw_params_t___GENPT___unsigned_int___GENPT___int___GENPT__
#define snd_pcm_hw_params_set_rate_min_FORMAT FORMAT_int_snd_pcm_t___GENPT___snd_pcm_hw_params_t___GENPT___unsigned_int___GENPT___int___GENPT__
#define snd_pcm_hw_params_set_rate_minmax_INDEX 1197
#define snd_pcm_hw_params_set_rate_minmax_RETURN int
#define snd_pcm_hw_params_set_rate_minmax_ARG_NAMES pcm, params, min, mindir, max, maxdir
#define snd_pcm_hw_params_set_rate_minmax_ARG_EXPAND snd_pcm_t * pcm, snd_pcm_hw_params_t * params, unsigned int * min, int * mindir, unsigned int * max, int * maxdir
#define snd_pcm_hw_params_set_rate_minmax_PACKED PACKED_int_snd_pcm_t___GENPT___snd_pcm_hw_params_t___GENPT___unsigned_int___GENPT___int___GENPT___unsigned_int___GENPT___int___GENPT__
#define snd_pcm_hw_params_set_rate_minmax_INDEXED INDEXED_int_snd_pcm_t___GENPT___snd_pcm_hw_params_t___GENPT___unsigned_int___GENPT___int___GENPT___unsigned_int___GENPT___int___GENPT__
#define snd_pcm_hw_params_set_rate_minmax_FORMAT FORMAT_int_snd_pcm_t___GENPT___snd_pcm_hw_params_t___GENPT___unsigned_int___GENPT___int___GENPT___unsigned_int___GENPT___int___GENPT__
#define snd_pcm_hw_params_set_rate_near_INDEX 1198
#define snd_pcm_hw_params_set_rate_near_RETURN int
#define snd_pcm_hw_params_set_rate_near_ARG_NAMES pcm, params, val, dir
#define snd_pcm_hw_params_set_rate_near_ARG_EXPAND snd_pcm_t * pcm, snd_pcm_hw_params_t * params, unsigned int * val, int * dir
#define snd_pcm_hw_params_set_rate_near_PACKED PACKED_int_snd_pcm_t___GENPT___snd_pcm_hw_params_t___GENPT___unsigned_int___GENPT___int___GENPT__
#define snd_pcm_hw_params_set_rate_near_INDEXED INDEXED_int_snd_pcm_t___GENPT___snd_pcm_hw_params_t___GENPT___unsigned_int___GENPT___int___GENPT__
#define snd_pcm_hw_params_set_rate_near_FORMAT FORMAT_int_snd_pcm_t___GENPT___snd_pcm_hw_params_t___GENPT___unsigned_int___GENPT___int___GENPT__
#define snd_pcm_hw_params_set_rate_resample_INDEX 1199
#define snd_pcm_hw_params_set_rate_resample_RETURN int
#define snd_pcm_hw_params_set_rate_resample_ARG_NAMES pcm, params, val
#define snd_pcm_hw_params_set_rate_resample_ARG_EXPAND snd_pcm_t * pcm, snd_pcm_hw_params_t * params, unsigned int val
#define snd_pcm_hw_params_set_rate_resample_PACKED PACKED_int_snd_pcm_t___GENPT___snd_pcm_hw_params_t___GENPT___unsigned_int
#define snd_pcm_hw_params_set_rate_resample_INDEXED INDEXED_int_snd_pcm_t___GENPT___snd_pcm_hw_params_t___GENPT___unsigned_int
#define snd_pcm_hw_params_set_rate_resample_FORMAT FORMAT_int_snd_pcm_t___GENPT___snd_pcm_hw_params_t___GENPT___unsigned_int
#define snd_pcm_hw_params_set_subformat_INDEX 1200
#define snd_pcm_hw_params_set_subformat_RETURN int
#define snd_pcm_hw_params_set_subformat_ARG_NAMES pcm, params, subformat
#define snd_pcm_hw_params_set_subformat_ARG_EXPAND snd_pcm_t * pcm, snd_pcm_hw_params_t * params, snd_pcm_subformat_t subformat
#define snd_pcm_hw_params_set_subformat_PACKED PACKED_int_snd_pcm_t___GENPT___snd_pcm_hw_params_t___GENPT___snd_pcm_subformat_t
#define snd_pcm_hw_params_set_subformat_INDEXED INDEXED_int_snd_pcm_t___GENPT___snd_pcm_hw_params_t___GENPT___snd_pcm_subformat_t
#define snd_pcm_hw_params_set_subformat_FORMAT FORMAT_int_snd_pcm_t___GENPT___snd_pcm_hw_params_t___GENPT___snd_pcm_subformat_t
#define snd_pcm_hw_params_set_subformat_first_INDEX 1201
#define snd_pcm_hw_params_set_subformat_first_RETURN int
#define snd_pcm_hw_params_set_subformat_first_ARG_NAMES pcm, params, subformat
#define snd_pcm_hw_params_set_subformat_first_ARG_EXPAND snd_pcm_t * pcm, snd_pcm_hw_params_t * params, snd_pcm_subformat_t * subformat
#define snd_pcm_hw_params_set_subformat_first_PACKED PACKED_int_snd_pcm_t___GENPT___snd_pcm_hw_params_t___GENPT___snd_pcm_subformat_t___GENPT__
#define snd_pcm_hw_params_set_subformat_first_INDEXED INDEXED_int_snd_pcm_t___GENPT___snd_pcm_hw_params_t___GENPT___snd_pcm_subformat_t___GENPT__
#define snd_pcm_hw_params_set_subformat_first_FORMAT FORMAT_int_snd_pcm_t___GENPT___snd_pcm_hw_params_t___GENPT___snd_pcm_subformat_t___GENPT__
#define snd_pcm_hw_params_set_subformat_last_INDEX 1202
#define snd_pcm_hw_params_set_subformat_last_RETURN int
#define snd_pcm_hw_params_set_subformat_last_ARG_NAMES pcm, params, subformat
#define snd_pcm_hw_params_set_subformat_last_ARG_EXPAND snd_pcm_t * pcm, snd_pcm_hw_params_t * params, snd_pcm_subformat_t * subformat
#define snd_pcm_hw_params_set_subformat_last_PACKED PACKED_int_snd_pcm_t___GENPT___snd_pcm_hw_params_t___GENPT___snd_pcm_subformat_t___GENPT__
#define snd_pcm_hw_params_set_subformat_last_INDEXED INDEXED_int_snd_pcm_t___GENPT___snd_pcm_hw_params_t___GENPT___snd_pcm_subformat_t___GENPT__
#define snd_pcm_hw_params_set_subformat_last_FORMAT FORMAT_int_snd_pcm_t___GENPT___snd_pcm_hw_params_t___GENPT___snd_pcm_subformat_t___GENPT__
#define snd_pcm_hw_params_set_subformat_mask_INDEX 1203
#define snd_pcm_hw_params_set_subformat_mask_RETURN int
#define snd_pcm_hw_params_set_subformat_mask_ARG_NAMES pcm, params, mask
#define snd_pcm_hw_params_set_subformat_mask_ARG_EXPAND snd_pcm_t * pcm, snd_pcm_hw_params_t * params, snd_pcm_subformat_mask_t * mask
#define snd_pcm_hw_params_set_subformat_mask_PACKED PACKED_int_snd_pcm_t___GENPT___snd_pcm_hw_params_t___GENPT___snd_pcm_subformat_mask_t___GENPT__
#define snd_pcm_hw_params_set_subformat_mask_INDEXED INDEXED_int_snd_pcm_t___GENPT___snd_pcm_hw_params_t___GENPT___snd_pcm_subformat_mask_t___GENPT__
#define snd_pcm_hw_params_set_subformat_mask_FORMAT FORMAT_int_snd_pcm_t___GENPT___snd_pcm_hw_params_t___GENPT___snd_pcm_subformat_mask_t___GENPT__
#define snd_pcm_hw_params_set_tick_time_INDEX 1204
#define snd_pcm_hw_params_set_tick_time_RETURN int
#define snd_pcm_hw_params_set_tick_time_ARG_NAMES pcm, params, val, dir
#define snd_pcm_hw_params_set_tick_time_ARG_EXPAND snd_pcm_t * pcm, snd_pcm_hw_params_t * params, unsigned int val, int dir
#define snd_pcm_hw_params_set_tick_time_PACKED PACKED_int_snd_pcm_t___GENPT___snd_pcm_hw_params_t___GENPT___unsigned_int_int
#define snd_pcm_hw_params_set_tick_time_INDEXED INDEXED_int_snd_pcm_t___GENPT___snd_pcm_hw_params_t___GENPT___unsigned_int_int
#define snd_pcm_hw_params_set_tick_time_FORMAT FORMAT_int_snd_pcm_t___GENPT___snd_pcm_hw_params_t___GENPT___unsigned_int_int
#define snd_pcm_hw_params_set_tick_time_first_INDEX 1205
#define snd_pcm_hw_params_set_tick_time_first_RETURN int
#define snd_pcm_hw_params_set_tick_time_first_ARG_NAMES pcm, params, val, dir
#define snd_pcm_hw_params_set_tick_time_first_ARG_EXPAND snd_pcm_t * pcm, snd_pcm_hw_params_t * params, unsigned int * val, int * dir
#define snd_pcm_hw_params_set_tick_time_first_PACKED PACKED_int_snd_pcm_t___GENPT___snd_pcm_hw_params_t___GENPT___unsigned_int___GENPT___int___GENPT__
#define snd_pcm_hw_params_set_tick_time_first_INDEXED INDEXED_int_snd_pcm_t___GENPT___snd_pcm_hw_params_t___GENPT___unsigned_int___GENPT___int___GENPT__
#define snd_pcm_hw_params_set_tick_time_first_FORMAT FORMAT_int_snd_pcm_t___GENPT___snd_pcm_hw_params_t___GENPT___unsigned_int___GENPT___int___GENPT__
#define snd_pcm_hw_params_set_tick_time_last_INDEX 1206
#define snd_pcm_hw_params_set_tick_time_last_RETURN int
#define snd_pcm_hw_params_set_tick_time_last_ARG_NAMES pcm, params, val, dir
#define snd_pcm_hw_params_set_tick_time_last_ARG_EXPAND snd_pcm_t * pcm, snd_pcm_hw_params_t * params, unsigned int * val, int * dir
#define snd_pcm_hw_params_set_tick_time_last_PACKED PACKED_int_snd_pcm_t___GENPT___snd_pcm_hw_params_t___GENPT___unsigned_int___GENPT___int___GENPT__
#define snd_pcm_hw_params_set_tick_time_last_INDEXED INDEXED_int_snd_pcm_t___GENPT___snd_pcm_hw_params_t___GENPT___unsigned_int___GENPT___int___GENPT__
#define snd_pcm_hw_params_set_tick_time_last_FORMAT FORMAT_int_snd_pcm_t___GENPT___snd_pcm_hw_params_t___GENPT___unsigned_int___GENPT___int___GENPT__
#define snd_pcm_hw_params_set_tick_time_max_INDEX 1207
#define snd_pcm_hw_params_set_tick_time_max_RETURN int
#define snd_pcm_hw_params_set_tick_time_max_ARG_NAMES pcm, params, val, dir
#define snd_pcm_hw_params_set_tick_time_max_ARG_EXPAND snd_pcm_t * pcm, snd_pcm_hw_params_t * params, unsigned int * val, int * dir
#define snd_pcm_hw_params_set_tick_time_max_PACKED PACKED_int_snd_pcm_t___GENPT___snd_pcm_hw_params_t___GENPT___unsigned_int___GENPT___int___GENPT__
#define snd_pcm_hw_params_set_tick_time_max_INDEXED INDEXED_int_snd_pcm_t___GENPT___snd_pcm_hw_params_t___GENPT___unsigned_int___GENPT___int___GENPT__
#define snd_pcm_hw_params_set_tick_time_max_FORMAT FORMAT_int_snd_pcm_t___GENPT___snd_pcm_hw_params_t___GENPT___unsigned_int___GENPT___int___GENPT__
#define snd_pcm_hw_params_set_tick_time_min_INDEX 1208
#define snd_pcm_hw_params_set_tick_time_min_RETURN int
#define snd_pcm_hw_params_set_tick_time_min_ARG_NAMES pcm, params, val, dir
#define snd_pcm_hw_params_set_tick_time_min_ARG_EXPAND snd_pcm_t * pcm, snd_pcm_hw_params_t * params, unsigned int * val, int * dir
#define snd_pcm_hw_params_set_tick_time_min_PACKED PACKED_int_snd_pcm_t___GENPT___snd_pcm_hw_params_t___GENPT___unsigned_int___GENPT___int___GENPT__
#define snd_pcm_hw_params_set_tick_time_min_INDEXED INDEXED_int_snd_pcm_t___GENPT___snd_pcm_hw_params_t___GENPT___unsigned_int___GENPT___int___GENPT__
#define snd_pcm_hw_params_set_tick_time_min_FORMAT FORMAT_int_snd_pcm_t___GENPT___snd_pcm_hw_params_t___GENPT___unsigned_int___GENPT___int___GENPT__
#define snd_pcm_hw_params_set_tick_time_minmax_INDEX 1209
#define snd_pcm_hw_params_set_tick_time_minmax_RETURN int
#define snd_pcm_hw_params_set_tick_time_minmax_ARG_NAMES pcm, params, min, mindir, max, maxdir
#define snd_pcm_hw_params_set_tick_time_minmax_ARG_EXPAND snd_pcm_t * pcm, snd_pcm_hw_params_t * params, unsigned int * min, int * mindir, unsigned int * max, int * maxdir
#define snd_pcm_hw_params_set_tick_time_minmax_PACKED PACKED_int_snd_pcm_t___GENPT___snd_pcm_hw_params_t___GENPT___unsigned_int___GENPT___int___GENPT___unsigned_int___GENPT___int___GENPT__
#define snd_pcm_hw_params_set_tick_time_minmax_INDEXED INDEXED_int_snd_pcm_t___GENPT___snd_pcm_hw_params_t___GENPT___unsigned_int___GENPT___int___GENPT___unsigned_int___GENPT___int___GENPT__
#define snd_pcm_hw_params_set_tick_time_minmax_FORMAT FORMAT_int_snd_pcm_t___GENPT___snd_pcm_hw_params_t___GENPT___unsigned_int___GENPT___int___GENPT___unsigned_int___GENPT___int___GENPT__
#define snd_pcm_hw_params_set_tick_time_near_INDEX 1210
#define snd_pcm_hw_params_set_tick_time_near_RETURN int
#define snd_pcm_hw_params_set_tick_time_near_ARG_NAMES pcm, params, val, dir
#define snd_pcm_hw_params_set_tick_time_near_ARG_EXPAND snd_pcm_t * pcm, snd_pcm_hw_params_t * params, unsigned int * val, int * dir
#define snd_pcm_hw_params_set_tick_time_near_PACKED PACKED_int_snd_pcm_t___GENPT___snd_pcm_hw_params_t___GENPT___unsigned_int___GENPT___int___GENPT__
#define snd_pcm_hw_params_set_tick_time_near_INDEXED INDEXED_int_snd_pcm_t___GENPT___snd_pcm_hw_params_t___GENPT___unsigned_int___GENPT___int___GENPT__
#define snd_pcm_hw_params_set_tick_time_near_FORMAT FORMAT_int_snd_pcm_t___GENPT___snd_pcm_hw_params_t___GENPT___unsigned_int___GENPT___int___GENPT__
#define snd_pcm_hw_params_sizeof_INDEX 1211
#define snd_pcm_hw_params_sizeof_RETURN size_t
#define snd_pcm_hw_params_sizeof_ARG_NAMES 
#define snd_pcm_hw_params_sizeof_ARG_EXPAND 
#define snd_pcm_hw_params_sizeof_PACKED PACKED_size_t
#define snd_pcm_hw_params_sizeof_INDEXED INDEXED_size_t
#define snd_pcm_hw_params_sizeof_FORMAT FORMAT_size_t
#define snd_pcm_hw_params_test_access_INDEX 1212
#define snd_pcm_hw_params_test_access_RETURN int
#define snd_pcm_hw_params_test_access_ARG_NAMES pcm, params, _access
#define snd_pcm_hw_params_test_access_ARG_EXPAND snd_pcm_t * pcm, snd_pcm_hw_params_t * params, snd_pcm_access_t _access
#define snd_pcm_hw_params_test_access_PACKED PACKED_int_snd_pcm_t___GENPT___snd_pcm_hw_params_t___GENPT___snd_pcm_access_t
#define snd_pcm_hw_params_test_access_INDEXED INDEXED_int_snd_pcm_t___GENPT___snd_pcm_hw_params_t___GENPT___snd_pcm_access_t
#define snd_pcm_hw_params_test_access_FORMAT FORMAT_int_snd_pcm_t___GENPT___snd_pcm_hw_params_t___GENPT___snd_pcm_access_t
#define snd_pcm_hw_params_test_buffer_size_INDEX 1213
#define snd_pcm_hw_params_test_buffer_size_RETURN int
#define snd_pcm_hw_params_test_buffer_size_ARG_NAMES pcm, params, val
#define snd_pcm_hw_params_test_buffer_size_ARG_EXPAND snd_pcm_t * pcm, snd_pcm_hw_params_t * params, snd_pcm_uframes_t val
#define snd_pcm_hw_params_test_buffer_size_PACKED PACKED_int_snd_pcm_t___GENPT___snd_pcm_hw_params_t___GENPT___snd_pcm_uframes_t
#define snd_pcm_hw_params_test_buffer_size_INDEXED INDEXED_int_snd_pcm_t___GENPT___snd_pcm_hw_params_t___GENPT___snd_pcm_uframes_t
#define snd_pcm_hw_params_test_buffer_size_FORMAT FORMAT_int_snd_pcm_t___GENPT___snd_pcm_hw_params_t___GENPT___snd_pcm_uframes_t
#define snd_pcm_hw_params_test_buffer_time_INDEX 1214
#define snd_pcm_hw_params_test_buffer_time_RETURN int
#define snd_pcm_hw_params_test_buffer_time_ARG_NAMES pcm, params, val, dir
#define snd_pcm_hw_params_test_buffer_time_ARG_EXPAND snd_pcm_t * pcm, snd_pcm_hw_params_t * params, unsigned int val, int dir
#define snd_pcm_hw_params_test_buffer_time_PACKED PACKED_int_snd_pcm_t___GENPT___snd_pcm_hw_params_t___GENPT___unsigned_int_int
#define snd_pcm_hw_params_test_buffer_time_INDEXED INDEXED_int_snd_pcm_t___GENPT___snd_pcm_hw_params_t___GENPT___unsigned_int_int
#define snd_pcm_hw_params_test_buffer_time_FORMAT FORMAT_int_snd_pcm_t___GENPT___snd_pcm_hw_params_t___GENPT___unsigned_int_int
#define snd_pcm_hw_params_test_channels_INDEX 1215
#define snd_pcm_hw_params_test_channels_RETURN int
#define snd_pcm_hw_params_test_channels_ARG_NAMES pcm, params, val
#define snd_pcm_hw_params_test_channels_ARG_EXPAND snd_pcm_t * pcm, snd_pcm_hw_params_t * params, unsigned int val
#define snd_pcm_hw_params_test_channels_PACKED PACKED_int_snd_pcm_t___GENPT___snd_pcm_hw_params_t___GENPT___unsigned_int
#define snd_pcm_hw_params_test_channels_INDEXED INDEXED_int_snd_pcm_t___GENPT___snd_pcm_hw_params_t___GENPT___unsigned_int
#define snd_pcm_hw_params_test_channels_FORMAT FORMAT_int_snd_pcm_t___GENPT___snd_pcm_hw_params_t___GENPT___unsigned_int
#define snd_pcm_hw_params_test_format_INDEX 1216
#define snd_pcm_hw_params_test_format_RETURN int
#define snd_pcm_hw_params_test_format_ARG_NAMES pcm, params, val
#define snd_pcm_hw_params_test_format_ARG_EXPAND snd_pcm_t * pcm, snd_pcm_hw_params_t * params, snd_pcm_format_t val
#define snd_pcm_hw_params_test_format_PACKED PACKED_int_snd_pcm_t___GENPT___snd_pcm_hw_params_t___GENPT___snd_pcm_format_t
#define snd_pcm_hw_params_test_format_INDEXED INDEXED_int_snd_pcm_t___GENPT___snd_pcm_hw_params_t___GENPT___snd_pcm_format_t
#define snd_pcm_hw_params_test_format_FORMAT FORMAT_int_snd_pcm_t___GENPT___snd_pcm_hw_params_t___GENPT___snd_pcm_format_t
#define snd_pcm_hw_params_test_period_size_INDEX 1217
#define snd_pcm_hw_params_test_period_size_RETURN int
#define snd_pcm_hw_params_test_period_size_ARG_NAMES pcm, params, val, dir
#define snd_pcm_hw_params_test_period_size_ARG_EXPAND snd_pcm_t * pcm, snd_pcm_hw_params_t * params, snd_pcm_uframes_t val, int dir
#define snd_pcm_hw_params_test_period_size_PACKED PACKED_int_snd_pcm_t___GENPT___snd_pcm_hw_params_t___GENPT___snd_pcm_uframes_t_int
#define snd_pcm_hw_params_test_period_size_INDEXED INDEXED_int_snd_pcm_t___GENPT___snd_pcm_hw_params_t___GENPT___snd_pcm_uframes_t_int
#define snd_pcm_hw_params_test_period_size_FORMAT FORMAT_int_snd_pcm_t___GENPT___snd_pcm_hw_params_t___GENPT___snd_pcm_uframes_t_int
#define snd_pcm_hw_params_test_period_time_INDEX 1218
#define snd_pcm_hw_params_test_period_time_RETURN int
#define snd_pcm_hw_params_test_period_time_ARG_NAMES pcm, params, val, dir
#define snd_pcm_hw_params_test_period_time_ARG_EXPAND snd_pcm_t * pcm, snd_pcm_hw_params_t * params, unsigned int val, int dir
#define snd_pcm_hw_params_test_period_time_PACKED PACKED_int_snd_pcm_t___GENPT___snd_pcm_hw_params_t___GENPT___unsigned_int_int
#define snd_pcm_hw_params_test_period_time_INDEXED INDEXED_int_snd_pcm_t___GENPT___snd_pcm_hw_params_t___GENPT___unsigned_int_int
#define snd_pcm_hw_params_test_period_time_FORMAT FORMAT_int_snd_pcm_t___GENPT___snd_pcm_hw_params_t___GENPT___unsigned_int_int
#define snd_pcm_hw_params_test_periods_INDEX 1219
#define snd_pcm_hw_params_test_periods_RETURN int
#define snd_pcm_hw_params_test_periods_ARG_NAMES pcm, params, val, dir
#define snd_pcm_hw_params_test_periods_ARG_EXPAND snd_pcm_t * pcm, snd_pcm_hw_params_t * params, unsigned int val, int dir
#define snd_pcm_hw_params_test_periods_PACKED PACKED_int_snd_pcm_t___GENPT___snd_pcm_hw_params_t___GENPT___unsigned_int_int
#define snd_pcm_hw_params_test_periods_INDEXED INDEXED_int_snd_pcm_t___GENPT___snd_pcm_hw_params_t___GENPT___unsigned_int_int
#define snd_pcm_hw_params_test_periods_FORMAT FORMAT_int_snd_pcm_t___GENPT___snd_pcm_hw_params_t___GENPT___unsigned_int_int
#define snd_pcm_hw_params_test_rate_INDEX 1220
#define snd_pcm_hw_params_test_rate_RETURN int
#define snd_pcm_hw_params_test_rate_ARG_NAMES pcm, params, val, dir
#define snd_pcm_hw_params_test_rate_ARG_EXPAND snd_pcm_t * pcm, snd_pcm_hw_params_t * params, unsigned int val, int dir
#define snd_pcm_hw_params_test_rate_PACKED PACKED_int_snd_pcm_t___GENPT___snd_pcm_hw_params_t___GENPT___unsigned_int_int
#define snd_pcm_hw_params_test_rate_INDEXED INDEXED_int_snd_pcm_t___GENPT___snd_pcm_hw_params_t___GENPT___unsigned_int_int
#define snd_pcm_hw_params_test_rate_FORMAT FORMAT_int_snd_pcm_t___GENPT___snd_pcm_hw_params_t___GENPT___unsigned_int_int
#define snd_pcm_hw_params_test_subformat_INDEX 1221
#define snd_pcm_hw_params_test_subformat_RETURN int
#define snd_pcm_hw_params_test_subformat_ARG_NAMES pcm, params, subformat
#define snd_pcm_hw_params_test_subformat_ARG_EXPAND snd_pcm_t * pcm, snd_pcm_hw_params_t * params, snd_pcm_subformat_t subformat
#define snd_pcm_hw_params_test_subformat_PACKED PACKED_int_snd_pcm_t___GENPT___snd_pcm_hw_params_t___GENPT___snd_pcm_subformat_t
#define snd_pcm_hw_params_test_subformat_INDEXED INDEXED_int_snd_pcm_t___GENPT___snd_pcm_hw_params_t___GENPT___snd_pcm_subformat_t
#define snd_pcm_hw_params_test_subformat_FORMAT FORMAT_int_snd_pcm_t___GENPT___snd_pcm_hw_params_t___GENPT___snd_pcm_subformat_t
#define snd_pcm_hw_params_test_tick_time_INDEX 1222
#define snd_pcm_hw_params_test_tick_time_RETURN int
#define snd_pcm_hw_params_test_tick_time_ARG_NAMES pcm, params, val, dir
#define snd_pcm_hw_params_test_tick_time_ARG_EXPAND snd_pcm_t * pcm, snd_pcm_hw_params_t * params, unsigned int val, int dir
#define snd_pcm_hw_params_test_tick_time_PACKED PACKED_int_snd_pcm_t___GENPT___snd_pcm_hw_params_t___GENPT___unsigned_int_int
#define snd_pcm_hw_params_test_tick_time_INDEXED INDEXED_int_snd_pcm_t___GENPT___snd_pcm_hw_params_t___GENPT___unsigned_int_int
#define snd_pcm_hw_params_test_tick_time_FORMAT FORMAT_int_snd_pcm_t___GENPT___snd_pcm_hw_params_t___GENPT___unsigned_int_int
#define snd_pcm_hwsync_INDEX 1223
#define snd_pcm_hwsync_RETURN int
#define snd_pcm_hwsync_ARG_NAMES pcm
#define snd_pcm_hwsync_ARG_EXPAND snd_pcm_t * pcm
#define snd_pcm_hwsync_PACKED PACKED_int_snd_pcm_t___GENPT__
#define snd_pcm_hwsync_INDEXED INDEXED_int_snd_pcm_t___GENPT__
#define snd_pcm_hwsync_FORMAT FORMAT_int_snd_pcm_t___GENPT__
#define snd_pcm_info_INDEX 1224
#define snd_pcm_info_RETURN int
#define snd_pcm_info_ARG_NAMES pcm, info
#define snd_pcm_info_ARG_EXPAND snd_pcm_t * pcm, snd_pcm_info_t * info
#define snd_pcm_info_PACKED PACKED_int_snd_pcm_t___GENPT___snd_pcm_info_t___GENPT__
#define snd_pcm_info_INDEXED INDEXED_int_snd_pcm_t___GENPT___snd_pcm_info_t___GENPT__
#define snd_pcm_info_FORMAT FORMAT_int_snd_pcm_t___GENPT___snd_pcm_info_t___GENPT__
#define snd_pcm_info_copy_INDEX 1225
#define snd_pcm_info_copy_RETURN void
#define snd_pcm_info_copy_ARG_NAMES dst, src
#define snd_pcm_info_copy_ARG_EXPAND snd_pcm_info_t * dst, const snd_pcm_info_t * src
#define snd_pcm_info_copy_PACKED PACKED_void_snd_pcm_info_t___GENPT___const_snd_pcm_info_t___GENPT__
#define snd_pcm_info_copy_INDEXED INDEXED_void_snd_pcm_info_t___GENPT___const_snd_pcm_info_t___GENPT__
#define snd_pcm_info_copy_FORMAT FORMAT_void_snd_pcm_info_t___GENPT___const_snd_pcm_info_t___GENPT__
#define snd_pcm_info_free_INDEX 1226
#define snd_pcm_info_free_RETURN void
#define snd_pcm_info_free_ARG_NAMES obj
#define snd_pcm_info_free_ARG_EXPAND snd_pcm_info_t * obj
#define snd_pcm_info_free_PACKED PACKED_void_snd_pcm_info_t___GENPT__
#define snd_pcm_info_free_INDEXED INDEXED_void_snd_pcm_info_t___GENPT__
#define snd_pcm_info_free_FORMAT FORMAT_void_snd_pcm_info_t___GENPT__
#define snd_pcm_info_get_card_INDEX 1227
#define snd_pcm_info_get_card_RETURN int
#define snd_pcm_info_get_card_ARG_NAMES obj
#define snd_pcm_info_get_card_ARG_EXPAND const snd_pcm_info_t * obj
#define snd_pcm_info_get_card_PACKED PACKED_int_const_snd_pcm_info_t___GENPT__
#define snd_pcm_info_get_card_INDEXED INDEXED_int_const_snd_pcm_info_t___GENPT__
#define snd_pcm_info_get_card_FORMAT FORMAT_int_const_snd_pcm_info_t___GENPT__
#define snd_pcm_info_get_class_INDEX 1228
#define snd_pcm_info_get_class_RETURN snd_pcm_class_t
#define snd_pcm_info_get_class_ARG_NAMES obj
#define snd_pcm_info_get_class_ARG_EXPAND const snd_pcm_info_t * obj
#define snd_pcm_info_get_class_PACKED PACKED_snd_pcm_class_t_const_snd_pcm_info_t___GENPT__
#define snd_pcm_info_get_class_INDEXED INDEXED_snd_pcm_class_t_const_snd_pcm_info_t___GENPT__
#define snd_pcm_info_get_class_FORMAT FORMAT_snd_pcm_class_t_const_snd_pcm_info_t___GENPT__
#define snd_pcm_info_get_device_INDEX 1229
#define snd_pcm_info_get_device_RETURN unsigned int
#define snd_pcm_info_get_device_ARG_NAMES obj
#define snd_pcm_info_get_device_ARG_EXPAND const snd_pcm_info_t * obj
#define snd_pcm_info_get_device_PACKED PACKED_unsigned_int_const_snd_pcm_info_t___GENPT__
#define snd_pcm_info_get_device_INDEXED INDEXED_unsigned_int_const_snd_pcm_info_t___GENPT__
#define snd_pcm_info_get_device_FORMAT FORMAT_unsigned_int_const_snd_pcm_info_t___GENPT__
#define snd_pcm_info_get_id_INDEX 1230
#define snd_pcm_info_get_id_RETURN const char *
#define snd_pcm_info_get_id_ARG_NAMES obj
#define snd_pcm_info_get_id_ARG_EXPAND const snd_pcm_info_t * obj
#define snd_pcm_info_get_id_PACKED PACKED_const_char___GENPT___const_snd_pcm_info_t___GENPT__
#define snd_pcm_info_get_id_INDEXED INDEXED_const_char___GENPT___const_snd_pcm_info_t___GENPT__
#define snd_pcm_info_get_id_FORMAT FORMAT_const_char___GENPT___const_snd_pcm_info_t___GENPT__
#define snd_pcm_info_get_name_INDEX 1231
#define snd_pcm_info_get_name_RETURN const char *
#define snd_pcm_info_get_name_ARG_NAMES obj
#define snd_pcm_info_get_name_ARG_EXPAND const snd_pcm_info_t * obj
#define snd_pcm_info_get_name_PACKED PACKED_const_char___GENPT___const_snd_pcm_info_t___GENPT__
#define snd_pcm_info_get_name_INDEXED INDEXED_const_char___GENPT___const_snd_pcm_info_t___GENPT__
#define snd_pcm_info_get_name_FORMAT FORMAT_const_char___GENPT___const_snd_pcm_info_t___GENPT__
#define snd_pcm_info_get_stream_INDEX 1232
#define snd_pcm_info_get_stream_RETURN snd_pcm_stream_t
#define snd_pcm_info_get_stream_ARG_NAMES obj
#define snd_pcm_info_get_stream_ARG_EXPAND const snd_pcm_info_t * obj
#define snd_pcm_info_get_stream_PACKED PACKED_snd_pcm_stream_t_const_snd_pcm_info_t___GENPT__
#define snd_pcm_info_get_stream_INDEXED INDEXED_snd_pcm_stream_t_const_snd_pcm_info_t___GENPT__
#define snd_pcm_info_get_stream_FORMAT FORMAT_snd_pcm_stream_t_const_snd_pcm_info_t___GENPT__
#define snd_pcm_info_get_subclass_INDEX 1233
#define snd_pcm_info_get_subclass_RETURN snd_pcm_subclass_t
#define snd_pcm_info_get_subclass_ARG_NAMES obj
#define snd_pcm_info_get_subclass_ARG_EXPAND const snd_pcm_info_t * obj
#define snd_pcm_info_get_subclass_PACKED PACKED_snd_pcm_subclass_t_const_snd_pcm_info_t___GENPT__
#define snd_pcm_info_get_subclass_INDEXED INDEXED_snd_pcm_subclass_t_const_snd_pcm_info_t___GENPT__
#define snd_pcm_info_get_subclass_FORMAT FORMAT_snd_pcm_subclass_t_const_snd_pcm_info_t___GENPT__
#define snd_pcm_info_get_subdevice_INDEX 1234
#define snd_pcm_info_get_subdevice_RETURN unsigned int
#define snd_pcm_info_get_subdevice_ARG_NAMES obj
#define snd_pcm_info_get_subdevice_ARG_EXPAND const snd_pcm_info_t * obj
#define snd_pcm_info_get_subdevice_PACKED PACKED_unsigned_int_const_snd_pcm_info_t___GENPT__
#define snd_pcm_info_get_subdevice_INDEXED INDEXED_unsigned_int_const_snd_pcm_info_t___GENPT__
#define snd_pcm_info_get_subdevice_FORMAT FORMAT_unsigned_int_const_snd_pcm_info_t___GENPT__
#define snd_pcm_info_get_subdevice_name_INDEX 1235
#define snd_pcm_info_get_subdevice_name_RETURN const char *
#define snd_pcm_info_get_subdevice_name_ARG_NAMES obj
#define snd_pcm_info_get_subdevice_name_ARG_EXPAND const snd_pcm_info_t * obj
#define snd_pcm_info_get_subdevice_name_PACKED PACKED_const_char___GENPT___const_snd_pcm_info_t___GENPT__
#define snd_pcm_info_get_subdevice_name_INDEXED INDEXED_const_char___GENPT___const_snd_pcm_info_t___GENPT__
#define snd_pcm_info_get_subdevice_name_FORMAT FORMAT_const_char___GENPT___const_snd_pcm_info_t___GENPT__
#define snd_pcm_info_get_subdevices_avail_INDEX 1236
#define snd_pcm_info_get_subdevices_avail_RETURN unsigned int
#define snd_pcm_info_get_subdevices_avail_ARG_NAMES obj
#define snd_pcm_info_get_subdevices_avail_ARG_EXPAND const snd_pcm_info_t * obj
#define snd_pcm_info_get_subdevices_avail_PACKED PACKED_unsigned_int_const_snd_pcm_info_t___GENPT__
#define snd_pcm_info_get_subdevices_avail_INDEXED INDEXED_unsigned_int_const_snd_pcm_info_t___GENPT__
#define snd_pcm_info_get_subdevices_avail_FORMAT FORMAT_unsigned_int_const_snd_pcm_info_t___GENPT__
#define snd_pcm_info_get_subdevices_count_INDEX 1237
#define snd_pcm_info_get_subdevices_count_RETURN unsigned int
#define snd_pcm_info_get_subdevices_count_ARG_NAMES obj
#define snd_pcm_info_get_subdevices_count_ARG_EXPAND const snd_pcm_info_t * obj
#define snd_pcm_info_get_subdevices_count_PACKED PACKED_unsigned_int_const_snd_pcm_info_t___GENPT__
#define snd_pcm_info_get_subdevices_count_INDEXED INDEXED_unsigned_int_const_snd_pcm_info_t___GENPT__
#define snd_pcm_info_get_subdevices_count_FORMAT FORMAT_unsigned_int_const_snd_pcm_info_t___GENPT__
#define snd_pcm_info_get_sync_INDEX 1238
#define snd_pcm_info_get_sync_RETURN snd_pcm_sync_id_t
#define snd_pcm_info_get_sync_ARG_NAMES obj
#define snd_pcm_info_get_sync_ARG_EXPAND const snd_pcm_info_t * obj
#define snd_pcm_info_get_sync_PACKED PACKED_snd_pcm_sync_id_t_const_snd_pcm_info_t___GENPT__
#define snd_pcm_info_get_sync_INDEXED INDEXED_snd_pcm_sync_id_t_const_snd_pcm_info_t___GENPT__
#define snd_pcm_info_get_sync_FORMAT FORMAT_snd_pcm_sync_id_t_const_snd_pcm_info_t___GENPT__
#define snd_pcm_info_malloc_INDEX 1239
#define snd_pcm_info_malloc_RETURN int
#define snd_pcm_info_malloc_ARG_NAMES ptr
#define snd_pcm_info_malloc_ARG_EXPAND snd_pcm_info_t ** ptr
#define snd_pcm_info_malloc_PACKED PACKED_int_snd_pcm_info_t___GENPT____GENPT__
#define snd_pcm_info_malloc_INDEXED INDEXED_int_snd_pcm_info_t___GENPT____GENPT__
#define snd_pcm_info_malloc_FORMAT FORMAT_int_snd_pcm_info_t___GENPT____GENPT__
#define snd_pcm_info_set_device_INDEX 1240
#define snd_pcm_info_set_device_RETURN void
#define snd_pcm_info_set_device_ARG_NAMES obj, val
#define snd_pcm_info_set_device_ARG_EXPAND snd_pcm_info_t * obj, unsigned int val
#define snd_pcm_info_set_device_PACKED PACKED_void_snd_pcm_info_t___GENPT___unsigned_int
#define snd_pcm_info_set_device_INDEXED INDEXED_void_snd_pcm_info_t___GENPT___unsigned_int
#define snd_pcm_info_set_device_FORMAT FORMAT_void_snd_pcm_info_t___GENPT___unsigned_int
#define snd_pcm_info_set_stream_INDEX 1241
#define snd_pcm_info_set_stream_RETURN void
#define snd_pcm_info_set_stream_ARG_NAMES obj, val
#define snd_pcm_info_set_stream_ARG_EXPAND snd_pcm_info_t * obj, snd_pcm_stream_t val
#define snd_pcm_info_set_stream_PACKED PACKED_void_snd_pcm_info_t___GENPT___snd_pcm_stream_t
#define snd_pcm_info_set_stream_INDEXED INDEXED_void_snd_pcm_info_t___GENPT___snd_pcm_stream_t
#define snd_pcm_info_set_stream_FORMAT FORMAT_void_snd_pcm_info_t___GENPT___snd_pcm_stream_t
#define snd_pcm_info_set_subdevice_INDEX 1242
#define snd_pcm_info_set_subdevice_RETURN void
#define snd_pcm_info_set_subdevice_ARG_NAMES obj, val
#define snd_pcm_info_set_subdevice_ARG_EXPAND snd_pcm_info_t * obj, unsigned int val
#define snd_pcm_info_set_subdevice_PACKED PACKED_void_snd_pcm_info_t___GENPT___unsigned_int
#define snd_pcm_info_set_subdevice_INDEXED INDEXED_void_snd_pcm_info_t___GENPT___unsigned_int
#define snd_pcm_info_set_subdevice_FORMAT FORMAT_void_snd_pcm_info_t___GENPT___unsigned_int
#define snd_pcm_info_sizeof_INDEX 1243
#define snd_pcm_info_sizeof_RETURN size_t
#define snd_pcm_info_sizeof_ARG_NAMES 
#define snd_pcm_info_sizeof_ARG_EXPAND 
#define snd_pcm_info_sizeof_PACKED PACKED_size_t
#define snd_pcm_info_sizeof_INDEXED INDEXED_size_t
#define snd_pcm_info_sizeof_FORMAT FORMAT_size_t
#define snd_pcm_link_INDEX 1244
#define snd_pcm_link_RETURN int
#define snd_pcm_link_ARG_NAMES pcm1, pcm2
#define snd_pcm_link_ARG_EXPAND snd_pcm_t * pcm1, snd_pcm_t * pcm2
#define snd_pcm_link_PACKED PACKED_int_snd_pcm_t___GENPT___snd_pcm_t___GENPT__
#define snd_pcm_link_INDEXED INDEXED_int_snd_pcm_t___GENPT___snd_pcm_t___GENPT__
#define snd_pcm_link_FORMAT FORMAT_int_snd_pcm_t___GENPT___snd_pcm_t___GENPT__
#define snd_pcm_meter_add_scope_INDEX 1245
#define snd_pcm_meter_add_scope_RETURN int
#define snd_pcm_meter_add_scope_ARG_NAMES pcm, scope
#define snd_pcm_meter_add_scope_ARG_EXPAND snd_pcm_t * pcm, snd_pcm_scope_t * scope
#define snd_pcm_meter_add_scope_PACKED PACKED_int_snd_pcm_t___GENPT___snd_pcm_scope_t___GENPT__
#define snd_pcm_meter_add_scope_INDEXED INDEXED_int_snd_pcm_t___GENPT___snd_pcm_scope_t___GENPT__
#define snd_pcm_meter_add_scope_FORMAT FORMAT_int_snd_pcm_t___GENPT___snd_pcm_scope_t___GENPT__
#define snd_pcm_meter_get_boundary_INDEX 1246
#define snd_pcm_meter_get_boundary_RETURN snd_pcm_uframes_t
#define snd_pcm_meter_get_boundary_ARG_NAMES pcm
#define snd_pcm_meter_get_boundary_ARG_EXPAND snd_pcm_t * pcm
#define snd_pcm_meter_get_boundary_PACKED PACKED_snd_pcm_uframes_t_snd_pcm_t___GENPT__
#define snd_pcm_meter_get_boundary_INDEXED INDEXED_snd_pcm_uframes_t_snd_pcm_t___GENPT__
#define snd_pcm_meter_get_boundary_FORMAT FORMAT_snd_pcm_uframes_t_snd_pcm_t___GENPT__
#define snd_pcm_meter_get_bufsize_INDEX 1247
#define snd_pcm_meter_get_bufsize_RETURN snd_pcm_uframes_t
#define snd_pcm_meter_get_bufsize_ARG_NAMES pcm
#define snd_pcm_meter_get_bufsize_ARG_EXPAND snd_pcm_t * pcm
#define snd_pcm_meter_get_bufsize_PACKED PACKED_snd_pcm_uframes_t_snd_pcm_t___GENPT__
#define snd_pcm_meter_get_bufsize_INDEXED INDEXED_snd_pcm_uframes_t_snd_pcm_t___GENPT__
#define snd_pcm_meter_get_bufsize_FORMAT FORMAT_snd_pcm_uframes_t_snd_pcm_t___GENPT__
#define snd_pcm_meter_get_channels_INDEX 1248
#define snd_pcm_meter_get_channels_RETURN unsigned int
#define snd_pcm_meter_get_channels_ARG_NAMES pcm
#define snd_pcm_meter_get_channels_ARG_EXPAND snd_pcm_t * pcm
#define snd_pcm_meter_get_channels_PACKED PACKED_unsigned_int_snd_pcm_t___GENPT__
#define snd_pcm_meter_get_channels_INDEXED INDEXED_unsigned_int_snd_pcm_t___GENPT__
#define snd_pcm_meter_get_channels_FORMAT FORMAT_unsigned_int_snd_pcm_t___GENPT__
#define snd_pcm_meter_get_now_INDEX 1249
#define snd_pcm_meter_get_now_RETURN snd_pcm_uframes_t
#define snd_pcm_meter_get_now_ARG_NAMES pcm
#define snd_pcm_meter_get_now_ARG_EXPAND snd_pcm_t * pcm
#define snd_pcm_meter_get_now_PACKED PACKED_snd_pcm_uframes_t_snd_pcm_t___GENPT__
#define snd_pcm_meter_get_now_INDEXED INDEXED_snd_pcm_uframes_t_snd_pcm_t___GENPT__
#define snd_pcm_meter_get_now_FORMAT FORMAT_snd_pcm_uframes_t_snd_pcm_t___GENPT__
#define snd_pcm_meter_get_rate_INDEX 1250
#define snd_pcm_meter_get_rate_RETURN unsigned int
#define snd_pcm_meter_get_rate_ARG_NAMES pcm
#define snd_pcm_meter_get_rate_ARG_EXPAND snd_pcm_t * pcm
#define snd_pcm_meter_get_rate_PACKED PACKED_unsigned_int_snd_pcm_t___GENPT__
#define snd_pcm_meter_get_rate_INDEXED INDEXED_unsigned_int_snd_pcm_t___GENPT__
#define snd_pcm_meter_get_rate_FORMAT FORMAT_unsigned_int_snd_pcm_t___GENPT__
#define snd_pcm_meter_search_scope_INDEX 1251
#define snd_pcm_meter_search_scope_RETURN snd_pcm_scope_t *
#define snd_pcm_meter_search_scope_ARG_NAMES pcm, name
#define snd_pcm_meter_search_scope_ARG_EXPAND snd_pcm_t * pcm, const char * name
#define snd_pcm_meter_search_scope_PACKED PACKED_snd_pcm_scope_t___GENPT___snd_pcm_t___GENPT___const_char___GENPT__
#define snd_pcm_meter_search_scope_INDEXED INDEXED_snd_pcm_scope_t___GENPT___snd_pcm_t___GENPT___const_char___GENPT__
#define snd_pcm_meter_search_scope_FORMAT FORMAT_snd_pcm_scope_t___GENPT___snd_pcm_t___GENPT___const_char___GENPT__
#define snd_pcm_mmap_begin_INDEX 1252
#define snd_pcm_mmap_begin_RETURN int
#define snd_pcm_mmap_begin_ARG_NAMES pcm, areas, offset, frames
#define snd_pcm_mmap_begin_ARG_EXPAND snd_pcm_t * pcm, const snd_pcm_channel_area_t ** areas, snd_pcm_uframes_t * offset, snd_pcm_uframes_t * frames
#define snd_pcm_mmap_begin_PACKED PACKED_int_snd_pcm_t___GENPT___const_snd_pcm_channel_area_t___GENPT____GENPT___snd_pcm_uframes_t___GENPT___snd_pcm_uframes_t___GENPT__
#define snd_pcm_mmap_begin_INDEXED INDEXED_int_snd_pcm_t___GENPT___const_snd_pcm_channel_area_t___GENPT____GENPT___snd_pcm_uframes_t___GENPT___snd_pcm_uframes_t___GENPT__
#define snd_pcm_mmap_begin_FORMAT FORMAT_int_snd_pcm_t___GENPT___const_snd_pcm_channel_area_t___GENPT____GENPT___snd_pcm_uframes_t___GENPT___snd_pcm_uframes_t___GENPT__
#define snd_pcm_mmap_commit_INDEX 1253
#define snd_pcm_mmap_commit_RETURN snd_pcm_sframes_t
#define snd_pcm_mmap_commit_ARG_NAMES pcm, offset, frames
#define snd_pcm_mmap_commit_ARG_EXPAND snd_pcm_t * pcm, snd_pcm_uframes_t offset, snd_pcm_uframes_t frames
#define snd_pcm_mmap_commit_PACKED PACKED_snd_pcm_sframes_t_snd_pcm_t___GENPT___snd_pcm_uframes_t_snd_pcm_uframes_t
#define snd_pcm_mmap_commit_INDEXED INDEXED_snd_pcm_sframes_t_snd_pcm_t___GENPT___snd_pcm_uframes_t_snd_pcm_uframes_t
#define snd_pcm_mmap_commit_FORMAT FORMAT_snd_pcm_sframes_t_snd_pcm_t___GENPT___snd_pcm_uframes_t_snd_pcm_uframes_t
#define snd_pcm_mmap_readi_INDEX 1254
#define snd_pcm_mmap_readi_RETURN snd_pcm_sframes_t
#define snd_pcm_mmap_readi_ARG_NAMES pcm, buffer, size
#define snd_pcm_mmap_readi_ARG_EXPAND snd_pcm_t * pcm, void * buffer, snd_pcm_uframes_t size
#define snd_pcm_mmap_readi_PACKED PACKED_snd_pcm_sframes_t_snd_pcm_t___GENPT___void___GENPT___snd_pcm_uframes_t
#define snd_pcm_mmap_readi_INDEXED INDEXED_snd_pcm_sframes_t_snd_pcm_t___GENPT___void___GENPT___snd_pcm_uframes_t
#define snd_pcm_mmap_readi_FORMAT FORMAT_snd_pcm_sframes_t_snd_pcm_t___GENPT___void___GENPT___snd_pcm_uframes_t
#define snd_pcm_mmap_readn_INDEX 1255
#define snd_pcm_mmap_readn_RETURN snd_pcm_sframes_t
#define snd_pcm_mmap_readn_ARG_NAMES pcm, bufs, size
#define snd_pcm_mmap_readn_ARG_EXPAND snd_pcm_t * pcm, void ** bufs, snd_pcm_uframes_t size
#define snd_pcm_mmap_readn_PACKED PACKED_snd_pcm_sframes_t_snd_pcm_t___GENPT___void___GENPT____GENPT___snd_pcm_uframes_t
#define snd_pcm_mmap_readn_INDEXED INDEXED_snd_pcm_sframes_t_snd_pcm_t___GENPT___void___GENPT____GENPT___snd_pcm_uframes_t
#define snd_pcm_mmap_readn_FORMAT FORMAT_snd_pcm_sframes_t_snd_pcm_t___GENPT___void___GENPT____GENPT___snd_pcm_uframes_t
#define snd_pcm_mmap_writei_INDEX 1256
#define snd_pcm_mmap_writei_RETURN snd_pcm_sframes_t
#define snd_pcm_mmap_writei_ARG_NAMES pcm, buffer, size
#define snd_pcm_mmap_writei_ARG_EXPAND snd_pcm_t * pcm, const void * buffer, snd_pcm_uframes_t size
#define snd_pcm_mmap_writei_PACKED PACKED_snd_pcm_sframes_t_snd_pcm_t___GENPT___const_void___GENPT___snd_pcm_uframes_t
#define snd_pcm_mmap_writei_INDEXED INDEXED_snd_pcm_sframes_t_snd_pcm_t___GENPT___const_void___GENPT___snd_pcm_uframes_t
#define snd_pcm_mmap_writei_FORMAT FORMAT_snd_pcm_sframes_t_snd_pcm_t___GENPT___const_void___GENPT___snd_pcm_uframes_t
#define snd_pcm_mmap_writen_INDEX 1257
#define snd_pcm_mmap_writen_RETURN snd_pcm_sframes_t
#define snd_pcm_mmap_writen_ARG_NAMES pcm, bufs, size
#define snd_pcm_mmap_writen_ARG_EXPAND snd_pcm_t * pcm, void ** bufs, snd_pcm_uframes_t size
#define snd_pcm_mmap_writen_PACKED PACKED_snd_pcm_sframes_t_snd_pcm_t___GENPT___void___GENPT____GENPT___snd_pcm_uframes_t
#define snd_pcm_mmap_writen_INDEXED INDEXED_snd_pcm_sframes_t_snd_pcm_t___GENPT___void___GENPT____GENPT___snd_pcm_uframes_t
#define snd_pcm_mmap_writen_FORMAT FORMAT_snd_pcm_sframes_t_snd_pcm_t___GENPT___void___GENPT____GENPT___snd_pcm_uframes_t
#define snd_pcm_name_INDEX 1258
#define snd_pcm_name_RETURN const char *
#define snd_pcm_name_ARG_NAMES pcm
#define snd_pcm_name_ARG_EXPAND snd_pcm_t * pcm
#define snd_pcm_name_PACKED PACKED_const_char___GENPT___snd_pcm_t___GENPT__
#define snd_pcm_name_INDEXED INDEXED_const_char___GENPT___snd_pcm_t___GENPT__
#define snd_pcm_name_FORMAT FORMAT_const_char___GENPT___snd_pcm_t___GENPT__
#define snd_pcm_nonblock_INDEX 1259
#define snd_pcm_nonblock_RETURN int
#define snd_pcm_nonblock_ARG_NAMES pcm, nonblock
#define snd_pcm_nonblock_ARG_EXPAND snd_pcm_t * pcm, int nonblock
#define snd_pcm_nonblock_PACKED PACKED_int_snd_pcm_t___GENPT___int
#define snd_pcm_nonblock_INDEXED INDEXED_int_snd_pcm_t___GENPT___int
#define snd_pcm_nonblock_FORMAT FORMAT_int_snd_pcm_t___GENPT___int
#define snd_pcm_open_INDEX 1260
#define snd_pcm_open_RETURN int
#define snd_pcm_open_ARG_NAMES pcm, name, stream, mode
#define snd_pcm_open_ARG_EXPAND snd_pcm_t ** pcm, const char * name, snd_pcm_stream_t stream, int mode
#define snd_pcm_open_PACKED PACKED_int_snd_pcm_t___GENPT____GENPT___const_char___GENPT___snd_pcm_stream_t_int
#define snd_pcm_open_INDEXED INDEXED_int_snd_pcm_t___GENPT____GENPT___const_char___GENPT___snd_pcm_stream_t_int
#define snd_pcm_open_FORMAT FORMAT_int_snd_pcm_t___GENPT____GENPT___const_char___GENPT___snd_pcm_stream_t_int
#define snd_pcm_open_lconf_INDEX 1261
#define snd_pcm_open_lconf_RETURN int
#define snd_pcm_open_lconf_ARG_NAMES pcm, name, stream, mode, lconf
#define snd_pcm_open_lconf_ARG_EXPAND snd_pcm_t ** pcm, const char * name, snd_pcm_stream_t stream, int mode, snd_config_t * lconf
#define snd_pcm_open_lconf_PACKED PACKED_int_snd_pcm_t___GENPT____GENPT___const_char___GENPT___snd_pcm_stream_t_int_snd_config_t___GENPT__
#define snd_pcm_open_lconf_INDEXED INDEXED_int_snd_pcm_t___GENPT____GENPT___const_char___GENPT___snd_pcm_stream_t_int_snd_config_t___GENPT__
#define snd_pcm_open_lconf_FORMAT FORMAT_int_snd_pcm_t___GENPT____GENPT___const_char___GENPT___snd_pcm_stream_t_int_snd_config_t___GENPT__
#define snd_pcm_pause_INDEX 1262
#define snd_pcm_pause_RETURN int
#define snd_pcm_pause_ARG_NAMES pcm, enable
#define snd_pcm_pause_ARG_EXPAND snd_pcm_t * pcm, int enable
#define snd_pcm_pause_PACKED PACKED_int_snd_pcm_t___GENPT___int
#define snd_pcm_pause_INDEXED INDEXED_int_snd_pcm_t___GENPT___int
#define snd_pcm_pause_FORMAT FORMAT_int_snd_pcm_t___GENPT___int
#define snd_pcm_poll_descriptors_INDEX 1263
#define snd_pcm_poll_descriptors_RETURN int
#define snd_pcm_poll_descriptors_ARG_NAMES pcm, pfds, space
#define snd_pcm_poll_descriptors_ARG_EXPAND snd_pcm_t * pcm, struct pollfd * pfds, unsigned int space
#define snd_pcm_poll_descriptors_PACKED PACKED_int_snd_pcm_t___GENPT___struct_pollfd___GENPT___unsigned_int
#define snd_pcm_poll_descriptors_INDEXED INDEXED_int_snd_pcm_t___GENPT___struct_pollfd___GENPT___unsigned_int
#define snd_pcm_poll_descriptors_FORMAT FORMAT_int_snd_pcm_t___GENPT___struct_pollfd___GENPT___unsigned_int
#define snd_pcm_poll_descriptors_count_INDEX 1264
#define snd_pcm_poll_descriptors_count_RETURN int
#define snd_pcm_poll_descriptors_count_ARG_NAMES pcm
#define snd_pcm_poll_descriptors_count_ARG_EXPAND snd_pcm_t * pcm
#define snd_pcm_poll_descriptors_count_PACKED PACKED_int_snd_pcm_t___GENPT__
#define snd_pcm_poll_descriptors_count_INDEXED INDEXED_int_snd_pcm_t___GENPT__
#define snd_pcm_poll_descriptors_count_FORMAT FORMAT_int_snd_pcm_t___GENPT__
#define snd_pcm_poll_descriptors_revents_INDEX 1265
#define snd_pcm_poll_descriptors_revents_RETURN int
#define snd_pcm_poll_descriptors_revents_ARG_NAMES pcm, pfds, nfds, revents
#define snd_pcm_poll_descriptors_revents_ARG_EXPAND snd_pcm_t * pcm, struct pollfd * pfds, unsigned int nfds, unsigned short * revents
#define snd_pcm_poll_descriptors_revents_PACKED PACKED_int_snd_pcm_t___GENPT___struct_pollfd___GENPT___unsigned_int_unsigned_short___GENPT__
#define snd_pcm_poll_descriptors_revents_INDEXED INDEXED_int_snd_pcm_t___GENPT___struct_pollfd___GENPT___unsigned_int_unsigned_short___GENPT__
#define snd_pcm_poll_descriptors_revents_FORMAT FORMAT_int_snd_pcm_t___GENPT___struct_pollfd___GENPT___unsigned_int_unsigned_short___GENPT__
#define snd_pcm_prepare_INDEX 1266
#define snd_pcm_prepare_RETURN int
#define snd_pcm_prepare_ARG_NAMES pcm
#define snd_pcm_prepare_ARG_EXPAND snd_pcm_t * pcm
#define snd_pcm_prepare_PACKED PACKED_int_snd_pcm_t___GENPT__
#define snd_pcm_prepare_INDEXED INDEXED_int_snd_pcm_t___GENPT__
#define snd_pcm_prepare_FORMAT FORMAT_int_snd_pcm_t___GENPT__
#define snd_pcm_readi_INDEX 1267
#define snd_pcm_readi_RETURN snd_pcm_sframes_t
#define snd_pcm_readi_ARG_NAMES pcm, buffer, size
#define snd_pcm_readi_ARG_EXPAND snd_pcm_t * pcm, void * buffer, snd_pcm_uframes_t size
#define snd_pcm_readi_PACKED PACKED_snd_pcm_sframes_t_snd_pcm_t___GENPT___void___GENPT___snd_pcm_uframes_t
#define snd_pcm_readi_INDEXED INDEXED_snd_pcm_sframes_t_snd_pcm_t___GENPT___void___GENPT___snd_pcm_uframes_t
#define snd_pcm_readi_FORMAT FORMAT_snd_pcm_sframes_t_snd_pcm_t___GENPT___void___GENPT___snd_pcm_uframes_t
#define snd_pcm_readn_INDEX 1268
#define snd_pcm_readn_RETURN snd_pcm_sframes_t
#define snd_pcm_readn_ARG_NAMES pcm, bufs, size
#define snd_pcm_readn_ARG_EXPAND snd_pcm_t * pcm, void ** bufs, snd_pcm_uframes_t size
#define snd_pcm_readn_PACKED PACKED_snd_pcm_sframes_t_snd_pcm_t___GENPT___void___GENPT____GENPT___snd_pcm_uframes_t
#define snd_pcm_readn_INDEXED INDEXED_snd_pcm_sframes_t_snd_pcm_t___GENPT___void___GENPT____GENPT___snd_pcm_uframes_t
#define snd_pcm_readn_FORMAT FORMAT_snd_pcm_sframes_t_snd_pcm_t___GENPT___void___GENPT____GENPT___snd_pcm_uframes_t
#define snd_pcm_recover_INDEX 1269
#define snd_pcm_recover_RETURN int
#define snd_pcm_recover_ARG_NAMES pcm, err, silent
#define snd_pcm_recover_ARG_EXPAND snd_pcm_t * pcm, int err, int silent
#define snd_pcm_recover_PACKED PACKED_int_snd_pcm_t___GENPT___int_int
#define snd_pcm_recover_INDEXED INDEXED_int_snd_pcm_t___GENPT___int_int
#define snd_pcm_recover_FORMAT FORMAT_int_snd_pcm_t___GENPT___int_int
#define snd_pcm_reset_INDEX 1270
#define snd_pcm_reset_RETURN int
#define snd_pcm_reset_ARG_NAMES pcm
#define snd_pcm_reset_ARG_EXPAND snd_pcm_t * pcm
#define snd_pcm_reset_PACKED PACKED_int_snd_pcm_t___GENPT__
#define snd_pcm_reset_INDEXED INDEXED_int_snd_pcm_t___GENPT__
#define snd_pcm_reset_FORMAT FORMAT_int_snd_pcm_t___GENPT__
#define snd_pcm_resume_INDEX 1271
#define snd_pcm_resume_RETURN int
#define snd_pcm_resume_ARG_NAMES pcm
#define snd_pcm_resume_ARG_EXPAND snd_pcm_t * pcm
#define snd_pcm_resume_PACKED PACKED_int_snd_pcm_t___GENPT__
#define snd_pcm_resume_INDEXED INDEXED_int_snd_pcm_t___GENPT__
#define snd_pcm_resume_FORMAT FORMAT_int_snd_pcm_t___GENPT__
#define snd_pcm_rewind_INDEX 1272
#define snd_pcm_rewind_RETURN snd_pcm_sframes_t
#define snd_pcm_rewind_ARG_NAMES pcm, frames
#define snd_pcm_rewind_ARG_EXPAND snd_pcm_t * pcm, snd_pcm_uframes_t frames
#define snd_pcm_rewind_PACKED PACKED_snd_pcm_sframes_t_snd_pcm_t___GENPT___snd_pcm_uframes_t
#define snd_pcm_rewind_INDEXED INDEXED_snd_pcm_sframes_t_snd_pcm_t___GENPT___snd_pcm_uframes_t
#define snd_pcm_rewind_FORMAT FORMAT_snd_pcm_sframes_t_snd_pcm_t___GENPT___snd_pcm_uframes_t
#define snd_pcm_samples_to_bytes_INDEX 1273
#define snd_pcm_samples_to_bytes_RETURN ssize_t
#define snd_pcm_samples_to_bytes_ARG_NAMES pcm, samples
#define snd_pcm_samples_to_bytes_ARG_EXPAND snd_pcm_t * pcm, long samples
#define snd_pcm_samples_to_bytes_PACKED PACKED_ssize_t_snd_pcm_t___GENPT___long
#define snd_pcm_samples_to_bytes_INDEXED INDEXED_ssize_t_snd_pcm_t___GENPT___long
#define snd_pcm_samples_to_bytes_FORMAT FORMAT_ssize_t_snd_pcm_t___GENPT___long
#define snd_pcm_scope_get_callback_private_INDEX 1274
#define snd_pcm_scope_get_callback_private_RETURN void *
#define snd_pcm_scope_get_callback_private_ARG_NAMES scope
#define snd_pcm_scope_get_callback_private_ARG_EXPAND snd_pcm_scope_t * scope
#define snd_pcm_scope_get_callback_private_PACKED PACKED_void___GENPT___snd_pcm_scope_t___GENPT__
#define snd_pcm_scope_get_callback_private_INDEXED INDEXED_void___GENPT___snd_pcm_scope_t___GENPT__
#define snd_pcm_scope_get_callback_private_FORMAT FORMAT_void___GENPT___snd_pcm_scope_t___GENPT__
#define snd_pcm_scope_get_name_INDEX 1275
#define snd_pcm_scope_get_name_RETURN const char *
#define snd_pcm_scope_get_name_ARG_NAMES scope
#define snd_pcm_scope_get_name_ARG_EXPAND snd_pcm_scope_t * scope
#define snd_pcm_scope_get_name_PACKED PACKED_const_char___GENPT___snd_pcm_scope_t___GENPT__
#define snd_pcm_scope_get_name_INDEXED INDEXED_const_char___GENPT___snd_pcm_scope_t___GENPT__
#define snd_pcm_scope_get_name_FORMAT FORMAT_const_char___GENPT___snd_pcm_scope_t___GENPT__
#define snd_pcm_scope_malloc_INDEX 1276
#define snd_pcm_scope_malloc_RETURN int
#define snd_pcm_scope_malloc_ARG_NAMES ptr
#define snd_pcm_scope_malloc_ARG_EXPAND snd_pcm_scope_t ** ptr
#define snd_pcm_scope_malloc_PACKED PACKED_int_snd_pcm_scope_t___GENPT____GENPT__
#define snd_pcm_scope_malloc_INDEXED INDEXED_int_snd_pcm_scope_t___GENPT____GENPT__
#define snd_pcm_scope_malloc_FORMAT FORMAT_int_snd_pcm_scope_t___GENPT____GENPT__
#define snd_pcm_scope_s16_get_channel_buffer_INDEX 1277
#define snd_pcm_scope_s16_get_channel_buffer_RETURN int16_t *
#define snd_pcm_scope_s16_get_channel_buffer_ARG_NAMES scope, channel
#define snd_pcm_scope_s16_get_channel_buffer_ARG_EXPAND snd_pcm_scope_t * scope, unsigned int channel
#define snd_pcm_scope_s16_get_channel_buffer_PACKED PACKED_int16_t___GENPT___snd_pcm_scope_t___GENPT___unsigned_int
#define snd_pcm_scope_s16_get_channel_buffer_INDEXED INDEXED_int16_t___GENPT___snd_pcm_scope_t___GENPT___unsigned_int
#define snd_pcm_scope_s16_get_channel_buffer_FORMAT FORMAT_int16_t___GENPT___snd_pcm_scope_t___GENPT___unsigned_int
#define snd_pcm_scope_s16_open_INDEX 1278
#define snd_pcm_scope_s16_open_RETURN int
#define snd_pcm_scope_s16_open_ARG_NAMES pcm, name, scopep
#define snd_pcm_scope_s16_open_ARG_EXPAND snd_pcm_t * pcm, const char * name, snd_pcm_scope_t ** scopep
#define snd_pcm_scope_s16_open_PACKED PACKED_int_snd_pcm_t___GENPT___const_char___GENPT___snd_pcm_scope_t___GENPT____GENPT__
#define snd_pcm_scope_s16_open_INDEXED INDEXED_int_snd_pcm_t___GENPT___const_char___GENPT___snd_pcm_scope_t___GENPT____GENPT__
#define snd_pcm_scope_s16_open_FORMAT FORMAT_int_snd_pcm_t___GENPT___const_char___GENPT___snd_pcm_scope_t___GENPT____GENPT__
#define snd_pcm_scope_set_callback_private_INDEX 1279
#define snd_pcm_scope_set_callback_private_RETURN void
#define snd_pcm_scope_set_callback_private_ARG_NAMES scope, val
#define snd_pcm_scope_set_callback_private_ARG_EXPAND snd_pcm_scope_t * scope, void * val
#define snd_pcm_scope_set_callback_private_PACKED PACKED_void_snd_pcm_scope_t___GENPT___void___GENPT__
#define snd_pcm_scope_set_callback_private_INDEXED INDEXED_void_snd_pcm_scope_t___GENPT___void___GENPT__
#define snd_pcm_scope_set_callback_private_FORMAT FORMAT_void_snd_pcm_scope_t___GENPT___void___GENPT__
#define snd_pcm_scope_set_name_INDEX 1280
#define snd_pcm_scope_set_name_RETURN void
#define snd_pcm_scope_set_name_ARG_NAMES scope, val
#define snd_pcm_scope_set_name_ARG_EXPAND snd_pcm_scope_t * scope, const char * val
#define snd_pcm_scope_set_name_PACKED PACKED_void_snd_pcm_scope_t___GENPT___const_char___GENPT__
#define snd_pcm_scope_set_name_INDEXED INDEXED_void_snd_pcm_scope_t___GENPT___const_char___GENPT__
#define snd_pcm_scope_set_name_FORMAT FORMAT_void_snd_pcm_scope_t___GENPT___const_char___GENPT__
#define snd_pcm_scope_set_ops_INDEX 1281
#define snd_pcm_scope_set_ops_RETURN void
#define snd_pcm_scope_set_ops_ARG_NAMES scope, val
#define snd_pcm_scope_set_ops_ARG_EXPAND snd_pcm_scope_t * scope, const snd_pcm_scope_ops_t * val
#define snd_pcm_scope_set_ops_PACKED PACKED_void_snd_pcm_scope_t___GENPT___const_snd_pcm_scope_ops_t___GENPT__
#define snd_pcm_scope_set_ops_INDEXED INDEXED_void_snd_pcm_scope_t___GENPT___const_snd_pcm_scope_ops_t___GENPT__
#define snd_pcm_scope_set_ops_FORMAT FORMAT_void_snd_pcm_scope_t___GENPT___const_snd_pcm_scope_ops_t___GENPT__
#define snd_pcm_set_params_INDEX 1282
#define snd_pcm_set_params_RETURN int
#define snd_pcm_set_params_ARG_NAMES pcm, format, access, channels, rate, soft_resample, latency
#define snd_pcm_set_params_ARG_EXPAND snd_pcm_t * pcm, snd_pcm_format_t format, snd_pcm_access_t access, unsigned int channels, unsigned int rate, int soft_resample, unsigned int latency
#define snd_pcm_set_params_PACKED PACKED_int_snd_pcm_t___GENPT___snd_pcm_format_t_snd_pcm_access_t_unsigned_int_unsigned_int_int_unsigned_int
#define snd_pcm_set_params_INDEXED INDEXED_int_snd_pcm_t___GENPT___snd_pcm_format_t_snd_pcm_access_t_unsigned_int_unsigned_int_int_unsigned_int
#define snd_pcm_set_params_FORMAT FORMAT_int_snd_pcm_t___GENPT___snd_pcm_format_t_snd_pcm_access_t_unsigned_int_unsigned_int_int_unsigned_int
#define snd_pcm_start_INDEX 1283
#define snd_pcm_start_RETURN int
#define snd_pcm_start_ARG_NAMES pcm
#define snd_pcm_start_ARG_EXPAND snd_pcm_t * pcm
#define snd_pcm_start_PACKED PACKED_int_snd_pcm_t___GENPT__
#define snd_pcm_start_INDEXED INDEXED_int_snd_pcm_t___GENPT__
#define snd_pcm_start_FORMAT FORMAT_int_snd_pcm_t___GENPT__
#define snd_pcm_start_mode_name_INDEX 1284
#define snd_pcm_start_mode_name_RETURN const char *
#define snd_pcm_start_mode_name_ARG_NAMES mode
#define snd_pcm_start_mode_name_ARG_EXPAND snd_pcm_start_t mode
#define snd_pcm_start_mode_name_PACKED PACKED_const_char___GENPT___snd_pcm_start_t
#define snd_pcm_start_mode_name_INDEXED INDEXED_const_char___GENPT___snd_pcm_start_t
#define snd_pcm_start_mode_name_FORMAT FORMAT_const_char___GENPT___snd_pcm_start_t
#define snd_pcm_state_INDEX 1285
#define snd_pcm_state_RETURN snd_pcm_state_t
#define snd_pcm_state_ARG_NAMES pcm
#define snd_pcm_state_ARG_EXPAND snd_pcm_t * pcm
#define snd_pcm_state_PACKED PACKED_snd_pcm_state_t_snd_pcm_t___GENPT__
#define snd_pcm_state_INDEXED INDEXED_snd_pcm_state_t_snd_pcm_t___GENPT__
#define snd_pcm_state_FORMAT FORMAT_snd_pcm_state_t_snd_pcm_t___GENPT__
#define snd_pcm_state_name_INDEX 1286
#define snd_pcm_state_name_RETURN const char *
#define snd_pcm_state_name_ARG_NAMES state
#define snd_pcm_state_name_ARG_EXPAND const snd_pcm_state_t state
#define snd_pcm_state_name_PACKED PACKED_const_char___GENPT___const_snd_pcm_state_t
#define snd_pcm_state_name_INDEXED INDEXED_const_char___GENPT___const_snd_pcm_state_t
#define snd_pcm_state_name_FORMAT FORMAT_const_char___GENPT___const_snd_pcm_state_t
#define snd_pcm_status_INDEX 1287
#define snd_pcm_status_RETURN int
#define snd_pcm_status_ARG_NAMES pcm, status
#define snd_pcm_status_ARG_EXPAND snd_pcm_t * pcm, snd_pcm_status_t * status
#define snd_pcm_status_PACKED PACKED_int_snd_pcm_t___GENPT___snd_pcm_status_t___GENPT__
#define snd_pcm_status_INDEXED INDEXED_int_snd_pcm_t___GENPT___snd_pcm_status_t___GENPT__
#define snd_pcm_status_FORMAT FORMAT_int_snd_pcm_t___GENPT___snd_pcm_status_t___GENPT__
#define snd_pcm_status_copy_INDEX 1288
#define snd_pcm_status_copy_RETURN void
#define snd_pcm_status_copy_ARG_NAMES dst, src
#define snd_pcm_status_copy_ARG_EXPAND snd_pcm_status_t * dst, const snd_pcm_status_t * src
#define snd_pcm_status_copy_PACKED PACKED_void_snd_pcm_status_t___GENPT___const_snd_pcm_status_t___GENPT__
#define snd_pcm_status_copy_INDEXED INDEXED_void_snd_pcm_status_t___GENPT___const_snd_pcm_status_t___GENPT__
#define snd_pcm_status_copy_FORMAT FORMAT_void_snd_pcm_status_t___GENPT___const_snd_pcm_status_t___GENPT__
#define snd_pcm_status_dump_INDEX 1289
#define snd_pcm_status_dump_RETURN int
#define snd_pcm_status_dump_ARG_NAMES status, out
#define snd_pcm_status_dump_ARG_EXPAND snd_pcm_status_t * status, snd_output_t * out
#define snd_pcm_status_dump_PACKED PACKED_int_snd_pcm_status_t___GENPT___snd_output_t___GENPT__
#define snd_pcm_status_dump_INDEXED INDEXED_int_snd_pcm_status_t___GENPT___snd_output_t___GENPT__
#define snd_pcm_status_dump_FORMAT FORMAT_int_snd_pcm_status_t___GENPT___snd_output_t___GENPT__
#define snd_pcm_status_free_INDEX 1290
#define snd_pcm_status_free_RETURN void
#define snd_pcm_status_free_ARG_NAMES obj
#define snd_pcm_status_free_ARG_EXPAND snd_pcm_status_t * obj
#define snd_pcm_status_free_PACKED PACKED_void_snd_pcm_status_t___GENPT__
#define snd_pcm_status_free_INDEXED INDEXED_void_snd_pcm_status_t___GENPT__
#define snd_pcm_status_free_FORMAT FORMAT_void_snd_pcm_status_t___GENPT__
#define snd_pcm_status_get_avail_INDEX 1291
#define snd_pcm_status_get_avail_RETURN snd_pcm_uframes_t
#define snd_pcm_status_get_avail_ARG_NAMES obj
#define snd_pcm_status_get_avail_ARG_EXPAND const snd_pcm_status_t * obj
#define snd_pcm_status_get_avail_PACKED PACKED_snd_pcm_uframes_t_const_snd_pcm_status_t___GENPT__
#define snd_pcm_status_get_avail_INDEXED INDEXED_snd_pcm_uframes_t_const_snd_pcm_status_t___GENPT__
#define snd_pcm_status_get_avail_FORMAT FORMAT_snd_pcm_uframes_t_const_snd_pcm_status_t___GENPT__
#define snd_pcm_status_get_avail_max_INDEX 1292
#define snd_pcm_status_get_avail_max_RETURN snd_pcm_uframes_t
#define snd_pcm_status_get_avail_max_ARG_NAMES obj
#define snd_pcm_status_get_avail_max_ARG_EXPAND const snd_pcm_status_t * obj
#define snd_pcm_status_get_avail_max_PACKED PACKED_snd_pcm_uframes_t_const_snd_pcm_status_t___GENPT__
#define snd_pcm_status_get_avail_max_INDEXED INDEXED_snd_pcm_uframes_t_const_snd_pcm_status_t___GENPT__
#define snd_pcm_status_get_avail_max_FORMAT FORMAT_snd_pcm_uframes_t_const_snd_pcm_status_t___GENPT__
#define snd_pcm_status_get_delay_INDEX 1293
#define snd_pcm_status_get_delay_RETURN snd_pcm_sframes_t
#define snd_pcm_status_get_delay_ARG_NAMES obj
#define snd_pcm_status_get_delay_ARG_EXPAND const snd_pcm_status_t * obj
#define snd_pcm_status_get_delay_PACKED PACKED_snd_pcm_sframes_t_const_snd_pcm_status_t___GENPT__
#define snd_pcm_status_get_delay_INDEXED INDEXED_snd_pcm_sframes_t_const_snd_pcm_status_t___GENPT__
#define snd_pcm_status_get_delay_FORMAT FORMAT_snd_pcm_sframes_t_const_snd_pcm_status_t___GENPT__
#define snd_pcm_status_get_htstamp_INDEX 1294
#define snd_pcm_status_get_htstamp_RETURN void
#define snd_pcm_status_get_htstamp_ARG_NAMES obj, ptr
#define snd_pcm_status_get_htstamp_ARG_EXPAND const snd_pcm_status_t * obj, snd_htimestamp_t * ptr
#define snd_pcm_status_get_htstamp_PACKED PACKED_void_const_snd_pcm_status_t___GENPT___snd_htimestamp_t___GENPT__
#define snd_pcm_status_get_htstamp_INDEXED INDEXED_void_const_snd_pcm_status_t___GENPT___snd_htimestamp_t___GENPT__
#define snd_pcm_status_get_htstamp_FORMAT FORMAT_void_const_snd_pcm_status_t___GENPT___snd_htimestamp_t___GENPT__
#define snd_pcm_status_get_overrange_INDEX 1295
#define snd_pcm_status_get_overrange_RETURN snd_pcm_uframes_t
#define snd_pcm_status_get_overrange_ARG_NAMES obj
#define snd_pcm_status_get_overrange_ARG_EXPAND const snd_pcm_status_t * obj
#define snd_pcm_status_get_overrange_PACKED PACKED_snd_pcm_uframes_t_const_snd_pcm_status_t___GENPT__
#define snd_pcm_status_get_overrange_INDEXED INDEXED_snd_pcm_uframes_t_const_snd_pcm_status_t___GENPT__
#define snd_pcm_status_get_overrange_FORMAT FORMAT_snd_pcm_uframes_t_const_snd_pcm_status_t___GENPT__
#define snd_pcm_status_get_state_INDEX 1296
#define snd_pcm_status_get_state_RETURN snd_pcm_state_t
#define snd_pcm_status_get_state_ARG_NAMES obj
#define snd_pcm_status_get_state_ARG_EXPAND const snd_pcm_status_t * obj
#define snd_pcm_status_get_state_PACKED PACKED_snd_pcm_state_t_const_snd_pcm_status_t___GENPT__
#define snd_pcm_status_get_state_INDEXED INDEXED_snd_pcm_state_t_const_snd_pcm_status_t___GENPT__
#define snd_pcm_status_get_state_FORMAT FORMAT_snd_pcm_state_t_const_snd_pcm_status_t___GENPT__
#define snd_pcm_status_get_trigger_htstamp_INDEX 1297
#define snd_pcm_status_get_trigger_htstamp_RETURN void
#define snd_pcm_status_get_trigger_htstamp_ARG_NAMES obj, ptr
#define snd_pcm_status_get_trigger_htstamp_ARG_EXPAND const snd_pcm_status_t * obj, snd_htimestamp_t * ptr
#define snd_pcm_status_get_trigger_htstamp_PACKED PACKED_void_const_snd_pcm_status_t___GENPT___snd_htimestamp_t___GENPT__
#define snd_pcm_status_get_trigger_htstamp_INDEXED INDEXED_void_const_snd_pcm_status_t___GENPT___snd_htimestamp_t___GENPT__
#define snd_pcm_status_get_trigger_htstamp_FORMAT FORMAT_void_const_snd_pcm_status_t___GENPT___snd_htimestamp_t___GENPT__
#define snd_pcm_status_get_trigger_tstamp_INDEX 1298
#define snd_pcm_status_get_trigger_tstamp_RETURN void
#define snd_pcm_status_get_trigger_tstamp_ARG_NAMES obj, ptr
#define snd_pcm_status_get_trigger_tstamp_ARG_EXPAND const snd_pcm_status_t * obj, snd_timestamp_t * ptr
#define snd_pcm_status_get_trigger_tstamp_PACKED PACKED_void_const_snd_pcm_status_t___GENPT___snd_timestamp_t___GENPT__
#define snd_pcm_status_get_trigger_tstamp_INDEXED INDEXED_void_const_snd_pcm_status_t___GENPT___snd_timestamp_t___GENPT__
#define snd_pcm_status_get_trigger_tstamp_FORMAT FORMAT_void_const_snd_pcm_status_t___GENPT___snd_timestamp_t___GENPT__
#define snd_pcm_status_get_tstamp_INDEX 1299
#define snd_pcm_status_get_tstamp_RETURN void
#define snd_pcm_status_get_tstamp_ARG_NAMES obj, ptr
#define snd_pcm_status_get_tstamp_ARG_EXPAND const snd_pcm_status_t * obj, snd_timestamp_t * ptr
#define snd_pcm_status_get_tstamp_PACKED PACKED_void_const_snd_pcm_status_t___GENPT___snd_timestamp_t___GENPT__
#define snd_pcm_status_get_tstamp_INDEXED INDEXED_void_const_snd_pcm_status_t___GENPT___snd_timestamp_t___GENPT__
#define snd_pcm_status_get_tstamp_FORMAT FORMAT_void_const_snd_pcm_status_t___GENPT___snd_timestamp_t___GENPT__
#define snd_pcm_status_malloc_INDEX 1300
#define snd_pcm_status_malloc_RETURN int
#define snd_pcm_status_malloc_ARG_NAMES ptr
#define snd_pcm_status_malloc_ARG_EXPAND snd_pcm_status_t ** ptr
#define snd_pcm_status_malloc_PACKED PACKED_int_snd_pcm_status_t___GENPT____GENPT__
#define snd_pcm_status_malloc_INDEXED INDEXED_int_snd_pcm_status_t___GENPT____GENPT__
#define snd_pcm_status_malloc_FORMAT FORMAT_int_snd_pcm_status_t___GENPT____GENPT__
#define snd_pcm_status_sizeof_INDEX 1301
#define snd_pcm_status_sizeof_RETURN size_t
#define snd_pcm_status_sizeof_ARG_NAMES 
#define snd_pcm_status_sizeof_ARG_EXPAND 
#define snd_pcm_status_sizeof_PACKED PACKED_size_t
#define snd_pcm_status_sizeof_INDEXED INDEXED_size_t
#define snd_pcm_status_sizeof_FORMAT FORMAT_size_t
#define snd_pcm_stream_INDEX 1302
#define snd_pcm_stream_RETURN snd_pcm_stream_t
#define snd_pcm_stream_ARG_NAMES pcm
#define snd_pcm_stream_ARG_EXPAND snd_pcm_t * pcm
#define snd_pcm_stream_PACKED PACKED_snd_pcm_stream_t_snd_pcm_t___GENPT__
#define snd_pcm_stream_INDEXED INDEXED_snd_pcm_stream_t_snd_pcm_t___GENPT__
#define snd_pcm_stream_FORMAT FORMAT_snd_pcm_stream_t_snd_pcm_t___GENPT__
#define snd_pcm_stream_name_INDEX 1303
#define snd_pcm_stream_name_RETURN const char *
#define snd_pcm_stream_name_ARG_NAMES stream
#define snd_pcm_stream_name_ARG_EXPAND const snd_pcm_stream_t stream
#define snd_pcm_stream_name_PACKED PACKED_const_char___GENPT___const_snd_pcm_stream_t
#define snd_pcm_stream_name_INDEXED INDEXED_const_char___GENPT___const_snd_pcm_stream_t
#define snd_pcm_stream_name_FORMAT FORMAT_const_char___GENPT___const_snd_pcm_stream_t
#define snd_pcm_subformat_description_INDEX 1304
#define snd_pcm_subformat_description_RETURN const char *
#define snd_pcm_subformat_description_ARG_NAMES subformat
#define snd_pcm_subformat_description_ARG_EXPAND const snd_pcm_subformat_t subformat
#define snd_pcm_subformat_description_PACKED PACKED_const_char___GENPT___const_snd_pcm_subformat_t
#define snd_pcm_subformat_description_INDEXED INDEXED_const_char___GENPT___const_snd_pcm_subformat_t
#define snd_pcm_subformat_description_FORMAT FORMAT_const_char___GENPT___const_snd_pcm_subformat_t
#define snd_pcm_subformat_mask_any_INDEX 1305
#define snd_pcm_subformat_mask_any_RETURN void
#define snd_pcm_subformat_mask_any_ARG_NAMES mask
#define snd_pcm_subformat_mask_any_ARG_EXPAND snd_pcm_subformat_mask_t * mask
#define snd_pcm_subformat_mask_any_PACKED PACKED_void_snd_pcm_subformat_mask_t___GENPT__
#define snd_pcm_subformat_mask_any_INDEXED INDEXED_void_snd_pcm_subformat_mask_t___GENPT__
#define snd_pcm_subformat_mask_any_FORMAT FORMAT_void_snd_pcm_subformat_mask_t___GENPT__
#define snd_pcm_subformat_mask_copy_INDEX 1306
#define snd_pcm_subformat_mask_copy_RETURN void
#define snd_pcm_subformat_mask_copy_ARG_NAMES dst, src
#define snd_pcm_subformat_mask_copy_ARG_EXPAND snd_pcm_subformat_mask_t * dst, const snd_pcm_subformat_mask_t * src
#define snd_pcm_subformat_mask_copy_PACKED PACKED_void_snd_pcm_subformat_mask_t___GENPT___const_snd_pcm_subformat_mask_t___GENPT__
#define snd_pcm_subformat_mask_copy_INDEXED INDEXED_void_snd_pcm_subformat_mask_t___GENPT___const_snd_pcm_subformat_mask_t___GENPT__
#define snd_pcm_subformat_mask_copy_FORMAT FORMAT_void_snd_pcm_subformat_mask_t___GENPT___const_snd_pcm_subformat_mask_t___GENPT__
#define snd_pcm_subformat_mask_empty_INDEX 1307
#define snd_pcm_subformat_mask_empty_RETURN int
#define snd_pcm_subformat_mask_empty_ARG_NAMES mask
#define snd_pcm_subformat_mask_empty_ARG_EXPAND const snd_pcm_subformat_mask_t * mask
#define snd_pcm_subformat_mask_empty_PACKED PACKED_int_const_snd_pcm_subformat_mask_t___GENPT__
#define snd_pcm_subformat_mask_empty_INDEXED INDEXED_int_const_snd_pcm_subformat_mask_t___GENPT__
#define snd_pcm_subformat_mask_empty_FORMAT FORMAT_int_const_snd_pcm_subformat_mask_t___GENPT__
#define snd_pcm_subformat_mask_free_INDEX 1308
#define snd_pcm_subformat_mask_free_RETURN void
#define snd_pcm_subformat_mask_free_ARG_NAMES obj
#define snd_pcm_subformat_mask_free_ARG_EXPAND snd_pcm_subformat_mask_t * obj
#define snd_pcm_subformat_mask_free_PACKED PACKED_void_snd_pcm_subformat_mask_t___GENPT__
#define snd_pcm_subformat_mask_free_INDEXED INDEXED_void_snd_pcm_subformat_mask_t___GENPT__
#define snd_pcm_subformat_mask_free_FORMAT FORMAT_void_snd_pcm_subformat_mask_t___GENPT__
#define snd_pcm_subformat_mask_malloc_INDEX 1309
#define snd_pcm_subformat_mask_malloc_RETURN int
#define snd_pcm_subformat_mask_malloc_ARG_NAMES ptr
#define snd_pcm_subformat_mask_malloc_ARG_EXPAND snd_pcm_subformat_mask_t ** ptr
#define snd_pcm_subformat_mask_malloc_PACKED PACKED_int_snd_pcm_subformat_mask_t___GENPT____GENPT__
#define snd_pcm_subformat_mask_malloc_INDEXED INDEXED_int_snd_pcm_subformat_mask_t___GENPT____GENPT__
#define snd_pcm_subformat_mask_malloc_FORMAT FORMAT_int_snd_pcm_subformat_mask_t___GENPT____GENPT__
#define snd_pcm_subformat_mask_none_INDEX 1310
#define snd_pcm_subformat_mask_none_RETURN void
#define snd_pcm_subformat_mask_none_ARG_NAMES mask
#define snd_pcm_subformat_mask_none_ARG_EXPAND snd_pcm_subformat_mask_t * mask
#define snd_pcm_subformat_mask_none_PACKED PACKED_void_snd_pcm_subformat_mask_t___GENPT__
#define snd_pcm_subformat_mask_none_INDEXED INDEXED_void_snd_pcm_subformat_mask_t___GENPT__
#define snd_pcm_subformat_mask_none_FORMAT FORMAT_void_snd_pcm_subformat_mask_t___GENPT__
#define snd_pcm_subformat_mask_reset_INDEX 1311
#define snd_pcm_subformat_mask_reset_RETURN void
#define snd_pcm_subformat_mask_reset_ARG_NAMES mask, val
#define snd_pcm_subformat_mask_reset_ARG_EXPAND snd_pcm_subformat_mask_t * mask, snd_pcm_subformat_t val
#define snd_pcm_subformat_mask_reset_PACKED PACKED_void_snd_pcm_subformat_mask_t___GENPT___snd_pcm_subformat_t
#define snd_pcm_subformat_mask_reset_INDEXED INDEXED_void_snd_pcm_subformat_mask_t___GENPT___snd_pcm_subformat_t
#define snd_pcm_subformat_mask_reset_FORMAT FORMAT_void_snd_pcm_subformat_mask_t___GENPT___snd_pcm_subformat_t
#define snd_pcm_subformat_mask_set_INDEX 1312
#define snd_pcm_subformat_mask_set_RETURN void
#define snd_pcm_subformat_mask_set_ARG_NAMES mask, val
#define snd_pcm_subformat_mask_set_ARG_EXPAND snd_pcm_subformat_mask_t * mask, snd_pcm_subformat_t val
#define snd_pcm_subformat_mask_set_PACKED PACKED_void_snd_pcm_subformat_mask_t___GENPT___snd_pcm_subformat_t
#define snd_pcm_subformat_mask_set_INDEXED INDEXED_void_snd_pcm_subformat_mask_t___GENPT___snd_pcm_subformat_t
#define snd_pcm_subformat_mask_set_FORMAT FORMAT_void_snd_pcm_subformat_mask_t___GENPT___snd_pcm_subformat_t
#define snd_pcm_subformat_mask_sizeof_INDEX 1313
#define snd_pcm_subformat_mask_sizeof_RETURN size_t
#define snd_pcm_subformat_mask_sizeof_ARG_NAMES 
#define snd_pcm_subformat_mask_sizeof_ARG_EXPAND 
#define snd_pcm_subformat_mask_sizeof_PACKED PACKED_size_t
#define snd_pcm_subformat_mask_sizeof_INDEXED INDEXED_size_t
#define snd_pcm_subformat_mask_sizeof_FORMAT FORMAT_size_t
#define snd_pcm_subformat_mask_test_INDEX 1314
#define snd_pcm_subformat_mask_test_RETURN int
#define snd_pcm_subformat_mask_test_ARG_NAMES mask, val
#define snd_pcm_subformat_mask_test_ARG_EXPAND const snd_pcm_subformat_mask_t * mask, snd_pcm_subformat_t val
#define snd_pcm_subformat_mask_test_PACKED PACKED_int_const_snd_pcm_subformat_mask_t___GENPT___snd_pcm_subformat_t
#define snd_pcm_subformat_mask_test_INDEXED INDEXED_int_const_snd_pcm_subformat_mask_t___GENPT___snd_pcm_subformat_t
#define snd_pcm_subformat_mask_test_FORMAT FORMAT_int_const_snd_pcm_subformat_mask_t___GENPT___snd_pcm_subformat_t
#define snd_pcm_subformat_name_INDEX 1315
#define snd_pcm_subformat_name_RETURN const char *
#define snd_pcm_subformat_name_ARG_NAMES subformat
#define snd_pcm_subformat_name_ARG_EXPAND const snd_pcm_subformat_t subformat
#define snd_pcm_subformat_name_PACKED PACKED_const_char___GENPT___const_snd_pcm_subformat_t
#define snd_pcm_subformat_name_INDEXED INDEXED_const_char___GENPT___const_snd_pcm_subformat_t
#define snd_pcm_subformat_name_FORMAT FORMAT_const_char___GENPT___const_snd_pcm_subformat_t
#define snd_pcm_sw_params_INDEX 1316
#define snd_pcm_sw_params_RETURN int
#define snd_pcm_sw_params_ARG_NAMES pcm, params
#define snd_pcm_sw_params_ARG_EXPAND snd_pcm_t * pcm, snd_pcm_sw_params_t * params
#define snd_pcm_sw_params_PACKED PACKED_int_snd_pcm_t___GENPT___snd_pcm_sw_params_t___GENPT__
#define snd_pcm_sw_params_INDEXED INDEXED_int_snd_pcm_t___GENPT___snd_pcm_sw_params_t___GENPT__
#define snd_pcm_sw_params_FORMAT FORMAT_int_snd_pcm_t___GENPT___snd_pcm_sw_params_t___GENPT__
#define snd_pcm_sw_params_copy_INDEX 1317
#define snd_pcm_sw_params_copy_RETURN void
#define snd_pcm_sw_params_copy_ARG_NAMES dst, src
#define snd_pcm_sw_params_copy_ARG_EXPAND snd_pcm_sw_params_t * dst, const snd_pcm_sw_params_t * src
#define snd_pcm_sw_params_copy_PACKED PACKED_void_snd_pcm_sw_params_t___GENPT___const_snd_pcm_sw_params_t___GENPT__
#define snd_pcm_sw_params_copy_INDEXED INDEXED_void_snd_pcm_sw_params_t___GENPT___const_snd_pcm_sw_params_t___GENPT__
#define snd_pcm_sw_params_copy_FORMAT FORMAT_void_snd_pcm_sw_params_t___GENPT___const_snd_pcm_sw_params_t___GENPT__
#define snd_pcm_sw_params_current_INDEX 1318
#define snd_pcm_sw_params_current_RETURN int
#define snd_pcm_sw_params_current_ARG_NAMES pcm, params
#define snd_pcm_sw_params_current_ARG_EXPAND snd_pcm_t * pcm, snd_pcm_sw_params_t * params
#define snd_pcm_sw_params_current_PACKED PACKED_int_snd_pcm_t___GENPT___snd_pcm_sw_params_t___GENPT__
#define snd_pcm_sw_params_current_INDEXED INDEXED_int_snd_pcm_t___GENPT___snd_pcm_sw_params_t___GENPT__
#define snd_pcm_sw_params_current_FORMAT FORMAT_int_snd_pcm_t___GENPT___snd_pcm_sw_params_t___GENPT__
#define snd_pcm_sw_params_dump_INDEX 1319
#define snd_pcm_sw_params_dump_RETURN int
#define snd_pcm_sw_params_dump_ARG_NAMES params, out
#define snd_pcm_sw_params_dump_ARG_EXPAND snd_pcm_sw_params_t * params, snd_output_t * out
#define snd_pcm_sw_params_dump_PACKED PACKED_int_snd_pcm_sw_params_t___GENPT___snd_output_t___GENPT__
#define snd_pcm_sw_params_dump_INDEXED INDEXED_int_snd_pcm_sw_params_t___GENPT___snd_output_t___GENPT__
#define snd_pcm_sw_params_dump_FORMAT FORMAT_int_snd_pcm_sw_params_t___GENPT___snd_output_t___GENPT__
#define snd_pcm_sw_params_free_INDEX 1320
#define snd_pcm_sw_params_free_RETURN void
#define snd_pcm_sw_params_free_ARG_NAMES obj
#define snd_pcm_sw_params_free_ARG_EXPAND snd_pcm_sw_params_t * obj
#define snd_pcm_sw_params_free_PACKED PACKED_void_snd_pcm_sw_params_t___GENPT__
#define snd_pcm_sw_params_free_INDEXED INDEXED_void_snd_pcm_sw_params_t___GENPT__
#define snd_pcm_sw_params_free_FORMAT FORMAT_void_snd_pcm_sw_params_t___GENPT__
#define snd_pcm_sw_params_get_avail_min_INDEX 1321
#define snd_pcm_sw_params_get_avail_min_RETURN int
#define snd_pcm_sw_params_get_avail_min_ARG_NAMES params, val
#define snd_pcm_sw_params_get_avail_min_ARG_EXPAND const snd_pcm_sw_params_t * params, snd_pcm_uframes_t * val
#define snd_pcm_sw_params_get_avail_min_PACKED PACKED_int_const_snd_pcm_sw_params_t___GENPT___snd_pcm_uframes_t___GENPT__
#define snd_pcm_sw_params_get_avail_min_INDEXED INDEXED_int_const_snd_pcm_sw_params_t___GENPT___snd_pcm_uframes_t___GENPT__
#define snd_pcm_sw_params_get_avail_min_FORMAT FORMAT_int_const_snd_pcm_sw_params_t___GENPT___snd_pcm_uframes_t___GENPT__
#define snd_pcm_sw_params_get_boundary_INDEX 1322
#define snd_pcm_sw_params_get_boundary_RETURN int
#define snd_pcm_sw_params_get_boundary_ARG_NAMES params, val
#define snd_pcm_sw_params_get_boundary_ARG_EXPAND const snd_pcm_sw_params_t * params, snd_pcm_uframes_t * val
#define snd_pcm_sw_params_get_boundary_PACKED PACKED_int_const_snd_pcm_sw_params_t___GENPT___snd_pcm_uframes_t___GENPT__
#define snd_pcm_sw_params_get_boundary_INDEXED INDEXED_int_const_snd_pcm_sw_params_t___GENPT___snd_pcm_uframes_t___GENPT__
#define snd_pcm_sw_params_get_boundary_FORMAT FORMAT_int_const_snd_pcm_sw_params_t___GENPT___snd_pcm_uframes_t___GENPT__
#define snd_pcm_sw_params_get_silence_size_INDEX 1323
#define snd_pcm_sw_params_get_silence_size_RETURN int
#define snd_pcm_sw_params_get_silence_size_ARG_NAMES params, val
#define snd_pcm_sw_params_get_silence_size_ARG_EXPAND const snd_pcm_sw_params_t * params, snd_pcm_uframes_t * val
#define snd_pcm_sw_params_get_silence_size_PACKED PACKED_int_const_snd_pcm_sw_params_t___GENPT___snd_pcm_uframes_t___GENPT__
#define snd_pcm_sw_params_get_silence_size_INDEXED INDEXED_int_const_snd_pcm_sw_params_t___GENPT___snd_pcm_uframes_t___GENPT__
#define snd_pcm_sw_params_get_silence_size_FORMAT FORMAT_int_const_snd_pcm_sw_params_t___GENPT___snd_pcm_uframes_t___GENPT__
#define snd_pcm_sw_params_get_silence_threshold_INDEX 1324
#define snd_pcm_sw_params_get_silence_threshold_RETURN int
#define snd_pcm_sw_params_get_silence_threshold_ARG_NAMES params, val
#define snd_pcm_sw_params_get_silence_threshold_ARG_EXPAND const snd_pcm_sw_params_t * params, snd_pcm_uframes_t * val
#define snd_pcm_sw_params_get_silence_threshold_PACKED PACKED_int_const_snd_pcm_sw_params_t___GENPT___snd_pcm_uframes_t___GENPT__
#define snd_pcm_sw_params_get_silence_threshold_INDEXED INDEXED_int_const_snd_pcm_sw_params_t___GENPT___snd_pcm_uframes_t___GENPT__
#define snd_pcm_sw_params_get_silence_threshold_FORMAT FORMAT_int_const_snd_pcm_sw_params_t___GENPT___snd_pcm_uframes_t___GENPT__
#define snd_pcm_sw_params_get_sleep_min_INDEX 1325
#define snd_pcm_sw_params_get_sleep_min_RETURN int
#define snd_pcm_sw_params_get_sleep_min_ARG_NAMES params, val
#define snd_pcm_sw_params_get_sleep_min_ARG_EXPAND const snd_pcm_sw_params_t * params, unsigned int * val
#define snd_pcm_sw_params_get_sleep_min_PACKED PACKED_int_const_snd_pcm_sw_params_t___GENPT___unsigned_int___GENPT__
#define snd_pcm_sw_params_get_sleep_min_INDEXED INDEXED_int_const_snd_pcm_sw_params_t___GENPT___unsigned_int___GENPT__
#define snd_pcm_sw_params_get_sleep_min_FORMAT FORMAT_int_const_snd_pcm_sw_params_t___GENPT___unsigned_int___GENPT__
#define snd_pcm_sw_params_get_start_mode_INDEX 1326
#define snd_pcm_sw_params_get_start_mode_RETURN snd_pcm_start_t
#define snd_pcm_sw_params_get_start_mode_ARG_NAMES params
#define snd_pcm_sw_params_get_start_mode_ARG_EXPAND const snd_pcm_sw_params_t * params
#define snd_pcm_sw_params_get_start_mode_PACKED PACKED_snd_pcm_start_t_const_snd_pcm_sw_params_t___GENPT__
#define snd_pcm_sw_params_get_start_mode_INDEXED INDEXED_snd_pcm_start_t_const_snd_pcm_sw_params_t___GENPT__
#define snd_pcm_sw_params_get_start_mode_FORMAT FORMAT_snd_pcm_start_t_const_snd_pcm_sw_params_t___GENPT__
#define snd_pcm_sw_params_get_start_threshold_INDEX 1327
#define snd_pcm_sw_params_get_start_threshold_RETURN int
#define snd_pcm_sw_params_get_start_threshold_ARG_NAMES paramsm, val
#define snd_pcm_sw_params_get_start_threshold_ARG_EXPAND const snd_pcm_sw_params_t * paramsm, snd_pcm_uframes_t * val
#define snd_pcm_sw_params_get_start_threshold_PACKED PACKED_int_const_snd_pcm_sw_params_t___GENPT___snd_pcm_uframes_t___GENPT__
#define snd_pcm_sw_params_get_start_threshold_INDEXED INDEXED_int_const_snd_pcm_sw_params_t___GENPT___snd_pcm_uframes_t___GENPT__
#define snd_pcm_sw_params_get_start_threshold_FORMAT FORMAT_int_const_snd_pcm_sw_params_t___GENPT___snd_pcm_uframes_t___GENPT__
#define snd_pcm_sw_params_get_stop_threshold_INDEX 1328
#define snd_pcm_sw_params_get_stop_threshold_RETURN int
#define snd_pcm_sw_params_get_stop_threshold_ARG_NAMES params, val
#define snd_pcm_sw_params_get_stop_threshold_ARG_EXPAND const snd_pcm_sw_params_t * params, snd_pcm_uframes_t * val
#define snd_pcm_sw_params_get_stop_threshold_PACKED PACKED_int_const_snd_pcm_sw_params_t___GENPT___snd_pcm_uframes_t___GENPT__
#define snd_pcm_sw_params_get_stop_threshold_INDEXED INDEXED_int_const_snd_pcm_sw_params_t___GENPT___snd_pcm_uframes_t___GENPT__
#define snd_pcm_sw_params_get_stop_threshold_FORMAT FORMAT_int_const_snd_pcm_sw_params_t___GENPT___snd_pcm_uframes_t___GENPT__
#define snd_pcm_sw_params_get_tstamp_mode_INDEX 1329
#define snd_pcm_sw_params_get_tstamp_mode_RETURN int
#define snd_pcm_sw_params_get_tstamp_mode_ARG_NAMES params, val
#define snd_pcm_sw_params_get_tstamp_mode_ARG_EXPAND const snd_pcm_sw_params_t * params, snd_pcm_tstamp_t * val
#define snd_pcm_sw_params_get_tstamp_mode_PACKED PACKED_int_const_snd_pcm_sw_params_t___GENPT___snd_pcm_tstamp_t___GENPT__
#define snd_pcm_sw_params_get_tstamp_mode_INDEXED INDEXED_int_const_snd_pcm_sw_params_t___GENPT___snd_pcm_tstamp_t___GENPT__
#define snd_pcm_sw_params_get_tstamp_mode_FORMAT FORMAT_int_const_snd_pcm_sw_params_t___GENPT___snd_pcm_tstamp_t___GENPT__
#define snd_pcm_sw_params_get_xfer_align_INDEX 1330
#define snd_pcm_sw_params_get_xfer_align_RETURN int
#define snd_pcm_sw_params_get_xfer_align_ARG_NAMES params, val
#define snd_pcm_sw_params_get_xfer_align_ARG_EXPAND const snd_pcm_sw_params_t * params, snd_pcm_uframes_t * val
#define snd_pcm_sw_params_get_xfer_align_PACKED PACKED_int_const_snd_pcm_sw_params_t___GENPT___snd_pcm_uframes_t___GENPT__
#define snd_pcm_sw_params_get_xfer_align_INDEXED INDEXED_int_const_snd_pcm_sw_params_t___GENPT___snd_pcm_uframes_t___GENPT__
#define snd_pcm_sw_params_get_xfer_align_FORMAT FORMAT_int_const_snd_pcm_sw_params_t___GENPT___snd_pcm_uframes_t___GENPT__
#define snd_pcm_sw_params_get_xrun_mode_INDEX 1331
#define snd_pcm_sw_params_get_xrun_mode_RETURN snd_pcm_xrun_t
#define snd_pcm_sw_params_get_xrun_mode_ARG_NAMES params
#define snd_pcm_sw_params_get_xrun_mode_ARG_EXPAND const snd_pcm_sw_params_t * params
#define snd_pcm_sw_params_get_xrun_mode_PACKED PACKED_snd_pcm_xrun_t_const_snd_pcm_sw_params_t___GENPT__
#define snd_pcm_sw_params_get_xrun_mode_INDEXED INDEXED_snd_pcm_xrun_t_const_snd_pcm_sw_params_t___GENPT__
#define snd_pcm_sw_params_get_xrun_mode_FORMAT FORMAT_snd_pcm_xrun_t_const_snd_pcm_sw_params_t___GENPT__
#define snd_pcm_sw_params_malloc_INDEX 1332
#define snd_pcm_sw_params_malloc_RETURN int
#define snd_pcm_sw_params_malloc_ARG_NAMES ptr
#define snd_pcm_sw_params_malloc_ARG_EXPAND snd_pcm_sw_params_t ** ptr
#define snd_pcm_sw_params_malloc_PACKED PACKED_int_snd_pcm_sw_params_t___GENPT____GENPT__
#define snd_pcm_sw_params_malloc_INDEXED INDEXED_int_snd_pcm_sw_params_t___GENPT____GENPT__
#define snd_pcm_sw_params_malloc_FORMAT FORMAT_int_snd_pcm_sw_params_t___GENPT____GENPT__
#define snd_pcm_sw_params_set_avail_min_INDEX 1333
#define snd_pcm_sw_params_set_avail_min_RETURN int
#define snd_pcm_sw_params_set_avail_min_ARG_NAMES pcm, params, val
#define snd_pcm_sw_params_set_avail_min_ARG_EXPAND snd_pcm_t * pcm, snd_pcm_sw_params_t * params, snd_pcm_uframes_t val
#define snd_pcm_sw_params_set_avail_min_PACKED PACKED_int_snd_pcm_t___GENPT___snd_pcm_sw_params_t___GENPT___snd_pcm_uframes_t
#define snd_pcm_sw_params_set_avail_min_INDEXED INDEXED_int_snd_pcm_t___GENPT___snd_pcm_sw_params_t___GENPT___snd_pcm_uframes_t
#define snd_pcm_sw_params_set_avail_min_FORMAT FORMAT_int_snd_pcm_t___GENPT___snd_pcm_sw_params_t___GENPT___snd_pcm_uframes_t
#define snd_pcm_sw_params_set_silence_size_INDEX 1334
#define snd_pcm_sw_params_set_silence_size_RETURN int
#define snd_pcm_sw_params_set_silence_size_ARG_NAMES pcm, params, val
#define snd_pcm_sw_params_set_silence_size_ARG_EXPAND snd_pcm_t * pcm, snd_pcm_sw_params_t * params, snd_pcm_uframes_t val
#define snd_pcm_sw_params_set_silence_size_PACKED PACKED_int_snd_pcm_t___GENPT___snd_pcm_sw_params_t___GENPT___snd_pcm_uframes_t
#define snd_pcm_sw_params_set_silence_size_INDEXED INDEXED_int_snd_pcm_t___GENPT___snd_pcm_sw_params_t___GENPT___snd_pcm_uframes_t
#define snd_pcm_sw_params_set_silence_size_FORMAT FORMAT_int_snd_pcm_t___GENPT___snd_pcm_sw_params_t___GENPT___snd_pcm_uframes_t
#define snd_pcm_sw_params_set_silence_threshold_INDEX 1335
#define snd_pcm_sw_params_set_silence_threshold_RETURN int
#define snd_pcm_sw_params_set_silence_threshold_ARG_NAMES pcm, params, val
#define snd_pcm_sw_params_set_silence_threshold_ARG_EXPAND snd_pcm_t * pcm, snd_pcm_sw_params_t * params, snd_pcm_uframes_t val
#define snd_pcm_sw_params_set_silence_threshold_PACKED PACKED_int_snd_pcm_t___GENPT___snd_pcm_sw_params_t___GENPT___snd_pcm_uframes_t
#define snd_pcm_sw_params_set_silence_threshold_INDEXED INDEXED_int_snd_pcm_t___GENPT___snd_pcm_sw_params_t___GENPT___snd_pcm_uframes_t
#define snd_pcm_sw_params_set_silence_threshold_FORMAT FORMAT_int_snd_pcm_t___GENPT___snd_pcm_sw_params_t___GENPT___snd_pcm_uframes_t
#define snd_pcm_sw_params_set_sleep_min_INDEX 1336
#define snd_pcm_sw_params_set_sleep_min_RETURN int
#define snd_pcm_sw_params_set_sleep_min_ARG_NAMES pcm, params, val
#define snd_pcm_sw_params_set_sleep_min_ARG_EXPAND snd_pcm_t * pcm, snd_pcm_sw_params_t * params, unsigned int val
#define snd_pcm_sw_params_set_sleep_min_PACKED PACKED_int_snd_pcm_t___GENPT___snd_pcm_sw_params_t___GENPT___unsigned_int
#define snd_pcm_sw_params_set_sleep_min_INDEXED INDEXED_int_snd_pcm_t___GENPT___snd_pcm_sw_params_t___GENPT___unsigned_int
#define snd_pcm_sw_params_set_sleep_min_FORMAT FORMAT_int_snd_pcm_t___GENPT___snd_pcm_sw_params_t___GENPT___unsigned_int
#define snd_pcm_sw_params_set_start_mode_INDEX 1337
#define snd_pcm_sw_params_set_start_mode_RETURN int
#define snd_pcm_sw_params_set_start_mode_ARG_NAMES pcm, params, val
#define snd_pcm_sw_params_set_start_mode_ARG_EXPAND snd_pcm_t * pcm, snd_pcm_sw_params_t * params, snd_pcm_start_t val
#define snd_pcm_sw_params_set_start_mode_PACKED PACKED_int_snd_pcm_t___GENPT___snd_pcm_sw_params_t___GENPT___snd_pcm_start_t
#define snd_pcm_sw_params_set_start_mode_INDEXED INDEXED_int_snd_pcm_t___GENPT___snd_pcm_sw_params_t___GENPT___snd_pcm_start_t
#define snd_pcm_sw_params_set_start_mode_FORMAT FORMAT_int_snd_pcm_t___GENPT___snd_pcm_sw_params_t___GENPT___snd_pcm_start_t
#define snd_pcm_sw_params_set_start_threshold_INDEX 1338
#define snd_pcm_sw_params_set_start_threshold_RETURN int
#define snd_pcm_sw_params_set_start_threshold_ARG_NAMES pcm, params, val
#define snd_pcm_sw_params_set_start_threshold_ARG_EXPAND snd_pcm_t * pcm, snd_pcm_sw_params_t * params, snd_pcm_uframes_t val
#define snd_pcm_sw_params_set_start_threshold_PACKED PACKED_int_snd_pcm_t___GENPT___snd_pcm_sw_params_t___GENPT___snd_pcm_uframes_t
#define snd_pcm_sw_params_set_start_threshold_INDEXED INDEXED_int_snd_pcm_t___GENPT___snd_pcm_sw_params_t___GENPT___snd_pcm_uframes_t
#define snd_pcm_sw_params_set_start_threshold_FORMAT FORMAT_int_snd_pcm_t___GENPT___snd_pcm_sw_params_t___GENPT___snd_pcm_uframes_t
#define snd_pcm_sw_params_set_stop_threshold_INDEX 1339
#define snd_pcm_sw_params_set_stop_threshold_RETURN int
#define snd_pcm_sw_params_set_stop_threshold_ARG_NAMES pcm, params, val
#define snd_pcm_sw_params_set_stop_threshold_ARG_EXPAND snd_pcm_t * pcm, snd_pcm_sw_params_t * params, snd_pcm_uframes_t val
#define snd_pcm_sw_params_set_stop_threshold_PACKED PACKED_int_snd_pcm_t___GENPT___snd_pcm_sw_params_t___GENPT___snd_pcm_uframes_t
#define snd_pcm_sw_params_set_stop_threshold_INDEXED INDEXED_int_snd_pcm_t___GENPT___snd_pcm_sw_params_t___GENPT___snd_pcm_uframes_t
#define snd_pcm_sw_params_set_stop_threshold_FORMAT FORMAT_int_snd_pcm_t___GENPT___snd_pcm_sw_params_t___GENPT___snd_pcm_uframes_t
#define snd_pcm_sw_params_set_tstamp_mode_INDEX 1340
#define snd_pcm_sw_params_set_tstamp_mode_RETURN int
#define snd_pcm_sw_params_set_tstamp_mode_ARG_NAMES pcm, params, val
#define snd_pcm_sw_params_set_tstamp_mode_ARG_EXPAND snd_pcm_t * pcm, snd_pcm_sw_params_t * params, snd_pcm_tstamp_t val
#define snd_pcm_sw_params_set_tstamp_mode_PACKED PACKED_int_snd_pcm_t___GENPT___snd_pcm_sw_params_t___GENPT___snd_pcm_tstamp_t
#define snd_pcm_sw_params_set_tstamp_mode_INDEXED INDEXED_int_snd_pcm_t___GENPT___snd_pcm_sw_params_t___GENPT___snd_pcm_tstamp_t
#define snd_pcm_sw_params_set_tstamp_mode_FORMAT FORMAT_int_snd_pcm_t___GENPT___snd_pcm_sw_params_t___GENPT___snd_pcm_tstamp_t
#define snd_pcm_sw_params_set_xfer_align_INDEX 1341
#define snd_pcm_sw_params_set_xfer_align_RETURN int
#define snd_pcm_sw_params_set_xfer_align_ARG_NAMES pcm, params, val
#define snd_pcm_sw_params_set_xfer_align_ARG_EXPAND snd_pcm_t * pcm, snd_pcm_sw_params_t * params, snd_pcm_uframes_t val
#define snd_pcm_sw_params_set_xfer_align_PACKED PACKED_int_snd_pcm_t___GENPT___snd_pcm_sw_params_t___GENPT___snd_pcm_uframes_t
#define snd_pcm_sw_params_set_xfer_align_INDEXED INDEXED_int_snd_pcm_t___GENPT___snd_pcm_sw_params_t___GENPT___snd_pcm_uframes_t
#define snd_pcm_sw_params_set_xfer_align_FORMAT FORMAT_int_snd_pcm_t___GENPT___snd_pcm_sw_params_t___GENPT___snd_pcm_uframes_t
#define snd_pcm_sw_params_set_xrun_mode_INDEX 1342
#define snd_pcm_sw_params_set_xrun_mode_RETURN int
#define snd_pcm_sw_params_set_xrun_mode_ARG_NAMES pcm, params, val
#define snd_pcm_sw_params_set_xrun_mode_ARG_EXPAND snd_pcm_t * pcm, snd_pcm_sw_params_t * params, snd_pcm_xrun_t val
#define snd_pcm_sw_params_set_xrun_mode_PACKED PACKED_int_snd_pcm_t___GENPT___snd_pcm_sw_params_t___GENPT___snd_pcm_xrun_t
#define snd_pcm_sw_params_set_xrun_mode_INDEXED INDEXED_int_snd_pcm_t___GENPT___snd_pcm_sw_params_t___GENPT___snd_pcm_xrun_t
#define snd_pcm_sw_params_set_xrun_mode_FORMAT FORMAT_int_snd_pcm_t___GENPT___snd_pcm_sw_params_t___GENPT___snd_pcm_xrun_t
#define snd_pcm_sw_params_sizeof_INDEX 1343
#define snd_pcm_sw_params_sizeof_RETURN size_t
#define snd_pcm_sw_params_sizeof_ARG_NAMES 
#define snd_pcm_sw_params_sizeof_ARG_EXPAND 
#define snd_pcm_sw_params_sizeof_PACKED PACKED_size_t
#define snd_pcm_sw_params_sizeof_INDEXED INDEXED_size_t
#define snd_pcm_sw_params_sizeof_FORMAT FORMAT_size_t
#define snd_pcm_tstamp_mode_name_INDEX 1344
#define snd_pcm_tstamp_mode_name_RETURN const char *
#define snd_pcm_tstamp_mode_name_ARG_NAMES mode
#define snd_pcm_tstamp_mode_name_ARG_EXPAND const snd_pcm_tstamp_t mode
#define snd_pcm_tstamp_mode_name_PACKED PACKED_const_char___GENPT___const_snd_pcm_tstamp_t
#define snd_pcm_tstamp_mode_name_INDEXED INDEXED_const_char___GENPT___const_snd_pcm_tstamp_t
#define snd_pcm_tstamp_mode_name_FORMAT FORMAT_const_char___GENPT___const_snd_pcm_tstamp_t
#define snd_pcm_type_INDEX 1345
#define snd_pcm_type_RETURN snd_pcm_type_t
#define snd_pcm_type_ARG_NAMES pcm
#define snd_pcm_type_ARG_EXPAND snd_pcm_t * pcm
#define snd_pcm_type_PACKED PACKED_snd_pcm_type_t_snd_pcm_t___GENPT__
#define snd_pcm_type_INDEXED INDEXED_snd_pcm_type_t_snd_pcm_t___GENPT__
#define snd_pcm_type_FORMAT FORMAT_snd_pcm_type_t_snd_pcm_t___GENPT__
#define snd_pcm_type_name_INDEX 1346
#define snd_pcm_type_name_RETURN const char *
#define snd_pcm_type_name_ARG_NAMES type
#define snd_pcm_type_name_ARG_EXPAND snd_pcm_type_t type
#define snd_pcm_type_name_PACKED PACKED_const_char___GENPT___snd_pcm_type_t
#define snd_pcm_type_name_INDEXED INDEXED_const_char___GENPT___snd_pcm_type_t
#define snd_pcm_type_name_FORMAT FORMAT_const_char___GENPT___snd_pcm_type_t
#define snd_pcm_unlink_INDEX 1347
#define snd_pcm_unlink_RETURN int
#define snd_pcm_unlink_ARG_NAMES pcm
#define snd_pcm_unlink_ARG_EXPAND snd_pcm_t * pcm
#define snd_pcm_unlink_PACKED PACKED_int_snd_pcm_t___GENPT__
#define snd_pcm_unlink_INDEXED INDEXED_int_snd_pcm_t___GENPT__
#define snd_pcm_unlink_FORMAT FORMAT_int_snd_pcm_t___GENPT__
#define snd_pcm_wait_INDEX 1348
#define snd_pcm_wait_RETURN int
#define snd_pcm_wait_ARG_NAMES pcm, timeout
#define snd_pcm_wait_ARG_EXPAND snd_pcm_t * pcm, int timeout
#define snd_pcm_wait_PACKED PACKED_int_snd_pcm_t___GENPT___int
#define snd_pcm_wait_INDEXED INDEXED_int_snd_pcm_t___GENPT___int
#define snd_pcm_wait_FORMAT FORMAT_int_snd_pcm_t___GENPT___int
#define snd_pcm_writei_INDEX 1349
#define snd_pcm_writei_RETURN snd_pcm_sframes_t
#define snd_pcm_writei_ARG_NAMES pcm, buffer, size
#define snd_pcm_writei_ARG_EXPAND snd_pcm_t * pcm, const void * buffer, snd_pcm_uframes_t size
#define snd_pcm_writei_PACKED PACKED_snd_pcm_sframes_t_snd_pcm_t___GENPT___const_void___GENPT___snd_pcm_uframes_t
#define snd_pcm_writei_INDEXED INDEXED_snd_pcm_sframes_t_snd_pcm_t___GENPT___const_void___GENPT___snd_pcm_uframes_t
#define snd_pcm_writei_FORMAT FORMAT_snd_pcm_sframes_t_snd_pcm_t___GENPT___const_void___GENPT___snd_pcm_uframes_t
#define snd_pcm_writen_INDEX 1350
#define snd_pcm_writen_RETURN snd_pcm_sframes_t
#define snd_pcm_writen_ARG_NAMES pcm, bufs, size
#define snd_pcm_writen_ARG_EXPAND snd_pcm_t * pcm, void ** bufs, snd_pcm_uframes_t size
#define snd_pcm_writen_PACKED PACKED_snd_pcm_sframes_t_snd_pcm_t___GENPT___void___GENPT____GENPT___snd_pcm_uframes_t
#define snd_pcm_writen_INDEXED INDEXED_snd_pcm_sframes_t_snd_pcm_t___GENPT___void___GENPT____GENPT___snd_pcm_uframes_t
#define snd_pcm_writen_FORMAT FORMAT_snd_pcm_sframes_t_snd_pcm_t___GENPT___void___GENPT____GENPT___snd_pcm_uframes_t
#define snd_pcm_xrun_mode_name_INDEX 1351
#define snd_pcm_xrun_mode_name_RETURN const char *
#define snd_pcm_xrun_mode_name_ARG_NAMES mode
#define snd_pcm_xrun_mode_name_ARG_EXPAND snd_pcm_xrun_t mode
#define snd_pcm_xrun_mode_name_PACKED PACKED_const_char___GENPT___snd_pcm_xrun_t
#define snd_pcm_xrun_mode_name_INDEXED INDEXED_const_char___GENPT___snd_pcm_xrun_t
#define snd_pcm_xrun_mode_name_FORMAT FORMAT_const_char___GENPT___snd_pcm_xrun_t
#define snd_rawmidi_close_INDEX 1352
#define snd_rawmidi_close_RETURN int
#define snd_rawmidi_close_ARG_NAMES rmidi
#define snd_rawmidi_close_ARG_EXPAND snd_rawmidi_t * rmidi
#define snd_rawmidi_close_PACKED PACKED_int_snd_rawmidi_t___GENPT__
#define snd_rawmidi_close_INDEXED INDEXED_int_snd_rawmidi_t___GENPT__
#define snd_rawmidi_close_FORMAT FORMAT_int_snd_rawmidi_t___GENPT__
#define snd_rawmidi_drain_INDEX 1353
#define snd_rawmidi_drain_RETURN int
#define snd_rawmidi_drain_ARG_NAMES rmidi
#define snd_rawmidi_drain_ARG_EXPAND snd_rawmidi_t * rmidi
#define snd_rawmidi_drain_PACKED PACKED_int_snd_rawmidi_t___GENPT__
#define snd_rawmidi_drain_INDEXED INDEXED_int_snd_rawmidi_t___GENPT__
#define snd_rawmidi_drain_FORMAT FORMAT_int_snd_rawmidi_t___GENPT__
#define snd_rawmidi_drop_INDEX 1354
#define snd_rawmidi_drop_RETURN int
#define snd_rawmidi_drop_ARG_NAMES rmidi
#define snd_rawmidi_drop_ARG_EXPAND snd_rawmidi_t * rmidi
#define snd_rawmidi_drop_PACKED PACKED_int_snd_rawmidi_t___GENPT__
#define snd_rawmidi_drop_INDEXED INDEXED_int_snd_rawmidi_t___GENPT__
#define snd_rawmidi_drop_FORMAT FORMAT_int_snd_rawmidi_t___GENPT__
#define snd_rawmidi_info_INDEX 1355
#define snd_rawmidi_info_RETURN int
#define snd_rawmidi_info_ARG_NAMES rmidi, info
#define snd_rawmidi_info_ARG_EXPAND snd_rawmidi_t * rmidi, snd_rawmidi_info_t * info
#define snd_rawmidi_info_PACKED PACKED_int_snd_rawmidi_t___GENPT___snd_rawmidi_info_t___GENPT__
#define snd_rawmidi_info_INDEXED INDEXED_int_snd_rawmidi_t___GENPT___snd_rawmidi_info_t___GENPT__
#define snd_rawmidi_info_FORMAT FORMAT_int_snd_rawmidi_t___GENPT___snd_rawmidi_info_t___GENPT__
#define snd_rawmidi_info_copy_INDEX 1356
#define snd_rawmidi_info_copy_RETURN void
#define snd_rawmidi_info_copy_ARG_NAMES dst, src
#define snd_rawmidi_info_copy_ARG_EXPAND snd_rawmidi_info_t * dst, const snd_rawmidi_info_t * src
#define snd_rawmidi_info_copy_PACKED PACKED_void_snd_rawmidi_info_t___GENPT___const_snd_rawmidi_info_t___GENPT__
#define snd_rawmidi_info_copy_INDEXED INDEXED_void_snd_rawmidi_info_t___GENPT___const_snd_rawmidi_info_t___GENPT__
#define snd_rawmidi_info_copy_FORMAT FORMAT_void_snd_rawmidi_info_t___GENPT___const_snd_rawmidi_info_t___GENPT__
#define snd_rawmidi_info_free_INDEX 1357
#define snd_rawmidi_info_free_RETURN void
#define snd_rawmidi_info_free_ARG_NAMES obj
#define snd_rawmidi_info_free_ARG_EXPAND snd_rawmidi_info_t * obj
#define snd_rawmidi_info_free_PACKED PACKED_void_snd_rawmidi_info_t___GENPT__
#define snd_rawmidi_info_free_INDEXED INDEXED_void_snd_rawmidi_info_t___GENPT__
#define snd_rawmidi_info_free_FORMAT FORMAT_void_snd_rawmidi_info_t___GENPT__
#define snd_rawmidi_info_get_card_INDEX 1358
#define snd_rawmidi_info_get_card_RETURN int
#define snd_rawmidi_info_get_card_ARG_NAMES obj
#define snd_rawmidi_info_get_card_ARG_EXPAND const snd_rawmidi_info_t * obj
#define snd_rawmidi_info_get_card_PACKED PACKED_int_const_snd_rawmidi_info_t___GENPT__
#define snd_rawmidi_info_get_card_INDEXED INDEXED_int_const_snd_rawmidi_info_t___GENPT__
#define snd_rawmidi_info_get_card_FORMAT FORMAT_int_const_snd_rawmidi_info_t___GENPT__
#define snd_rawmidi_info_get_device_INDEX 1359
#define snd_rawmidi_info_get_device_RETURN unsigned int
#define snd_rawmidi_info_get_device_ARG_NAMES obj
#define snd_rawmidi_info_get_device_ARG_EXPAND const snd_rawmidi_info_t * obj
#define snd_rawmidi_info_get_device_PACKED PACKED_unsigned_int_const_snd_rawmidi_info_t___GENPT__
#define snd_rawmidi_info_get_device_INDEXED INDEXED_unsigned_int_const_snd_rawmidi_info_t___GENPT__
#define snd_rawmidi_info_get_device_FORMAT FORMAT_unsigned_int_const_snd_rawmidi_info_t___GENPT__
#define snd_rawmidi_info_get_flags_INDEX 1360
#define snd_rawmidi_info_get_flags_RETURN unsigned int
#define snd_rawmidi_info_get_flags_ARG_NAMES obj
#define snd_rawmidi_info_get_flags_ARG_EXPAND const snd_rawmidi_info_t * obj
#define snd_rawmidi_info_get_flags_PACKED PACKED_unsigned_int_const_snd_rawmidi_info_t___GENPT__
#define snd_rawmidi_info_get_flags_INDEXED INDEXED_unsigned_int_const_snd_rawmidi_info_t___GENPT__
#define snd_rawmidi_info_get_flags_FORMAT FORMAT_unsigned_int_const_snd_rawmidi_info_t___GENPT__
#define snd_rawmidi_info_get_id_INDEX 1361
#define snd_rawmidi_info_get_id_RETURN const char *
#define snd_rawmidi_info_get_id_ARG_NAMES obj
#define snd_rawmidi_info_get_id_ARG_EXPAND const snd_rawmidi_info_t * obj
#define snd_rawmidi_info_get_id_PACKED PACKED_const_char___GENPT___const_snd_rawmidi_info_t___GENPT__
#define snd_rawmidi_info_get_id_INDEXED INDEXED_const_char___GENPT___const_snd_rawmidi_info_t___GENPT__
#define snd_rawmidi_info_get_id_FORMAT FORMAT_const_char___GENPT___const_snd_rawmidi_info_t___GENPT__
#define snd_rawmidi_info_get_name_INDEX 1362
#define snd_rawmidi_info_get_name_RETURN const char *
#define snd_rawmidi_info_get_name_ARG_NAMES obj
#define snd_rawmidi_info_get_name_ARG_EXPAND const snd_rawmidi_info_t * obj
#define snd_rawmidi_info_get_name_PACKED PACKED_const_char___GENPT___const_snd_rawmidi_info_t___GENPT__
#define snd_rawmidi_info_get_name_INDEXED INDEXED_const_char___GENPT___const_snd_rawmidi_info_t___GENPT__
#define snd_rawmidi_info_get_name_FORMAT FORMAT_const_char___GENPT___const_snd_rawmidi_info_t___GENPT__
#define snd_rawmidi_info_get_stream_INDEX 1363
#define snd_rawmidi_info_get_stream_RETURN snd_rawmidi_stream_t
#define snd_rawmidi_info_get_stream_ARG_NAMES obj
#define snd_rawmidi_info_get_stream_ARG_EXPAND const snd_rawmidi_info_t * obj
#define snd_rawmidi_info_get_stream_PACKED PACKED_snd_rawmidi_stream_t_const_snd_rawmidi_info_t___GENPT__
#define snd_rawmidi_info_get_stream_INDEXED INDEXED_snd_rawmidi_stream_t_const_snd_rawmidi_info_t___GENPT__
#define snd_rawmidi_info_get_stream_FORMAT FORMAT_snd_rawmidi_stream_t_const_snd_rawmidi_info_t___GENPT__
#define snd_rawmidi_info_get_subdevice_INDEX 1364
#define snd_rawmidi_info_get_subdevice_RETURN unsigned int
#define snd_rawmidi_info_get_subdevice_ARG_NAMES obj
#define snd_rawmidi_info_get_subdevice_ARG_EXPAND const snd_rawmidi_info_t * obj
#define snd_rawmidi_info_get_subdevice_PACKED PACKED_unsigned_int_const_snd_rawmidi_info_t___GENPT__
#define snd_rawmidi_info_get_subdevice_INDEXED INDEXED_unsigned_int_const_snd_rawmidi_info_t___GENPT__
#define snd_rawmidi_info_get_subdevice_FORMAT FORMAT_unsigned_int_const_snd_rawmidi_info_t___GENPT__
#define snd_rawmidi_info_get_subdevice_name_INDEX 1365
#define snd_rawmidi_info_get_subdevice_name_RETURN const char *
#define snd_rawmidi_info_get_subdevice_name_ARG_NAMES obj
#define snd_rawmidi_info_get_subdevice_name_ARG_EXPAND const snd_rawmidi_info_t * obj
#define snd_rawmidi_info_get_subdevice_name_PACKED PACKED_const_char___GENPT___const_snd_rawmidi_info_t___GENPT__
#define snd_rawmidi_info_get_subdevice_name_INDEXED INDEXED_const_char___GENPT___const_snd_rawmidi_info_t___GENPT__
#define snd_rawmidi_info_get_subdevice_name_FORMAT FORMAT_const_char___GENPT___const_snd_rawmidi_info_t___GENPT__
#define snd_rawmidi_info_get_subdevices_avail_INDEX 1366
#define snd_rawmidi_info_get_subdevices_avail_RETURN unsigned int
#define snd_rawmidi_info_get_subdevices_avail_ARG_NAMES obj
#define snd_rawmidi_info_get_subdevices_avail_ARG_EXPAND const snd_rawmidi_info_t * obj
#define snd_rawmidi_info_get_subdevices_avail_PACKED PACKED_unsigned_int_const_snd_rawmidi_info_t___GENPT__
#define snd_rawmidi_info_get_subdevices_avail_INDEXED INDEXED_unsigned_int_const_snd_rawmidi_info_t___GENPT__
#define snd_rawmidi_info_get_subdevices_avail_FORMAT FORMAT_unsigned_int_const_snd_rawmidi_info_t___GENPT__
#define snd_rawmidi_info_get_subdevices_count_INDEX 1367
#define snd_rawmidi_info_get_subdevices_count_RETURN unsigned int
#define snd_rawmidi_info_get_subdevices_count_ARG_NAMES obj
#define snd_rawmidi_info_get_subdevices_count_ARG_EXPAND const snd_rawmidi_info_t * obj
#define snd_rawmidi_info_get_subdevices_count_PACKED PACKED_unsigned_int_const_snd_rawmidi_info_t___GENPT__
#define snd_rawmidi_info_get_subdevices_count_INDEXED INDEXED_unsigned_int_const_snd_rawmidi_info_t___GENPT__
#define snd_rawmidi_info_get_subdevices_count_FORMAT FORMAT_unsigned_int_const_snd_rawmidi_info_t___GENPT__
#define snd_rawmidi_info_malloc_INDEX 1368
#define snd_rawmidi_info_malloc_RETURN int
#define snd_rawmidi_info_malloc_ARG_NAMES ptr
#define snd_rawmidi_info_malloc_ARG_EXPAND snd_rawmidi_info_t ** ptr
#define snd_rawmidi_info_malloc_PACKED PACKED_int_snd_rawmidi_info_t___GENPT____GENPT__
#define snd_rawmidi_info_malloc_INDEXED INDEXED_int_snd_rawmidi_info_t___GENPT____GENPT__
#define snd_rawmidi_info_malloc_FORMAT FORMAT_int_snd_rawmidi_info_t___GENPT____GENPT__
#define snd_rawmidi_info_set_device_INDEX 1369
#define snd_rawmidi_info_set_device_RETURN void
#define snd_rawmidi_info_set_device_ARG_NAMES obj, val
#define snd_rawmidi_info_set_device_ARG_EXPAND snd_rawmidi_info_t * obj, unsigned int val
#define snd_rawmidi_info_set_device_PACKED PACKED_void_snd_rawmidi_info_t___GENPT___unsigned_int
#define snd_rawmidi_info_set_device_INDEXED INDEXED_void_snd_rawmidi_info_t___GENPT___unsigned_int
#define snd_rawmidi_info_set_device_FORMAT FORMAT_void_snd_rawmidi_info_t___GENPT___unsigned_int
#define snd_rawmidi_info_set_stream_INDEX 1370
#define snd_rawmidi_info_set_stream_RETURN void
#define snd_rawmidi_info_set_stream_ARG_NAMES obj, val
#define snd_rawmidi_info_set_stream_ARG_EXPAND snd_rawmidi_info_t * obj, snd_rawmidi_stream_t val
#define snd_rawmidi_info_set_stream_PACKED PACKED_void_snd_rawmidi_info_t___GENPT___snd_rawmidi_stream_t
#define snd_rawmidi_info_set_stream_INDEXED INDEXED_void_snd_rawmidi_info_t___GENPT___snd_rawmidi_stream_t
#define snd_rawmidi_info_set_stream_FORMAT FORMAT_void_snd_rawmidi_info_t___GENPT___snd_rawmidi_stream_t
#define snd_rawmidi_info_set_subdevice_INDEX 1371
#define snd_rawmidi_info_set_subdevice_RETURN void
#define snd_rawmidi_info_set_subdevice_ARG_NAMES obj, val
#define snd_rawmidi_info_set_subdevice_ARG_EXPAND snd_rawmidi_info_t * obj, unsigned int val
#define snd_rawmidi_info_set_subdevice_PACKED PACKED_void_snd_rawmidi_info_t___GENPT___unsigned_int
#define snd_rawmidi_info_set_subdevice_INDEXED INDEXED_void_snd_rawmidi_info_t___GENPT___unsigned_int
#define snd_rawmidi_info_set_subdevice_FORMAT FORMAT_void_snd_rawmidi_info_t___GENPT___unsigned_int
#define snd_rawmidi_info_sizeof_INDEX 1372
#define snd_rawmidi_info_sizeof_RETURN size_t
#define snd_rawmidi_info_sizeof_ARG_NAMES 
#define snd_rawmidi_info_sizeof_ARG_EXPAND 
#define snd_rawmidi_info_sizeof_PACKED PACKED_size_t
#define snd_rawmidi_info_sizeof_INDEXED INDEXED_size_t
#define snd_rawmidi_info_sizeof_FORMAT FORMAT_size_t
#define snd_rawmidi_name_INDEX 1373
#define snd_rawmidi_name_RETURN const char *
#define snd_rawmidi_name_ARG_NAMES rmidi
#define snd_rawmidi_name_ARG_EXPAND snd_rawmidi_t * rmidi
#define snd_rawmidi_name_PACKED PACKED_const_char___GENPT___snd_rawmidi_t___GENPT__
#define snd_rawmidi_name_INDEXED INDEXED_const_char___GENPT___snd_rawmidi_t___GENPT__
#define snd_rawmidi_name_FORMAT FORMAT_const_char___GENPT___snd_rawmidi_t___GENPT__
#define snd_rawmidi_nonblock_INDEX 1374
#define snd_rawmidi_nonblock_RETURN int
#define snd_rawmidi_nonblock_ARG_NAMES rmidi, nonblock
#define snd_rawmidi_nonblock_ARG_EXPAND snd_rawmidi_t * rmidi, int nonblock
#define snd_rawmidi_nonblock_PACKED PACKED_int_snd_rawmidi_t___GENPT___int
#define snd_rawmidi_nonblock_INDEXED INDEXED_int_snd_rawmidi_t___GENPT___int
#define snd_rawmidi_nonblock_FORMAT FORMAT_int_snd_rawmidi_t___GENPT___int
#define snd_rawmidi_open_INDEX 1375
#define snd_rawmidi_open_RETURN int
#define snd_rawmidi_open_ARG_NAMES in_rmidi, out_rmidi, name, mode
#define snd_rawmidi_open_ARG_EXPAND snd_rawmidi_t ** in_rmidi, snd_rawmidi_t ** out_rmidi, const char * name, int mode
#define snd_rawmidi_open_PACKED PACKED_int_snd_rawmidi_t___GENPT____GENPT___snd_rawmidi_t___GENPT____GENPT___const_char___GENPT___int
#define snd_rawmidi_open_INDEXED INDEXED_int_snd_rawmidi_t___GENPT____GENPT___snd_rawmidi_t___GENPT____GENPT___const_char___GENPT___int
#define snd_rawmidi_open_FORMAT FORMAT_int_snd_rawmidi_t___GENPT____GENPT___snd_rawmidi_t___GENPT____GENPT___const_char___GENPT___int
#define snd_rawmidi_open_lconf_INDEX 1376
#define snd_rawmidi_open_lconf_RETURN int
#define snd_rawmidi_open_lconf_ARG_NAMES in_rmidi, out_rmidi, name, mode, lconf
#define snd_rawmidi_open_lconf_ARG_EXPAND snd_rawmidi_t ** in_rmidi, snd_rawmidi_t ** out_rmidi, const char * name, int mode, snd_config_t * lconf
#define snd_rawmidi_open_lconf_PACKED PACKED_int_snd_rawmidi_t___GENPT____GENPT___snd_rawmidi_t___GENPT____GENPT___const_char___GENPT___int_snd_config_t___GENPT__
#define snd_rawmidi_open_lconf_INDEXED INDEXED_int_snd_rawmidi_t___GENPT____GENPT___snd_rawmidi_t___GENPT____GENPT___const_char___GENPT___int_snd_config_t___GENPT__
#define snd_rawmidi_open_lconf_FORMAT FORMAT_int_snd_rawmidi_t___GENPT____GENPT___snd_rawmidi_t___GENPT____GENPT___const_char___GENPT___int_snd_config_t___GENPT__
#define snd_rawmidi_params_INDEX 1377
#define snd_rawmidi_params_RETURN int
#define snd_rawmidi_params_ARG_NAMES rmidi, params
#define snd_rawmidi_params_ARG_EXPAND snd_rawmidi_t * rmidi, snd_rawmidi_params_t * params
#define snd_rawmidi_params_PACKED PACKED_int_snd_rawmidi_t___GENPT___snd_rawmidi_params_t___GENPT__
#define snd_rawmidi_params_INDEXED INDEXED_int_snd_rawmidi_t___GENPT___snd_rawmidi_params_t___GENPT__
#define snd_rawmidi_params_FORMAT FORMAT_int_snd_rawmidi_t___GENPT___snd_rawmidi_params_t___GENPT__
#define snd_rawmidi_params_copy_INDEX 1378
#define snd_rawmidi_params_copy_RETURN void
#define snd_rawmidi_params_copy_ARG_NAMES dst, src
#define snd_rawmidi_params_copy_ARG_EXPAND snd_rawmidi_params_t * dst, const snd_rawmidi_params_t * src
#define snd_rawmidi_params_copy_PACKED PACKED_void_snd_rawmidi_params_t___GENPT___const_snd_rawmidi_params_t___GENPT__
#define snd_rawmidi_params_copy_INDEXED INDEXED_void_snd_rawmidi_params_t___GENPT___const_snd_rawmidi_params_t___GENPT__
#define snd_rawmidi_params_copy_FORMAT FORMAT_void_snd_rawmidi_params_t___GENPT___const_snd_rawmidi_params_t___GENPT__
#define snd_rawmidi_params_current_INDEX 1379
#define snd_rawmidi_params_current_RETURN int
#define snd_rawmidi_params_current_ARG_NAMES rmidi, params
#define snd_rawmidi_params_current_ARG_EXPAND snd_rawmidi_t * rmidi, snd_rawmidi_params_t * params
#define snd_rawmidi_params_current_PACKED PACKED_int_snd_rawmidi_t___GENPT___snd_rawmidi_params_t___GENPT__
#define snd_rawmidi_params_current_INDEXED INDEXED_int_snd_rawmidi_t___GENPT___snd_rawmidi_params_t___GENPT__
#define snd_rawmidi_params_current_FORMAT FORMAT_int_snd_rawmidi_t___GENPT___snd_rawmidi_params_t___GENPT__
#define snd_rawmidi_params_free_INDEX 1380
#define snd_rawmidi_params_free_RETURN void
#define snd_rawmidi_params_free_ARG_NAMES obj
#define snd_rawmidi_params_free_ARG_EXPAND snd_rawmidi_params_t * obj
#define snd_rawmidi_params_free_PACKED PACKED_void_snd_rawmidi_params_t___GENPT__
#define snd_rawmidi_params_free_INDEXED INDEXED_void_snd_rawmidi_params_t___GENPT__
#define snd_rawmidi_params_free_FORMAT FORMAT_void_snd_rawmidi_params_t___GENPT__
#define snd_rawmidi_params_get_avail_min_INDEX 1381
#define snd_rawmidi_params_get_avail_min_RETURN size_t
#define snd_rawmidi_params_get_avail_min_ARG_NAMES params
#define snd_rawmidi_params_get_avail_min_ARG_EXPAND const snd_rawmidi_params_t * params
#define snd_rawmidi_params_get_avail_min_PACKED PACKED_size_t_const_snd_rawmidi_params_t___GENPT__
#define snd_rawmidi_params_get_avail_min_INDEXED INDEXED_size_t_const_snd_rawmidi_params_t___GENPT__
#define snd_rawmidi_params_get_avail_min_FORMAT FORMAT_size_t_const_snd_rawmidi_params_t___GENPT__
#define snd_rawmidi_params_get_buffer_size_INDEX 1382
#define snd_rawmidi_params_get_buffer_size_RETURN size_t
#define snd_rawmidi_params_get_buffer_size_ARG_NAMES params
#define snd_rawmidi_params_get_buffer_size_ARG_EXPAND const snd_rawmidi_params_t * params
#define snd_rawmidi_params_get_buffer_size_PACKED PACKED_size_t_const_snd_rawmidi_params_t___GENPT__
#define snd_rawmidi_params_get_buffer_size_INDEXED INDEXED_size_t_const_snd_rawmidi_params_t___GENPT__
#define snd_rawmidi_params_get_buffer_size_FORMAT FORMAT_size_t_const_snd_rawmidi_params_t___GENPT__
#define snd_rawmidi_params_get_no_active_sensing_INDEX 1383
#define snd_rawmidi_params_get_no_active_sensing_RETURN int
#define snd_rawmidi_params_get_no_active_sensing_ARG_NAMES params
#define snd_rawmidi_params_get_no_active_sensing_ARG_EXPAND const snd_rawmidi_params_t * params
#define snd_rawmidi_params_get_no_active_sensing_PACKED PACKED_int_const_snd_rawmidi_params_t___GENPT__
#define snd_rawmidi_params_get_no_active_sensing_INDEXED INDEXED_int_const_snd_rawmidi_params_t___GENPT__
#define snd_rawmidi_params_get_no_active_sensing_FORMAT FORMAT_int_const_snd_rawmidi_params_t___GENPT__
#define snd_rawmidi_params_malloc_INDEX 1384
#define snd_rawmidi_params_malloc_RETURN int
#define snd_rawmidi_params_malloc_ARG_NAMES ptr
#define snd_rawmidi_params_malloc_ARG_EXPAND snd_rawmidi_params_t ** ptr
#define snd_rawmidi_params_malloc_PACKED PACKED_int_snd_rawmidi_params_t___GENPT____GENPT__
#define snd_rawmidi_params_malloc_INDEXED INDEXED_int_snd_rawmidi_params_t___GENPT____GENPT__
#define snd_rawmidi_params_malloc_FORMAT FORMAT_int_snd_rawmidi_params_t___GENPT____GENPT__
#define snd_rawmidi_params_set_avail_min_INDEX 1385
#define snd_rawmidi_params_set_avail_min_RETURN int
#define snd_rawmidi_params_set_avail_min_ARG_NAMES rmidi, params, val
#define snd_rawmidi_params_set_avail_min_ARG_EXPAND snd_rawmidi_t * rmidi, snd_rawmidi_params_t * params, size_t val
#define snd_rawmidi_params_set_avail_min_PACKED PACKED_int_snd_rawmidi_t___GENPT___snd_rawmidi_params_t___GENPT___size_t
#define snd_rawmidi_params_set_avail_min_INDEXED INDEXED_int_snd_rawmidi_t___GENPT___snd_rawmidi_params_t___GENPT___size_t
#define snd_rawmidi_params_set_avail_min_FORMAT FORMAT_int_snd_rawmidi_t___GENPT___snd_rawmidi_params_t___GENPT___size_t
#define snd_rawmidi_params_set_buffer_size_INDEX 1386
#define snd_rawmidi_params_set_buffer_size_RETURN int
#define snd_rawmidi_params_set_buffer_size_ARG_NAMES rmidi, params, val
#define snd_rawmidi_params_set_buffer_size_ARG_EXPAND snd_rawmidi_t * rmidi, snd_rawmidi_params_t * params, size_t val
#define snd_rawmidi_params_set_buffer_size_PACKED PACKED_int_snd_rawmidi_t___GENPT___snd_rawmidi_params_t___GENPT___size_t
#define snd_rawmidi_params_set_buffer_size_INDEXED INDEXED_int_snd_rawmidi_t___GENPT___snd_rawmidi_params_t___GENPT___size_t
#define snd_rawmidi_params_set_buffer_size_FORMAT FORMAT_int_snd_rawmidi_t___GENPT___snd_rawmidi_params_t___GENPT___size_t
#define snd_rawmidi_params_set_no_active_sensing_INDEX 1387
#define snd_rawmidi_params_set_no_active_sensing_RETURN int
#define snd_rawmidi_params_set_no_active_sensing_ARG_NAMES rmidi, params, val
#define snd_rawmidi_params_set_no_active_sensing_ARG_EXPAND snd_rawmidi_t * rmidi, snd_rawmidi_params_t * params, int val
#define snd_rawmidi_params_set_no_active_sensing_PACKED PACKED_int_snd_rawmidi_t___GENPT___snd_rawmidi_params_t___GENPT___int
#define snd_rawmidi_params_set_no_active_sensing_INDEXED INDEXED_int_snd_rawmidi_t___GENPT___snd_rawmidi_params_t___GENPT___int
#define snd_rawmidi_params_set_no_active_sensing_FORMAT FORMAT_int_snd_rawmidi_t___GENPT___snd_rawmidi_params_t___GENPT___int
#define snd_rawmidi_params_sizeof_INDEX 1388
#define snd_rawmidi_params_sizeof_RETURN size_t
#define snd_rawmidi_params_sizeof_ARG_NAMES 
#define snd_rawmidi_params_sizeof_ARG_EXPAND 
#define snd_rawmidi_params_sizeof_PACKED PACKED_size_t
#define snd_rawmidi_params_sizeof_INDEXED INDEXED_size_t
#define snd_rawmidi_params_sizeof_FORMAT FORMAT_size_t
#define snd_rawmidi_poll_descriptors_INDEX 1389
#define snd_rawmidi_poll_descriptors_RETURN int
#define snd_rawmidi_poll_descriptors_ARG_NAMES rmidi, pfds, space
#define snd_rawmidi_poll_descriptors_ARG_EXPAND snd_rawmidi_t * rmidi, struct pollfd * pfds, unsigned int space
#define snd_rawmidi_poll_descriptors_PACKED PACKED_int_snd_rawmidi_t___GENPT___struct_pollfd___GENPT___unsigned_int
#define snd_rawmidi_poll_descriptors_INDEXED INDEXED_int_snd_rawmidi_t___GENPT___struct_pollfd___GENPT___unsigned_int
#define snd_rawmidi_poll_descriptors_FORMAT FORMAT_int_snd_rawmidi_t___GENPT___struct_pollfd___GENPT___unsigned_int
#define snd_rawmidi_poll_descriptors_count_INDEX 1390
#define snd_rawmidi_poll_descriptors_count_RETURN int
#define snd_rawmidi_poll_descriptors_count_ARG_NAMES rmidi
#define snd_rawmidi_poll_descriptors_count_ARG_EXPAND snd_rawmidi_t * rmidi
#define snd_rawmidi_poll_descriptors_count_PACKED PACKED_int_snd_rawmidi_t___GENPT__
#define snd_rawmidi_poll_descriptors_count_INDEXED INDEXED_int_snd_rawmidi_t___GENPT__
#define snd_rawmidi_poll_descriptors_count_FORMAT FORMAT_int_snd_rawmidi_t___GENPT__
#define snd_rawmidi_poll_descriptors_revents_INDEX 1391
#define snd_rawmidi_poll_descriptors_revents_RETURN int
#define snd_rawmidi_poll_descriptors_revents_ARG_NAMES rawmidi, pfds, nfds, revent
#define snd_rawmidi_poll_descriptors_revents_ARG_EXPAND snd_rawmidi_t * rawmidi, struct pollfd * pfds, unsigned int nfds, unsigned short * revent
#define snd_rawmidi_poll_descriptors_revents_PACKED PACKED_int_snd_rawmidi_t___GENPT___struct_pollfd___GENPT___unsigned_int_unsigned_short___GENPT__
#define snd_rawmidi_poll_descriptors_revents_INDEXED INDEXED_int_snd_rawmidi_t___GENPT___struct_pollfd___GENPT___unsigned_int_unsigned_short___GENPT__
#define snd_rawmidi_poll_descriptors_revents_FORMAT FORMAT_int_snd_rawmidi_t___GENPT___struct_pollfd___GENPT___unsigned_int_unsigned_short___GENPT__
#define snd_rawmidi_read_INDEX 1392
#define snd_rawmidi_read_RETURN ssize_t
#define snd_rawmidi_read_ARG_NAMES rmidi, buffer, size
#define snd_rawmidi_read_ARG_EXPAND snd_rawmidi_t * rmidi, void * buffer, size_t size
#define snd_rawmidi_read_PACKED PACKED_ssize_t_snd_rawmidi_t___GENPT___void___GENPT___size_t
#define snd_rawmidi_read_INDEXED INDEXED_ssize_t_snd_rawmidi_t___GENPT___void___GENPT___size_t
#define snd_rawmidi_read_FORMAT FORMAT_ssize_t_snd_rawmidi_t___GENPT___void___GENPT___size_t
#define snd_rawmidi_status_INDEX 1393
#define snd_rawmidi_status_RETURN int
#define snd_rawmidi_status_ARG_NAMES rmidi, status
#define snd_rawmidi_status_ARG_EXPAND snd_rawmidi_t * rmidi, snd_rawmidi_status_t * status
#define snd_rawmidi_status_PACKED PACKED_int_snd_rawmidi_t___GENPT___snd_rawmidi_status_t___GENPT__
#define snd_rawmidi_status_INDEXED INDEXED_int_snd_rawmidi_t___GENPT___snd_rawmidi_status_t___GENPT__
#define snd_rawmidi_status_FORMAT FORMAT_int_snd_rawmidi_t___GENPT___snd_rawmidi_status_t___GENPT__
#define snd_rawmidi_status_copy_INDEX 1394
#define snd_rawmidi_status_copy_RETURN void
#define snd_rawmidi_status_copy_ARG_NAMES dst, src
#define snd_rawmidi_status_copy_ARG_EXPAND snd_rawmidi_status_t * dst, const snd_rawmidi_status_t * src
#define snd_rawmidi_status_copy_PACKED PACKED_void_snd_rawmidi_status_t___GENPT___const_snd_rawmidi_status_t___GENPT__
#define snd_rawmidi_status_copy_INDEXED INDEXED_void_snd_rawmidi_status_t___GENPT___const_snd_rawmidi_status_t___GENPT__
#define snd_rawmidi_status_copy_FORMAT FORMAT_void_snd_rawmidi_status_t___GENPT___const_snd_rawmidi_status_t___GENPT__
#define snd_rawmidi_status_free_INDEX 1395
#define snd_rawmidi_status_free_RETURN void
#define snd_rawmidi_status_free_ARG_NAMES obj
#define snd_rawmidi_status_free_ARG_EXPAND snd_rawmidi_status_t * obj
#define snd_rawmidi_status_free_PACKED PACKED_void_snd_rawmidi_status_t___GENPT__
#define snd_rawmidi_status_free_INDEXED INDEXED_void_snd_rawmidi_status_t___GENPT__
#define snd_rawmidi_status_free_FORMAT FORMAT_void_snd_rawmidi_status_t___GENPT__
#define snd_rawmidi_status_get_avail_INDEX 1396
#define snd_rawmidi_status_get_avail_RETURN size_t
#define snd_rawmidi_status_get_avail_ARG_NAMES obj
#define snd_rawmidi_status_get_avail_ARG_EXPAND const snd_rawmidi_status_t * obj
#define snd_rawmidi_status_get_avail_PACKED PACKED_size_t_const_snd_rawmidi_status_t___GENPT__
#define snd_rawmidi_status_get_avail_INDEXED INDEXED_size_t_const_snd_rawmidi_status_t___GENPT__
#define snd_rawmidi_status_get_avail_FORMAT FORMAT_size_t_const_snd_rawmidi_status_t___GENPT__
#define snd_rawmidi_status_get_tstamp_INDEX 1397
#define snd_rawmidi_status_get_tstamp_RETURN void
#define snd_rawmidi_status_get_tstamp_ARG_NAMES obj, ptr
#define snd_rawmidi_status_get_tstamp_ARG_EXPAND const snd_rawmidi_status_t * obj, snd_htimestamp_t * ptr
#define snd_rawmidi_status_get_tstamp_PACKED PACKED_void_const_snd_rawmidi_status_t___GENPT___snd_htimestamp_t___GENPT__
#define snd_rawmidi_status_get_tstamp_INDEXED INDEXED_void_const_snd_rawmidi_status_t___GENPT___snd_htimestamp_t___GENPT__
#define snd_rawmidi_status_get_tstamp_FORMAT FORMAT_void_const_snd_rawmidi_status_t___GENPT___snd_htimestamp_t___GENPT__
#define snd_rawmidi_status_get_xruns_INDEX 1398
#define snd_rawmidi_status_get_xruns_RETURN size_t
#define snd_rawmidi_status_get_xruns_ARG_NAMES obj
#define snd_rawmidi_status_get_xruns_ARG_EXPAND const snd_rawmidi_status_t * obj
#define snd_rawmidi_status_get_xruns_PACKED PACKED_size_t_const_snd_rawmidi_status_t___GENPT__
#define snd_rawmidi_status_get_xruns_INDEXED INDEXED_size_t_const_snd_rawmidi_status_t___GENPT__
#define snd_rawmidi_status_get_xruns_FORMAT FORMAT_size_t_const_snd_rawmidi_status_t___GENPT__
#define snd_rawmidi_status_malloc_INDEX 1399
#define snd_rawmidi_status_malloc_RETURN int
#define snd_rawmidi_status_malloc_ARG_NAMES ptr
#define snd_rawmidi_status_malloc_ARG_EXPAND snd_rawmidi_status_t ** ptr
#define snd_rawmidi_status_malloc_PACKED PACKED_int_snd_rawmidi_status_t___GENPT____GENPT__
#define snd_rawmidi_status_malloc_INDEXED INDEXED_int_snd_rawmidi_status_t___GENPT____GENPT__
#define snd_rawmidi_status_malloc_FORMAT FORMAT_int_snd_rawmidi_status_t___GENPT____GENPT__
#define snd_rawmidi_status_sizeof_INDEX 1400
#define snd_rawmidi_status_sizeof_RETURN size_t
#define snd_rawmidi_status_sizeof_ARG_NAMES 
#define snd_rawmidi_status_sizeof_ARG_EXPAND 
#define snd_rawmidi_status_sizeof_PACKED PACKED_size_t
#define snd_rawmidi_status_sizeof_INDEXED INDEXED_size_t
#define snd_rawmidi_status_sizeof_FORMAT FORMAT_size_t
#define snd_rawmidi_stream_INDEX 1401
#define snd_rawmidi_stream_RETURN snd_rawmidi_stream_t
#define snd_rawmidi_stream_ARG_NAMES rawmidi
#define snd_rawmidi_stream_ARG_EXPAND snd_rawmidi_t * rawmidi
#define snd_rawmidi_stream_PACKED PACKED_snd_rawmidi_stream_t_snd_rawmidi_t___GENPT__
#define snd_rawmidi_stream_INDEXED INDEXED_snd_rawmidi_stream_t_snd_rawmidi_t___GENPT__
#define snd_rawmidi_stream_FORMAT FORMAT_snd_rawmidi_stream_t_snd_rawmidi_t___GENPT__
#define snd_rawmidi_type_INDEX 1402
#define snd_rawmidi_type_RETURN snd_rawmidi_type_t
#define snd_rawmidi_type_ARG_NAMES rmidi
#define snd_rawmidi_type_ARG_EXPAND snd_rawmidi_t * rmidi
#define snd_rawmidi_type_PACKED PACKED_snd_rawmidi_type_t_snd_rawmidi_t___GENPT__
#define snd_rawmidi_type_INDEXED INDEXED_snd_rawmidi_type_t_snd_rawmidi_t___GENPT__
#define snd_rawmidi_type_FORMAT FORMAT_snd_rawmidi_type_t_snd_rawmidi_t___GENPT__
#define snd_rawmidi_write_INDEX 1403
#define snd_rawmidi_write_RETURN ssize_t
#define snd_rawmidi_write_ARG_NAMES rmidi, buffer, size
#define snd_rawmidi_write_ARG_EXPAND snd_rawmidi_t * rmidi, const void * buffer, size_t size
#define snd_rawmidi_write_PACKED PACKED_ssize_t_snd_rawmidi_t___GENPT___const_void___GENPT___size_t
#define snd_rawmidi_write_INDEXED INDEXED_ssize_t_snd_rawmidi_t___GENPT___const_void___GENPT___size_t
#define snd_rawmidi_write_FORMAT FORMAT_ssize_t_snd_rawmidi_t___GENPT___const_void___GENPT___size_t
#define snd_sctl_build_INDEX 1404
#define snd_sctl_build_RETURN int
#define snd_sctl_build_ARG_NAMES ctl, handle, config, private_data, mode
#define snd_sctl_build_ARG_EXPAND snd_sctl_t ** ctl, snd_ctl_t * handle, snd_config_t * config, snd_config_t * private_data, int mode
#define snd_sctl_build_PACKED PACKED_int_snd_sctl_t___GENPT____GENPT___snd_ctl_t___GENPT___snd_config_t___GENPT___snd_config_t___GENPT___int
#define snd_sctl_build_INDEXED INDEXED_int_snd_sctl_t___GENPT____GENPT___snd_ctl_t___GENPT___snd_config_t___GENPT___snd_config_t___GENPT___int
#define snd_sctl_build_FORMAT FORMAT_int_snd_sctl_t___GENPT____GENPT___snd_ctl_t___GENPT___snd_config_t___GENPT___snd_config_t___GENPT___int
#define snd_sctl_free_INDEX 1405
#define snd_sctl_free_RETURN int
#define snd_sctl_free_ARG_NAMES handle
#define snd_sctl_free_ARG_EXPAND snd_sctl_t * handle
#define snd_sctl_free_PACKED PACKED_int_snd_sctl_t___GENPT__
#define snd_sctl_free_INDEXED INDEXED_int_snd_sctl_t___GENPT__
#define snd_sctl_free_FORMAT FORMAT_int_snd_sctl_t___GENPT__
#define snd_sctl_install_INDEX 1406
#define snd_sctl_install_RETURN int
#define snd_sctl_install_ARG_NAMES handle
#define snd_sctl_install_ARG_EXPAND snd_sctl_t * handle
#define snd_sctl_install_PACKED PACKED_int_snd_sctl_t___GENPT__
#define snd_sctl_install_INDEXED INDEXED_int_snd_sctl_t___GENPT__
#define snd_sctl_install_FORMAT FORMAT_int_snd_sctl_t___GENPT__
#define snd_sctl_remove_INDEX 1407
#define snd_sctl_remove_RETURN int
#define snd_sctl_remove_ARG_NAMES handle
#define snd_sctl_remove_ARG_EXPAND snd_sctl_t * handle
#define snd_sctl_remove_PACKED PACKED_int_snd_sctl_t___GENPT__
#define snd_sctl_remove_INDEXED INDEXED_int_snd_sctl_t___GENPT__
#define snd_sctl_remove_FORMAT FORMAT_int_snd_sctl_t___GENPT__
#define snd_seq_alloc_named_queue_INDEX 1408
#define snd_seq_alloc_named_queue_RETURN int
#define snd_seq_alloc_named_queue_ARG_NAMES seq, name
#define snd_seq_alloc_named_queue_ARG_EXPAND snd_seq_t * seq, const char * name
#define snd_seq_alloc_named_queue_PACKED PACKED_int_snd_seq_t___GENPT___const_char___GENPT__
#define snd_seq_alloc_named_queue_INDEXED INDEXED_int_snd_seq_t___GENPT___const_char___GENPT__
#define snd_seq_alloc_named_queue_FORMAT FORMAT_int_snd_seq_t___GENPT___const_char___GENPT__
#define snd_seq_alloc_queue_INDEX 1409
#define snd_seq_alloc_queue_RETURN int
#define snd_seq_alloc_queue_ARG_NAMES handle
#define snd_seq_alloc_queue_ARG_EXPAND snd_seq_t * handle
#define snd_seq_alloc_queue_PACKED PACKED_int_snd_seq_t___GENPT__
#define snd_seq_alloc_queue_INDEXED INDEXED_int_snd_seq_t___GENPT__
#define snd_seq_alloc_queue_FORMAT FORMAT_int_snd_seq_t___GENPT__
#define snd_seq_change_bit_INDEX 1410
#define snd_seq_change_bit_RETURN int
#define snd_seq_change_bit_ARG_NAMES nr, array
#define snd_seq_change_bit_ARG_EXPAND int nr, void * array
#define snd_seq_change_bit_PACKED PACKED_int_int_void___GENPT__
#define snd_seq_change_bit_INDEXED INDEXED_int_int_void___GENPT__
#define snd_seq_change_bit_FORMAT FORMAT_int_int_void___GENPT__
#define snd_seq_client_id_INDEX 1411
#define snd_seq_client_id_RETURN int
#define snd_seq_client_id_ARG_NAMES handle
#define snd_seq_client_id_ARG_EXPAND snd_seq_t * handle
#define snd_seq_client_id_PACKED PACKED_int_snd_seq_t___GENPT__
#define snd_seq_client_id_INDEXED INDEXED_int_snd_seq_t___GENPT__
#define snd_seq_client_id_FORMAT FORMAT_int_snd_seq_t___GENPT__
#define snd_seq_client_info_copy_INDEX 1412
#define snd_seq_client_info_copy_RETURN void
#define snd_seq_client_info_copy_ARG_NAMES dst, src
#define snd_seq_client_info_copy_ARG_EXPAND snd_seq_client_info_t * dst, const snd_seq_client_info_t * src
#define snd_seq_client_info_copy_PACKED PACKED_void_snd_seq_client_info_t___GENPT___const_snd_seq_client_info_t___GENPT__
#define snd_seq_client_info_copy_INDEXED INDEXED_void_snd_seq_client_info_t___GENPT___const_snd_seq_client_info_t___GENPT__
#define snd_seq_client_info_copy_FORMAT FORMAT_void_snd_seq_client_info_t___GENPT___const_snd_seq_client_info_t___GENPT__
#define snd_seq_client_info_free_INDEX 1413
#define snd_seq_client_info_free_RETURN void
#define snd_seq_client_info_free_ARG_NAMES ptr
#define snd_seq_client_info_free_ARG_EXPAND snd_seq_client_info_t * ptr
#define snd_seq_client_info_free_PACKED PACKED_void_snd_seq_client_info_t___GENPT__
#define snd_seq_client_info_free_INDEXED INDEXED_void_snd_seq_client_info_t___GENPT__
#define snd_seq_client_info_free_FORMAT FORMAT_void_snd_seq_client_info_t___GENPT__
#define snd_seq_client_info_get_broadcast_filter_INDEX 1414
#define snd_seq_client_info_get_broadcast_filter_RETURN int
#define snd_seq_client_info_get_broadcast_filter_ARG_NAMES info
#define snd_seq_client_info_get_broadcast_filter_ARG_EXPAND const snd_seq_client_info_t * info
#define snd_seq_client_info_get_broadcast_filter_PACKED PACKED_int_const_snd_seq_client_info_t___GENPT__
#define snd_seq_client_info_get_broadcast_filter_INDEXED INDEXED_int_const_snd_seq_client_info_t___GENPT__
#define snd_seq_client_info_get_broadcast_filter_FORMAT FORMAT_int_const_snd_seq_client_info_t___GENPT__
#define snd_seq_client_info_get_client_INDEX 1415
#define snd_seq_client_info_get_client_RETURN int
#define snd_seq_client_info_get_client_ARG_NAMES info
#define snd_seq_client_info_get_client_ARG_EXPAND const snd_seq_client_info_t * info
#define snd_seq_client_info_get_client_PACKED PACKED_int_const_snd_seq_client_info_t___GENPT__
#define snd_seq_client_info_get_client_INDEXED INDEXED_int_const_snd_seq_client_info_t___GENPT__
#define snd_seq_client_info_get_client_FORMAT FORMAT_int_const_snd_seq_client_info_t___GENPT__
#define snd_seq_client_info_get_error_bounce_INDEX 1416
#define snd_seq_client_info_get_error_bounce_RETURN int
#define snd_seq_client_info_get_error_bounce_ARG_NAMES info
#define snd_seq_client_info_get_error_bounce_ARG_EXPAND const snd_seq_client_info_t * info
#define snd_seq_client_info_get_error_bounce_PACKED PACKED_int_const_snd_seq_client_info_t___GENPT__
#define snd_seq_client_info_get_error_bounce_INDEXED INDEXED_int_const_snd_seq_client_info_t___GENPT__
#define snd_seq_client_info_get_error_bounce_FORMAT FORMAT_int_const_snd_seq_client_info_t___GENPT__
#define snd_seq_client_info_get_event_filter_INDEX 1417
#define snd_seq_client_info_get_event_filter_RETURN const unsigned char *
#define snd_seq_client_info_get_event_filter_ARG_NAMES info
#define snd_seq_client_info_get_event_filter_ARG_EXPAND const snd_seq_client_info_t * info
#define snd_seq_client_info_get_event_filter_PACKED PACKED_const_unsigned_char___GENPT___const_snd_seq_client_info_t___GENPT__
#define snd_seq_client_info_get_event_filter_INDEXED INDEXED_const_unsigned_char___GENPT___const_snd_seq_client_info_t___GENPT__
#define snd_seq_client_info_get_event_filter_FORMAT FORMAT_const_unsigned_char___GENPT___const_snd_seq_client_info_t___GENPT__
#define snd_seq_client_info_get_event_lost_INDEX 1418
#define snd_seq_client_info_get_event_lost_RETURN int
#define snd_seq_client_info_get_event_lost_ARG_NAMES info
#define snd_seq_client_info_get_event_lost_ARG_EXPAND const snd_seq_client_info_t * info
#define snd_seq_client_info_get_event_lost_PACKED PACKED_int_const_snd_seq_client_info_t___GENPT__
#define snd_seq_client_info_get_event_lost_INDEXED INDEXED_int_const_snd_seq_client_info_t___GENPT__
#define snd_seq_client_info_get_event_lost_FORMAT FORMAT_int_const_snd_seq_client_info_t___GENPT__
#define snd_seq_client_info_get_name_INDEX 1419
#define snd_seq_client_info_get_name_RETURN const char *
#define snd_seq_client_info_get_name_ARG_NAMES info
#define snd_seq_client_info_get_name_ARG_EXPAND snd_seq_client_info_t * info
#define snd_seq_client_info_get_name_PACKED PACKED_const_char___GENPT___snd_seq_client_info_t___GENPT__
#define snd_seq_client_info_get_name_INDEXED INDEXED_const_char___GENPT___snd_seq_client_info_t___GENPT__
#define snd_seq_client_info_get_name_FORMAT FORMAT_const_char___GENPT___snd_seq_client_info_t___GENPT__
#define snd_seq_client_info_get_num_ports_INDEX 1420
#define snd_seq_client_info_get_num_ports_RETURN int
#define snd_seq_client_info_get_num_ports_ARG_NAMES info
#define snd_seq_client_info_get_num_ports_ARG_EXPAND const snd_seq_client_info_t * info
#define snd_seq_client_info_get_num_ports_PACKED PACKED_int_const_snd_seq_client_info_t___GENPT__
#define snd_seq_client_info_get_num_ports_INDEXED INDEXED_int_const_snd_seq_client_info_t___GENPT__
#define snd_seq_client_info_get_num_ports_FORMAT FORMAT_int_const_snd_seq_client_info_t___GENPT__
#define snd_seq_client_info_get_type_INDEX 1421
#define snd_seq_client_info_get_type_RETURN snd_seq_client_type_t
#define snd_seq_client_info_get_type_ARG_NAMES info
#define snd_seq_client_info_get_type_ARG_EXPAND const snd_seq_client_info_t * info
#define snd_seq_client_info_get_type_PACKED PACKED_snd_seq_client_type_t_const_snd_seq_client_info_t___GENPT__
#define snd_seq_client_info_get_type_INDEXED INDEXED_snd_seq_client_type_t_const_snd_seq_client_info_t___GENPT__
#define snd_seq_client_info_get_type_FORMAT FORMAT_snd_seq_client_type_t_const_snd_seq_client_info_t___GENPT__
#define snd_seq_client_info_malloc_INDEX 1422
#define snd_seq_client_info_malloc_RETURN int
#define snd_seq_client_info_malloc_ARG_NAMES ptr
#define snd_seq_client_info_malloc_ARG_EXPAND snd_seq_client_info_t ** ptr
#define snd_seq_client_info_malloc_PACKED PACKED_int_snd_seq_client_info_t___GENPT____GENPT__
#define snd_seq_client_info_malloc_INDEXED INDEXED_int_snd_seq_client_info_t___GENPT____GENPT__
#define snd_seq_client_info_malloc_FORMAT FORMAT_int_snd_seq_client_info_t___GENPT____GENPT__
#define snd_seq_client_info_set_broadcast_filter_INDEX 1423
#define snd_seq_client_info_set_broadcast_filter_RETURN void
#define snd_seq_client_info_set_broadcast_filter_ARG_NAMES info, val
#define snd_seq_client_info_set_broadcast_filter_ARG_EXPAND snd_seq_client_info_t * info, int val
#define snd_seq_client_info_set_broadcast_filter_PACKED PACKED_void_snd_seq_client_info_t___GENPT___int
#define snd_seq_client_info_set_broadcast_filter_INDEXED INDEXED_void_snd_seq_client_info_t___GENPT___int
#define snd_seq_client_info_set_broadcast_filter_FORMAT FORMAT_void_snd_seq_client_info_t___GENPT___int
#define snd_seq_client_info_set_client_INDEX 1424
#define snd_seq_client_info_set_client_RETURN void
#define snd_seq_client_info_set_client_ARG_NAMES info, client
#define snd_seq_client_info_set_client_ARG_EXPAND snd_seq_client_info_t * info, int client
#define snd_seq_client_info_set_client_PACKED PACKED_void_snd_seq_client_info_t___GENPT___int
#define snd_seq_client_info_set_client_INDEXED INDEXED_void_snd_seq_client_info_t___GENPT___int
#define snd_seq_client_info_set_client_FORMAT FORMAT_void_snd_seq_client_info_t___GENPT___int
#define snd_seq_client_info_set_error_bounce_INDEX 1425
#define snd_seq_client_info_set_error_bounce_RETURN void
#define snd_seq_client_info_set_error_bounce_ARG_NAMES info, val
#define snd_seq_client_info_set_error_bounce_ARG_EXPAND snd_seq_client_info_t * info, int val
#define snd_seq_client_info_set_error_bounce_PACKED PACKED_void_snd_seq_client_info_t___GENPT___int
#define snd_seq_client_info_set_error_bounce_INDEXED INDEXED_void_snd_seq_client_info_t___GENPT___int
#define snd_seq_client_info_set_error_bounce_FORMAT FORMAT_void_snd_seq_client_info_t___GENPT___int
#define snd_seq_client_info_set_event_filter_INDEX 1426
#define snd_seq_client_info_set_event_filter_RETURN void
#define snd_seq_client_info_set_event_filter_ARG_NAMES info, filter
#define snd_seq_client_info_set_event_filter_ARG_EXPAND snd_seq_client_info_t * info, unsigned char * filter
#define snd_seq_client_info_set_event_filter_PACKED PACKED_void_snd_seq_client_info_t___GENPT___unsigned_char___GENPT__
#define snd_seq_client_info_set_event_filter_INDEXED INDEXED_void_snd_seq_client_info_t___GENPT___unsigned_char___GENPT__
#define snd_seq_client_info_set_event_filter_FORMAT FORMAT_void_snd_seq_client_info_t___GENPT___unsigned_char___GENPT__
#define snd_seq_client_info_set_name_INDEX 1427
#define snd_seq_client_info_set_name_RETURN void
#define snd_seq_client_info_set_name_ARG_NAMES info, name
#define snd_seq_client_info_set_name_ARG_EXPAND snd_seq_client_info_t * info, const char * name
#define snd_seq_client_info_set_name_PACKED PACKED_void_snd_seq_client_info_t___GENPT___const_char___GENPT__
#define snd_seq_client_info_set_name_INDEXED INDEXED_void_snd_seq_client_info_t___GENPT___const_char___GENPT__
#define snd_seq_client_info_set_name_FORMAT FORMAT_void_snd_seq_client_info_t___GENPT___const_char___GENPT__
#define snd_seq_client_info_sizeof_INDEX 1428
#define snd_seq_client_info_sizeof_RETURN size_t
#define snd_seq_client_info_sizeof_ARG_NAMES 
#define snd_seq_client_info_sizeof_ARG_EXPAND 
#define snd_seq_client_info_sizeof_PACKED PACKED_size_t
#define snd_seq_client_info_sizeof_INDEXED INDEXED_size_t
#define snd_seq_client_info_sizeof_FORMAT FORMAT_size_t
#define snd_seq_client_pool_copy_INDEX 1429
#define snd_seq_client_pool_copy_RETURN void
#define snd_seq_client_pool_copy_ARG_NAMES dst, src
#define snd_seq_client_pool_copy_ARG_EXPAND snd_seq_client_pool_t * dst, const snd_seq_client_pool_t * src
#define snd_seq_client_pool_copy_PACKED PACKED_void_snd_seq_client_pool_t___GENPT___const_snd_seq_client_pool_t___GENPT__
#define snd_seq_client_pool_copy_INDEXED INDEXED_void_snd_seq_client_pool_t___GENPT___const_snd_seq_client_pool_t___GENPT__
#define snd_seq_client_pool_copy_FORMAT FORMAT_void_snd_seq_client_pool_t___GENPT___const_snd_seq_client_pool_t___GENPT__
#define snd_seq_client_pool_free_INDEX 1430
#define snd_seq_client_pool_free_RETURN void
#define snd_seq_client_pool_free_ARG_NAMES ptr
#define snd_seq_client_pool_free_ARG_EXPAND snd_seq_client_pool_t * ptr
#define snd_seq_client_pool_free_PACKED PACKED_void_snd_seq_client_pool_t___GENPT__
#define snd_seq_client_pool_free_INDEXED INDEXED_void_snd_seq_client_pool_t___GENPT__
#define snd_seq_client_pool_free_FORMAT FORMAT_void_snd_seq_client_pool_t___GENPT__
#define snd_seq_client_pool_get_client_INDEX 1431
#define snd_seq_client_pool_get_client_RETURN int
#define snd_seq_client_pool_get_client_ARG_NAMES info
#define snd_seq_client_pool_get_client_ARG_EXPAND const snd_seq_client_pool_t * info
#define snd_seq_client_pool_get_client_PACKED PACKED_int_const_snd_seq_client_pool_t___GENPT__
#define snd_seq_client_pool_get_client_INDEXED INDEXED_int_const_snd_seq_client_pool_t___GENPT__
#define snd_seq_client_pool_get_client_FORMAT FORMAT_int_const_snd_seq_client_pool_t___GENPT__
#define snd_seq_client_pool_get_input_free_INDEX 1432
#define snd_seq_client_pool_get_input_free_RETURN size_t
#define snd_seq_client_pool_get_input_free_ARG_NAMES info
#define snd_seq_client_pool_get_input_free_ARG_EXPAND const snd_seq_client_pool_t * info
#define snd_seq_client_pool_get_input_free_PACKED PACKED_size_t_const_snd_seq_client_pool_t___GENPT__
#define snd_seq_client_pool_get_input_free_INDEXED INDEXED_size_t_const_snd_seq_client_pool_t___GENPT__
#define snd_seq_client_pool_get_input_free_FORMAT FORMAT_size_t_const_snd_seq_client_pool_t___GENPT__
#define snd_seq_client_pool_get_input_pool_INDEX 1433
#define snd_seq_client_pool_get_input_pool_RETURN size_t
#define snd_seq_client_pool_get_input_pool_ARG_NAMES info
#define snd_seq_client_pool_get_input_pool_ARG_EXPAND const snd_seq_client_pool_t * info
#define snd_seq_client_pool_get_input_pool_PACKED PACKED_size_t_const_snd_seq_client_pool_t___GENPT__
#define snd_seq_client_pool_get_input_pool_INDEXED INDEXED_size_t_const_snd_seq_client_pool_t___GENPT__
#define snd_seq_client_pool_get_input_pool_FORMAT FORMAT_size_t_const_snd_seq_client_pool_t___GENPT__
#define snd_seq_client_pool_get_output_free_INDEX 1434
#define snd_seq_client_pool_get_output_free_RETURN size_t
#define snd_seq_client_pool_get_output_free_ARG_NAMES info
#define snd_seq_client_pool_get_output_free_ARG_EXPAND const snd_seq_client_pool_t * info
#define snd_seq_client_pool_get_output_free_PACKED PACKED_size_t_const_snd_seq_client_pool_t___GENPT__
#define snd_seq_client_pool_get_output_free_INDEXED INDEXED_size_t_const_snd_seq_client_pool_t___GENPT__
#define snd_seq_client_pool_get_output_free_FORMAT FORMAT_size_t_const_snd_seq_client_pool_t___GENPT__
#define snd_seq_client_pool_get_output_pool_INDEX 1435
#define snd_seq_client_pool_get_output_pool_RETURN size_t
#define snd_seq_client_pool_get_output_pool_ARG_NAMES info
#define snd_seq_client_pool_get_output_pool_ARG_EXPAND const snd_seq_client_pool_t * info
#define snd_seq_client_pool_get_output_pool_PACKED PACKED_size_t_const_snd_seq_client_pool_t___GENPT__
#define snd_seq_client_pool_get_output_pool_INDEXED INDEXED_size_t_const_snd_seq_client_pool_t___GENPT__
#define snd_seq_client_pool_get_output_pool_FORMAT FORMAT_size_t_const_snd_seq_client_pool_t___GENPT__
#define snd_seq_client_pool_get_output_room_INDEX 1436
#define snd_seq_client_pool_get_output_room_RETURN size_t
#define snd_seq_client_pool_get_output_room_ARG_NAMES info
#define snd_seq_client_pool_get_output_room_ARG_EXPAND const snd_seq_client_pool_t * info
#define snd_seq_client_pool_get_output_room_PACKED PACKED_size_t_const_snd_seq_client_pool_t___GENPT__
#define snd_seq_client_pool_get_output_room_INDEXED INDEXED_size_t_const_snd_seq_client_pool_t___GENPT__
#define snd_seq_client_pool_get_output_room_FORMAT FORMAT_size_t_const_snd_seq_client_pool_t___GENPT__
#define snd_seq_client_pool_malloc_INDEX 1437
#define snd_seq_client_pool_malloc_RETURN int
#define snd_seq_client_pool_malloc_ARG_NAMES ptr
#define snd_seq_client_pool_malloc_ARG_EXPAND snd_seq_client_pool_t ** ptr
#define snd_seq_client_pool_malloc_PACKED PACKED_int_snd_seq_client_pool_t___GENPT____GENPT__
#define snd_seq_client_pool_malloc_INDEXED INDEXED_int_snd_seq_client_pool_t___GENPT____GENPT__
#define snd_seq_client_pool_malloc_FORMAT FORMAT_int_snd_seq_client_pool_t___GENPT____GENPT__
#define snd_seq_client_pool_set_input_pool_INDEX 1438
#define snd_seq_client_pool_set_input_pool_RETURN void
#define snd_seq_client_pool_set_input_pool_ARG_NAMES info, size
#define snd_seq_client_pool_set_input_pool_ARG_EXPAND snd_seq_client_pool_t * info, size_t size
#define snd_seq_client_pool_set_input_pool_PACKED PACKED_void_snd_seq_client_pool_t___GENPT___size_t
#define snd_seq_client_pool_set_input_pool_INDEXED INDEXED_void_snd_seq_client_pool_t___GENPT___size_t
#define snd_seq_client_pool_set_input_pool_FORMAT FORMAT_void_snd_seq_client_pool_t___GENPT___size_t
#define snd_seq_client_pool_set_output_pool_INDEX 1439
#define snd_seq_client_pool_set_output_pool_RETURN void
#define snd_seq_client_pool_set_output_pool_ARG_NAMES info, size
#define snd_seq_client_pool_set_output_pool_ARG_EXPAND snd_seq_client_pool_t * info, size_t size
#define snd_seq_client_pool_set_output_pool_PACKED PACKED_void_snd_seq_client_pool_t___GENPT___size_t
#define snd_seq_client_pool_set_output_pool_INDEXED INDEXED_void_snd_seq_client_pool_t___GENPT___size_t
#define snd_seq_client_pool_set_output_pool_FORMAT FORMAT_void_snd_seq_client_pool_t___GENPT___size_t
#define snd_seq_client_pool_set_output_room_INDEX 1440
#define snd_seq_client_pool_set_output_room_RETURN void
#define snd_seq_client_pool_set_output_room_ARG_NAMES info, size
#define snd_seq_client_pool_set_output_room_ARG_EXPAND snd_seq_client_pool_t * info, size_t size
#define snd_seq_client_pool_set_output_room_PACKED PACKED_void_snd_seq_client_pool_t___GENPT___size_t
#define snd_seq_client_pool_set_output_room_INDEXED INDEXED_void_snd_seq_client_pool_t___GENPT___size_t
#define snd_seq_client_pool_set_output_room_FORMAT FORMAT_void_snd_seq_client_pool_t___GENPT___size_t
#define snd_seq_client_pool_sizeof_INDEX 1441
#define snd_seq_client_pool_sizeof_RETURN size_t
#define snd_seq_client_pool_sizeof_ARG_NAMES 
#define snd_seq_client_pool_sizeof_ARG_EXPAND 
#define snd_seq_client_pool_sizeof_PACKED PACKED_size_t
#define snd_seq_client_pool_sizeof_INDEXED INDEXED_size_t
#define snd_seq_client_pool_sizeof_FORMAT FORMAT_size_t
#define snd_seq_close_INDEX 1442
#define snd_seq_close_RETURN int
#define snd_seq_close_ARG_NAMES handle
#define snd_seq_close_ARG_EXPAND snd_seq_t * handle
#define snd_seq_close_PACKED PACKED_int_snd_seq_t___GENPT__
#define snd_seq_close_INDEXED INDEXED_int_snd_seq_t___GENPT__
#define snd_seq_close_FORMAT FORMAT_int_snd_seq_t___GENPT__
#define snd_seq_connect_from_INDEX 1443
#define snd_seq_connect_from_RETURN int
#define snd_seq_connect_from_ARG_NAMES seq, myport, src_client, src_port
#define snd_seq_connect_from_ARG_EXPAND snd_seq_t * seq, int myport, int src_client, int src_port
#define snd_seq_connect_from_PACKED PACKED_int_snd_seq_t___GENPT___int_int_int
#define snd_seq_connect_from_INDEXED INDEXED_int_snd_seq_t___GENPT___int_int_int
#define snd_seq_connect_from_FORMAT FORMAT_int_snd_seq_t___GENPT___int_int_int
#define snd_seq_connect_to_INDEX 1444
#define snd_seq_connect_to_RETURN int
#define snd_seq_connect_to_ARG_NAMES seq, myport, dest_client, dest_port
#define snd_seq_connect_to_ARG_EXPAND snd_seq_t * seq, int myport, int dest_client, int dest_port
#define snd_seq_connect_to_PACKED PACKED_int_snd_seq_t___GENPT___int_int_int
#define snd_seq_connect_to_INDEXED INDEXED_int_snd_seq_t___GENPT___int_int_int
#define snd_seq_connect_to_FORMAT FORMAT_int_snd_seq_t___GENPT___int_int_int
#define snd_seq_control_queue_INDEX 1445
#define snd_seq_control_queue_RETURN int
#define snd_seq_control_queue_ARG_NAMES seq, q, type, value, ev
#define snd_seq_control_queue_ARG_EXPAND snd_seq_t * seq, int q, int type, int value, snd_seq_event_t * ev
#define snd_seq_control_queue_PACKED PACKED_int_snd_seq_t___GENPT___int_int_int_snd_seq_event_t___GENPT__
#define snd_seq_control_queue_INDEXED INDEXED_int_snd_seq_t___GENPT___int_int_int_snd_seq_event_t___GENPT__
#define snd_seq_control_queue_FORMAT FORMAT_int_snd_seq_t___GENPT___int_int_int_snd_seq_event_t___GENPT__
#define snd_seq_create_port_INDEX 1446
#define snd_seq_create_port_RETURN int
#define snd_seq_create_port_ARG_NAMES handle, info
#define snd_seq_create_port_ARG_EXPAND snd_seq_t * handle, snd_seq_port_info_t * info
#define snd_seq_create_port_PACKED PACKED_int_snd_seq_t___GENPT___snd_seq_port_info_t___GENPT__
#define snd_seq_create_port_INDEXED INDEXED_int_snd_seq_t___GENPT___snd_seq_port_info_t___GENPT__
#define snd_seq_create_port_FORMAT FORMAT_int_snd_seq_t___GENPT___snd_seq_port_info_t___GENPT__
#define snd_seq_create_queue_INDEX 1447
#define snd_seq_create_queue_RETURN int
#define snd_seq_create_queue_ARG_NAMES seq, info
#define snd_seq_create_queue_ARG_EXPAND snd_seq_t * seq, snd_seq_queue_info_t * info
#define snd_seq_create_queue_PACKED PACKED_int_snd_seq_t___GENPT___snd_seq_queue_info_t___GENPT__
#define snd_seq_create_queue_INDEXED INDEXED_int_snd_seq_t___GENPT___snd_seq_queue_info_t___GENPT__
#define snd_seq_create_queue_FORMAT FORMAT_int_snd_seq_t___GENPT___snd_seq_queue_info_t___GENPT__
#define snd_seq_create_simple_port_INDEX 1448
#define snd_seq_create_simple_port_RETURN int
#define snd_seq_create_simple_port_ARG_NAMES seq, name, caps, type
#define snd_seq_create_simple_port_ARG_EXPAND snd_seq_t * seq, const char * name, unsigned int caps, unsigned int type
#define snd_seq_create_simple_port_PACKED PACKED_int_snd_seq_t___GENPT___const_char___GENPT___unsigned_int_unsigned_int
#define snd_seq_create_simple_port_INDEXED INDEXED_int_snd_seq_t___GENPT___const_char___GENPT___unsigned_int_unsigned_int
#define snd_seq_create_simple_port_FORMAT FORMAT_int_snd_seq_t___GENPT___const_char___GENPT___unsigned_int_unsigned_int
#define snd_seq_delete_port_INDEX 1449
#define snd_seq_delete_port_RETURN int
#define snd_seq_delete_port_ARG_NAMES handle, port
#define snd_seq_delete_port_ARG_EXPAND snd_seq_t * handle, int port
#define snd_seq_delete_port_PACKED PACKED_int_snd_seq_t___GENPT___int
#define snd_seq_delete_port_INDEXED INDEXED_int_snd_seq_t___GENPT___int
#define snd_seq_delete_port_FORMAT FORMAT_int_snd_seq_t___GENPT___int
#define snd_seq_delete_simple_port_INDEX 1450
#define snd_seq_delete_simple_port_RETURN int
#define snd_seq_delete_simple_port_ARG_NAMES seq, port
#define snd_seq_delete_simple_port_ARG_EXPAND snd_seq_t * seq, int port
#define snd_seq_delete_simple_port_PACKED PACKED_int_snd_seq_t___GENPT___int
#define snd_seq_delete_simple_port_INDEXED INDEXED_int_snd_seq_t___GENPT___int
#define snd_seq_delete_simple_port_FORMAT FORMAT_int_snd_seq_t___GENPT___int
#define snd_seq_disconnect_from_INDEX 1451
#define snd_seq_disconnect_from_RETURN int
#define snd_seq_disconnect_from_ARG_NAMES seq, myport, src_client, src_port
#define snd_seq_disconnect_from_ARG_EXPAND snd_seq_t * seq, int myport, int src_client, int src_port
#define snd_seq_disconnect_from_PACKED PACKED_int_snd_seq_t___GENPT___int_int_int
#define snd_seq_disconnect_from_INDEXED INDEXED_int_snd_seq_t___GENPT___int_int_int
#define snd_seq_disconnect_from_FORMAT FORMAT_int_snd_seq_t___GENPT___int_int_int
#define snd_seq_disconnect_to_INDEX 1452
#define snd_seq_disconnect_to_RETURN int
#define snd_seq_disconnect_to_ARG_NAMES seq, myport, dest_client, dest_port
#define snd_seq_disconnect_to_ARG_EXPAND snd_seq_t * seq, int myport, int dest_client, int dest_port
#define snd_seq_disconnect_to_PACKED PACKED_int_snd_seq_t___GENPT___int_int_int
#define snd_seq_disconnect_to_INDEXED INDEXED_int_snd_seq_t___GENPT___int_int_int
#define snd_seq_disconnect_to_FORMAT FORMAT_int_snd_seq_t___GENPT___int_int_int
#define snd_seq_drain_output_INDEX 1453
#define snd_seq_drain_output_RETURN int
#define snd_seq_drain_output_ARG_NAMES handle
#define snd_seq_drain_output_ARG_EXPAND snd_seq_t * handle
#define snd_seq_drain_output_PACKED PACKED_int_snd_seq_t___GENPT__
#define snd_seq_drain_output_INDEXED INDEXED_int_snd_seq_t___GENPT__
#define snd_seq_drain_output_FORMAT FORMAT_int_snd_seq_t___GENPT__
#define snd_seq_drop_input_INDEX 1454
#define snd_seq_drop_input_RETURN int
#define snd_seq_drop_input_ARG_NAMES handle
#define snd_seq_drop_input_ARG_EXPAND snd_seq_t * handle
#define snd_seq_drop_input_PACKED PACKED_int_snd_seq_t___GENPT__
#define snd_seq_drop_input_INDEXED INDEXED_int_snd_seq_t___GENPT__
#define snd_seq_drop_input_FORMAT FORMAT_int_snd_seq_t___GENPT__
#define snd_seq_drop_input_buffer_INDEX 1455
#define snd_seq_drop_input_buffer_RETURN int
#define snd_seq_drop_input_buffer_ARG_NAMES handle
#define snd_seq_drop_input_buffer_ARG_EXPAND snd_seq_t * handle
#define snd_seq_drop_input_buffer_PACKED PACKED_int_snd_seq_t___GENPT__
#define snd_seq_drop_input_buffer_INDEXED INDEXED_int_snd_seq_t___GENPT__
#define snd_seq_drop_input_buffer_FORMAT FORMAT_int_snd_seq_t___GENPT__
#define snd_seq_drop_output_INDEX 1456
#define snd_seq_drop_output_RETURN int
#define snd_seq_drop_output_ARG_NAMES handle
#define snd_seq_drop_output_ARG_EXPAND snd_seq_t * handle
#define snd_seq_drop_output_PACKED PACKED_int_snd_seq_t___GENPT__
#define snd_seq_drop_output_INDEXED INDEXED_int_snd_seq_t___GENPT__
#define snd_seq_drop_output_FORMAT FORMAT_int_snd_seq_t___GENPT__
#define snd_seq_drop_output_buffer_INDEX 1457
#define snd_seq_drop_output_buffer_RETURN int
#define snd_seq_drop_output_buffer_ARG_NAMES handle
#define snd_seq_drop_output_buffer_ARG_EXPAND snd_seq_t * handle
#define snd_seq_drop_output_buffer_PACKED PACKED_int_snd_seq_t___GENPT__
#define snd_seq_drop_output_buffer_INDEXED INDEXED_int_snd_seq_t___GENPT__
#define snd_seq_drop_output_buffer_FORMAT FORMAT_int_snd_seq_t___GENPT__
#define snd_seq_event_input_INDEX 1458
#define snd_seq_event_input_RETURN int
#define snd_seq_event_input_ARG_NAMES handle, ev
#define snd_seq_event_input_ARG_EXPAND snd_seq_t * handle, snd_seq_event_t ** ev
#define snd_seq_event_input_PACKED PACKED_int_snd_seq_t___GENPT___snd_seq_event_t___GENPT____GENPT__
#define snd_seq_event_input_INDEXED INDEXED_int_snd_seq_t___GENPT___snd_seq_event_t___GENPT____GENPT__
#define snd_seq_event_input_FORMAT FORMAT_int_snd_seq_t___GENPT___snd_seq_event_t___GENPT____GENPT__
#define snd_seq_event_input_pending_INDEX 1459
#define snd_seq_event_input_pending_RETURN int
#define snd_seq_event_input_pending_ARG_NAMES seq, fetch_sequencer
#define snd_seq_event_input_pending_ARG_EXPAND snd_seq_t * seq, int fetch_sequencer
#define snd_seq_event_input_pending_PACKED PACKED_int_snd_seq_t___GENPT___int
#define snd_seq_event_input_pending_INDEXED INDEXED_int_snd_seq_t___GENPT___int
#define snd_seq_event_input_pending_FORMAT FORMAT_int_snd_seq_t___GENPT___int
#define snd_seq_event_length_INDEX 1460
#define snd_seq_event_length_RETURN ssize_t
#define snd_seq_event_length_ARG_NAMES ev
#define snd_seq_event_length_ARG_EXPAND snd_seq_event_t * ev
#define snd_seq_event_length_PACKED PACKED_ssize_t_snd_seq_event_t___GENPT__
#define snd_seq_event_length_INDEXED INDEXED_ssize_t_snd_seq_event_t___GENPT__
#define snd_seq_event_length_FORMAT FORMAT_ssize_t_snd_seq_event_t___GENPT__
#define snd_seq_event_output_INDEX 1461
#define snd_seq_event_output_RETURN int
#define snd_seq_event_output_ARG_NAMES handle, ev
#define snd_seq_event_output_ARG_EXPAND snd_seq_t * handle, snd_seq_event_t * ev
#define snd_seq_event_output_PACKED PACKED_int_snd_seq_t___GENPT___snd_seq_event_t___GENPT__
#define snd_seq_event_output_INDEXED INDEXED_int_snd_seq_t___GENPT___snd_seq_event_t___GENPT__
#define snd_seq_event_output_FORMAT FORMAT_int_snd_seq_t___GENPT___snd_seq_event_t___GENPT__
#define snd_seq_event_output_buffer_INDEX 1462
#define snd_seq_event_output_buffer_RETURN int
#define snd_seq_event_output_buffer_ARG_NAMES handle, ev
#define snd_seq_event_output_buffer_ARG_EXPAND snd_seq_t * handle, snd_seq_event_t * ev
#define snd_seq_event_output_buffer_PACKED PACKED_int_snd_seq_t___GENPT___snd_seq_event_t___GENPT__
#define snd_seq_event_output_buffer_INDEXED INDEXED_int_snd_seq_t___GENPT___snd_seq_event_t___GENPT__
#define snd_seq_event_output_buffer_FORMAT FORMAT_int_snd_seq_t___GENPT___snd_seq_event_t___GENPT__
#define snd_seq_event_output_direct_INDEX 1463
#define snd_seq_event_output_direct_RETURN int
#define snd_seq_event_output_direct_ARG_NAMES handle, ev
#define snd_seq_event_output_direct_ARG_EXPAND snd_seq_t * handle, snd_seq_event_t * ev
#define snd_seq_event_output_direct_PACKED PACKED_int_snd_seq_t___GENPT___snd_seq_event_t___GENPT__
#define snd_seq_event_output_direct_INDEXED INDEXED_int_snd_seq_t___GENPT___snd_seq_event_t___GENPT__
#define snd_seq_event_output_direct_FORMAT FORMAT_int_snd_seq_t___GENPT___snd_seq_event_t___GENPT__
#define snd_seq_event_output_pending_INDEX 1464
#define snd_seq_event_output_pending_RETURN int
#define snd_seq_event_output_pending_ARG_NAMES seq
#define snd_seq_event_output_pending_ARG_EXPAND snd_seq_t * seq
#define snd_seq_event_output_pending_PACKED PACKED_int_snd_seq_t___GENPT__
#define snd_seq_event_output_pending_INDEXED INDEXED_int_snd_seq_t___GENPT__
#define snd_seq_event_output_pending_FORMAT FORMAT_int_snd_seq_t___GENPT__
#define snd_seq_extract_output_INDEX 1465
#define snd_seq_extract_output_RETURN int
#define snd_seq_extract_output_ARG_NAMES handle, ev
#define snd_seq_extract_output_ARG_EXPAND snd_seq_t * handle, snd_seq_event_t ** ev
#define snd_seq_extract_output_PACKED PACKED_int_snd_seq_t___GENPT___snd_seq_event_t___GENPT____GENPT__
#define snd_seq_extract_output_INDEXED INDEXED_int_snd_seq_t___GENPT___snd_seq_event_t___GENPT____GENPT__
#define snd_seq_extract_output_FORMAT FORMAT_int_snd_seq_t___GENPT___snd_seq_event_t___GENPT____GENPT__
#define snd_seq_free_event_INDEX 1466
#define snd_seq_free_event_RETURN int
#define snd_seq_free_event_ARG_NAMES ev
#define snd_seq_free_event_ARG_EXPAND snd_seq_event_t * ev
#define snd_seq_free_event_PACKED PACKED_int_snd_seq_event_t___GENPT__
#define snd_seq_free_event_INDEXED INDEXED_int_snd_seq_event_t___GENPT__
#define snd_seq_free_event_FORMAT FORMAT_int_snd_seq_event_t___GENPT__
#define snd_seq_free_queue_INDEX 1467
#define snd_seq_free_queue_RETURN int
#define snd_seq_free_queue_ARG_NAMES handle, q
#define snd_seq_free_queue_ARG_EXPAND snd_seq_t * handle, int q
#define snd_seq_free_queue_PACKED PACKED_int_snd_seq_t___GENPT___int
#define snd_seq_free_queue_INDEXED INDEXED_int_snd_seq_t___GENPT___int
#define snd_seq_free_queue_FORMAT FORMAT_int_snd_seq_t___GENPT___int
#define snd_seq_get_any_client_info_INDEX 1468
#define snd_seq_get_any_client_info_RETURN int
#define snd_seq_get_any_client_info_ARG_NAMES handle, client, info
#define snd_seq_get_any_client_info_ARG_EXPAND snd_seq_t * handle, int client, snd_seq_client_info_t * info
#define snd_seq_get_any_client_info_PACKED PACKED_int_snd_seq_t___GENPT___int_snd_seq_client_info_t___GENPT__
#define snd_seq_get_any_client_info_INDEXED INDEXED_int_snd_seq_t___GENPT___int_snd_seq_client_info_t___GENPT__
#define snd_seq_get_any_client_info_FORMAT FORMAT_int_snd_seq_t___GENPT___int_snd_seq_client_info_t___GENPT__
#define snd_seq_get_any_port_info_INDEX 1469
#define snd_seq_get_any_port_info_RETURN int
#define snd_seq_get_any_port_info_ARG_NAMES handle, client, port, info
#define snd_seq_get_any_port_info_ARG_EXPAND snd_seq_t * handle, int client, int port, snd_seq_port_info_t * info
#define snd_seq_get_any_port_info_PACKED PACKED_int_snd_seq_t___GENPT___int_int_snd_seq_port_info_t___GENPT__
#define snd_seq_get_any_port_info_INDEXED INDEXED_int_snd_seq_t___GENPT___int_int_snd_seq_port_info_t___GENPT__
#define snd_seq_get_any_port_info_FORMAT FORMAT_int_snd_seq_t___GENPT___int_int_snd_seq_port_info_t___GENPT__
#define snd_seq_get_bit_INDEX 1470
#define snd_seq_get_bit_RETURN int
#define snd_seq_get_bit_ARG_NAMES nr, array
#define snd_seq_get_bit_ARG_EXPAND int nr, void * array
#define snd_seq_get_bit_PACKED PACKED_int_int_void___GENPT__
#define snd_seq_get_bit_INDEXED INDEXED_int_int_void___GENPT__
#define snd_seq_get_bit_FORMAT FORMAT_int_int_void___GENPT__
#define snd_seq_get_client_info_INDEX 1471
#define snd_seq_get_client_info_RETURN int
#define snd_seq_get_client_info_ARG_NAMES handle, info
#define snd_seq_get_client_info_ARG_EXPAND snd_seq_t * handle, snd_seq_client_info_t * info
#define snd_seq_get_client_info_PACKED PACKED_int_snd_seq_t___GENPT___snd_seq_client_info_t___GENPT__
#define snd_seq_get_client_info_INDEXED INDEXED_int_snd_seq_t___GENPT___snd_seq_client_info_t___GENPT__
#define snd_seq_get_client_info_FORMAT FORMAT_int_snd_seq_t___GENPT___snd_seq_client_info_t___GENPT__
#define snd_seq_get_client_pool_INDEX 1472
#define snd_seq_get_client_pool_RETURN int
#define snd_seq_get_client_pool_ARG_NAMES handle, info
#define snd_seq_get_client_pool_ARG_EXPAND snd_seq_t * handle, snd_seq_client_pool_t * info
#define snd_seq_get_client_pool_PACKED PACKED_int_snd_seq_t___GENPT___snd_seq_client_pool_t___GENPT__
#define snd_seq_get_client_pool_INDEXED INDEXED_int_snd_seq_t___GENPT___snd_seq_client_pool_t___GENPT__
#define snd_seq_get_client_pool_FORMAT FORMAT_int_snd_seq_t___GENPT___snd_seq_client_pool_t___GENPT__
#define snd_seq_get_input_buffer_size_INDEX 1473
#define snd_seq_get_input_buffer_size_RETURN size_t
#define snd_seq_get_input_buffer_size_ARG_NAMES handle
#define snd_seq_get_input_buffer_size_ARG_EXPAND snd_seq_t * handle
#define snd_seq_get_input_buffer_size_PACKED PACKED_size_t_snd_seq_t___GENPT__
#define snd_seq_get_input_buffer_size_INDEXED INDEXED_size_t_snd_seq_t___GENPT__
#define snd_seq_get_input_buffer_size_FORMAT FORMAT_size_t_snd_seq_t___GENPT__
#define snd_seq_get_output_buffer_size_INDEX 1474
#define snd_seq_get_output_buffer_size_RETURN size_t
#define snd_seq_get_output_buffer_size_ARG_NAMES handle
#define snd_seq_get_output_buffer_size_ARG_EXPAND snd_seq_t * handle
#define snd_seq_get_output_buffer_size_PACKED PACKED_size_t_snd_seq_t___GENPT__
#define snd_seq_get_output_buffer_size_INDEXED INDEXED_size_t_snd_seq_t___GENPT__
#define snd_seq_get_output_buffer_size_FORMAT FORMAT_size_t_snd_seq_t___GENPT__
#define snd_seq_get_port_info_INDEX 1475
#define snd_seq_get_port_info_RETURN int
#define snd_seq_get_port_info_ARG_NAMES handle, port, info
#define snd_seq_get_port_info_ARG_EXPAND snd_seq_t * handle, int port, snd_seq_port_info_t * info
#define snd_seq_get_port_info_PACKED PACKED_int_snd_seq_t___GENPT___int_snd_seq_port_info_t___GENPT__
#define snd_seq_get_port_info_INDEXED INDEXED_int_snd_seq_t___GENPT___int_snd_seq_port_info_t___GENPT__
#define snd_seq_get_port_info_FORMAT FORMAT_int_snd_seq_t___GENPT___int_snd_seq_port_info_t___GENPT__
#define snd_seq_get_port_subscription_INDEX 1476
#define snd_seq_get_port_subscription_RETURN int
#define snd_seq_get_port_subscription_ARG_NAMES handle, sub
#define snd_seq_get_port_subscription_ARG_EXPAND snd_seq_t * handle, snd_seq_port_subscribe_t * sub
#define snd_seq_get_port_subscription_PACKED PACKED_int_snd_seq_t___GENPT___snd_seq_port_subscribe_t___GENPT__
#define snd_seq_get_port_subscription_INDEXED INDEXED_int_snd_seq_t___GENPT___snd_seq_port_subscribe_t___GENPT__
#define snd_seq_get_port_subscription_FORMAT FORMAT_int_snd_seq_t___GENPT___snd_seq_port_subscribe_t___GENPT__
#define snd_seq_get_queue_info_INDEX 1477
#define snd_seq_get_queue_info_RETURN int
#define snd_seq_get_queue_info_ARG_NAMES seq, q, info
#define snd_seq_get_queue_info_ARG_EXPAND snd_seq_t * seq, int q, snd_seq_queue_info_t * info
#define snd_seq_get_queue_info_PACKED PACKED_int_snd_seq_t___GENPT___int_snd_seq_queue_info_t___GENPT__
#define snd_seq_get_queue_info_INDEXED INDEXED_int_snd_seq_t___GENPT___int_snd_seq_queue_info_t___GENPT__
#define snd_seq_get_queue_info_FORMAT FORMAT_int_snd_seq_t___GENPT___int_snd_seq_queue_info_t___GENPT__
#define snd_seq_get_queue_status_INDEX 1478
#define snd_seq_get_queue_status_RETURN int
#define snd_seq_get_queue_status_ARG_NAMES handle, q, status
#define snd_seq_get_queue_status_ARG_EXPAND snd_seq_t * handle, int q, snd_seq_queue_status_t * status
#define snd_seq_get_queue_status_PACKED PACKED_int_snd_seq_t___GENPT___int_snd_seq_queue_status_t___GENPT__
#define snd_seq_get_queue_status_INDEXED INDEXED_int_snd_seq_t___GENPT___int_snd_seq_queue_status_t___GENPT__
#define snd_seq_get_queue_status_FORMAT FORMAT_int_snd_seq_t___GENPT___int_snd_seq_queue_status_t___GENPT__
#define snd_seq_get_queue_tempo_INDEX 1479
#define snd_seq_get_queue_tempo_RETURN int
#define snd_seq_get_queue_tempo_ARG_NAMES handle, q, tempo
#define snd_seq_get_queue_tempo_ARG_EXPAND snd_seq_t * handle, int q, snd_seq_queue_tempo_t * tempo
#define snd_seq_get_queue_tempo_PACKED PACKED_int_snd_seq_t___GENPT___int_snd_seq_queue_tempo_t___GENPT__
#define snd_seq_get_queue_tempo_INDEXED INDEXED_int_snd_seq_t___GENPT___int_snd_seq_queue_tempo_t___GENPT__
#define snd_seq_get_queue_tempo_FORMAT FORMAT_int_snd_seq_t___GENPT___int_snd_seq_queue_tempo_t___GENPT__
#define snd_seq_get_queue_timer_INDEX 1480
#define snd_seq_get_queue_timer_RETURN int
#define snd_seq_get_queue_timer_ARG_NAMES handle, q, timer
#define snd_seq_get_queue_timer_ARG_EXPAND snd_seq_t * handle, int q, snd_seq_queue_timer_t * timer
#define snd_seq_get_queue_timer_PACKED PACKED_int_snd_seq_t___GENPT___int_snd_seq_queue_timer_t___GENPT__
#define snd_seq_get_queue_timer_INDEXED INDEXED_int_snd_seq_t___GENPT___int_snd_seq_queue_timer_t___GENPT__
#define snd_seq_get_queue_timer_FORMAT FORMAT_int_snd_seq_t___GENPT___int_snd_seq_queue_timer_t___GENPT__
#define snd_seq_get_queue_usage_INDEX 1481
#define snd_seq_get_queue_usage_RETURN int
#define snd_seq_get_queue_usage_ARG_NAMES handle, q
#define snd_seq_get_queue_usage_ARG_EXPAND snd_seq_t * handle, int q
#define snd_seq_get_queue_usage_PACKED PACKED_int_snd_seq_t___GENPT___int
#define snd_seq_get_queue_usage_INDEXED INDEXED_int_snd_seq_t___GENPT___int
#define snd_seq_get_queue_usage_FORMAT FORMAT_int_snd_seq_t___GENPT___int
#define snd_seq_name_INDEX 1482
#define snd_seq_name_RETURN const char *
#define snd_seq_name_ARG_NAMES seq
#define snd_seq_name_ARG_EXPAND snd_seq_t * seq
#define snd_seq_name_PACKED PACKED_const_char___GENPT___snd_seq_t___GENPT__
#define snd_seq_name_INDEXED INDEXED_const_char___GENPT___snd_seq_t___GENPT__
#define snd_seq_name_FORMAT FORMAT_const_char___GENPT___snd_seq_t___GENPT__
#define snd_seq_nonblock_INDEX 1483
#define snd_seq_nonblock_RETURN int
#define snd_seq_nonblock_ARG_NAMES handle, nonblock
#define snd_seq_nonblock_ARG_EXPAND snd_seq_t * handle, int nonblock
#define snd_seq_nonblock_PACKED PACKED_int_snd_seq_t___GENPT___int
#define snd_seq_nonblock_INDEXED INDEXED_int_snd_seq_t___GENPT___int
#define snd_seq_nonblock_FORMAT FORMAT_int_snd_seq_t___GENPT___int
#define snd_seq_open_INDEX 1484
#define snd_seq_open_RETURN int
#define snd_seq_open_ARG_NAMES handle, name, streams, mode
#define snd_seq_open_ARG_EXPAND snd_seq_t ** handle, const char * name, int streams, int mode
#define snd_seq_open_PACKED PACKED_int_snd_seq_t___GENPT____GENPT___const_char___GENPT___int_int
#define snd_seq_open_INDEXED INDEXED_int_snd_seq_t___GENPT____GENPT___const_char___GENPT___int_int
#define snd_seq_open_FORMAT FORMAT_int_snd_seq_t___GENPT____GENPT___const_char___GENPT___int_int
#define snd_seq_open_lconf_INDEX 1485
#define snd_seq_open_lconf_RETURN int
#define snd_seq_open_lconf_ARG_NAMES handle, name, streams, mode, lconf
#define snd_seq_open_lconf_ARG_EXPAND snd_seq_t ** handle, const char * name, int streams, int mode, snd_config_t * lconf
#define snd_seq_open_lconf_PACKED PACKED_int_snd_seq_t___GENPT____GENPT___const_char___GENPT___int_int_snd_config_t___GENPT__
#define snd_seq_open_lconf_INDEXED INDEXED_int_snd_seq_t___GENPT____GENPT___const_char___GENPT___int_int_snd_config_t___GENPT__
#define snd_seq_open_lconf_FORMAT FORMAT_int_snd_seq_t___GENPT____GENPT___const_char___GENPT___int_int_snd_config_t___GENPT__
#define snd_seq_parse_address_INDEX 1486
#define snd_seq_parse_address_RETURN int
#define snd_seq_parse_address_ARG_NAMES seq, addr, arg
#define snd_seq_parse_address_ARG_EXPAND snd_seq_t * seq, snd_seq_addr_t * addr, const char * arg
#define snd_seq_parse_address_PACKED PACKED_int_snd_seq_t___GENPT___snd_seq_addr_t___GENPT___const_char___GENPT__
#define snd_seq_parse_address_INDEXED INDEXED_int_snd_seq_t___GENPT___snd_seq_addr_t___GENPT___const_char___GENPT__
#define snd_seq_parse_address_FORMAT FORMAT_int_snd_seq_t___GENPT___snd_seq_addr_t___GENPT___const_char___GENPT__
#define snd_seq_poll_descriptors_INDEX 1487
#define snd_seq_poll_descriptors_RETURN int
#define snd_seq_poll_descriptors_ARG_NAMES handle, pfds, space, events
#define snd_seq_poll_descriptors_ARG_EXPAND snd_seq_t * handle, struct pollfd * pfds, unsigned int space, short events
#define snd_seq_poll_descriptors_PACKED PACKED_int_snd_seq_t___GENPT___struct_pollfd___GENPT___unsigned_int_short
#define snd_seq_poll_descriptors_INDEXED INDEXED_int_snd_seq_t___GENPT___struct_pollfd___GENPT___unsigned_int_short
#define snd_seq_poll_descriptors_FORMAT FORMAT_int_snd_seq_t___GENPT___struct_pollfd___GENPT___unsigned_int_short
#define snd_seq_poll_descriptors_count_INDEX 1488
#define snd_seq_poll_descriptors_count_RETURN int
#define snd_seq_poll_descriptors_count_ARG_NAMES handle, events
#define snd_seq_poll_descriptors_count_ARG_EXPAND snd_seq_t * handle, short events
#define snd_seq_poll_descriptors_count_PACKED PACKED_int_snd_seq_t___GENPT___short
#define snd_seq_poll_descriptors_count_INDEXED INDEXED_int_snd_seq_t___GENPT___short
#define snd_seq_poll_descriptors_count_FORMAT FORMAT_int_snd_seq_t___GENPT___short
#define snd_seq_poll_descriptors_revents_INDEX 1489
#define snd_seq_poll_descriptors_revents_RETURN int
#define snd_seq_poll_descriptors_revents_ARG_NAMES seq, pfds, nfds, revents
#define snd_seq_poll_descriptors_revents_ARG_EXPAND snd_seq_t * seq, struct pollfd * pfds, unsigned int nfds, unsigned short * revents
#define snd_seq_poll_descriptors_revents_PACKED PACKED_int_snd_seq_t___GENPT___struct_pollfd___GENPT___unsigned_int_unsigned_short___GENPT__
#define snd_seq_poll_descriptors_revents_INDEXED INDEXED_int_snd_seq_t___GENPT___struct_pollfd___GENPT___unsigned_int_unsigned_short___GENPT__
#define snd_seq_poll_descriptors_revents_FORMAT FORMAT_int_snd_seq_t___GENPT___struct_pollfd___GENPT___unsigned_int_unsigned_short___GENPT__
#define snd_seq_port_info_copy_INDEX 1490
#define snd_seq_port_info_copy_RETURN void
#define snd_seq_port_info_copy_ARG_NAMES dst, src
#define snd_seq_port_info_copy_ARG_EXPAND snd_seq_port_info_t * dst, const snd_seq_port_info_t * src
#define snd_seq_port_info_copy_PACKED PACKED_void_snd_seq_port_info_t___GENPT___const_snd_seq_port_info_t___GENPT__
#define snd_seq_port_info_copy_INDEXED INDEXED_void_snd_seq_port_info_t___GENPT___const_snd_seq_port_info_t___GENPT__
#define snd_seq_port_info_copy_FORMAT FORMAT_void_snd_seq_port_info_t___GENPT___const_snd_seq_port_info_t___GENPT__
#define snd_seq_port_info_free_INDEX 1491
#define snd_seq_port_info_free_RETURN void
#define snd_seq_port_info_free_ARG_NAMES ptr
#define snd_seq_port_info_free_ARG_EXPAND snd_seq_port_info_t * ptr
#define snd_seq_port_info_free_PACKED PACKED_void_snd_seq_port_info_t___GENPT__
#define snd_seq_port_info_free_INDEXED INDEXED_void_snd_seq_port_info_t___GENPT__
#define snd_seq_port_info_free_FORMAT FORMAT_void_snd_seq_port_info_t___GENPT__
#define snd_seq_port_info_get_addr_INDEX 1492
#define snd_seq_port_info_get_addr_RETURN const snd_seq_addr_t *
#define snd_seq_port_info_get_addr_ARG_NAMES info
#define snd_seq_port_info_get_addr_ARG_EXPAND const snd_seq_port_info_t * info
#define snd_seq_port_info_get_addr_PACKED PACKED_const_snd_seq_addr_t___GENPT___const_snd_seq_port_info_t___GENPT__
#define snd_seq_port_info_get_addr_INDEXED INDEXED_const_snd_seq_addr_t___GENPT___const_snd_seq_port_info_t___GENPT__
#define snd_seq_port_info_get_addr_FORMAT FORMAT_const_snd_seq_addr_t___GENPT___const_snd_seq_port_info_t___GENPT__
#define snd_seq_port_info_get_capability_INDEX 1493
#define snd_seq_port_info_get_capability_RETURN unsigned int
#define snd_seq_port_info_get_capability_ARG_NAMES info
#define snd_seq_port_info_get_capability_ARG_EXPAND const snd_seq_port_info_t * info
#define snd_seq_port_info_get_capability_PACKED PACKED_unsigned_int_const_snd_seq_port_info_t___GENPT__
#define snd_seq_port_info_get_capability_INDEXED INDEXED_unsigned_int_const_snd_seq_port_info_t___GENPT__
#define snd_seq_port_info_get_capability_FORMAT FORMAT_unsigned_int_const_snd_seq_port_info_t___GENPT__
#define snd_seq_port_info_get_client_INDEX 1494
#define snd_seq_port_info_get_client_RETURN int
#define snd_seq_port_info_get_client_ARG_NAMES info
#define snd_seq_port_info_get_client_ARG_EXPAND const snd_seq_port_info_t * info
#define snd_seq_port_info_get_client_PACKED PACKED_int_const_snd_seq_port_info_t___GENPT__
#define snd_seq_port_info_get_client_INDEXED INDEXED_int_const_snd_seq_port_info_t___GENPT__
#define snd_seq_port_info_get_client_FORMAT FORMAT_int_const_snd_seq_port_info_t___GENPT__
#define snd_seq_port_info_get_midi_channels_INDEX 1495
#define snd_seq_port_info_get_midi_channels_RETURN int
#define snd_seq_port_info_get_midi_channels_ARG_NAMES info
#define snd_seq_port_info_get_midi_channels_ARG_EXPAND const snd_seq_port_info_t * info
#define snd_seq_port_info_get_midi_channels_PACKED PACKED_int_const_snd_seq_port_info_t___GENPT__
#define snd_seq_port_info_get_midi_channels_INDEXED INDEXED_int_const_snd_seq_port_info_t___GENPT__
#define snd_seq_port_info_get_midi_channels_FORMAT FORMAT_int_const_snd_seq_port_info_t___GENPT__
#define snd_seq_port_info_get_midi_voices_INDEX 1496
#define snd_seq_port_info_get_midi_voices_RETURN int
#define snd_seq_port_info_get_midi_voices_ARG_NAMES info
#define snd_seq_port_info_get_midi_voices_ARG_EXPAND const snd_seq_port_info_t * info
#define snd_seq_port_info_get_midi_voices_PACKED PACKED_int_const_snd_seq_port_info_t___GENPT__
#define snd_seq_port_info_get_midi_voices_INDEXED INDEXED_int_const_snd_seq_port_info_t___GENPT__
#define snd_seq_port_info_get_midi_voices_FORMAT FORMAT_int_const_snd_seq_port_info_t___GENPT__
#define snd_seq_port_info_get_name_INDEX 1497
#define snd_seq_port_info_get_name_RETURN const char *
#define snd_seq_port_info_get_name_ARG_NAMES info
#define snd_seq_port_info_get_name_ARG_EXPAND const snd_seq_port_info_t * info
#define snd_seq_port_info_get_name_PACKED PACKED_const_char___GENPT___const_snd_seq_port_info_t___GENPT__
#define snd_seq_port_info_get_name_INDEXED INDEXED_const_char___GENPT___const_snd_seq_port_info_t___GENPT__
#define snd_seq_port_info_get_name_FORMAT FORMAT_const_char___GENPT___const_snd_seq_port_info_t___GENPT__
#define snd_seq_port_info_get_port_INDEX 1498
#define snd_seq_port_info_get_port_RETURN int
#define snd_seq_port_info_get_port_ARG_NAMES info
#define snd_seq_port_info_get_port_ARG_EXPAND const snd_seq_port_info_t * info
#define snd_seq_port_info_get_port_PACKED PACKED_int_const_snd_seq_port_info_t___GENPT__
#define snd_seq_port_info_get_port_INDEXED INDEXED_int_const_snd_seq_port_info_t___GENPT__
#define snd_seq_port_info_get_port_FORMAT FORMAT_int_const_snd_seq_port_info_t___GENPT__
#define snd_seq_port_info_get_port_specified_INDEX 1499
#define snd_seq_port_info_get_port_specified_RETURN int
#define snd_seq_port_info_get_port_specified_ARG_NAMES info
#define snd_seq_port_info_get_port_specified_ARG_EXPAND const snd_seq_port_info_t * info
#define snd_seq_port_info_get_port_specified_PACKED PACKED_int_const_snd_seq_port_info_t___GENPT__
#define snd_seq_port_info_get_port_specified_INDEXED INDEXED_int_const_snd_seq_port_info_t___GENPT__
#define snd_seq_port_info_get_port_specified_FORMAT FORMAT_int_const_snd_seq_port_info_t___GENPT__
#define snd_seq_port_info_get_read_use_INDEX 1500
#define snd_seq_port_info_get_read_use_RETURN int
#define snd_seq_port_info_get_read_use_ARG_NAMES info
#define snd_seq_port_info_get_read_use_ARG_EXPAND const snd_seq_port_info_t * info
#define snd_seq_port_info_get_read_use_PACKED PACKED_int_const_snd_seq_port_info_t___GENPT__
#define snd_seq_port_info_get_read_use_INDEXED INDEXED_int_const_snd_seq_port_info_t___GENPT__
#define snd_seq_port_info_get_read_use_FORMAT FORMAT_int_const_snd_seq_port_info_t___GENPT__
#define snd_seq_port_info_get_synth_voices_INDEX 1501
#define snd_seq_port_info_get_synth_voices_RETURN int
#define snd_seq_port_info_get_synth_voices_ARG_NAMES info
#define snd_seq_port_info_get_synth_voices_ARG_EXPAND const snd_seq_port_info_t * info
#define snd_seq_port_info_get_synth_voices_PACKED PACKED_int_const_snd_seq_port_info_t___GENPT__
#define snd_seq_port_info_get_synth_voices_INDEXED INDEXED_int_const_snd_seq_port_info_t___GENPT__
#define snd_seq_port_info_get_synth_voices_FORMAT FORMAT_int_const_snd_seq_port_info_t___GENPT__
#define snd_seq_port_info_get_timestamp_queue_INDEX 1502
#define snd_seq_port_info_get_timestamp_queue_RETURN int
#define snd_seq_port_info_get_timestamp_queue_ARG_NAMES info
#define snd_seq_port_info_get_timestamp_queue_ARG_EXPAND const snd_seq_port_info_t * info
#define snd_seq_port_info_get_timestamp_queue_PACKED PACKED_int_const_snd_seq_port_info_t___GENPT__
#define snd_seq_port_info_get_timestamp_queue_INDEXED INDEXED_int_const_snd_seq_port_info_t___GENPT__
#define snd_seq_port_info_get_timestamp_queue_FORMAT FORMAT_int_const_snd_seq_port_info_t___GENPT__
#define snd_seq_port_info_get_timestamp_real_INDEX 1503
#define snd_seq_port_info_get_timestamp_real_RETURN int
#define snd_seq_port_info_get_timestamp_real_ARG_NAMES info
#define snd_seq_port_info_get_timestamp_real_ARG_EXPAND const snd_seq_port_info_t * info
#define snd_seq_port_info_get_timestamp_real_PACKED PACKED_int_const_snd_seq_port_info_t___GENPT__
#define snd_seq_port_info_get_timestamp_real_INDEXED INDEXED_int_const_snd_seq_port_info_t___GENPT__
#define snd_seq_port_info_get_timestamp_real_FORMAT FORMAT_int_const_snd_seq_port_info_t___GENPT__
#define snd_seq_port_info_get_timestamping_INDEX 1504
#define snd_seq_port_info_get_timestamping_RETURN int
#define snd_seq_port_info_get_timestamping_ARG_NAMES info
#define snd_seq_port_info_get_timestamping_ARG_EXPAND const snd_seq_port_info_t * info
#define snd_seq_port_info_get_timestamping_PACKED PACKED_int_const_snd_seq_port_info_t___GENPT__
#define snd_seq_port_info_get_timestamping_INDEXED INDEXED_int_const_snd_seq_port_info_t___GENPT__
#define snd_seq_port_info_get_timestamping_FORMAT FORMAT_int_const_snd_seq_port_info_t___GENPT__
#define snd_seq_port_info_get_type_INDEX 1505
#define snd_seq_port_info_get_type_RETURN unsigned int
#define snd_seq_port_info_get_type_ARG_NAMES info
#define snd_seq_port_info_get_type_ARG_EXPAND const snd_seq_port_info_t * info
#define snd_seq_port_info_get_type_PACKED PACKED_unsigned_int_const_snd_seq_port_info_t___GENPT__
#define snd_seq_port_info_get_type_INDEXED INDEXED_unsigned_int_const_snd_seq_port_info_t___GENPT__
#define snd_seq_port_info_get_type_FORMAT FORMAT_unsigned_int_const_snd_seq_port_info_t___GENPT__
#define snd_seq_port_info_get_write_use_INDEX 1506
#define snd_seq_port_info_get_write_use_RETURN int
#define snd_seq_port_info_get_write_use_ARG_NAMES info
#define snd_seq_port_info_get_write_use_ARG_EXPAND const snd_seq_port_info_t * info
#define snd_seq_port_info_get_write_use_PACKED PACKED_int_const_snd_seq_port_info_t___GENPT__
#define snd_seq_port_info_get_write_use_INDEXED INDEXED_int_const_snd_seq_port_info_t___GENPT__
#define snd_seq_port_info_get_write_use_FORMAT FORMAT_int_const_snd_seq_port_info_t___GENPT__
#define snd_seq_port_info_malloc_INDEX 1507
#define snd_seq_port_info_malloc_RETURN int
#define snd_seq_port_info_malloc_ARG_NAMES ptr
#define snd_seq_port_info_malloc_ARG_EXPAND snd_seq_port_info_t ** ptr
#define snd_seq_port_info_malloc_PACKED PACKED_int_snd_seq_port_info_t___GENPT____GENPT__
#define snd_seq_port_info_malloc_INDEXED INDEXED_int_snd_seq_port_info_t___GENPT____GENPT__
#define snd_seq_port_info_malloc_FORMAT FORMAT_int_snd_seq_port_info_t___GENPT____GENPT__
#define snd_seq_port_info_set_addr_INDEX 1508
#define snd_seq_port_info_set_addr_RETURN void
#define snd_seq_port_info_set_addr_ARG_NAMES info, addr
#define snd_seq_port_info_set_addr_ARG_EXPAND snd_seq_port_info_t * info, const snd_seq_addr_t * addr
#define snd_seq_port_info_set_addr_PACKED PACKED_void_snd_seq_port_info_t___GENPT___const_snd_seq_addr_t___GENPT__
#define snd_seq_port_info_set_addr_INDEXED INDEXED_void_snd_seq_port_info_t___GENPT___const_snd_seq_addr_t___GENPT__
#define snd_seq_port_info_set_addr_FORMAT FORMAT_void_snd_seq_port_info_t___GENPT___const_snd_seq_addr_t___GENPT__
#define snd_seq_port_info_set_capability_INDEX 1509
#define snd_seq_port_info_set_capability_RETURN void
#define snd_seq_port_info_set_capability_ARG_NAMES info, capability
#define snd_seq_port_info_set_capability_ARG_EXPAND snd_seq_port_info_t * info, unsigned int capability
#define snd_seq_port_info_set_capability_PACKED PACKED_void_snd_seq_port_info_t___GENPT___unsigned_int
#define snd_seq_port_info_set_capability_INDEXED INDEXED_void_snd_seq_port_info_t___GENPT___unsigned_int
#define snd_seq_port_info_set_capability_FORMAT FORMAT_void_snd_seq_port_info_t___GENPT___unsigned_int
#define snd_seq_port_info_set_client_INDEX 1510
#define snd_seq_port_info_set_client_RETURN void
#define snd_seq_port_info_set_client_ARG_NAMES info, client
#define snd_seq_port_info_set_client_ARG_EXPAND snd_seq_port_info_t * info, int client
#define snd_seq_port_info_set_client_PACKED PACKED_void_snd_seq_port_info_t___GENPT___int
#define snd_seq_port_info_set_client_INDEXED INDEXED_void_snd_seq_port_info_t___GENPT___int
#define snd_seq_port_info_set_client_FORMAT FORMAT_void_snd_seq_port_info_t___GENPT___int
#define snd_seq_port_info_set_midi_channels_INDEX 1511
#define snd_seq_port_info_set_midi_channels_RETURN void
#define snd_seq_port_info_set_midi_channels_ARG_NAMES info, channels
#define snd_seq_port_info_set_midi_channels_ARG_EXPAND snd_seq_port_info_t * info, int channels
#define snd_seq_port_info_set_midi_channels_PACKED PACKED_void_snd_seq_port_info_t___GENPT___int
#define snd_seq_port_info_set_midi_channels_INDEXED INDEXED_void_snd_seq_port_info_t___GENPT___int
#define snd_seq_port_info_set_midi_channels_FORMAT FORMAT_void_snd_seq_port_info_t___GENPT___int
#define snd_seq_port_info_set_midi_voices_INDEX 1512
#define snd_seq_port_info_set_midi_voices_RETURN void
#define snd_seq_port_info_set_midi_voices_ARG_NAMES info, voices
#define snd_seq_port_info_set_midi_voices_ARG_EXPAND snd_seq_port_info_t * info, int voices
#define snd_seq_port_info_set_midi_voices_PACKED PACKED_void_snd_seq_port_info_t___GENPT___int
#define snd_seq_port_info_set_midi_voices_INDEXED INDEXED_void_snd_seq_port_info_t___GENPT___int
#define snd_seq_port_info_set_midi_voices_FORMAT FORMAT_void_snd_seq_port_info_t___GENPT___int
#define snd_seq_port_info_set_name_INDEX 1513
#define snd_seq_port_info_set_name_RETURN void
#define snd_seq_port_info_set_name_ARG_NAMES info, name
#define snd_seq_port_info_set_name_ARG_EXPAND snd_seq_port_info_t * info, const char * name
#define snd_seq_port_info_set_name_PACKED PACKED_void_snd_seq_port_info_t___GENPT___const_char___GENPT__
#define snd_seq_port_info_set_name_INDEXED INDEXED_void_snd_seq_port_info_t___GENPT___const_char___GENPT__
#define snd_seq_port_info_set_name_FORMAT FORMAT_void_snd_seq_port_info_t___GENPT___const_char___GENPT__
#define snd_seq_port_info_set_port_INDEX 1514
#define snd_seq_port_info_set_port_RETURN void
#define snd_seq_port_info_set_port_ARG_NAMES info, port
#define snd_seq_port_info_set_port_ARG_EXPAND snd_seq_port_info_t * info, int port
#define snd_seq_port_info_set_port_PACKED PACKED_void_snd_seq_port_info_t___GENPT___int
#define snd_seq_port_info_set_port_INDEXED INDEXED_void_snd_seq_port_info_t___GENPT___int
#define snd_seq_port_info_set_port_FORMAT FORMAT_void_snd_seq_port_info_t___GENPT___int
#define snd_seq_port_info_set_port_specified_INDEX 1515
#define snd_seq_port_info_set_port_specified_RETURN void
#define snd_seq_port_info_set_port_specified_ARG_NAMES info, val
#define snd_seq_port_info_set_port_specified_ARG_EXPAND snd_seq_port_info_t * info, int val
#define snd_seq_port_info_set_port_specified_PACKED PACKED_void_snd_seq_port_info_t___GENPT___int
#define snd_seq_port_info_set_port_specified_INDEXED INDEXED_void_snd_seq_port_info_t___GENPT___int
#define snd_seq_port_info_set_port_specified_FORMAT FORMAT_void_snd_seq_port_info_t___GENPT___int
#define snd_seq_port_info_set_synth_voices_INDEX 1516
#define snd_seq_port_info_set_synth_voices_RETURN void
#define snd_seq_port_info_set_synth_voices_ARG_NAMES info, voices
#define snd_seq_port_info_set_synth_voices_ARG_EXPAND snd_seq_port_info_t * info, int voices
#define snd_seq_port_info_set_synth_voices_PACKED PACKED_void_snd_seq_port_info_t___GENPT___int
#define snd_seq_port_info_set_synth_voices_INDEXED INDEXED_void_snd_seq_port_info_t___GENPT___int
#define snd_seq_port_info_set_synth_voices_FORMAT FORMAT_void_snd_seq_port_info_t___GENPT___int
#define snd_seq_port_info_set_timestamp_queue_INDEX 1517
#define snd_seq_port_info_set_timestamp_queue_RETURN void
#define snd_seq_port_info_set_timestamp_queue_ARG_NAMES info, queue
#define snd_seq_port_info_set_timestamp_queue_ARG_EXPAND snd_seq_port_info_t * info, int queue
#define snd_seq_port_info_set_timestamp_queue_PACKED PACKED_void_snd_seq_port_info_t___GENPT___int
#define snd_seq_port_info_set_timestamp_queue_INDEXED INDEXED_void_snd_seq_port_info_t___GENPT___int
#define snd_seq_port_info_set_timestamp_queue_FORMAT FORMAT_void_snd_seq_port_info_t___GENPT___int
#define snd_seq_port_info_set_timestamp_real_INDEX 1518
#define snd_seq_port_info_set_timestamp_real_RETURN void
#define snd_seq_port_info_set_timestamp_real_ARG_NAMES info, realtime
#define snd_seq_port_info_set_timestamp_real_ARG_EXPAND snd_seq_port_info_t * info, int realtime
#define snd_seq_port_info_set_timestamp_real_PACKED PACKED_void_snd_seq_port_info_t___GENPT___int
#define snd_seq_port_info_set_timestamp_real_INDEXED INDEXED_void_snd_seq_port_info_t___GENPT___int
#define snd_seq_port_info_set_timestamp_real_FORMAT FORMAT_void_snd_seq_port_info_t___GENPT___int
#define snd_seq_port_info_set_timestamping_INDEX 1519
#define snd_seq_port_info_set_timestamping_RETURN void
#define snd_seq_port_info_set_timestamping_ARG_NAMES info, enable
#define snd_seq_port_info_set_timestamping_ARG_EXPAND snd_seq_port_info_t * info, int enable
#define snd_seq_port_info_set_timestamping_PACKED PACKED_void_snd_seq_port_info_t___GENPT___int
#define snd_seq_port_info_set_timestamping_INDEXED INDEXED_void_snd_seq_port_info_t___GENPT___int
#define snd_seq_port_info_set_timestamping_FORMAT FORMAT_void_snd_seq_port_info_t___GENPT___int
#define snd_seq_port_info_set_type_INDEX 1520
#define snd_seq_port_info_set_type_RETURN void
#define snd_seq_port_info_set_type_ARG_NAMES info, type
#define snd_seq_port_info_set_type_ARG_EXPAND snd_seq_port_info_t * info, unsigned int type
#define snd_seq_port_info_set_type_PACKED PACKED_void_snd_seq_port_info_t___GENPT___unsigned_int
#define snd_seq_port_info_set_type_INDEXED INDEXED_void_snd_seq_port_info_t___GENPT___unsigned_int
#define snd_seq_port_info_set_type_FORMAT FORMAT_void_snd_seq_port_info_t___GENPT___unsigned_int
#define snd_seq_port_info_sizeof_INDEX 1521
#define snd_seq_port_info_sizeof_RETURN size_t
#define snd_seq_port_info_sizeof_ARG_NAMES 
#define snd_seq_port_info_sizeof_ARG_EXPAND 
#define snd_seq_port_info_sizeof_PACKED PACKED_size_t
#define snd_seq_port_info_sizeof_INDEXED INDEXED_size_t
#define snd_seq_port_info_sizeof_FORMAT FORMAT_size_t
#define snd_seq_port_subscribe_copy_INDEX 1522
#define snd_seq_port_subscribe_copy_RETURN void
#define snd_seq_port_subscribe_copy_ARG_NAMES dst, src
#define snd_seq_port_subscribe_copy_ARG_EXPAND snd_seq_port_subscribe_t * dst, const snd_seq_port_subscribe_t * src
#define snd_seq_port_subscribe_copy_PACKED PACKED_void_snd_seq_port_subscribe_t___GENPT___const_snd_seq_port_subscribe_t___GENPT__
#define snd_seq_port_subscribe_copy_INDEXED INDEXED_void_snd_seq_port_subscribe_t___GENPT___const_snd_seq_port_subscribe_t___GENPT__
#define snd_seq_port_subscribe_copy_FORMAT FORMAT_void_snd_seq_port_subscribe_t___GENPT___const_snd_seq_port_subscribe_t___GENPT__
#define snd_seq_port_subscribe_free_INDEX 1523
#define snd_seq_port_subscribe_free_RETURN void
#define snd_seq_port_subscribe_free_ARG_NAMES ptr
#define snd_seq_port_subscribe_free_ARG_EXPAND snd_seq_port_subscribe_t * ptr
#define snd_seq_port_subscribe_free_PACKED PACKED_void_snd_seq_port_subscribe_t___GENPT__
#define snd_seq_port_subscribe_free_INDEXED INDEXED_void_snd_seq_port_subscribe_t___GENPT__
#define snd_seq_port_subscribe_free_FORMAT FORMAT_void_snd_seq_port_subscribe_t___GENPT__
#define snd_seq_port_subscribe_get_dest_INDEX 1524
#define snd_seq_port_subscribe_get_dest_RETURN const snd_seq_addr_t *
#define snd_seq_port_subscribe_get_dest_ARG_NAMES info
#define snd_seq_port_subscribe_get_dest_ARG_EXPAND const snd_seq_port_subscribe_t * info
#define snd_seq_port_subscribe_get_dest_PACKED PACKED_const_snd_seq_addr_t___GENPT___const_snd_seq_port_subscribe_t___GENPT__
#define snd_seq_port_subscribe_get_dest_INDEXED INDEXED_const_snd_seq_addr_t___GENPT___const_snd_seq_port_subscribe_t___GENPT__
#define snd_seq_port_subscribe_get_dest_FORMAT FORMAT_const_snd_seq_addr_t___GENPT___const_snd_seq_port_subscribe_t___GENPT__
#define snd_seq_port_subscribe_get_exclusive_INDEX 1525
#define snd_seq_port_subscribe_get_exclusive_RETURN int
#define snd_seq_port_subscribe_get_exclusive_ARG_NAMES info
#define snd_seq_port_subscribe_get_exclusive_ARG_EXPAND const snd_seq_port_subscribe_t * info
#define snd_seq_port_subscribe_get_exclusive_PACKED PACKED_int_const_snd_seq_port_subscribe_t___GENPT__
#define snd_seq_port_subscribe_get_exclusive_INDEXED INDEXED_int_const_snd_seq_port_subscribe_t___GENPT__
#define snd_seq_port_subscribe_get_exclusive_FORMAT FORMAT_int_const_snd_seq_port_subscribe_t___GENPT__
#define snd_seq_port_subscribe_get_queue_INDEX 1526
#define snd_seq_port_subscribe_get_queue_RETURN int
#define snd_seq_port_subscribe_get_queue_ARG_NAMES info
#define snd_seq_port_subscribe_get_queue_ARG_EXPAND const snd_seq_port_subscribe_t * info
#define snd_seq_port_subscribe_get_queue_PACKED PACKED_int_const_snd_seq_port_subscribe_t___GENPT__
#define snd_seq_port_subscribe_get_queue_INDEXED INDEXED_int_const_snd_seq_port_subscribe_t___GENPT__
#define snd_seq_port_subscribe_get_queue_FORMAT FORMAT_int_const_snd_seq_port_subscribe_t___GENPT__
#define snd_seq_port_subscribe_get_sender_INDEX 1527
#define snd_seq_port_subscribe_get_sender_RETURN const snd_seq_addr_t *
#define snd_seq_port_subscribe_get_sender_ARG_NAMES info
#define snd_seq_port_subscribe_get_sender_ARG_EXPAND const snd_seq_port_subscribe_t * info
#define snd_seq_port_subscribe_get_sender_PACKED PACKED_const_snd_seq_addr_t___GENPT___const_snd_seq_port_subscribe_t___GENPT__
#define snd_seq_port_subscribe_get_sender_INDEXED INDEXED_const_snd_seq_addr_t___GENPT___const_snd_seq_port_subscribe_t___GENPT__
#define snd_seq_port_subscribe_get_sender_FORMAT FORMAT_const_snd_seq_addr_t___GENPT___const_snd_seq_port_subscribe_t___GENPT__
#define snd_seq_port_subscribe_get_time_real_INDEX 1528
#define snd_seq_port_subscribe_get_time_real_RETURN int
#define snd_seq_port_subscribe_get_time_real_ARG_NAMES info
#define snd_seq_port_subscribe_get_time_real_ARG_EXPAND const snd_seq_port_subscribe_t * info
#define snd_seq_port_subscribe_get_time_real_PACKED PACKED_int_const_snd_seq_port_subscribe_t___GENPT__
#define snd_seq_port_subscribe_get_time_real_INDEXED INDEXED_int_const_snd_seq_port_subscribe_t___GENPT__
#define snd_seq_port_subscribe_get_time_real_FORMAT FORMAT_int_const_snd_seq_port_subscribe_t___GENPT__
#define snd_seq_port_subscribe_get_time_update_INDEX 1529
#define snd_seq_port_subscribe_get_time_update_RETURN int
#define snd_seq_port_subscribe_get_time_update_ARG_NAMES info
#define snd_seq_port_subscribe_get_time_update_ARG_EXPAND const snd_seq_port_subscribe_t * info
#define snd_seq_port_subscribe_get_time_update_PACKED PACKED_int_const_snd_seq_port_subscribe_t___GENPT__
#define snd_seq_port_subscribe_get_time_update_INDEXED INDEXED_int_const_snd_seq_port_subscribe_t___GENPT__
#define snd_seq_port_subscribe_get_time_update_FORMAT FORMAT_int_const_snd_seq_port_subscribe_t___GENPT__
#define snd_seq_port_subscribe_malloc_INDEX 1530
#define snd_seq_port_subscribe_malloc_RETURN int
#define snd_seq_port_subscribe_malloc_ARG_NAMES ptr
#define snd_seq_port_subscribe_malloc_ARG_EXPAND snd_seq_port_subscribe_t ** ptr
#define snd_seq_port_subscribe_malloc_PACKED PACKED_int_snd_seq_port_subscribe_t___GENPT____GENPT__
#define snd_seq_port_subscribe_malloc_INDEXED INDEXED_int_snd_seq_port_subscribe_t___GENPT____GENPT__
#define snd_seq_port_subscribe_malloc_FORMAT FORMAT_int_snd_seq_port_subscribe_t___GENPT____GENPT__
#define snd_seq_port_subscribe_set_dest_INDEX 1531
#define snd_seq_port_subscribe_set_dest_RETURN void
#define snd_seq_port_subscribe_set_dest_ARG_NAMES info, addr
#define snd_seq_port_subscribe_set_dest_ARG_EXPAND snd_seq_port_subscribe_t * info, const snd_seq_addr_t * addr
#define snd_seq_port_subscribe_set_dest_PACKED PACKED_void_snd_seq_port_subscribe_t___GENPT___const_snd_seq_addr_t___GENPT__
#define snd_seq_port_subscribe_set_dest_INDEXED INDEXED_void_snd_seq_port_subscribe_t___GENPT___const_snd_seq_addr_t___GENPT__
#define snd_seq_port_subscribe_set_dest_FORMAT FORMAT_void_snd_seq_port_subscribe_t___GENPT___const_snd_seq_addr_t___GENPT__
#define snd_seq_port_subscribe_set_exclusive_INDEX 1532
#define snd_seq_port_subscribe_set_exclusive_RETURN void
#define snd_seq_port_subscribe_set_exclusive_ARG_NAMES info, val
#define snd_seq_port_subscribe_set_exclusive_ARG_EXPAND snd_seq_port_subscribe_t * info, int val
#define snd_seq_port_subscribe_set_exclusive_PACKED PACKED_void_snd_seq_port_subscribe_t___GENPT___int
#define snd_seq_port_subscribe_set_exclusive_INDEXED INDEXED_void_snd_seq_port_subscribe_t___GENPT___int
#define snd_seq_port_subscribe_set_exclusive_FORMAT FORMAT_void_snd_seq_port_subscribe_t___GENPT___int
#define snd_seq_port_subscribe_set_queue_INDEX 1533
#define snd_seq_port_subscribe_set_queue_RETURN void
#define snd_seq_port_subscribe_set_queue_ARG_NAMES info, q
#define snd_seq_port_subscribe_set_queue_ARG_EXPAND snd_seq_port_subscribe_t * info, int q
#define snd_seq_port_subscribe_set_queue_PACKED PACKED_void_snd_seq_port_subscribe_t___GENPT___int
#define snd_seq_port_subscribe_set_queue_INDEXED INDEXED_void_snd_seq_port_subscribe_t___GENPT___int
#define snd_seq_port_subscribe_set_queue_FORMAT FORMAT_void_snd_seq_port_subscribe_t___GENPT___int
#define snd_seq_port_subscribe_set_sender_INDEX 1534
#define snd_seq_port_subscribe_set_sender_RETURN void
#define snd_seq_port_subscribe_set_sender_ARG_NAMES info, addr
#define snd_seq_port_subscribe_set_sender_ARG_EXPAND snd_seq_port_subscribe_t * info, const snd_seq_addr_t * addr
#define snd_seq_port_subscribe_set_sender_PACKED PACKED_void_snd_seq_port_subscribe_t___GENPT___const_snd_seq_addr_t___GENPT__
#define snd_seq_port_subscribe_set_sender_INDEXED INDEXED_void_snd_seq_port_subscribe_t___GENPT___const_snd_seq_addr_t___GENPT__
#define snd_seq_port_subscribe_set_sender_FORMAT FORMAT_void_snd_seq_port_subscribe_t___GENPT___const_snd_seq_addr_t___GENPT__
#define snd_seq_port_subscribe_set_time_real_INDEX 1535
#define snd_seq_port_subscribe_set_time_real_RETURN void
#define snd_seq_port_subscribe_set_time_real_ARG_NAMES info, val
#define snd_seq_port_subscribe_set_time_real_ARG_EXPAND snd_seq_port_subscribe_t * info, int val
#define snd_seq_port_subscribe_set_time_real_PACKED PACKED_void_snd_seq_port_subscribe_t___GENPT___int
#define snd_seq_port_subscribe_set_time_real_INDEXED INDEXED_void_snd_seq_port_subscribe_t___GENPT___int
#define snd_seq_port_subscribe_set_time_real_FORMAT FORMAT_void_snd_seq_port_subscribe_t___GENPT___int
#define snd_seq_port_subscribe_set_time_update_INDEX 1536
#define snd_seq_port_subscribe_set_time_update_RETURN void
#define snd_seq_port_subscribe_set_time_update_ARG_NAMES info, val
#define snd_seq_port_subscribe_set_time_update_ARG_EXPAND snd_seq_port_subscribe_t * info, int val
#define snd_seq_port_subscribe_set_time_update_PACKED PACKED_void_snd_seq_port_subscribe_t___GENPT___int
#define snd_seq_port_subscribe_set_time_update_INDEXED INDEXED_void_snd_seq_port_subscribe_t___GENPT___int
#define snd_seq_port_subscribe_set_time_update_FORMAT FORMAT_void_snd_seq_port_subscribe_t___GENPT___int
#define snd_seq_port_subscribe_sizeof_INDEX 1537
#define snd_seq_port_subscribe_sizeof_RETURN size_t
#define snd_seq_port_subscribe_sizeof_ARG_NAMES 
#define snd_seq_port_subscribe_sizeof_ARG_EXPAND 
#define snd_seq_port_subscribe_sizeof_PACKED PACKED_size_t
#define snd_seq_port_subscribe_sizeof_INDEXED INDEXED_size_t
#define snd_seq_port_subscribe_sizeof_FORMAT FORMAT_size_t
#define snd_seq_query_named_queue_INDEX 1538
#define snd_seq_query_named_queue_RETURN int
#define snd_seq_query_named_queue_ARG_NAMES seq, name
#define snd_seq_query_named_queue_ARG_EXPAND snd_seq_t * seq, const char * name
#define snd_seq_query_named_queue_PACKED PACKED_int_snd_seq_t___GENPT___const_char___GENPT__
#define snd_seq_query_named_queue_INDEXED INDEXED_int_snd_seq_t___GENPT___const_char___GENPT__
#define snd_seq_query_named_queue_FORMAT FORMAT_int_snd_seq_t___GENPT___const_char___GENPT__
#define snd_seq_query_next_client_INDEX 1539
#define snd_seq_query_next_client_RETURN int
#define snd_seq_query_next_client_ARG_NAMES handle, info
#define snd_seq_query_next_client_ARG_EXPAND snd_seq_t * handle, snd_seq_client_info_t * info
#define snd_seq_query_next_client_PACKED PACKED_int_snd_seq_t___GENPT___snd_seq_client_info_t___GENPT__
#define snd_seq_query_next_client_INDEXED INDEXED_int_snd_seq_t___GENPT___snd_seq_client_info_t___GENPT__
#define snd_seq_query_next_client_FORMAT FORMAT_int_snd_seq_t___GENPT___snd_seq_client_info_t___GENPT__
#define snd_seq_query_next_port_INDEX 1540
#define snd_seq_query_next_port_RETURN int
#define snd_seq_query_next_port_ARG_NAMES handle, info
#define snd_seq_query_next_port_ARG_EXPAND snd_seq_t * handle, snd_seq_port_info_t * info
#define snd_seq_query_next_port_PACKED PACKED_int_snd_seq_t___GENPT___snd_seq_port_info_t___GENPT__
#define snd_seq_query_next_port_INDEXED INDEXED_int_snd_seq_t___GENPT___snd_seq_port_info_t___GENPT__
#define snd_seq_query_next_port_FORMAT FORMAT_int_snd_seq_t___GENPT___snd_seq_port_info_t___GENPT__
#define snd_seq_query_port_subscribers_INDEX 1541
#define snd_seq_query_port_subscribers_RETURN int
#define snd_seq_query_port_subscribers_ARG_NAMES seq, subs
#define snd_seq_query_port_subscribers_ARG_EXPAND snd_seq_t * seq, snd_seq_query_subscribe_t * subs
#define snd_seq_query_port_subscribers_PACKED PACKED_int_snd_seq_t___GENPT___snd_seq_query_subscribe_t___GENPT__
#define snd_seq_query_port_subscribers_INDEXED INDEXED_int_snd_seq_t___GENPT___snd_seq_query_subscribe_t___GENPT__
#define snd_seq_query_port_subscribers_FORMAT FORMAT_int_snd_seq_t___GENPT___snd_seq_query_subscribe_t___GENPT__
#define snd_seq_query_subscribe_copy_INDEX 1542
#define snd_seq_query_subscribe_copy_RETURN void
#define snd_seq_query_subscribe_copy_ARG_NAMES dst, src
#define snd_seq_query_subscribe_copy_ARG_EXPAND snd_seq_query_subscribe_t * dst, const snd_seq_query_subscribe_t * src
#define snd_seq_query_subscribe_copy_PACKED PACKED_void_snd_seq_query_subscribe_t___GENPT___const_snd_seq_query_subscribe_t___GENPT__
#define snd_seq_query_subscribe_copy_INDEXED INDEXED_void_snd_seq_query_subscribe_t___GENPT___const_snd_seq_query_subscribe_t___GENPT__
#define snd_seq_query_subscribe_copy_FORMAT FORMAT_void_snd_seq_query_subscribe_t___GENPT___const_snd_seq_query_subscribe_t___GENPT__
#define snd_seq_query_subscribe_free_INDEX 1543
#define snd_seq_query_subscribe_free_RETURN void
#define snd_seq_query_subscribe_free_ARG_NAMES ptr
#define snd_seq_query_subscribe_free_ARG_EXPAND snd_seq_query_subscribe_t * ptr
#define snd_seq_query_subscribe_free_PACKED PACKED_void_snd_seq_query_subscribe_t___GENPT__
#define snd_seq_query_subscribe_free_INDEXED INDEXED_void_snd_seq_query_subscribe_t___GENPT__
#define snd_seq_query_subscribe_free_FORMAT FORMAT_void_snd_seq_query_subscribe_t___GENPT__
#define snd_seq_query_subscribe_get_addr_INDEX 1544
#define snd_seq_query_subscribe_get_addr_RETURN const snd_seq_addr_t *
#define snd_seq_query_subscribe_get_addr_ARG_NAMES info
#define snd_seq_query_subscribe_get_addr_ARG_EXPAND const snd_seq_query_subscribe_t * info
#define snd_seq_query_subscribe_get_addr_PACKED PACKED_const_snd_seq_addr_t___GENPT___const_snd_seq_query_subscribe_t___GENPT__
#define snd_seq_query_subscribe_get_addr_INDEXED INDEXED_const_snd_seq_addr_t___GENPT___const_snd_seq_query_subscribe_t___GENPT__
#define snd_seq_query_subscribe_get_addr_FORMAT FORMAT_const_snd_seq_addr_t___GENPT___const_snd_seq_query_subscribe_t___GENPT__
#define snd_seq_query_subscribe_get_client_INDEX 1545
#define snd_seq_query_subscribe_get_client_RETURN int
#define snd_seq_query_subscribe_get_client_ARG_NAMES info
#define snd_seq_query_subscribe_get_client_ARG_EXPAND const snd_seq_query_subscribe_t * info
#define snd_seq_query_subscribe_get_client_PACKED PACKED_int_const_snd_seq_query_subscribe_t___GENPT__
#define snd_seq_query_subscribe_get_client_INDEXED INDEXED_int_const_snd_seq_query_subscribe_t___GENPT__
#define snd_seq_query_subscribe_get_client_FORMAT FORMAT_int_const_snd_seq_query_subscribe_t___GENPT__
#define snd_seq_query_subscribe_get_exclusive_INDEX 1546
#define snd_seq_query_subscribe_get_exclusive_RETURN int
#define snd_seq_query_subscribe_get_exclusive_ARG_NAMES info
#define snd_seq_query_subscribe_get_exclusive_ARG_EXPAND const snd_seq_query_subscribe_t * info
#define snd_seq_query_subscribe_get_exclusive_PACKED PACKED_int_const_snd_seq_query_subscribe_t___GENPT__
#define snd_seq_query_subscribe_get_exclusive_INDEXED INDEXED_int_const_snd_seq_query_subscribe_t___GENPT__
#define snd_seq_query_subscribe_get_exclusive_FORMAT FORMAT_int_const_snd_seq_query_subscribe_t___GENPT__
#define snd_seq_query_subscribe_get_index_INDEX 1547
#define snd_seq_query_subscribe_get_index_RETURN int
#define snd_seq_query_subscribe_get_index_ARG_NAMES info
#define snd_seq_query_subscribe_get_index_ARG_EXPAND const snd_seq_query_subscribe_t * info
#define snd_seq_query_subscribe_get_index_PACKED PACKED_int_const_snd_seq_query_subscribe_t___GENPT__
#define snd_seq_query_subscribe_get_index_INDEXED INDEXED_int_const_snd_seq_query_subscribe_t___GENPT__
#define snd_seq_query_subscribe_get_index_FORMAT FORMAT_int_const_snd_seq_query_subscribe_t___GENPT__
#define snd_seq_query_subscribe_get_num_subs_INDEX 1548
#define snd_seq_query_subscribe_get_num_subs_RETURN int
#define snd_seq_query_subscribe_get_num_subs_ARG_NAMES info
#define snd_seq_query_subscribe_get_num_subs_ARG_EXPAND const snd_seq_query_subscribe_t * info
#define snd_seq_query_subscribe_get_num_subs_PACKED PACKED_int_const_snd_seq_query_subscribe_t___GENPT__
#define snd_seq_query_subscribe_get_num_subs_INDEXED INDEXED_int_const_snd_seq_query_subscribe_t___GENPT__
#define snd_seq_query_subscribe_get_num_subs_FORMAT FORMAT_int_const_snd_seq_query_subscribe_t___GENPT__
#define snd_seq_query_subscribe_get_port_INDEX 1549
#define snd_seq_query_subscribe_get_port_RETURN int
#define snd_seq_query_subscribe_get_port_ARG_NAMES info
#define snd_seq_query_subscribe_get_port_ARG_EXPAND const snd_seq_query_subscribe_t * info
#define snd_seq_query_subscribe_get_port_PACKED PACKED_int_const_snd_seq_query_subscribe_t___GENPT__
#define snd_seq_query_subscribe_get_port_INDEXED INDEXED_int_const_snd_seq_query_subscribe_t___GENPT__
#define snd_seq_query_subscribe_get_port_FORMAT FORMAT_int_const_snd_seq_query_subscribe_t___GENPT__
#define snd_seq_query_subscribe_get_queue_INDEX 1550
#define snd_seq_query_subscribe_get_queue_RETURN int
#define snd_seq_query_subscribe_get_queue_ARG_NAMES info
#define snd_seq_query_subscribe_get_queue_ARG_EXPAND const snd_seq_query_subscribe_t * info
#define snd_seq_query_subscribe_get_queue_PACKED PACKED_int_const_snd_seq_query_subscribe_t___GENPT__
#define snd_seq_query_subscribe_get_queue_INDEXED INDEXED_int_const_snd_seq_query_subscribe_t___GENPT__
#define snd_seq_query_subscribe_get_queue_FORMAT FORMAT_int_const_snd_seq_query_subscribe_t___GENPT__
#define snd_seq_query_subscribe_get_root_INDEX 1551
#define snd_seq_query_subscribe_get_root_RETURN const snd_seq_addr_t *
#define snd_seq_query_subscribe_get_root_ARG_NAMES info
#define snd_seq_query_subscribe_get_root_ARG_EXPAND const snd_seq_query_subscribe_t * info
#define snd_seq_query_subscribe_get_root_PACKED PACKED_const_snd_seq_addr_t___GENPT___const_snd_seq_query_subscribe_t___GENPT__
#define snd_seq_query_subscribe_get_root_INDEXED INDEXED_const_snd_seq_addr_t___GENPT___const_snd_seq_query_subscribe_t___GENPT__
#define snd_seq_query_subscribe_get_root_FORMAT FORMAT_const_snd_seq_addr_t___GENPT___const_snd_seq_query_subscribe_t___GENPT__
#define snd_seq_query_subscribe_get_time_real_INDEX 1552
#define snd_seq_query_subscribe_get_time_real_RETURN int
#define snd_seq_query_subscribe_get_time_real_ARG_NAMES info
#define snd_seq_query_subscribe_get_time_real_ARG_EXPAND const snd_seq_query_subscribe_t * info
#define snd_seq_query_subscribe_get_time_real_PACKED PACKED_int_const_snd_seq_query_subscribe_t___GENPT__
#define snd_seq_query_subscribe_get_time_real_INDEXED INDEXED_int_const_snd_seq_query_subscribe_t___GENPT__
#define snd_seq_query_subscribe_get_time_real_FORMAT FORMAT_int_const_snd_seq_query_subscribe_t___GENPT__
#define snd_seq_query_subscribe_get_time_update_INDEX 1553
#define snd_seq_query_subscribe_get_time_update_RETURN int
#define snd_seq_query_subscribe_get_time_update_ARG_NAMES info
#define snd_seq_query_subscribe_get_time_update_ARG_EXPAND const snd_seq_query_subscribe_t * info
#define snd_seq_query_subscribe_get_time_update_PACKED PACKED_int_const_snd_seq_query_subscribe_t___GENPT__
#define snd_seq_query_subscribe_get_time_update_INDEXED INDEXED_int_const_snd_seq_query_subscribe_t___GENPT__
#define snd_seq_query_subscribe_get_time_update_FORMAT FORMAT_int_const_snd_seq_query_subscribe_t___GENPT__
#define snd_seq_query_subscribe_get_type_INDEX 1554
#define snd_seq_query_subscribe_get_type_RETURN snd_seq_query_subs_type_t
#define snd_seq_query_subscribe_get_type_ARG_NAMES info
#define snd_seq_query_subscribe_get_type_ARG_EXPAND const snd_seq_query_subscribe_t * info
#define snd_seq_query_subscribe_get_type_PACKED PACKED_snd_seq_query_subs_type_t_const_snd_seq_query_subscribe_t___GENPT__
#define snd_seq_query_subscribe_get_type_INDEXED INDEXED_snd_seq_query_subs_type_t_const_snd_seq_query_subscribe_t___GENPT__
#define snd_seq_query_subscribe_get_type_FORMAT FORMAT_snd_seq_query_subs_type_t_const_snd_seq_query_subscribe_t___GENPT__
#define snd_seq_query_subscribe_malloc_INDEX 1555
#define snd_seq_query_subscribe_malloc_RETURN int
#define snd_seq_query_subscribe_malloc_ARG_NAMES ptr
#define snd_seq_query_subscribe_malloc_ARG_EXPAND snd_seq_query_subscribe_t ** ptr
#define snd_seq_query_subscribe_malloc_PACKED PACKED_int_snd_seq_query_subscribe_t___GENPT____GENPT__
#define snd_seq_query_subscribe_malloc_INDEXED INDEXED_int_snd_seq_query_subscribe_t___GENPT____GENPT__
#define snd_seq_query_subscribe_malloc_FORMAT FORMAT_int_snd_seq_query_subscribe_t___GENPT____GENPT__
#define snd_seq_query_subscribe_set_client_INDEX 1556
#define snd_seq_query_subscribe_set_client_RETURN void
#define snd_seq_query_subscribe_set_client_ARG_NAMES info, client
#define snd_seq_query_subscribe_set_client_ARG_EXPAND snd_seq_query_subscribe_t * info, int client
#define snd_seq_query_subscribe_set_client_PACKED PACKED_void_snd_seq_query_subscribe_t___GENPT___int
#define snd_seq_query_subscribe_set_client_INDEXED INDEXED_void_snd_seq_query_subscribe_t___GENPT___int
#define snd_seq_query_subscribe_set_client_FORMAT FORMAT_void_snd_seq_query_subscribe_t___GENPT___int
#define snd_seq_query_subscribe_set_index_INDEX 1557
#define snd_seq_query_subscribe_set_index_RETURN void
#define snd_seq_query_subscribe_set_index_ARG_NAMES info, _index
#define snd_seq_query_subscribe_set_index_ARG_EXPAND snd_seq_query_subscribe_t * info, int _index
#define snd_seq_query_subscribe_set_index_PACKED PACKED_void_snd_seq_query_subscribe_t___GENPT___int
#define snd_seq_query_subscribe_set_index_INDEXED INDEXED_void_snd_seq_query_subscribe_t___GENPT___int
#define snd_seq_query_subscribe_set_index_FORMAT FORMAT_void_snd_seq_query_subscribe_t___GENPT___int
#define snd_seq_query_subscribe_set_port_INDEX 1558
#define snd_seq_query_subscribe_set_port_RETURN void
#define snd_seq_query_subscribe_set_port_ARG_NAMES info, port
#define snd_seq_query_subscribe_set_port_ARG_EXPAND snd_seq_query_subscribe_t * info, int port
#define snd_seq_query_subscribe_set_port_PACKED PACKED_void_snd_seq_query_subscribe_t___GENPT___int
#define snd_seq_query_subscribe_set_port_INDEXED INDEXED_void_snd_seq_query_subscribe_t___GENPT___int
#define snd_seq_query_subscribe_set_port_FORMAT FORMAT_void_snd_seq_query_subscribe_t___GENPT___int
#define snd_seq_query_subscribe_set_root_INDEX 1559
#define snd_seq_query_subscribe_set_root_RETURN void
#define snd_seq_query_subscribe_set_root_ARG_NAMES info, addr
#define snd_seq_query_subscribe_set_root_ARG_EXPAND snd_seq_query_subscribe_t * info, const snd_seq_addr_t * addr
#define snd_seq_query_subscribe_set_root_PACKED PACKED_void_snd_seq_query_subscribe_t___GENPT___const_snd_seq_addr_t___GENPT__
#define snd_seq_query_subscribe_set_root_INDEXED INDEXED_void_snd_seq_query_subscribe_t___GENPT___const_snd_seq_addr_t___GENPT__
#define snd_seq_query_subscribe_set_root_FORMAT FORMAT_void_snd_seq_query_subscribe_t___GENPT___const_snd_seq_addr_t___GENPT__
#define snd_seq_query_subscribe_set_type_INDEX 1560
#define snd_seq_query_subscribe_set_type_RETURN void
#define snd_seq_query_subscribe_set_type_ARG_NAMES info, type
#define snd_seq_query_subscribe_set_type_ARG_EXPAND snd_seq_query_subscribe_t * info, snd_seq_query_subs_type_t type
#define snd_seq_query_subscribe_set_type_PACKED PACKED_void_snd_seq_query_subscribe_t___GENPT___snd_seq_query_subs_type_t
#define snd_seq_query_subscribe_set_type_INDEXED INDEXED_void_snd_seq_query_subscribe_t___GENPT___snd_seq_query_subs_type_t
#define snd_seq_query_subscribe_set_type_FORMAT FORMAT_void_snd_seq_query_subscribe_t___GENPT___snd_seq_query_subs_type_t
#define snd_seq_query_subscribe_sizeof_INDEX 1561
#define snd_seq_query_subscribe_sizeof_RETURN size_t
#define snd_seq_query_subscribe_sizeof_ARG_NAMES 
#define snd_seq_query_subscribe_sizeof_ARG_EXPAND 
#define snd_seq_query_subscribe_sizeof_PACKED PACKED_size_t
#define snd_seq_query_subscribe_sizeof_INDEXED INDEXED_size_t
#define snd_seq_query_subscribe_sizeof_FORMAT FORMAT_size_t
#define snd_seq_queue_info_copy_INDEX 1562
#define snd_seq_queue_info_copy_RETURN void
#define snd_seq_queue_info_copy_ARG_NAMES dst, src
#define snd_seq_queue_info_copy_ARG_EXPAND snd_seq_queue_info_t * dst, const snd_seq_queue_info_t * src
#define snd_seq_queue_info_copy_PACKED PACKED_void_snd_seq_queue_info_t___GENPT___const_snd_seq_queue_info_t___GENPT__
#define snd_seq_queue_info_copy_INDEXED INDEXED_void_snd_seq_queue_info_t___GENPT___const_snd_seq_queue_info_t___GENPT__
#define snd_seq_queue_info_copy_FORMAT FORMAT_void_snd_seq_queue_info_t___GENPT___const_snd_seq_queue_info_t___GENPT__
#define snd_seq_queue_info_free_INDEX 1563
#define snd_seq_queue_info_free_RETURN void
#define snd_seq_queue_info_free_ARG_NAMES ptr
#define snd_seq_queue_info_free_ARG_EXPAND snd_seq_queue_info_t * ptr
#define snd_seq_queue_info_free_PACKED PACKED_void_snd_seq_queue_info_t___GENPT__
#define snd_seq_queue_info_free_INDEXED INDEXED_void_snd_seq_queue_info_t___GENPT__
#define snd_seq_queue_info_free_FORMAT FORMAT_void_snd_seq_queue_info_t___GENPT__
#define snd_seq_queue_info_get_flags_INDEX 1564
#define snd_seq_queue_info_get_flags_RETURN unsigned int
#define snd_seq_queue_info_get_flags_ARG_NAMES info
#define snd_seq_queue_info_get_flags_ARG_EXPAND const snd_seq_queue_info_t * info
#define snd_seq_queue_info_get_flags_PACKED PACKED_unsigned_int_const_snd_seq_queue_info_t___GENPT__
#define snd_seq_queue_info_get_flags_INDEXED INDEXED_unsigned_int_const_snd_seq_queue_info_t___GENPT__
#define snd_seq_queue_info_get_flags_FORMAT FORMAT_unsigned_int_const_snd_seq_queue_info_t___GENPT__
#define snd_seq_queue_info_get_locked_INDEX 1565
#define snd_seq_queue_info_get_locked_RETURN int
#define snd_seq_queue_info_get_locked_ARG_NAMES info
#define snd_seq_queue_info_get_locked_ARG_EXPAND const snd_seq_queue_info_t * info
#define snd_seq_queue_info_get_locked_PACKED PACKED_int_const_snd_seq_queue_info_t___GENPT__
#define snd_seq_queue_info_get_locked_INDEXED INDEXED_int_const_snd_seq_queue_info_t___GENPT__
#define snd_seq_queue_info_get_locked_FORMAT FORMAT_int_const_snd_seq_queue_info_t___GENPT__
#define snd_seq_queue_info_get_name_INDEX 1566
#define snd_seq_queue_info_get_name_RETURN const char *
#define snd_seq_queue_info_get_name_ARG_NAMES info
#define snd_seq_queue_info_get_name_ARG_EXPAND const snd_seq_queue_info_t * info
#define snd_seq_queue_info_get_name_PACKED PACKED_const_char___GENPT___const_snd_seq_queue_info_t___GENPT__
#define snd_seq_queue_info_get_name_INDEXED INDEXED_const_char___GENPT___const_snd_seq_queue_info_t___GENPT__
#define snd_seq_queue_info_get_name_FORMAT FORMAT_const_char___GENPT___const_snd_seq_queue_info_t___GENPT__
#define snd_seq_queue_info_get_owner_INDEX 1567
#define snd_seq_queue_info_get_owner_RETURN int
#define snd_seq_queue_info_get_owner_ARG_NAMES info
#define snd_seq_queue_info_get_owner_ARG_EXPAND const snd_seq_queue_info_t * info
#define snd_seq_queue_info_get_owner_PACKED PACKED_int_const_snd_seq_queue_info_t___GENPT__
#define snd_seq_queue_info_get_owner_INDEXED INDEXED_int_const_snd_seq_queue_info_t___GENPT__
#define snd_seq_queue_info_get_owner_FORMAT FORMAT_int_const_snd_seq_queue_info_t___GENPT__
#define snd_seq_queue_info_get_queue_INDEX 1568
#define snd_seq_queue_info_get_queue_RETURN int
#define snd_seq_queue_info_get_queue_ARG_NAMES info
#define snd_seq_queue_info_get_queue_ARG_EXPAND const snd_seq_queue_info_t * info
#define snd_seq_queue_info_get_queue_PACKED PACKED_int_const_snd_seq_queue_info_t___GENPT__
#define snd_seq_queue_info_get_queue_INDEXED INDEXED_int_const_snd_seq_queue_info_t___GENPT__
#define snd_seq_queue_info_get_queue_FORMAT FORMAT_int_const_snd_seq_queue_info_t___GENPT__
#define snd_seq_queue_info_malloc_INDEX 1569
#define snd_seq_queue_info_malloc_RETURN int
#define snd_seq_queue_info_malloc_ARG_NAMES ptr
#define snd_seq_queue_info_malloc_ARG_EXPAND snd_seq_queue_info_t ** ptr
#define snd_seq_queue_info_malloc_PACKED PACKED_int_snd_seq_queue_info_t___GENPT____GENPT__
#define snd_seq_queue_info_malloc_INDEXED INDEXED_int_snd_seq_queue_info_t___GENPT____GENPT__
#define snd_seq_queue_info_malloc_FORMAT FORMAT_int_snd_seq_queue_info_t___GENPT____GENPT__
#define snd_seq_queue_info_set_flags_INDEX 1570
#define snd_seq_queue_info_set_flags_RETURN void
#define snd_seq_queue_info_set_flags_ARG_NAMES info, flags
#define snd_seq_queue_info_set_flags_ARG_EXPAND snd_seq_queue_info_t * info, unsigned int flags
#define snd_seq_queue_info_set_flags_PACKED PACKED_void_snd_seq_queue_info_t___GENPT___unsigned_int
#define snd_seq_queue_info_set_flags_INDEXED INDEXED_void_snd_seq_queue_info_t___GENPT___unsigned_int
#define snd_seq_queue_info_set_flags_FORMAT FORMAT_void_snd_seq_queue_info_t___GENPT___unsigned_int
#define snd_seq_queue_info_set_locked_INDEX 1571
#define snd_seq_queue_info_set_locked_RETURN void
#define snd_seq_queue_info_set_locked_ARG_NAMES info, locked
#define snd_seq_queue_info_set_locked_ARG_EXPAND snd_seq_queue_info_t * info, int locked
#define snd_seq_queue_info_set_locked_PACKED PACKED_void_snd_seq_queue_info_t___GENPT___int
#define snd_seq_queue_info_set_locked_INDEXED INDEXED_void_snd_seq_queue_info_t___GENPT___int
#define snd_seq_queue_info_set_locked_FORMAT FORMAT_void_snd_seq_queue_info_t___GENPT___int
#define snd_seq_queue_info_set_name_INDEX 1572
#define snd_seq_queue_info_set_name_RETURN void
#define snd_seq_queue_info_set_name_ARG_NAMES info, name
#define snd_seq_queue_info_set_name_ARG_EXPAND snd_seq_queue_info_t * info, const char * name
#define snd_seq_queue_info_set_name_PACKED PACKED_void_snd_seq_queue_info_t___GENPT___const_char___GENPT__
#define snd_seq_queue_info_set_name_INDEXED INDEXED_void_snd_seq_queue_info_t___GENPT___const_char___GENPT__
#define snd_seq_queue_info_set_name_FORMAT FORMAT_void_snd_seq_queue_info_t___GENPT___const_char___GENPT__
#define snd_seq_queue_info_set_owner_INDEX 1573
#define snd_seq_queue_info_set_owner_RETURN void
#define snd_seq_queue_info_set_owner_ARG_NAMES info, owner
#define snd_seq_queue_info_set_owner_ARG_EXPAND snd_seq_queue_info_t * info, int owner
#define snd_seq_queue_info_set_owner_PACKED PACKED_void_snd_seq_queue_info_t___GENPT___int
#define snd_seq_queue_info_set_owner_INDEXED INDEXED_void_snd_seq_queue_info_t___GENPT___int
#define snd_seq_queue_info_set_owner_FORMAT FORMAT_void_snd_seq_queue_info_t___GENPT___int
#define snd_seq_queue_info_sizeof_INDEX 1574
#define snd_seq_queue_info_sizeof_RETURN size_t
#define snd_seq_queue_info_sizeof_ARG_NAMES 
#define snd_seq_queue_info_sizeof_ARG_EXPAND 
#define snd_seq_queue_info_sizeof_PACKED PACKED_size_t
#define snd_seq_queue_info_sizeof_INDEXED INDEXED_size_t
#define snd_seq_queue_info_sizeof_FORMAT FORMAT_size_t
#define snd_seq_queue_status_copy_INDEX 1575
#define snd_seq_queue_status_copy_RETURN void
#define snd_seq_queue_status_copy_ARG_NAMES dst, src
#define snd_seq_queue_status_copy_ARG_EXPAND snd_seq_queue_status_t * dst, const snd_seq_queue_status_t * src
#define snd_seq_queue_status_copy_PACKED PACKED_void_snd_seq_queue_status_t___GENPT___const_snd_seq_queue_status_t___GENPT__
#define snd_seq_queue_status_copy_INDEXED INDEXED_void_snd_seq_queue_status_t___GENPT___const_snd_seq_queue_status_t___GENPT__
#define snd_seq_queue_status_copy_FORMAT FORMAT_void_snd_seq_queue_status_t___GENPT___const_snd_seq_queue_status_t___GENPT__
#define snd_seq_queue_status_free_INDEX 1576
#define snd_seq_queue_status_free_RETURN void
#define snd_seq_queue_status_free_ARG_NAMES ptr
#define snd_seq_queue_status_free_ARG_EXPAND snd_seq_queue_status_t * ptr
#define snd_seq_queue_status_free_PACKED PACKED_void_snd_seq_queue_status_t___GENPT__
#define snd_seq_queue_status_free_INDEXED INDEXED_void_snd_seq_queue_status_t___GENPT__
#define snd_seq_queue_status_free_FORMAT FORMAT_void_snd_seq_queue_status_t___GENPT__
#define snd_seq_queue_status_get_events_INDEX 1577
#define snd_seq_queue_status_get_events_RETURN int
#define snd_seq_queue_status_get_events_ARG_NAMES info
#define snd_seq_queue_status_get_events_ARG_EXPAND const snd_seq_queue_status_t * info
#define snd_seq_queue_status_get_events_PACKED PACKED_int_const_snd_seq_queue_status_t___GENPT__
#define snd_seq_queue_status_get_events_INDEXED INDEXED_int_const_snd_seq_queue_status_t___GENPT__
#define snd_seq_queue_status_get_events_FORMAT FORMAT_int_const_snd_seq_queue_status_t___GENPT__
#define snd_seq_queue_status_get_queue_INDEX 1578
#define snd_seq_queue_status_get_queue_RETURN int
#define snd_seq_queue_status_get_queue_ARG_NAMES info
#define snd_seq_queue_status_get_queue_ARG_EXPAND const snd_seq_queue_status_t * info
#define snd_seq_queue_status_get_queue_PACKED PACKED_int_const_snd_seq_queue_status_t___GENPT__
#define snd_seq_queue_status_get_queue_INDEXED INDEXED_int_const_snd_seq_queue_status_t___GENPT__
#define snd_seq_queue_status_get_queue_FORMAT FORMAT_int_const_snd_seq_queue_status_t___GENPT__
#define snd_seq_queue_status_get_real_time_INDEX 1579
#define snd_seq_queue_status_get_real_time_RETURN const snd_seq_real_time_t *
#define snd_seq_queue_status_get_real_time_ARG_NAMES info
#define snd_seq_queue_status_get_real_time_ARG_EXPAND const snd_seq_queue_status_t * info
#define snd_seq_queue_status_get_real_time_PACKED PACKED_const_snd_seq_real_time_t___GENPT___const_snd_seq_queue_status_t___GENPT__
#define snd_seq_queue_status_get_real_time_INDEXED INDEXED_const_snd_seq_real_time_t___GENPT___const_snd_seq_queue_status_t___GENPT__
#define snd_seq_queue_status_get_real_time_FORMAT FORMAT_const_snd_seq_real_time_t___GENPT___const_snd_seq_queue_status_t___GENPT__
#define snd_seq_queue_status_get_status_INDEX 1580
#define snd_seq_queue_status_get_status_RETURN unsigned int
#define snd_seq_queue_status_get_status_ARG_NAMES info
#define snd_seq_queue_status_get_status_ARG_EXPAND const snd_seq_queue_status_t * info
#define snd_seq_queue_status_get_status_PACKED PACKED_unsigned_int_const_snd_seq_queue_status_t___GENPT__
#define snd_seq_queue_status_get_status_INDEXED INDEXED_unsigned_int_const_snd_seq_queue_status_t___GENPT__
#define snd_seq_queue_status_get_status_FORMAT FORMAT_unsigned_int_const_snd_seq_queue_status_t___GENPT__
#define snd_seq_queue_status_get_tick_time_INDEX 1581
#define snd_seq_queue_status_get_tick_time_RETURN snd_seq_tick_time_t
#define snd_seq_queue_status_get_tick_time_ARG_NAMES info
#define snd_seq_queue_status_get_tick_time_ARG_EXPAND const snd_seq_queue_status_t * info
#define snd_seq_queue_status_get_tick_time_PACKED PACKED_snd_seq_tick_time_t_const_snd_seq_queue_status_t___GENPT__
#define snd_seq_queue_status_get_tick_time_INDEXED INDEXED_snd_seq_tick_time_t_const_snd_seq_queue_status_t___GENPT__
#define snd_seq_queue_status_get_tick_time_FORMAT FORMAT_snd_seq_tick_time_t_const_snd_seq_queue_status_t___GENPT__
#define snd_seq_queue_status_malloc_INDEX 1582
#define snd_seq_queue_status_malloc_RETURN int
#define snd_seq_queue_status_malloc_ARG_NAMES ptr
#define snd_seq_queue_status_malloc_ARG_EXPAND snd_seq_queue_status_t ** ptr
#define snd_seq_queue_status_malloc_PACKED PACKED_int_snd_seq_queue_status_t___GENPT____GENPT__
#define snd_seq_queue_status_malloc_INDEXED INDEXED_int_snd_seq_queue_status_t___GENPT____GENPT__
#define snd_seq_queue_status_malloc_FORMAT FORMAT_int_snd_seq_queue_status_t___GENPT____GENPT__
#define snd_seq_queue_status_sizeof_INDEX 1583
#define snd_seq_queue_status_sizeof_RETURN size_t
#define snd_seq_queue_status_sizeof_ARG_NAMES 
#define snd_seq_queue_status_sizeof_ARG_EXPAND 
#define snd_seq_queue_status_sizeof_PACKED PACKED_size_t
#define snd_seq_queue_status_sizeof_INDEXED INDEXED_size_t
#define snd_seq_queue_status_sizeof_FORMAT FORMAT_size_t
#define snd_seq_queue_tempo_copy_INDEX 1584
#define snd_seq_queue_tempo_copy_RETURN void
#define snd_seq_queue_tempo_copy_ARG_NAMES dst, src
#define snd_seq_queue_tempo_copy_ARG_EXPAND snd_seq_queue_tempo_t * dst, const snd_seq_queue_tempo_t * src
#define snd_seq_queue_tempo_copy_PACKED PACKED_void_snd_seq_queue_tempo_t___GENPT___const_snd_seq_queue_tempo_t___GENPT__
#define snd_seq_queue_tempo_copy_INDEXED INDEXED_void_snd_seq_queue_tempo_t___GENPT___const_snd_seq_queue_tempo_t___GENPT__
#define snd_seq_queue_tempo_copy_FORMAT FORMAT_void_snd_seq_queue_tempo_t___GENPT___const_snd_seq_queue_tempo_t___GENPT__
#define snd_seq_queue_tempo_free_INDEX 1585
#define snd_seq_queue_tempo_free_RETURN void
#define snd_seq_queue_tempo_free_ARG_NAMES ptr
#define snd_seq_queue_tempo_free_ARG_EXPAND snd_seq_queue_tempo_t * ptr
#define snd_seq_queue_tempo_free_PACKED PACKED_void_snd_seq_queue_tempo_t___GENPT__
#define snd_seq_queue_tempo_free_INDEXED INDEXED_void_snd_seq_queue_tempo_t___GENPT__
#define snd_seq_queue_tempo_free_FORMAT FORMAT_void_snd_seq_queue_tempo_t___GENPT__
#define snd_seq_queue_tempo_get_ppq_INDEX 1586
#define snd_seq_queue_tempo_get_ppq_RETURN int
#define snd_seq_queue_tempo_get_ppq_ARG_NAMES info
#define snd_seq_queue_tempo_get_ppq_ARG_EXPAND const snd_seq_queue_tempo_t * info
#define snd_seq_queue_tempo_get_ppq_PACKED PACKED_int_const_snd_seq_queue_tempo_t___GENPT__
#define snd_seq_queue_tempo_get_ppq_INDEXED INDEXED_int_const_snd_seq_queue_tempo_t___GENPT__
#define snd_seq_queue_tempo_get_ppq_FORMAT FORMAT_int_const_snd_seq_queue_tempo_t___GENPT__
#define snd_seq_queue_tempo_get_queue_INDEX 1587
#define snd_seq_queue_tempo_get_queue_RETURN int
#define snd_seq_queue_tempo_get_queue_ARG_NAMES info
#define snd_seq_queue_tempo_get_queue_ARG_EXPAND const snd_seq_queue_tempo_t * info
#define snd_seq_queue_tempo_get_queue_PACKED PACKED_int_const_snd_seq_queue_tempo_t___GENPT__
#define snd_seq_queue_tempo_get_queue_INDEXED INDEXED_int_const_snd_seq_queue_tempo_t___GENPT__
#define snd_seq_queue_tempo_get_queue_FORMAT FORMAT_int_const_snd_seq_queue_tempo_t___GENPT__
#define snd_seq_queue_tempo_get_skew_INDEX 1588
#define snd_seq_queue_tempo_get_skew_RETURN unsigned int
#define snd_seq_queue_tempo_get_skew_ARG_NAMES info
#define snd_seq_queue_tempo_get_skew_ARG_EXPAND const snd_seq_queue_tempo_t * info
#define snd_seq_queue_tempo_get_skew_PACKED PACKED_unsigned_int_const_snd_seq_queue_tempo_t___GENPT__
#define snd_seq_queue_tempo_get_skew_INDEXED INDEXED_unsigned_int_const_snd_seq_queue_tempo_t___GENPT__
#define snd_seq_queue_tempo_get_skew_FORMAT FORMAT_unsigned_int_const_snd_seq_queue_tempo_t___GENPT__
#define snd_seq_queue_tempo_get_skew_base_INDEX 1589
#define snd_seq_queue_tempo_get_skew_base_RETURN unsigned int
#define snd_seq_queue_tempo_get_skew_base_ARG_NAMES info
#define snd_seq_queue_tempo_get_skew_base_ARG_EXPAND const snd_seq_queue_tempo_t * info
#define snd_seq_queue_tempo_get_skew_base_PACKED PACKED_unsigned_int_const_snd_seq_queue_tempo_t___GENPT__
#define snd_seq_queue_tempo_get_skew_base_INDEXED INDEXED_unsigned_int_const_snd_seq_queue_tempo_t___GENPT__
#define snd_seq_queue_tempo_get_skew_base_FORMAT FORMAT_unsigned_int_const_snd_seq_queue_tempo_t___GENPT__
#define snd_seq_queue_tempo_get_tempo_INDEX 1590
#define snd_seq_queue_tempo_get_tempo_RETURN unsigned int
#define snd_seq_queue_tempo_get_tempo_ARG_NAMES info
#define snd_seq_queue_tempo_get_tempo_ARG_EXPAND const snd_seq_queue_tempo_t * info
#define snd_seq_queue_tempo_get_tempo_PACKED PACKED_unsigned_int_const_snd_seq_queue_tempo_t___GENPT__
#define snd_seq_queue_tempo_get_tempo_INDEXED INDEXED_unsigned_int_const_snd_seq_queue_tempo_t___GENPT__
#define snd_seq_queue_tempo_get_tempo_FORMAT FORMAT_unsigned_int_const_snd_seq_queue_tempo_t___GENPT__
#define snd_seq_queue_tempo_malloc_INDEX 1591
#define snd_seq_queue_tempo_malloc_RETURN int
#define snd_seq_queue_tempo_malloc_ARG_NAMES ptr
#define snd_seq_queue_tempo_malloc_ARG_EXPAND snd_seq_queue_tempo_t ** ptr
#define snd_seq_queue_tempo_malloc_PACKED PACKED_int_snd_seq_queue_tempo_t___GENPT____GENPT__
#define snd_seq_queue_tempo_malloc_INDEXED INDEXED_int_snd_seq_queue_tempo_t___GENPT____GENPT__
#define snd_seq_queue_tempo_malloc_FORMAT FORMAT_int_snd_seq_queue_tempo_t___GENPT____GENPT__
#define snd_seq_queue_tempo_set_ppq_INDEX 1592
#define snd_seq_queue_tempo_set_ppq_RETURN void
#define snd_seq_queue_tempo_set_ppq_ARG_NAMES info, ppq
#define snd_seq_queue_tempo_set_ppq_ARG_EXPAND snd_seq_queue_tempo_t * info, int ppq
#define snd_seq_queue_tempo_set_ppq_PACKED PACKED_void_snd_seq_queue_tempo_t___GENPT___int
#define snd_seq_queue_tempo_set_ppq_INDEXED INDEXED_void_snd_seq_queue_tempo_t___GENPT___int
#define snd_seq_queue_tempo_set_ppq_FORMAT FORMAT_void_snd_seq_queue_tempo_t___GENPT___int
#define snd_seq_queue_tempo_set_skew_INDEX 1593
#define snd_seq_queue_tempo_set_skew_RETURN void
#define snd_seq_queue_tempo_set_skew_ARG_NAMES info, skew
#define snd_seq_queue_tempo_set_skew_ARG_EXPAND snd_seq_queue_tempo_t * info, unsigned int skew
#define snd_seq_queue_tempo_set_skew_PACKED PACKED_void_snd_seq_queue_tempo_t___GENPT___unsigned_int
#define snd_seq_queue_tempo_set_skew_INDEXED INDEXED_void_snd_seq_queue_tempo_t___GENPT___unsigned_int
#define snd_seq_queue_tempo_set_skew_FORMAT FORMAT_void_snd_seq_queue_tempo_t___GENPT___unsigned_int
#define snd_seq_queue_tempo_set_skew_base_INDEX 1594
#define snd_seq_queue_tempo_set_skew_base_RETURN void
#define snd_seq_queue_tempo_set_skew_base_ARG_NAMES info, base
#define snd_seq_queue_tempo_set_skew_base_ARG_EXPAND snd_seq_queue_tempo_t * info, unsigned int base
#define snd_seq_queue_tempo_set_skew_base_PACKED PACKED_void_snd_seq_queue_tempo_t___GENPT___unsigned_int
#define snd_seq_queue_tempo_set_skew_base_INDEXED INDEXED_void_snd_seq_queue_tempo_t___GENPT___unsigned_int
#define snd_seq_queue_tempo_set_skew_base_FORMAT FORMAT_void_snd_seq_queue_tempo_t___GENPT___unsigned_int
#define snd_seq_queue_tempo_set_tempo_INDEX 1595
#define snd_seq_queue_tempo_set_tempo_RETURN void
#define snd_seq_queue_tempo_set_tempo_ARG_NAMES info, tempo
#define snd_seq_queue_tempo_set_tempo_ARG_EXPAND snd_seq_queue_tempo_t * info, unsigned int tempo
#define snd_seq_queue_tempo_set_tempo_PACKED PACKED_void_snd_seq_queue_tempo_t___GENPT___unsigned_int
#define snd_seq_queue_tempo_set_tempo_INDEXED INDEXED_void_snd_seq_queue_tempo_t___GENPT___unsigned_int
#define snd_seq_queue_tempo_set_tempo_FORMAT FORMAT_void_snd_seq_queue_tempo_t___GENPT___unsigned_int
#define snd_seq_queue_tempo_sizeof_INDEX 1596
#define snd_seq_queue_tempo_sizeof_RETURN size_t
#define snd_seq_queue_tempo_sizeof_ARG_NAMES 
#define snd_seq_queue_tempo_sizeof_ARG_EXPAND 
#define snd_seq_queue_tempo_sizeof_PACKED PACKED_size_t
#define snd_seq_queue_tempo_sizeof_INDEXED INDEXED_size_t
#define snd_seq_queue_tempo_sizeof_FORMAT FORMAT_size_t
#define snd_seq_queue_timer_copy_INDEX 1597
#define snd_seq_queue_timer_copy_RETURN void
#define snd_seq_queue_timer_copy_ARG_NAMES dst, src
#define snd_seq_queue_timer_copy_ARG_EXPAND snd_seq_queue_timer_t * dst, const snd_seq_queue_timer_t * src
#define snd_seq_queue_timer_copy_PACKED PACKED_void_snd_seq_queue_timer_t___GENPT___const_snd_seq_queue_timer_t___GENPT__
#define snd_seq_queue_timer_copy_INDEXED INDEXED_void_snd_seq_queue_timer_t___GENPT___const_snd_seq_queue_timer_t___GENPT__
#define snd_seq_queue_timer_copy_FORMAT FORMAT_void_snd_seq_queue_timer_t___GENPT___const_snd_seq_queue_timer_t___GENPT__
#define snd_seq_queue_timer_free_INDEX 1598
#define snd_seq_queue_timer_free_RETURN void
#define snd_seq_queue_timer_free_ARG_NAMES ptr
#define snd_seq_queue_timer_free_ARG_EXPAND snd_seq_queue_timer_t * ptr
#define snd_seq_queue_timer_free_PACKED PACKED_void_snd_seq_queue_timer_t___GENPT__
#define snd_seq_queue_timer_free_INDEXED INDEXED_void_snd_seq_queue_timer_t___GENPT__
#define snd_seq_queue_timer_free_FORMAT FORMAT_void_snd_seq_queue_timer_t___GENPT__
#define snd_seq_queue_timer_get_id_INDEX 1599
#define snd_seq_queue_timer_get_id_RETURN const snd_timer_id_t *
#define snd_seq_queue_timer_get_id_ARG_NAMES info
#define snd_seq_queue_timer_get_id_ARG_EXPAND const snd_seq_queue_timer_t * info
#define snd_seq_queue_timer_get_id_PACKED PACKED_const_snd_timer_id_t___GENPT___const_snd_seq_queue_timer_t___GENPT__
#define snd_seq_queue_timer_get_id_INDEXED INDEXED_const_snd_timer_id_t___GENPT___const_snd_seq_queue_timer_t___GENPT__
#define snd_seq_queue_timer_get_id_FORMAT FORMAT_const_snd_timer_id_t___GENPT___const_snd_seq_queue_timer_t___GENPT__
#define snd_seq_queue_timer_get_queue_INDEX 1600
#define snd_seq_queue_timer_get_queue_RETURN int
#define snd_seq_queue_timer_get_queue_ARG_NAMES info
#define snd_seq_queue_timer_get_queue_ARG_EXPAND const snd_seq_queue_timer_t * info
#define snd_seq_queue_timer_get_queue_PACKED PACKED_int_const_snd_seq_queue_timer_t___GENPT__
#define snd_seq_queue_timer_get_queue_INDEXED INDEXED_int_const_snd_seq_queue_timer_t___GENPT__
#define snd_seq_queue_timer_get_queue_FORMAT FORMAT_int_const_snd_seq_queue_timer_t___GENPT__
#define snd_seq_queue_timer_get_resolution_INDEX 1601
#define snd_seq_queue_timer_get_resolution_RETURN unsigned int
#define snd_seq_queue_timer_get_resolution_ARG_NAMES info
#define snd_seq_queue_timer_get_resolution_ARG_EXPAND const snd_seq_queue_timer_t * info
#define snd_seq_queue_timer_get_resolution_PACKED PACKED_unsigned_int_const_snd_seq_queue_timer_t___GENPT__
#define snd_seq_queue_timer_get_resolution_INDEXED INDEXED_unsigned_int_const_snd_seq_queue_timer_t___GENPT__
#define snd_seq_queue_timer_get_resolution_FORMAT FORMAT_unsigned_int_const_snd_seq_queue_timer_t___GENPT__
#define snd_seq_queue_timer_get_type_INDEX 1602
#define snd_seq_queue_timer_get_type_RETURN snd_seq_queue_timer_type_t
#define snd_seq_queue_timer_get_type_ARG_NAMES info
#define snd_seq_queue_timer_get_type_ARG_EXPAND const snd_seq_queue_timer_t * info
#define snd_seq_queue_timer_get_type_PACKED PACKED_snd_seq_queue_timer_type_t_const_snd_seq_queue_timer_t___GENPT__
#define snd_seq_queue_timer_get_type_INDEXED INDEXED_snd_seq_queue_timer_type_t_const_snd_seq_queue_timer_t___GENPT__
#define snd_seq_queue_timer_get_type_FORMAT FORMAT_snd_seq_queue_timer_type_t_const_snd_seq_queue_timer_t___GENPT__
#define snd_seq_queue_timer_malloc_INDEX 1603
#define snd_seq_queue_timer_malloc_RETURN int
#define snd_seq_queue_timer_malloc_ARG_NAMES ptr
#define snd_seq_queue_timer_malloc_ARG_EXPAND snd_seq_queue_timer_t ** ptr
#define snd_seq_queue_timer_malloc_PACKED PACKED_int_snd_seq_queue_timer_t___GENPT____GENPT__
#define snd_seq_queue_timer_malloc_INDEXED INDEXED_int_snd_seq_queue_timer_t___GENPT____GENPT__
#define snd_seq_queue_timer_malloc_FORMAT FORMAT_int_snd_seq_queue_timer_t___GENPT____GENPT__
#define snd_seq_queue_timer_set_id_INDEX 1604
#define snd_seq_queue_timer_set_id_RETURN void
#define snd_seq_queue_timer_set_id_ARG_NAMES info, id
#define snd_seq_queue_timer_set_id_ARG_EXPAND snd_seq_queue_timer_t * info, const snd_timer_id_t * id
#define snd_seq_queue_timer_set_id_PACKED PACKED_void_snd_seq_queue_timer_t___GENPT___const_snd_timer_id_t___GENPT__
#define snd_seq_queue_timer_set_id_INDEXED INDEXED_void_snd_seq_queue_timer_t___GENPT___const_snd_timer_id_t___GENPT__
#define snd_seq_queue_timer_set_id_FORMAT FORMAT_void_snd_seq_queue_timer_t___GENPT___const_snd_timer_id_t___GENPT__
#define snd_seq_queue_timer_set_resolution_INDEX 1605
#define snd_seq_queue_timer_set_resolution_RETURN void
#define snd_seq_queue_timer_set_resolution_ARG_NAMES info, resolution
#define snd_seq_queue_timer_set_resolution_ARG_EXPAND snd_seq_queue_timer_t * info, unsigned int resolution
#define snd_seq_queue_timer_set_resolution_PACKED PACKED_void_snd_seq_queue_timer_t___GENPT___unsigned_int
#define snd_seq_queue_timer_set_resolution_INDEXED INDEXED_void_snd_seq_queue_timer_t___GENPT___unsigned_int
#define snd_seq_queue_timer_set_resolution_FORMAT FORMAT_void_snd_seq_queue_timer_t___GENPT___unsigned_int
#define snd_seq_queue_timer_set_type_INDEX 1606
#define snd_seq_queue_timer_set_type_RETURN void
#define snd_seq_queue_timer_set_type_ARG_NAMES info, type
#define snd_seq_queue_timer_set_type_ARG_EXPAND snd_seq_queue_timer_t * info, snd_seq_queue_timer_type_t type
#define snd_seq_queue_timer_set_type_PACKED PACKED_void_snd_seq_queue_timer_t___GENPT___snd_seq_queue_timer_type_t
#define snd_seq_queue_timer_set_type_INDEXED INDEXED_void_snd_seq_queue_timer_t___GENPT___snd_seq_queue_timer_type_t
#define snd_seq_queue_timer_set_type_FORMAT FORMAT_void_snd_seq_queue_timer_t___GENPT___snd_seq_queue_timer_type_t
#define snd_seq_queue_timer_sizeof_INDEX 1607
#define snd_seq_queue_timer_sizeof_RETURN size_t
#define snd_seq_queue_timer_sizeof_ARG_NAMES 
#define snd_seq_queue_timer_sizeof_ARG_EXPAND 
#define snd_seq_queue_timer_sizeof_PACKED PACKED_size_t
#define snd_seq_queue_timer_sizeof_INDEXED INDEXED_size_t
#define snd_seq_queue_timer_sizeof_FORMAT FORMAT_size_t
#define snd_seq_remove_events_INDEX 1608
#define snd_seq_remove_events_RETURN int
#define snd_seq_remove_events_ARG_NAMES handle, info
#define snd_seq_remove_events_ARG_EXPAND snd_seq_t * handle, snd_seq_remove_events_t * info
#define snd_seq_remove_events_PACKED PACKED_int_snd_seq_t___GENPT___snd_seq_remove_events_t___GENPT__
#define snd_seq_remove_events_INDEXED INDEXED_int_snd_seq_t___GENPT___snd_seq_remove_events_t___GENPT__
#define snd_seq_remove_events_FORMAT FORMAT_int_snd_seq_t___GENPT___snd_seq_remove_events_t___GENPT__
#define snd_seq_remove_events_copy_INDEX 1609
#define snd_seq_remove_events_copy_RETURN void
#define snd_seq_remove_events_copy_ARG_NAMES dst, src
#define snd_seq_remove_events_copy_ARG_EXPAND snd_seq_remove_events_t * dst, const snd_seq_remove_events_t * src
#define snd_seq_remove_events_copy_PACKED PACKED_void_snd_seq_remove_events_t___GENPT___const_snd_seq_remove_events_t___GENPT__
#define snd_seq_remove_events_copy_INDEXED INDEXED_void_snd_seq_remove_events_t___GENPT___const_snd_seq_remove_events_t___GENPT__
#define snd_seq_remove_events_copy_FORMAT FORMAT_void_snd_seq_remove_events_t___GENPT___const_snd_seq_remove_events_t___GENPT__
#define snd_seq_remove_events_free_INDEX 1610
#define snd_seq_remove_events_free_RETURN void
#define snd_seq_remove_events_free_ARG_NAMES ptr
#define snd_seq_remove_events_free_ARG_EXPAND snd_seq_remove_events_t * ptr
#define snd_seq_remove_events_free_PACKED PACKED_void_snd_seq_remove_events_t___GENPT__
#define snd_seq_remove_events_free_INDEXED INDEXED_void_snd_seq_remove_events_t___GENPT__
#define snd_seq_remove_events_free_FORMAT FORMAT_void_snd_seq_remove_events_t___GENPT__
#define snd_seq_remove_events_get_channel_INDEX 1611
#define snd_seq_remove_events_get_channel_RETURN int
#define snd_seq_remove_events_get_channel_ARG_NAMES info
#define snd_seq_remove_events_get_channel_ARG_EXPAND const snd_seq_remove_events_t * info
#define snd_seq_remove_events_get_channel_PACKED PACKED_int_const_snd_seq_remove_events_t___GENPT__
#define snd_seq_remove_events_get_channel_INDEXED INDEXED_int_const_snd_seq_remove_events_t___GENPT__
#define snd_seq_remove_events_get_channel_FORMAT FORMAT_int_const_snd_seq_remove_events_t___GENPT__
#define snd_seq_remove_events_get_condition_INDEX 1612
#define snd_seq_remove_events_get_condition_RETURN unsigned int
#define snd_seq_remove_events_get_condition_ARG_NAMES info
#define snd_seq_remove_events_get_condition_ARG_EXPAND const snd_seq_remove_events_t * info
#define snd_seq_remove_events_get_condition_PACKED PACKED_unsigned_int_const_snd_seq_remove_events_t___GENPT__
#define snd_seq_remove_events_get_condition_INDEXED INDEXED_unsigned_int_const_snd_seq_remove_events_t___GENPT__
#define snd_seq_remove_events_get_condition_FORMAT FORMAT_unsigned_int_const_snd_seq_remove_events_t___GENPT__
#define snd_seq_remove_events_get_dest_INDEX 1613
#define snd_seq_remove_events_get_dest_RETURN const snd_seq_addr_t *
#define snd_seq_remove_events_get_dest_ARG_NAMES info
#define snd_seq_remove_events_get_dest_ARG_EXPAND const snd_seq_remove_events_t * info
#define snd_seq_remove_events_get_dest_PACKED PACKED_const_snd_seq_addr_t___GENPT___const_snd_seq_remove_events_t___GENPT__
#define snd_seq_remove_events_get_dest_INDEXED INDEXED_const_snd_seq_addr_t___GENPT___const_snd_seq_remove_events_t___GENPT__
#define snd_seq_remove_events_get_dest_FORMAT FORMAT_const_snd_seq_addr_t___GENPT___const_snd_seq_remove_events_t___GENPT__
#define snd_seq_remove_events_get_event_type_INDEX 1614
#define snd_seq_remove_events_get_event_type_RETURN int
#define snd_seq_remove_events_get_event_type_ARG_NAMES info
#define snd_seq_remove_events_get_event_type_ARG_EXPAND const snd_seq_remove_events_t * info
#define snd_seq_remove_events_get_event_type_PACKED PACKED_int_const_snd_seq_remove_events_t___GENPT__
#define snd_seq_remove_events_get_event_type_INDEXED INDEXED_int_const_snd_seq_remove_events_t___GENPT__
#define snd_seq_remove_events_get_event_type_FORMAT FORMAT_int_const_snd_seq_remove_events_t___GENPT__
#define snd_seq_remove_events_get_queue_INDEX 1615
#define snd_seq_remove_events_get_queue_RETURN int
#define snd_seq_remove_events_get_queue_ARG_NAMES info
#define snd_seq_remove_events_get_queue_ARG_EXPAND const snd_seq_remove_events_t * info
#define snd_seq_remove_events_get_queue_PACKED PACKED_int_const_snd_seq_remove_events_t___GENPT__
#define snd_seq_remove_events_get_queue_INDEXED INDEXED_int_const_snd_seq_remove_events_t___GENPT__
#define snd_seq_remove_events_get_queue_FORMAT FORMAT_int_const_snd_seq_remove_events_t___GENPT__
#define snd_seq_remove_events_get_tag_INDEX 1616
#define snd_seq_remove_events_get_tag_RETURN int
#define snd_seq_remove_events_get_tag_ARG_NAMES info
#define snd_seq_remove_events_get_tag_ARG_EXPAND const snd_seq_remove_events_t * info
#define snd_seq_remove_events_get_tag_PACKED PACKED_int_const_snd_seq_remove_events_t___GENPT__
#define snd_seq_remove_events_get_tag_INDEXED INDEXED_int_const_snd_seq_remove_events_t___GENPT__
#define snd_seq_remove_events_get_tag_FORMAT FORMAT_int_const_snd_seq_remove_events_t___GENPT__
#define snd_seq_remove_events_get_time_INDEX 1617
#define snd_seq_remove_events_get_time_RETURN const snd_seq_timestamp_t *
#define snd_seq_remove_events_get_time_ARG_NAMES info
#define snd_seq_remove_events_get_time_ARG_EXPAND const snd_seq_remove_events_t * info
#define snd_seq_remove_events_get_time_PACKED PACKED_const_snd_seq_timestamp_t___GENPT___const_snd_seq_remove_events_t___GENPT__
#define snd_seq_remove_events_get_time_INDEXED INDEXED_const_snd_seq_timestamp_t___GENPT___const_snd_seq_remove_events_t___GENPT__
#define snd_seq_remove_events_get_time_FORMAT FORMAT_const_snd_seq_timestamp_t___GENPT___const_snd_seq_remove_events_t___GENPT__
#define snd_seq_remove_events_malloc_INDEX 1618
#define snd_seq_remove_events_malloc_RETURN int
#define snd_seq_remove_events_malloc_ARG_NAMES ptr
#define snd_seq_remove_events_malloc_ARG_EXPAND snd_seq_remove_events_t ** ptr
#define snd_seq_remove_events_malloc_PACKED PACKED_int_snd_seq_remove_events_t___GENPT____GENPT__
#define snd_seq_remove_events_malloc_INDEXED INDEXED_int_snd_seq_remove_events_t___GENPT____GENPT__
#define snd_seq_remove_events_malloc_FORMAT FORMAT_int_snd_seq_remove_events_t___GENPT____GENPT__
#define snd_seq_remove_events_set_channel_INDEX 1619
#define snd_seq_remove_events_set_channel_RETURN void
#define snd_seq_remove_events_set_channel_ARG_NAMES info, channel
#define snd_seq_remove_events_set_channel_ARG_EXPAND snd_seq_remove_events_t * info, int channel
#define snd_seq_remove_events_set_channel_PACKED PACKED_void_snd_seq_remove_events_t___GENPT___int
#define snd_seq_remove_events_set_channel_INDEXED INDEXED_void_snd_seq_remove_events_t___GENPT___int
#define snd_seq_remove_events_set_channel_FORMAT FORMAT_void_snd_seq_remove_events_t___GENPT___int
#define snd_seq_remove_events_set_condition_INDEX 1620
#define snd_seq_remove_events_set_condition_RETURN void
#define snd_seq_remove_events_set_condition_ARG_NAMES info, flags
#define snd_seq_remove_events_set_condition_ARG_EXPAND snd_seq_remove_events_t * info, unsigned int flags
#define snd_seq_remove_events_set_condition_PACKED PACKED_void_snd_seq_remove_events_t___GENPT___unsigned_int
#define snd_seq_remove_events_set_condition_INDEXED INDEXED_void_snd_seq_remove_events_t___GENPT___unsigned_int
#define snd_seq_remove_events_set_condition_FORMAT FORMAT_void_snd_seq_remove_events_t___GENPT___unsigned_int
#define snd_seq_remove_events_set_dest_INDEX 1621
#define snd_seq_remove_events_set_dest_RETURN void
#define snd_seq_remove_events_set_dest_ARG_NAMES info, addr
#define snd_seq_remove_events_set_dest_ARG_EXPAND snd_seq_remove_events_t * info, const snd_seq_addr_t * addr
#define snd_seq_remove_events_set_dest_PACKED PACKED_void_snd_seq_remove_events_t___GENPT___const_snd_seq_addr_t___GENPT__
#define snd_seq_remove_events_set_dest_INDEXED INDEXED_void_snd_seq_remove_events_t___GENPT___const_snd_seq_addr_t___GENPT__
#define snd_seq_remove_events_set_dest_FORMAT FORMAT_void_snd_seq_remove_events_t___GENPT___const_snd_seq_addr_t___GENPT__
#define snd_seq_remove_events_set_event_type_INDEX 1622
#define snd_seq_remove_events_set_event_type_RETURN void
#define snd_seq_remove_events_set_event_type_ARG_NAMES info, type
#define snd_seq_remove_events_set_event_type_ARG_EXPAND snd_seq_remove_events_t * info, int type
#define snd_seq_remove_events_set_event_type_PACKED PACKED_void_snd_seq_remove_events_t___GENPT___int
#define snd_seq_remove_events_set_event_type_INDEXED INDEXED_void_snd_seq_remove_events_t___GENPT___int
#define snd_seq_remove_events_set_event_type_FORMAT FORMAT_void_snd_seq_remove_events_t___GENPT___int
#define snd_seq_remove_events_set_queue_INDEX 1623
#define snd_seq_remove_events_set_queue_RETURN void
#define snd_seq_remove_events_set_queue_ARG_NAMES info, queue
#define snd_seq_remove_events_set_queue_ARG_EXPAND snd_seq_remove_events_t * info, int queue
#define snd_seq_remove_events_set_queue_PACKED PACKED_void_snd_seq_remove_events_t___GENPT___int
#define snd_seq_remove_events_set_queue_INDEXED INDEXED_void_snd_seq_remove_events_t___GENPT___int
#define snd_seq_remove_events_set_queue_FORMAT FORMAT_void_snd_seq_remove_events_t___GENPT___int
#define snd_seq_remove_events_set_tag_INDEX 1624
#define snd_seq_remove_events_set_tag_RETURN void
#define snd_seq_remove_events_set_tag_ARG_NAMES info, tag
#define snd_seq_remove_events_set_tag_ARG_EXPAND snd_seq_remove_events_t * info, int tag
#define snd_seq_remove_events_set_tag_PACKED PACKED_void_snd_seq_remove_events_t___GENPT___int
#define snd_seq_remove_events_set_tag_INDEXED INDEXED_void_snd_seq_remove_events_t___GENPT___int
#define snd_seq_remove_events_set_tag_FORMAT FORMAT_void_snd_seq_remove_events_t___GENPT___int
#define snd_seq_remove_events_set_time_INDEX 1625
#define snd_seq_remove_events_set_time_RETURN void
#define snd_seq_remove_events_set_time_ARG_NAMES info, time
#define snd_seq_remove_events_set_time_ARG_EXPAND snd_seq_remove_events_t * info, const snd_seq_timestamp_t * time
#define snd_seq_remove_events_set_time_PACKED PACKED_void_snd_seq_remove_events_t___GENPT___const_snd_seq_timestamp_t___GENPT__
#define snd_seq_remove_events_set_time_INDEXED INDEXED_void_snd_seq_remove_events_t___GENPT___const_snd_seq_timestamp_t___GENPT__
#define snd_seq_remove_events_set_time_FORMAT FORMAT_void_snd_seq_remove_events_t___GENPT___const_snd_seq_timestamp_t___GENPT__
#define snd_seq_remove_events_sizeof_INDEX 1626
#define snd_seq_remove_events_sizeof_RETURN size_t
#define snd_seq_remove_events_sizeof_ARG_NAMES 
#define snd_seq_remove_events_sizeof_ARG_EXPAND 
#define snd_seq_remove_events_sizeof_PACKED PACKED_size_t
#define snd_seq_remove_events_sizeof_INDEXED INDEXED_size_t
#define snd_seq_remove_events_sizeof_FORMAT FORMAT_size_t
#define snd_seq_reset_pool_input_INDEX 1627
#define snd_seq_reset_pool_input_RETURN int
#define snd_seq_reset_pool_input_ARG_NAMES seq
#define snd_seq_reset_pool_input_ARG_EXPAND snd_seq_t * seq
#define snd_seq_reset_pool_input_PACKED PACKED_int_snd_seq_t___GENPT__
#define snd_seq_reset_pool_input_INDEXED INDEXED_int_snd_seq_t___GENPT__
#define snd_seq_reset_pool_input_FORMAT FORMAT_int_snd_seq_t___GENPT__
#define snd_seq_reset_pool_output_INDEX 1628
#define snd_seq_reset_pool_output_RETURN int
#define snd_seq_reset_pool_output_ARG_NAMES seq
#define snd_seq_reset_pool_output_ARG_EXPAND snd_seq_t * seq
#define snd_seq_reset_pool_output_PACKED PACKED_int_snd_seq_t___GENPT__
#define snd_seq_reset_pool_output_INDEXED INDEXED_int_snd_seq_t___GENPT__
#define snd_seq_reset_pool_output_FORMAT FORMAT_int_snd_seq_t___GENPT__
#define snd_seq_set_bit_INDEX 1629
#define snd_seq_set_bit_RETURN void
#define snd_seq_set_bit_ARG_NAMES nr, array
#define snd_seq_set_bit_ARG_EXPAND int nr, void * array
#define snd_seq_set_bit_PACKED PACKED_void_int_void___GENPT__
#define snd_seq_set_bit_INDEXED INDEXED_void_int_void___GENPT__
#define snd_seq_set_bit_FORMAT FORMAT_void_int_void___GENPT__
#define snd_seq_set_client_event_filter_INDEX 1630
#define snd_seq_set_client_event_filter_RETURN int
#define snd_seq_set_client_event_filter_ARG_NAMES seq, event_type
#define snd_seq_set_client_event_filter_ARG_EXPAND snd_seq_t * seq, int event_type
#define snd_seq_set_client_event_filter_PACKED PACKED_int_snd_seq_t___GENPT___int
#define snd_seq_set_client_event_filter_INDEXED INDEXED_int_snd_seq_t___GENPT___int
#define snd_seq_set_client_event_filter_FORMAT FORMAT_int_snd_seq_t___GENPT___int
#define snd_seq_set_client_info_INDEX 1631
#define snd_seq_set_client_info_RETURN int
#define snd_seq_set_client_info_ARG_NAMES handle, info
#define snd_seq_set_client_info_ARG_EXPAND snd_seq_t * handle, snd_seq_client_info_t * info
#define snd_seq_set_client_info_PACKED PACKED_int_snd_seq_t___GENPT___snd_seq_client_info_t___GENPT__
#define snd_seq_set_client_info_INDEXED INDEXED_int_snd_seq_t___GENPT___snd_seq_client_info_t___GENPT__
#define snd_seq_set_client_info_FORMAT FORMAT_int_snd_seq_t___GENPT___snd_seq_client_info_t___GENPT__
#define snd_seq_set_client_name_INDEX 1632
#define snd_seq_set_client_name_RETURN int
#define snd_seq_set_client_name_ARG_NAMES seq, name
#define snd_seq_set_client_name_ARG_EXPAND snd_seq_t * seq, const char * name
#define snd_seq_set_client_name_PACKED PACKED_int_snd_seq_t___GENPT___const_char___GENPT__
#define snd_seq_set_client_name_INDEXED INDEXED_int_snd_seq_t___GENPT___const_char___GENPT__
#define snd_seq_set_client_name_FORMAT FORMAT_int_snd_seq_t___GENPT___const_char___GENPT__
#define snd_seq_set_client_pool_INDEX 1633
#define snd_seq_set_client_pool_RETURN int
#define snd_seq_set_client_pool_ARG_NAMES handle, info
#define snd_seq_set_client_pool_ARG_EXPAND snd_seq_t * handle, snd_seq_client_pool_t * info
#define snd_seq_set_client_pool_PACKED PACKED_int_snd_seq_t___GENPT___snd_seq_client_pool_t___GENPT__
#define snd_seq_set_client_pool_INDEXED INDEXED_int_snd_seq_t___GENPT___snd_seq_client_pool_t___GENPT__
#define snd_seq_set_client_pool_FORMAT FORMAT_int_snd_seq_t___GENPT___snd_seq_client_pool_t___GENPT__
#define snd_seq_set_client_pool_input_INDEX 1634
#define snd_seq_set_client_pool_input_RETURN int
#define snd_seq_set_client_pool_input_ARG_NAMES seq, size
#define snd_seq_set_client_pool_input_ARG_EXPAND snd_seq_t * seq, size_t size
#define snd_seq_set_client_pool_input_PACKED PACKED_int_snd_seq_t___GENPT___size_t
#define snd_seq_set_client_pool_input_INDEXED INDEXED_int_snd_seq_t___GENPT___size_t
#define snd_seq_set_client_pool_input_FORMAT FORMAT_int_snd_seq_t___GENPT___size_t
#define snd_seq_set_client_pool_output_room_INDEX 1635
#define snd_seq_set_client_pool_output_room_RETURN int
#define snd_seq_set_client_pool_output_room_ARG_NAMES seq, size
#define snd_seq_set_client_pool_output_room_ARG_EXPAND snd_seq_t * seq, size_t size
#define snd_seq_set_client_pool_output_room_PACKED PACKED_int_snd_seq_t___GENPT___size_t
#define snd_seq_set_client_pool_output_room_INDEXED INDEXED_int_snd_seq_t___GENPT___size_t
#define snd_seq_set_client_pool_output_room_FORMAT FORMAT_int_snd_seq_t___GENPT___size_t
#define snd_seq_set_input_buffer_size_INDEX 1636
#define snd_seq_set_input_buffer_size_RETURN int
#define snd_seq_set_input_buffer_size_ARG_NAMES handle, size
#define snd_seq_set_input_buffer_size_ARG_EXPAND snd_seq_t * handle, size_t size
#define snd_seq_set_input_buffer_size_PACKED PACKED_int_snd_seq_t___GENPT___size_t
#define snd_seq_set_input_buffer_size_INDEXED INDEXED_int_snd_seq_t___GENPT___size_t
#define snd_seq_set_input_buffer_size_FORMAT FORMAT_int_snd_seq_t___GENPT___size_t
#define snd_seq_set_output_buffer_size_INDEX 1637
#define snd_seq_set_output_buffer_size_RETURN int
#define snd_seq_set_output_buffer_size_ARG_NAMES handle, size
#define snd_seq_set_output_buffer_size_ARG_EXPAND snd_seq_t * handle, size_t size
#define snd_seq_set_output_buffer_size_PACKED PACKED_int_snd_seq_t___GENPT___size_t
#define snd_seq_set_output_buffer_size_INDEXED INDEXED_int_snd_seq_t___GENPT___size_t
#define snd_seq_set_output_buffer_size_FORMAT FORMAT_int_snd_seq_t___GENPT___size_t
#define snd_seq_set_port_info_INDEX 1638
#define snd_seq_set_port_info_RETURN int
#define snd_seq_set_port_info_ARG_NAMES handle, port, info
#define snd_seq_set_port_info_ARG_EXPAND snd_seq_t * handle, int port, snd_seq_port_info_t * info
#define snd_seq_set_port_info_PACKED PACKED_int_snd_seq_t___GENPT___int_snd_seq_port_info_t___GENPT__
#define snd_seq_set_port_info_INDEXED INDEXED_int_snd_seq_t___GENPT___int_snd_seq_port_info_t___GENPT__
#define snd_seq_set_port_info_FORMAT FORMAT_int_snd_seq_t___GENPT___int_snd_seq_port_info_t___GENPT__
#define snd_seq_set_queue_info_INDEX 1639
#define snd_seq_set_queue_info_RETURN int
#define snd_seq_set_queue_info_ARG_NAMES seq, q, info
#define snd_seq_set_queue_info_ARG_EXPAND snd_seq_t * seq, int q, snd_seq_queue_info_t * info
#define snd_seq_set_queue_info_PACKED PACKED_int_snd_seq_t___GENPT___int_snd_seq_queue_info_t___GENPT__
#define snd_seq_set_queue_info_INDEXED INDEXED_int_snd_seq_t___GENPT___int_snd_seq_queue_info_t___GENPT__
#define snd_seq_set_queue_info_FORMAT FORMAT_int_snd_seq_t___GENPT___int_snd_seq_queue_info_t___GENPT__
#define snd_seq_set_queue_tempo_INDEX 1640
#define snd_seq_set_queue_tempo_RETURN int
#define snd_seq_set_queue_tempo_ARG_NAMES handle, q, tempo
#define snd_seq_set_queue_tempo_ARG_EXPAND snd_seq_t * handle, int q, snd_seq_queue_tempo_t * tempo
#define snd_seq_set_queue_tempo_PACKED PACKED_int_snd_seq_t___GENPT___int_snd_seq_queue_tempo_t___GENPT__
#define snd_seq_set_queue_tempo_INDEXED INDEXED_int_snd_seq_t___GENPT___int_snd_seq_queue_tempo_t___GENPT__
#define snd_seq_set_queue_tempo_FORMAT FORMAT_int_snd_seq_t___GENPT___int_snd_seq_queue_tempo_t___GENPT__
#define snd_seq_set_queue_timer_INDEX 1641
#define snd_seq_set_queue_timer_RETURN int
#define snd_seq_set_queue_timer_ARG_NAMES handle, q, timer
#define snd_seq_set_queue_timer_ARG_EXPAND snd_seq_t * handle, int q, snd_seq_queue_timer_t * timer
#define snd_seq_set_queue_timer_PACKED PACKED_int_snd_seq_t___GENPT___int_snd_seq_queue_timer_t___GENPT__
#define snd_seq_set_queue_timer_INDEXED INDEXED_int_snd_seq_t___GENPT___int_snd_seq_queue_timer_t___GENPT__
#define snd_seq_set_queue_timer_FORMAT FORMAT_int_snd_seq_t___GENPT___int_snd_seq_queue_timer_t___GENPT__
#define snd_seq_set_queue_usage_INDEX 1642
#define snd_seq_set_queue_usage_RETURN int
#define snd_seq_set_queue_usage_ARG_NAMES handle, q, used
#define snd_seq_set_queue_usage_ARG_EXPAND snd_seq_t * handle, int q, int used
#define snd_seq_set_queue_usage_PACKED PACKED_int_snd_seq_t___GENPT___int_int
#define snd_seq_set_queue_usage_INDEXED INDEXED_int_snd_seq_t___GENPT___int_int
#define snd_seq_set_queue_usage_FORMAT FORMAT_int_snd_seq_t___GENPT___int_int
#define snd_seq_subscribe_port_INDEX 1643
#define snd_seq_subscribe_port_RETURN int
#define snd_seq_subscribe_port_ARG_NAMES handle, sub
#define snd_seq_subscribe_port_ARG_EXPAND snd_seq_t * handle, snd_seq_port_subscribe_t * sub
#define snd_seq_subscribe_port_PACKED PACKED_int_snd_seq_t___GENPT___snd_seq_port_subscribe_t___GENPT__
#define snd_seq_subscribe_port_INDEXED INDEXED_int_snd_seq_t___GENPT___snd_seq_port_subscribe_t___GENPT__
#define snd_seq_subscribe_port_FORMAT FORMAT_int_snd_seq_t___GENPT___snd_seq_port_subscribe_t___GENPT__
#define snd_seq_sync_output_queue_INDEX 1644
#define snd_seq_sync_output_queue_RETURN int
#define snd_seq_sync_output_queue_ARG_NAMES seq
#define snd_seq_sync_output_queue_ARG_EXPAND snd_seq_t * seq
#define snd_seq_sync_output_queue_PACKED PACKED_int_snd_seq_t___GENPT__
#define snd_seq_sync_output_queue_INDEXED INDEXED_int_snd_seq_t___GENPT__
#define snd_seq_sync_output_queue_FORMAT FORMAT_int_snd_seq_t___GENPT__
#define snd_seq_system_info_INDEX 1645
#define snd_seq_system_info_RETURN int
#define snd_seq_system_info_ARG_NAMES handle, info
#define snd_seq_system_info_ARG_EXPAND snd_seq_t * handle, snd_seq_system_info_t * info
#define snd_seq_system_info_PACKED PACKED_int_snd_seq_t___GENPT___snd_seq_system_info_t___GENPT__
#define snd_seq_system_info_INDEXED INDEXED_int_snd_seq_t___GENPT___snd_seq_system_info_t___GENPT__
#define snd_seq_system_info_FORMAT FORMAT_int_snd_seq_t___GENPT___snd_seq_system_info_t___GENPT__
#define snd_seq_system_info_copy_INDEX 1646
#define snd_seq_system_info_copy_RETURN void
#define snd_seq_system_info_copy_ARG_NAMES dst, src
#define snd_seq_system_info_copy_ARG_EXPAND snd_seq_system_info_t * dst, const snd_seq_system_info_t * src
#define snd_seq_system_info_copy_PACKED PACKED_void_snd_seq_system_info_t___GENPT___const_snd_seq_system_info_t___GENPT__
#define snd_seq_system_info_copy_INDEXED INDEXED_void_snd_seq_system_info_t___GENPT___const_snd_seq_system_info_t___GENPT__
#define snd_seq_system_info_copy_FORMAT FORMAT_void_snd_seq_system_info_t___GENPT___const_snd_seq_system_info_t___GENPT__
#define snd_seq_system_info_free_INDEX 1647
#define snd_seq_system_info_free_RETURN void
#define snd_seq_system_info_free_ARG_NAMES ptr
#define snd_seq_system_info_free_ARG_EXPAND snd_seq_system_info_t * ptr
#define snd_seq_system_info_free_PACKED PACKED_void_snd_seq_system_info_t___GENPT__
#define snd_seq_system_info_free_INDEXED INDEXED_void_snd_seq_system_info_t___GENPT__
#define snd_seq_system_info_free_FORMAT FORMAT_void_snd_seq_system_info_t___GENPT__
#define snd_seq_system_info_get_channels_INDEX 1648
#define snd_seq_system_info_get_channels_RETURN int
#define snd_seq_system_info_get_channels_ARG_NAMES info
#define snd_seq_system_info_get_channels_ARG_EXPAND const snd_seq_system_info_t * info
#define snd_seq_system_info_get_channels_PACKED PACKED_int_const_snd_seq_system_info_t___GENPT__
#define snd_seq_system_info_get_channels_INDEXED INDEXED_int_const_snd_seq_system_info_t___GENPT__
#define snd_seq_system_info_get_channels_FORMAT FORMAT_int_const_snd_seq_system_info_t___GENPT__
#define snd_seq_system_info_get_clients_INDEX 1649
#define snd_seq_system_info_get_clients_RETURN int
#define snd_seq_system_info_get_clients_ARG_NAMES info
#define snd_seq_system_info_get_clients_ARG_EXPAND const snd_seq_system_info_t * info
#define snd_seq_system_info_get_clients_PACKED PACKED_int_const_snd_seq_system_info_t___GENPT__
#define snd_seq_system_info_get_clients_INDEXED INDEXED_int_const_snd_seq_system_info_t___GENPT__
#define snd_seq_system_info_get_clients_FORMAT FORMAT_int_const_snd_seq_system_info_t___GENPT__
#define snd_seq_system_info_get_cur_clients_INDEX 1650
#define snd_seq_system_info_get_cur_clients_RETURN int
#define snd_seq_system_info_get_cur_clients_ARG_NAMES info
#define snd_seq_system_info_get_cur_clients_ARG_EXPAND const snd_seq_system_info_t * info
#define snd_seq_system_info_get_cur_clients_PACKED PACKED_int_const_snd_seq_system_info_t___GENPT__
#define snd_seq_system_info_get_cur_clients_INDEXED INDEXED_int_const_snd_seq_system_info_t___GENPT__
#define snd_seq_system_info_get_cur_clients_FORMAT FORMAT_int_const_snd_seq_system_info_t___GENPT__
#define snd_seq_system_info_get_cur_queues_INDEX 1651
#define snd_seq_system_info_get_cur_queues_RETURN int
#define snd_seq_system_info_get_cur_queues_ARG_NAMES info
#define snd_seq_system_info_get_cur_queues_ARG_EXPAND const snd_seq_system_info_t * info
#define snd_seq_system_info_get_cur_queues_PACKED PACKED_int_const_snd_seq_system_info_t___GENPT__
#define snd_seq_system_info_get_cur_queues_INDEXED INDEXED_int_const_snd_seq_system_info_t___GENPT__
#define snd_seq_system_info_get_cur_queues_FORMAT FORMAT_int_const_snd_seq_system_info_t___GENPT__
#define snd_seq_system_info_get_ports_INDEX 1652
#define snd_seq_system_info_get_ports_RETURN int
#define snd_seq_system_info_get_ports_ARG_NAMES info
#define snd_seq_system_info_get_ports_ARG_EXPAND const snd_seq_system_info_t * info
#define snd_seq_system_info_get_ports_PACKED PACKED_int_const_snd_seq_system_info_t___GENPT__
#define snd_seq_system_info_get_ports_INDEXED INDEXED_int_const_snd_seq_system_info_t___GENPT__
#define snd_seq_system_info_get_ports_FORMAT FORMAT_int_const_snd_seq_system_info_t___GENPT__
#define snd_seq_system_info_get_queues_INDEX 1653
#define snd_seq_system_info_get_queues_RETURN int
#define snd_seq_system_info_get_queues_ARG_NAMES info
#define snd_seq_system_info_get_queues_ARG_EXPAND const snd_seq_system_info_t * info
#define snd_seq_system_info_get_queues_PACKED PACKED_int_const_snd_seq_system_info_t___GENPT__
#define snd_seq_system_info_get_queues_INDEXED INDEXED_int_const_snd_seq_system_info_t___GENPT__
#define snd_seq_system_info_get_queues_FORMAT FORMAT_int_const_snd_seq_system_info_t___GENPT__
#define snd_seq_system_info_malloc_INDEX 1654
#define snd_seq_system_info_malloc_RETURN int
#define snd_seq_system_info_malloc_ARG_NAMES ptr
#define snd_seq_system_info_malloc_ARG_EXPAND snd_seq_system_info_t ** ptr
#define snd_seq_system_info_malloc_PACKED PACKED_int_snd_seq_system_info_t___GENPT____GENPT__
#define snd_seq_system_info_malloc_INDEXED INDEXED_int_snd_seq_system_info_t___GENPT____GENPT__
#define snd_seq_system_info_malloc_FORMAT FORMAT_int_snd_seq_system_info_t___GENPT____GENPT__
#define snd_seq_system_info_sizeof_INDEX 1655
#define snd_seq_system_info_sizeof_RETURN size_t
#define snd_seq_system_info_sizeof_ARG_NAMES 
#define snd_seq_system_info_sizeof_ARG_EXPAND 
#define snd_seq_system_info_sizeof_PACKED PACKED_size_t
#define snd_seq_system_info_sizeof_INDEXED INDEXED_size_t
#define snd_seq_system_info_sizeof_FORMAT FORMAT_size_t
#define snd_seq_type_INDEX 1656
#define snd_seq_type_RETURN snd_seq_type_t
#define snd_seq_type_ARG_NAMES seq
#define snd_seq_type_ARG_EXPAND snd_seq_t * seq
#define snd_seq_type_PACKED PACKED_snd_seq_type_t_snd_seq_t___GENPT__
#define snd_seq_type_INDEXED INDEXED_snd_seq_type_t_snd_seq_t___GENPT__
#define snd_seq_type_FORMAT FORMAT_snd_seq_type_t_snd_seq_t___GENPT__
#define snd_seq_unsubscribe_port_INDEX 1657
#define snd_seq_unsubscribe_port_RETURN int
#define snd_seq_unsubscribe_port_ARG_NAMES handle, sub
#define snd_seq_unsubscribe_port_ARG_EXPAND snd_seq_t * handle, snd_seq_port_subscribe_t * sub
#define snd_seq_unsubscribe_port_PACKED PACKED_int_snd_seq_t___GENPT___snd_seq_port_subscribe_t___GENPT__
#define snd_seq_unsubscribe_port_INDEXED INDEXED_int_snd_seq_t___GENPT___snd_seq_port_subscribe_t___GENPT__
#define snd_seq_unsubscribe_port_FORMAT FORMAT_int_snd_seq_t___GENPT___snd_seq_port_subscribe_t___GENPT__
#define snd_shm_area_create_INDEX 1658
#define snd_shm_area_create_RETURN struct snd_shm_area *
#define snd_shm_area_create_ARG_NAMES shmid, ptr
#define snd_shm_area_create_ARG_EXPAND int shmid, void * ptr
#define snd_shm_area_create_PACKED PACKED_struct_snd_shm_area___GENPT___int_void___GENPT__
#define snd_shm_area_create_INDEXED INDEXED_struct_snd_shm_area___GENPT___int_void___GENPT__
#define snd_shm_area_create_FORMAT FORMAT_struct_snd_shm_area___GENPT___int_void___GENPT__
#define snd_shm_area_destroy_INDEX 1659
#define snd_shm_area_destroy_RETURN int
#define snd_shm_area_destroy_ARG_NAMES area
#define snd_shm_area_destroy_ARG_EXPAND struct snd_shm_area * area
#define snd_shm_area_destroy_PACKED PACKED_int_struct_snd_shm_area___GENPT__
#define snd_shm_area_destroy_INDEXED INDEXED_int_struct_snd_shm_area___GENPT__
#define snd_shm_area_destroy_FORMAT FORMAT_int_struct_snd_shm_area___GENPT__
#define snd_shm_area_share_INDEX 1660
#define snd_shm_area_share_RETURN struct snd_shm_area *
#define snd_shm_area_share_ARG_NAMES area
#define snd_shm_area_share_ARG_EXPAND struct snd_shm_area * area
#define snd_shm_area_share_PACKED PACKED_struct_snd_shm_area___GENPT___struct_snd_shm_area___GENPT__
#define snd_shm_area_share_INDEXED INDEXED_struct_snd_shm_area___GENPT___struct_snd_shm_area___GENPT__
#define snd_shm_area_share_FORMAT FORMAT_struct_snd_shm_area___GENPT___struct_snd_shm_area___GENPT__
#define snd_spcm_init_INDEX 1661
#define snd_spcm_init_RETURN int
#define snd_spcm_init_ARG_NAMES pcm, rate, channels, format, subformat, latency, _access, xrun_type
#define snd_spcm_init_ARG_EXPAND snd_pcm_t * pcm, unsigned int rate, unsigned int channels, snd_pcm_format_t format, snd_pcm_subformat_t subformat, snd_spcm_latency_t latency, snd_pcm_access_t _access, snd_spcm_xrun_type_t xrun_type
#define snd_spcm_init_PACKED PACKED_int_snd_pcm_t___GENPT___unsigned_int_unsigned_int_snd_pcm_format_t_snd_pcm_subformat_t_snd_spcm_latency_t_snd_pcm_access_t_snd_spcm_xrun_type_t
#define snd_spcm_init_INDEXED INDEXED_int_snd_pcm_t___GENPT___unsigned_int_unsigned_int_snd_pcm_format_t_snd_pcm_subformat_t_snd_spcm_latency_t_snd_pcm_access_t_snd_spcm_xrun_type_t
#define snd_spcm_init_FORMAT FORMAT_int_snd_pcm_t___GENPT___unsigned_int_unsigned_int_snd_pcm_format_t_snd_pcm_subformat_t_snd_spcm_latency_t_snd_pcm_access_t_snd_spcm_xrun_type_t
#define snd_spcm_init_duplex_INDEX 1662
#define snd_spcm_init_duplex_RETURN int
#define snd_spcm_init_duplex_ARG_NAMES playback_pcm, capture_pcm, rate, channels, format, subformat, latency, _access, xrun_type, duplex_type
#define snd_spcm_init_duplex_ARG_EXPAND snd_pcm_t * playback_pcm, snd_pcm_t * capture_pcm, unsigned int rate, unsigned int channels, snd_pcm_format_t format, snd_pcm_subformat_t subformat, snd_spcm_latency_t latency, snd_pcm_access_t _access, snd_spcm_xrun_type_t xrun_type, snd_spcm_duplex_type_t duplex_type
#define snd_spcm_init_duplex_PACKED PACKED_int_snd_pcm_t___GENPT___snd_pcm_t___GENPT___unsigned_int_unsigned_int_snd_pcm_format_t_snd_pcm_subformat_t_snd_spcm_latency_t_snd_pcm_access_t_snd_spcm_xrun_type_t_snd_spcm_duplex_type_t
#define snd_spcm_init_duplex_INDEXED INDEXED_int_snd_pcm_t___GENPT___snd_pcm_t___GENPT___unsigned_int_unsigned_int_snd_pcm_format_t_snd_pcm_subformat_t_snd_spcm_latency_t_snd_pcm_access_t_snd_spcm_xrun_type_t_snd_spcm_duplex_type_t
#define snd_spcm_init_duplex_FORMAT FORMAT_int_snd_pcm_t___GENPT___snd_pcm_t___GENPT___unsigned_int_unsigned_int_snd_pcm_format_t_snd_pcm_subformat_t_snd_spcm_latency_t_snd_pcm_access_t_snd_spcm_xrun_type_t_snd_spcm_duplex_type_t
#define snd_spcm_init_get_params_INDEX 1663
#define snd_spcm_init_get_params_RETURN int
#define snd_spcm_init_get_params_ARG_NAMES pcm, rate, buffer_size, period_size
#define snd_spcm_init_get_params_ARG_EXPAND snd_pcm_t * pcm, unsigned int * rate, snd_pcm_uframes_t * buffer_size, snd_pcm_uframes_t * period_size
#define snd_spcm_init_get_params_PACKED PACKED_int_snd_pcm_t___GENPT___unsigned_int___GENPT___snd_pcm_uframes_t___GENPT___snd_pcm_uframes_t___GENPT__
#define snd_spcm_init_get_params_INDEXED INDEXED_int_snd_pcm_t___GENPT___unsigned_int___GENPT___snd_pcm_uframes_t___GENPT___snd_pcm_uframes_t___GENPT__
#define snd_spcm_init_get_params_FORMAT FORMAT_int_snd_pcm_t___GENPT___unsigned_int___GENPT___snd_pcm_uframes_t___GENPT___snd_pcm_uframes_t___GENPT__
#define snd_strerror_INDEX 1664
#define snd_strerror_RETURN const char *
#define snd_strerror_ARG_NAMES errnum
#define snd_strerror_ARG_EXPAND int errnum
#define snd_strerror_PACKED PACKED_const_char___GENPT___int
#define snd_strerror_INDEXED INDEXED_const_char___GENPT___int
#define snd_strerror_FORMAT FORMAT_const_char___GENPT___int
#define snd_timer_close_INDEX 1665
#define snd_timer_close_RETURN int
#define snd_timer_close_ARG_NAMES handle
#define snd_timer_close_ARG_EXPAND snd_timer_t * handle
#define snd_timer_close_PACKED PACKED_int_snd_timer_t___GENPT__
#define snd_timer_close_INDEXED INDEXED_int_snd_timer_t___GENPT__
#define snd_timer_close_FORMAT FORMAT_int_snd_timer_t___GENPT__
#define snd_timer_continue_INDEX 1666
#define snd_timer_continue_RETURN int
#define snd_timer_continue_ARG_NAMES handle
#define snd_timer_continue_ARG_EXPAND snd_timer_t * handle
#define snd_timer_continue_PACKED PACKED_int_snd_timer_t___GENPT__
#define snd_timer_continue_INDEXED INDEXED_int_snd_timer_t___GENPT__
#define snd_timer_continue_FORMAT FORMAT_int_snd_timer_t___GENPT__
#define snd_timer_ginfo_copy_INDEX 1667
#define snd_timer_ginfo_copy_RETURN void
#define snd_timer_ginfo_copy_ARG_NAMES dst, src
#define snd_timer_ginfo_copy_ARG_EXPAND snd_timer_ginfo_t * dst, const snd_timer_ginfo_t * src
#define snd_timer_ginfo_copy_PACKED PACKED_void_snd_timer_ginfo_t___GENPT___const_snd_timer_ginfo_t___GENPT__
#define snd_timer_ginfo_copy_INDEXED INDEXED_void_snd_timer_ginfo_t___GENPT___const_snd_timer_ginfo_t___GENPT__
#define snd_timer_ginfo_copy_FORMAT FORMAT_void_snd_timer_ginfo_t___GENPT___const_snd_timer_ginfo_t___GENPT__
#define snd_timer_ginfo_free_INDEX 1668
#define snd_timer_ginfo_free_RETURN void
#define snd_timer_ginfo_free_ARG_NAMES obj
#define snd_timer_ginfo_free_ARG_EXPAND snd_timer_ginfo_t * obj
#define snd_timer_ginfo_free_PACKED PACKED_void_snd_timer_ginfo_t___GENPT__
#define snd_timer_ginfo_free_INDEXED INDEXED_void_snd_timer_ginfo_t___GENPT__
#define snd_timer_ginfo_free_FORMAT FORMAT_void_snd_timer_ginfo_t___GENPT__
#define snd_timer_ginfo_get_card_INDEX 1669
#define snd_timer_ginfo_get_card_RETURN int
#define snd_timer_ginfo_get_card_ARG_NAMES obj
#define snd_timer_ginfo_get_card_ARG_EXPAND snd_timer_ginfo_t * obj
#define snd_timer_ginfo_get_card_PACKED PACKED_int_snd_timer_ginfo_t___GENPT__
#define snd_timer_ginfo_get_card_INDEXED INDEXED_int_snd_timer_ginfo_t___GENPT__
#define snd_timer_ginfo_get_card_FORMAT FORMAT_int_snd_timer_ginfo_t___GENPT__
#define snd_timer_ginfo_get_clients_INDEX 1670
#define snd_timer_ginfo_get_clients_RETURN unsigned int
#define snd_timer_ginfo_get_clients_ARG_NAMES obj
#define snd_timer_ginfo_get_clients_ARG_EXPAND snd_timer_ginfo_t * obj
#define snd_timer_ginfo_get_clients_PACKED PACKED_unsigned_int_snd_timer_ginfo_t___GENPT__
#define snd_timer_ginfo_get_clients_INDEXED INDEXED_unsigned_int_snd_timer_ginfo_t___GENPT__
#define snd_timer_ginfo_get_clients_FORMAT FORMAT_unsigned_int_snd_timer_ginfo_t___GENPT__
#define snd_timer_ginfo_get_flags_INDEX 1671
#define snd_timer_ginfo_get_flags_RETURN unsigned int
#define snd_timer_ginfo_get_flags_ARG_NAMES obj
#define snd_timer_ginfo_get_flags_ARG_EXPAND snd_timer_ginfo_t * obj
#define snd_timer_ginfo_get_flags_PACKED PACKED_unsigned_int_snd_timer_ginfo_t___GENPT__
#define snd_timer_ginfo_get_flags_INDEXED INDEXED_unsigned_int_snd_timer_ginfo_t___GENPT__
#define snd_timer_ginfo_get_flags_FORMAT FORMAT_unsigned_int_snd_timer_ginfo_t___GENPT__
#define snd_timer_ginfo_get_id_INDEX 1672
#define snd_timer_ginfo_get_id_RETURN char *
#define snd_timer_ginfo_get_id_ARG_NAMES obj
#define snd_timer_ginfo_get_id_ARG_EXPAND snd_timer_ginfo_t * obj
#define snd_timer_ginfo_get_id_PACKED PACKED_char___GENPT___snd_timer_ginfo_t___GENPT__
#define snd_timer_ginfo_get_id_INDEXED INDEXED_char___GENPT___snd_timer_ginfo_t___GENPT__
#define snd_timer_ginfo_get_id_FORMAT FORMAT_char___GENPT___snd_timer_ginfo_t___GENPT__
#define snd_timer_ginfo_get_name_INDEX 1673
#define snd_timer_ginfo_get_name_RETURN char *
#define snd_timer_ginfo_get_name_ARG_NAMES obj
#define snd_timer_ginfo_get_name_ARG_EXPAND snd_timer_ginfo_t * obj
#define snd_timer_ginfo_get_name_PACKED PACKED_char___GENPT___snd_timer_ginfo_t___GENPT__
#define snd_timer_ginfo_get_name_INDEXED INDEXED_char___GENPT___snd_timer_ginfo_t___GENPT__
#define snd_timer_ginfo_get_name_FORMAT FORMAT_char___GENPT___snd_timer_ginfo_t___GENPT__
#define snd_timer_ginfo_get_resolution_INDEX 1674
#define snd_timer_ginfo_get_resolution_RETURN unsigned long
#define snd_timer_ginfo_get_resolution_ARG_NAMES obj
#define snd_timer_ginfo_get_resolution_ARG_EXPAND snd_timer_ginfo_t * obj
#define snd_timer_ginfo_get_resolution_PACKED PACKED_unsigned_long_snd_timer_ginfo_t___GENPT__
#define snd_timer_ginfo_get_resolution_INDEXED INDEXED_unsigned_long_snd_timer_ginfo_t___GENPT__
#define snd_timer_ginfo_get_resolution_FORMAT FORMAT_unsigned_long_snd_timer_ginfo_t___GENPT__
#define snd_timer_ginfo_get_resolution_max_INDEX 1675
#define snd_timer_ginfo_get_resolution_max_RETURN unsigned long
#define snd_timer_ginfo_get_resolution_max_ARG_NAMES obj
#define snd_timer_ginfo_get_resolution_max_ARG_EXPAND snd_timer_ginfo_t * obj
#define snd_timer_ginfo_get_resolution_max_PACKED PACKED_unsigned_long_snd_timer_ginfo_t___GENPT__
#define snd_timer_ginfo_get_resolution_max_INDEXED INDEXED_unsigned_long_snd_timer_ginfo_t___GENPT__
#define snd_timer_ginfo_get_resolution_max_FORMAT FORMAT_unsigned_long_snd_timer_ginfo_t___GENPT__
#define snd_timer_ginfo_get_resolution_min_INDEX 1676
#define snd_timer_ginfo_get_resolution_min_RETURN unsigned long
#define snd_timer_ginfo_get_resolution_min_ARG_NAMES obj
#define snd_timer_ginfo_get_resolution_min_ARG_EXPAND snd_timer_ginfo_t * obj
#define snd_timer_ginfo_get_resolution_min_PACKED PACKED_unsigned_long_snd_timer_ginfo_t___GENPT__
#define snd_timer_ginfo_get_resolution_min_INDEXED INDEXED_unsigned_long_snd_timer_ginfo_t___GENPT__
#define snd_timer_ginfo_get_resolution_min_FORMAT FORMAT_unsigned_long_snd_timer_ginfo_t___GENPT__
#define snd_timer_ginfo_get_tid_INDEX 1677
#define snd_timer_ginfo_get_tid_RETURN snd_timer_id_t *
#define snd_timer_ginfo_get_tid_ARG_NAMES obj
#define snd_timer_ginfo_get_tid_ARG_EXPAND snd_timer_ginfo_t * obj
#define snd_timer_ginfo_get_tid_PACKED PACKED_snd_timer_id_t___GENPT___snd_timer_ginfo_t___GENPT__
#define snd_timer_ginfo_get_tid_INDEXED INDEXED_snd_timer_id_t___GENPT___snd_timer_ginfo_t___GENPT__
#define snd_timer_ginfo_get_tid_FORMAT FORMAT_snd_timer_id_t___GENPT___snd_timer_ginfo_t___GENPT__
#define snd_timer_ginfo_malloc_INDEX 1678
#define snd_timer_ginfo_malloc_RETURN int
#define snd_timer_ginfo_malloc_ARG_NAMES ptr
#define snd_timer_ginfo_malloc_ARG_EXPAND snd_timer_ginfo_t ** ptr
#define snd_timer_ginfo_malloc_PACKED PACKED_int_snd_timer_ginfo_t___GENPT____GENPT__
#define snd_timer_ginfo_malloc_INDEXED INDEXED_int_snd_timer_ginfo_t___GENPT____GENPT__
#define snd_timer_ginfo_malloc_FORMAT FORMAT_int_snd_timer_ginfo_t___GENPT____GENPT__
#define snd_timer_ginfo_set_tid_INDEX 1679
#define snd_timer_ginfo_set_tid_RETURN int
#define snd_timer_ginfo_set_tid_ARG_NAMES obj, tid
#define snd_timer_ginfo_set_tid_ARG_EXPAND snd_timer_ginfo_t * obj, snd_timer_id_t * tid
#define snd_timer_ginfo_set_tid_PACKED PACKED_int_snd_timer_ginfo_t___GENPT___snd_timer_id_t___GENPT__
#define snd_timer_ginfo_set_tid_INDEXED INDEXED_int_snd_timer_ginfo_t___GENPT___snd_timer_id_t___GENPT__
#define snd_timer_ginfo_set_tid_FORMAT FORMAT_int_snd_timer_ginfo_t___GENPT___snd_timer_id_t___GENPT__
#define snd_timer_ginfo_sizeof_INDEX 1680
#define snd_timer_ginfo_sizeof_RETURN size_t
#define snd_timer_ginfo_sizeof_ARG_NAMES 
#define snd_timer_ginfo_sizeof_ARG_EXPAND 
#define snd_timer_ginfo_sizeof_PACKED PACKED_size_t
#define snd_timer_ginfo_sizeof_INDEXED INDEXED_size_t
#define snd_timer_ginfo_sizeof_FORMAT FORMAT_size_t
#define snd_timer_id_copy_INDEX 1681
#define snd_timer_id_copy_RETURN void
#define snd_timer_id_copy_ARG_NAMES dst, src
#define snd_timer_id_copy_ARG_EXPAND snd_timer_id_t * dst, const snd_timer_id_t * src
#define snd_timer_id_copy_PACKED PACKED_void_snd_timer_id_t___GENPT___const_snd_timer_id_t___GENPT__
#define snd_timer_id_copy_INDEXED INDEXED_void_snd_timer_id_t___GENPT___const_snd_timer_id_t___GENPT__
#define snd_timer_id_copy_FORMAT FORMAT_void_snd_timer_id_t___GENPT___const_snd_timer_id_t___GENPT__
#define snd_timer_id_free_INDEX 1682
#define snd_timer_id_free_RETURN void
#define snd_timer_id_free_ARG_NAMES obj
#define snd_timer_id_free_ARG_EXPAND snd_timer_id_t * obj
#define snd_timer_id_free_PACKED PACKED_void_snd_timer_id_t___GENPT__
#define snd_timer_id_free_INDEXED INDEXED_void_snd_timer_id_t___GENPT__
#define snd_timer_id_free_FORMAT FORMAT_void_snd_timer_id_t___GENPT__
#define snd_timer_id_get_card_INDEX 1683
#define snd_timer_id_get_card_RETURN int
#define snd_timer_id_get_card_ARG_NAMES id
#define snd_timer_id_get_card_ARG_EXPAND snd_timer_id_t * id
#define snd_timer_id_get_card_PACKED PACKED_int_snd_timer_id_t___GENPT__
#define snd_timer_id_get_card_INDEXED INDEXED_int_snd_timer_id_t___GENPT__
#define snd_timer_id_get_card_FORMAT FORMAT_int_snd_timer_id_t___GENPT__
#define snd_timer_id_get_class_INDEX 1684
#define snd_timer_id_get_class_RETURN int
#define snd_timer_id_get_class_ARG_NAMES id
#define snd_timer_id_get_class_ARG_EXPAND snd_timer_id_t * id
#define snd_timer_id_get_class_PACKED PACKED_int_snd_timer_id_t___GENPT__
#define snd_timer_id_get_class_INDEXED INDEXED_int_snd_timer_id_t___GENPT__
#define snd_timer_id_get_class_FORMAT FORMAT_int_snd_timer_id_t___GENPT__
#define snd_timer_id_get_device_INDEX 1685
#define snd_timer_id_get_device_RETURN int
#define snd_timer_id_get_device_ARG_NAMES id
#define snd_timer_id_get_device_ARG_EXPAND snd_timer_id_t * id
#define snd_timer_id_get_device_PACKED PACKED_int_snd_timer_id_t___GENPT__
#define snd_timer_id_get_device_INDEXED INDEXED_int_snd_timer_id_t___GENPT__
#define snd_timer_id_get_device_FORMAT FORMAT_int_snd_timer_id_t___GENPT__
#define snd_timer_id_get_sclass_INDEX 1686
#define snd_timer_id_get_sclass_RETURN int
#define snd_timer_id_get_sclass_ARG_NAMES id
#define snd_timer_id_get_sclass_ARG_EXPAND snd_timer_id_t * id
#define snd_timer_id_get_sclass_PACKED PACKED_int_snd_timer_id_t___GENPT__
#define snd_timer_id_get_sclass_INDEXED INDEXED_int_snd_timer_id_t___GENPT__
#define snd_timer_id_get_sclass_FORMAT FORMAT_int_snd_timer_id_t___GENPT__
#define snd_timer_id_get_subdevice_INDEX 1687
#define snd_timer_id_get_subdevice_RETURN int
#define snd_timer_id_get_subdevice_ARG_NAMES id
#define snd_timer_id_get_subdevice_ARG_EXPAND snd_timer_id_t * id
#define snd_timer_id_get_subdevice_PACKED PACKED_int_snd_timer_id_t___GENPT__
#define snd_timer_id_get_subdevice_INDEXED INDEXED_int_snd_timer_id_t___GENPT__
#define snd_timer_id_get_subdevice_FORMAT FORMAT_int_snd_timer_id_t___GENPT__
#define snd_timer_id_malloc_INDEX 1688
#define snd_timer_id_malloc_RETURN int
#define snd_timer_id_malloc_ARG_NAMES ptr
#define snd_timer_id_malloc_ARG_EXPAND snd_timer_id_t ** ptr
#define snd_timer_id_malloc_PACKED PACKED_int_snd_timer_id_t___GENPT____GENPT__
#define snd_timer_id_malloc_INDEXED INDEXED_int_snd_timer_id_t___GENPT____GENPT__
#define snd_timer_id_malloc_FORMAT FORMAT_int_snd_timer_id_t___GENPT____GENPT__
#define snd_timer_id_set_card_INDEX 1689
#define snd_timer_id_set_card_RETURN void
#define snd_timer_id_set_card_ARG_NAMES id, card
#define snd_timer_id_set_card_ARG_EXPAND snd_timer_id_t * id, int card
#define snd_timer_id_set_card_PACKED PACKED_void_snd_timer_id_t___GENPT___int
#define snd_timer_id_set_card_INDEXED INDEXED_void_snd_timer_id_t___GENPT___int
#define snd_timer_id_set_card_FORMAT FORMAT_void_snd_timer_id_t___GENPT___int
#define snd_timer_id_set_class_INDEX 1690
#define snd_timer_id_set_class_RETURN void
#define snd_timer_id_set_class_ARG_NAMES id, dev_class
#define snd_timer_id_set_class_ARG_EXPAND snd_timer_id_t * id, int dev_class
#define snd_timer_id_set_class_PACKED PACKED_void_snd_timer_id_t___GENPT___int
#define snd_timer_id_set_class_INDEXED INDEXED_void_snd_timer_id_t___GENPT___int
#define snd_timer_id_set_class_FORMAT FORMAT_void_snd_timer_id_t___GENPT___int
#define snd_timer_id_set_device_INDEX 1691
#define snd_timer_id_set_device_RETURN void
#define snd_timer_id_set_device_ARG_NAMES id, device
#define snd_timer_id_set_device_ARG_EXPAND snd_timer_id_t * id, int device
#define snd_timer_id_set_device_PACKED PACKED_void_snd_timer_id_t___GENPT___int
#define snd_timer_id_set_device_INDEXED INDEXED_void_snd_timer_id_t___GENPT___int
#define snd_timer_id_set_device_FORMAT FORMAT_void_snd_timer_id_t___GENPT___int
#define snd_timer_id_set_sclass_INDEX 1692
#define snd_timer_id_set_sclass_RETURN void
#define snd_timer_id_set_sclass_ARG_NAMES id, dev_sclass
#define snd_timer_id_set_sclass_ARG_EXPAND snd_timer_id_t * id, int dev_sclass
#define snd_timer_id_set_sclass_PACKED PACKED_void_snd_timer_id_t___GENPT___int
#define snd_timer_id_set_sclass_INDEXED INDEXED_void_snd_timer_id_t___GENPT___int
#define snd_timer_id_set_sclass_FORMAT FORMAT_void_snd_timer_id_t___GENPT___int
#define snd_timer_id_set_subdevice_INDEX 1693
#define snd_timer_id_set_subdevice_RETURN void
#define snd_timer_id_set_subdevice_ARG_NAMES id, subdevice
#define snd_timer_id_set_subdevice_ARG_EXPAND snd_timer_id_t * id, int subdevice
#define snd_timer_id_set_subdevice_PACKED PACKED_void_snd_timer_id_t___GENPT___int
#define snd_timer_id_set_subdevice_INDEXED INDEXED_void_snd_timer_id_t___GENPT___int
#define snd_timer_id_set_subdevice_FORMAT FORMAT_void_snd_timer_id_t___GENPT___int
#define snd_timer_id_sizeof_INDEX 1694
#define snd_timer_id_sizeof_RETURN size_t
#define snd_timer_id_sizeof_ARG_NAMES 
#define snd_timer_id_sizeof_ARG_EXPAND 
#define snd_timer_id_sizeof_PACKED PACKED_size_t
#define snd_timer_id_sizeof_INDEXED INDEXED_size_t
#define snd_timer_id_sizeof_FORMAT FORMAT_size_t
#define snd_timer_info_INDEX 1695
#define snd_timer_info_RETURN int
#define snd_timer_info_ARG_NAMES handle, timer
#define snd_timer_info_ARG_EXPAND snd_timer_t * handle, snd_timer_info_t * timer
#define snd_timer_info_PACKED PACKED_int_snd_timer_t___GENPT___snd_timer_info_t___GENPT__
#define snd_timer_info_INDEXED INDEXED_int_snd_timer_t___GENPT___snd_timer_info_t___GENPT__
#define snd_timer_info_FORMAT FORMAT_int_snd_timer_t___GENPT___snd_timer_info_t___GENPT__
#define snd_timer_info_copy_INDEX 1696
#define snd_timer_info_copy_RETURN void
#define snd_timer_info_copy_ARG_NAMES dst, src
#define snd_timer_info_copy_ARG_EXPAND snd_timer_info_t * dst, const snd_timer_info_t * src
#define snd_timer_info_copy_PACKED PACKED_void_snd_timer_info_t___GENPT___const_snd_timer_info_t___GENPT__
#define snd_timer_info_copy_INDEXED INDEXED_void_snd_timer_info_t___GENPT___const_snd_timer_info_t___GENPT__
#define snd_timer_info_copy_FORMAT FORMAT_void_snd_timer_info_t___GENPT___const_snd_timer_info_t___GENPT__
#define snd_timer_info_free_INDEX 1697
#define snd_timer_info_free_RETURN void
#define snd_timer_info_free_ARG_NAMES obj
#define snd_timer_info_free_ARG_EXPAND snd_timer_info_t * obj
#define snd_timer_info_free_PACKED PACKED_void_snd_timer_info_t___GENPT__
#define snd_timer_info_free_INDEXED INDEXED_void_snd_timer_info_t___GENPT__
#define snd_timer_info_free_FORMAT FORMAT_void_snd_timer_info_t___GENPT__
#define snd_timer_info_get_card_INDEX 1698
#define snd_timer_info_get_card_RETURN int
#define snd_timer_info_get_card_ARG_NAMES info
#define snd_timer_info_get_card_ARG_EXPAND snd_timer_info_t * info
#define snd_timer_info_get_card_PACKED PACKED_int_snd_timer_info_t___GENPT__
#define snd_timer_info_get_card_INDEXED INDEXED_int_snd_timer_info_t___GENPT__
#define snd_timer_info_get_card_FORMAT FORMAT_int_snd_timer_info_t___GENPT__
#define snd_timer_info_get_id_INDEX 1699
#define snd_timer_info_get_id_RETURN const char *
#define snd_timer_info_get_id_ARG_NAMES info
#define snd_timer_info_get_id_ARG_EXPAND snd_timer_info_t * info
#define snd_timer_info_get_id_PACKED PACKED_const_char___GENPT___snd_timer_info_t___GENPT__
#define snd_timer_info_get_id_INDEXED INDEXED_const_char___GENPT___snd_timer_info_t___GENPT__
#define snd_timer_info_get_id_FORMAT FORMAT_const_char___GENPT___snd_timer_info_t___GENPT__
#define snd_timer_info_get_name_INDEX 1700
#define snd_timer_info_get_name_RETURN const char *
#define snd_timer_info_get_name_ARG_NAMES info
#define snd_timer_info_get_name_ARG_EXPAND snd_timer_info_t * info
#define snd_timer_info_get_name_PACKED PACKED_const_char___GENPT___snd_timer_info_t___GENPT__
#define snd_timer_info_get_name_INDEXED INDEXED_const_char___GENPT___snd_timer_info_t___GENPT__
#define snd_timer_info_get_name_FORMAT FORMAT_const_char___GENPT___snd_timer_info_t___GENPT__
#define snd_timer_info_get_resolution_INDEX 1701
#define snd_timer_info_get_resolution_RETURN long
#define snd_timer_info_get_resolution_ARG_NAMES info
#define snd_timer_info_get_resolution_ARG_EXPAND snd_timer_info_t * info
#define snd_timer_info_get_resolution_PACKED PACKED_long_snd_timer_info_t___GENPT__
#define snd_timer_info_get_resolution_INDEXED INDEXED_long_snd_timer_info_t___GENPT__
#define snd_timer_info_get_resolution_FORMAT FORMAT_long_snd_timer_info_t___GENPT__
#define snd_timer_info_get_ticks_INDEX 1702
#define snd_timer_info_get_ticks_RETURN long
#define snd_timer_info_get_ticks_ARG_NAMES info
#define snd_timer_info_get_ticks_ARG_EXPAND snd_timer_info_t * info
#define snd_timer_info_get_ticks_PACKED PACKED_long_snd_timer_info_t___GENPT__
#define snd_timer_info_get_ticks_INDEXED INDEXED_long_snd_timer_info_t___GENPT__
#define snd_timer_info_get_ticks_FORMAT FORMAT_long_snd_timer_info_t___GENPT__
#define snd_timer_info_is_slave_INDEX 1703
#define snd_timer_info_is_slave_RETURN int
#define snd_timer_info_is_slave_ARG_NAMES info
#define snd_timer_info_is_slave_ARG_EXPAND snd_timer_info_t * info
#define snd_timer_info_is_slave_PACKED PACKED_int_snd_timer_info_t___GENPT__
#define snd_timer_info_is_slave_INDEXED INDEXED_int_snd_timer_info_t___GENPT__
#define snd_timer_info_is_slave_FORMAT FORMAT_int_snd_timer_info_t___GENPT__
#define snd_timer_info_malloc_INDEX 1704
#define snd_timer_info_malloc_RETURN int
#define snd_timer_info_malloc_ARG_NAMES ptr
#define snd_timer_info_malloc_ARG_EXPAND snd_timer_info_t ** ptr
#define snd_timer_info_malloc_PACKED PACKED_int_snd_timer_info_t___GENPT____GENPT__
#define snd_timer_info_malloc_INDEXED INDEXED_int_snd_timer_info_t___GENPT____GENPT__
#define snd_timer_info_malloc_FORMAT FORMAT_int_snd_timer_info_t___GENPT____GENPT__
#define snd_timer_info_sizeof_INDEX 1705
#define snd_timer_info_sizeof_RETURN size_t
#define snd_timer_info_sizeof_ARG_NAMES 
#define snd_timer_info_sizeof_ARG_EXPAND 
#define snd_timer_info_sizeof_PACKED PACKED_size_t
#define snd_timer_info_sizeof_INDEXED INDEXED_size_t
#define snd_timer_info_sizeof_FORMAT FORMAT_size_t
#define snd_timer_open_INDEX 1706
#define snd_timer_open_RETURN int
#define snd_timer_open_ARG_NAMES handle, name, mode
#define snd_timer_open_ARG_EXPAND snd_timer_t ** handle, const char * name, int mode
#define snd_timer_open_PACKED PACKED_int_snd_timer_t___GENPT____GENPT___const_char___GENPT___int
#define snd_timer_open_INDEXED INDEXED_int_snd_timer_t___GENPT____GENPT___const_char___GENPT___int
#define snd_timer_open_FORMAT FORMAT_int_snd_timer_t___GENPT____GENPT___const_char___GENPT___int
#define snd_timer_open_lconf_INDEX 1707
#define snd_timer_open_lconf_RETURN int
#define snd_timer_open_lconf_ARG_NAMES handle, name, mode, lconf
#define snd_timer_open_lconf_ARG_EXPAND snd_timer_t ** handle, const char * name, int mode, snd_config_t * lconf
#define snd_timer_open_lconf_PACKED PACKED_int_snd_timer_t___GENPT____GENPT___const_char___GENPT___int_snd_config_t___GENPT__
#define snd_timer_open_lconf_INDEXED INDEXED_int_snd_timer_t___GENPT____GENPT___const_char___GENPT___int_snd_config_t___GENPT__
#define snd_timer_open_lconf_FORMAT FORMAT_int_snd_timer_t___GENPT____GENPT___const_char___GENPT___int_snd_config_t___GENPT__
#define snd_timer_params_INDEX 1708
#define snd_timer_params_RETURN int
#define snd_timer_params_ARG_NAMES handle, params
#define snd_timer_params_ARG_EXPAND snd_timer_t * handle, snd_timer_params_t * params
#define snd_timer_params_PACKED PACKED_int_snd_timer_t___GENPT___snd_timer_params_t___GENPT__
#define snd_timer_params_INDEXED INDEXED_int_snd_timer_t___GENPT___snd_timer_params_t___GENPT__
#define snd_timer_params_FORMAT FORMAT_int_snd_timer_t___GENPT___snd_timer_params_t___GENPT__
#define snd_timer_params_copy_INDEX 1709
#define snd_timer_params_copy_RETURN void
#define snd_timer_params_copy_ARG_NAMES dst, src
#define snd_timer_params_copy_ARG_EXPAND snd_timer_params_t * dst, const snd_timer_params_t * src
#define snd_timer_params_copy_PACKED PACKED_void_snd_timer_params_t___GENPT___const_snd_timer_params_t___GENPT__
#define snd_timer_params_copy_INDEXED INDEXED_void_snd_timer_params_t___GENPT___const_snd_timer_params_t___GENPT__
#define snd_timer_params_copy_FORMAT FORMAT_void_snd_timer_params_t___GENPT___const_snd_timer_params_t___GENPT__
#define snd_timer_params_free_INDEX 1710
#define snd_timer_params_free_RETURN void
#define snd_timer_params_free_ARG_NAMES obj
#define snd_timer_params_free_ARG_EXPAND snd_timer_params_t * obj
#define snd_timer_params_free_PACKED PACKED_void_snd_timer_params_t___GENPT__
#define snd_timer_params_free_INDEXED INDEXED_void_snd_timer_params_t___GENPT__
#define snd_timer_params_free_FORMAT FORMAT_void_snd_timer_params_t___GENPT__
#define snd_timer_params_get_auto_start_INDEX 1711
#define snd_timer_params_get_auto_start_RETURN int
#define snd_timer_params_get_auto_start_ARG_NAMES params
#define snd_timer_params_get_auto_start_ARG_EXPAND snd_timer_params_t * params
#define snd_timer_params_get_auto_start_PACKED PACKED_int_snd_timer_params_t___GENPT__
#define snd_timer_params_get_auto_start_INDEXED INDEXED_int_snd_timer_params_t___GENPT__
#define snd_timer_params_get_auto_start_FORMAT FORMAT_int_snd_timer_params_t___GENPT__
#define snd_timer_params_get_early_event_INDEX 1712
#define snd_timer_params_get_early_event_RETURN int
#define snd_timer_params_get_early_event_ARG_NAMES params
#define snd_timer_params_get_early_event_ARG_EXPAND snd_timer_params_t * params
#define snd_timer_params_get_early_event_PACKED PACKED_int_snd_timer_params_t___GENPT__
#define snd_timer_params_get_early_event_INDEXED INDEXED_int_snd_timer_params_t___GENPT__
#define snd_timer_params_get_early_event_FORMAT FORMAT_int_snd_timer_params_t___GENPT__
#define snd_timer_params_get_exclusive_INDEX 1713
#define snd_timer_params_get_exclusive_RETURN int
#define snd_timer_params_get_exclusive_ARG_NAMES params
#define snd_timer_params_get_exclusive_ARG_EXPAND snd_timer_params_t * params
#define snd_timer_params_get_exclusive_PACKED PACKED_int_snd_timer_params_t___GENPT__
#define snd_timer_params_get_exclusive_INDEXED INDEXED_int_snd_timer_params_t___GENPT__
#define snd_timer_params_get_exclusive_FORMAT FORMAT_int_snd_timer_params_t___GENPT__
#define snd_timer_params_get_filter_INDEX 1714
#define snd_timer_params_get_filter_RETURN unsigned int
#define snd_timer_params_get_filter_ARG_NAMES params
#define snd_timer_params_get_filter_ARG_EXPAND snd_timer_params_t * params
#define snd_timer_params_get_filter_PACKED PACKED_unsigned_int_snd_timer_params_t___GENPT__
#define snd_timer_params_get_filter_INDEXED INDEXED_unsigned_int_snd_timer_params_t___GENPT__
#define snd_timer_params_get_filter_FORMAT FORMAT_unsigned_int_snd_timer_params_t___GENPT__
#define snd_timer_params_get_queue_size_INDEX 1715
#define snd_timer_params_get_queue_size_RETURN long
#define snd_timer_params_get_queue_size_ARG_NAMES params
#define snd_timer_params_get_queue_size_ARG_EXPAND snd_timer_params_t * params
#define snd_timer_params_get_queue_size_PACKED PACKED_long_snd_timer_params_t___GENPT__
#define snd_timer_params_get_queue_size_INDEXED INDEXED_long_snd_timer_params_t___GENPT__
#define snd_timer_params_get_queue_size_FORMAT FORMAT_long_snd_timer_params_t___GENPT__
#define snd_timer_params_get_ticks_INDEX 1716
#define snd_timer_params_get_ticks_RETURN long
#define snd_timer_params_get_ticks_ARG_NAMES params
#define snd_timer_params_get_ticks_ARG_EXPAND snd_timer_params_t * params
#define snd_timer_params_get_ticks_PACKED PACKED_long_snd_timer_params_t___GENPT__
#define snd_timer_params_get_ticks_INDEXED INDEXED_long_snd_timer_params_t___GENPT__
#define snd_timer_params_get_ticks_FORMAT FORMAT_long_snd_timer_params_t___GENPT__
#define snd_timer_params_malloc_INDEX 1717
#define snd_timer_params_malloc_RETURN int
#define snd_timer_params_malloc_ARG_NAMES ptr
#define snd_timer_params_malloc_ARG_EXPAND snd_timer_params_t ** ptr
#define snd_timer_params_malloc_PACKED PACKED_int_snd_timer_params_t___GENPT____GENPT__
#define snd_timer_params_malloc_INDEXED INDEXED_int_snd_timer_params_t___GENPT____GENPT__
#define snd_timer_params_malloc_FORMAT FORMAT_int_snd_timer_params_t___GENPT____GENPT__
#define snd_timer_params_set_auto_start_INDEX 1718
#define snd_timer_params_set_auto_start_RETURN int
#define snd_timer_params_set_auto_start_ARG_NAMES params, auto_start
#define snd_timer_params_set_auto_start_ARG_EXPAND snd_timer_params_t * params, int auto_start
#define snd_timer_params_set_auto_start_PACKED PACKED_int_snd_timer_params_t___GENPT___int
#define snd_timer_params_set_auto_start_INDEXED INDEXED_int_snd_timer_params_t___GENPT___int
#define snd_timer_params_set_auto_start_FORMAT FORMAT_int_snd_timer_params_t___GENPT___int
#define snd_timer_params_set_early_event_INDEX 1719
#define snd_timer_params_set_early_event_RETURN int
#define snd_timer_params_set_early_event_ARG_NAMES params, early_event
#define snd_timer_params_set_early_event_ARG_EXPAND snd_timer_params_t * params, int early_event
#define snd_timer_params_set_early_event_PACKED PACKED_int_snd_timer_params_t___GENPT___int
#define snd_timer_params_set_early_event_INDEXED INDEXED_int_snd_timer_params_t___GENPT___int
#define snd_timer_params_set_early_event_FORMAT FORMAT_int_snd_timer_params_t___GENPT___int
#define snd_timer_params_set_exclusive_INDEX 1720
#define snd_timer_params_set_exclusive_RETURN int
#define snd_timer_params_set_exclusive_ARG_NAMES params, exclusive
#define snd_timer_params_set_exclusive_ARG_EXPAND snd_timer_params_t * params, int exclusive
#define snd_timer_params_set_exclusive_PACKED PACKED_int_snd_timer_params_t___GENPT___int
#define snd_timer_params_set_exclusive_INDEXED INDEXED_int_snd_timer_params_t___GENPT___int
#define snd_timer_params_set_exclusive_FORMAT FORMAT_int_snd_timer_params_t___GENPT___int
#define snd_timer_params_set_filter_INDEX 1721
#define snd_timer_params_set_filter_RETURN void
#define snd_timer_params_set_filter_ARG_NAMES params, filter
#define snd_timer_params_set_filter_ARG_EXPAND snd_timer_params_t * params, unsigned int filter
#define snd_timer_params_set_filter_PACKED PACKED_void_snd_timer_params_t___GENPT___unsigned_int
#define snd_timer_params_set_filter_INDEXED INDEXED_void_snd_timer_params_t___GENPT___unsigned_int
#define snd_timer_params_set_filter_FORMAT FORMAT_void_snd_timer_params_t___GENPT___unsigned_int
#define snd_timer_params_set_queue_size_INDEX 1722
#define snd_timer_params_set_queue_size_RETURN void
#define snd_timer_params_set_queue_size_ARG_NAMES params, queue_size
#define snd_timer_params_set_queue_size_ARG_EXPAND snd_timer_params_t * params, long queue_size
#define snd_timer_params_set_queue_size_PACKED PACKED_void_snd_timer_params_t___GENPT___long
#define snd_timer_params_set_queue_size_INDEXED INDEXED_void_snd_timer_params_t___GENPT___long
#define snd_timer_params_set_queue_size_FORMAT FORMAT_void_snd_timer_params_t___GENPT___long
#define snd_timer_params_set_ticks_INDEX 1723
#define snd_timer_params_set_ticks_RETURN void
#define snd_timer_params_set_ticks_ARG_NAMES params, ticks
#define snd_timer_params_set_ticks_ARG_EXPAND snd_timer_params_t * params, long ticks
#define snd_timer_params_set_ticks_PACKED PACKED_void_snd_timer_params_t___GENPT___long
#define snd_timer_params_set_ticks_INDEXED INDEXED_void_snd_timer_params_t___GENPT___long
#define snd_timer_params_set_ticks_FORMAT FORMAT_void_snd_timer_params_t___GENPT___long
#define snd_timer_params_sizeof_INDEX 1724
#define snd_timer_params_sizeof_RETURN size_t
#define snd_timer_params_sizeof_ARG_NAMES 
#define snd_timer_params_sizeof_ARG_EXPAND 
#define snd_timer_params_sizeof_PACKED PACKED_size_t
#define snd_timer_params_sizeof_INDEXED INDEXED_size_t
#define snd_timer_params_sizeof_FORMAT FORMAT_size_t
#define snd_timer_poll_descriptors_INDEX 1725
#define snd_timer_poll_descriptors_RETURN int
#define snd_timer_poll_descriptors_ARG_NAMES handle, pfds, space
#define snd_timer_poll_descriptors_ARG_EXPAND snd_timer_t * handle, struct pollfd * pfds, unsigned int space
#define snd_timer_poll_descriptors_PACKED PACKED_int_snd_timer_t___GENPT___struct_pollfd___GENPT___unsigned_int
#define snd_timer_poll_descriptors_INDEXED INDEXED_int_snd_timer_t___GENPT___struct_pollfd___GENPT___unsigned_int
#define snd_timer_poll_descriptors_FORMAT FORMAT_int_snd_timer_t___GENPT___struct_pollfd___GENPT___unsigned_int
#define snd_timer_poll_descriptors_count_INDEX 1726
#define snd_timer_poll_descriptors_count_RETURN int
#define snd_timer_poll_descriptors_count_ARG_NAMES handle
#define snd_timer_poll_descriptors_count_ARG_EXPAND snd_timer_t * handle
#define snd_timer_poll_descriptors_count_PACKED PACKED_int_snd_timer_t___GENPT__
#define snd_timer_poll_descriptors_count_INDEXED INDEXED_int_snd_timer_t___GENPT__
#define snd_timer_poll_descriptors_count_FORMAT FORMAT_int_snd_timer_t___GENPT__
#define snd_timer_poll_descriptors_revents_INDEX 1727
#define snd_timer_poll_descriptors_revents_RETURN int
#define snd_timer_poll_descriptors_revents_ARG_NAMES timer, pfds, nfds, revents
#define snd_timer_poll_descriptors_revents_ARG_EXPAND snd_timer_t * timer, struct pollfd * pfds, unsigned int nfds, unsigned short * revents
#define snd_timer_poll_descriptors_revents_PACKED PACKED_int_snd_timer_t___GENPT___struct_pollfd___GENPT___unsigned_int_unsigned_short___GENPT__
#define snd_timer_poll_descriptors_revents_INDEXED INDEXED_int_snd_timer_t___GENPT___struct_pollfd___GENPT___unsigned_int_unsigned_short___GENPT__
#define snd_timer_poll_descriptors_revents_FORMAT FORMAT_int_snd_timer_t___GENPT___struct_pollfd___GENPT___unsigned_int_unsigned_short___GENPT__
#define snd_timer_query_close_INDEX 1728
#define snd_timer_query_close_RETURN int
#define snd_timer_query_close_ARG_NAMES handle
#define snd_timer_query_close_ARG_EXPAND snd_timer_query_t * handle
#define snd_timer_query_close_PACKED PACKED_int_snd_timer_query_t___GENPT__
#define snd_timer_query_close_INDEXED INDEXED_int_snd_timer_query_t___GENPT__
#define snd_timer_query_close_FORMAT FORMAT_int_snd_timer_query_t___GENPT__
#define snd_timer_query_info_INDEX 1729
#define snd_timer_query_info_RETURN int
#define snd_timer_query_info_ARG_NAMES handle, info
#define snd_timer_query_info_ARG_EXPAND snd_timer_query_t * handle, snd_timer_ginfo_t * info
#define snd_timer_query_info_PACKED PACKED_int_snd_timer_query_t___GENPT___snd_timer_ginfo_t___GENPT__
#define snd_timer_query_info_INDEXED INDEXED_int_snd_timer_query_t___GENPT___snd_timer_ginfo_t___GENPT__
#define snd_timer_query_info_FORMAT FORMAT_int_snd_timer_query_t___GENPT___snd_timer_ginfo_t___GENPT__
#define snd_timer_query_next_device_INDEX 1730
#define snd_timer_query_next_device_RETURN int
#define snd_timer_query_next_device_ARG_NAMES handle, tid
#define snd_timer_query_next_device_ARG_EXPAND snd_timer_query_t * handle, snd_timer_id_t * tid
#define snd_timer_query_next_device_PACKED PACKED_int_snd_timer_query_t___GENPT___snd_timer_id_t___GENPT__
#define snd_timer_query_next_device_INDEXED INDEXED_int_snd_timer_query_t___GENPT___snd_timer_id_t___GENPT__
#define snd_timer_query_next_device_FORMAT FORMAT_int_snd_timer_query_t___GENPT___snd_timer_id_t___GENPT__
#define snd_timer_query_open_INDEX 1731
#define snd_timer_query_open_RETURN int
#define snd_timer_query_open_ARG_NAMES handle, name, mode
#define snd_timer_query_open_ARG_EXPAND snd_timer_query_t ** handle, const char * name, int mode
#define snd_timer_query_open_PACKED PACKED_int_snd_timer_query_t___GENPT____GENPT___const_char___GENPT___int
#define snd_timer_query_open_INDEXED INDEXED_int_snd_timer_query_t___GENPT____GENPT___const_char___GENPT___int
#define snd_timer_query_open_FORMAT FORMAT_int_snd_timer_query_t___GENPT____GENPT___const_char___GENPT___int
#define snd_timer_query_open_lconf_INDEX 1732
#define snd_timer_query_open_lconf_RETURN int
#define snd_timer_query_open_lconf_ARG_NAMES handle, name, mode, lconf
#define snd_timer_query_open_lconf_ARG_EXPAND snd_timer_query_t ** handle, const char * name, int mode, snd_config_t * lconf
#define snd_timer_query_open_lconf_PACKED PACKED_int_snd_timer_query_t___GENPT____GENPT___const_char___GENPT___int_snd_config_t___GENPT__
#define snd_timer_query_open_lconf_INDEXED INDEXED_int_snd_timer_query_t___GENPT____GENPT___const_char___GENPT___int_snd_config_t___GENPT__
#define snd_timer_query_open_lconf_FORMAT FORMAT_int_snd_timer_query_t___GENPT____GENPT___const_char___GENPT___int_snd_config_t___GENPT__
#define snd_timer_query_params_INDEX 1733
#define snd_timer_query_params_RETURN int
#define snd_timer_query_params_ARG_NAMES handle, params
#define snd_timer_query_params_ARG_EXPAND snd_timer_query_t * handle, snd_timer_gparams_t * params
#define snd_timer_query_params_PACKED PACKED_int_snd_timer_query_t___GENPT___snd_timer_gparams_t___GENPT__
#define snd_timer_query_params_INDEXED INDEXED_int_snd_timer_query_t___GENPT___snd_timer_gparams_t___GENPT__
#define snd_timer_query_params_FORMAT FORMAT_int_snd_timer_query_t___GENPT___snd_timer_gparams_t___GENPT__
#define snd_timer_query_status_INDEX 1734
#define snd_timer_query_status_RETURN int
#define snd_timer_query_status_ARG_NAMES handle, status
#define snd_timer_query_status_ARG_EXPAND snd_timer_query_t * handle, snd_timer_gstatus_t * status
#define snd_timer_query_status_PACKED PACKED_int_snd_timer_query_t___GENPT___snd_timer_gstatus_t___GENPT__
#define snd_timer_query_status_INDEXED INDEXED_int_snd_timer_query_t___GENPT___snd_timer_gstatus_t___GENPT__
#define snd_timer_query_status_FORMAT FORMAT_int_snd_timer_query_t___GENPT___snd_timer_gstatus_t___GENPT__
#define snd_timer_read_INDEX 1735
#define snd_timer_read_RETURN ssize_t
#define snd_timer_read_ARG_NAMES handle, buffer, size
#define snd_timer_read_ARG_EXPAND snd_timer_t * handle, void * buffer, size_t size
#define snd_timer_read_PACKED PACKED_ssize_t_snd_timer_t___GENPT___void___GENPT___size_t
#define snd_timer_read_INDEXED INDEXED_ssize_t_snd_timer_t___GENPT___void___GENPT___size_t
#define snd_timer_read_FORMAT FORMAT_ssize_t_snd_timer_t___GENPT___void___GENPT___size_t
#define snd_timer_start_INDEX 1736
#define snd_timer_start_RETURN int
#define snd_timer_start_ARG_NAMES handle
#define snd_timer_start_ARG_EXPAND snd_timer_t * handle
#define snd_timer_start_PACKED PACKED_int_snd_timer_t___GENPT__
#define snd_timer_start_INDEXED INDEXED_int_snd_timer_t___GENPT__
#define snd_timer_start_FORMAT FORMAT_int_snd_timer_t___GENPT__
#define snd_timer_status_INDEX 1737
#define snd_timer_status_RETURN int
#define snd_timer_status_ARG_NAMES handle, status
#define snd_timer_status_ARG_EXPAND snd_timer_t * handle, snd_timer_status_t * status
#define snd_timer_status_PACKED PACKED_int_snd_timer_t___GENPT___snd_timer_status_t___GENPT__
#define snd_timer_status_INDEXED INDEXED_int_snd_timer_t___GENPT___snd_timer_status_t___GENPT__
#define snd_timer_status_FORMAT FORMAT_int_snd_timer_t___GENPT___snd_timer_status_t___GENPT__
#define snd_timer_status_copy_INDEX 1738
#define snd_timer_status_copy_RETURN void
#define snd_timer_status_copy_ARG_NAMES dst, src
#define snd_timer_status_copy_ARG_EXPAND snd_timer_status_t * dst, const snd_timer_status_t * src
#define snd_timer_status_copy_PACKED PACKED_void_snd_timer_status_t___GENPT___const_snd_timer_status_t___GENPT__
#define snd_timer_status_copy_INDEXED INDEXED_void_snd_timer_status_t___GENPT___const_snd_timer_status_t___GENPT__
#define snd_timer_status_copy_FORMAT FORMAT_void_snd_timer_status_t___GENPT___const_snd_timer_status_t___GENPT__
#define snd_timer_status_free_INDEX 1739
#define snd_timer_status_free_RETURN void
#define snd_timer_status_free_ARG_NAMES obj
#define snd_timer_status_free_ARG_EXPAND snd_timer_status_t * obj
#define snd_timer_status_free_PACKED PACKED_void_snd_timer_status_t___GENPT__
#define snd_timer_status_free_INDEXED INDEXED_void_snd_timer_status_t___GENPT__
#define snd_timer_status_free_FORMAT FORMAT_void_snd_timer_status_t___GENPT__
#define snd_timer_status_get_lost_INDEX 1740
#define snd_timer_status_get_lost_RETURN long
#define snd_timer_status_get_lost_ARG_NAMES status
#define snd_timer_status_get_lost_ARG_EXPAND snd_timer_status_t * status
#define snd_timer_status_get_lost_PACKED PACKED_long_snd_timer_status_t___GENPT__
#define snd_timer_status_get_lost_INDEXED INDEXED_long_snd_timer_status_t___GENPT__
#define snd_timer_status_get_lost_FORMAT FORMAT_long_snd_timer_status_t___GENPT__
#define snd_timer_status_get_overrun_INDEX 1741
#define snd_timer_status_get_overrun_RETURN long
#define snd_timer_status_get_overrun_ARG_NAMES status
#define snd_timer_status_get_overrun_ARG_EXPAND snd_timer_status_t * status
#define snd_timer_status_get_overrun_PACKED PACKED_long_snd_timer_status_t___GENPT__
#define snd_timer_status_get_overrun_INDEXED INDEXED_long_snd_timer_status_t___GENPT__
#define snd_timer_status_get_overrun_FORMAT FORMAT_long_snd_timer_status_t___GENPT__
#define snd_timer_status_get_queue_INDEX 1742
#define snd_timer_status_get_queue_RETURN long
#define snd_timer_status_get_queue_ARG_NAMES status
#define snd_timer_status_get_queue_ARG_EXPAND snd_timer_status_t * status
#define snd_timer_status_get_queue_PACKED PACKED_long_snd_timer_status_t___GENPT__
#define snd_timer_status_get_queue_INDEXED INDEXED_long_snd_timer_status_t___GENPT__
#define snd_timer_status_get_queue_FORMAT FORMAT_long_snd_timer_status_t___GENPT__
#define snd_timer_status_get_resolution_INDEX 1743
#define snd_timer_status_get_resolution_RETURN long
#define snd_timer_status_get_resolution_ARG_NAMES status
#define snd_timer_status_get_resolution_ARG_EXPAND snd_timer_status_t * status
#define snd_timer_status_get_resolution_PACKED PACKED_long_snd_timer_status_t___GENPT__
#define snd_timer_status_get_resolution_INDEXED INDEXED_long_snd_timer_status_t___GENPT__
#define snd_timer_status_get_resolution_FORMAT FORMAT_long_snd_timer_status_t___GENPT__
#define snd_timer_status_get_timestamp_INDEX 1744
#define snd_timer_status_get_timestamp_RETURN snd_htimestamp_t
#define snd_timer_status_get_timestamp_ARG_NAMES status
#define snd_timer_status_get_timestamp_ARG_EXPAND snd_timer_status_t * status
#define snd_timer_status_get_timestamp_PACKED PACKED_snd_htimestamp_t_snd_timer_status_t___GENPT__
#define snd_timer_status_get_timestamp_INDEXED INDEXED_snd_htimestamp_t_snd_timer_status_t___GENPT__
#define snd_timer_status_get_timestamp_FORMAT FORMAT_snd_htimestamp_t_snd_timer_status_t___GENPT__
#define snd_timer_status_malloc_INDEX 1745
#define snd_timer_status_malloc_RETURN int
#define snd_timer_status_malloc_ARG_NAMES ptr
#define snd_timer_status_malloc_ARG_EXPAND snd_timer_status_t ** ptr
#define snd_timer_status_malloc_PACKED PACKED_int_snd_timer_status_t___GENPT____GENPT__
#define snd_timer_status_malloc_INDEXED INDEXED_int_snd_timer_status_t___GENPT____GENPT__
#define snd_timer_status_malloc_FORMAT FORMAT_int_snd_timer_status_t___GENPT____GENPT__
#define snd_timer_status_sizeof_INDEX 1746
#define snd_timer_status_sizeof_RETURN size_t
#define snd_timer_status_sizeof_ARG_NAMES 
#define snd_timer_status_sizeof_ARG_EXPAND 
#define snd_timer_status_sizeof_PACKED PACKED_size_t
#define snd_timer_status_sizeof_INDEXED INDEXED_size_t
#define snd_timer_status_sizeof_FORMAT FORMAT_size_t
#define snd_timer_stop_INDEX 1747
#define snd_timer_stop_RETURN int
#define snd_timer_stop_ARG_NAMES handle
#define snd_timer_stop_ARG_EXPAND snd_timer_t * handle
#define snd_timer_stop_PACKED PACKED_int_snd_timer_t___GENPT__
#define snd_timer_stop_INDEXED INDEXED_int_snd_timer_t___GENPT__
#define snd_timer_stop_FORMAT FORMAT_int_snd_timer_t___GENPT__
#define snd_user_file_INDEX 1748
#define snd_user_file_RETURN int
#define snd_user_file_ARG_NAMES file, result
#define snd_user_file_ARG_EXPAND const char * file, char ** result
#define snd_user_file_PACKED PACKED_int_const_char___GENPT___char___GENPT____GENPT__
#define snd_user_file_INDEXED INDEXED_int_const_char___GENPT___char___GENPT____GENPT__
#define snd_user_file_FORMAT FORMAT_int_const_char___GENPT___char___GENPT____GENPT__

void glAccum(glAccum_ARG_EXPAND);
typedef void (*glAccum_PTR)(glAccum_ARG_EXPAND);
void glActiveTexture(glActiveTexture_ARG_EXPAND);
typedef void (*glActiveTexture_PTR)(glActiveTexture_ARG_EXPAND);
void glAlphaFunc(glAlphaFunc_ARG_EXPAND);
typedef void (*glAlphaFunc_PTR)(glAlphaFunc_ARG_EXPAND);
GLboolean glAreTexturesResident(glAreTexturesResident_ARG_EXPAND);
typedef GLboolean (*glAreTexturesResident_PTR)(glAreTexturesResident_ARG_EXPAND);
void glArrayElement(glArrayElement_ARG_EXPAND);
typedef void (*glArrayElement_PTR)(glArrayElement_ARG_EXPAND);
void glBegin(glBegin_ARG_EXPAND);
typedef void (*glBegin_PTR)(glBegin_ARG_EXPAND);
void glBeginQuery(glBeginQuery_ARG_EXPAND);
typedef void (*glBeginQuery_PTR)(glBeginQuery_ARG_EXPAND);
void glBindBuffer(glBindBuffer_ARG_EXPAND);
typedef void (*glBindBuffer_PTR)(glBindBuffer_ARG_EXPAND);
void glBindTexture(glBindTexture_ARG_EXPAND);
typedef void (*glBindTexture_PTR)(glBindTexture_ARG_EXPAND);
void glBitmap(glBitmap_ARG_EXPAND);
typedef void (*glBitmap_PTR)(glBitmap_ARG_EXPAND);
void glBlendColor(glBlendColor_ARG_EXPAND);
typedef void (*glBlendColor_PTR)(glBlendColor_ARG_EXPAND);
void glBlendEquation(glBlendEquation_ARG_EXPAND);
typedef void (*glBlendEquation_PTR)(glBlendEquation_ARG_EXPAND);
void glBlendFunc(glBlendFunc_ARG_EXPAND);
typedef void (*glBlendFunc_PTR)(glBlendFunc_ARG_EXPAND);
void glBlendFuncSeparate(glBlendFuncSeparate_ARG_EXPAND);
typedef void (*glBlendFuncSeparate_PTR)(glBlendFuncSeparate_ARG_EXPAND);
void glBufferData(glBufferData_ARG_EXPAND);
typedef void (*glBufferData_PTR)(glBufferData_ARG_EXPAND);
void glBufferSubData(glBufferSubData_ARG_EXPAND);
typedef void (*glBufferSubData_PTR)(glBufferSubData_ARG_EXPAND);
void glCallList(glCallList_ARG_EXPAND);
typedef void (*glCallList_PTR)(glCallList_ARG_EXPAND);
void glCallLists(glCallLists_ARG_EXPAND);
typedef void (*glCallLists_PTR)(glCallLists_ARG_EXPAND);
void glClear(glClear_ARG_EXPAND);
typedef void (*glClear_PTR)(glClear_ARG_EXPAND);
void glClearAccum(glClearAccum_ARG_EXPAND);
typedef void (*glClearAccum_PTR)(glClearAccum_ARG_EXPAND);
void glClearColor(glClearColor_ARG_EXPAND);
typedef void (*glClearColor_PTR)(glClearColor_ARG_EXPAND);
void glClearDepth(glClearDepth_ARG_EXPAND);
typedef void (*glClearDepth_PTR)(glClearDepth_ARG_EXPAND);
void glClearIndex(glClearIndex_ARG_EXPAND);
typedef void (*glClearIndex_PTR)(glClearIndex_ARG_EXPAND);
void glClearStencil(glClearStencil_ARG_EXPAND);
typedef void (*glClearStencil_PTR)(glClearStencil_ARG_EXPAND);
void glClientActiveTexture(glClientActiveTexture_ARG_EXPAND);
typedef void (*glClientActiveTexture_PTR)(glClientActiveTexture_ARG_EXPAND);
void glClipPlane(glClipPlane_ARG_EXPAND);
typedef void (*glClipPlane_PTR)(glClipPlane_ARG_EXPAND);
void glColor3b(glColor3b_ARG_EXPAND);
typedef void (*glColor3b_PTR)(glColor3b_ARG_EXPAND);
void glColor3bv(glColor3bv_ARG_EXPAND);
typedef void (*glColor3bv_PTR)(glColor3bv_ARG_EXPAND);
void glColor3d(glColor3d_ARG_EXPAND);
typedef void (*glColor3d_PTR)(glColor3d_ARG_EXPAND);
void glColor3dv(glColor3dv_ARG_EXPAND);
typedef void (*glColor3dv_PTR)(glColor3dv_ARG_EXPAND);
void glColor3f(glColor3f_ARG_EXPAND);
typedef void (*glColor3f_PTR)(glColor3f_ARG_EXPAND);
void glColor3fv(glColor3fv_ARG_EXPAND);
typedef void (*glColor3fv_PTR)(glColor3fv_ARG_EXPAND);
void glColor3i(glColor3i_ARG_EXPAND);
typedef void (*glColor3i_PTR)(glColor3i_ARG_EXPAND);
void glColor3iv(glColor3iv_ARG_EXPAND);
typedef void (*glColor3iv_PTR)(glColor3iv_ARG_EXPAND);
void glColor3s(glColor3s_ARG_EXPAND);
typedef void (*glColor3s_PTR)(glColor3s_ARG_EXPAND);
void glColor3sv(glColor3sv_ARG_EXPAND);
typedef void (*glColor3sv_PTR)(glColor3sv_ARG_EXPAND);
void glColor3ub(glColor3ub_ARG_EXPAND);
typedef void (*glColor3ub_PTR)(glColor3ub_ARG_EXPAND);
void glColor3ubv(glColor3ubv_ARG_EXPAND);
typedef void (*glColor3ubv_PTR)(glColor3ubv_ARG_EXPAND);
void glColor3ui(glColor3ui_ARG_EXPAND);
typedef void (*glColor3ui_PTR)(glColor3ui_ARG_EXPAND);
void glColor3uiv(glColor3uiv_ARG_EXPAND);
typedef void (*glColor3uiv_PTR)(glColor3uiv_ARG_EXPAND);
void glColor3us(glColor3us_ARG_EXPAND);
typedef void (*glColor3us_PTR)(glColor3us_ARG_EXPAND);
void glColor3usv(glColor3usv_ARG_EXPAND);
typedef void (*glColor3usv_PTR)(glColor3usv_ARG_EXPAND);
void glColor4b(glColor4b_ARG_EXPAND);
typedef void (*glColor4b_PTR)(glColor4b_ARG_EXPAND);
void glColor4bv(glColor4bv_ARG_EXPAND);
typedef void (*glColor4bv_PTR)(glColor4bv_ARG_EXPAND);
void glColor4d(glColor4d_ARG_EXPAND);
typedef void (*glColor4d_PTR)(glColor4d_ARG_EXPAND);
void glColor4dv(glColor4dv_ARG_EXPAND);
typedef void (*glColor4dv_PTR)(glColor4dv_ARG_EXPAND);
void glColor4f(glColor4f_ARG_EXPAND);
typedef void (*glColor4f_PTR)(glColor4f_ARG_EXPAND);
void glColor4fv(glColor4fv_ARG_EXPAND);
typedef void (*glColor4fv_PTR)(glColor4fv_ARG_EXPAND);
void glColor4i(glColor4i_ARG_EXPAND);
typedef void (*glColor4i_PTR)(glColor4i_ARG_EXPAND);
void glColor4iv(glColor4iv_ARG_EXPAND);
typedef void (*glColor4iv_PTR)(glColor4iv_ARG_EXPAND);
void glColor4s(glColor4s_ARG_EXPAND);
typedef void (*glColor4s_PTR)(glColor4s_ARG_EXPAND);
void glColor4sv(glColor4sv_ARG_EXPAND);
typedef void (*glColor4sv_PTR)(glColor4sv_ARG_EXPAND);
void glColor4ub(glColor4ub_ARG_EXPAND);
typedef void (*glColor4ub_PTR)(glColor4ub_ARG_EXPAND);
void glColor4ubv(glColor4ubv_ARG_EXPAND);
typedef void (*glColor4ubv_PTR)(glColor4ubv_ARG_EXPAND);
void glColor4ui(glColor4ui_ARG_EXPAND);
typedef void (*glColor4ui_PTR)(glColor4ui_ARG_EXPAND);
void glColor4uiv(glColor4uiv_ARG_EXPAND);
typedef void (*glColor4uiv_PTR)(glColor4uiv_ARG_EXPAND);
void glColor4us(glColor4us_ARG_EXPAND);
typedef void (*glColor4us_PTR)(glColor4us_ARG_EXPAND);
void glColor4usv(glColor4usv_ARG_EXPAND);
typedef void (*glColor4usv_PTR)(glColor4usv_ARG_EXPAND);
void glColorMask(glColorMask_ARG_EXPAND);
typedef void (*glColorMask_PTR)(glColorMask_ARG_EXPAND);
void glColorMaterial(glColorMaterial_ARG_EXPAND);
typedef void (*glColorMaterial_PTR)(glColorMaterial_ARG_EXPAND);
void glColorPointer(glColorPointer_ARG_EXPAND);
typedef void (*glColorPointer_PTR)(glColorPointer_ARG_EXPAND);
void glColorSubTable(glColorSubTable_ARG_EXPAND);
typedef void (*glColorSubTable_PTR)(glColorSubTable_ARG_EXPAND);
void glColorTable(glColorTable_ARG_EXPAND);
typedef void (*glColorTable_PTR)(glColorTable_ARG_EXPAND);
void glColorTableParameterfv(glColorTableParameterfv_ARG_EXPAND);
typedef void (*glColorTableParameterfv_PTR)(glColorTableParameterfv_ARG_EXPAND);
void glColorTableParameteriv(glColorTableParameteriv_ARG_EXPAND);
typedef void (*glColorTableParameteriv_PTR)(glColorTableParameteriv_ARG_EXPAND);
void glCompressedTexImage1D(glCompressedTexImage1D_ARG_EXPAND);
typedef void (*glCompressedTexImage1D_PTR)(glCompressedTexImage1D_ARG_EXPAND);
void glCompressedTexImage2D(glCompressedTexImage2D_ARG_EXPAND);
typedef void (*glCompressedTexImage2D_PTR)(glCompressedTexImage2D_ARG_EXPAND);
void glCompressedTexImage3D(glCompressedTexImage3D_ARG_EXPAND);
typedef void (*glCompressedTexImage3D_PTR)(glCompressedTexImage3D_ARG_EXPAND);
void glCompressedTexSubImage1D(glCompressedTexSubImage1D_ARG_EXPAND);
typedef void (*glCompressedTexSubImage1D_PTR)(glCompressedTexSubImage1D_ARG_EXPAND);
void glCompressedTexSubImage2D(glCompressedTexSubImage2D_ARG_EXPAND);
typedef void (*glCompressedTexSubImage2D_PTR)(glCompressedTexSubImage2D_ARG_EXPAND);
void glCompressedTexSubImage3D(glCompressedTexSubImage3D_ARG_EXPAND);
typedef void (*glCompressedTexSubImage3D_PTR)(glCompressedTexSubImage3D_ARG_EXPAND);
void glConvolutionFilter1D(glConvolutionFilter1D_ARG_EXPAND);
typedef void (*glConvolutionFilter1D_PTR)(glConvolutionFilter1D_ARG_EXPAND);
void glConvolutionFilter2D(glConvolutionFilter2D_ARG_EXPAND);
typedef void (*glConvolutionFilter2D_PTR)(glConvolutionFilter2D_ARG_EXPAND);
void glConvolutionParameterf(glConvolutionParameterf_ARG_EXPAND);
typedef void (*glConvolutionParameterf_PTR)(glConvolutionParameterf_ARG_EXPAND);
void glConvolutionParameterfv(glConvolutionParameterfv_ARG_EXPAND);
typedef void (*glConvolutionParameterfv_PTR)(glConvolutionParameterfv_ARG_EXPAND);
void glConvolutionParameteri(glConvolutionParameteri_ARG_EXPAND);
typedef void (*glConvolutionParameteri_PTR)(glConvolutionParameteri_ARG_EXPAND);
void glConvolutionParameteriv(glConvolutionParameteriv_ARG_EXPAND);
typedef void (*glConvolutionParameteriv_PTR)(glConvolutionParameteriv_ARG_EXPAND);
void glCopyColorSubTable(glCopyColorSubTable_ARG_EXPAND);
typedef void (*glCopyColorSubTable_PTR)(glCopyColorSubTable_ARG_EXPAND);
void glCopyColorTable(glCopyColorTable_ARG_EXPAND);
typedef void (*glCopyColorTable_PTR)(glCopyColorTable_ARG_EXPAND);
void glCopyConvolutionFilter1D(glCopyConvolutionFilter1D_ARG_EXPAND);
typedef void (*glCopyConvolutionFilter1D_PTR)(glCopyConvolutionFilter1D_ARG_EXPAND);
void glCopyConvolutionFilter2D(glCopyConvolutionFilter2D_ARG_EXPAND);
typedef void (*glCopyConvolutionFilter2D_PTR)(glCopyConvolutionFilter2D_ARG_EXPAND);
void glCopyPixels(glCopyPixels_ARG_EXPAND);
typedef void (*glCopyPixels_PTR)(glCopyPixels_ARG_EXPAND);
void glCopyTexImage1D(glCopyTexImage1D_ARG_EXPAND);
typedef void (*glCopyTexImage1D_PTR)(glCopyTexImage1D_ARG_EXPAND);
void glCopyTexImage2D(glCopyTexImage2D_ARG_EXPAND);
typedef void (*glCopyTexImage2D_PTR)(glCopyTexImage2D_ARG_EXPAND);
void glCopyTexSubImage1D(glCopyTexSubImage1D_ARG_EXPAND);
typedef void (*glCopyTexSubImage1D_PTR)(glCopyTexSubImage1D_ARG_EXPAND);
void glCopyTexSubImage2D(glCopyTexSubImage2D_ARG_EXPAND);
typedef void (*glCopyTexSubImage2D_PTR)(glCopyTexSubImage2D_ARG_EXPAND);
void glCopyTexSubImage3D(glCopyTexSubImage3D_ARG_EXPAND);
typedef void (*glCopyTexSubImage3D_PTR)(glCopyTexSubImage3D_ARG_EXPAND);
void glCullFace(glCullFace_ARG_EXPAND);
typedef void (*glCullFace_PTR)(glCullFace_ARG_EXPAND);
void glDeleteBuffers(glDeleteBuffers_ARG_EXPAND);
typedef void (*glDeleteBuffers_PTR)(glDeleteBuffers_ARG_EXPAND);
void glDeleteLists(glDeleteLists_ARG_EXPAND);
typedef void (*glDeleteLists_PTR)(glDeleteLists_ARG_EXPAND);
void glDeleteQueries(glDeleteQueries_ARG_EXPAND);
typedef void (*glDeleteQueries_PTR)(glDeleteQueries_ARG_EXPAND);
void glDeleteTextures(glDeleteTextures_ARG_EXPAND);
typedef void (*glDeleteTextures_PTR)(glDeleteTextures_ARG_EXPAND);
void glDepthFunc(glDepthFunc_ARG_EXPAND);
typedef void (*glDepthFunc_PTR)(glDepthFunc_ARG_EXPAND);
void glDepthMask(glDepthMask_ARG_EXPAND);
typedef void (*glDepthMask_PTR)(glDepthMask_ARG_EXPAND);
void glDepthRange(glDepthRange_ARG_EXPAND);
typedef void (*glDepthRange_PTR)(glDepthRange_ARG_EXPAND);
void glDisable(glDisable_ARG_EXPAND);
typedef void (*glDisable_PTR)(glDisable_ARG_EXPAND);
void glDisableClientState(glDisableClientState_ARG_EXPAND);
typedef void (*glDisableClientState_PTR)(glDisableClientState_ARG_EXPAND);
void glDrawArrays(glDrawArrays_ARG_EXPAND);
typedef void (*glDrawArrays_PTR)(glDrawArrays_ARG_EXPAND);
void glDrawBuffer(glDrawBuffer_ARG_EXPAND);
typedef void (*glDrawBuffer_PTR)(glDrawBuffer_ARG_EXPAND);
void glDrawElements(glDrawElements_ARG_EXPAND);
typedef void (*glDrawElements_PTR)(glDrawElements_ARG_EXPAND);
void glDrawPixels(glDrawPixels_ARG_EXPAND);
typedef void (*glDrawPixels_PTR)(glDrawPixels_ARG_EXPAND);
void glDrawRangeElements(glDrawRangeElements_ARG_EXPAND);
typedef void (*glDrawRangeElements_PTR)(glDrawRangeElements_ARG_EXPAND);
void glEdgeFlag(glEdgeFlag_ARG_EXPAND);
typedef void (*glEdgeFlag_PTR)(glEdgeFlag_ARG_EXPAND);
void glEdgeFlagPointer(glEdgeFlagPointer_ARG_EXPAND);
typedef void (*glEdgeFlagPointer_PTR)(glEdgeFlagPointer_ARG_EXPAND);
void glEdgeFlagv(glEdgeFlagv_ARG_EXPAND);
typedef void (*glEdgeFlagv_PTR)(glEdgeFlagv_ARG_EXPAND);
void glEnable(glEnable_ARG_EXPAND);
typedef void (*glEnable_PTR)(glEnable_ARG_EXPAND);
void glEnableClientState(glEnableClientState_ARG_EXPAND);
typedef void (*glEnableClientState_PTR)(glEnableClientState_ARG_EXPAND);
void glEnd(glEnd_ARG_EXPAND);
typedef void (*glEnd_PTR)(glEnd_ARG_EXPAND);
void glEndList(glEndList_ARG_EXPAND);
typedef void (*glEndList_PTR)(glEndList_ARG_EXPAND);
void glEndQuery(glEndQuery_ARG_EXPAND);
typedef void (*glEndQuery_PTR)(glEndQuery_ARG_EXPAND);
void glEvalCoord1d(glEvalCoord1d_ARG_EXPAND);
typedef void (*glEvalCoord1d_PTR)(glEvalCoord1d_ARG_EXPAND);
void glEvalCoord1dv(glEvalCoord1dv_ARG_EXPAND);
typedef void (*glEvalCoord1dv_PTR)(glEvalCoord1dv_ARG_EXPAND);
void glEvalCoord1f(glEvalCoord1f_ARG_EXPAND);
typedef void (*glEvalCoord1f_PTR)(glEvalCoord1f_ARG_EXPAND);
void glEvalCoord1fv(glEvalCoord1fv_ARG_EXPAND);
typedef void (*glEvalCoord1fv_PTR)(glEvalCoord1fv_ARG_EXPAND);
void glEvalCoord2d(glEvalCoord2d_ARG_EXPAND);
typedef void (*glEvalCoord2d_PTR)(glEvalCoord2d_ARG_EXPAND);
void glEvalCoord2dv(glEvalCoord2dv_ARG_EXPAND);
typedef void (*glEvalCoord2dv_PTR)(glEvalCoord2dv_ARG_EXPAND);
void glEvalCoord2f(glEvalCoord2f_ARG_EXPAND);
typedef void (*glEvalCoord2f_PTR)(glEvalCoord2f_ARG_EXPAND);
void glEvalCoord2fv(glEvalCoord2fv_ARG_EXPAND);
typedef void (*glEvalCoord2fv_PTR)(glEvalCoord2fv_ARG_EXPAND);
void glEvalMesh1(glEvalMesh1_ARG_EXPAND);
typedef void (*glEvalMesh1_PTR)(glEvalMesh1_ARG_EXPAND);
void glEvalMesh2(glEvalMesh2_ARG_EXPAND);
typedef void (*glEvalMesh2_PTR)(glEvalMesh2_ARG_EXPAND);
void glEvalPoint1(glEvalPoint1_ARG_EXPAND);
typedef void (*glEvalPoint1_PTR)(glEvalPoint1_ARG_EXPAND);
void glEvalPoint2(glEvalPoint2_ARG_EXPAND);
typedef void (*glEvalPoint2_PTR)(glEvalPoint2_ARG_EXPAND);
void glFeedbackBuffer(glFeedbackBuffer_ARG_EXPAND);
typedef void (*glFeedbackBuffer_PTR)(glFeedbackBuffer_ARG_EXPAND);
void glFinish(glFinish_ARG_EXPAND);
typedef void (*glFinish_PTR)(glFinish_ARG_EXPAND);
void glFlush(glFlush_ARG_EXPAND);
typedef void (*glFlush_PTR)(glFlush_ARG_EXPAND);
void glFogCoordPointer(glFogCoordPointer_ARG_EXPAND);
typedef void (*glFogCoordPointer_PTR)(glFogCoordPointer_ARG_EXPAND);
void glFogCoordd(glFogCoordd_ARG_EXPAND);
typedef void (*glFogCoordd_PTR)(glFogCoordd_ARG_EXPAND);
void glFogCoorddv(glFogCoorddv_ARG_EXPAND);
typedef void (*glFogCoorddv_PTR)(glFogCoorddv_ARG_EXPAND);
void glFogCoordf(glFogCoordf_ARG_EXPAND);
typedef void (*glFogCoordf_PTR)(glFogCoordf_ARG_EXPAND);
void glFogCoordfv(glFogCoordfv_ARG_EXPAND);
typedef void (*glFogCoordfv_PTR)(glFogCoordfv_ARG_EXPAND);
void glFogf(glFogf_ARG_EXPAND);
typedef void (*glFogf_PTR)(glFogf_ARG_EXPAND);
void glFogfv(glFogfv_ARG_EXPAND);
typedef void (*glFogfv_PTR)(glFogfv_ARG_EXPAND);
void glFogi(glFogi_ARG_EXPAND);
typedef void (*glFogi_PTR)(glFogi_ARG_EXPAND);
void glFogiv(glFogiv_ARG_EXPAND);
typedef void (*glFogiv_PTR)(glFogiv_ARG_EXPAND);
void glFrontFace(glFrontFace_ARG_EXPAND);
typedef void (*glFrontFace_PTR)(glFrontFace_ARG_EXPAND);
void glFrustum(glFrustum_ARG_EXPAND);
typedef void (*glFrustum_PTR)(glFrustum_ARG_EXPAND);
void glGenBuffers(glGenBuffers_ARG_EXPAND);
typedef void (*glGenBuffers_PTR)(glGenBuffers_ARG_EXPAND);
GLuint glGenLists(glGenLists_ARG_EXPAND);
typedef GLuint (*glGenLists_PTR)(glGenLists_ARG_EXPAND);
void glGenQueries(glGenQueries_ARG_EXPAND);
typedef void (*glGenQueries_PTR)(glGenQueries_ARG_EXPAND);
void glGenTextures(glGenTextures_ARG_EXPAND);
typedef void (*glGenTextures_PTR)(glGenTextures_ARG_EXPAND);
void glGetBooleanv(glGetBooleanv_ARG_EXPAND);
typedef void (*glGetBooleanv_PTR)(glGetBooleanv_ARG_EXPAND);
void glGetBufferParameteriv(glGetBufferParameteriv_ARG_EXPAND);
typedef void (*glGetBufferParameteriv_PTR)(glGetBufferParameteriv_ARG_EXPAND);
void glGetBufferPointerv(glGetBufferPointerv_ARG_EXPAND);
typedef void (*glGetBufferPointerv_PTR)(glGetBufferPointerv_ARG_EXPAND);
void glGetBufferSubData(glGetBufferSubData_ARG_EXPAND);
typedef void (*glGetBufferSubData_PTR)(glGetBufferSubData_ARG_EXPAND);
void glGetClipPlane(glGetClipPlane_ARG_EXPAND);
typedef void (*glGetClipPlane_PTR)(glGetClipPlane_ARG_EXPAND);
void glGetColorTable(glGetColorTable_ARG_EXPAND);
typedef void (*glGetColorTable_PTR)(glGetColorTable_ARG_EXPAND);
void glGetColorTableParameterfv(glGetColorTableParameterfv_ARG_EXPAND);
typedef void (*glGetColorTableParameterfv_PTR)(glGetColorTableParameterfv_ARG_EXPAND);
void glGetColorTableParameteriv(glGetColorTableParameteriv_ARG_EXPAND);
typedef void (*glGetColorTableParameteriv_PTR)(glGetColorTableParameteriv_ARG_EXPAND);
void glGetCompressedTexImage(glGetCompressedTexImage_ARG_EXPAND);
typedef void (*glGetCompressedTexImage_PTR)(glGetCompressedTexImage_ARG_EXPAND);
void glGetConvolutionFilter(glGetConvolutionFilter_ARG_EXPAND);
typedef void (*glGetConvolutionFilter_PTR)(glGetConvolutionFilter_ARG_EXPAND);
void glGetConvolutionParameterfv(glGetConvolutionParameterfv_ARG_EXPAND);
typedef void (*glGetConvolutionParameterfv_PTR)(glGetConvolutionParameterfv_ARG_EXPAND);
void glGetConvolutionParameteriv(glGetConvolutionParameteriv_ARG_EXPAND);
typedef void (*glGetConvolutionParameteriv_PTR)(glGetConvolutionParameteriv_ARG_EXPAND);
void glGetDoublev(glGetDoublev_ARG_EXPAND);
typedef void (*glGetDoublev_PTR)(glGetDoublev_ARG_EXPAND);
GLenum glGetError(glGetError_ARG_EXPAND);
typedef GLenum (*glGetError_PTR)(glGetError_ARG_EXPAND);
void glGetFloatv(glGetFloatv_ARG_EXPAND);
typedef void (*glGetFloatv_PTR)(glGetFloatv_ARG_EXPAND);
void glGetHistogram(glGetHistogram_ARG_EXPAND);
typedef void (*glGetHistogram_PTR)(glGetHistogram_ARG_EXPAND);
void glGetHistogramParameterfv(glGetHistogramParameterfv_ARG_EXPAND);
typedef void (*glGetHistogramParameterfv_PTR)(glGetHistogramParameterfv_ARG_EXPAND);
void glGetHistogramParameteriv(glGetHistogramParameteriv_ARG_EXPAND);
typedef void (*glGetHistogramParameteriv_PTR)(glGetHistogramParameteriv_ARG_EXPAND);
void glGetIntegerv(glGetIntegerv_ARG_EXPAND);
typedef void (*glGetIntegerv_PTR)(glGetIntegerv_ARG_EXPAND);
void glGetLightfv(glGetLightfv_ARG_EXPAND);
typedef void (*glGetLightfv_PTR)(glGetLightfv_ARG_EXPAND);
void glGetLightiv(glGetLightiv_ARG_EXPAND);
typedef void (*glGetLightiv_PTR)(glGetLightiv_ARG_EXPAND);
void glGetMapdv(glGetMapdv_ARG_EXPAND);
typedef void (*glGetMapdv_PTR)(glGetMapdv_ARG_EXPAND);
void glGetMapfv(glGetMapfv_ARG_EXPAND);
typedef void (*glGetMapfv_PTR)(glGetMapfv_ARG_EXPAND);
void glGetMapiv(glGetMapiv_ARG_EXPAND);
typedef void (*glGetMapiv_PTR)(glGetMapiv_ARG_EXPAND);
void glGetMaterialfv(glGetMaterialfv_ARG_EXPAND);
typedef void (*glGetMaterialfv_PTR)(glGetMaterialfv_ARG_EXPAND);
void glGetMaterialiv(glGetMaterialiv_ARG_EXPAND);
typedef void (*glGetMaterialiv_PTR)(glGetMaterialiv_ARG_EXPAND);
void glGetMinmax(glGetMinmax_ARG_EXPAND);
typedef void (*glGetMinmax_PTR)(glGetMinmax_ARG_EXPAND);
void glGetMinmaxParameterfv(glGetMinmaxParameterfv_ARG_EXPAND);
typedef void (*glGetMinmaxParameterfv_PTR)(glGetMinmaxParameterfv_ARG_EXPAND);
void glGetMinmaxParameteriv(glGetMinmaxParameteriv_ARG_EXPAND);
typedef void (*glGetMinmaxParameteriv_PTR)(glGetMinmaxParameteriv_ARG_EXPAND);
void glGetPixelMapfv(glGetPixelMapfv_ARG_EXPAND);
typedef void (*glGetPixelMapfv_PTR)(glGetPixelMapfv_ARG_EXPAND);
void glGetPixelMapuiv(glGetPixelMapuiv_ARG_EXPAND);
typedef void (*glGetPixelMapuiv_PTR)(glGetPixelMapuiv_ARG_EXPAND);
void glGetPixelMapusv(glGetPixelMapusv_ARG_EXPAND);
typedef void (*glGetPixelMapusv_PTR)(glGetPixelMapusv_ARG_EXPAND);
void glGetPointerv(glGetPointerv_ARG_EXPAND);
typedef void (*glGetPointerv_PTR)(glGetPointerv_ARG_EXPAND);
void glGetPolygonStipple(glGetPolygonStipple_ARG_EXPAND);
typedef void (*glGetPolygonStipple_PTR)(glGetPolygonStipple_ARG_EXPAND);
void glGetQueryObjectiv(glGetQueryObjectiv_ARG_EXPAND);
typedef void (*glGetQueryObjectiv_PTR)(glGetQueryObjectiv_ARG_EXPAND);
void glGetQueryObjectuiv(glGetQueryObjectuiv_ARG_EXPAND);
typedef void (*glGetQueryObjectuiv_PTR)(glGetQueryObjectuiv_ARG_EXPAND);
void glGetQueryiv(glGetQueryiv_ARG_EXPAND);
typedef void (*glGetQueryiv_PTR)(glGetQueryiv_ARG_EXPAND);
void glGetSeparableFilter(glGetSeparableFilter_ARG_EXPAND);
typedef void (*glGetSeparableFilter_PTR)(glGetSeparableFilter_ARG_EXPAND);
const GLubyte * glGetString(glGetString_ARG_EXPAND);
typedef const GLubyte * (*glGetString_PTR)(glGetString_ARG_EXPAND);
void glGetTexEnvfv(glGetTexEnvfv_ARG_EXPAND);
typedef void (*glGetTexEnvfv_PTR)(glGetTexEnvfv_ARG_EXPAND);
void glGetTexEnviv(glGetTexEnviv_ARG_EXPAND);
typedef void (*glGetTexEnviv_PTR)(glGetTexEnviv_ARG_EXPAND);
void glGetTexGendv(glGetTexGendv_ARG_EXPAND);
typedef void (*glGetTexGendv_PTR)(glGetTexGendv_ARG_EXPAND);
void glGetTexGenfv(glGetTexGenfv_ARG_EXPAND);
typedef void (*glGetTexGenfv_PTR)(glGetTexGenfv_ARG_EXPAND);
void glGetTexGeniv(glGetTexGeniv_ARG_EXPAND);
typedef void (*glGetTexGeniv_PTR)(glGetTexGeniv_ARG_EXPAND);
void glGetTexImage(glGetTexImage_ARG_EXPAND);
typedef void (*glGetTexImage_PTR)(glGetTexImage_ARG_EXPAND);
void glGetTexLevelParameterfv(glGetTexLevelParameterfv_ARG_EXPAND);
typedef void (*glGetTexLevelParameterfv_PTR)(glGetTexLevelParameterfv_ARG_EXPAND);
void glGetTexLevelParameteriv(glGetTexLevelParameteriv_ARG_EXPAND);
typedef void (*glGetTexLevelParameteriv_PTR)(glGetTexLevelParameteriv_ARG_EXPAND);
void glGetTexParameterfv(glGetTexParameterfv_ARG_EXPAND);
typedef void (*glGetTexParameterfv_PTR)(glGetTexParameterfv_ARG_EXPAND);
void glGetTexParameteriv(glGetTexParameteriv_ARG_EXPAND);
typedef void (*glGetTexParameteriv_PTR)(glGetTexParameteriv_ARG_EXPAND);
void glHint(glHint_ARG_EXPAND);
typedef void (*glHint_PTR)(glHint_ARG_EXPAND);
void glHistogram(glHistogram_ARG_EXPAND);
typedef void (*glHistogram_PTR)(glHistogram_ARG_EXPAND);
void glIndexMask(glIndexMask_ARG_EXPAND);
typedef void (*glIndexMask_PTR)(glIndexMask_ARG_EXPAND);
void glIndexPointer(glIndexPointer_ARG_EXPAND);
typedef void (*glIndexPointer_PTR)(glIndexPointer_ARG_EXPAND);
void glIndexd(glIndexd_ARG_EXPAND);
typedef void (*glIndexd_PTR)(glIndexd_ARG_EXPAND);
void glIndexdv(glIndexdv_ARG_EXPAND);
typedef void (*glIndexdv_PTR)(glIndexdv_ARG_EXPAND);
void glIndexf(glIndexf_ARG_EXPAND);
typedef void (*glIndexf_PTR)(glIndexf_ARG_EXPAND);
void glIndexfv(glIndexfv_ARG_EXPAND);
typedef void (*glIndexfv_PTR)(glIndexfv_ARG_EXPAND);
void glIndexi(glIndexi_ARG_EXPAND);
typedef void (*glIndexi_PTR)(glIndexi_ARG_EXPAND);
void glIndexiv(glIndexiv_ARG_EXPAND);
typedef void (*glIndexiv_PTR)(glIndexiv_ARG_EXPAND);
void glIndexs(glIndexs_ARG_EXPAND);
typedef void (*glIndexs_PTR)(glIndexs_ARG_EXPAND);
void glIndexsv(glIndexsv_ARG_EXPAND);
typedef void (*glIndexsv_PTR)(glIndexsv_ARG_EXPAND);
void glIndexub(glIndexub_ARG_EXPAND);
typedef void (*glIndexub_PTR)(glIndexub_ARG_EXPAND);
void glIndexubv(glIndexubv_ARG_EXPAND);
typedef void (*glIndexubv_PTR)(glIndexubv_ARG_EXPAND);
void glInitNames(glInitNames_ARG_EXPAND);
typedef void (*glInitNames_PTR)(glInitNames_ARG_EXPAND);
void glInterleavedArrays(glInterleavedArrays_ARG_EXPAND);
typedef void (*glInterleavedArrays_PTR)(glInterleavedArrays_ARG_EXPAND);
GLboolean glIsBuffer(glIsBuffer_ARG_EXPAND);
typedef GLboolean (*glIsBuffer_PTR)(glIsBuffer_ARG_EXPAND);
GLboolean glIsEnabled(glIsEnabled_ARG_EXPAND);
typedef GLboolean (*glIsEnabled_PTR)(glIsEnabled_ARG_EXPAND);
GLboolean glIsList(glIsList_ARG_EXPAND);
typedef GLboolean (*glIsList_PTR)(glIsList_ARG_EXPAND);
GLboolean glIsQuery(glIsQuery_ARG_EXPAND);
typedef GLboolean (*glIsQuery_PTR)(glIsQuery_ARG_EXPAND);
GLboolean glIsTexture(glIsTexture_ARG_EXPAND);
typedef GLboolean (*glIsTexture_PTR)(glIsTexture_ARG_EXPAND);
void glLightModelf(glLightModelf_ARG_EXPAND);
typedef void (*glLightModelf_PTR)(glLightModelf_ARG_EXPAND);
void glLightModelfv(glLightModelfv_ARG_EXPAND);
typedef void (*glLightModelfv_PTR)(glLightModelfv_ARG_EXPAND);
void glLightModeli(glLightModeli_ARG_EXPAND);
typedef void (*glLightModeli_PTR)(glLightModeli_ARG_EXPAND);
void glLightModeliv(glLightModeliv_ARG_EXPAND);
typedef void (*glLightModeliv_PTR)(glLightModeliv_ARG_EXPAND);
void glLightf(glLightf_ARG_EXPAND);
typedef void (*glLightf_PTR)(glLightf_ARG_EXPAND);
void glLightfv(glLightfv_ARG_EXPAND);
typedef void (*glLightfv_PTR)(glLightfv_ARG_EXPAND);
void glLighti(glLighti_ARG_EXPAND);
typedef void (*glLighti_PTR)(glLighti_ARG_EXPAND);
void glLightiv(glLightiv_ARG_EXPAND);
typedef void (*glLightiv_PTR)(glLightiv_ARG_EXPAND);
void glLineStipple(glLineStipple_ARG_EXPAND);
typedef void (*glLineStipple_PTR)(glLineStipple_ARG_EXPAND);
void glLineWidth(glLineWidth_ARG_EXPAND);
typedef void (*glLineWidth_PTR)(glLineWidth_ARG_EXPAND);
void glListBase(glListBase_ARG_EXPAND);
typedef void (*glListBase_PTR)(glListBase_ARG_EXPAND);
void glLoadIdentity(glLoadIdentity_ARG_EXPAND);
typedef void (*glLoadIdentity_PTR)(glLoadIdentity_ARG_EXPAND);
void glLoadMatrixd(glLoadMatrixd_ARG_EXPAND);
typedef void (*glLoadMatrixd_PTR)(glLoadMatrixd_ARG_EXPAND);
void glLoadMatrixf(glLoadMatrixf_ARG_EXPAND);
typedef void (*glLoadMatrixf_PTR)(glLoadMatrixf_ARG_EXPAND);
void glLoadName(glLoadName_ARG_EXPAND);
typedef void (*glLoadName_PTR)(glLoadName_ARG_EXPAND);
void glLoadTransposeMatrixd(glLoadTransposeMatrixd_ARG_EXPAND);
typedef void (*glLoadTransposeMatrixd_PTR)(glLoadTransposeMatrixd_ARG_EXPAND);
void glLoadTransposeMatrixf(glLoadTransposeMatrixf_ARG_EXPAND);
typedef void (*glLoadTransposeMatrixf_PTR)(glLoadTransposeMatrixf_ARG_EXPAND);
void glLogicOp(glLogicOp_ARG_EXPAND);
typedef void (*glLogicOp_PTR)(glLogicOp_ARG_EXPAND);
void glMap1d(glMap1d_ARG_EXPAND);
typedef void (*glMap1d_PTR)(glMap1d_ARG_EXPAND);
void glMap1f(glMap1f_ARG_EXPAND);
typedef void (*glMap1f_PTR)(glMap1f_ARG_EXPAND);
void glMap2d(glMap2d_ARG_EXPAND);
typedef void (*glMap2d_PTR)(glMap2d_ARG_EXPAND);
void glMap2f(glMap2f_ARG_EXPAND);
typedef void (*glMap2f_PTR)(glMap2f_ARG_EXPAND);
GLvoid * glMapBuffer(glMapBuffer_ARG_EXPAND);
typedef GLvoid * (*glMapBuffer_PTR)(glMapBuffer_ARG_EXPAND);
void glMapGrid1d(glMapGrid1d_ARG_EXPAND);
typedef void (*glMapGrid1d_PTR)(glMapGrid1d_ARG_EXPAND);
void glMapGrid1f(glMapGrid1f_ARG_EXPAND);
typedef void (*glMapGrid1f_PTR)(glMapGrid1f_ARG_EXPAND);
void glMapGrid2d(glMapGrid2d_ARG_EXPAND);
typedef void (*glMapGrid2d_PTR)(glMapGrid2d_ARG_EXPAND);
void glMapGrid2f(glMapGrid2f_ARG_EXPAND);
typedef void (*glMapGrid2f_PTR)(glMapGrid2f_ARG_EXPAND);
void glMaterialf(glMaterialf_ARG_EXPAND);
typedef void (*glMaterialf_PTR)(glMaterialf_ARG_EXPAND);
void glMaterialfv(glMaterialfv_ARG_EXPAND);
typedef void (*glMaterialfv_PTR)(glMaterialfv_ARG_EXPAND);
void glMateriali(glMateriali_ARG_EXPAND);
typedef void (*glMateriali_PTR)(glMateriali_ARG_EXPAND);
void glMaterialiv(glMaterialiv_ARG_EXPAND);
typedef void (*glMaterialiv_PTR)(glMaterialiv_ARG_EXPAND);
void glMatrixMode(glMatrixMode_ARG_EXPAND);
typedef void (*glMatrixMode_PTR)(glMatrixMode_ARG_EXPAND);
void glMinmax(glMinmax_ARG_EXPAND);
typedef void (*glMinmax_PTR)(glMinmax_ARG_EXPAND);
void glMultMatrixd(glMultMatrixd_ARG_EXPAND);
typedef void (*glMultMatrixd_PTR)(glMultMatrixd_ARG_EXPAND);
void glMultMatrixf(glMultMatrixf_ARG_EXPAND);
typedef void (*glMultMatrixf_PTR)(glMultMatrixf_ARG_EXPAND);
void glMultTransposeMatrixd(glMultTransposeMatrixd_ARG_EXPAND);
typedef void (*glMultTransposeMatrixd_PTR)(glMultTransposeMatrixd_ARG_EXPAND);
void glMultTransposeMatrixf(glMultTransposeMatrixf_ARG_EXPAND);
typedef void (*glMultTransposeMatrixf_PTR)(glMultTransposeMatrixf_ARG_EXPAND);
void glMultiDrawArrays(glMultiDrawArrays_ARG_EXPAND);
typedef void (*glMultiDrawArrays_PTR)(glMultiDrawArrays_ARG_EXPAND);
void glMultiDrawElements(glMultiDrawElements_ARG_EXPAND);
typedef void (*glMultiDrawElements_PTR)(glMultiDrawElements_ARG_EXPAND);
void glMultiTexCoord1d(glMultiTexCoord1d_ARG_EXPAND);
typedef void (*glMultiTexCoord1d_PTR)(glMultiTexCoord1d_ARG_EXPAND);
void glMultiTexCoord1dv(glMultiTexCoord1dv_ARG_EXPAND);
typedef void (*glMultiTexCoord1dv_PTR)(glMultiTexCoord1dv_ARG_EXPAND);
void glMultiTexCoord1f(glMultiTexCoord1f_ARG_EXPAND);
typedef void (*glMultiTexCoord1f_PTR)(glMultiTexCoord1f_ARG_EXPAND);
void glMultiTexCoord1fv(glMultiTexCoord1fv_ARG_EXPAND);
typedef void (*glMultiTexCoord1fv_PTR)(glMultiTexCoord1fv_ARG_EXPAND);
void glMultiTexCoord1i(glMultiTexCoord1i_ARG_EXPAND);
typedef void (*glMultiTexCoord1i_PTR)(glMultiTexCoord1i_ARG_EXPAND);
void glMultiTexCoord1iv(glMultiTexCoord1iv_ARG_EXPAND);
typedef void (*glMultiTexCoord1iv_PTR)(glMultiTexCoord1iv_ARG_EXPAND);
void glMultiTexCoord1s(glMultiTexCoord1s_ARG_EXPAND);
typedef void (*glMultiTexCoord1s_PTR)(glMultiTexCoord1s_ARG_EXPAND);
void glMultiTexCoord1sv(glMultiTexCoord1sv_ARG_EXPAND);
typedef void (*glMultiTexCoord1sv_PTR)(glMultiTexCoord1sv_ARG_EXPAND);
void glMultiTexCoord2d(glMultiTexCoord2d_ARG_EXPAND);
typedef void (*glMultiTexCoord2d_PTR)(glMultiTexCoord2d_ARG_EXPAND);
void glMultiTexCoord2dv(glMultiTexCoord2dv_ARG_EXPAND);
typedef void (*glMultiTexCoord2dv_PTR)(glMultiTexCoord2dv_ARG_EXPAND);
void glMultiTexCoord2f(glMultiTexCoord2f_ARG_EXPAND);
typedef void (*glMultiTexCoord2f_PTR)(glMultiTexCoord2f_ARG_EXPAND);
void glMultiTexCoord2fv(glMultiTexCoord2fv_ARG_EXPAND);
typedef void (*glMultiTexCoord2fv_PTR)(glMultiTexCoord2fv_ARG_EXPAND);
void glMultiTexCoord2i(glMultiTexCoord2i_ARG_EXPAND);
typedef void (*glMultiTexCoord2i_PTR)(glMultiTexCoord2i_ARG_EXPAND);
void glMultiTexCoord2iv(glMultiTexCoord2iv_ARG_EXPAND);
typedef void (*glMultiTexCoord2iv_PTR)(glMultiTexCoord2iv_ARG_EXPAND);
void glMultiTexCoord2s(glMultiTexCoord2s_ARG_EXPAND);
typedef void (*glMultiTexCoord2s_PTR)(glMultiTexCoord2s_ARG_EXPAND);
void glMultiTexCoord2sv(glMultiTexCoord2sv_ARG_EXPAND);
typedef void (*glMultiTexCoord2sv_PTR)(glMultiTexCoord2sv_ARG_EXPAND);
void glMultiTexCoord3d(glMultiTexCoord3d_ARG_EXPAND);
typedef void (*glMultiTexCoord3d_PTR)(glMultiTexCoord3d_ARG_EXPAND);
void glMultiTexCoord3dv(glMultiTexCoord3dv_ARG_EXPAND);
typedef void (*glMultiTexCoord3dv_PTR)(glMultiTexCoord3dv_ARG_EXPAND);
void glMultiTexCoord3f(glMultiTexCoord3f_ARG_EXPAND);
typedef void (*glMultiTexCoord3f_PTR)(glMultiTexCoord3f_ARG_EXPAND);
void glMultiTexCoord3fv(glMultiTexCoord3fv_ARG_EXPAND);
typedef void (*glMultiTexCoord3fv_PTR)(glMultiTexCoord3fv_ARG_EXPAND);
void glMultiTexCoord3i(glMultiTexCoord3i_ARG_EXPAND);
typedef void (*glMultiTexCoord3i_PTR)(glMultiTexCoord3i_ARG_EXPAND);
void glMultiTexCoord3iv(glMultiTexCoord3iv_ARG_EXPAND);
typedef void (*glMultiTexCoord3iv_PTR)(glMultiTexCoord3iv_ARG_EXPAND);
void glMultiTexCoord3s(glMultiTexCoord3s_ARG_EXPAND);
typedef void (*glMultiTexCoord3s_PTR)(glMultiTexCoord3s_ARG_EXPAND);
void glMultiTexCoord3sv(glMultiTexCoord3sv_ARG_EXPAND);
typedef void (*glMultiTexCoord3sv_PTR)(glMultiTexCoord3sv_ARG_EXPAND);
void glMultiTexCoord4d(glMultiTexCoord4d_ARG_EXPAND);
typedef void (*glMultiTexCoord4d_PTR)(glMultiTexCoord4d_ARG_EXPAND);
void glMultiTexCoord4dv(glMultiTexCoord4dv_ARG_EXPAND);
typedef void (*glMultiTexCoord4dv_PTR)(glMultiTexCoord4dv_ARG_EXPAND);
void glMultiTexCoord4f(glMultiTexCoord4f_ARG_EXPAND);
typedef void (*glMultiTexCoord4f_PTR)(glMultiTexCoord4f_ARG_EXPAND);
void glMultiTexCoord4fv(glMultiTexCoord4fv_ARG_EXPAND);
typedef void (*glMultiTexCoord4fv_PTR)(glMultiTexCoord4fv_ARG_EXPAND);
void glMultiTexCoord4i(glMultiTexCoord4i_ARG_EXPAND);
typedef void (*glMultiTexCoord4i_PTR)(glMultiTexCoord4i_ARG_EXPAND);
void glMultiTexCoord4iv(glMultiTexCoord4iv_ARG_EXPAND);
typedef void (*glMultiTexCoord4iv_PTR)(glMultiTexCoord4iv_ARG_EXPAND);
void glMultiTexCoord4s(glMultiTexCoord4s_ARG_EXPAND);
typedef void (*glMultiTexCoord4s_PTR)(glMultiTexCoord4s_ARG_EXPAND);
void glMultiTexCoord4sv(glMultiTexCoord4sv_ARG_EXPAND);
typedef void (*glMultiTexCoord4sv_PTR)(glMultiTexCoord4sv_ARG_EXPAND);
void glNewList(glNewList_ARG_EXPAND);
typedef void (*glNewList_PTR)(glNewList_ARG_EXPAND);
void glNormal3b(glNormal3b_ARG_EXPAND);
typedef void (*glNormal3b_PTR)(glNormal3b_ARG_EXPAND);
void glNormal3bv(glNormal3bv_ARG_EXPAND);
typedef void (*glNormal3bv_PTR)(glNormal3bv_ARG_EXPAND);
void glNormal3d(glNormal3d_ARG_EXPAND);
typedef void (*glNormal3d_PTR)(glNormal3d_ARG_EXPAND);
void glNormal3dv(glNormal3dv_ARG_EXPAND);
typedef void (*glNormal3dv_PTR)(glNormal3dv_ARG_EXPAND);
void glNormal3f(glNormal3f_ARG_EXPAND);
typedef void (*glNormal3f_PTR)(glNormal3f_ARG_EXPAND);
void glNormal3fv(glNormal3fv_ARG_EXPAND);
typedef void (*glNormal3fv_PTR)(glNormal3fv_ARG_EXPAND);
void glNormal3i(glNormal3i_ARG_EXPAND);
typedef void (*glNormal3i_PTR)(glNormal3i_ARG_EXPAND);
void glNormal3iv(glNormal3iv_ARG_EXPAND);
typedef void (*glNormal3iv_PTR)(glNormal3iv_ARG_EXPAND);
void glNormal3s(glNormal3s_ARG_EXPAND);
typedef void (*glNormal3s_PTR)(glNormal3s_ARG_EXPAND);
void glNormal3sv(glNormal3sv_ARG_EXPAND);
typedef void (*glNormal3sv_PTR)(glNormal3sv_ARG_EXPAND);
void glNormalPointer(glNormalPointer_ARG_EXPAND);
typedef void (*glNormalPointer_PTR)(glNormalPointer_ARG_EXPAND);
void glOrtho(glOrtho_ARG_EXPAND);
typedef void (*glOrtho_PTR)(glOrtho_ARG_EXPAND);
void glPassThrough(glPassThrough_ARG_EXPAND);
typedef void (*glPassThrough_PTR)(glPassThrough_ARG_EXPAND);
void glPixelMapfv(glPixelMapfv_ARG_EXPAND);
typedef void (*glPixelMapfv_PTR)(glPixelMapfv_ARG_EXPAND);
void glPixelMapuiv(glPixelMapuiv_ARG_EXPAND);
typedef void (*glPixelMapuiv_PTR)(glPixelMapuiv_ARG_EXPAND);
void glPixelMapusv(glPixelMapusv_ARG_EXPAND);
typedef void (*glPixelMapusv_PTR)(glPixelMapusv_ARG_EXPAND);
void glPixelStoref(glPixelStoref_ARG_EXPAND);
typedef void (*glPixelStoref_PTR)(glPixelStoref_ARG_EXPAND);
void glPixelStorei(glPixelStorei_ARG_EXPAND);
typedef void (*glPixelStorei_PTR)(glPixelStorei_ARG_EXPAND);
void glPixelTransferf(glPixelTransferf_ARG_EXPAND);
typedef void (*glPixelTransferf_PTR)(glPixelTransferf_ARG_EXPAND);
void glPixelTransferi(glPixelTransferi_ARG_EXPAND);
typedef void (*glPixelTransferi_PTR)(glPixelTransferi_ARG_EXPAND);
void glPixelZoom(glPixelZoom_ARG_EXPAND);
typedef void (*glPixelZoom_PTR)(glPixelZoom_ARG_EXPAND);
void glPointParameterf(glPointParameterf_ARG_EXPAND);
typedef void (*glPointParameterf_PTR)(glPointParameterf_ARG_EXPAND);
void glPointParameterfv(glPointParameterfv_ARG_EXPAND);
typedef void (*glPointParameterfv_PTR)(glPointParameterfv_ARG_EXPAND);
void glPointParameteri(glPointParameteri_ARG_EXPAND);
typedef void (*glPointParameteri_PTR)(glPointParameteri_ARG_EXPAND);
void glPointParameteriv(glPointParameteriv_ARG_EXPAND);
typedef void (*glPointParameteriv_PTR)(glPointParameteriv_ARG_EXPAND);
void glPointSize(glPointSize_ARG_EXPAND);
typedef void (*glPointSize_PTR)(glPointSize_ARG_EXPAND);
void glPolygonMode(glPolygonMode_ARG_EXPAND);
typedef void (*glPolygonMode_PTR)(glPolygonMode_ARG_EXPAND);
void glPolygonOffset(glPolygonOffset_ARG_EXPAND);
typedef void (*glPolygonOffset_PTR)(glPolygonOffset_ARG_EXPAND);
void glPolygonStipple(glPolygonStipple_ARG_EXPAND);
typedef void (*glPolygonStipple_PTR)(glPolygonStipple_ARG_EXPAND);
void glPopAttrib(glPopAttrib_ARG_EXPAND);
typedef void (*glPopAttrib_PTR)(glPopAttrib_ARG_EXPAND);
void glPopClientAttrib(glPopClientAttrib_ARG_EXPAND);
typedef void (*glPopClientAttrib_PTR)(glPopClientAttrib_ARG_EXPAND);
void glPopMatrix(glPopMatrix_ARG_EXPAND);
typedef void (*glPopMatrix_PTR)(glPopMatrix_ARG_EXPAND);
void glPopName(glPopName_ARG_EXPAND);
typedef void (*glPopName_PTR)(glPopName_ARG_EXPAND);
void glPrioritizeTextures(glPrioritizeTextures_ARG_EXPAND);
typedef void (*glPrioritizeTextures_PTR)(glPrioritizeTextures_ARG_EXPAND);
void glPushAttrib(glPushAttrib_ARG_EXPAND);
typedef void (*glPushAttrib_PTR)(glPushAttrib_ARG_EXPAND);
void glPushClientAttrib(glPushClientAttrib_ARG_EXPAND);
typedef void (*glPushClientAttrib_PTR)(glPushClientAttrib_ARG_EXPAND);
void glPushMatrix(glPushMatrix_ARG_EXPAND);
typedef void (*glPushMatrix_PTR)(glPushMatrix_ARG_EXPAND);
void glPushName(glPushName_ARG_EXPAND);
typedef void (*glPushName_PTR)(glPushName_ARG_EXPAND);
void glRasterPos2d(glRasterPos2d_ARG_EXPAND);
typedef void (*glRasterPos2d_PTR)(glRasterPos2d_ARG_EXPAND);
void glRasterPos2dv(glRasterPos2dv_ARG_EXPAND);
typedef void (*glRasterPos2dv_PTR)(glRasterPos2dv_ARG_EXPAND);
void glRasterPos2f(glRasterPos2f_ARG_EXPAND);
typedef void (*glRasterPos2f_PTR)(glRasterPos2f_ARG_EXPAND);
void glRasterPos2fv(glRasterPos2fv_ARG_EXPAND);
typedef void (*glRasterPos2fv_PTR)(glRasterPos2fv_ARG_EXPAND);
void glRasterPos2i(glRasterPos2i_ARG_EXPAND);
typedef void (*glRasterPos2i_PTR)(glRasterPos2i_ARG_EXPAND);
void glRasterPos2iv(glRasterPos2iv_ARG_EXPAND);
typedef void (*glRasterPos2iv_PTR)(glRasterPos2iv_ARG_EXPAND);
void glRasterPos2s(glRasterPos2s_ARG_EXPAND);
typedef void (*glRasterPos2s_PTR)(glRasterPos2s_ARG_EXPAND);
void glRasterPos2sv(glRasterPos2sv_ARG_EXPAND);
typedef void (*glRasterPos2sv_PTR)(glRasterPos2sv_ARG_EXPAND);
void glRasterPos3d(glRasterPos3d_ARG_EXPAND);
typedef void (*glRasterPos3d_PTR)(glRasterPos3d_ARG_EXPAND);
void glRasterPos3dv(glRasterPos3dv_ARG_EXPAND);
typedef void (*glRasterPos3dv_PTR)(glRasterPos3dv_ARG_EXPAND);
void glRasterPos3f(glRasterPos3f_ARG_EXPAND);
typedef void (*glRasterPos3f_PTR)(glRasterPos3f_ARG_EXPAND);
void glRasterPos3fv(glRasterPos3fv_ARG_EXPAND);
typedef void (*glRasterPos3fv_PTR)(glRasterPos3fv_ARG_EXPAND);
void glRasterPos3i(glRasterPos3i_ARG_EXPAND);
typedef void (*glRasterPos3i_PTR)(glRasterPos3i_ARG_EXPAND);
void glRasterPos3iv(glRasterPos3iv_ARG_EXPAND);
typedef void (*glRasterPos3iv_PTR)(glRasterPos3iv_ARG_EXPAND);
void glRasterPos3s(glRasterPos3s_ARG_EXPAND);
typedef void (*glRasterPos3s_PTR)(glRasterPos3s_ARG_EXPAND);
void glRasterPos3sv(glRasterPos3sv_ARG_EXPAND);
typedef void (*glRasterPos3sv_PTR)(glRasterPos3sv_ARG_EXPAND);
void glRasterPos4d(glRasterPos4d_ARG_EXPAND);
typedef void (*glRasterPos4d_PTR)(glRasterPos4d_ARG_EXPAND);
void glRasterPos4dv(glRasterPos4dv_ARG_EXPAND);
typedef void (*glRasterPos4dv_PTR)(glRasterPos4dv_ARG_EXPAND);
void glRasterPos4f(glRasterPos4f_ARG_EXPAND);
typedef void (*glRasterPos4f_PTR)(glRasterPos4f_ARG_EXPAND);
void glRasterPos4fv(glRasterPos4fv_ARG_EXPAND);
typedef void (*glRasterPos4fv_PTR)(glRasterPos4fv_ARG_EXPAND);
void glRasterPos4i(glRasterPos4i_ARG_EXPAND);
typedef void (*glRasterPos4i_PTR)(glRasterPos4i_ARG_EXPAND);
void glRasterPos4iv(glRasterPos4iv_ARG_EXPAND);
typedef void (*glRasterPos4iv_PTR)(glRasterPos4iv_ARG_EXPAND);
void glRasterPos4s(glRasterPos4s_ARG_EXPAND);
typedef void (*glRasterPos4s_PTR)(glRasterPos4s_ARG_EXPAND);
void glRasterPos4sv(glRasterPos4sv_ARG_EXPAND);
typedef void (*glRasterPos4sv_PTR)(glRasterPos4sv_ARG_EXPAND);
void glReadBuffer(glReadBuffer_ARG_EXPAND);
typedef void (*glReadBuffer_PTR)(glReadBuffer_ARG_EXPAND);
void glReadPixels(glReadPixels_ARG_EXPAND);
typedef void (*glReadPixels_PTR)(glReadPixels_ARG_EXPAND);
void glRectd(glRectd_ARG_EXPAND);
typedef void (*glRectd_PTR)(glRectd_ARG_EXPAND);
void glRectdv(glRectdv_ARG_EXPAND);
typedef void (*glRectdv_PTR)(glRectdv_ARG_EXPAND);
void glRectf(glRectf_ARG_EXPAND);
typedef void (*glRectf_PTR)(glRectf_ARG_EXPAND);
void glRectfv(glRectfv_ARG_EXPAND);
typedef void (*glRectfv_PTR)(glRectfv_ARG_EXPAND);
void glRecti(glRecti_ARG_EXPAND);
typedef void (*glRecti_PTR)(glRecti_ARG_EXPAND);
void glRectiv(glRectiv_ARG_EXPAND);
typedef void (*glRectiv_PTR)(glRectiv_ARG_EXPAND);
void glRects(glRects_ARG_EXPAND);
typedef void (*glRects_PTR)(glRects_ARG_EXPAND);
void glRectsv(glRectsv_ARG_EXPAND);
typedef void (*glRectsv_PTR)(glRectsv_ARG_EXPAND);
GLint glRenderMode(glRenderMode_ARG_EXPAND);
typedef GLint (*glRenderMode_PTR)(glRenderMode_ARG_EXPAND);
void glResetHistogram(glResetHistogram_ARG_EXPAND);
typedef void (*glResetHistogram_PTR)(glResetHistogram_ARG_EXPAND);
void glResetMinmax(glResetMinmax_ARG_EXPAND);
typedef void (*glResetMinmax_PTR)(glResetMinmax_ARG_EXPAND);
void glRotated(glRotated_ARG_EXPAND);
typedef void (*glRotated_PTR)(glRotated_ARG_EXPAND);
void glRotatef(glRotatef_ARG_EXPAND);
typedef void (*glRotatef_PTR)(glRotatef_ARG_EXPAND);
void glSampleCoverage(glSampleCoverage_ARG_EXPAND);
typedef void (*glSampleCoverage_PTR)(glSampleCoverage_ARG_EXPAND);
void glScaled(glScaled_ARG_EXPAND);
typedef void (*glScaled_PTR)(glScaled_ARG_EXPAND);
void glScalef(glScalef_ARG_EXPAND);
typedef void (*glScalef_PTR)(glScalef_ARG_EXPAND);
void glScissor(glScissor_ARG_EXPAND);
typedef void (*glScissor_PTR)(glScissor_ARG_EXPAND);
void glSecondaryColor3b(glSecondaryColor3b_ARG_EXPAND);
typedef void (*glSecondaryColor3b_PTR)(glSecondaryColor3b_ARG_EXPAND);
void glSecondaryColor3bv(glSecondaryColor3bv_ARG_EXPAND);
typedef void (*glSecondaryColor3bv_PTR)(glSecondaryColor3bv_ARG_EXPAND);
void glSecondaryColor3d(glSecondaryColor3d_ARG_EXPAND);
typedef void (*glSecondaryColor3d_PTR)(glSecondaryColor3d_ARG_EXPAND);
void glSecondaryColor3dv(glSecondaryColor3dv_ARG_EXPAND);
typedef void (*glSecondaryColor3dv_PTR)(glSecondaryColor3dv_ARG_EXPAND);
void glSecondaryColor3f(glSecondaryColor3f_ARG_EXPAND);
typedef void (*glSecondaryColor3f_PTR)(glSecondaryColor3f_ARG_EXPAND);
void glSecondaryColor3fv(glSecondaryColor3fv_ARG_EXPAND);
typedef void (*glSecondaryColor3fv_PTR)(glSecondaryColor3fv_ARG_EXPAND);
void glSecondaryColor3i(glSecondaryColor3i_ARG_EXPAND);
typedef void (*glSecondaryColor3i_PTR)(glSecondaryColor3i_ARG_EXPAND);
void glSecondaryColor3iv(glSecondaryColor3iv_ARG_EXPAND);
typedef void (*glSecondaryColor3iv_PTR)(glSecondaryColor3iv_ARG_EXPAND);
void glSecondaryColor3s(glSecondaryColor3s_ARG_EXPAND);
typedef void (*glSecondaryColor3s_PTR)(glSecondaryColor3s_ARG_EXPAND);
void glSecondaryColor3sv(glSecondaryColor3sv_ARG_EXPAND);
typedef void (*glSecondaryColor3sv_PTR)(glSecondaryColor3sv_ARG_EXPAND);
void glSecondaryColor3ub(glSecondaryColor3ub_ARG_EXPAND);
typedef void (*glSecondaryColor3ub_PTR)(glSecondaryColor3ub_ARG_EXPAND);
void glSecondaryColor3ubv(glSecondaryColor3ubv_ARG_EXPAND);
typedef void (*glSecondaryColor3ubv_PTR)(glSecondaryColor3ubv_ARG_EXPAND);
void glSecondaryColor3ui(glSecondaryColor3ui_ARG_EXPAND);
typedef void (*glSecondaryColor3ui_PTR)(glSecondaryColor3ui_ARG_EXPAND);
void glSecondaryColor3uiv(glSecondaryColor3uiv_ARG_EXPAND);
typedef void (*glSecondaryColor3uiv_PTR)(glSecondaryColor3uiv_ARG_EXPAND);
void glSecondaryColor3us(glSecondaryColor3us_ARG_EXPAND);
typedef void (*glSecondaryColor3us_PTR)(glSecondaryColor3us_ARG_EXPAND);
void glSecondaryColor3usv(glSecondaryColor3usv_ARG_EXPAND);
typedef void (*glSecondaryColor3usv_PTR)(glSecondaryColor3usv_ARG_EXPAND);
void glSecondaryColorPointer(glSecondaryColorPointer_ARG_EXPAND);
typedef void (*glSecondaryColorPointer_PTR)(glSecondaryColorPointer_ARG_EXPAND);
void glSelectBuffer(glSelectBuffer_ARG_EXPAND);
typedef void (*glSelectBuffer_PTR)(glSelectBuffer_ARG_EXPAND);
void glSeparableFilter2D(glSeparableFilter2D_ARG_EXPAND);
typedef void (*glSeparableFilter2D_PTR)(glSeparableFilter2D_ARG_EXPAND);
void glShadeModel(glShadeModel_ARG_EXPAND);
typedef void (*glShadeModel_PTR)(glShadeModel_ARG_EXPAND);
void glStencilFunc(glStencilFunc_ARG_EXPAND);
typedef void (*glStencilFunc_PTR)(glStencilFunc_ARG_EXPAND);
void glStencilMask(glStencilMask_ARG_EXPAND);
typedef void (*glStencilMask_PTR)(glStencilMask_ARG_EXPAND);
void glStencilOp(glStencilOp_ARG_EXPAND);
typedef void (*glStencilOp_PTR)(glStencilOp_ARG_EXPAND);
void glTexCoord1d(glTexCoord1d_ARG_EXPAND);
typedef void (*glTexCoord1d_PTR)(glTexCoord1d_ARG_EXPAND);
void glTexCoord1dv(glTexCoord1dv_ARG_EXPAND);
typedef void (*glTexCoord1dv_PTR)(glTexCoord1dv_ARG_EXPAND);
void glTexCoord1f(glTexCoord1f_ARG_EXPAND);
typedef void (*glTexCoord1f_PTR)(glTexCoord1f_ARG_EXPAND);
void glTexCoord1fv(glTexCoord1fv_ARG_EXPAND);
typedef void (*glTexCoord1fv_PTR)(glTexCoord1fv_ARG_EXPAND);
void glTexCoord1i(glTexCoord1i_ARG_EXPAND);
typedef void (*glTexCoord1i_PTR)(glTexCoord1i_ARG_EXPAND);
void glTexCoord1iv(glTexCoord1iv_ARG_EXPAND);
typedef void (*glTexCoord1iv_PTR)(glTexCoord1iv_ARG_EXPAND);
void glTexCoord1s(glTexCoord1s_ARG_EXPAND);
typedef void (*glTexCoord1s_PTR)(glTexCoord1s_ARG_EXPAND);
void glTexCoord1sv(glTexCoord1sv_ARG_EXPAND);
typedef void (*glTexCoord1sv_PTR)(glTexCoord1sv_ARG_EXPAND);
void glTexCoord2d(glTexCoord2d_ARG_EXPAND);
typedef void (*glTexCoord2d_PTR)(glTexCoord2d_ARG_EXPAND);
void glTexCoord2dv(glTexCoord2dv_ARG_EXPAND);
typedef void (*glTexCoord2dv_PTR)(glTexCoord2dv_ARG_EXPAND);
void glTexCoord2f(glTexCoord2f_ARG_EXPAND);
typedef void (*glTexCoord2f_PTR)(glTexCoord2f_ARG_EXPAND);
void glTexCoord2fv(glTexCoord2fv_ARG_EXPAND);
typedef void (*glTexCoord2fv_PTR)(glTexCoord2fv_ARG_EXPAND);
void glTexCoord2i(glTexCoord2i_ARG_EXPAND);
typedef void (*glTexCoord2i_PTR)(glTexCoord2i_ARG_EXPAND);
void glTexCoord2iv(glTexCoord2iv_ARG_EXPAND);
typedef void (*glTexCoord2iv_PTR)(glTexCoord2iv_ARG_EXPAND);
void glTexCoord2s(glTexCoord2s_ARG_EXPAND);
typedef void (*glTexCoord2s_PTR)(glTexCoord2s_ARG_EXPAND);
void glTexCoord2sv(glTexCoord2sv_ARG_EXPAND);
typedef void (*glTexCoord2sv_PTR)(glTexCoord2sv_ARG_EXPAND);
void glTexCoord3d(glTexCoord3d_ARG_EXPAND);
typedef void (*glTexCoord3d_PTR)(glTexCoord3d_ARG_EXPAND);
void glTexCoord3dv(glTexCoord3dv_ARG_EXPAND);
typedef void (*glTexCoord3dv_PTR)(glTexCoord3dv_ARG_EXPAND);
void glTexCoord3f(glTexCoord3f_ARG_EXPAND);
typedef void (*glTexCoord3f_PTR)(glTexCoord3f_ARG_EXPAND);
void glTexCoord3fv(glTexCoord3fv_ARG_EXPAND);
typedef void (*glTexCoord3fv_PTR)(glTexCoord3fv_ARG_EXPAND);
void glTexCoord3i(glTexCoord3i_ARG_EXPAND);
typedef void (*glTexCoord3i_PTR)(glTexCoord3i_ARG_EXPAND);
void glTexCoord3iv(glTexCoord3iv_ARG_EXPAND);
typedef void (*glTexCoord3iv_PTR)(glTexCoord3iv_ARG_EXPAND);
void glTexCoord3s(glTexCoord3s_ARG_EXPAND);
typedef void (*glTexCoord3s_PTR)(glTexCoord3s_ARG_EXPAND);
void glTexCoord3sv(glTexCoord3sv_ARG_EXPAND);
typedef void (*glTexCoord3sv_PTR)(glTexCoord3sv_ARG_EXPAND);
void glTexCoord4d(glTexCoord4d_ARG_EXPAND);
typedef void (*glTexCoord4d_PTR)(glTexCoord4d_ARG_EXPAND);
void glTexCoord4dv(glTexCoord4dv_ARG_EXPAND);
typedef void (*glTexCoord4dv_PTR)(glTexCoord4dv_ARG_EXPAND);
void glTexCoord4f(glTexCoord4f_ARG_EXPAND);
typedef void (*glTexCoord4f_PTR)(glTexCoord4f_ARG_EXPAND);
void glTexCoord4fv(glTexCoord4fv_ARG_EXPAND);
typedef void (*glTexCoord4fv_PTR)(glTexCoord4fv_ARG_EXPAND);
void glTexCoord4i(glTexCoord4i_ARG_EXPAND);
typedef void (*glTexCoord4i_PTR)(glTexCoord4i_ARG_EXPAND);
void glTexCoord4iv(glTexCoord4iv_ARG_EXPAND);
typedef void (*glTexCoord4iv_PTR)(glTexCoord4iv_ARG_EXPAND);
void glTexCoord4s(glTexCoord4s_ARG_EXPAND);
typedef void (*glTexCoord4s_PTR)(glTexCoord4s_ARG_EXPAND);
void glTexCoord4sv(glTexCoord4sv_ARG_EXPAND);
typedef void (*glTexCoord4sv_PTR)(glTexCoord4sv_ARG_EXPAND);
void glTexCoordPointer(glTexCoordPointer_ARG_EXPAND);
typedef void (*glTexCoordPointer_PTR)(glTexCoordPointer_ARG_EXPAND);
void glTexEnvf(glTexEnvf_ARG_EXPAND);
typedef void (*glTexEnvf_PTR)(glTexEnvf_ARG_EXPAND);
void glTexEnvfv(glTexEnvfv_ARG_EXPAND);
typedef void (*glTexEnvfv_PTR)(glTexEnvfv_ARG_EXPAND);
void glTexEnvi(glTexEnvi_ARG_EXPAND);
typedef void (*glTexEnvi_PTR)(glTexEnvi_ARG_EXPAND);
void glTexEnviv(glTexEnviv_ARG_EXPAND);
typedef void (*glTexEnviv_PTR)(glTexEnviv_ARG_EXPAND);
void glTexGend(glTexGend_ARG_EXPAND);
typedef void (*glTexGend_PTR)(glTexGend_ARG_EXPAND);
void glTexGendv(glTexGendv_ARG_EXPAND);
typedef void (*glTexGendv_PTR)(glTexGendv_ARG_EXPAND);
void glTexGenf(glTexGenf_ARG_EXPAND);
typedef void (*glTexGenf_PTR)(glTexGenf_ARG_EXPAND);
void glTexGenfv(glTexGenfv_ARG_EXPAND);
typedef void (*glTexGenfv_PTR)(glTexGenfv_ARG_EXPAND);
void glTexGeni(glTexGeni_ARG_EXPAND);
typedef void (*glTexGeni_PTR)(glTexGeni_ARG_EXPAND);
void glTexGeniv(glTexGeniv_ARG_EXPAND);
typedef void (*glTexGeniv_PTR)(glTexGeniv_ARG_EXPAND);
void glTexImage1D(glTexImage1D_ARG_EXPAND);
typedef void (*glTexImage1D_PTR)(glTexImage1D_ARG_EXPAND);
void glTexImage2D(glTexImage2D_ARG_EXPAND);
typedef void (*glTexImage2D_PTR)(glTexImage2D_ARG_EXPAND);
void glTexImage3D(glTexImage3D_ARG_EXPAND);
typedef void (*glTexImage3D_PTR)(glTexImage3D_ARG_EXPAND);
void glTexParameterf(glTexParameterf_ARG_EXPAND);
typedef void (*glTexParameterf_PTR)(glTexParameterf_ARG_EXPAND);
void glTexParameterfv(glTexParameterfv_ARG_EXPAND);
typedef void (*glTexParameterfv_PTR)(glTexParameterfv_ARG_EXPAND);
void glTexParameteri(glTexParameteri_ARG_EXPAND);
typedef void (*glTexParameteri_PTR)(glTexParameteri_ARG_EXPAND);
void glTexParameteriv(glTexParameteriv_ARG_EXPAND);
typedef void (*glTexParameteriv_PTR)(glTexParameteriv_ARG_EXPAND);
void glTexSubImage1D(glTexSubImage1D_ARG_EXPAND);
typedef void (*glTexSubImage1D_PTR)(glTexSubImage1D_ARG_EXPAND);
void glTexSubImage2D(glTexSubImage2D_ARG_EXPAND);
typedef void (*glTexSubImage2D_PTR)(glTexSubImage2D_ARG_EXPAND);
void glTexSubImage3D(glTexSubImage3D_ARG_EXPAND);
typedef void (*glTexSubImage3D_PTR)(glTexSubImage3D_ARG_EXPAND);
void glTranslated(glTranslated_ARG_EXPAND);
typedef void (*glTranslated_PTR)(glTranslated_ARG_EXPAND);
void glTranslatef(glTranslatef_ARG_EXPAND);
typedef void (*glTranslatef_PTR)(glTranslatef_ARG_EXPAND);
GLboolean glUnmapBuffer(glUnmapBuffer_ARG_EXPAND);
typedef GLboolean (*glUnmapBuffer_PTR)(glUnmapBuffer_ARG_EXPAND);
void glVertex2d(glVertex2d_ARG_EXPAND);
typedef void (*glVertex2d_PTR)(glVertex2d_ARG_EXPAND);
void glVertex2dv(glVertex2dv_ARG_EXPAND);
typedef void (*glVertex2dv_PTR)(glVertex2dv_ARG_EXPAND);
void glVertex2f(glVertex2f_ARG_EXPAND);
typedef void (*glVertex2f_PTR)(glVertex2f_ARG_EXPAND);
void glVertex2fv(glVertex2fv_ARG_EXPAND);
typedef void (*glVertex2fv_PTR)(glVertex2fv_ARG_EXPAND);
void glVertex2i(glVertex2i_ARG_EXPAND);
typedef void (*glVertex2i_PTR)(glVertex2i_ARG_EXPAND);
void glVertex2iv(glVertex2iv_ARG_EXPAND);
typedef void (*glVertex2iv_PTR)(glVertex2iv_ARG_EXPAND);
void glVertex2s(glVertex2s_ARG_EXPAND);
typedef void (*glVertex2s_PTR)(glVertex2s_ARG_EXPAND);
void glVertex2sv(glVertex2sv_ARG_EXPAND);
typedef void (*glVertex2sv_PTR)(glVertex2sv_ARG_EXPAND);
void glVertex3d(glVertex3d_ARG_EXPAND);
typedef void (*glVertex3d_PTR)(glVertex3d_ARG_EXPAND);
void glVertex3dv(glVertex3dv_ARG_EXPAND);
typedef void (*glVertex3dv_PTR)(glVertex3dv_ARG_EXPAND);
void glVertex3f(glVertex3f_ARG_EXPAND);
typedef void (*glVertex3f_PTR)(glVertex3f_ARG_EXPAND);
void glVertex3fv(glVertex3fv_ARG_EXPAND);
typedef void (*glVertex3fv_PTR)(glVertex3fv_ARG_EXPAND);
void glVertex3i(glVertex3i_ARG_EXPAND);
typedef void (*glVertex3i_PTR)(glVertex3i_ARG_EXPAND);
void glVertex3iv(glVertex3iv_ARG_EXPAND);
typedef void (*glVertex3iv_PTR)(glVertex3iv_ARG_EXPAND);
void glVertex3s(glVertex3s_ARG_EXPAND);
typedef void (*glVertex3s_PTR)(glVertex3s_ARG_EXPAND);
void glVertex3sv(glVertex3sv_ARG_EXPAND);
typedef void (*glVertex3sv_PTR)(glVertex3sv_ARG_EXPAND);
void glVertex4d(glVertex4d_ARG_EXPAND);
typedef void (*glVertex4d_PTR)(glVertex4d_ARG_EXPAND);
void glVertex4dv(glVertex4dv_ARG_EXPAND);
typedef void (*glVertex4dv_PTR)(glVertex4dv_ARG_EXPAND);
void glVertex4f(glVertex4f_ARG_EXPAND);
typedef void (*glVertex4f_PTR)(glVertex4f_ARG_EXPAND);
void glVertex4fv(glVertex4fv_ARG_EXPAND);
typedef void (*glVertex4fv_PTR)(glVertex4fv_ARG_EXPAND);
void glVertex4i(glVertex4i_ARG_EXPAND);
typedef void (*glVertex4i_PTR)(glVertex4i_ARG_EXPAND);
void glVertex4iv(glVertex4iv_ARG_EXPAND);
typedef void (*glVertex4iv_PTR)(glVertex4iv_ARG_EXPAND);
void glVertex4s(glVertex4s_ARG_EXPAND);
typedef void (*glVertex4s_PTR)(glVertex4s_ARG_EXPAND);
void glVertex4sv(glVertex4sv_ARG_EXPAND);
typedef void (*glVertex4sv_PTR)(glVertex4sv_ARG_EXPAND);
void glVertexPointer(glVertexPointer_ARG_EXPAND);
typedef void (*glVertexPointer_PTR)(glVertexPointer_ARG_EXPAND);
void glViewport(glViewport_ARG_EXPAND);
typedef void (*glViewport_PTR)(glViewport_ARG_EXPAND);
void glWindowPos2d(glWindowPos2d_ARG_EXPAND);
typedef void (*glWindowPos2d_PTR)(glWindowPos2d_ARG_EXPAND);
void glWindowPos2dv(glWindowPos2dv_ARG_EXPAND);
typedef void (*glWindowPos2dv_PTR)(glWindowPos2dv_ARG_EXPAND);
void glWindowPos2f(glWindowPos2f_ARG_EXPAND);
typedef void (*glWindowPos2f_PTR)(glWindowPos2f_ARG_EXPAND);
void glWindowPos2fv(glWindowPos2fv_ARG_EXPAND);
typedef void (*glWindowPos2fv_PTR)(glWindowPos2fv_ARG_EXPAND);
void glWindowPos2i(glWindowPos2i_ARG_EXPAND);
typedef void (*glWindowPos2i_PTR)(glWindowPos2i_ARG_EXPAND);
void glWindowPos2iv(glWindowPos2iv_ARG_EXPAND);
typedef void (*glWindowPos2iv_PTR)(glWindowPos2iv_ARG_EXPAND);
void glWindowPos2s(glWindowPos2s_ARG_EXPAND);
typedef void (*glWindowPos2s_PTR)(glWindowPos2s_ARG_EXPAND);
void glWindowPos2sv(glWindowPos2sv_ARG_EXPAND);
typedef void (*glWindowPos2sv_PTR)(glWindowPos2sv_ARG_EXPAND);
void glWindowPos3d(glWindowPos3d_ARG_EXPAND);
typedef void (*glWindowPos3d_PTR)(glWindowPos3d_ARG_EXPAND);
void glWindowPos3dv(glWindowPos3dv_ARG_EXPAND);
typedef void (*glWindowPos3dv_PTR)(glWindowPos3dv_ARG_EXPAND);
void glWindowPos3f(glWindowPos3f_ARG_EXPAND);
typedef void (*glWindowPos3f_PTR)(glWindowPos3f_ARG_EXPAND);
void glWindowPos3fv(glWindowPos3fv_ARG_EXPAND);
typedef void (*glWindowPos3fv_PTR)(glWindowPos3fv_ARG_EXPAND);
void glWindowPos3i(glWindowPos3i_ARG_EXPAND);
typedef void (*glWindowPos3i_PTR)(glWindowPos3i_ARG_EXPAND);
void glWindowPos3iv(glWindowPos3iv_ARG_EXPAND);
typedef void (*glWindowPos3iv_PTR)(glWindowPos3iv_ARG_EXPAND);
void glWindowPos3s(glWindowPos3s_ARG_EXPAND);
typedef void (*glWindowPos3s_PTR)(glWindowPos3s_ARG_EXPAND);
void glWindowPos3sv(glWindowPos3sv_ARG_EXPAND);
typedef void (*glWindowPos3sv_PTR)(glWindowPos3sv_ARG_EXPAND);
int glXBindHyperpipeSGIX(glXBindHyperpipeSGIX_ARG_EXPAND);
typedef int (*glXBindHyperpipeSGIX_PTR)(glXBindHyperpipeSGIX_ARG_EXPAND);
void glXBindSwapBarrierSGIX(glXBindSwapBarrierSGIX_ARG_EXPAND);
typedef void (*glXBindSwapBarrierSGIX_PTR)(glXBindSwapBarrierSGIX_ARG_EXPAND);
void glXChangeDrawableAttributes(glXChangeDrawableAttributes_ARG_EXPAND);
typedef void (*glXChangeDrawableAttributes_PTR)(glXChangeDrawableAttributes_ARG_EXPAND);
void glXChangeDrawableAttributesSGIX(glXChangeDrawableAttributesSGIX_ARG_EXPAND);
typedef void (*glXChangeDrawableAttributesSGIX_PTR)(glXChangeDrawableAttributesSGIX_ARG_EXPAND);
GLXFBConfig * glXChooseFBConfig(glXChooseFBConfig_ARG_EXPAND);
typedef GLXFBConfig * (*glXChooseFBConfig_PTR)(glXChooseFBConfig_ARG_EXPAND);
XVisualInfo * glXChooseVisual(glXChooseVisual_ARG_EXPAND);
typedef XVisualInfo * (*glXChooseVisual_PTR)(glXChooseVisual_ARG_EXPAND);
void glXClientInfo(glXClientInfo_ARG_EXPAND);
typedef void (*glXClientInfo_PTR)(glXClientInfo_ARG_EXPAND);
void glXCopyContext(glXCopyContext_ARG_EXPAND);
typedef void (*glXCopyContext_PTR)(glXCopyContext_ARG_EXPAND);
GLXContext glXCreateContext(glXCreateContext_ARG_EXPAND);
typedef GLXContext (*glXCreateContext_PTR)(glXCreateContext_ARG_EXPAND);
GLXContext glXCreateContextAttribsARB(glXCreateContextAttribsARB_ARG_EXPAND);
typedef GLXContext (*glXCreateContextAttribsARB_PTR)(glXCreateContextAttribsARB_ARG_EXPAND);
void glXCreateContextWithConfigSGIX(glXCreateContextWithConfigSGIX_ARG_EXPAND);
typedef void (*glXCreateContextWithConfigSGIX_PTR)(glXCreateContextWithConfigSGIX_ARG_EXPAND);
void glXCreateGLXPbufferSGIX(glXCreateGLXPbufferSGIX_ARG_EXPAND);
typedef void (*glXCreateGLXPbufferSGIX_PTR)(glXCreateGLXPbufferSGIX_ARG_EXPAND);
GLXPixmap glXCreateGLXPixmap(glXCreateGLXPixmap_ARG_EXPAND);
typedef GLXPixmap (*glXCreateGLXPixmap_PTR)(glXCreateGLXPixmap_ARG_EXPAND);
void glXCreateGLXPixmapWithConfigSGIX(glXCreateGLXPixmapWithConfigSGIX_ARG_EXPAND);
typedef void (*glXCreateGLXPixmapWithConfigSGIX_PTR)(glXCreateGLXPixmapWithConfigSGIX_ARG_EXPAND);
void glXCreateGLXVideoSourceSGIX(glXCreateGLXVideoSourceSGIX_ARG_EXPAND);
typedef void (*glXCreateGLXVideoSourceSGIX_PTR)(glXCreateGLXVideoSourceSGIX_ARG_EXPAND);
GLXContext glXCreateNewContext(glXCreateNewContext_ARG_EXPAND);
typedef GLXContext (*glXCreateNewContext_PTR)(glXCreateNewContext_ARG_EXPAND);
GLXPbuffer glXCreatePbuffer(glXCreatePbuffer_ARG_EXPAND);
typedef GLXPbuffer (*glXCreatePbuffer_PTR)(glXCreatePbuffer_ARG_EXPAND);
GLXPixmap glXCreatePixmap(glXCreatePixmap_ARG_EXPAND);
typedef GLXPixmap (*glXCreatePixmap_PTR)(glXCreatePixmap_ARG_EXPAND);
GLXWindow glXCreateWindow(glXCreateWindow_ARG_EXPAND);
typedef GLXWindow (*glXCreateWindow_PTR)(glXCreateWindow_ARG_EXPAND);
void glXDestroyContext(glXDestroyContext_ARG_EXPAND);
typedef void (*glXDestroyContext_PTR)(glXDestroyContext_ARG_EXPAND);
void glXDestroyGLXPbufferSGIX(glXDestroyGLXPbufferSGIX_ARG_EXPAND);
typedef void (*glXDestroyGLXPbufferSGIX_PTR)(glXDestroyGLXPbufferSGIX_ARG_EXPAND);
void glXDestroyGLXPixmap(glXDestroyGLXPixmap_ARG_EXPAND);
typedef void (*glXDestroyGLXPixmap_PTR)(glXDestroyGLXPixmap_ARG_EXPAND);
void glXDestroyGLXVideoSourceSGIX(glXDestroyGLXVideoSourceSGIX_ARG_EXPAND);
typedef void (*glXDestroyGLXVideoSourceSGIX_PTR)(glXDestroyGLXVideoSourceSGIX_ARG_EXPAND);
int glXDestroyHyperpipeConfigSGIX(glXDestroyHyperpipeConfigSGIX_ARG_EXPAND);
typedef int (*glXDestroyHyperpipeConfigSGIX_PTR)(glXDestroyHyperpipeConfigSGIX_ARG_EXPAND);
void glXDestroyPbuffer(glXDestroyPbuffer_ARG_EXPAND);
typedef void (*glXDestroyPbuffer_PTR)(glXDestroyPbuffer_ARG_EXPAND);
void glXDestroyPixmap(glXDestroyPixmap_ARG_EXPAND);
typedef void (*glXDestroyPixmap_PTR)(glXDestroyPixmap_ARG_EXPAND);
void glXDestroyWindow(glXDestroyWindow_ARG_EXPAND);
typedef void (*glXDestroyWindow_PTR)(glXDestroyWindow_ARG_EXPAND);
const char * glXGetClientString(glXGetClientString_ARG_EXPAND);
typedef const char * (*glXGetClientString_PTR)(glXGetClientString_ARG_EXPAND);
int glXGetConfig(glXGetConfig_ARG_EXPAND);
typedef int (*glXGetConfig_PTR)(glXGetConfig_ARG_EXPAND);
GLXContext glXGetCurrentContext(glXGetCurrentContext_ARG_EXPAND);
typedef GLXContext (*glXGetCurrentContext_PTR)(glXGetCurrentContext_ARG_EXPAND);
Display * glXGetCurrentDisplay(glXGetCurrentDisplay_ARG_EXPAND);
typedef Display * (*glXGetCurrentDisplay_PTR)(glXGetCurrentDisplay_ARG_EXPAND);
GLXDrawable glXGetCurrentDrawable(glXGetCurrentDrawable_ARG_EXPAND);
typedef GLXDrawable (*glXGetCurrentDrawable_PTR)(glXGetCurrentDrawable_ARG_EXPAND);
GLXDrawable glXGetCurrentReadDrawable(glXGetCurrentReadDrawable_ARG_EXPAND);
typedef GLXDrawable (*glXGetCurrentReadDrawable_PTR)(glXGetCurrentReadDrawable_ARG_EXPAND);
void glXGetDrawableAttributes(glXGetDrawableAttributes_ARG_EXPAND);
typedef void (*glXGetDrawableAttributes_PTR)(glXGetDrawableAttributes_ARG_EXPAND);
void glXGetDrawableAttributesSGIX(glXGetDrawableAttributesSGIX_ARG_EXPAND);
typedef void (*glXGetDrawableAttributesSGIX_PTR)(glXGetDrawableAttributesSGIX_ARG_EXPAND);
int glXGetFBConfigAttrib(glXGetFBConfigAttrib_ARG_EXPAND);
typedef int (*glXGetFBConfigAttrib_PTR)(glXGetFBConfigAttrib_ARG_EXPAND);
GLXFBConfig * glXGetFBConfigs(glXGetFBConfigs_ARG_EXPAND);
typedef GLXFBConfig * (*glXGetFBConfigs_PTR)(glXGetFBConfigs_ARG_EXPAND);
void glXGetFBConfigsSGIX(glXGetFBConfigsSGIX_ARG_EXPAND);
typedef void (*glXGetFBConfigsSGIX_PTR)(glXGetFBConfigsSGIX_ARG_EXPAND);
__GLXextFuncPtr glXGetProcAddress(glXGetProcAddress_ARG_EXPAND);
typedef __GLXextFuncPtr (*glXGetProcAddress_PTR)(glXGetProcAddress_ARG_EXPAND);
void glXGetSelectedEvent(glXGetSelectedEvent_ARG_EXPAND);
typedef void (*glXGetSelectedEvent_PTR)(glXGetSelectedEvent_ARG_EXPAND);
void glXGetVisualConfigs(glXGetVisualConfigs_ARG_EXPAND);
typedef void (*glXGetVisualConfigs_PTR)(glXGetVisualConfigs_ARG_EXPAND);
XVisualInfo * glXGetVisualFromFBConfig(glXGetVisualFromFBConfig_ARG_EXPAND);
typedef XVisualInfo * (*glXGetVisualFromFBConfig_PTR)(glXGetVisualFromFBConfig_ARG_EXPAND);
int glXHyperpipeAttribSGIX(glXHyperpipeAttribSGIX_ARG_EXPAND);
typedef int (*glXHyperpipeAttribSGIX_PTR)(glXHyperpipeAttribSGIX_ARG_EXPAND);
int glXHyperpipeConfigSGIX(glXHyperpipeConfigSGIX_ARG_EXPAND);
typedef int (*glXHyperpipeConfigSGIX_PTR)(glXHyperpipeConfigSGIX_ARG_EXPAND);
Bool glXIsDirect(glXIsDirect_ARG_EXPAND);
typedef Bool (*glXIsDirect_PTR)(glXIsDirect_ARG_EXPAND);
void glXJoinSwapGroupSGIX(glXJoinSwapGroupSGIX_ARG_EXPAND);
typedef void (*glXJoinSwapGroupSGIX_PTR)(glXJoinSwapGroupSGIX_ARG_EXPAND);
Bool glXMakeContextCurrent(glXMakeContextCurrent_ARG_EXPAND);
typedef Bool (*glXMakeContextCurrent_PTR)(glXMakeContextCurrent_ARG_EXPAND);
Bool glXMakeCurrent(glXMakeCurrent_ARG_EXPAND);
typedef Bool (*glXMakeCurrent_PTR)(glXMakeCurrent_ARG_EXPAND);
void glXMakeCurrentReadSGI(glXMakeCurrentReadSGI_ARG_EXPAND);
typedef void (*glXMakeCurrentReadSGI_PTR)(glXMakeCurrentReadSGI_ARG_EXPAND);
int glXQueryContext(glXQueryContext_ARG_EXPAND);
typedef int (*glXQueryContext_PTR)(glXQueryContext_ARG_EXPAND);
void glXQueryContextInfoEXT(glXQueryContextInfoEXT_ARG_EXPAND);
typedef void (*glXQueryContextInfoEXT_PTR)(glXQueryContextInfoEXT_ARG_EXPAND);
void glXQueryDrawable(glXQueryDrawable_ARG_EXPAND);
typedef void (*glXQueryDrawable_PTR)(glXQueryDrawable_ARG_EXPAND);
Bool glXQueryExtension(glXQueryExtension_ARG_EXPAND);
typedef Bool (*glXQueryExtension_PTR)(glXQueryExtension_ARG_EXPAND);
const char * glXQueryExtensionsString(glXQueryExtensionsString_ARG_EXPAND);
typedef const char * (*glXQueryExtensionsString_PTR)(glXQueryExtensionsString_ARG_EXPAND);
int glXQueryHyperpipeAttribSGIX(glXQueryHyperpipeAttribSGIX_ARG_EXPAND);
typedef int (*glXQueryHyperpipeAttribSGIX_PTR)(glXQueryHyperpipeAttribSGIX_ARG_EXPAND);
int glXQueryHyperpipeBestAttribSGIX(glXQueryHyperpipeBestAttribSGIX_ARG_EXPAND);
typedef int (*glXQueryHyperpipeBestAttribSGIX_PTR)(glXQueryHyperpipeBestAttribSGIX_ARG_EXPAND);
GLXHyperpipeConfigSGIX * glXQueryHyperpipeConfigSGIX(glXQueryHyperpipeConfigSGIX_ARG_EXPAND);
typedef GLXHyperpipeConfigSGIX * (*glXQueryHyperpipeConfigSGIX_PTR)(glXQueryHyperpipeConfigSGIX_ARG_EXPAND);
GLXHyperpipeNetworkSGIX * glXQueryHyperpipeNetworkSGIX(glXQueryHyperpipeNetworkSGIX_ARG_EXPAND);
typedef GLXHyperpipeNetworkSGIX * (*glXQueryHyperpipeNetworkSGIX_PTR)(glXQueryHyperpipeNetworkSGIX_ARG_EXPAND);
void glXQueryMaxSwapBarriersSGIX(glXQueryMaxSwapBarriersSGIX_ARG_EXPAND);
typedef void (*glXQueryMaxSwapBarriersSGIX_PTR)(glXQueryMaxSwapBarriersSGIX_ARG_EXPAND);
const char * glXQueryServerString(glXQueryServerString_ARG_EXPAND);
typedef const char * (*glXQueryServerString_PTR)(glXQueryServerString_ARG_EXPAND);
Bool glXQueryVersion(glXQueryVersion_ARG_EXPAND);
typedef Bool (*glXQueryVersion_PTR)(glXQueryVersion_ARG_EXPAND);
Bool glXReleaseBuffersMESA(glXReleaseBuffersMESA_ARG_EXPAND);
typedef Bool (*glXReleaseBuffersMESA_PTR)(glXReleaseBuffersMESA_ARG_EXPAND);
void glXRender(glXRender_ARG_EXPAND);
typedef void (*glXRender_PTR)(glXRender_ARG_EXPAND);
void glXRenderLarge(glXRenderLarge_ARG_EXPAND);
typedef void (*glXRenderLarge_PTR)(glXRenderLarge_ARG_EXPAND);
void glXSelectEvent(glXSelectEvent_ARG_EXPAND);
typedef void (*glXSelectEvent_PTR)(glXSelectEvent_ARG_EXPAND);
void glXSwapBuffers(glXSwapBuffers_ARG_EXPAND);
typedef void (*glXSwapBuffers_PTR)(glXSwapBuffers_ARG_EXPAND);
int glXSwapIntervalMESA(glXSwapIntervalMESA_ARG_EXPAND);
typedef int (*glXSwapIntervalMESA_PTR)(glXSwapIntervalMESA_ARG_EXPAND);
void glXSwapIntervalSGI(glXSwapIntervalSGI_ARG_EXPAND);
typedef void (*glXSwapIntervalSGI_PTR)(glXSwapIntervalSGI_ARG_EXPAND);
void glXUseXFont(glXUseXFont_ARG_EXPAND);
typedef void (*glXUseXFont_PTR)(glXUseXFont_ARG_EXPAND);
void glXVendorPrivate(glXVendorPrivate_ARG_EXPAND);
typedef void (*glXVendorPrivate_PTR)(glXVendorPrivate_ARG_EXPAND);
void glXVendorPrivateWithReply(glXVendorPrivateWithReply_ARG_EXPAND);
typedef void (*glXVendorPrivateWithReply_PTR)(glXVendorPrivateWithReply_ARG_EXPAND);
void glXWaitGL(glXWaitGL_ARG_EXPAND);
typedef void (*glXWaitGL_PTR)(glXWaitGL_ARG_EXPAND);
void glXWaitX(glXWaitX_ARG_EXPAND);
typedef void (*glXWaitX_PTR)(glXWaitX_ARG_EXPAND);
const char * snd_asoundlib_version(snd_asoundlib_version_ARG_EXPAND);
typedef const char * (*snd_asoundlib_version_PTR)(snd_asoundlib_version_ARG_EXPAND);
int snd_async_add_ctl_handler(snd_async_add_ctl_handler_ARG_EXPAND);
typedef int (*snd_async_add_ctl_handler_PTR)(snd_async_add_ctl_handler_ARG_EXPAND);
int snd_async_add_handler(snd_async_add_handler_ARG_EXPAND);
typedef int (*snd_async_add_handler_PTR)(snd_async_add_handler_ARG_EXPAND);
int snd_async_add_pcm_handler(snd_async_add_pcm_handler_ARG_EXPAND);
typedef int (*snd_async_add_pcm_handler_PTR)(snd_async_add_pcm_handler_ARG_EXPAND);
int snd_async_add_timer_handler(snd_async_add_timer_handler_ARG_EXPAND);
typedef int (*snd_async_add_timer_handler_PTR)(snd_async_add_timer_handler_ARG_EXPAND);
int snd_async_del_handler(snd_async_del_handler_ARG_EXPAND);
typedef int (*snd_async_del_handler_PTR)(snd_async_del_handler_ARG_EXPAND);
void * snd_async_handler_get_callback_private(snd_async_handler_get_callback_private_ARG_EXPAND);
typedef void * (*snd_async_handler_get_callback_private_PTR)(snd_async_handler_get_callback_private_ARG_EXPAND);
snd_ctl_t * snd_async_handler_get_ctl(snd_async_handler_get_ctl_ARG_EXPAND);
typedef snd_ctl_t * (*snd_async_handler_get_ctl_PTR)(snd_async_handler_get_ctl_ARG_EXPAND);
int snd_async_handler_get_fd(snd_async_handler_get_fd_ARG_EXPAND);
typedef int (*snd_async_handler_get_fd_PTR)(snd_async_handler_get_fd_ARG_EXPAND);
snd_pcm_t * snd_async_handler_get_pcm(snd_async_handler_get_pcm_ARG_EXPAND);
typedef snd_pcm_t * (*snd_async_handler_get_pcm_PTR)(snd_async_handler_get_pcm_ARG_EXPAND);
int snd_async_handler_get_signo(snd_async_handler_get_signo_ARG_EXPAND);
typedef int (*snd_async_handler_get_signo_PTR)(snd_async_handler_get_signo_ARG_EXPAND);
snd_timer_t * snd_async_handler_get_timer(snd_async_handler_get_timer_ARG_EXPAND);
typedef snd_timer_t * (*snd_async_handler_get_timer_PTR)(snd_async_handler_get_timer_ARG_EXPAND);
int snd_card_get_index(snd_card_get_index_ARG_EXPAND);
typedef int (*snd_card_get_index_PTR)(snd_card_get_index_ARG_EXPAND);
int snd_card_get_longname(snd_card_get_longname_ARG_EXPAND);
typedef int (*snd_card_get_longname_PTR)(snd_card_get_longname_ARG_EXPAND);
int snd_card_get_name(snd_card_get_name_ARG_EXPAND);
typedef int (*snd_card_get_name_PTR)(snd_card_get_name_ARG_EXPAND);
int snd_card_load(snd_card_load_ARG_EXPAND);
typedef int (*snd_card_load_PTR)(snd_card_load_ARG_EXPAND);
int snd_card_next(snd_card_next_ARG_EXPAND);
typedef int (*snd_card_next_PTR)(snd_card_next_ARG_EXPAND);
int snd_config_add(snd_config_add_ARG_EXPAND);
typedef int (*snd_config_add_PTR)(snd_config_add_ARG_EXPAND);
int snd_config_copy(snd_config_copy_ARG_EXPAND);
typedef int (*snd_config_copy_PTR)(snd_config_copy_ARG_EXPAND);
int snd_config_delete(snd_config_delete_ARG_EXPAND);
typedef int (*snd_config_delete_PTR)(snd_config_delete_ARG_EXPAND);
int snd_config_delete_compound_members(snd_config_delete_compound_members_ARG_EXPAND);
typedef int (*snd_config_delete_compound_members_PTR)(snd_config_delete_compound_members_ARG_EXPAND);
int snd_config_evaluate(snd_config_evaluate_ARG_EXPAND);
typedef int (*snd_config_evaluate_PTR)(snd_config_evaluate_ARG_EXPAND);
int snd_config_expand(snd_config_expand_ARG_EXPAND);
typedef int (*snd_config_expand_PTR)(snd_config_expand_ARG_EXPAND);
int snd_config_get_ascii(snd_config_get_ascii_ARG_EXPAND);
typedef int (*snd_config_get_ascii_PTR)(snd_config_get_ascii_ARG_EXPAND);
int snd_config_get_bool(snd_config_get_bool_ARG_EXPAND);
typedef int (*snd_config_get_bool_PTR)(snd_config_get_bool_ARG_EXPAND);
int snd_config_get_bool_ascii(snd_config_get_bool_ascii_ARG_EXPAND);
typedef int (*snd_config_get_bool_ascii_PTR)(snd_config_get_bool_ascii_ARG_EXPAND);
int snd_config_get_ctl_iface(snd_config_get_ctl_iface_ARG_EXPAND);
typedef int (*snd_config_get_ctl_iface_PTR)(snd_config_get_ctl_iface_ARG_EXPAND);
int snd_config_get_ctl_iface_ascii(snd_config_get_ctl_iface_ascii_ARG_EXPAND);
typedef int (*snd_config_get_ctl_iface_ascii_PTR)(snd_config_get_ctl_iface_ascii_ARG_EXPAND);
int snd_config_get_id(snd_config_get_id_ARG_EXPAND);
typedef int (*snd_config_get_id_PTR)(snd_config_get_id_ARG_EXPAND);
int snd_config_get_integer(snd_config_get_integer_ARG_EXPAND);
typedef int (*snd_config_get_integer_PTR)(snd_config_get_integer_ARG_EXPAND);
int snd_config_get_integer64(snd_config_get_integer64_ARG_EXPAND);
typedef int (*snd_config_get_integer64_PTR)(snd_config_get_integer64_ARG_EXPAND);
int snd_config_get_ireal(snd_config_get_ireal_ARG_EXPAND);
typedef int (*snd_config_get_ireal_PTR)(snd_config_get_ireal_ARG_EXPAND);
int snd_config_get_pointer(snd_config_get_pointer_ARG_EXPAND);
typedef int (*snd_config_get_pointer_PTR)(snd_config_get_pointer_ARG_EXPAND);
int snd_config_get_real(snd_config_get_real_ARG_EXPAND);
typedef int (*snd_config_get_real_PTR)(snd_config_get_real_ARG_EXPAND);
int snd_config_get_string(snd_config_get_string_ARG_EXPAND);
typedef int (*snd_config_get_string_PTR)(snd_config_get_string_ARG_EXPAND);
snd_config_type_t snd_config_get_type(snd_config_get_type_ARG_EXPAND);
typedef snd_config_type_t (*snd_config_get_type_PTR)(snd_config_get_type_ARG_EXPAND);
int snd_config_imake_integer(snd_config_imake_integer_ARG_EXPAND);
typedef int (*snd_config_imake_integer_PTR)(snd_config_imake_integer_ARG_EXPAND);
int snd_config_imake_integer64(snd_config_imake_integer64_ARG_EXPAND);
typedef int (*snd_config_imake_integer64_PTR)(snd_config_imake_integer64_ARG_EXPAND);
int snd_config_imake_pointer(snd_config_imake_pointer_ARG_EXPAND);
typedef int (*snd_config_imake_pointer_PTR)(snd_config_imake_pointer_ARG_EXPAND);
int snd_config_imake_real(snd_config_imake_real_ARG_EXPAND);
typedef int (*snd_config_imake_real_PTR)(snd_config_imake_real_ARG_EXPAND);
int snd_config_imake_string(snd_config_imake_string_ARG_EXPAND);
typedef int (*snd_config_imake_string_PTR)(snd_config_imake_string_ARG_EXPAND);
snd_config_iterator_t snd_config_iterator_end(snd_config_iterator_end_ARG_EXPAND);
typedef snd_config_iterator_t (*snd_config_iterator_end_PTR)(snd_config_iterator_end_ARG_EXPAND);
snd_config_t * snd_config_iterator_entry(snd_config_iterator_entry_ARG_EXPAND);
typedef snd_config_t * (*snd_config_iterator_entry_PTR)(snd_config_iterator_entry_ARG_EXPAND);
snd_config_iterator_t snd_config_iterator_first(snd_config_iterator_first_ARG_EXPAND);
typedef snd_config_iterator_t (*snd_config_iterator_first_PTR)(snd_config_iterator_first_ARG_EXPAND);
snd_config_iterator_t snd_config_iterator_next(snd_config_iterator_next_ARG_EXPAND);
typedef snd_config_iterator_t (*snd_config_iterator_next_PTR)(snd_config_iterator_next_ARG_EXPAND);
int snd_config_load(snd_config_load_ARG_EXPAND);
typedef int (*snd_config_load_PTR)(snd_config_load_ARG_EXPAND);
int snd_config_load_override(snd_config_load_override_ARG_EXPAND);
typedef int (*snd_config_load_override_PTR)(snd_config_load_override_ARG_EXPAND);
int snd_config_make(snd_config_make_ARG_EXPAND);
typedef int (*snd_config_make_PTR)(snd_config_make_ARG_EXPAND);
int snd_config_make_compound(snd_config_make_compound_ARG_EXPAND);
typedef int (*snd_config_make_compound_PTR)(snd_config_make_compound_ARG_EXPAND);
int snd_config_make_integer(snd_config_make_integer_ARG_EXPAND);
typedef int (*snd_config_make_integer_PTR)(snd_config_make_integer_ARG_EXPAND);
int snd_config_make_integer64(snd_config_make_integer64_ARG_EXPAND);
typedef int (*snd_config_make_integer64_PTR)(snd_config_make_integer64_ARG_EXPAND);
int snd_config_make_pointer(snd_config_make_pointer_ARG_EXPAND);
typedef int (*snd_config_make_pointer_PTR)(snd_config_make_pointer_ARG_EXPAND);
int snd_config_make_real(snd_config_make_real_ARG_EXPAND);
typedef int (*snd_config_make_real_PTR)(snd_config_make_real_ARG_EXPAND);
int snd_config_make_string(snd_config_make_string_ARG_EXPAND);
typedef int (*snd_config_make_string_PTR)(snd_config_make_string_ARG_EXPAND);
int snd_config_save(snd_config_save_ARG_EXPAND);
typedef int (*snd_config_save_PTR)(snd_config_save_ARG_EXPAND);
int snd_config_search(snd_config_search_ARG_EXPAND);
typedef int (*snd_config_search_PTR)(snd_config_search_ARG_EXPAND);
int snd_config_search_definition(snd_config_search_definition_ARG_EXPAND);
typedef int (*snd_config_search_definition_PTR)(snd_config_search_definition_ARG_EXPAND);
int snd_config_set_ascii(snd_config_set_ascii_ARG_EXPAND);
typedef int (*snd_config_set_ascii_PTR)(snd_config_set_ascii_ARG_EXPAND);
int snd_config_set_id(snd_config_set_id_ARG_EXPAND);
typedef int (*snd_config_set_id_PTR)(snd_config_set_id_ARG_EXPAND);
int snd_config_set_integer(snd_config_set_integer_ARG_EXPAND);
typedef int (*snd_config_set_integer_PTR)(snd_config_set_integer_ARG_EXPAND);
int snd_config_set_integer64(snd_config_set_integer64_ARG_EXPAND);
typedef int (*snd_config_set_integer64_PTR)(snd_config_set_integer64_ARG_EXPAND);
int snd_config_set_pointer(snd_config_set_pointer_ARG_EXPAND);
typedef int (*snd_config_set_pointer_PTR)(snd_config_set_pointer_ARG_EXPAND);
int snd_config_set_real(snd_config_set_real_ARG_EXPAND);
typedef int (*snd_config_set_real_PTR)(snd_config_set_real_ARG_EXPAND);
int snd_config_set_string(snd_config_set_string_ARG_EXPAND);
typedef int (*snd_config_set_string_PTR)(snd_config_set_string_ARG_EXPAND);
int snd_config_test_id(snd_config_test_id_ARG_EXPAND);
typedef int (*snd_config_test_id_PTR)(snd_config_test_id_ARG_EXPAND);
int snd_config_top(snd_config_top_ARG_EXPAND);
typedef int (*snd_config_top_PTR)(snd_config_top_ARG_EXPAND);
int snd_config_update(snd_config_update_ARG_EXPAND);
typedef int (*snd_config_update_PTR)(snd_config_update_ARG_EXPAND);
int snd_config_update_free(snd_config_update_free_ARG_EXPAND);
typedef int (*snd_config_update_free_PTR)(snd_config_update_free_ARG_EXPAND);
int snd_config_update_free_global(snd_config_update_free_global_ARG_EXPAND);
typedef int (*snd_config_update_free_global_PTR)(snd_config_update_free_global_ARG_EXPAND);
int snd_config_update_r(snd_config_update_r_ARG_EXPAND);
typedef int (*snd_config_update_r_PTR)(snd_config_update_r_ARG_EXPAND);
int snd_ctl_card_info(snd_ctl_card_info_ARG_EXPAND);
typedef int (*snd_ctl_card_info_PTR)(snd_ctl_card_info_ARG_EXPAND);
void snd_ctl_card_info_clear(snd_ctl_card_info_clear_ARG_EXPAND);
typedef void (*snd_ctl_card_info_clear_PTR)(snd_ctl_card_info_clear_ARG_EXPAND);
void snd_ctl_card_info_copy(snd_ctl_card_info_copy_ARG_EXPAND);
typedef void (*snd_ctl_card_info_copy_PTR)(snd_ctl_card_info_copy_ARG_EXPAND);
void snd_ctl_card_info_free(snd_ctl_card_info_free_ARG_EXPAND);
typedef void (*snd_ctl_card_info_free_PTR)(snd_ctl_card_info_free_ARG_EXPAND);
int snd_ctl_card_info_get_card(snd_ctl_card_info_get_card_ARG_EXPAND);
typedef int (*snd_ctl_card_info_get_card_PTR)(snd_ctl_card_info_get_card_ARG_EXPAND);
const char * snd_ctl_card_info_get_components(snd_ctl_card_info_get_components_ARG_EXPAND);
typedef const char * (*snd_ctl_card_info_get_components_PTR)(snd_ctl_card_info_get_components_ARG_EXPAND);
const char * snd_ctl_card_info_get_driver(snd_ctl_card_info_get_driver_ARG_EXPAND);
typedef const char * (*snd_ctl_card_info_get_driver_PTR)(snd_ctl_card_info_get_driver_ARG_EXPAND);
const char * snd_ctl_card_info_get_id(snd_ctl_card_info_get_id_ARG_EXPAND);
typedef const char * (*snd_ctl_card_info_get_id_PTR)(snd_ctl_card_info_get_id_ARG_EXPAND);
const char * snd_ctl_card_info_get_longname(snd_ctl_card_info_get_longname_ARG_EXPAND);
typedef const char * (*snd_ctl_card_info_get_longname_PTR)(snd_ctl_card_info_get_longname_ARG_EXPAND);
const char * snd_ctl_card_info_get_mixername(snd_ctl_card_info_get_mixername_ARG_EXPAND);
typedef const char * (*snd_ctl_card_info_get_mixername_PTR)(snd_ctl_card_info_get_mixername_ARG_EXPAND);
const char * snd_ctl_card_info_get_name(snd_ctl_card_info_get_name_ARG_EXPAND);
typedef const char * (*snd_ctl_card_info_get_name_PTR)(snd_ctl_card_info_get_name_ARG_EXPAND);
int snd_ctl_card_info_malloc(snd_ctl_card_info_malloc_ARG_EXPAND);
typedef int (*snd_ctl_card_info_malloc_PTR)(snd_ctl_card_info_malloc_ARG_EXPAND);
size_t snd_ctl_card_info_sizeof(snd_ctl_card_info_sizeof_ARG_EXPAND);
typedef size_t (*snd_ctl_card_info_sizeof_PTR)(snd_ctl_card_info_sizeof_ARG_EXPAND);
int snd_ctl_close(snd_ctl_close_ARG_EXPAND);
typedef int (*snd_ctl_close_PTR)(snd_ctl_close_ARG_EXPAND);
int snd_ctl_elem_add_boolean(snd_ctl_elem_add_boolean_ARG_EXPAND);
typedef int (*snd_ctl_elem_add_boolean_PTR)(snd_ctl_elem_add_boolean_ARG_EXPAND);
int snd_ctl_elem_add_iec958(snd_ctl_elem_add_iec958_ARG_EXPAND);
typedef int (*snd_ctl_elem_add_iec958_PTR)(snd_ctl_elem_add_iec958_ARG_EXPAND);
int snd_ctl_elem_add_integer(snd_ctl_elem_add_integer_ARG_EXPAND);
typedef int (*snd_ctl_elem_add_integer_PTR)(snd_ctl_elem_add_integer_ARG_EXPAND);
int snd_ctl_elem_add_integer64(snd_ctl_elem_add_integer64_ARG_EXPAND);
typedef int (*snd_ctl_elem_add_integer64_PTR)(snd_ctl_elem_add_integer64_ARG_EXPAND);
void snd_ctl_elem_id_clear(snd_ctl_elem_id_clear_ARG_EXPAND);
typedef void (*snd_ctl_elem_id_clear_PTR)(snd_ctl_elem_id_clear_ARG_EXPAND);
void snd_ctl_elem_id_copy(snd_ctl_elem_id_copy_ARG_EXPAND);
typedef void (*snd_ctl_elem_id_copy_PTR)(snd_ctl_elem_id_copy_ARG_EXPAND);
void snd_ctl_elem_id_free(snd_ctl_elem_id_free_ARG_EXPAND);
typedef void (*snd_ctl_elem_id_free_PTR)(snd_ctl_elem_id_free_ARG_EXPAND);
unsigned int snd_ctl_elem_id_get_device(snd_ctl_elem_id_get_device_ARG_EXPAND);
typedef unsigned int (*snd_ctl_elem_id_get_device_PTR)(snd_ctl_elem_id_get_device_ARG_EXPAND);
unsigned int snd_ctl_elem_id_get_index(snd_ctl_elem_id_get_index_ARG_EXPAND);
typedef unsigned int (*snd_ctl_elem_id_get_index_PTR)(snd_ctl_elem_id_get_index_ARG_EXPAND);
snd_ctl_elem_iface_t snd_ctl_elem_id_get_interface(snd_ctl_elem_id_get_interface_ARG_EXPAND);
typedef snd_ctl_elem_iface_t (*snd_ctl_elem_id_get_interface_PTR)(snd_ctl_elem_id_get_interface_ARG_EXPAND);
const char * snd_ctl_elem_id_get_name(snd_ctl_elem_id_get_name_ARG_EXPAND);
typedef const char * (*snd_ctl_elem_id_get_name_PTR)(snd_ctl_elem_id_get_name_ARG_EXPAND);
unsigned int snd_ctl_elem_id_get_numid(snd_ctl_elem_id_get_numid_ARG_EXPAND);
typedef unsigned int (*snd_ctl_elem_id_get_numid_PTR)(snd_ctl_elem_id_get_numid_ARG_EXPAND);
unsigned int snd_ctl_elem_id_get_subdevice(snd_ctl_elem_id_get_subdevice_ARG_EXPAND);
typedef unsigned int (*snd_ctl_elem_id_get_subdevice_PTR)(snd_ctl_elem_id_get_subdevice_ARG_EXPAND);
int snd_ctl_elem_id_malloc(snd_ctl_elem_id_malloc_ARG_EXPAND);
typedef int (*snd_ctl_elem_id_malloc_PTR)(snd_ctl_elem_id_malloc_ARG_EXPAND);
void snd_ctl_elem_id_set_device(snd_ctl_elem_id_set_device_ARG_EXPAND);
typedef void (*snd_ctl_elem_id_set_device_PTR)(snd_ctl_elem_id_set_device_ARG_EXPAND);
void snd_ctl_elem_id_set_index(snd_ctl_elem_id_set_index_ARG_EXPAND);
typedef void (*snd_ctl_elem_id_set_index_PTR)(snd_ctl_elem_id_set_index_ARG_EXPAND);
void snd_ctl_elem_id_set_interface(snd_ctl_elem_id_set_interface_ARG_EXPAND);
typedef void (*snd_ctl_elem_id_set_interface_PTR)(snd_ctl_elem_id_set_interface_ARG_EXPAND);
void snd_ctl_elem_id_set_name(snd_ctl_elem_id_set_name_ARG_EXPAND);
typedef void (*snd_ctl_elem_id_set_name_PTR)(snd_ctl_elem_id_set_name_ARG_EXPAND);
void snd_ctl_elem_id_set_numid(snd_ctl_elem_id_set_numid_ARG_EXPAND);
typedef void (*snd_ctl_elem_id_set_numid_PTR)(snd_ctl_elem_id_set_numid_ARG_EXPAND);
void snd_ctl_elem_id_set_subdevice(snd_ctl_elem_id_set_subdevice_ARG_EXPAND);
typedef void (*snd_ctl_elem_id_set_subdevice_PTR)(snd_ctl_elem_id_set_subdevice_ARG_EXPAND);
size_t snd_ctl_elem_id_sizeof(snd_ctl_elem_id_sizeof_ARG_EXPAND);
typedef size_t (*snd_ctl_elem_id_sizeof_PTR)(snd_ctl_elem_id_sizeof_ARG_EXPAND);
const char * snd_ctl_elem_iface_name(snd_ctl_elem_iface_name_ARG_EXPAND);
typedef const char * (*snd_ctl_elem_iface_name_PTR)(snd_ctl_elem_iface_name_ARG_EXPAND);
int snd_ctl_elem_info(snd_ctl_elem_info_ARG_EXPAND);
typedef int (*snd_ctl_elem_info_PTR)(snd_ctl_elem_info_ARG_EXPAND);
void snd_ctl_elem_info_clear(snd_ctl_elem_info_clear_ARG_EXPAND);
typedef void (*snd_ctl_elem_info_clear_PTR)(snd_ctl_elem_info_clear_ARG_EXPAND);
void snd_ctl_elem_info_copy(snd_ctl_elem_info_copy_ARG_EXPAND);
typedef void (*snd_ctl_elem_info_copy_PTR)(snd_ctl_elem_info_copy_ARG_EXPAND);
void snd_ctl_elem_info_free(snd_ctl_elem_info_free_ARG_EXPAND);
typedef void (*snd_ctl_elem_info_free_PTR)(snd_ctl_elem_info_free_ARG_EXPAND);
unsigned int snd_ctl_elem_info_get_count(snd_ctl_elem_info_get_count_ARG_EXPAND);
typedef unsigned int (*snd_ctl_elem_info_get_count_PTR)(snd_ctl_elem_info_get_count_ARG_EXPAND);
unsigned int snd_ctl_elem_info_get_device(snd_ctl_elem_info_get_device_ARG_EXPAND);
typedef unsigned int (*snd_ctl_elem_info_get_device_PTR)(snd_ctl_elem_info_get_device_ARG_EXPAND);
int snd_ctl_elem_info_get_dimension(snd_ctl_elem_info_get_dimension_ARG_EXPAND);
typedef int (*snd_ctl_elem_info_get_dimension_PTR)(snd_ctl_elem_info_get_dimension_ARG_EXPAND);
int snd_ctl_elem_info_get_dimensions(snd_ctl_elem_info_get_dimensions_ARG_EXPAND);
typedef int (*snd_ctl_elem_info_get_dimensions_PTR)(snd_ctl_elem_info_get_dimensions_ARG_EXPAND);
void snd_ctl_elem_info_get_id(snd_ctl_elem_info_get_id_ARG_EXPAND);
typedef void (*snd_ctl_elem_info_get_id_PTR)(snd_ctl_elem_info_get_id_ARG_EXPAND);
unsigned int snd_ctl_elem_info_get_index(snd_ctl_elem_info_get_index_ARG_EXPAND);
typedef unsigned int (*snd_ctl_elem_info_get_index_PTR)(snd_ctl_elem_info_get_index_ARG_EXPAND);
snd_ctl_elem_iface_t snd_ctl_elem_info_get_interface(snd_ctl_elem_info_get_interface_ARG_EXPAND);
typedef snd_ctl_elem_iface_t (*snd_ctl_elem_info_get_interface_PTR)(snd_ctl_elem_info_get_interface_ARG_EXPAND);
const char * snd_ctl_elem_info_get_item_name(snd_ctl_elem_info_get_item_name_ARG_EXPAND);
typedef const char * (*snd_ctl_elem_info_get_item_name_PTR)(snd_ctl_elem_info_get_item_name_ARG_EXPAND);
unsigned int snd_ctl_elem_info_get_items(snd_ctl_elem_info_get_items_ARG_EXPAND);
typedef unsigned int (*snd_ctl_elem_info_get_items_PTR)(snd_ctl_elem_info_get_items_ARG_EXPAND);
long snd_ctl_elem_info_get_max(snd_ctl_elem_info_get_max_ARG_EXPAND);
typedef long (*snd_ctl_elem_info_get_max_PTR)(snd_ctl_elem_info_get_max_ARG_EXPAND);
long long snd_ctl_elem_info_get_max64(snd_ctl_elem_info_get_max64_ARG_EXPAND);
typedef long long (*snd_ctl_elem_info_get_max64_PTR)(snd_ctl_elem_info_get_max64_ARG_EXPAND);
long snd_ctl_elem_info_get_min(snd_ctl_elem_info_get_min_ARG_EXPAND);
typedef long (*snd_ctl_elem_info_get_min_PTR)(snd_ctl_elem_info_get_min_ARG_EXPAND);
long long snd_ctl_elem_info_get_min64(snd_ctl_elem_info_get_min64_ARG_EXPAND);
typedef long long (*snd_ctl_elem_info_get_min64_PTR)(snd_ctl_elem_info_get_min64_ARG_EXPAND);
const char * snd_ctl_elem_info_get_name(snd_ctl_elem_info_get_name_ARG_EXPAND);
typedef const char * (*snd_ctl_elem_info_get_name_PTR)(snd_ctl_elem_info_get_name_ARG_EXPAND);
unsigned int snd_ctl_elem_info_get_numid(snd_ctl_elem_info_get_numid_ARG_EXPAND);
typedef unsigned int (*snd_ctl_elem_info_get_numid_PTR)(snd_ctl_elem_info_get_numid_ARG_EXPAND);
pid_t snd_ctl_elem_info_get_owner(snd_ctl_elem_info_get_owner_ARG_EXPAND);
typedef pid_t (*snd_ctl_elem_info_get_owner_PTR)(snd_ctl_elem_info_get_owner_ARG_EXPAND);
long snd_ctl_elem_info_get_step(snd_ctl_elem_info_get_step_ARG_EXPAND);
typedef long (*snd_ctl_elem_info_get_step_PTR)(snd_ctl_elem_info_get_step_ARG_EXPAND);
long long snd_ctl_elem_info_get_step64(snd_ctl_elem_info_get_step64_ARG_EXPAND);
typedef long long (*snd_ctl_elem_info_get_step64_PTR)(snd_ctl_elem_info_get_step64_ARG_EXPAND);
unsigned int snd_ctl_elem_info_get_subdevice(snd_ctl_elem_info_get_subdevice_ARG_EXPAND);
typedef unsigned int (*snd_ctl_elem_info_get_subdevice_PTR)(snd_ctl_elem_info_get_subdevice_ARG_EXPAND);
snd_ctl_elem_type_t snd_ctl_elem_info_get_type(snd_ctl_elem_info_get_type_ARG_EXPAND);
typedef snd_ctl_elem_type_t (*snd_ctl_elem_info_get_type_PTR)(snd_ctl_elem_info_get_type_ARG_EXPAND);
int snd_ctl_elem_info_is_inactive(snd_ctl_elem_info_is_inactive_ARG_EXPAND);
typedef int (*snd_ctl_elem_info_is_inactive_PTR)(snd_ctl_elem_info_is_inactive_ARG_EXPAND);
int snd_ctl_elem_info_is_locked(snd_ctl_elem_info_is_locked_ARG_EXPAND);
typedef int (*snd_ctl_elem_info_is_locked_PTR)(snd_ctl_elem_info_is_locked_ARG_EXPAND);
int snd_ctl_elem_info_is_owner(snd_ctl_elem_info_is_owner_ARG_EXPAND);
typedef int (*snd_ctl_elem_info_is_owner_PTR)(snd_ctl_elem_info_is_owner_ARG_EXPAND);
int snd_ctl_elem_info_is_readable(snd_ctl_elem_info_is_readable_ARG_EXPAND);
typedef int (*snd_ctl_elem_info_is_readable_PTR)(snd_ctl_elem_info_is_readable_ARG_EXPAND);
int snd_ctl_elem_info_is_tlv_commandable(snd_ctl_elem_info_is_tlv_commandable_ARG_EXPAND);
typedef int (*snd_ctl_elem_info_is_tlv_commandable_PTR)(snd_ctl_elem_info_is_tlv_commandable_ARG_EXPAND);
int snd_ctl_elem_info_is_tlv_readable(snd_ctl_elem_info_is_tlv_readable_ARG_EXPAND);
typedef int (*snd_ctl_elem_info_is_tlv_readable_PTR)(snd_ctl_elem_info_is_tlv_readable_ARG_EXPAND);
int snd_ctl_elem_info_is_tlv_writable(snd_ctl_elem_info_is_tlv_writable_ARG_EXPAND);
typedef int (*snd_ctl_elem_info_is_tlv_writable_PTR)(snd_ctl_elem_info_is_tlv_writable_ARG_EXPAND);
int snd_ctl_elem_info_is_user(snd_ctl_elem_info_is_user_ARG_EXPAND);
typedef int (*snd_ctl_elem_info_is_user_PTR)(snd_ctl_elem_info_is_user_ARG_EXPAND);
int snd_ctl_elem_info_is_volatile(snd_ctl_elem_info_is_volatile_ARG_EXPAND);
typedef int (*snd_ctl_elem_info_is_volatile_PTR)(snd_ctl_elem_info_is_volatile_ARG_EXPAND);
int snd_ctl_elem_info_is_writable(snd_ctl_elem_info_is_writable_ARG_EXPAND);
typedef int (*snd_ctl_elem_info_is_writable_PTR)(snd_ctl_elem_info_is_writable_ARG_EXPAND);
int snd_ctl_elem_info_malloc(snd_ctl_elem_info_malloc_ARG_EXPAND);
typedef int (*snd_ctl_elem_info_malloc_PTR)(snd_ctl_elem_info_malloc_ARG_EXPAND);
void snd_ctl_elem_info_set_device(snd_ctl_elem_info_set_device_ARG_EXPAND);
typedef void (*snd_ctl_elem_info_set_device_PTR)(snd_ctl_elem_info_set_device_ARG_EXPAND);
void snd_ctl_elem_info_set_id(snd_ctl_elem_info_set_id_ARG_EXPAND);
typedef void (*snd_ctl_elem_info_set_id_PTR)(snd_ctl_elem_info_set_id_ARG_EXPAND);
void snd_ctl_elem_info_set_index(snd_ctl_elem_info_set_index_ARG_EXPAND);
typedef void (*snd_ctl_elem_info_set_index_PTR)(snd_ctl_elem_info_set_index_ARG_EXPAND);
void snd_ctl_elem_info_set_interface(snd_ctl_elem_info_set_interface_ARG_EXPAND);
typedef void (*snd_ctl_elem_info_set_interface_PTR)(snd_ctl_elem_info_set_interface_ARG_EXPAND);
void snd_ctl_elem_info_set_item(snd_ctl_elem_info_set_item_ARG_EXPAND);
typedef void (*snd_ctl_elem_info_set_item_PTR)(snd_ctl_elem_info_set_item_ARG_EXPAND);
void snd_ctl_elem_info_set_name(snd_ctl_elem_info_set_name_ARG_EXPAND);
typedef void (*snd_ctl_elem_info_set_name_PTR)(snd_ctl_elem_info_set_name_ARG_EXPAND);
void snd_ctl_elem_info_set_numid(snd_ctl_elem_info_set_numid_ARG_EXPAND);
typedef void (*snd_ctl_elem_info_set_numid_PTR)(snd_ctl_elem_info_set_numid_ARG_EXPAND);
void snd_ctl_elem_info_set_subdevice(snd_ctl_elem_info_set_subdevice_ARG_EXPAND);
typedef void (*snd_ctl_elem_info_set_subdevice_PTR)(snd_ctl_elem_info_set_subdevice_ARG_EXPAND);
size_t snd_ctl_elem_info_sizeof(snd_ctl_elem_info_sizeof_ARG_EXPAND);
typedef size_t (*snd_ctl_elem_info_sizeof_PTR)(snd_ctl_elem_info_sizeof_ARG_EXPAND);
int snd_ctl_elem_list(snd_ctl_elem_list_ARG_EXPAND);
typedef int (*snd_ctl_elem_list_PTR)(snd_ctl_elem_list_ARG_EXPAND);
int snd_ctl_elem_list_alloc_space(snd_ctl_elem_list_alloc_space_ARG_EXPAND);
typedef int (*snd_ctl_elem_list_alloc_space_PTR)(snd_ctl_elem_list_alloc_space_ARG_EXPAND);
void snd_ctl_elem_list_clear(snd_ctl_elem_list_clear_ARG_EXPAND);
typedef void (*snd_ctl_elem_list_clear_PTR)(snd_ctl_elem_list_clear_ARG_EXPAND);
void snd_ctl_elem_list_copy(snd_ctl_elem_list_copy_ARG_EXPAND);
typedef void (*snd_ctl_elem_list_copy_PTR)(snd_ctl_elem_list_copy_ARG_EXPAND);
void snd_ctl_elem_list_free(snd_ctl_elem_list_free_ARG_EXPAND);
typedef void (*snd_ctl_elem_list_free_PTR)(snd_ctl_elem_list_free_ARG_EXPAND);
void snd_ctl_elem_list_free_space(snd_ctl_elem_list_free_space_ARG_EXPAND);
typedef void (*snd_ctl_elem_list_free_space_PTR)(snd_ctl_elem_list_free_space_ARG_EXPAND);
unsigned int snd_ctl_elem_list_get_count(snd_ctl_elem_list_get_count_ARG_EXPAND);
typedef unsigned int (*snd_ctl_elem_list_get_count_PTR)(snd_ctl_elem_list_get_count_ARG_EXPAND);
unsigned int snd_ctl_elem_list_get_device(snd_ctl_elem_list_get_device_ARG_EXPAND);
typedef unsigned int (*snd_ctl_elem_list_get_device_PTR)(snd_ctl_elem_list_get_device_ARG_EXPAND);
void snd_ctl_elem_list_get_id(snd_ctl_elem_list_get_id_ARG_EXPAND);
typedef void (*snd_ctl_elem_list_get_id_PTR)(snd_ctl_elem_list_get_id_ARG_EXPAND);
unsigned int snd_ctl_elem_list_get_index(snd_ctl_elem_list_get_index_ARG_EXPAND);
typedef unsigned int (*snd_ctl_elem_list_get_index_PTR)(snd_ctl_elem_list_get_index_ARG_EXPAND);
snd_ctl_elem_iface_t snd_ctl_elem_list_get_interface(snd_ctl_elem_list_get_interface_ARG_EXPAND);
typedef snd_ctl_elem_iface_t (*snd_ctl_elem_list_get_interface_PTR)(snd_ctl_elem_list_get_interface_ARG_EXPAND);
const char * snd_ctl_elem_list_get_name(snd_ctl_elem_list_get_name_ARG_EXPAND);
typedef const char * (*snd_ctl_elem_list_get_name_PTR)(snd_ctl_elem_list_get_name_ARG_EXPAND);
unsigned int snd_ctl_elem_list_get_numid(snd_ctl_elem_list_get_numid_ARG_EXPAND);
typedef unsigned int (*snd_ctl_elem_list_get_numid_PTR)(snd_ctl_elem_list_get_numid_ARG_EXPAND);
unsigned int snd_ctl_elem_list_get_subdevice(snd_ctl_elem_list_get_subdevice_ARG_EXPAND);
typedef unsigned int (*snd_ctl_elem_list_get_subdevice_PTR)(snd_ctl_elem_list_get_subdevice_ARG_EXPAND);
unsigned int snd_ctl_elem_list_get_used(snd_ctl_elem_list_get_used_ARG_EXPAND);
typedef unsigned int (*snd_ctl_elem_list_get_used_PTR)(snd_ctl_elem_list_get_used_ARG_EXPAND);
int snd_ctl_elem_list_malloc(snd_ctl_elem_list_malloc_ARG_EXPAND);
typedef int (*snd_ctl_elem_list_malloc_PTR)(snd_ctl_elem_list_malloc_ARG_EXPAND);
void snd_ctl_elem_list_set_offset(snd_ctl_elem_list_set_offset_ARG_EXPAND);
typedef void (*snd_ctl_elem_list_set_offset_PTR)(snd_ctl_elem_list_set_offset_ARG_EXPAND);
size_t snd_ctl_elem_list_sizeof(snd_ctl_elem_list_sizeof_ARG_EXPAND);
typedef size_t (*snd_ctl_elem_list_sizeof_PTR)(snd_ctl_elem_list_sizeof_ARG_EXPAND);
int snd_ctl_elem_lock(snd_ctl_elem_lock_ARG_EXPAND);
typedef int (*snd_ctl_elem_lock_PTR)(snd_ctl_elem_lock_ARG_EXPAND);
int snd_ctl_elem_read(snd_ctl_elem_read_ARG_EXPAND);
typedef int (*snd_ctl_elem_read_PTR)(snd_ctl_elem_read_ARG_EXPAND);
int snd_ctl_elem_remove(snd_ctl_elem_remove_ARG_EXPAND);
typedef int (*snd_ctl_elem_remove_PTR)(snd_ctl_elem_remove_ARG_EXPAND);
void snd_ctl_elem_set_bytes(snd_ctl_elem_set_bytes_ARG_EXPAND);
typedef void (*snd_ctl_elem_set_bytes_PTR)(snd_ctl_elem_set_bytes_ARG_EXPAND);
int snd_ctl_elem_tlv_command(snd_ctl_elem_tlv_command_ARG_EXPAND);
typedef int (*snd_ctl_elem_tlv_command_PTR)(snd_ctl_elem_tlv_command_ARG_EXPAND);
int snd_ctl_elem_tlv_read(snd_ctl_elem_tlv_read_ARG_EXPAND);
typedef int (*snd_ctl_elem_tlv_read_PTR)(snd_ctl_elem_tlv_read_ARG_EXPAND);
int snd_ctl_elem_tlv_write(snd_ctl_elem_tlv_write_ARG_EXPAND);
typedef int (*snd_ctl_elem_tlv_write_PTR)(snd_ctl_elem_tlv_write_ARG_EXPAND);
const char * snd_ctl_elem_type_name(snd_ctl_elem_type_name_ARG_EXPAND);
typedef const char * (*snd_ctl_elem_type_name_PTR)(snd_ctl_elem_type_name_ARG_EXPAND);
int snd_ctl_elem_unlock(snd_ctl_elem_unlock_ARG_EXPAND);
typedef int (*snd_ctl_elem_unlock_PTR)(snd_ctl_elem_unlock_ARG_EXPAND);
void snd_ctl_elem_value_clear(snd_ctl_elem_value_clear_ARG_EXPAND);
typedef void (*snd_ctl_elem_value_clear_PTR)(snd_ctl_elem_value_clear_ARG_EXPAND);
void snd_ctl_elem_value_copy(snd_ctl_elem_value_copy_ARG_EXPAND);
typedef void (*snd_ctl_elem_value_copy_PTR)(snd_ctl_elem_value_copy_ARG_EXPAND);
void snd_ctl_elem_value_free(snd_ctl_elem_value_free_ARG_EXPAND);
typedef void (*snd_ctl_elem_value_free_PTR)(snd_ctl_elem_value_free_ARG_EXPAND);
int snd_ctl_elem_value_get_boolean(snd_ctl_elem_value_get_boolean_ARG_EXPAND);
typedef int (*snd_ctl_elem_value_get_boolean_PTR)(snd_ctl_elem_value_get_boolean_ARG_EXPAND);
unsigned char snd_ctl_elem_value_get_byte(snd_ctl_elem_value_get_byte_ARG_EXPAND);
typedef unsigned char (*snd_ctl_elem_value_get_byte_PTR)(snd_ctl_elem_value_get_byte_ARG_EXPAND);
const void * snd_ctl_elem_value_get_bytes(snd_ctl_elem_value_get_bytes_ARG_EXPAND);
typedef const void * (*snd_ctl_elem_value_get_bytes_PTR)(snd_ctl_elem_value_get_bytes_ARG_EXPAND);
unsigned int snd_ctl_elem_value_get_device(snd_ctl_elem_value_get_device_ARG_EXPAND);
typedef unsigned int (*snd_ctl_elem_value_get_device_PTR)(snd_ctl_elem_value_get_device_ARG_EXPAND);
unsigned int snd_ctl_elem_value_get_enumerated(snd_ctl_elem_value_get_enumerated_ARG_EXPAND);
typedef unsigned int (*snd_ctl_elem_value_get_enumerated_PTR)(snd_ctl_elem_value_get_enumerated_ARG_EXPAND);
void snd_ctl_elem_value_get_id(snd_ctl_elem_value_get_id_ARG_EXPAND);
typedef void (*snd_ctl_elem_value_get_id_PTR)(snd_ctl_elem_value_get_id_ARG_EXPAND);
void snd_ctl_elem_value_get_iec958(snd_ctl_elem_value_get_iec958_ARG_EXPAND);
typedef void (*snd_ctl_elem_value_get_iec958_PTR)(snd_ctl_elem_value_get_iec958_ARG_EXPAND);
unsigned int snd_ctl_elem_value_get_index(snd_ctl_elem_value_get_index_ARG_EXPAND);
typedef unsigned int (*snd_ctl_elem_value_get_index_PTR)(snd_ctl_elem_value_get_index_ARG_EXPAND);
long snd_ctl_elem_value_get_integer(snd_ctl_elem_value_get_integer_ARG_EXPAND);
typedef long (*snd_ctl_elem_value_get_integer_PTR)(snd_ctl_elem_value_get_integer_ARG_EXPAND);
long long snd_ctl_elem_value_get_integer64(snd_ctl_elem_value_get_integer64_ARG_EXPAND);
typedef long long (*snd_ctl_elem_value_get_integer64_PTR)(snd_ctl_elem_value_get_integer64_ARG_EXPAND);
snd_ctl_elem_iface_t snd_ctl_elem_value_get_interface(snd_ctl_elem_value_get_interface_ARG_EXPAND);
typedef snd_ctl_elem_iface_t (*snd_ctl_elem_value_get_interface_PTR)(snd_ctl_elem_value_get_interface_ARG_EXPAND);
const char * snd_ctl_elem_value_get_name(snd_ctl_elem_value_get_name_ARG_EXPAND);
typedef const char * (*snd_ctl_elem_value_get_name_PTR)(snd_ctl_elem_value_get_name_ARG_EXPAND);
unsigned int snd_ctl_elem_value_get_numid(snd_ctl_elem_value_get_numid_ARG_EXPAND);
typedef unsigned int (*snd_ctl_elem_value_get_numid_PTR)(snd_ctl_elem_value_get_numid_ARG_EXPAND);
unsigned int snd_ctl_elem_value_get_subdevice(snd_ctl_elem_value_get_subdevice_ARG_EXPAND);
typedef unsigned int (*snd_ctl_elem_value_get_subdevice_PTR)(snd_ctl_elem_value_get_subdevice_ARG_EXPAND);
int snd_ctl_elem_value_malloc(snd_ctl_elem_value_malloc_ARG_EXPAND);
typedef int (*snd_ctl_elem_value_malloc_PTR)(snd_ctl_elem_value_malloc_ARG_EXPAND);
void snd_ctl_elem_value_set_boolean(snd_ctl_elem_value_set_boolean_ARG_EXPAND);
typedef void (*snd_ctl_elem_value_set_boolean_PTR)(snd_ctl_elem_value_set_boolean_ARG_EXPAND);
void snd_ctl_elem_value_set_byte(snd_ctl_elem_value_set_byte_ARG_EXPAND);
typedef void (*snd_ctl_elem_value_set_byte_PTR)(snd_ctl_elem_value_set_byte_ARG_EXPAND);
void snd_ctl_elem_value_set_device(snd_ctl_elem_value_set_device_ARG_EXPAND);
typedef void (*snd_ctl_elem_value_set_device_PTR)(snd_ctl_elem_value_set_device_ARG_EXPAND);
void snd_ctl_elem_value_set_enumerated(snd_ctl_elem_value_set_enumerated_ARG_EXPAND);
typedef void (*snd_ctl_elem_value_set_enumerated_PTR)(snd_ctl_elem_value_set_enumerated_ARG_EXPAND);
void snd_ctl_elem_value_set_id(snd_ctl_elem_value_set_id_ARG_EXPAND);
typedef void (*snd_ctl_elem_value_set_id_PTR)(snd_ctl_elem_value_set_id_ARG_EXPAND);
void snd_ctl_elem_value_set_iec958(snd_ctl_elem_value_set_iec958_ARG_EXPAND);
typedef void (*snd_ctl_elem_value_set_iec958_PTR)(snd_ctl_elem_value_set_iec958_ARG_EXPAND);
void snd_ctl_elem_value_set_index(snd_ctl_elem_value_set_index_ARG_EXPAND);
typedef void (*snd_ctl_elem_value_set_index_PTR)(snd_ctl_elem_value_set_index_ARG_EXPAND);
void snd_ctl_elem_value_set_integer(snd_ctl_elem_value_set_integer_ARG_EXPAND);
typedef void (*snd_ctl_elem_value_set_integer_PTR)(snd_ctl_elem_value_set_integer_ARG_EXPAND);
void snd_ctl_elem_value_set_integer64(snd_ctl_elem_value_set_integer64_ARG_EXPAND);
typedef void (*snd_ctl_elem_value_set_integer64_PTR)(snd_ctl_elem_value_set_integer64_ARG_EXPAND);
void snd_ctl_elem_value_set_interface(snd_ctl_elem_value_set_interface_ARG_EXPAND);
typedef void (*snd_ctl_elem_value_set_interface_PTR)(snd_ctl_elem_value_set_interface_ARG_EXPAND);
void snd_ctl_elem_value_set_name(snd_ctl_elem_value_set_name_ARG_EXPAND);
typedef void (*snd_ctl_elem_value_set_name_PTR)(snd_ctl_elem_value_set_name_ARG_EXPAND);
void snd_ctl_elem_value_set_numid(snd_ctl_elem_value_set_numid_ARG_EXPAND);
typedef void (*snd_ctl_elem_value_set_numid_PTR)(snd_ctl_elem_value_set_numid_ARG_EXPAND);
void snd_ctl_elem_value_set_subdevice(snd_ctl_elem_value_set_subdevice_ARG_EXPAND);
typedef void (*snd_ctl_elem_value_set_subdevice_PTR)(snd_ctl_elem_value_set_subdevice_ARG_EXPAND);
size_t snd_ctl_elem_value_sizeof(snd_ctl_elem_value_sizeof_ARG_EXPAND);
typedef size_t (*snd_ctl_elem_value_sizeof_PTR)(snd_ctl_elem_value_sizeof_ARG_EXPAND);
int snd_ctl_elem_write(snd_ctl_elem_write_ARG_EXPAND);
typedef int (*snd_ctl_elem_write_PTR)(snd_ctl_elem_write_ARG_EXPAND);
void snd_ctl_event_clear(snd_ctl_event_clear_ARG_EXPAND);
typedef void (*snd_ctl_event_clear_PTR)(snd_ctl_event_clear_ARG_EXPAND);
void snd_ctl_event_copy(snd_ctl_event_copy_ARG_EXPAND);
typedef void (*snd_ctl_event_copy_PTR)(snd_ctl_event_copy_ARG_EXPAND);
unsigned int snd_ctl_event_elem_get_device(snd_ctl_event_elem_get_device_ARG_EXPAND);
typedef unsigned int (*snd_ctl_event_elem_get_device_PTR)(snd_ctl_event_elem_get_device_ARG_EXPAND);
void snd_ctl_event_elem_get_id(snd_ctl_event_elem_get_id_ARG_EXPAND);
typedef void (*snd_ctl_event_elem_get_id_PTR)(snd_ctl_event_elem_get_id_ARG_EXPAND);
unsigned int snd_ctl_event_elem_get_index(snd_ctl_event_elem_get_index_ARG_EXPAND);
typedef unsigned int (*snd_ctl_event_elem_get_index_PTR)(snd_ctl_event_elem_get_index_ARG_EXPAND);
snd_ctl_elem_iface_t snd_ctl_event_elem_get_interface(snd_ctl_event_elem_get_interface_ARG_EXPAND);
typedef snd_ctl_elem_iface_t (*snd_ctl_event_elem_get_interface_PTR)(snd_ctl_event_elem_get_interface_ARG_EXPAND);
unsigned int snd_ctl_event_elem_get_mask(snd_ctl_event_elem_get_mask_ARG_EXPAND);
typedef unsigned int (*snd_ctl_event_elem_get_mask_PTR)(snd_ctl_event_elem_get_mask_ARG_EXPAND);
const char * snd_ctl_event_elem_get_name(snd_ctl_event_elem_get_name_ARG_EXPAND);
typedef const char * (*snd_ctl_event_elem_get_name_PTR)(snd_ctl_event_elem_get_name_ARG_EXPAND);
unsigned int snd_ctl_event_elem_get_numid(snd_ctl_event_elem_get_numid_ARG_EXPAND);
typedef unsigned int (*snd_ctl_event_elem_get_numid_PTR)(snd_ctl_event_elem_get_numid_ARG_EXPAND);
unsigned int snd_ctl_event_elem_get_subdevice(snd_ctl_event_elem_get_subdevice_ARG_EXPAND);
typedef unsigned int (*snd_ctl_event_elem_get_subdevice_PTR)(snd_ctl_event_elem_get_subdevice_ARG_EXPAND);
void snd_ctl_event_free(snd_ctl_event_free_ARG_EXPAND);
typedef void (*snd_ctl_event_free_PTR)(snd_ctl_event_free_ARG_EXPAND);
snd_ctl_event_type_t snd_ctl_event_get_type(snd_ctl_event_get_type_ARG_EXPAND);
typedef snd_ctl_event_type_t (*snd_ctl_event_get_type_PTR)(snd_ctl_event_get_type_ARG_EXPAND);
int snd_ctl_event_malloc(snd_ctl_event_malloc_ARG_EXPAND);
typedef int (*snd_ctl_event_malloc_PTR)(snd_ctl_event_malloc_ARG_EXPAND);
size_t snd_ctl_event_sizeof(snd_ctl_event_sizeof_ARG_EXPAND);
typedef size_t (*snd_ctl_event_sizeof_PTR)(snd_ctl_event_sizeof_ARG_EXPAND);
const char * snd_ctl_event_type_name(snd_ctl_event_type_name_ARG_EXPAND);
typedef const char * (*snd_ctl_event_type_name_PTR)(snd_ctl_event_type_name_ARG_EXPAND);
int snd_ctl_get_power_state(snd_ctl_get_power_state_ARG_EXPAND);
typedef int (*snd_ctl_get_power_state_PTR)(snd_ctl_get_power_state_ARG_EXPAND);
int snd_ctl_hwdep_info(snd_ctl_hwdep_info_ARG_EXPAND);
typedef int (*snd_ctl_hwdep_info_PTR)(snd_ctl_hwdep_info_ARG_EXPAND);
int snd_ctl_hwdep_next_device(snd_ctl_hwdep_next_device_ARG_EXPAND);
typedef int (*snd_ctl_hwdep_next_device_PTR)(snd_ctl_hwdep_next_device_ARG_EXPAND);
const char * snd_ctl_name(snd_ctl_name_ARG_EXPAND);
typedef const char * (*snd_ctl_name_PTR)(snd_ctl_name_ARG_EXPAND);
int snd_ctl_nonblock(snd_ctl_nonblock_ARG_EXPAND);
typedef int (*snd_ctl_nonblock_PTR)(snd_ctl_nonblock_ARG_EXPAND);
int snd_ctl_open(snd_ctl_open_ARG_EXPAND);
typedef int (*snd_ctl_open_PTR)(snd_ctl_open_ARG_EXPAND);
int snd_ctl_open_lconf(snd_ctl_open_lconf_ARG_EXPAND);
typedef int (*snd_ctl_open_lconf_PTR)(snd_ctl_open_lconf_ARG_EXPAND);
int snd_ctl_pcm_info(snd_ctl_pcm_info_ARG_EXPAND);
typedef int (*snd_ctl_pcm_info_PTR)(snd_ctl_pcm_info_ARG_EXPAND);
int snd_ctl_pcm_next_device(snd_ctl_pcm_next_device_ARG_EXPAND);
typedef int (*snd_ctl_pcm_next_device_PTR)(snd_ctl_pcm_next_device_ARG_EXPAND);
int snd_ctl_pcm_prefer_subdevice(snd_ctl_pcm_prefer_subdevice_ARG_EXPAND);
typedef int (*snd_ctl_pcm_prefer_subdevice_PTR)(snd_ctl_pcm_prefer_subdevice_ARG_EXPAND);
int snd_ctl_poll_descriptors(snd_ctl_poll_descriptors_ARG_EXPAND);
typedef int (*snd_ctl_poll_descriptors_PTR)(snd_ctl_poll_descriptors_ARG_EXPAND);
int snd_ctl_poll_descriptors_count(snd_ctl_poll_descriptors_count_ARG_EXPAND);
typedef int (*snd_ctl_poll_descriptors_count_PTR)(snd_ctl_poll_descriptors_count_ARG_EXPAND);
int snd_ctl_poll_descriptors_revents(snd_ctl_poll_descriptors_revents_ARG_EXPAND);
typedef int (*snd_ctl_poll_descriptors_revents_PTR)(snd_ctl_poll_descriptors_revents_ARG_EXPAND);
int snd_ctl_rawmidi_info(snd_ctl_rawmidi_info_ARG_EXPAND);
typedef int (*snd_ctl_rawmidi_info_PTR)(snd_ctl_rawmidi_info_ARG_EXPAND);
int snd_ctl_rawmidi_next_device(snd_ctl_rawmidi_next_device_ARG_EXPAND);
typedef int (*snd_ctl_rawmidi_next_device_PTR)(snd_ctl_rawmidi_next_device_ARG_EXPAND);
int snd_ctl_rawmidi_prefer_subdevice(snd_ctl_rawmidi_prefer_subdevice_ARG_EXPAND);
typedef int (*snd_ctl_rawmidi_prefer_subdevice_PTR)(snd_ctl_rawmidi_prefer_subdevice_ARG_EXPAND);
int snd_ctl_read(snd_ctl_read_ARG_EXPAND);
typedef int (*snd_ctl_read_PTR)(snd_ctl_read_ARG_EXPAND);
int snd_ctl_set_power_state(snd_ctl_set_power_state_ARG_EXPAND);
typedef int (*snd_ctl_set_power_state_PTR)(snd_ctl_set_power_state_ARG_EXPAND);
int snd_ctl_subscribe_events(snd_ctl_subscribe_events_ARG_EXPAND);
typedef int (*snd_ctl_subscribe_events_PTR)(snd_ctl_subscribe_events_ARG_EXPAND);
snd_ctl_type_t snd_ctl_type(snd_ctl_type_ARG_EXPAND);
typedef snd_ctl_type_t (*snd_ctl_type_PTR)(snd_ctl_type_ARG_EXPAND);
int snd_ctl_wait(snd_ctl_wait_ARG_EXPAND);
typedef int (*snd_ctl_wait_PTR)(snd_ctl_wait_ARG_EXPAND);
int snd_dlclose(snd_dlclose_ARG_EXPAND);
typedef int (*snd_dlclose_PTR)(snd_dlclose_ARG_EXPAND);
void * snd_dlopen(snd_dlopen_ARG_EXPAND);
typedef void * (*snd_dlopen_PTR)(snd_dlopen_ARG_EXPAND);
void * snd_dlsym(snd_dlsym_ARG_EXPAND);
typedef void * (*snd_dlsym_PTR)(snd_dlsym_ARG_EXPAND);
int snd_hctl_close(snd_hctl_close_ARG_EXPAND);
typedef int (*snd_hctl_close_PTR)(snd_hctl_close_ARG_EXPAND);
int snd_hctl_compare_fast(snd_hctl_compare_fast_ARG_EXPAND);
typedef int (*snd_hctl_compare_fast_PTR)(snd_hctl_compare_fast_ARG_EXPAND);
snd_ctl_t * snd_hctl_ctl(snd_hctl_ctl_ARG_EXPAND);
typedef snd_ctl_t * (*snd_hctl_ctl_PTR)(snd_hctl_ctl_ARG_EXPAND);
void * snd_hctl_elem_get_callback_private(snd_hctl_elem_get_callback_private_ARG_EXPAND);
typedef void * (*snd_hctl_elem_get_callback_private_PTR)(snd_hctl_elem_get_callback_private_ARG_EXPAND);
unsigned int snd_hctl_elem_get_device(snd_hctl_elem_get_device_ARG_EXPAND);
typedef unsigned int (*snd_hctl_elem_get_device_PTR)(snd_hctl_elem_get_device_ARG_EXPAND);
snd_hctl_t * snd_hctl_elem_get_hctl(snd_hctl_elem_get_hctl_ARG_EXPAND);
typedef snd_hctl_t * (*snd_hctl_elem_get_hctl_PTR)(snd_hctl_elem_get_hctl_ARG_EXPAND);
void snd_hctl_elem_get_id(snd_hctl_elem_get_id_ARG_EXPAND);
typedef void (*snd_hctl_elem_get_id_PTR)(snd_hctl_elem_get_id_ARG_EXPAND);
unsigned int snd_hctl_elem_get_index(snd_hctl_elem_get_index_ARG_EXPAND);
typedef unsigned int (*snd_hctl_elem_get_index_PTR)(snd_hctl_elem_get_index_ARG_EXPAND);
snd_ctl_elem_iface_t snd_hctl_elem_get_interface(snd_hctl_elem_get_interface_ARG_EXPAND);
typedef snd_ctl_elem_iface_t (*snd_hctl_elem_get_interface_PTR)(snd_hctl_elem_get_interface_ARG_EXPAND);
const char * snd_hctl_elem_get_name(snd_hctl_elem_get_name_ARG_EXPAND);
typedef const char * (*snd_hctl_elem_get_name_PTR)(snd_hctl_elem_get_name_ARG_EXPAND);
unsigned int snd_hctl_elem_get_numid(snd_hctl_elem_get_numid_ARG_EXPAND);
typedef unsigned int (*snd_hctl_elem_get_numid_PTR)(snd_hctl_elem_get_numid_ARG_EXPAND);
unsigned int snd_hctl_elem_get_subdevice(snd_hctl_elem_get_subdevice_ARG_EXPAND);
typedef unsigned int (*snd_hctl_elem_get_subdevice_PTR)(snd_hctl_elem_get_subdevice_ARG_EXPAND);
int snd_hctl_elem_info(snd_hctl_elem_info_ARG_EXPAND);
typedef int (*snd_hctl_elem_info_PTR)(snd_hctl_elem_info_ARG_EXPAND);
snd_hctl_elem_t * snd_hctl_elem_next(snd_hctl_elem_next_ARG_EXPAND);
typedef snd_hctl_elem_t * (*snd_hctl_elem_next_PTR)(snd_hctl_elem_next_ARG_EXPAND);
snd_hctl_elem_t * snd_hctl_elem_prev(snd_hctl_elem_prev_ARG_EXPAND);
typedef snd_hctl_elem_t * (*snd_hctl_elem_prev_PTR)(snd_hctl_elem_prev_ARG_EXPAND);
int snd_hctl_elem_read(snd_hctl_elem_read_ARG_EXPAND);
typedef int (*snd_hctl_elem_read_PTR)(snd_hctl_elem_read_ARG_EXPAND);
void snd_hctl_elem_set_callback(snd_hctl_elem_set_callback_ARG_EXPAND);
typedef void (*snd_hctl_elem_set_callback_PTR)(snd_hctl_elem_set_callback_ARG_EXPAND);
void snd_hctl_elem_set_callback_private(snd_hctl_elem_set_callback_private_ARG_EXPAND);
typedef void (*snd_hctl_elem_set_callback_private_PTR)(snd_hctl_elem_set_callback_private_ARG_EXPAND);
int snd_hctl_elem_tlv_command(snd_hctl_elem_tlv_command_ARG_EXPAND);
typedef int (*snd_hctl_elem_tlv_command_PTR)(snd_hctl_elem_tlv_command_ARG_EXPAND);
int snd_hctl_elem_tlv_read(snd_hctl_elem_tlv_read_ARG_EXPAND);
typedef int (*snd_hctl_elem_tlv_read_PTR)(snd_hctl_elem_tlv_read_ARG_EXPAND);
int snd_hctl_elem_tlv_write(snd_hctl_elem_tlv_write_ARG_EXPAND);
typedef int (*snd_hctl_elem_tlv_write_PTR)(snd_hctl_elem_tlv_write_ARG_EXPAND);
int snd_hctl_elem_write(snd_hctl_elem_write_ARG_EXPAND);
typedef int (*snd_hctl_elem_write_PTR)(snd_hctl_elem_write_ARG_EXPAND);
snd_hctl_elem_t * snd_hctl_find_elem(snd_hctl_find_elem_ARG_EXPAND);
typedef snd_hctl_elem_t * (*snd_hctl_find_elem_PTR)(snd_hctl_find_elem_ARG_EXPAND);
snd_hctl_elem_t * snd_hctl_first_elem(snd_hctl_first_elem_ARG_EXPAND);
typedef snd_hctl_elem_t * (*snd_hctl_first_elem_PTR)(snd_hctl_first_elem_ARG_EXPAND);
int snd_hctl_free(snd_hctl_free_ARG_EXPAND);
typedef int (*snd_hctl_free_PTR)(snd_hctl_free_ARG_EXPAND);
void * snd_hctl_get_callback_private(snd_hctl_get_callback_private_ARG_EXPAND);
typedef void * (*snd_hctl_get_callback_private_PTR)(snd_hctl_get_callback_private_ARG_EXPAND);
unsigned int snd_hctl_get_count(snd_hctl_get_count_ARG_EXPAND);
typedef unsigned int (*snd_hctl_get_count_PTR)(snd_hctl_get_count_ARG_EXPAND);
int snd_hctl_handle_events(snd_hctl_handle_events_ARG_EXPAND);
typedef int (*snd_hctl_handle_events_PTR)(snd_hctl_handle_events_ARG_EXPAND);
snd_hctl_elem_t * snd_hctl_last_elem(snd_hctl_last_elem_ARG_EXPAND);
typedef snd_hctl_elem_t * (*snd_hctl_last_elem_PTR)(snd_hctl_last_elem_ARG_EXPAND);
int snd_hctl_load(snd_hctl_load_ARG_EXPAND);
typedef int (*snd_hctl_load_PTR)(snd_hctl_load_ARG_EXPAND);
const char * snd_hctl_name(snd_hctl_name_ARG_EXPAND);
typedef const char * (*snd_hctl_name_PTR)(snd_hctl_name_ARG_EXPAND);
int snd_hctl_nonblock(snd_hctl_nonblock_ARG_EXPAND);
typedef int (*snd_hctl_nonblock_PTR)(snd_hctl_nonblock_ARG_EXPAND);
int snd_hctl_open(snd_hctl_open_ARG_EXPAND);
typedef int (*snd_hctl_open_PTR)(snd_hctl_open_ARG_EXPAND);
int snd_hctl_open_ctl(snd_hctl_open_ctl_ARG_EXPAND);
typedef int (*snd_hctl_open_ctl_PTR)(snd_hctl_open_ctl_ARG_EXPAND);
int snd_hctl_poll_descriptors(snd_hctl_poll_descriptors_ARG_EXPAND);
typedef int (*snd_hctl_poll_descriptors_PTR)(snd_hctl_poll_descriptors_ARG_EXPAND);
int snd_hctl_poll_descriptors_count(snd_hctl_poll_descriptors_count_ARG_EXPAND);
typedef int (*snd_hctl_poll_descriptors_count_PTR)(snd_hctl_poll_descriptors_count_ARG_EXPAND);
int snd_hctl_poll_descriptors_revents(snd_hctl_poll_descriptors_revents_ARG_EXPAND);
typedef int (*snd_hctl_poll_descriptors_revents_PTR)(snd_hctl_poll_descriptors_revents_ARG_EXPAND);
void snd_hctl_set_callback(snd_hctl_set_callback_ARG_EXPAND);
typedef void (*snd_hctl_set_callback_PTR)(snd_hctl_set_callback_ARG_EXPAND);
void snd_hctl_set_callback_private(snd_hctl_set_callback_private_ARG_EXPAND);
typedef void (*snd_hctl_set_callback_private_PTR)(snd_hctl_set_callback_private_ARG_EXPAND);
int snd_hctl_set_compare(snd_hctl_set_compare_ARG_EXPAND);
typedef int (*snd_hctl_set_compare_PTR)(snd_hctl_set_compare_ARG_EXPAND);
int snd_hctl_wait(snd_hctl_wait_ARG_EXPAND);
typedef int (*snd_hctl_wait_PTR)(snd_hctl_wait_ARG_EXPAND);
int snd_hwdep_close(snd_hwdep_close_ARG_EXPAND);
typedef int (*snd_hwdep_close_PTR)(snd_hwdep_close_ARG_EXPAND);
void snd_hwdep_dsp_image_copy(snd_hwdep_dsp_image_copy_ARG_EXPAND);
typedef void (*snd_hwdep_dsp_image_copy_PTR)(snd_hwdep_dsp_image_copy_ARG_EXPAND);
void snd_hwdep_dsp_image_free(snd_hwdep_dsp_image_free_ARG_EXPAND);
typedef void (*snd_hwdep_dsp_image_free_PTR)(snd_hwdep_dsp_image_free_ARG_EXPAND);
const void * snd_hwdep_dsp_image_get_image(snd_hwdep_dsp_image_get_image_ARG_EXPAND);
typedef const void * (*snd_hwdep_dsp_image_get_image_PTR)(snd_hwdep_dsp_image_get_image_ARG_EXPAND);
unsigned int snd_hwdep_dsp_image_get_index(snd_hwdep_dsp_image_get_index_ARG_EXPAND);
typedef unsigned int (*snd_hwdep_dsp_image_get_index_PTR)(snd_hwdep_dsp_image_get_index_ARG_EXPAND);
size_t snd_hwdep_dsp_image_get_length(snd_hwdep_dsp_image_get_length_ARG_EXPAND);
typedef size_t (*snd_hwdep_dsp_image_get_length_PTR)(snd_hwdep_dsp_image_get_length_ARG_EXPAND);
const char * snd_hwdep_dsp_image_get_name(snd_hwdep_dsp_image_get_name_ARG_EXPAND);
typedef const char * (*snd_hwdep_dsp_image_get_name_PTR)(snd_hwdep_dsp_image_get_name_ARG_EXPAND);
int snd_hwdep_dsp_image_malloc(snd_hwdep_dsp_image_malloc_ARG_EXPAND);
typedef int (*snd_hwdep_dsp_image_malloc_PTR)(snd_hwdep_dsp_image_malloc_ARG_EXPAND);
void snd_hwdep_dsp_image_set_image(snd_hwdep_dsp_image_set_image_ARG_EXPAND);
typedef void (*snd_hwdep_dsp_image_set_image_PTR)(snd_hwdep_dsp_image_set_image_ARG_EXPAND);
void snd_hwdep_dsp_image_set_index(snd_hwdep_dsp_image_set_index_ARG_EXPAND);
typedef void (*snd_hwdep_dsp_image_set_index_PTR)(snd_hwdep_dsp_image_set_index_ARG_EXPAND);
void snd_hwdep_dsp_image_set_length(snd_hwdep_dsp_image_set_length_ARG_EXPAND);
typedef void (*snd_hwdep_dsp_image_set_length_PTR)(snd_hwdep_dsp_image_set_length_ARG_EXPAND);
void snd_hwdep_dsp_image_set_name(snd_hwdep_dsp_image_set_name_ARG_EXPAND);
typedef void (*snd_hwdep_dsp_image_set_name_PTR)(snd_hwdep_dsp_image_set_name_ARG_EXPAND);
size_t snd_hwdep_dsp_image_sizeof(snd_hwdep_dsp_image_sizeof_ARG_EXPAND);
typedef size_t (*snd_hwdep_dsp_image_sizeof_PTR)(snd_hwdep_dsp_image_sizeof_ARG_EXPAND);
int snd_hwdep_dsp_load(snd_hwdep_dsp_load_ARG_EXPAND);
typedef int (*snd_hwdep_dsp_load_PTR)(snd_hwdep_dsp_load_ARG_EXPAND);
int snd_hwdep_dsp_status(snd_hwdep_dsp_status_ARG_EXPAND);
typedef int (*snd_hwdep_dsp_status_PTR)(snd_hwdep_dsp_status_ARG_EXPAND);
void snd_hwdep_dsp_status_copy(snd_hwdep_dsp_status_copy_ARG_EXPAND);
typedef void (*snd_hwdep_dsp_status_copy_PTR)(snd_hwdep_dsp_status_copy_ARG_EXPAND);
void snd_hwdep_dsp_status_free(snd_hwdep_dsp_status_free_ARG_EXPAND);
typedef void (*snd_hwdep_dsp_status_free_PTR)(snd_hwdep_dsp_status_free_ARG_EXPAND);
unsigned int snd_hwdep_dsp_status_get_chip_ready(snd_hwdep_dsp_status_get_chip_ready_ARG_EXPAND);
typedef unsigned int (*snd_hwdep_dsp_status_get_chip_ready_PTR)(snd_hwdep_dsp_status_get_chip_ready_ARG_EXPAND);
unsigned int snd_hwdep_dsp_status_get_dsp_loaded(snd_hwdep_dsp_status_get_dsp_loaded_ARG_EXPAND);
typedef unsigned int (*snd_hwdep_dsp_status_get_dsp_loaded_PTR)(snd_hwdep_dsp_status_get_dsp_loaded_ARG_EXPAND);
const char * snd_hwdep_dsp_status_get_id(snd_hwdep_dsp_status_get_id_ARG_EXPAND);
typedef const char * (*snd_hwdep_dsp_status_get_id_PTR)(snd_hwdep_dsp_status_get_id_ARG_EXPAND);
unsigned int snd_hwdep_dsp_status_get_num_dsps(snd_hwdep_dsp_status_get_num_dsps_ARG_EXPAND);
typedef unsigned int (*snd_hwdep_dsp_status_get_num_dsps_PTR)(snd_hwdep_dsp_status_get_num_dsps_ARG_EXPAND);
unsigned int snd_hwdep_dsp_status_get_version(snd_hwdep_dsp_status_get_version_ARG_EXPAND);
typedef unsigned int (*snd_hwdep_dsp_status_get_version_PTR)(snd_hwdep_dsp_status_get_version_ARG_EXPAND);
int snd_hwdep_dsp_status_malloc(snd_hwdep_dsp_status_malloc_ARG_EXPAND);
typedef int (*snd_hwdep_dsp_status_malloc_PTR)(snd_hwdep_dsp_status_malloc_ARG_EXPAND);
size_t snd_hwdep_dsp_status_sizeof(snd_hwdep_dsp_status_sizeof_ARG_EXPAND);
typedef size_t (*snd_hwdep_dsp_status_sizeof_PTR)(snd_hwdep_dsp_status_sizeof_ARG_EXPAND);
int snd_hwdep_info(snd_hwdep_info_ARG_EXPAND);
typedef int (*snd_hwdep_info_PTR)(snd_hwdep_info_ARG_EXPAND);
size_t snd_hwdep_info_sizeof(snd_hwdep_info_sizeof_ARG_EXPAND);
typedef size_t (*snd_hwdep_info_sizeof_PTR)(snd_hwdep_info_sizeof_ARG_EXPAND);
int snd_hwdep_ioctl(snd_hwdep_ioctl_ARG_EXPAND);
typedef int (*snd_hwdep_ioctl_PTR)(snd_hwdep_ioctl_ARG_EXPAND);
int snd_hwdep_nonblock(snd_hwdep_nonblock_ARG_EXPAND);
typedef int (*snd_hwdep_nonblock_PTR)(snd_hwdep_nonblock_ARG_EXPAND);
int snd_hwdep_open(snd_hwdep_open_ARG_EXPAND);
typedef int (*snd_hwdep_open_PTR)(snd_hwdep_open_ARG_EXPAND);
int snd_hwdep_poll_descriptors(snd_hwdep_poll_descriptors_ARG_EXPAND);
typedef int (*snd_hwdep_poll_descriptors_PTR)(snd_hwdep_poll_descriptors_ARG_EXPAND);
int snd_hwdep_poll_descriptors_revents(snd_hwdep_poll_descriptors_revents_ARG_EXPAND);
typedef int (*snd_hwdep_poll_descriptors_revents_PTR)(snd_hwdep_poll_descriptors_revents_ARG_EXPAND);
ssize_t snd_hwdep_read(snd_hwdep_read_ARG_EXPAND);
typedef ssize_t (*snd_hwdep_read_PTR)(snd_hwdep_read_ARG_EXPAND);
ssize_t snd_hwdep_write(snd_hwdep_write_ARG_EXPAND);
typedef ssize_t (*snd_hwdep_write_PTR)(snd_hwdep_write_ARG_EXPAND);
int snd_input_buffer_open(snd_input_buffer_open_ARG_EXPAND);
typedef int (*snd_input_buffer_open_PTR)(snd_input_buffer_open_ARG_EXPAND);
int snd_input_close(snd_input_close_ARG_EXPAND);
typedef int (*snd_input_close_PTR)(snd_input_close_ARG_EXPAND);
int snd_input_getc(snd_input_getc_ARG_EXPAND);
typedef int (*snd_input_getc_PTR)(snd_input_getc_ARG_EXPAND);
char * snd_input_gets(snd_input_gets_ARG_EXPAND);
typedef char * (*snd_input_gets_PTR)(snd_input_gets_ARG_EXPAND);
int snd_input_stdio_attach(snd_input_stdio_attach_ARG_EXPAND);
typedef int (*snd_input_stdio_attach_PTR)(snd_input_stdio_attach_ARG_EXPAND);
int snd_input_stdio_open(snd_input_stdio_open_ARG_EXPAND);
typedef int (*snd_input_stdio_open_PTR)(snd_input_stdio_open_ARG_EXPAND);
int snd_input_ungetc(snd_input_ungetc_ARG_EXPAND);
typedef int (*snd_input_ungetc_PTR)(snd_input_ungetc_ARG_EXPAND);
int snd_lib_error_set_handler(snd_lib_error_set_handler_ARG_EXPAND);
typedef int (*snd_lib_error_set_handler_PTR)(snd_lib_error_set_handler_ARG_EXPAND);
long snd_midi_event_decode(snd_midi_event_decode_ARG_EXPAND);
typedef long (*snd_midi_event_decode_PTR)(snd_midi_event_decode_ARG_EXPAND);
long snd_midi_event_encode(snd_midi_event_encode_ARG_EXPAND);
typedef long (*snd_midi_event_encode_PTR)(snd_midi_event_encode_ARG_EXPAND);
int snd_midi_event_encode_byte(snd_midi_event_encode_byte_ARG_EXPAND);
typedef int (*snd_midi_event_encode_byte_PTR)(snd_midi_event_encode_byte_ARG_EXPAND);
void snd_midi_event_free(snd_midi_event_free_ARG_EXPAND);
typedef void (*snd_midi_event_free_PTR)(snd_midi_event_free_ARG_EXPAND);
void snd_midi_event_init(snd_midi_event_init_ARG_EXPAND);
typedef void (*snd_midi_event_init_PTR)(snd_midi_event_init_ARG_EXPAND);
int snd_midi_event_new(snd_midi_event_new_ARG_EXPAND);
typedef int (*snd_midi_event_new_PTR)(snd_midi_event_new_ARG_EXPAND);
void snd_midi_event_no_status(snd_midi_event_no_status_ARG_EXPAND);
typedef void (*snd_midi_event_no_status_PTR)(snd_midi_event_no_status_ARG_EXPAND);
void snd_midi_event_reset_decode(snd_midi_event_reset_decode_ARG_EXPAND);
typedef void (*snd_midi_event_reset_decode_PTR)(snd_midi_event_reset_decode_ARG_EXPAND);
void snd_midi_event_reset_encode(snd_midi_event_reset_encode_ARG_EXPAND);
typedef void (*snd_midi_event_reset_encode_PTR)(snd_midi_event_reset_encode_ARG_EXPAND);
int snd_midi_event_resize_buffer(snd_midi_event_resize_buffer_ARG_EXPAND);
typedef int (*snd_midi_event_resize_buffer_PTR)(snd_midi_event_resize_buffer_ARG_EXPAND);
int snd_mixer_attach(snd_mixer_attach_ARG_EXPAND);
typedef int (*snd_mixer_attach_PTR)(snd_mixer_attach_ARG_EXPAND);
int snd_mixer_attach_hctl(snd_mixer_attach_hctl_ARG_EXPAND);
typedef int (*snd_mixer_attach_hctl_PTR)(snd_mixer_attach_hctl_ARG_EXPAND);
void snd_mixer_class_copy(snd_mixer_class_copy_ARG_EXPAND);
typedef void (*snd_mixer_class_copy_PTR)(snd_mixer_class_copy_ARG_EXPAND);
void snd_mixer_class_free(snd_mixer_class_free_ARG_EXPAND);
typedef void (*snd_mixer_class_free_PTR)(snd_mixer_class_free_ARG_EXPAND);
snd_mixer_compare_t snd_mixer_class_get_compare(snd_mixer_class_get_compare_ARG_EXPAND);
typedef snd_mixer_compare_t (*snd_mixer_class_get_compare_PTR)(snd_mixer_class_get_compare_ARG_EXPAND);
snd_mixer_event_t snd_mixer_class_get_event(snd_mixer_class_get_event_ARG_EXPAND);
typedef snd_mixer_event_t (*snd_mixer_class_get_event_PTR)(snd_mixer_class_get_event_ARG_EXPAND);
snd_mixer_t * snd_mixer_class_get_mixer(snd_mixer_class_get_mixer_ARG_EXPAND);
typedef snd_mixer_t * (*snd_mixer_class_get_mixer_PTR)(snd_mixer_class_get_mixer_ARG_EXPAND);
void * snd_mixer_class_get_private(snd_mixer_class_get_private_ARG_EXPAND);
typedef void * (*snd_mixer_class_get_private_PTR)(snd_mixer_class_get_private_ARG_EXPAND);
int snd_mixer_class_malloc(snd_mixer_class_malloc_ARG_EXPAND);
typedef int (*snd_mixer_class_malloc_PTR)(snd_mixer_class_malloc_ARG_EXPAND);
int snd_mixer_class_register(snd_mixer_class_register_ARG_EXPAND);
typedef int (*snd_mixer_class_register_PTR)(snd_mixer_class_register_ARG_EXPAND);
int snd_mixer_class_set_compare(snd_mixer_class_set_compare_ARG_EXPAND);
typedef int (*snd_mixer_class_set_compare_PTR)(snd_mixer_class_set_compare_ARG_EXPAND);
int snd_mixer_class_set_event(snd_mixer_class_set_event_ARG_EXPAND);
typedef int (*snd_mixer_class_set_event_PTR)(snd_mixer_class_set_event_ARG_EXPAND);
int snd_mixer_class_set_private(snd_mixer_class_set_private_ARG_EXPAND);
typedef int (*snd_mixer_class_set_private_PTR)(snd_mixer_class_set_private_ARG_EXPAND);
size_t snd_mixer_class_sizeof(snd_mixer_class_sizeof_ARG_EXPAND);
typedef size_t (*snd_mixer_class_sizeof_PTR)(snd_mixer_class_sizeof_ARG_EXPAND);
int snd_mixer_class_unregister(snd_mixer_class_unregister_ARG_EXPAND);
typedef int (*snd_mixer_class_unregister_PTR)(snd_mixer_class_unregister_ARG_EXPAND);
int snd_mixer_close(snd_mixer_close_ARG_EXPAND);
typedef int (*snd_mixer_close_PTR)(snd_mixer_close_ARG_EXPAND);
int snd_mixer_detach(snd_mixer_detach_ARG_EXPAND);
typedef int (*snd_mixer_detach_PTR)(snd_mixer_detach_ARG_EXPAND);
int snd_mixer_detach_hctl(snd_mixer_detach_hctl_ARG_EXPAND);
typedef int (*snd_mixer_detach_hctl_PTR)(snd_mixer_detach_hctl_ARG_EXPAND);
int snd_mixer_elem_add(snd_mixer_elem_add_ARG_EXPAND);
typedef int (*snd_mixer_elem_add_PTR)(snd_mixer_elem_add_ARG_EXPAND);
int snd_mixer_elem_attach(snd_mixer_elem_attach_ARG_EXPAND);
typedef int (*snd_mixer_elem_attach_PTR)(snd_mixer_elem_attach_ARG_EXPAND);
int snd_mixer_elem_detach(snd_mixer_elem_detach_ARG_EXPAND);
typedef int (*snd_mixer_elem_detach_PTR)(snd_mixer_elem_detach_ARG_EXPAND);
int snd_mixer_elem_empty(snd_mixer_elem_empty_ARG_EXPAND);
typedef int (*snd_mixer_elem_empty_PTR)(snd_mixer_elem_empty_ARG_EXPAND);
void snd_mixer_elem_free(snd_mixer_elem_free_ARG_EXPAND);
typedef void (*snd_mixer_elem_free_PTR)(snd_mixer_elem_free_ARG_EXPAND);
void * snd_mixer_elem_get_callback_private(snd_mixer_elem_get_callback_private_ARG_EXPAND);
typedef void * (*snd_mixer_elem_get_callback_private_PTR)(snd_mixer_elem_get_callback_private_ARG_EXPAND);
void * snd_mixer_elem_get_private(snd_mixer_elem_get_private_ARG_EXPAND);
typedef void * (*snd_mixer_elem_get_private_PTR)(snd_mixer_elem_get_private_ARG_EXPAND);
snd_mixer_elem_type_t snd_mixer_elem_get_type(snd_mixer_elem_get_type_ARG_EXPAND);
typedef snd_mixer_elem_type_t (*snd_mixer_elem_get_type_PTR)(snd_mixer_elem_get_type_ARG_EXPAND);
int snd_mixer_elem_info(snd_mixer_elem_info_ARG_EXPAND);
typedef int (*snd_mixer_elem_info_PTR)(snd_mixer_elem_info_ARG_EXPAND);
snd_mixer_elem_t * snd_mixer_elem_next(snd_mixer_elem_next_ARG_EXPAND);
typedef snd_mixer_elem_t * (*snd_mixer_elem_next_PTR)(snd_mixer_elem_next_ARG_EXPAND);
snd_mixer_elem_t * snd_mixer_elem_prev(snd_mixer_elem_prev_ARG_EXPAND);
typedef snd_mixer_elem_t * (*snd_mixer_elem_prev_PTR)(snd_mixer_elem_prev_ARG_EXPAND);
int snd_mixer_elem_remove(snd_mixer_elem_remove_ARG_EXPAND);
typedef int (*snd_mixer_elem_remove_PTR)(snd_mixer_elem_remove_ARG_EXPAND);
void snd_mixer_elem_set_callback(snd_mixer_elem_set_callback_ARG_EXPAND);
typedef void (*snd_mixer_elem_set_callback_PTR)(snd_mixer_elem_set_callback_ARG_EXPAND);
void snd_mixer_elem_set_callback_private(snd_mixer_elem_set_callback_private_ARG_EXPAND);
typedef void (*snd_mixer_elem_set_callback_private_PTR)(snd_mixer_elem_set_callback_private_ARG_EXPAND);
int snd_mixer_elem_value(snd_mixer_elem_value_ARG_EXPAND);
typedef int (*snd_mixer_elem_value_PTR)(snd_mixer_elem_value_ARG_EXPAND);
snd_mixer_elem_t * snd_mixer_find_selem(snd_mixer_find_selem_ARG_EXPAND);
typedef snd_mixer_elem_t * (*snd_mixer_find_selem_PTR)(snd_mixer_find_selem_ARG_EXPAND);
snd_mixer_elem_t * snd_mixer_first_elem(snd_mixer_first_elem_ARG_EXPAND);
typedef snd_mixer_elem_t * (*snd_mixer_first_elem_PTR)(snd_mixer_first_elem_ARG_EXPAND);
void snd_mixer_free(snd_mixer_free_ARG_EXPAND);
typedef void (*snd_mixer_free_PTR)(snd_mixer_free_ARG_EXPAND);
void * snd_mixer_get_callback_private(snd_mixer_get_callback_private_ARG_EXPAND);
typedef void * (*snd_mixer_get_callback_private_PTR)(snd_mixer_get_callback_private_ARG_EXPAND);
unsigned int snd_mixer_get_count(snd_mixer_get_count_ARG_EXPAND);
typedef unsigned int (*snd_mixer_get_count_PTR)(snd_mixer_get_count_ARG_EXPAND);
int snd_mixer_get_hctl(snd_mixer_get_hctl_ARG_EXPAND);
typedef int (*snd_mixer_get_hctl_PTR)(snd_mixer_get_hctl_ARG_EXPAND);
int snd_mixer_handle_events(snd_mixer_handle_events_ARG_EXPAND);
typedef int (*snd_mixer_handle_events_PTR)(snd_mixer_handle_events_ARG_EXPAND);
snd_mixer_elem_t * snd_mixer_last_elem(snd_mixer_last_elem_ARG_EXPAND);
typedef snd_mixer_elem_t * (*snd_mixer_last_elem_PTR)(snd_mixer_last_elem_ARG_EXPAND);
int snd_mixer_load(snd_mixer_load_ARG_EXPAND);
typedef int (*snd_mixer_load_PTR)(snd_mixer_load_ARG_EXPAND);
int snd_mixer_open(snd_mixer_open_ARG_EXPAND);
typedef int (*snd_mixer_open_PTR)(snd_mixer_open_ARG_EXPAND);
int snd_mixer_poll_descriptors(snd_mixer_poll_descriptors_ARG_EXPAND);
typedef int (*snd_mixer_poll_descriptors_PTR)(snd_mixer_poll_descriptors_ARG_EXPAND);
int snd_mixer_poll_descriptors_count(snd_mixer_poll_descriptors_count_ARG_EXPAND);
typedef int (*snd_mixer_poll_descriptors_count_PTR)(snd_mixer_poll_descriptors_count_ARG_EXPAND);
int snd_mixer_poll_descriptors_revents(snd_mixer_poll_descriptors_revents_ARG_EXPAND);
typedef int (*snd_mixer_poll_descriptors_revents_PTR)(snd_mixer_poll_descriptors_revents_ARG_EXPAND);
const char * snd_mixer_selem_channel_name(snd_mixer_selem_channel_name_ARG_EXPAND);
typedef const char * (*snd_mixer_selem_channel_name_PTR)(snd_mixer_selem_channel_name_ARG_EXPAND);
int snd_mixer_selem_get_capture_dB(snd_mixer_selem_get_capture_dB_ARG_EXPAND);
typedef int (*snd_mixer_selem_get_capture_dB_PTR)(snd_mixer_selem_get_capture_dB_ARG_EXPAND);
int snd_mixer_selem_get_capture_dB_range(snd_mixer_selem_get_capture_dB_range_ARG_EXPAND);
typedef int (*snd_mixer_selem_get_capture_dB_range_PTR)(snd_mixer_selem_get_capture_dB_range_ARG_EXPAND);
int snd_mixer_selem_get_capture_group(snd_mixer_selem_get_capture_group_ARG_EXPAND);
typedef int (*snd_mixer_selem_get_capture_group_PTR)(snd_mixer_selem_get_capture_group_ARG_EXPAND);
int snd_mixer_selem_get_capture_switch(snd_mixer_selem_get_capture_switch_ARG_EXPAND);
typedef int (*snd_mixer_selem_get_capture_switch_PTR)(snd_mixer_selem_get_capture_switch_ARG_EXPAND);
int snd_mixer_selem_get_capture_volume(snd_mixer_selem_get_capture_volume_ARG_EXPAND);
typedef int (*snd_mixer_selem_get_capture_volume_PTR)(snd_mixer_selem_get_capture_volume_ARG_EXPAND);
int snd_mixer_selem_get_capture_volume_range(snd_mixer_selem_get_capture_volume_range_ARG_EXPAND);
typedef int (*snd_mixer_selem_get_capture_volume_range_PTR)(snd_mixer_selem_get_capture_volume_range_ARG_EXPAND);
int snd_mixer_selem_get_enum_item(snd_mixer_selem_get_enum_item_ARG_EXPAND);
typedef int (*snd_mixer_selem_get_enum_item_PTR)(snd_mixer_selem_get_enum_item_ARG_EXPAND);
int snd_mixer_selem_get_enum_item_name(snd_mixer_selem_get_enum_item_name_ARG_EXPAND);
typedef int (*snd_mixer_selem_get_enum_item_name_PTR)(snd_mixer_selem_get_enum_item_name_ARG_EXPAND);
int snd_mixer_selem_get_enum_items(snd_mixer_selem_get_enum_items_ARG_EXPAND);
typedef int (*snd_mixer_selem_get_enum_items_PTR)(snd_mixer_selem_get_enum_items_ARG_EXPAND);
void snd_mixer_selem_get_id(snd_mixer_selem_get_id_ARG_EXPAND);
typedef void (*snd_mixer_selem_get_id_PTR)(snd_mixer_selem_get_id_ARG_EXPAND);
unsigned int snd_mixer_selem_get_index(snd_mixer_selem_get_index_ARG_EXPAND);
typedef unsigned int (*snd_mixer_selem_get_index_PTR)(snd_mixer_selem_get_index_ARG_EXPAND);
const char * snd_mixer_selem_get_name(snd_mixer_selem_get_name_ARG_EXPAND);
typedef const char * (*snd_mixer_selem_get_name_PTR)(snd_mixer_selem_get_name_ARG_EXPAND);
int snd_mixer_selem_get_playback_dB(snd_mixer_selem_get_playback_dB_ARG_EXPAND);
typedef int (*snd_mixer_selem_get_playback_dB_PTR)(snd_mixer_selem_get_playback_dB_ARG_EXPAND);
int snd_mixer_selem_get_playback_dB_range(snd_mixer_selem_get_playback_dB_range_ARG_EXPAND);
typedef int (*snd_mixer_selem_get_playback_dB_range_PTR)(snd_mixer_selem_get_playback_dB_range_ARG_EXPAND);
int snd_mixer_selem_get_playback_switch(snd_mixer_selem_get_playback_switch_ARG_EXPAND);
typedef int (*snd_mixer_selem_get_playback_switch_PTR)(snd_mixer_selem_get_playback_switch_ARG_EXPAND);
int snd_mixer_selem_get_playback_volume(snd_mixer_selem_get_playback_volume_ARG_EXPAND);
typedef int (*snd_mixer_selem_get_playback_volume_PTR)(snd_mixer_selem_get_playback_volume_ARG_EXPAND);
int snd_mixer_selem_get_playback_volume_range(snd_mixer_selem_get_playback_volume_range_ARG_EXPAND);
typedef int (*snd_mixer_selem_get_playback_volume_range_PTR)(snd_mixer_selem_get_playback_volume_range_ARG_EXPAND);
int snd_mixer_selem_has_capture_channel(snd_mixer_selem_has_capture_channel_ARG_EXPAND);
typedef int (*snd_mixer_selem_has_capture_channel_PTR)(snd_mixer_selem_has_capture_channel_ARG_EXPAND);
int snd_mixer_selem_has_capture_switch(snd_mixer_selem_has_capture_switch_ARG_EXPAND);
typedef int (*snd_mixer_selem_has_capture_switch_PTR)(snd_mixer_selem_has_capture_switch_ARG_EXPAND);
int snd_mixer_selem_has_capture_switch_exclusive(snd_mixer_selem_has_capture_switch_exclusive_ARG_EXPAND);
typedef int (*snd_mixer_selem_has_capture_switch_exclusive_PTR)(snd_mixer_selem_has_capture_switch_exclusive_ARG_EXPAND);
int snd_mixer_selem_has_capture_switch_joined(snd_mixer_selem_has_capture_switch_joined_ARG_EXPAND);
typedef int (*snd_mixer_selem_has_capture_switch_joined_PTR)(snd_mixer_selem_has_capture_switch_joined_ARG_EXPAND);
int snd_mixer_selem_has_capture_volume(snd_mixer_selem_has_capture_volume_ARG_EXPAND);
typedef int (*snd_mixer_selem_has_capture_volume_PTR)(snd_mixer_selem_has_capture_volume_ARG_EXPAND);
int snd_mixer_selem_has_capture_volume_joined(snd_mixer_selem_has_capture_volume_joined_ARG_EXPAND);
typedef int (*snd_mixer_selem_has_capture_volume_joined_PTR)(snd_mixer_selem_has_capture_volume_joined_ARG_EXPAND);
int snd_mixer_selem_has_common_switch(snd_mixer_selem_has_common_switch_ARG_EXPAND);
typedef int (*snd_mixer_selem_has_common_switch_PTR)(snd_mixer_selem_has_common_switch_ARG_EXPAND);
int snd_mixer_selem_has_common_volume(snd_mixer_selem_has_common_volume_ARG_EXPAND);
typedef int (*snd_mixer_selem_has_common_volume_PTR)(snd_mixer_selem_has_common_volume_ARG_EXPAND);
int snd_mixer_selem_has_playback_channel(snd_mixer_selem_has_playback_channel_ARG_EXPAND);
typedef int (*snd_mixer_selem_has_playback_channel_PTR)(snd_mixer_selem_has_playback_channel_ARG_EXPAND);
int snd_mixer_selem_has_playback_switch(snd_mixer_selem_has_playback_switch_ARG_EXPAND);
typedef int (*snd_mixer_selem_has_playback_switch_PTR)(snd_mixer_selem_has_playback_switch_ARG_EXPAND);
int snd_mixer_selem_has_playback_switch_joined(snd_mixer_selem_has_playback_switch_joined_ARG_EXPAND);
typedef int (*snd_mixer_selem_has_playback_switch_joined_PTR)(snd_mixer_selem_has_playback_switch_joined_ARG_EXPAND);
int snd_mixer_selem_has_playback_volume(snd_mixer_selem_has_playback_volume_ARG_EXPAND);
typedef int (*snd_mixer_selem_has_playback_volume_PTR)(snd_mixer_selem_has_playback_volume_ARG_EXPAND);
int snd_mixer_selem_has_playback_volume_joined(snd_mixer_selem_has_playback_volume_joined_ARG_EXPAND);
typedef int (*snd_mixer_selem_has_playback_volume_joined_PTR)(snd_mixer_selem_has_playback_volume_joined_ARG_EXPAND);
void snd_mixer_selem_id_copy(snd_mixer_selem_id_copy_ARG_EXPAND);
typedef void (*snd_mixer_selem_id_copy_PTR)(snd_mixer_selem_id_copy_ARG_EXPAND);
void snd_mixer_selem_id_free(snd_mixer_selem_id_free_ARG_EXPAND);
typedef void (*snd_mixer_selem_id_free_PTR)(snd_mixer_selem_id_free_ARG_EXPAND);
unsigned int snd_mixer_selem_id_get_index(snd_mixer_selem_id_get_index_ARG_EXPAND);
typedef unsigned int (*snd_mixer_selem_id_get_index_PTR)(snd_mixer_selem_id_get_index_ARG_EXPAND);
const char * snd_mixer_selem_id_get_name(snd_mixer_selem_id_get_name_ARG_EXPAND);
typedef const char * (*snd_mixer_selem_id_get_name_PTR)(snd_mixer_selem_id_get_name_ARG_EXPAND);
int snd_mixer_selem_id_malloc(snd_mixer_selem_id_malloc_ARG_EXPAND);
typedef int (*snd_mixer_selem_id_malloc_PTR)(snd_mixer_selem_id_malloc_ARG_EXPAND);
void snd_mixer_selem_id_set_index(snd_mixer_selem_id_set_index_ARG_EXPAND);
typedef void (*snd_mixer_selem_id_set_index_PTR)(snd_mixer_selem_id_set_index_ARG_EXPAND);
void snd_mixer_selem_id_set_name(snd_mixer_selem_id_set_name_ARG_EXPAND);
typedef void (*snd_mixer_selem_id_set_name_PTR)(snd_mixer_selem_id_set_name_ARG_EXPAND);
size_t snd_mixer_selem_id_sizeof(snd_mixer_selem_id_sizeof_ARG_EXPAND);
typedef size_t (*snd_mixer_selem_id_sizeof_PTR)(snd_mixer_selem_id_sizeof_ARG_EXPAND);
int snd_mixer_selem_is_active(snd_mixer_selem_is_active_ARG_EXPAND);
typedef int (*snd_mixer_selem_is_active_PTR)(snd_mixer_selem_is_active_ARG_EXPAND);
int snd_mixer_selem_is_capture_mono(snd_mixer_selem_is_capture_mono_ARG_EXPAND);
typedef int (*snd_mixer_selem_is_capture_mono_PTR)(snd_mixer_selem_is_capture_mono_ARG_EXPAND);
int snd_mixer_selem_is_enum_capture(snd_mixer_selem_is_enum_capture_ARG_EXPAND);
typedef int (*snd_mixer_selem_is_enum_capture_PTR)(snd_mixer_selem_is_enum_capture_ARG_EXPAND);
int snd_mixer_selem_is_enum_playback(snd_mixer_selem_is_enum_playback_ARG_EXPAND);
typedef int (*snd_mixer_selem_is_enum_playback_PTR)(snd_mixer_selem_is_enum_playback_ARG_EXPAND);
int snd_mixer_selem_is_enumerated(snd_mixer_selem_is_enumerated_ARG_EXPAND);
typedef int (*snd_mixer_selem_is_enumerated_PTR)(snd_mixer_selem_is_enumerated_ARG_EXPAND);
int snd_mixer_selem_is_playback_mono(snd_mixer_selem_is_playback_mono_ARG_EXPAND);
typedef int (*snd_mixer_selem_is_playback_mono_PTR)(snd_mixer_selem_is_playback_mono_ARG_EXPAND);
int snd_mixer_selem_register(snd_mixer_selem_register_ARG_EXPAND);
typedef int (*snd_mixer_selem_register_PTR)(snd_mixer_selem_register_ARG_EXPAND);
int snd_mixer_selem_set_capture_dB(snd_mixer_selem_set_capture_dB_ARG_EXPAND);
typedef int (*snd_mixer_selem_set_capture_dB_PTR)(snd_mixer_selem_set_capture_dB_ARG_EXPAND);
int snd_mixer_selem_set_capture_dB_all(snd_mixer_selem_set_capture_dB_all_ARG_EXPAND);
typedef int (*snd_mixer_selem_set_capture_dB_all_PTR)(snd_mixer_selem_set_capture_dB_all_ARG_EXPAND);
int snd_mixer_selem_set_capture_switch(snd_mixer_selem_set_capture_switch_ARG_EXPAND);
typedef int (*snd_mixer_selem_set_capture_switch_PTR)(snd_mixer_selem_set_capture_switch_ARG_EXPAND);
int snd_mixer_selem_set_capture_switch_all(snd_mixer_selem_set_capture_switch_all_ARG_EXPAND);
typedef int (*snd_mixer_selem_set_capture_switch_all_PTR)(snd_mixer_selem_set_capture_switch_all_ARG_EXPAND);
int snd_mixer_selem_set_capture_volume(snd_mixer_selem_set_capture_volume_ARG_EXPAND);
typedef int (*snd_mixer_selem_set_capture_volume_PTR)(snd_mixer_selem_set_capture_volume_ARG_EXPAND);
int snd_mixer_selem_set_capture_volume_all(snd_mixer_selem_set_capture_volume_all_ARG_EXPAND);
typedef int (*snd_mixer_selem_set_capture_volume_all_PTR)(snd_mixer_selem_set_capture_volume_all_ARG_EXPAND);
int snd_mixer_selem_set_capture_volume_range(snd_mixer_selem_set_capture_volume_range_ARG_EXPAND);
typedef int (*snd_mixer_selem_set_capture_volume_range_PTR)(snd_mixer_selem_set_capture_volume_range_ARG_EXPAND);
int snd_mixer_selem_set_enum_item(snd_mixer_selem_set_enum_item_ARG_EXPAND);
typedef int (*snd_mixer_selem_set_enum_item_PTR)(snd_mixer_selem_set_enum_item_ARG_EXPAND);
int snd_mixer_selem_set_playback_dB(snd_mixer_selem_set_playback_dB_ARG_EXPAND);
typedef int (*snd_mixer_selem_set_playback_dB_PTR)(snd_mixer_selem_set_playback_dB_ARG_EXPAND);
int snd_mixer_selem_set_playback_dB_all(snd_mixer_selem_set_playback_dB_all_ARG_EXPAND);
typedef int (*snd_mixer_selem_set_playback_dB_all_PTR)(snd_mixer_selem_set_playback_dB_all_ARG_EXPAND);
int snd_mixer_selem_set_playback_switch(snd_mixer_selem_set_playback_switch_ARG_EXPAND);
typedef int (*snd_mixer_selem_set_playback_switch_PTR)(snd_mixer_selem_set_playback_switch_ARG_EXPAND);
int snd_mixer_selem_set_playback_switch_all(snd_mixer_selem_set_playback_switch_all_ARG_EXPAND);
typedef int (*snd_mixer_selem_set_playback_switch_all_PTR)(snd_mixer_selem_set_playback_switch_all_ARG_EXPAND);
int snd_mixer_selem_set_playback_volume(snd_mixer_selem_set_playback_volume_ARG_EXPAND);
typedef int (*snd_mixer_selem_set_playback_volume_PTR)(snd_mixer_selem_set_playback_volume_ARG_EXPAND);
int snd_mixer_selem_set_playback_volume_all(snd_mixer_selem_set_playback_volume_all_ARG_EXPAND);
typedef int (*snd_mixer_selem_set_playback_volume_all_PTR)(snd_mixer_selem_set_playback_volume_all_ARG_EXPAND);
int snd_mixer_selem_set_playback_volume_range(snd_mixer_selem_set_playback_volume_range_ARG_EXPAND);
typedef int (*snd_mixer_selem_set_playback_volume_range_PTR)(snd_mixer_selem_set_playback_volume_range_ARG_EXPAND);
void snd_mixer_set_callback(snd_mixer_set_callback_ARG_EXPAND);
typedef void (*snd_mixer_set_callback_PTR)(snd_mixer_set_callback_ARG_EXPAND);
void snd_mixer_set_callback_private(snd_mixer_set_callback_private_ARG_EXPAND);
typedef void (*snd_mixer_set_callback_private_PTR)(snd_mixer_set_callback_private_ARG_EXPAND);
int snd_mixer_set_compare(snd_mixer_set_compare_ARG_EXPAND);
typedef int (*snd_mixer_set_compare_PTR)(snd_mixer_set_compare_ARG_EXPAND);
int snd_mixer_wait(snd_mixer_wait_ARG_EXPAND);
typedef int (*snd_mixer_wait_PTR)(snd_mixer_wait_ARG_EXPAND);
int snd_names_list(snd_names_list_ARG_EXPAND);
typedef int (*snd_names_list_PTR)(snd_names_list_ARG_EXPAND);
void snd_names_list_free(snd_names_list_free_ARG_EXPAND);
typedef void (*snd_names_list_free_PTR)(snd_names_list_free_ARG_EXPAND);
int snd_output_buffer_open(snd_output_buffer_open_ARG_EXPAND);
typedef int (*snd_output_buffer_open_PTR)(snd_output_buffer_open_ARG_EXPAND);
size_t snd_output_buffer_string(snd_output_buffer_string_ARG_EXPAND);
typedef size_t (*snd_output_buffer_string_PTR)(snd_output_buffer_string_ARG_EXPAND);
int snd_output_close(snd_output_close_ARG_EXPAND);
typedef int (*snd_output_close_PTR)(snd_output_close_ARG_EXPAND);
int snd_output_flush(snd_output_flush_ARG_EXPAND);
typedef int (*snd_output_flush_PTR)(snd_output_flush_ARG_EXPAND);
int snd_output_putc(snd_output_putc_ARG_EXPAND);
typedef int (*snd_output_putc_PTR)(snd_output_putc_ARG_EXPAND);
int snd_output_puts(snd_output_puts_ARG_EXPAND);
typedef int (*snd_output_puts_PTR)(snd_output_puts_ARG_EXPAND);
int snd_output_stdio_attach(snd_output_stdio_attach_ARG_EXPAND);
typedef int (*snd_output_stdio_attach_PTR)(snd_output_stdio_attach_ARG_EXPAND);
int snd_output_stdio_open(snd_output_stdio_open_ARG_EXPAND);
typedef int (*snd_output_stdio_open_PTR)(snd_output_stdio_open_ARG_EXPAND);
int snd_output_vprintf(snd_output_vprintf_ARG_EXPAND);
typedef int (*snd_output_vprintf_PTR)(snd_output_vprintf_ARG_EXPAND);
void snd_pcm_access_mask_any(snd_pcm_access_mask_any_ARG_EXPAND);
typedef void (*snd_pcm_access_mask_any_PTR)(snd_pcm_access_mask_any_ARG_EXPAND);
void snd_pcm_access_mask_copy(snd_pcm_access_mask_copy_ARG_EXPAND);
typedef void (*snd_pcm_access_mask_copy_PTR)(snd_pcm_access_mask_copy_ARG_EXPAND);
int snd_pcm_access_mask_empty(snd_pcm_access_mask_empty_ARG_EXPAND);
typedef int (*snd_pcm_access_mask_empty_PTR)(snd_pcm_access_mask_empty_ARG_EXPAND);
void snd_pcm_access_mask_free(snd_pcm_access_mask_free_ARG_EXPAND);
typedef void (*snd_pcm_access_mask_free_PTR)(snd_pcm_access_mask_free_ARG_EXPAND);
int snd_pcm_access_mask_malloc(snd_pcm_access_mask_malloc_ARG_EXPAND);
typedef int (*snd_pcm_access_mask_malloc_PTR)(snd_pcm_access_mask_malloc_ARG_EXPAND);
void snd_pcm_access_mask_none(snd_pcm_access_mask_none_ARG_EXPAND);
typedef void (*snd_pcm_access_mask_none_PTR)(snd_pcm_access_mask_none_ARG_EXPAND);
void snd_pcm_access_mask_reset(snd_pcm_access_mask_reset_ARG_EXPAND);
typedef void (*snd_pcm_access_mask_reset_PTR)(snd_pcm_access_mask_reset_ARG_EXPAND);
void snd_pcm_access_mask_set(snd_pcm_access_mask_set_ARG_EXPAND);
typedef void (*snd_pcm_access_mask_set_PTR)(snd_pcm_access_mask_set_ARG_EXPAND);
size_t snd_pcm_access_mask_sizeof(snd_pcm_access_mask_sizeof_ARG_EXPAND);
typedef size_t (*snd_pcm_access_mask_sizeof_PTR)(snd_pcm_access_mask_sizeof_ARG_EXPAND);
int snd_pcm_access_mask_test(snd_pcm_access_mask_test_ARG_EXPAND);
typedef int (*snd_pcm_access_mask_test_PTR)(snd_pcm_access_mask_test_ARG_EXPAND);
const char * snd_pcm_access_name(snd_pcm_access_name_ARG_EXPAND);
typedef const char * (*snd_pcm_access_name_PTR)(snd_pcm_access_name_ARG_EXPAND);
int snd_pcm_area_copy(snd_pcm_area_copy_ARG_EXPAND);
typedef int (*snd_pcm_area_copy_PTR)(snd_pcm_area_copy_ARG_EXPAND);
int snd_pcm_area_silence(snd_pcm_area_silence_ARG_EXPAND);
typedef int (*snd_pcm_area_silence_PTR)(snd_pcm_area_silence_ARG_EXPAND);
int snd_pcm_areas_copy(snd_pcm_areas_copy_ARG_EXPAND);
typedef int (*snd_pcm_areas_copy_PTR)(snd_pcm_areas_copy_ARG_EXPAND);
int snd_pcm_areas_silence(snd_pcm_areas_silence_ARG_EXPAND);
typedef int (*snd_pcm_areas_silence_PTR)(snd_pcm_areas_silence_ARG_EXPAND);
snd_pcm_sframes_t snd_pcm_avail_update(snd_pcm_avail_update_ARG_EXPAND);
typedef snd_pcm_sframes_t (*snd_pcm_avail_update_PTR)(snd_pcm_avail_update_ARG_EXPAND);
snd_pcm_format_t snd_pcm_build_linear_format(snd_pcm_build_linear_format_ARG_EXPAND);
typedef snd_pcm_format_t (*snd_pcm_build_linear_format_PTR)(snd_pcm_build_linear_format_ARG_EXPAND);
snd_pcm_sframes_t snd_pcm_bytes_to_frames(snd_pcm_bytes_to_frames_ARG_EXPAND);
typedef snd_pcm_sframes_t (*snd_pcm_bytes_to_frames_PTR)(snd_pcm_bytes_to_frames_ARG_EXPAND);
long snd_pcm_bytes_to_samples(snd_pcm_bytes_to_samples_ARG_EXPAND);
typedef long (*snd_pcm_bytes_to_samples_PTR)(snd_pcm_bytes_to_samples_ARG_EXPAND);
int snd_pcm_close(snd_pcm_close_ARG_EXPAND);
typedef int (*snd_pcm_close_PTR)(snd_pcm_close_ARG_EXPAND);
int snd_pcm_delay(snd_pcm_delay_ARG_EXPAND);
typedef int (*snd_pcm_delay_PTR)(snd_pcm_delay_ARG_EXPAND);
int snd_pcm_drain(snd_pcm_drain_ARG_EXPAND);
typedef int (*snd_pcm_drain_PTR)(snd_pcm_drain_ARG_EXPAND);
int snd_pcm_drop(snd_pcm_drop_ARG_EXPAND);
typedef int (*snd_pcm_drop_PTR)(snd_pcm_drop_ARG_EXPAND);
int snd_pcm_dump(snd_pcm_dump_ARG_EXPAND);
typedef int (*snd_pcm_dump_PTR)(snd_pcm_dump_ARG_EXPAND);
int snd_pcm_dump_hw_setup(snd_pcm_dump_hw_setup_ARG_EXPAND);
typedef int (*snd_pcm_dump_hw_setup_PTR)(snd_pcm_dump_hw_setup_ARG_EXPAND);
int snd_pcm_dump_setup(snd_pcm_dump_setup_ARG_EXPAND);
typedef int (*snd_pcm_dump_setup_PTR)(snd_pcm_dump_setup_ARG_EXPAND);
int snd_pcm_dump_sw_setup(snd_pcm_dump_sw_setup_ARG_EXPAND);
typedef int (*snd_pcm_dump_sw_setup_PTR)(snd_pcm_dump_sw_setup_ARG_EXPAND);
int snd_pcm_format_big_endian(snd_pcm_format_big_endian_ARG_EXPAND);
typedef int (*snd_pcm_format_big_endian_PTR)(snd_pcm_format_big_endian_ARG_EXPAND);
int snd_pcm_format_cpu_endian(snd_pcm_format_cpu_endian_ARG_EXPAND);
typedef int (*snd_pcm_format_cpu_endian_PTR)(snd_pcm_format_cpu_endian_ARG_EXPAND);
const char * snd_pcm_format_description(snd_pcm_format_description_ARG_EXPAND);
typedef const char * (*snd_pcm_format_description_PTR)(snd_pcm_format_description_ARG_EXPAND);
int snd_pcm_format_float(snd_pcm_format_float_ARG_EXPAND);
typedef int (*snd_pcm_format_float_PTR)(snd_pcm_format_float_ARG_EXPAND);
int snd_pcm_format_linear(snd_pcm_format_linear_ARG_EXPAND);
typedef int (*snd_pcm_format_linear_PTR)(snd_pcm_format_linear_ARG_EXPAND);
int snd_pcm_format_little_endian(snd_pcm_format_little_endian_ARG_EXPAND);
typedef int (*snd_pcm_format_little_endian_PTR)(snd_pcm_format_little_endian_ARG_EXPAND);
void snd_pcm_format_mask_any(snd_pcm_format_mask_any_ARG_EXPAND);
typedef void (*snd_pcm_format_mask_any_PTR)(snd_pcm_format_mask_any_ARG_EXPAND);
void snd_pcm_format_mask_copy(snd_pcm_format_mask_copy_ARG_EXPAND);
typedef void (*snd_pcm_format_mask_copy_PTR)(snd_pcm_format_mask_copy_ARG_EXPAND);
int snd_pcm_format_mask_empty(snd_pcm_format_mask_empty_ARG_EXPAND);
typedef int (*snd_pcm_format_mask_empty_PTR)(snd_pcm_format_mask_empty_ARG_EXPAND);
void snd_pcm_format_mask_free(snd_pcm_format_mask_free_ARG_EXPAND);
typedef void (*snd_pcm_format_mask_free_PTR)(snd_pcm_format_mask_free_ARG_EXPAND);
int snd_pcm_format_mask_malloc(snd_pcm_format_mask_malloc_ARG_EXPAND);
typedef int (*snd_pcm_format_mask_malloc_PTR)(snd_pcm_format_mask_malloc_ARG_EXPAND);
void snd_pcm_format_mask_none(snd_pcm_format_mask_none_ARG_EXPAND);
typedef void (*snd_pcm_format_mask_none_PTR)(snd_pcm_format_mask_none_ARG_EXPAND);
void snd_pcm_format_mask_reset(snd_pcm_format_mask_reset_ARG_EXPAND);
typedef void (*snd_pcm_format_mask_reset_PTR)(snd_pcm_format_mask_reset_ARG_EXPAND);
void snd_pcm_format_mask_set(snd_pcm_format_mask_set_ARG_EXPAND);
typedef void (*snd_pcm_format_mask_set_PTR)(snd_pcm_format_mask_set_ARG_EXPAND);
size_t snd_pcm_format_mask_sizeof(snd_pcm_format_mask_sizeof_ARG_EXPAND);
typedef size_t (*snd_pcm_format_mask_sizeof_PTR)(snd_pcm_format_mask_sizeof_ARG_EXPAND);
int snd_pcm_format_mask_test(snd_pcm_format_mask_test_ARG_EXPAND);
typedef int (*snd_pcm_format_mask_test_PTR)(snd_pcm_format_mask_test_ARG_EXPAND);
const char * snd_pcm_format_name(snd_pcm_format_name_ARG_EXPAND);
typedef const char * (*snd_pcm_format_name_PTR)(snd_pcm_format_name_ARG_EXPAND);
int snd_pcm_format_physical_width(snd_pcm_format_physical_width_ARG_EXPAND);
typedef int (*snd_pcm_format_physical_width_PTR)(snd_pcm_format_physical_width_ARG_EXPAND);
int snd_pcm_format_set_silence(snd_pcm_format_set_silence_ARG_EXPAND);
typedef int (*snd_pcm_format_set_silence_PTR)(snd_pcm_format_set_silence_ARG_EXPAND);
int snd_pcm_format_signed(snd_pcm_format_signed_ARG_EXPAND);
typedef int (*snd_pcm_format_signed_PTR)(snd_pcm_format_signed_ARG_EXPAND);
u_int8_t snd_pcm_format_silence(snd_pcm_format_silence_ARG_EXPAND);
typedef u_int8_t (*snd_pcm_format_silence_PTR)(snd_pcm_format_silence_ARG_EXPAND);
u_int16_t snd_pcm_format_silence_16(snd_pcm_format_silence_16_ARG_EXPAND);
typedef u_int16_t (*snd_pcm_format_silence_16_PTR)(snd_pcm_format_silence_16_ARG_EXPAND);
u_int32_t snd_pcm_format_silence_32(snd_pcm_format_silence_32_ARG_EXPAND);
typedef u_int32_t (*snd_pcm_format_silence_32_PTR)(snd_pcm_format_silence_32_ARG_EXPAND);
u_int64_t snd_pcm_format_silence_64(snd_pcm_format_silence_64_ARG_EXPAND);
typedef u_int64_t (*snd_pcm_format_silence_64_PTR)(snd_pcm_format_silence_64_ARG_EXPAND);
ssize_t snd_pcm_format_size(snd_pcm_format_size_ARG_EXPAND);
typedef ssize_t (*snd_pcm_format_size_PTR)(snd_pcm_format_size_ARG_EXPAND);
int snd_pcm_format_unsigned(snd_pcm_format_unsigned_ARG_EXPAND);
typedef int (*snd_pcm_format_unsigned_PTR)(snd_pcm_format_unsigned_ARG_EXPAND);
snd_pcm_format_t snd_pcm_format_value(snd_pcm_format_value_ARG_EXPAND);
typedef snd_pcm_format_t (*snd_pcm_format_value_PTR)(snd_pcm_format_value_ARG_EXPAND);
int snd_pcm_format_width(snd_pcm_format_width_ARG_EXPAND);
typedef int (*snd_pcm_format_width_PTR)(snd_pcm_format_width_ARG_EXPAND);
snd_pcm_sframes_t snd_pcm_forward(snd_pcm_forward_ARG_EXPAND);
typedef snd_pcm_sframes_t (*snd_pcm_forward_PTR)(snd_pcm_forward_ARG_EXPAND);
ssize_t snd_pcm_frames_to_bytes(snd_pcm_frames_to_bytes_ARG_EXPAND);
typedef ssize_t (*snd_pcm_frames_to_bytes_PTR)(snd_pcm_frames_to_bytes_ARG_EXPAND);
int snd_pcm_get_params(snd_pcm_get_params_ARG_EXPAND);
typedef int (*snd_pcm_get_params_PTR)(snd_pcm_get_params_ARG_EXPAND);
int snd_pcm_hook_add(snd_pcm_hook_add_ARG_EXPAND);
typedef int (*snd_pcm_hook_add_PTR)(snd_pcm_hook_add_ARG_EXPAND);
snd_pcm_t * snd_pcm_hook_get_pcm(snd_pcm_hook_get_pcm_ARG_EXPAND);
typedef snd_pcm_t * (*snd_pcm_hook_get_pcm_PTR)(snd_pcm_hook_get_pcm_ARG_EXPAND);
void * snd_pcm_hook_get_private(snd_pcm_hook_get_private_ARG_EXPAND);
typedef void * (*snd_pcm_hook_get_private_PTR)(snd_pcm_hook_get_private_ARG_EXPAND);
int snd_pcm_hook_remove(snd_pcm_hook_remove_ARG_EXPAND);
typedef int (*snd_pcm_hook_remove_PTR)(snd_pcm_hook_remove_ARG_EXPAND);
void snd_pcm_hook_set_private(snd_pcm_hook_set_private_ARG_EXPAND);
typedef void (*snd_pcm_hook_set_private_PTR)(snd_pcm_hook_set_private_ARG_EXPAND);
int snd_pcm_hw_free(snd_pcm_hw_free_ARG_EXPAND);
typedef int (*snd_pcm_hw_free_PTR)(snd_pcm_hw_free_ARG_EXPAND);
int snd_pcm_hw_params(snd_pcm_hw_params_ARG_EXPAND);
typedef int (*snd_pcm_hw_params_PTR)(snd_pcm_hw_params_ARG_EXPAND);
int snd_pcm_hw_params_any(snd_pcm_hw_params_any_ARG_EXPAND);
typedef int (*snd_pcm_hw_params_any_PTR)(snd_pcm_hw_params_any_ARG_EXPAND);
int snd_pcm_hw_params_can_mmap_sample_resolution(snd_pcm_hw_params_can_mmap_sample_resolution_ARG_EXPAND);
typedef int (*snd_pcm_hw_params_can_mmap_sample_resolution_PTR)(snd_pcm_hw_params_can_mmap_sample_resolution_ARG_EXPAND);
int snd_pcm_hw_params_can_overrange(snd_pcm_hw_params_can_overrange_ARG_EXPAND);
typedef int (*snd_pcm_hw_params_can_overrange_PTR)(snd_pcm_hw_params_can_overrange_ARG_EXPAND);
int snd_pcm_hw_params_can_pause(snd_pcm_hw_params_can_pause_ARG_EXPAND);
typedef int (*snd_pcm_hw_params_can_pause_PTR)(snd_pcm_hw_params_can_pause_ARG_EXPAND);
int snd_pcm_hw_params_can_resume(snd_pcm_hw_params_can_resume_ARG_EXPAND);
typedef int (*snd_pcm_hw_params_can_resume_PTR)(snd_pcm_hw_params_can_resume_ARG_EXPAND);
int snd_pcm_hw_params_can_sync_start(snd_pcm_hw_params_can_sync_start_ARG_EXPAND);
typedef int (*snd_pcm_hw_params_can_sync_start_PTR)(snd_pcm_hw_params_can_sync_start_ARG_EXPAND);
void snd_pcm_hw_params_copy(snd_pcm_hw_params_copy_ARG_EXPAND);
typedef void (*snd_pcm_hw_params_copy_PTR)(snd_pcm_hw_params_copy_ARG_EXPAND);
int snd_pcm_hw_params_current(snd_pcm_hw_params_current_ARG_EXPAND);
typedef int (*snd_pcm_hw_params_current_PTR)(snd_pcm_hw_params_current_ARG_EXPAND);
int snd_pcm_hw_params_dump(snd_pcm_hw_params_dump_ARG_EXPAND);
typedef int (*snd_pcm_hw_params_dump_PTR)(snd_pcm_hw_params_dump_ARG_EXPAND);
void snd_pcm_hw_params_free(snd_pcm_hw_params_free_ARG_EXPAND);
typedef void (*snd_pcm_hw_params_free_PTR)(snd_pcm_hw_params_free_ARG_EXPAND);
int snd_pcm_hw_params_get_access(snd_pcm_hw_params_get_access_ARG_EXPAND);
typedef int (*snd_pcm_hw_params_get_access_PTR)(snd_pcm_hw_params_get_access_ARG_EXPAND);
int snd_pcm_hw_params_get_access_mask(snd_pcm_hw_params_get_access_mask_ARG_EXPAND);
typedef int (*snd_pcm_hw_params_get_access_mask_PTR)(snd_pcm_hw_params_get_access_mask_ARG_EXPAND);
int snd_pcm_hw_params_get_buffer_size(snd_pcm_hw_params_get_buffer_size_ARG_EXPAND);
typedef int (*snd_pcm_hw_params_get_buffer_size_PTR)(snd_pcm_hw_params_get_buffer_size_ARG_EXPAND);
int snd_pcm_hw_params_get_buffer_size_max(snd_pcm_hw_params_get_buffer_size_max_ARG_EXPAND);
typedef int (*snd_pcm_hw_params_get_buffer_size_max_PTR)(snd_pcm_hw_params_get_buffer_size_max_ARG_EXPAND);
int snd_pcm_hw_params_get_buffer_size_min(snd_pcm_hw_params_get_buffer_size_min_ARG_EXPAND);
typedef int (*snd_pcm_hw_params_get_buffer_size_min_PTR)(snd_pcm_hw_params_get_buffer_size_min_ARG_EXPAND);
int snd_pcm_hw_params_get_buffer_time(snd_pcm_hw_params_get_buffer_time_ARG_EXPAND);
typedef int (*snd_pcm_hw_params_get_buffer_time_PTR)(snd_pcm_hw_params_get_buffer_time_ARG_EXPAND);
int snd_pcm_hw_params_get_buffer_time_max(snd_pcm_hw_params_get_buffer_time_max_ARG_EXPAND);
typedef int (*snd_pcm_hw_params_get_buffer_time_max_PTR)(snd_pcm_hw_params_get_buffer_time_max_ARG_EXPAND);
int snd_pcm_hw_params_get_buffer_time_min(snd_pcm_hw_params_get_buffer_time_min_ARG_EXPAND);
typedef int (*snd_pcm_hw_params_get_buffer_time_min_PTR)(snd_pcm_hw_params_get_buffer_time_min_ARG_EXPAND);
int snd_pcm_hw_params_get_channels(snd_pcm_hw_params_get_channels_ARG_EXPAND);
typedef int (*snd_pcm_hw_params_get_channels_PTR)(snd_pcm_hw_params_get_channels_ARG_EXPAND);
int snd_pcm_hw_params_get_channels_max(snd_pcm_hw_params_get_channels_max_ARG_EXPAND);
typedef int (*snd_pcm_hw_params_get_channels_max_PTR)(snd_pcm_hw_params_get_channels_max_ARG_EXPAND);
int snd_pcm_hw_params_get_channels_min(snd_pcm_hw_params_get_channels_min_ARG_EXPAND);
typedef int (*snd_pcm_hw_params_get_channels_min_PTR)(snd_pcm_hw_params_get_channels_min_ARG_EXPAND);
int snd_pcm_hw_params_get_export_buffer(snd_pcm_hw_params_get_export_buffer_ARG_EXPAND);
typedef int (*snd_pcm_hw_params_get_export_buffer_PTR)(snd_pcm_hw_params_get_export_buffer_ARG_EXPAND);
int snd_pcm_hw_params_get_fifo_size(snd_pcm_hw_params_get_fifo_size_ARG_EXPAND);
typedef int (*snd_pcm_hw_params_get_fifo_size_PTR)(snd_pcm_hw_params_get_fifo_size_ARG_EXPAND);
int snd_pcm_hw_params_get_format(snd_pcm_hw_params_get_format_ARG_EXPAND);
typedef int (*snd_pcm_hw_params_get_format_PTR)(snd_pcm_hw_params_get_format_ARG_EXPAND);
void snd_pcm_hw_params_get_format_mask(snd_pcm_hw_params_get_format_mask_ARG_EXPAND);
typedef void (*snd_pcm_hw_params_get_format_mask_PTR)(snd_pcm_hw_params_get_format_mask_ARG_EXPAND);
int snd_pcm_hw_params_get_min_align(snd_pcm_hw_params_get_min_align_ARG_EXPAND);
typedef int (*snd_pcm_hw_params_get_min_align_PTR)(snd_pcm_hw_params_get_min_align_ARG_EXPAND);
int snd_pcm_hw_params_get_period_size(snd_pcm_hw_params_get_period_size_ARG_EXPAND);
typedef int (*snd_pcm_hw_params_get_period_size_PTR)(snd_pcm_hw_params_get_period_size_ARG_EXPAND);
int snd_pcm_hw_params_get_period_size_max(snd_pcm_hw_params_get_period_size_max_ARG_EXPAND);
typedef int (*snd_pcm_hw_params_get_period_size_max_PTR)(snd_pcm_hw_params_get_period_size_max_ARG_EXPAND);
int snd_pcm_hw_params_get_period_size_min(snd_pcm_hw_params_get_period_size_min_ARG_EXPAND);
typedef int (*snd_pcm_hw_params_get_period_size_min_PTR)(snd_pcm_hw_params_get_period_size_min_ARG_EXPAND);
int snd_pcm_hw_params_get_period_time(snd_pcm_hw_params_get_period_time_ARG_EXPAND);
typedef int (*snd_pcm_hw_params_get_period_time_PTR)(snd_pcm_hw_params_get_period_time_ARG_EXPAND);
int snd_pcm_hw_params_get_period_time_max(snd_pcm_hw_params_get_period_time_max_ARG_EXPAND);
typedef int (*snd_pcm_hw_params_get_period_time_max_PTR)(snd_pcm_hw_params_get_period_time_max_ARG_EXPAND);
int snd_pcm_hw_params_get_period_time_min(snd_pcm_hw_params_get_period_time_min_ARG_EXPAND);
typedef int (*snd_pcm_hw_params_get_period_time_min_PTR)(snd_pcm_hw_params_get_period_time_min_ARG_EXPAND);
int snd_pcm_hw_params_get_periods(snd_pcm_hw_params_get_periods_ARG_EXPAND);
typedef int (*snd_pcm_hw_params_get_periods_PTR)(snd_pcm_hw_params_get_periods_ARG_EXPAND);
int snd_pcm_hw_params_get_periods_max(snd_pcm_hw_params_get_periods_max_ARG_EXPAND);
typedef int (*snd_pcm_hw_params_get_periods_max_PTR)(snd_pcm_hw_params_get_periods_max_ARG_EXPAND);
int snd_pcm_hw_params_get_periods_min(snd_pcm_hw_params_get_periods_min_ARG_EXPAND);
typedef int (*snd_pcm_hw_params_get_periods_min_PTR)(snd_pcm_hw_params_get_periods_min_ARG_EXPAND);
int snd_pcm_hw_params_get_rate(snd_pcm_hw_params_get_rate_ARG_EXPAND);
typedef int (*snd_pcm_hw_params_get_rate_PTR)(snd_pcm_hw_params_get_rate_ARG_EXPAND);
int snd_pcm_hw_params_get_rate_max(snd_pcm_hw_params_get_rate_max_ARG_EXPAND);
typedef int (*snd_pcm_hw_params_get_rate_max_PTR)(snd_pcm_hw_params_get_rate_max_ARG_EXPAND);
int snd_pcm_hw_params_get_rate_min(snd_pcm_hw_params_get_rate_min_ARG_EXPAND);
typedef int (*snd_pcm_hw_params_get_rate_min_PTR)(snd_pcm_hw_params_get_rate_min_ARG_EXPAND);
int snd_pcm_hw_params_get_rate_numden(snd_pcm_hw_params_get_rate_numden_ARG_EXPAND);
typedef int (*snd_pcm_hw_params_get_rate_numden_PTR)(snd_pcm_hw_params_get_rate_numden_ARG_EXPAND);
int snd_pcm_hw_params_get_rate_resample(snd_pcm_hw_params_get_rate_resample_ARG_EXPAND);
typedef int (*snd_pcm_hw_params_get_rate_resample_PTR)(snd_pcm_hw_params_get_rate_resample_ARG_EXPAND);
int snd_pcm_hw_params_get_sbits(snd_pcm_hw_params_get_sbits_ARG_EXPAND);
typedef int (*snd_pcm_hw_params_get_sbits_PTR)(snd_pcm_hw_params_get_sbits_ARG_EXPAND);
int snd_pcm_hw_params_get_subformat(snd_pcm_hw_params_get_subformat_ARG_EXPAND);
typedef int (*snd_pcm_hw_params_get_subformat_PTR)(snd_pcm_hw_params_get_subformat_ARG_EXPAND);
void snd_pcm_hw_params_get_subformat_mask(snd_pcm_hw_params_get_subformat_mask_ARG_EXPAND);
typedef void (*snd_pcm_hw_params_get_subformat_mask_PTR)(snd_pcm_hw_params_get_subformat_mask_ARG_EXPAND);
int snd_pcm_hw_params_get_tick_time(snd_pcm_hw_params_get_tick_time_ARG_EXPAND);
typedef int (*snd_pcm_hw_params_get_tick_time_PTR)(snd_pcm_hw_params_get_tick_time_ARG_EXPAND);
int snd_pcm_hw_params_get_tick_time_max(snd_pcm_hw_params_get_tick_time_max_ARG_EXPAND);
typedef int (*snd_pcm_hw_params_get_tick_time_max_PTR)(snd_pcm_hw_params_get_tick_time_max_ARG_EXPAND);
int snd_pcm_hw_params_get_tick_time_min(snd_pcm_hw_params_get_tick_time_min_ARG_EXPAND);
typedef int (*snd_pcm_hw_params_get_tick_time_min_PTR)(snd_pcm_hw_params_get_tick_time_min_ARG_EXPAND);
int snd_pcm_hw_params_is_batch(snd_pcm_hw_params_is_batch_ARG_EXPAND);
typedef int (*snd_pcm_hw_params_is_batch_PTR)(snd_pcm_hw_params_is_batch_ARG_EXPAND);
int snd_pcm_hw_params_is_block_transfer(snd_pcm_hw_params_is_block_transfer_ARG_EXPAND);
typedef int (*snd_pcm_hw_params_is_block_transfer_PTR)(snd_pcm_hw_params_is_block_transfer_ARG_EXPAND);
int snd_pcm_hw_params_is_double(snd_pcm_hw_params_is_double_ARG_EXPAND);
typedef int (*snd_pcm_hw_params_is_double_PTR)(snd_pcm_hw_params_is_double_ARG_EXPAND);
int snd_pcm_hw_params_is_half_duplex(snd_pcm_hw_params_is_half_duplex_ARG_EXPAND);
typedef int (*snd_pcm_hw_params_is_half_duplex_PTR)(snd_pcm_hw_params_is_half_duplex_ARG_EXPAND);
int snd_pcm_hw_params_is_joint_duplex(snd_pcm_hw_params_is_joint_duplex_ARG_EXPAND);
typedef int (*snd_pcm_hw_params_is_joint_duplex_PTR)(snd_pcm_hw_params_is_joint_duplex_ARG_EXPAND);
int snd_pcm_hw_params_is_monotonic(snd_pcm_hw_params_is_monotonic_ARG_EXPAND);
typedef int (*snd_pcm_hw_params_is_monotonic_PTR)(snd_pcm_hw_params_is_monotonic_ARG_EXPAND);
int snd_pcm_hw_params_malloc(snd_pcm_hw_params_malloc_ARG_EXPAND);
typedef int (*snd_pcm_hw_params_malloc_PTR)(snd_pcm_hw_params_malloc_ARG_EXPAND);
int snd_pcm_hw_params_set_access(snd_pcm_hw_params_set_access_ARG_EXPAND);
typedef int (*snd_pcm_hw_params_set_access_PTR)(snd_pcm_hw_params_set_access_ARG_EXPAND);
int snd_pcm_hw_params_set_access_first(snd_pcm_hw_params_set_access_first_ARG_EXPAND);
typedef int (*snd_pcm_hw_params_set_access_first_PTR)(snd_pcm_hw_params_set_access_first_ARG_EXPAND);
int snd_pcm_hw_params_set_access_last(snd_pcm_hw_params_set_access_last_ARG_EXPAND);
typedef int (*snd_pcm_hw_params_set_access_last_PTR)(snd_pcm_hw_params_set_access_last_ARG_EXPAND);
int snd_pcm_hw_params_set_access_mask(snd_pcm_hw_params_set_access_mask_ARG_EXPAND);
typedef int (*snd_pcm_hw_params_set_access_mask_PTR)(snd_pcm_hw_params_set_access_mask_ARG_EXPAND);
int snd_pcm_hw_params_set_buffer_size(snd_pcm_hw_params_set_buffer_size_ARG_EXPAND);
typedef int (*snd_pcm_hw_params_set_buffer_size_PTR)(snd_pcm_hw_params_set_buffer_size_ARG_EXPAND);
int snd_pcm_hw_params_set_buffer_size_first(snd_pcm_hw_params_set_buffer_size_first_ARG_EXPAND);
typedef int (*snd_pcm_hw_params_set_buffer_size_first_PTR)(snd_pcm_hw_params_set_buffer_size_first_ARG_EXPAND);
int snd_pcm_hw_params_set_buffer_size_last(snd_pcm_hw_params_set_buffer_size_last_ARG_EXPAND);
typedef int (*snd_pcm_hw_params_set_buffer_size_last_PTR)(snd_pcm_hw_params_set_buffer_size_last_ARG_EXPAND);
int snd_pcm_hw_params_set_buffer_size_max(snd_pcm_hw_params_set_buffer_size_max_ARG_EXPAND);
typedef int (*snd_pcm_hw_params_set_buffer_size_max_PTR)(snd_pcm_hw_params_set_buffer_size_max_ARG_EXPAND);
int snd_pcm_hw_params_set_buffer_size_min(snd_pcm_hw_params_set_buffer_size_min_ARG_EXPAND);
typedef int (*snd_pcm_hw_params_set_buffer_size_min_PTR)(snd_pcm_hw_params_set_buffer_size_min_ARG_EXPAND);
int snd_pcm_hw_params_set_buffer_size_minmax(snd_pcm_hw_params_set_buffer_size_minmax_ARG_EXPAND);
typedef int (*snd_pcm_hw_params_set_buffer_size_minmax_PTR)(snd_pcm_hw_params_set_buffer_size_minmax_ARG_EXPAND);
int snd_pcm_hw_params_set_buffer_size_near(snd_pcm_hw_params_set_buffer_size_near_ARG_EXPAND);
typedef int (*snd_pcm_hw_params_set_buffer_size_near_PTR)(snd_pcm_hw_params_set_buffer_size_near_ARG_EXPAND);
int snd_pcm_hw_params_set_buffer_time(snd_pcm_hw_params_set_buffer_time_ARG_EXPAND);
typedef int (*snd_pcm_hw_params_set_buffer_time_PTR)(snd_pcm_hw_params_set_buffer_time_ARG_EXPAND);
int snd_pcm_hw_params_set_buffer_time_first(snd_pcm_hw_params_set_buffer_time_first_ARG_EXPAND);
typedef int (*snd_pcm_hw_params_set_buffer_time_first_PTR)(snd_pcm_hw_params_set_buffer_time_first_ARG_EXPAND);
int snd_pcm_hw_params_set_buffer_time_last(snd_pcm_hw_params_set_buffer_time_last_ARG_EXPAND);
typedef int (*snd_pcm_hw_params_set_buffer_time_last_PTR)(snd_pcm_hw_params_set_buffer_time_last_ARG_EXPAND);
int snd_pcm_hw_params_set_buffer_time_max(snd_pcm_hw_params_set_buffer_time_max_ARG_EXPAND);
typedef int (*snd_pcm_hw_params_set_buffer_time_max_PTR)(snd_pcm_hw_params_set_buffer_time_max_ARG_EXPAND);
int snd_pcm_hw_params_set_buffer_time_min(snd_pcm_hw_params_set_buffer_time_min_ARG_EXPAND);
typedef int (*snd_pcm_hw_params_set_buffer_time_min_PTR)(snd_pcm_hw_params_set_buffer_time_min_ARG_EXPAND);
int snd_pcm_hw_params_set_buffer_time_minmax(snd_pcm_hw_params_set_buffer_time_minmax_ARG_EXPAND);
typedef int (*snd_pcm_hw_params_set_buffer_time_minmax_PTR)(snd_pcm_hw_params_set_buffer_time_minmax_ARG_EXPAND);
int snd_pcm_hw_params_set_buffer_time_near(snd_pcm_hw_params_set_buffer_time_near_ARG_EXPAND);
typedef int (*snd_pcm_hw_params_set_buffer_time_near_PTR)(snd_pcm_hw_params_set_buffer_time_near_ARG_EXPAND);
int snd_pcm_hw_params_set_channels(snd_pcm_hw_params_set_channels_ARG_EXPAND);
typedef int (*snd_pcm_hw_params_set_channels_PTR)(snd_pcm_hw_params_set_channels_ARG_EXPAND);
int snd_pcm_hw_params_set_channels_first(snd_pcm_hw_params_set_channels_first_ARG_EXPAND);
typedef int (*snd_pcm_hw_params_set_channels_first_PTR)(snd_pcm_hw_params_set_channels_first_ARG_EXPAND);
int snd_pcm_hw_params_set_channels_last(snd_pcm_hw_params_set_channels_last_ARG_EXPAND);
typedef int (*snd_pcm_hw_params_set_channels_last_PTR)(snd_pcm_hw_params_set_channels_last_ARG_EXPAND);
int snd_pcm_hw_params_set_channels_max(snd_pcm_hw_params_set_channels_max_ARG_EXPAND);
typedef int (*snd_pcm_hw_params_set_channels_max_PTR)(snd_pcm_hw_params_set_channels_max_ARG_EXPAND);
int snd_pcm_hw_params_set_channels_min(snd_pcm_hw_params_set_channels_min_ARG_EXPAND);
typedef int (*snd_pcm_hw_params_set_channels_min_PTR)(snd_pcm_hw_params_set_channels_min_ARG_EXPAND);
int snd_pcm_hw_params_set_channels_minmax(snd_pcm_hw_params_set_channels_minmax_ARG_EXPAND);
typedef int (*snd_pcm_hw_params_set_channels_minmax_PTR)(snd_pcm_hw_params_set_channels_minmax_ARG_EXPAND);
int snd_pcm_hw_params_set_channels_near(snd_pcm_hw_params_set_channels_near_ARG_EXPAND);
typedef int (*snd_pcm_hw_params_set_channels_near_PTR)(snd_pcm_hw_params_set_channels_near_ARG_EXPAND);
int snd_pcm_hw_params_set_export_buffer(snd_pcm_hw_params_set_export_buffer_ARG_EXPAND);
typedef int (*snd_pcm_hw_params_set_export_buffer_PTR)(snd_pcm_hw_params_set_export_buffer_ARG_EXPAND);
int snd_pcm_hw_params_set_format(snd_pcm_hw_params_set_format_ARG_EXPAND);
typedef int (*snd_pcm_hw_params_set_format_PTR)(snd_pcm_hw_params_set_format_ARG_EXPAND);
int snd_pcm_hw_params_set_format_first(snd_pcm_hw_params_set_format_first_ARG_EXPAND);
typedef int (*snd_pcm_hw_params_set_format_first_PTR)(snd_pcm_hw_params_set_format_first_ARG_EXPAND);
int snd_pcm_hw_params_set_format_last(snd_pcm_hw_params_set_format_last_ARG_EXPAND);
typedef int (*snd_pcm_hw_params_set_format_last_PTR)(snd_pcm_hw_params_set_format_last_ARG_EXPAND);
int snd_pcm_hw_params_set_format_mask(snd_pcm_hw_params_set_format_mask_ARG_EXPAND);
typedef int (*snd_pcm_hw_params_set_format_mask_PTR)(snd_pcm_hw_params_set_format_mask_ARG_EXPAND);
int snd_pcm_hw_params_set_period_size(snd_pcm_hw_params_set_period_size_ARG_EXPAND);
typedef int (*snd_pcm_hw_params_set_period_size_PTR)(snd_pcm_hw_params_set_period_size_ARG_EXPAND);
int snd_pcm_hw_params_set_period_size_first(snd_pcm_hw_params_set_period_size_first_ARG_EXPAND);
typedef int (*snd_pcm_hw_params_set_period_size_first_PTR)(snd_pcm_hw_params_set_period_size_first_ARG_EXPAND);
int snd_pcm_hw_params_set_period_size_integer(snd_pcm_hw_params_set_period_size_integer_ARG_EXPAND);
typedef int (*snd_pcm_hw_params_set_period_size_integer_PTR)(snd_pcm_hw_params_set_period_size_integer_ARG_EXPAND);
int snd_pcm_hw_params_set_period_size_last(snd_pcm_hw_params_set_period_size_last_ARG_EXPAND);
typedef int (*snd_pcm_hw_params_set_period_size_last_PTR)(snd_pcm_hw_params_set_period_size_last_ARG_EXPAND);
int snd_pcm_hw_params_set_period_size_max(snd_pcm_hw_params_set_period_size_max_ARG_EXPAND);
typedef int (*snd_pcm_hw_params_set_period_size_max_PTR)(snd_pcm_hw_params_set_period_size_max_ARG_EXPAND);
int snd_pcm_hw_params_set_period_size_min(snd_pcm_hw_params_set_period_size_min_ARG_EXPAND);
typedef int (*snd_pcm_hw_params_set_period_size_min_PTR)(snd_pcm_hw_params_set_period_size_min_ARG_EXPAND);
int snd_pcm_hw_params_set_period_size_minmax(snd_pcm_hw_params_set_period_size_minmax_ARG_EXPAND);
typedef int (*snd_pcm_hw_params_set_period_size_minmax_PTR)(snd_pcm_hw_params_set_period_size_minmax_ARG_EXPAND);
int snd_pcm_hw_params_set_period_size_near(snd_pcm_hw_params_set_period_size_near_ARG_EXPAND);
typedef int (*snd_pcm_hw_params_set_period_size_near_PTR)(snd_pcm_hw_params_set_period_size_near_ARG_EXPAND);
int snd_pcm_hw_params_set_period_time(snd_pcm_hw_params_set_period_time_ARG_EXPAND);
typedef int (*snd_pcm_hw_params_set_period_time_PTR)(snd_pcm_hw_params_set_period_time_ARG_EXPAND);
int snd_pcm_hw_params_set_period_time_first(snd_pcm_hw_params_set_period_time_first_ARG_EXPAND);
typedef int (*snd_pcm_hw_params_set_period_time_first_PTR)(snd_pcm_hw_params_set_period_time_first_ARG_EXPAND);
int snd_pcm_hw_params_set_period_time_last(snd_pcm_hw_params_set_period_time_last_ARG_EXPAND);
typedef int (*snd_pcm_hw_params_set_period_time_last_PTR)(snd_pcm_hw_params_set_period_time_last_ARG_EXPAND);
int snd_pcm_hw_params_set_period_time_max(snd_pcm_hw_params_set_period_time_max_ARG_EXPAND);
typedef int (*snd_pcm_hw_params_set_period_time_max_PTR)(snd_pcm_hw_params_set_period_time_max_ARG_EXPAND);
int snd_pcm_hw_params_set_period_time_min(snd_pcm_hw_params_set_period_time_min_ARG_EXPAND);
typedef int (*snd_pcm_hw_params_set_period_time_min_PTR)(snd_pcm_hw_params_set_period_time_min_ARG_EXPAND);
int snd_pcm_hw_params_set_period_time_minmax(snd_pcm_hw_params_set_period_time_minmax_ARG_EXPAND);
typedef int (*snd_pcm_hw_params_set_period_time_minmax_PTR)(snd_pcm_hw_params_set_period_time_minmax_ARG_EXPAND);
int snd_pcm_hw_params_set_period_time_near(snd_pcm_hw_params_set_period_time_near_ARG_EXPAND);
typedef int (*snd_pcm_hw_params_set_period_time_near_PTR)(snd_pcm_hw_params_set_period_time_near_ARG_EXPAND);
int snd_pcm_hw_params_set_periods(snd_pcm_hw_params_set_periods_ARG_EXPAND);
typedef int (*snd_pcm_hw_params_set_periods_PTR)(snd_pcm_hw_params_set_periods_ARG_EXPAND);
int snd_pcm_hw_params_set_periods_first(snd_pcm_hw_params_set_periods_first_ARG_EXPAND);
typedef int (*snd_pcm_hw_params_set_periods_first_PTR)(snd_pcm_hw_params_set_periods_first_ARG_EXPAND);
int snd_pcm_hw_params_set_periods_integer(snd_pcm_hw_params_set_periods_integer_ARG_EXPAND);
typedef int (*snd_pcm_hw_params_set_periods_integer_PTR)(snd_pcm_hw_params_set_periods_integer_ARG_EXPAND);
int snd_pcm_hw_params_set_periods_last(snd_pcm_hw_params_set_periods_last_ARG_EXPAND);
typedef int (*snd_pcm_hw_params_set_periods_last_PTR)(snd_pcm_hw_params_set_periods_last_ARG_EXPAND);
int snd_pcm_hw_params_set_periods_max(snd_pcm_hw_params_set_periods_max_ARG_EXPAND);
typedef int (*snd_pcm_hw_params_set_periods_max_PTR)(snd_pcm_hw_params_set_periods_max_ARG_EXPAND);
int snd_pcm_hw_params_set_periods_min(snd_pcm_hw_params_set_periods_min_ARG_EXPAND);
typedef int (*snd_pcm_hw_params_set_periods_min_PTR)(snd_pcm_hw_params_set_periods_min_ARG_EXPAND);
int snd_pcm_hw_params_set_periods_minmax(snd_pcm_hw_params_set_periods_minmax_ARG_EXPAND);
typedef int (*snd_pcm_hw_params_set_periods_minmax_PTR)(snd_pcm_hw_params_set_periods_minmax_ARG_EXPAND);
int snd_pcm_hw_params_set_periods_near(snd_pcm_hw_params_set_periods_near_ARG_EXPAND);
typedef int (*snd_pcm_hw_params_set_periods_near_PTR)(snd_pcm_hw_params_set_periods_near_ARG_EXPAND);
int snd_pcm_hw_params_set_rate(snd_pcm_hw_params_set_rate_ARG_EXPAND);
typedef int (*snd_pcm_hw_params_set_rate_PTR)(snd_pcm_hw_params_set_rate_ARG_EXPAND);
int snd_pcm_hw_params_set_rate_first(snd_pcm_hw_params_set_rate_first_ARG_EXPAND);
typedef int (*snd_pcm_hw_params_set_rate_first_PTR)(snd_pcm_hw_params_set_rate_first_ARG_EXPAND);
int snd_pcm_hw_params_set_rate_last(snd_pcm_hw_params_set_rate_last_ARG_EXPAND);
typedef int (*snd_pcm_hw_params_set_rate_last_PTR)(snd_pcm_hw_params_set_rate_last_ARG_EXPAND);
int snd_pcm_hw_params_set_rate_max(snd_pcm_hw_params_set_rate_max_ARG_EXPAND);
typedef int (*snd_pcm_hw_params_set_rate_max_PTR)(snd_pcm_hw_params_set_rate_max_ARG_EXPAND);
int snd_pcm_hw_params_set_rate_min(snd_pcm_hw_params_set_rate_min_ARG_EXPAND);
typedef int (*snd_pcm_hw_params_set_rate_min_PTR)(snd_pcm_hw_params_set_rate_min_ARG_EXPAND);
int snd_pcm_hw_params_set_rate_minmax(snd_pcm_hw_params_set_rate_minmax_ARG_EXPAND);
typedef int (*snd_pcm_hw_params_set_rate_minmax_PTR)(snd_pcm_hw_params_set_rate_minmax_ARG_EXPAND);
int snd_pcm_hw_params_set_rate_near(snd_pcm_hw_params_set_rate_near_ARG_EXPAND);
typedef int (*snd_pcm_hw_params_set_rate_near_PTR)(snd_pcm_hw_params_set_rate_near_ARG_EXPAND);
int snd_pcm_hw_params_set_rate_resample(snd_pcm_hw_params_set_rate_resample_ARG_EXPAND);
typedef int (*snd_pcm_hw_params_set_rate_resample_PTR)(snd_pcm_hw_params_set_rate_resample_ARG_EXPAND);
int snd_pcm_hw_params_set_subformat(snd_pcm_hw_params_set_subformat_ARG_EXPAND);
typedef int (*snd_pcm_hw_params_set_subformat_PTR)(snd_pcm_hw_params_set_subformat_ARG_EXPAND);
int snd_pcm_hw_params_set_subformat_first(snd_pcm_hw_params_set_subformat_first_ARG_EXPAND);
typedef int (*snd_pcm_hw_params_set_subformat_first_PTR)(snd_pcm_hw_params_set_subformat_first_ARG_EXPAND);
int snd_pcm_hw_params_set_subformat_last(snd_pcm_hw_params_set_subformat_last_ARG_EXPAND);
typedef int (*snd_pcm_hw_params_set_subformat_last_PTR)(snd_pcm_hw_params_set_subformat_last_ARG_EXPAND);
int snd_pcm_hw_params_set_subformat_mask(snd_pcm_hw_params_set_subformat_mask_ARG_EXPAND);
typedef int (*snd_pcm_hw_params_set_subformat_mask_PTR)(snd_pcm_hw_params_set_subformat_mask_ARG_EXPAND);
int snd_pcm_hw_params_set_tick_time(snd_pcm_hw_params_set_tick_time_ARG_EXPAND);
typedef int (*snd_pcm_hw_params_set_tick_time_PTR)(snd_pcm_hw_params_set_tick_time_ARG_EXPAND);
int snd_pcm_hw_params_set_tick_time_first(snd_pcm_hw_params_set_tick_time_first_ARG_EXPAND);
typedef int (*snd_pcm_hw_params_set_tick_time_first_PTR)(snd_pcm_hw_params_set_tick_time_first_ARG_EXPAND);
int snd_pcm_hw_params_set_tick_time_last(snd_pcm_hw_params_set_tick_time_last_ARG_EXPAND);
typedef int (*snd_pcm_hw_params_set_tick_time_last_PTR)(snd_pcm_hw_params_set_tick_time_last_ARG_EXPAND);
int snd_pcm_hw_params_set_tick_time_max(snd_pcm_hw_params_set_tick_time_max_ARG_EXPAND);
typedef int (*snd_pcm_hw_params_set_tick_time_max_PTR)(snd_pcm_hw_params_set_tick_time_max_ARG_EXPAND);
int snd_pcm_hw_params_set_tick_time_min(snd_pcm_hw_params_set_tick_time_min_ARG_EXPAND);
typedef int (*snd_pcm_hw_params_set_tick_time_min_PTR)(snd_pcm_hw_params_set_tick_time_min_ARG_EXPAND);
int snd_pcm_hw_params_set_tick_time_minmax(snd_pcm_hw_params_set_tick_time_minmax_ARG_EXPAND);
typedef int (*snd_pcm_hw_params_set_tick_time_minmax_PTR)(snd_pcm_hw_params_set_tick_time_minmax_ARG_EXPAND);
int snd_pcm_hw_params_set_tick_time_near(snd_pcm_hw_params_set_tick_time_near_ARG_EXPAND);
typedef int (*snd_pcm_hw_params_set_tick_time_near_PTR)(snd_pcm_hw_params_set_tick_time_near_ARG_EXPAND);
size_t snd_pcm_hw_params_sizeof(snd_pcm_hw_params_sizeof_ARG_EXPAND);
typedef size_t (*snd_pcm_hw_params_sizeof_PTR)(snd_pcm_hw_params_sizeof_ARG_EXPAND);
int snd_pcm_hw_params_test_access(snd_pcm_hw_params_test_access_ARG_EXPAND);
typedef int (*snd_pcm_hw_params_test_access_PTR)(snd_pcm_hw_params_test_access_ARG_EXPAND);
int snd_pcm_hw_params_test_buffer_size(snd_pcm_hw_params_test_buffer_size_ARG_EXPAND);
typedef int (*snd_pcm_hw_params_test_buffer_size_PTR)(snd_pcm_hw_params_test_buffer_size_ARG_EXPAND);
int snd_pcm_hw_params_test_buffer_time(snd_pcm_hw_params_test_buffer_time_ARG_EXPAND);
typedef int (*snd_pcm_hw_params_test_buffer_time_PTR)(snd_pcm_hw_params_test_buffer_time_ARG_EXPAND);
int snd_pcm_hw_params_test_channels(snd_pcm_hw_params_test_channels_ARG_EXPAND);
typedef int (*snd_pcm_hw_params_test_channels_PTR)(snd_pcm_hw_params_test_channels_ARG_EXPAND);
int snd_pcm_hw_params_test_format(snd_pcm_hw_params_test_format_ARG_EXPAND);
typedef int (*snd_pcm_hw_params_test_format_PTR)(snd_pcm_hw_params_test_format_ARG_EXPAND);
int snd_pcm_hw_params_test_period_size(snd_pcm_hw_params_test_period_size_ARG_EXPAND);
typedef int (*snd_pcm_hw_params_test_period_size_PTR)(snd_pcm_hw_params_test_period_size_ARG_EXPAND);
int snd_pcm_hw_params_test_period_time(snd_pcm_hw_params_test_period_time_ARG_EXPAND);
typedef int (*snd_pcm_hw_params_test_period_time_PTR)(snd_pcm_hw_params_test_period_time_ARG_EXPAND);
int snd_pcm_hw_params_test_periods(snd_pcm_hw_params_test_periods_ARG_EXPAND);
typedef int (*snd_pcm_hw_params_test_periods_PTR)(snd_pcm_hw_params_test_periods_ARG_EXPAND);
int snd_pcm_hw_params_test_rate(snd_pcm_hw_params_test_rate_ARG_EXPAND);
typedef int (*snd_pcm_hw_params_test_rate_PTR)(snd_pcm_hw_params_test_rate_ARG_EXPAND);
int snd_pcm_hw_params_test_subformat(snd_pcm_hw_params_test_subformat_ARG_EXPAND);
typedef int (*snd_pcm_hw_params_test_subformat_PTR)(snd_pcm_hw_params_test_subformat_ARG_EXPAND);
int snd_pcm_hw_params_test_tick_time(snd_pcm_hw_params_test_tick_time_ARG_EXPAND);
typedef int (*snd_pcm_hw_params_test_tick_time_PTR)(snd_pcm_hw_params_test_tick_time_ARG_EXPAND);
int snd_pcm_hwsync(snd_pcm_hwsync_ARG_EXPAND);
typedef int (*snd_pcm_hwsync_PTR)(snd_pcm_hwsync_ARG_EXPAND);
int snd_pcm_info(snd_pcm_info_ARG_EXPAND);
typedef int (*snd_pcm_info_PTR)(snd_pcm_info_ARG_EXPAND);
void snd_pcm_info_copy(snd_pcm_info_copy_ARG_EXPAND);
typedef void (*snd_pcm_info_copy_PTR)(snd_pcm_info_copy_ARG_EXPAND);
void snd_pcm_info_free(snd_pcm_info_free_ARG_EXPAND);
typedef void (*snd_pcm_info_free_PTR)(snd_pcm_info_free_ARG_EXPAND);
int snd_pcm_info_get_card(snd_pcm_info_get_card_ARG_EXPAND);
typedef int (*snd_pcm_info_get_card_PTR)(snd_pcm_info_get_card_ARG_EXPAND);
snd_pcm_class_t snd_pcm_info_get_class(snd_pcm_info_get_class_ARG_EXPAND);
typedef snd_pcm_class_t (*snd_pcm_info_get_class_PTR)(snd_pcm_info_get_class_ARG_EXPAND);
unsigned int snd_pcm_info_get_device(snd_pcm_info_get_device_ARG_EXPAND);
typedef unsigned int (*snd_pcm_info_get_device_PTR)(snd_pcm_info_get_device_ARG_EXPAND);
const char * snd_pcm_info_get_id(snd_pcm_info_get_id_ARG_EXPAND);
typedef const char * (*snd_pcm_info_get_id_PTR)(snd_pcm_info_get_id_ARG_EXPAND);
const char * snd_pcm_info_get_name(snd_pcm_info_get_name_ARG_EXPAND);
typedef const char * (*snd_pcm_info_get_name_PTR)(snd_pcm_info_get_name_ARG_EXPAND);
snd_pcm_stream_t snd_pcm_info_get_stream(snd_pcm_info_get_stream_ARG_EXPAND);
typedef snd_pcm_stream_t (*snd_pcm_info_get_stream_PTR)(snd_pcm_info_get_stream_ARG_EXPAND);
snd_pcm_subclass_t snd_pcm_info_get_subclass(snd_pcm_info_get_subclass_ARG_EXPAND);
typedef snd_pcm_subclass_t (*snd_pcm_info_get_subclass_PTR)(snd_pcm_info_get_subclass_ARG_EXPAND);
unsigned int snd_pcm_info_get_subdevice(snd_pcm_info_get_subdevice_ARG_EXPAND);
typedef unsigned int (*snd_pcm_info_get_subdevice_PTR)(snd_pcm_info_get_subdevice_ARG_EXPAND);
const char * snd_pcm_info_get_subdevice_name(snd_pcm_info_get_subdevice_name_ARG_EXPAND);
typedef const char * (*snd_pcm_info_get_subdevice_name_PTR)(snd_pcm_info_get_subdevice_name_ARG_EXPAND);
unsigned int snd_pcm_info_get_subdevices_avail(snd_pcm_info_get_subdevices_avail_ARG_EXPAND);
typedef unsigned int (*snd_pcm_info_get_subdevices_avail_PTR)(snd_pcm_info_get_subdevices_avail_ARG_EXPAND);
unsigned int snd_pcm_info_get_subdevices_count(snd_pcm_info_get_subdevices_count_ARG_EXPAND);
typedef unsigned int (*snd_pcm_info_get_subdevices_count_PTR)(snd_pcm_info_get_subdevices_count_ARG_EXPAND);
snd_pcm_sync_id_t snd_pcm_info_get_sync(snd_pcm_info_get_sync_ARG_EXPAND);
typedef snd_pcm_sync_id_t (*snd_pcm_info_get_sync_PTR)(snd_pcm_info_get_sync_ARG_EXPAND);
int snd_pcm_info_malloc(snd_pcm_info_malloc_ARG_EXPAND);
typedef int (*snd_pcm_info_malloc_PTR)(snd_pcm_info_malloc_ARG_EXPAND);
void snd_pcm_info_set_device(snd_pcm_info_set_device_ARG_EXPAND);
typedef void (*snd_pcm_info_set_device_PTR)(snd_pcm_info_set_device_ARG_EXPAND);
void snd_pcm_info_set_stream(snd_pcm_info_set_stream_ARG_EXPAND);
typedef void (*snd_pcm_info_set_stream_PTR)(snd_pcm_info_set_stream_ARG_EXPAND);
void snd_pcm_info_set_subdevice(snd_pcm_info_set_subdevice_ARG_EXPAND);
typedef void (*snd_pcm_info_set_subdevice_PTR)(snd_pcm_info_set_subdevice_ARG_EXPAND);
size_t snd_pcm_info_sizeof(snd_pcm_info_sizeof_ARG_EXPAND);
typedef size_t (*snd_pcm_info_sizeof_PTR)(snd_pcm_info_sizeof_ARG_EXPAND);
int snd_pcm_link(snd_pcm_link_ARG_EXPAND);
typedef int (*snd_pcm_link_PTR)(snd_pcm_link_ARG_EXPAND);
int snd_pcm_meter_add_scope(snd_pcm_meter_add_scope_ARG_EXPAND);
typedef int (*snd_pcm_meter_add_scope_PTR)(snd_pcm_meter_add_scope_ARG_EXPAND);
snd_pcm_uframes_t snd_pcm_meter_get_boundary(snd_pcm_meter_get_boundary_ARG_EXPAND);
typedef snd_pcm_uframes_t (*snd_pcm_meter_get_boundary_PTR)(snd_pcm_meter_get_boundary_ARG_EXPAND);
snd_pcm_uframes_t snd_pcm_meter_get_bufsize(snd_pcm_meter_get_bufsize_ARG_EXPAND);
typedef snd_pcm_uframes_t (*snd_pcm_meter_get_bufsize_PTR)(snd_pcm_meter_get_bufsize_ARG_EXPAND);
unsigned int snd_pcm_meter_get_channels(snd_pcm_meter_get_channels_ARG_EXPAND);
typedef unsigned int (*snd_pcm_meter_get_channels_PTR)(snd_pcm_meter_get_channels_ARG_EXPAND);
snd_pcm_uframes_t snd_pcm_meter_get_now(snd_pcm_meter_get_now_ARG_EXPAND);
typedef snd_pcm_uframes_t (*snd_pcm_meter_get_now_PTR)(snd_pcm_meter_get_now_ARG_EXPAND);
unsigned int snd_pcm_meter_get_rate(snd_pcm_meter_get_rate_ARG_EXPAND);
typedef unsigned int (*snd_pcm_meter_get_rate_PTR)(snd_pcm_meter_get_rate_ARG_EXPAND);
snd_pcm_scope_t * snd_pcm_meter_search_scope(snd_pcm_meter_search_scope_ARG_EXPAND);
typedef snd_pcm_scope_t * (*snd_pcm_meter_search_scope_PTR)(snd_pcm_meter_search_scope_ARG_EXPAND);
int snd_pcm_mmap_begin(snd_pcm_mmap_begin_ARG_EXPAND);
typedef int (*snd_pcm_mmap_begin_PTR)(snd_pcm_mmap_begin_ARG_EXPAND);
snd_pcm_sframes_t snd_pcm_mmap_commit(snd_pcm_mmap_commit_ARG_EXPAND);
typedef snd_pcm_sframes_t (*snd_pcm_mmap_commit_PTR)(snd_pcm_mmap_commit_ARG_EXPAND);
snd_pcm_sframes_t snd_pcm_mmap_readi(snd_pcm_mmap_readi_ARG_EXPAND);
typedef snd_pcm_sframes_t (*snd_pcm_mmap_readi_PTR)(snd_pcm_mmap_readi_ARG_EXPAND);
snd_pcm_sframes_t snd_pcm_mmap_readn(snd_pcm_mmap_readn_ARG_EXPAND);
typedef snd_pcm_sframes_t (*snd_pcm_mmap_readn_PTR)(snd_pcm_mmap_readn_ARG_EXPAND);
snd_pcm_sframes_t snd_pcm_mmap_writei(snd_pcm_mmap_writei_ARG_EXPAND);
typedef snd_pcm_sframes_t (*snd_pcm_mmap_writei_PTR)(snd_pcm_mmap_writei_ARG_EXPAND);
snd_pcm_sframes_t snd_pcm_mmap_writen(snd_pcm_mmap_writen_ARG_EXPAND);
typedef snd_pcm_sframes_t (*snd_pcm_mmap_writen_PTR)(snd_pcm_mmap_writen_ARG_EXPAND);
const char * snd_pcm_name(snd_pcm_name_ARG_EXPAND);
typedef const char * (*snd_pcm_name_PTR)(snd_pcm_name_ARG_EXPAND);
int snd_pcm_nonblock(snd_pcm_nonblock_ARG_EXPAND);
typedef int (*snd_pcm_nonblock_PTR)(snd_pcm_nonblock_ARG_EXPAND);
int snd_pcm_open(snd_pcm_open_ARG_EXPAND);
typedef int (*snd_pcm_open_PTR)(snd_pcm_open_ARG_EXPAND);
int snd_pcm_open_lconf(snd_pcm_open_lconf_ARG_EXPAND);
typedef int (*snd_pcm_open_lconf_PTR)(snd_pcm_open_lconf_ARG_EXPAND);
int snd_pcm_pause(snd_pcm_pause_ARG_EXPAND);
typedef int (*snd_pcm_pause_PTR)(snd_pcm_pause_ARG_EXPAND);
int snd_pcm_poll_descriptors(snd_pcm_poll_descriptors_ARG_EXPAND);
typedef int (*snd_pcm_poll_descriptors_PTR)(snd_pcm_poll_descriptors_ARG_EXPAND);
int snd_pcm_poll_descriptors_count(snd_pcm_poll_descriptors_count_ARG_EXPAND);
typedef int (*snd_pcm_poll_descriptors_count_PTR)(snd_pcm_poll_descriptors_count_ARG_EXPAND);
int snd_pcm_poll_descriptors_revents(snd_pcm_poll_descriptors_revents_ARG_EXPAND);
typedef int (*snd_pcm_poll_descriptors_revents_PTR)(snd_pcm_poll_descriptors_revents_ARG_EXPAND);
int snd_pcm_prepare(snd_pcm_prepare_ARG_EXPAND);
typedef int (*snd_pcm_prepare_PTR)(snd_pcm_prepare_ARG_EXPAND);
snd_pcm_sframes_t snd_pcm_readi(snd_pcm_readi_ARG_EXPAND);
typedef snd_pcm_sframes_t (*snd_pcm_readi_PTR)(snd_pcm_readi_ARG_EXPAND);
snd_pcm_sframes_t snd_pcm_readn(snd_pcm_readn_ARG_EXPAND);
typedef snd_pcm_sframes_t (*snd_pcm_readn_PTR)(snd_pcm_readn_ARG_EXPAND);
int snd_pcm_recover(snd_pcm_recover_ARG_EXPAND);
typedef int (*snd_pcm_recover_PTR)(snd_pcm_recover_ARG_EXPAND);
int snd_pcm_reset(snd_pcm_reset_ARG_EXPAND);
typedef int (*snd_pcm_reset_PTR)(snd_pcm_reset_ARG_EXPAND);
int snd_pcm_resume(snd_pcm_resume_ARG_EXPAND);
typedef int (*snd_pcm_resume_PTR)(snd_pcm_resume_ARG_EXPAND);
snd_pcm_sframes_t snd_pcm_rewind(snd_pcm_rewind_ARG_EXPAND);
typedef snd_pcm_sframes_t (*snd_pcm_rewind_PTR)(snd_pcm_rewind_ARG_EXPAND);
ssize_t snd_pcm_samples_to_bytes(snd_pcm_samples_to_bytes_ARG_EXPAND);
typedef ssize_t (*snd_pcm_samples_to_bytes_PTR)(snd_pcm_samples_to_bytes_ARG_EXPAND);
void * snd_pcm_scope_get_callback_private(snd_pcm_scope_get_callback_private_ARG_EXPAND);
typedef void * (*snd_pcm_scope_get_callback_private_PTR)(snd_pcm_scope_get_callback_private_ARG_EXPAND);
const char * snd_pcm_scope_get_name(snd_pcm_scope_get_name_ARG_EXPAND);
typedef const char * (*snd_pcm_scope_get_name_PTR)(snd_pcm_scope_get_name_ARG_EXPAND);
int snd_pcm_scope_malloc(snd_pcm_scope_malloc_ARG_EXPAND);
typedef int (*snd_pcm_scope_malloc_PTR)(snd_pcm_scope_malloc_ARG_EXPAND);
int16_t * snd_pcm_scope_s16_get_channel_buffer(snd_pcm_scope_s16_get_channel_buffer_ARG_EXPAND);
typedef int16_t * (*snd_pcm_scope_s16_get_channel_buffer_PTR)(snd_pcm_scope_s16_get_channel_buffer_ARG_EXPAND);
int snd_pcm_scope_s16_open(snd_pcm_scope_s16_open_ARG_EXPAND);
typedef int (*snd_pcm_scope_s16_open_PTR)(snd_pcm_scope_s16_open_ARG_EXPAND);
void snd_pcm_scope_set_callback_private(snd_pcm_scope_set_callback_private_ARG_EXPAND);
typedef void (*snd_pcm_scope_set_callback_private_PTR)(snd_pcm_scope_set_callback_private_ARG_EXPAND);
void snd_pcm_scope_set_name(snd_pcm_scope_set_name_ARG_EXPAND);
typedef void (*snd_pcm_scope_set_name_PTR)(snd_pcm_scope_set_name_ARG_EXPAND);
void snd_pcm_scope_set_ops(snd_pcm_scope_set_ops_ARG_EXPAND);
typedef void (*snd_pcm_scope_set_ops_PTR)(snd_pcm_scope_set_ops_ARG_EXPAND);
int snd_pcm_set_params(snd_pcm_set_params_ARG_EXPAND);
typedef int (*snd_pcm_set_params_PTR)(snd_pcm_set_params_ARG_EXPAND);
int snd_pcm_start(snd_pcm_start_ARG_EXPAND);
typedef int (*snd_pcm_start_PTR)(snd_pcm_start_ARG_EXPAND);
const char * snd_pcm_start_mode_name(snd_pcm_start_mode_name_ARG_EXPAND);
typedef const char * (*snd_pcm_start_mode_name_PTR)(snd_pcm_start_mode_name_ARG_EXPAND);
snd_pcm_state_t snd_pcm_state(snd_pcm_state_ARG_EXPAND);
typedef snd_pcm_state_t (*snd_pcm_state_PTR)(snd_pcm_state_ARG_EXPAND);
const char * snd_pcm_state_name(snd_pcm_state_name_ARG_EXPAND);
typedef const char * (*snd_pcm_state_name_PTR)(snd_pcm_state_name_ARG_EXPAND);
int snd_pcm_status(snd_pcm_status_ARG_EXPAND);
typedef int (*snd_pcm_status_PTR)(snd_pcm_status_ARG_EXPAND);
void snd_pcm_status_copy(snd_pcm_status_copy_ARG_EXPAND);
typedef void (*snd_pcm_status_copy_PTR)(snd_pcm_status_copy_ARG_EXPAND);
int snd_pcm_status_dump(snd_pcm_status_dump_ARG_EXPAND);
typedef int (*snd_pcm_status_dump_PTR)(snd_pcm_status_dump_ARG_EXPAND);
void snd_pcm_status_free(snd_pcm_status_free_ARG_EXPAND);
typedef void (*snd_pcm_status_free_PTR)(snd_pcm_status_free_ARG_EXPAND);
snd_pcm_uframes_t snd_pcm_status_get_avail(snd_pcm_status_get_avail_ARG_EXPAND);
typedef snd_pcm_uframes_t (*snd_pcm_status_get_avail_PTR)(snd_pcm_status_get_avail_ARG_EXPAND);
snd_pcm_uframes_t snd_pcm_status_get_avail_max(snd_pcm_status_get_avail_max_ARG_EXPAND);
typedef snd_pcm_uframes_t (*snd_pcm_status_get_avail_max_PTR)(snd_pcm_status_get_avail_max_ARG_EXPAND);
snd_pcm_sframes_t snd_pcm_status_get_delay(snd_pcm_status_get_delay_ARG_EXPAND);
typedef snd_pcm_sframes_t (*snd_pcm_status_get_delay_PTR)(snd_pcm_status_get_delay_ARG_EXPAND);
void snd_pcm_status_get_htstamp(snd_pcm_status_get_htstamp_ARG_EXPAND);
typedef void (*snd_pcm_status_get_htstamp_PTR)(snd_pcm_status_get_htstamp_ARG_EXPAND);
snd_pcm_uframes_t snd_pcm_status_get_overrange(snd_pcm_status_get_overrange_ARG_EXPAND);
typedef snd_pcm_uframes_t (*snd_pcm_status_get_overrange_PTR)(snd_pcm_status_get_overrange_ARG_EXPAND);
snd_pcm_state_t snd_pcm_status_get_state(snd_pcm_status_get_state_ARG_EXPAND);
typedef snd_pcm_state_t (*snd_pcm_status_get_state_PTR)(snd_pcm_status_get_state_ARG_EXPAND);
void snd_pcm_status_get_trigger_htstamp(snd_pcm_status_get_trigger_htstamp_ARG_EXPAND);
typedef void (*snd_pcm_status_get_trigger_htstamp_PTR)(snd_pcm_status_get_trigger_htstamp_ARG_EXPAND);
void snd_pcm_status_get_trigger_tstamp(snd_pcm_status_get_trigger_tstamp_ARG_EXPAND);
typedef void (*snd_pcm_status_get_trigger_tstamp_PTR)(snd_pcm_status_get_trigger_tstamp_ARG_EXPAND);
void snd_pcm_status_get_tstamp(snd_pcm_status_get_tstamp_ARG_EXPAND);
typedef void (*snd_pcm_status_get_tstamp_PTR)(snd_pcm_status_get_tstamp_ARG_EXPAND);
int snd_pcm_status_malloc(snd_pcm_status_malloc_ARG_EXPAND);
typedef int (*snd_pcm_status_malloc_PTR)(snd_pcm_status_malloc_ARG_EXPAND);
size_t snd_pcm_status_sizeof(snd_pcm_status_sizeof_ARG_EXPAND);
typedef size_t (*snd_pcm_status_sizeof_PTR)(snd_pcm_status_sizeof_ARG_EXPAND);
snd_pcm_stream_t snd_pcm_stream(snd_pcm_stream_ARG_EXPAND);
typedef snd_pcm_stream_t (*snd_pcm_stream_PTR)(snd_pcm_stream_ARG_EXPAND);
const char * snd_pcm_stream_name(snd_pcm_stream_name_ARG_EXPAND);
typedef const char * (*snd_pcm_stream_name_PTR)(snd_pcm_stream_name_ARG_EXPAND);
const char * snd_pcm_subformat_description(snd_pcm_subformat_description_ARG_EXPAND);
typedef const char * (*snd_pcm_subformat_description_PTR)(snd_pcm_subformat_description_ARG_EXPAND);
void snd_pcm_subformat_mask_any(snd_pcm_subformat_mask_any_ARG_EXPAND);
typedef void (*snd_pcm_subformat_mask_any_PTR)(snd_pcm_subformat_mask_any_ARG_EXPAND);
void snd_pcm_subformat_mask_copy(snd_pcm_subformat_mask_copy_ARG_EXPAND);
typedef void (*snd_pcm_subformat_mask_copy_PTR)(snd_pcm_subformat_mask_copy_ARG_EXPAND);
int snd_pcm_subformat_mask_empty(snd_pcm_subformat_mask_empty_ARG_EXPAND);
typedef int (*snd_pcm_subformat_mask_empty_PTR)(snd_pcm_subformat_mask_empty_ARG_EXPAND);
void snd_pcm_subformat_mask_free(snd_pcm_subformat_mask_free_ARG_EXPAND);
typedef void (*snd_pcm_subformat_mask_free_PTR)(snd_pcm_subformat_mask_free_ARG_EXPAND);
int snd_pcm_subformat_mask_malloc(snd_pcm_subformat_mask_malloc_ARG_EXPAND);
typedef int (*snd_pcm_subformat_mask_malloc_PTR)(snd_pcm_subformat_mask_malloc_ARG_EXPAND);
void snd_pcm_subformat_mask_none(snd_pcm_subformat_mask_none_ARG_EXPAND);
typedef void (*snd_pcm_subformat_mask_none_PTR)(snd_pcm_subformat_mask_none_ARG_EXPAND);
void snd_pcm_subformat_mask_reset(snd_pcm_subformat_mask_reset_ARG_EXPAND);
typedef void (*snd_pcm_subformat_mask_reset_PTR)(snd_pcm_subformat_mask_reset_ARG_EXPAND);
void snd_pcm_subformat_mask_set(snd_pcm_subformat_mask_set_ARG_EXPAND);
typedef void (*snd_pcm_subformat_mask_set_PTR)(snd_pcm_subformat_mask_set_ARG_EXPAND);
size_t snd_pcm_subformat_mask_sizeof(snd_pcm_subformat_mask_sizeof_ARG_EXPAND);
typedef size_t (*snd_pcm_subformat_mask_sizeof_PTR)(snd_pcm_subformat_mask_sizeof_ARG_EXPAND);
int snd_pcm_subformat_mask_test(snd_pcm_subformat_mask_test_ARG_EXPAND);
typedef int (*snd_pcm_subformat_mask_test_PTR)(snd_pcm_subformat_mask_test_ARG_EXPAND);
const char * snd_pcm_subformat_name(snd_pcm_subformat_name_ARG_EXPAND);
typedef const char * (*snd_pcm_subformat_name_PTR)(snd_pcm_subformat_name_ARG_EXPAND);
int snd_pcm_sw_params(snd_pcm_sw_params_ARG_EXPAND);
typedef int (*snd_pcm_sw_params_PTR)(snd_pcm_sw_params_ARG_EXPAND);
void snd_pcm_sw_params_copy(snd_pcm_sw_params_copy_ARG_EXPAND);
typedef void (*snd_pcm_sw_params_copy_PTR)(snd_pcm_sw_params_copy_ARG_EXPAND);
int snd_pcm_sw_params_current(snd_pcm_sw_params_current_ARG_EXPAND);
typedef int (*snd_pcm_sw_params_current_PTR)(snd_pcm_sw_params_current_ARG_EXPAND);
int snd_pcm_sw_params_dump(snd_pcm_sw_params_dump_ARG_EXPAND);
typedef int (*snd_pcm_sw_params_dump_PTR)(snd_pcm_sw_params_dump_ARG_EXPAND);
void snd_pcm_sw_params_free(snd_pcm_sw_params_free_ARG_EXPAND);
typedef void (*snd_pcm_sw_params_free_PTR)(snd_pcm_sw_params_free_ARG_EXPAND);
int snd_pcm_sw_params_get_avail_min(snd_pcm_sw_params_get_avail_min_ARG_EXPAND);
typedef int (*snd_pcm_sw_params_get_avail_min_PTR)(snd_pcm_sw_params_get_avail_min_ARG_EXPAND);
int snd_pcm_sw_params_get_boundary(snd_pcm_sw_params_get_boundary_ARG_EXPAND);
typedef int (*snd_pcm_sw_params_get_boundary_PTR)(snd_pcm_sw_params_get_boundary_ARG_EXPAND);
int snd_pcm_sw_params_get_silence_size(snd_pcm_sw_params_get_silence_size_ARG_EXPAND);
typedef int (*snd_pcm_sw_params_get_silence_size_PTR)(snd_pcm_sw_params_get_silence_size_ARG_EXPAND);
int snd_pcm_sw_params_get_silence_threshold(snd_pcm_sw_params_get_silence_threshold_ARG_EXPAND);
typedef int (*snd_pcm_sw_params_get_silence_threshold_PTR)(snd_pcm_sw_params_get_silence_threshold_ARG_EXPAND);
int snd_pcm_sw_params_get_sleep_min(snd_pcm_sw_params_get_sleep_min_ARG_EXPAND);
typedef int (*snd_pcm_sw_params_get_sleep_min_PTR)(snd_pcm_sw_params_get_sleep_min_ARG_EXPAND);
snd_pcm_start_t snd_pcm_sw_params_get_start_mode(snd_pcm_sw_params_get_start_mode_ARG_EXPAND);
typedef snd_pcm_start_t (*snd_pcm_sw_params_get_start_mode_PTR)(snd_pcm_sw_params_get_start_mode_ARG_EXPAND);
int snd_pcm_sw_params_get_start_threshold(snd_pcm_sw_params_get_start_threshold_ARG_EXPAND);
typedef int (*snd_pcm_sw_params_get_start_threshold_PTR)(snd_pcm_sw_params_get_start_threshold_ARG_EXPAND);
int snd_pcm_sw_params_get_stop_threshold(snd_pcm_sw_params_get_stop_threshold_ARG_EXPAND);
typedef int (*snd_pcm_sw_params_get_stop_threshold_PTR)(snd_pcm_sw_params_get_stop_threshold_ARG_EXPAND);
int snd_pcm_sw_params_get_tstamp_mode(snd_pcm_sw_params_get_tstamp_mode_ARG_EXPAND);
typedef int (*snd_pcm_sw_params_get_tstamp_mode_PTR)(snd_pcm_sw_params_get_tstamp_mode_ARG_EXPAND);
int snd_pcm_sw_params_get_xfer_align(snd_pcm_sw_params_get_xfer_align_ARG_EXPAND);
typedef int (*snd_pcm_sw_params_get_xfer_align_PTR)(snd_pcm_sw_params_get_xfer_align_ARG_EXPAND);
snd_pcm_xrun_t snd_pcm_sw_params_get_xrun_mode(snd_pcm_sw_params_get_xrun_mode_ARG_EXPAND);
typedef snd_pcm_xrun_t (*snd_pcm_sw_params_get_xrun_mode_PTR)(snd_pcm_sw_params_get_xrun_mode_ARG_EXPAND);
int snd_pcm_sw_params_malloc(snd_pcm_sw_params_malloc_ARG_EXPAND);
typedef int (*snd_pcm_sw_params_malloc_PTR)(snd_pcm_sw_params_malloc_ARG_EXPAND);
int snd_pcm_sw_params_set_avail_min(snd_pcm_sw_params_set_avail_min_ARG_EXPAND);
typedef int (*snd_pcm_sw_params_set_avail_min_PTR)(snd_pcm_sw_params_set_avail_min_ARG_EXPAND);
int snd_pcm_sw_params_set_silence_size(snd_pcm_sw_params_set_silence_size_ARG_EXPAND);
typedef int (*snd_pcm_sw_params_set_silence_size_PTR)(snd_pcm_sw_params_set_silence_size_ARG_EXPAND);
int snd_pcm_sw_params_set_silence_threshold(snd_pcm_sw_params_set_silence_threshold_ARG_EXPAND);
typedef int (*snd_pcm_sw_params_set_silence_threshold_PTR)(snd_pcm_sw_params_set_silence_threshold_ARG_EXPAND);
int snd_pcm_sw_params_set_sleep_min(snd_pcm_sw_params_set_sleep_min_ARG_EXPAND);
typedef int (*snd_pcm_sw_params_set_sleep_min_PTR)(snd_pcm_sw_params_set_sleep_min_ARG_EXPAND);
int snd_pcm_sw_params_set_start_mode(snd_pcm_sw_params_set_start_mode_ARG_EXPAND);
typedef int (*snd_pcm_sw_params_set_start_mode_PTR)(snd_pcm_sw_params_set_start_mode_ARG_EXPAND);
int snd_pcm_sw_params_set_start_threshold(snd_pcm_sw_params_set_start_threshold_ARG_EXPAND);
typedef int (*snd_pcm_sw_params_set_start_threshold_PTR)(snd_pcm_sw_params_set_start_threshold_ARG_EXPAND);
int snd_pcm_sw_params_set_stop_threshold(snd_pcm_sw_params_set_stop_threshold_ARG_EXPAND);
typedef int (*snd_pcm_sw_params_set_stop_threshold_PTR)(snd_pcm_sw_params_set_stop_threshold_ARG_EXPAND);
int snd_pcm_sw_params_set_tstamp_mode(snd_pcm_sw_params_set_tstamp_mode_ARG_EXPAND);
typedef int (*snd_pcm_sw_params_set_tstamp_mode_PTR)(snd_pcm_sw_params_set_tstamp_mode_ARG_EXPAND);
int snd_pcm_sw_params_set_xfer_align(snd_pcm_sw_params_set_xfer_align_ARG_EXPAND);
typedef int (*snd_pcm_sw_params_set_xfer_align_PTR)(snd_pcm_sw_params_set_xfer_align_ARG_EXPAND);
int snd_pcm_sw_params_set_xrun_mode(snd_pcm_sw_params_set_xrun_mode_ARG_EXPAND);
typedef int (*snd_pcm_sw_params_set_xrun_mode_PTR)(snd_pcm_sw_params_set_xrun_mode_ARG_EXPAND);
size_t snd_pcm_sw_params_sizeof(snd_pcm_sw_params_sizeof_ARG_EXPAND);
typedef size_t (*snd_pcm_sw_params_sizeof_PTR)(snd_pcm_sw_params_sizeof_ARG_EXPAND);
const char * snd_pcm_tstamp_mode_name(snd_pcm_tstamp_mode_name_ARG_EXPAND);
typedef const char * (*snd_pcm_tstamp_mode_name_PTR)(snd_pcm_tstamp_mode_name_ARG_EXPAND);
snd_pcm_type_t snd_pcm_type(snd_pcm_type_ARG_EXPAND);
typedef snd_pcm_type_t (*snd_pcm_type_PTR)(snd_pcm_type_ARG_EXPAND);
const char * snd_pcm_type_name(snd_pcm_type_name_ARG_EXPAND);
typedef const char * (*snd_pcm_type_name_PTR)(snd_pcm_type_name_ARG_EXPAND);
int snd_pcm_unlink(snd_pcm_unlink_ARG_EXPAND);
typedef int (*snd_pcm_unlink_PTR)(snd_pcm_unlink_ARG_EXPAND);
int snd_pcm_wait(snd_pcm_wait_ARG_EXPAND);
typedef int (*snd_pcm_wait_PTR)(snd_pcm_wait_ARG_EXPAND);
snd_pcm_sframes_t snd_pcm_writei(snd_pcm_writei_ARG_EXPAND);
typedef snd_pcm_sframes_t (*snd_pcm_writei_PTR)(snd_pcm_writei_ARG_EXPAND);
snd_pcm_sframes_t snd_pcm_writen(snd_pcm_writen_ARG_EXPAND);
typedef snd_pcm_sframes_t (*snd_pcm_writen_PTR)(snd_pcm_writen_ARG_EXPAND);
const char * snd_pcm_xrun_mode_name(snd_pcm_xrun_mode_name_ARG_EXPAND);
typedef const char * (*snd_pcm_xrun_mode_name_PTR)(snd_pcm_xrun_mode_name_ARG_EXPAND);
int snd_rawmidi_close(snd_rawmidi_close_ARG_EXPAND);
typedef int (*snd_rawmidi_close_PTR)(snd_rawmidi_close_ARG_EXPAND);
int snd_rawmidi_drain(snd_rawmidi_drain_ARG_EXPAND);
typedef int (*snd_rawmidi_drain_PTR)(snd_rawmidi_drain_ARG_EXPAND);
int snd_rawmidi_drop(snd_rawmidi_drop_ARG_EXPAND);
typedef int (*snd_rawmidi_drop_PTR)(snd_rawmidi_drop_ARG_EXPAND);
int snd_rawmidi_info(snd_rawmidi_info_ARG_EXPAND);
typedef int (*snd_rawmidi_info_PTR)(snd_rawmidi_info_ARG_EXPAND);
void snd_rawmidi_info_copy(snd_rawmidi_info_copy_ARG_EXPAND);
typedef void (*snd_rawmidi_info_copy_PTR)(snd_rawmidi_info_copy_ARG_EXPAND);
void snd_rawmidi_info_free(snd_rawmidi_info_free_ARG_EXPAND);
typedef void (*snd_rawmidi_info_free_PTR)(snd_rawmidi_info_free_ARG_EXPAND);
int snd_rawmidi_info_get_card(snd_rawmidi_info_get_card_ARG_EXPAND);
typedef int (*snd_rawmidi_info_get_card_PTR)(snd_rawmidi_info_get_card_ARG_EXPAND);
unsigned int snd_rawmidi_info_get_device(snd_rawmidi_info_get_device_ARG_EXPAND);
typedef unsigned int (*snd_rawmidi_info_get_device_PTR)(snd_rawmidi_info_get_device_ARG_EXPAND);
unsigned int snd_rawmidi_info_get_flags(snd_rawmidi_info_get_flags_ARG_EXPAND);
typedef unsigned int (*snd_rawmidi_info_get_flags_PTR)(snd_rawmidi_info_get_flags_ARG_EXPAND);
const char * snd_rawmidi_info_get_id(snd_rawmidi_info_get_id_ARG_EXPAND);
typedef const char * (*snd_rawmidi_info_get_id_PTR)(snd_rawmidi_info_get_id_ARG_EXPAND);
const char * snd_rawmidi_info_get_name(snd_rawmidi_info_get_name_ARG_EXPAND);
typedef const char * (*snd_rawmidi_info_get_name_PTR)(snd_rawmidi_info_get_name_ARG_EXPAND);
snd_rawmidi_stream_t snd_rawmidi_info_get_stream(snd_rawmidi_info_get_stream_ARG_EXPAND);
typedef snd_rawmidi_stream_t (*snd_rawmidi_info_get_stream_PTR)(snd_rawmidi_info_get_stream_ARG_EXPAND);
unsigned int snd_rawmidi_info_get_subdevice(snd_rawmidi_info_get_subdevice_ARG_EXPAND);
typedef unsigned int (*snd_rawmidi_info_get_subdevice_PTR)(snd_rawmidi_info_get_subdevice_ARG_EXPAND);
const char * snd_rawmidi_info_get_subdevice_name(snd_rawmidi_info_get_subdevice_name_ARG_EXPAND);
typedef const char * (*snd_rawmidi_info_get_subdevice_name_PTR)(snd_rawmidi_info_get_subdevice_name_ARG_EXPAND);
unsigned int snd_rawmidi_info_get_subdevices_avail(snd_rawmidi_info_get_subdevices_avail_ARG_EXPAND);
typedef unsigned int (*snd_rawmidi_info_get_subdevices_avail_PTR)(snd_rawmidi_info_get_subdevices_avail_ARG_EXPAND);
unsigned int snd_rawmidi_info_get_subdevices_count(snd_rawmidi_info_get_subdevices_count_ARG_EXPAND);
typedef unsigned int (*snd_rawmidi_info_get_subdevices_count_PTR)(snd_rawmidi_info_get_subdevices_count_ARG_EXPAND);
int snd_rawmidi_info_malloc(snd_rawmidi_info_malloc_ARG_EXPAND);
typedef int (*snd_rawmidi_info_malloc_PTR)(snd_rawmidi_info_malloc_ARG_EXPAND);
void snd_rawmidi_info_set_device(snd_rawmidi_info_set_device_ARG_EXPAND);
typedef void (*snd_rawmidi_info_set_device_PTR)(snd_rawmidi_info_set_device_ARG_EXPAND);
void snd_rawmidi_info_set_stream(snd_rawmidi_info_set_stream_ARG_EXPAND);
typedef void (*snd_rawmidi_info_set_stream_PTR)(snd_rawmidi_info_set_stream_ARG_EXPAND);
void snd_rawmidi_info_set_subdevice(snd_rawmidi_info_set_subdevice_ARG_EXPAND);
typedef void (*snd_rawmidi_info_set_subdevice_PTR)(snd_rawmidi_info_set_subdevice_ARG_EXPAND);
size_t snd_rawmidi_info_sizeof(snd_rawmidi_info_sizeof_ARG_EXPAND);
typedef size_t (*snd_rawmidi_info_sizeof_PTR)(snd_rawmidi_info_sizeof_ARG_EXPAND);
const char * snd_rawmidi_name(snd_rawmidi_name_ARG_EXPAND);
typedef const char * (*snd_rawmidi_name_PTR)(snd_rawmidi_name_ARG_EXPAND);
int snd_rawmidi_nonblock(snd_rawmidi_nonblock_ARG_EXPAND);
typedef int (*snd_rawmidi_nonblock_PTR)(snd_rawmidi_nonblock_ARG_EXPAND);
int snd_rawmidi_open(snd_rawmidi_open_ARG_EXPAND);
typedef int (*snd_rawmidi_open_PTR)(snd_rawmidi_open_ARG_EXPAND);
int snd_rawmidi_open_lconf(snd_rawmidi_open_lconf_ARG_EXPAND);
typedef int (*snd_rawmidi_open_lconf_PTR)(snd_rawmidi_open_lconf_ARG_EXPAND);
int snd_rawmidi_params(snd_rawmidi_params_ARG_EXPAND);
typedef int (*snd_rawmidi_params_PTR)(snd_rawmidi_params_ARG_EXPAND);
void snd_rawmidi_params_copy(snd_rawmidi_params_copy_ARG_EXPAND);
typedef void (*snd_rawmidi_params_copy_PTR)(snd_rawmidi_params_copy_ARG_EXPAND);
int snd_rawmidi_params_current(snd_rawmidi_params_current_ARG_EXPAND);
typedef int (*snd_rawmidi_params_current_PTR)(snd_rawmidi_params_current_ARG_EXPAND);
void snd_rawmidi_params_free(snd_rawmidi_params_free_ARG_EXPAND);
typedef void (*snd_rawmidi_params_free_PTR)(snd_rawmidi_params_free_ARG_EXPAND);
size_t snd_rawmidi_params_get_avail_min(snd_rawmidi_params_get_avail_min_ARG_EXPAND);
typedef size_t (*snd_rawmidi_params_get_avail_min_PTR)(snd_rawmidi_params_get_avail_min_ARG_EXPAND);
size_t snd_rawmidi_params_get_buffer_size(snd_rawmidi_params_get_buffer_size_ARG_EXPAND);
typedef size_t (*snd_rawmidi_params_get_buffer_size_PTR)(snd_rawmidi_params_get_buffer_size_ARG_EXPAND);
int snd_rawmidi_params_get_no_active_sensing(snd_rawmidi_params_get_no_active_sensing_ARG_EXPAND);
typedef int (*snd_rawmidi_params_get_no_active_sensing_PTR)(snd_rawmidi_params_get_no_active_sensing_ARG_EXPAND);
int snd_rawmidi_params_malloc(snd_rawmidi_params_malloc_ARG_EXPAND);
typedef int (*snd_rawmidi_params_malloc_PTR)(snd_rawmidi_params_malloc_ARG_EXPAND);
int snd_rawmidi_params_set_avail_min(snd_rawmidi_params_set_avail_min_ARG_EXPAND);
typedef int (*snd_rawmidi_params_set_avail_min_PTR)(snd_rawmidi_params_set_avail_min_ARG_EXPAND);
int snd_rawmidi_params_set_buffer_size(snd_rawmidi_params_set_buffer_size_ARG_EXPAND);
typedef int (*snd_rawmidi_params_set_buffer_size_PTR)(snd_rawmidi_params_set_buffer_size_ARG_EXPAND);
int snd_rawmidi_params_set_no_active_sensing(snd_rawmidi_params_set_no_active_sensing_ARG_EXPAND);
typedef int (*snd_rawmidi_params_set_no_active_sensing_PTR)(snd_rawmidi_params_set_no_active_sensing_ARG_EXPAND);
size_t snd_rawmidi_params_sizeof(snd_rawmidi_params_sizeof_ARG_EXPAND);
typedef size_t (*snd_rawmidi_params_sizeof_PTR)(snd_rawmidi_params_sizeof_ARG_EXPAND);
int snd_rawmidi_poll_descriptors(snd_rawmidi_poll_descriptors_ARG_EXPAND);
typedef int (*snd_rawmidi_poll_descriptors_PTR)(snd_rawmidi_poll_descriptors_ARG_EXPAND);
int snd_rawmidi_poll_descriptors_count(snd_rawmidi_poll_descriptors_count_ARG_EXPAND);
typedef int (*snd_rawmidi_poll_descriptors_count_PTR)(snd_rawmidi_poll_descriptors_count_ARG_EXPAND);
int snd_rawmidi_poll_descriptors_revents(snd_rawmidi_poll_descriptors_revents_ARG_EXPAND);
typedef int (*snd_rawmidi_poll_descriptors_revents_PTR)(snd_rawmidi_poll_descriptors_revents_ARG_EXPAND);
ssize_t snd_rawmidi_read(snd_rawmidi_read_ARG_EXPAND);
typedef ssize_t (*snd_rawmidi_read_PTR)(snd_rawmidi_read_ARG_EXPAND);
int snd_rawmidi_status(snd_rawmidi_status_ARG_EXPAND);
typedef int (*snd_rawmidi_status_PTR)(snd_rawmidi_status_ARG_EXPAND);
void snd_rawmidi_status_copy(snd_rawmidi_status_copy_ARG_EXPAND);
typedef void (*snd_rawmidi_status_copy_PTR)(snd_rawmidi_status_copy_ARG_EXPAND);
void snd_rawmidi_status_free(snd_rawmidi_status_free_ARG_EXPAND);
typedef void (*snd_rawmidi_status_free_PTR)(snd_rawmidi_status_free_ARG_EXPAND);
size_t snd_rawmidi_status_get_avail(snd_rawmidi_status_get_avail_ARG_EXPAND);
typedef size_t (*snd_rawmidi_status_get_avail_PTR)(snd_rawmidi_status_get_avail_ARG_EXPAND);
void snd_rawmidi_status_get_tstamp(snd_rawmidi_status_get_tstamp_ARG_EXPAND);
typedef void (*snd_rawmidi_status_get_tstamp_PTR)(snd_rawmidi_status_get_tstamp_ARG_EXPAND);
size_t snd_rawmidi_status_get_xruns(snd_rawmidi_status_get_xruns_ARG_EXPAND);
typedef size_t (*snd_rawmidi_status_get_xruns_PTR)(snd_rawmidi_status_get_xruns_ARG_EXPAND);
int snd_rawmidi_status_malloc(snd_rawmidi_status_malloc_ARG_EXPAND);
typedef int (*snd_rawmidi_status_malloc_PTR)(snd_rawmidi_status_malloc_ARG_EXPAND);
size_t snd_rawmidi_status_sizeof(snd_rawmidi_status_sizeof_ARG_EXPAND);
typedef size_t (*snd_rawmidi_status_sizeof_PTR)(snd_rawmidi_status_sizeof_ARG_EXPAND);
snd_rawmidi_stream_t snd_rawmidi_stream(snd_rawmidi_stream_ARG_EXPAND);
typedef snd_rawmidi_stream_t (*snd_rawmidi_stream_PTR)(snd_rawmidi_stream_ARG_EXPAND);
snd_rawmidi_type_t snd_rawmidi_type(snd_rawmidi_type_ARG_EXPAND);
typedef snd_rawmidi_type_t (*snd_rawmidi_type_PTR)(snd_rawmidi_type_ARG_EXPAND);
ssize_t snd_rawmidi_write(snd_rawmidi_write_ARG_EXPAND);
typedef ssize_t (*snd_rawmidi_write_PTR)(snd_rawmidi_write_ARG_EXPAND);
int snd_sctl_build(snd_sctl_build_ARG_EXPAND);
typedef int (*snd_sctl_build_PTR)(snd_sctl_build_ARG_EXPAND);
int snd_sctl_free(snd_sctl_free_ARG_EXPAND);
typedef int (*snd_sctl_free_PTR)(snd_sctl_free_ARG_EXPAND);
int snd_sctl_install(snd_sctl_install_ARG_EXPAND);
typedef int (*snd_sctl_install_PTR)(snd_sctl_install_ARG_EXPAND);
int snd_sctl_remove(snd_sctl_remove_ARG_EXPAND);
typedef int (*snd_sctl_remove_PTR)(snd_sctl_remove_ARG_EXPAND);
int snd_seq_alloc_named_queue(snd_seq_alloc_named_queue_ARG_EXPAND);
typedef int (*snd_seq_alloc_named_queue_PTR)(snd_seq_alloc_named_queue_ARG_EXPAND);
int snd_seq_alloc_queue(snd_seq_alloc_queue_ARG_EXPAND);
typedef int (*snd_seq_alloc_queue_PTR)(snd_seq_alloc_queue_ARG_EXPAND);
int snd_seq_change_bit(snd_seq_change_bit_ARG_EXPAND);
typedef int (*snd_seq_change_bit_PTR)(snd_seq_change_bit_ARG_EXPAND);
int snd_seq_client_id(snd_seq_client_id_ARG_EXPAND);
typedef int (*snd_seq_client_id_PTR)(snd_seq_client_id_ARG_EXPAND);
void snd_seq_client_info_copy(snd_seq_client_info_copy_ARG_EXPAND);
typedef void (*snd_seq_client_info_copy_PTR)(snd_seq_client_info_copy_ARG_EXPAND);
void snd_seq_client_info_free(snd_seq_client_info_free_ARG_EXPAND);
typedef void (*snd_seq_client_info_free_PTR)(snd_seq_client_info_free_ARG_EXPAND);
int snd_seq_client_info_get_broadcast_filter(snd_seq_client_info_get_broadcast_filter_ARG_EXPAND);
typedef int (*snd_seq_client_info_get_broadcast_filter_PTR)(snd_seq_client_info_get_broadcast_filter_ARG_EXPAND);
int snd_seq_client_info_get_client(snd_seq_client_info_get_client_ARG_EXPAND);
typedef int (*snd_seq_client_info_get_client_PTR)(snd_seq_client_info_get_client_ARG_EXPAND);
int snd_seq_client_info_get_error_bounce(snd_seq_client_info_get_error_bounce_ARG_EXPAND);
typedef int (*snd_seq_client_info_get_error_bounce_PTR)(snd_seq_client_info_get_error_bounce_ARG_EXPAND);
const unsigned char * snd_seq_client_info_get_event_filter(snd_seq_client_info_get_event_filter_ARG_EXPAND);
typedef const unsigned char * (*snd_seq_client_info_get_event_filter_PTR)(snd_seq_client_info_get_event_filter_ARG_EXPAND);
int snd_seq_client_info_get_event_lost(snd_seq_client_info_get_event_lost_ARG_EXPAND);
typedef int (*snd_seq_client_info_get_event_lost_PTR)(snd_seq_client_info_get_event_lost_ARG_EXPAND);
const char * snd_seq_client_info_get_name(snd_seq_client_info_get_name_ARG_EXPAND);
typedef const char * (*snd_seq_client_info_get_name_PTR)(snd_seq_client_info_get_name_ARG_EXPAND);
int snd_seq_client_info_get_num_ports(snd_seq_client_info_get_num_ports_ARG_EXPAND);
typedef int (*snd_seq_client_info_get_num_ports_PTR)(snd_seq_client_info_get_num_ports_ARG_EXPAND);
snd_seq_client_type_t snd_seq_client_info_get_type(snd_seq_client_info_get_type_ARG_EXPAND);
typedef snd_seq_client_type_t (*snd_seq_client_info_get_type_PTR)(snd_seq_client_info_get_type_ARG_EXPAND);
int snd_seq_client_info_malloc(snd_seq_client_info_malloc_ARG_EXPAND);
typedef int (*snd_seq_client_info_malloc_PTR)(snd_seq_client_info_malloc_ARG_EXPAND);
void snd_seq_client_info_set_broadcast_filter(snd_seq_client_info_set_broadcast_filter_ARG_EXPAND);
typedef void (*snd_seq_client_info_set_broadcast_filter_PTR)(snd_seq_client_info_set_broadcast_filter_ARG_EXPAND);
void snd_seq_client_info_set_client(snd_seq_client_info_set_client_ARG_EXPAND);
typedef void (*snd_seq_client_info_set_client_PTR)(snd_seq_client_info_set_client_ARG_EXPAND);
void snd_seq_client_info_set_error_bounce(snd_seq_client_info_set_error_bounce_ARG_EXPAND);
typedef void (*snd_seq_client_info_set_error_bounce_PTR)(snd_seq_client_info_set_error_bounce_ARG_EXPAND);
void snd_seq_client_info_set_event_filter(snd_seq_client_info_set_event_filter_ARG_EXPAND);
typedef void (*snd_seq_client_info_set_event_filter_PTR)(snd_seq_client_info_set_event_filter_ARG_EXPAND);
void snd_seq_client_info_set_name(snd_seq_client_info_set_name_ARG_EXPAND);
typedef void (*snd_seq_client_info_set_name_PTR)(snd_seq_client_info_set_name_ARG_EXPAND);
size_t snd_seq_client_info_sizeof(snd_seq_client_info_sizeof_ARG_EXPAND);
typedef size_t (*snd_seq_client_info_sizeof_PTR)(snd_seq_client_info_sizeof_ARG_EXPAND);
void snd_seq_client_pool_copy(snd_seq_client_pool_copy_ARG_EXPAND);
typedef void (*snd_seq_client_pool_copy_PTR)(snd_seq_client_pool_copy_ARG_EXPAND);
void snd_seq_client_pool_free(snd_seq_client_pool_free_ARG_EXPAND);
typedef void (*snd_seq_client_pool_free_PTR)(snd_seq_client_pool_free_ARG_EXPAND);
int snd_seq_client_pool_get_client(snd_seq_client_pool_get_client_ARG_EXPAND);
typedef int (*snd_seq_client_pool_get_client_PTR)(snd_seq_client_pool_get_client_ARG_EXPAND);
size_t snd_seq_client_pool_get_input_free(snd_seq_client_pool_get_input_free_ARG_EXPAND);
typedef size_t (*snd_seq_client_pool_get_input_free_PTR)(snd_seq_client_pool_get_input_free_ARG_EXPAND);
size_t snd_seq_client_pool_get_input_pool(snd_seq_client_pool_get_input_pool_ARG_EXPAND);
typedef size_t (*snd_seq_client_pool_get_input_pool_PTR)(snd_seq_client_pool_get_input_pool_ARG_EXPAND);
size_t snd_seq_client_pool_get_output_free(snd_seq_client_pool_get_output_free_ARG_EXPAND);
typedef size_t (*snd_seq_client_pool_get_output_free_PTR)(snd_seq_client_pool_get_output_free_ARG_EXPAND);
size_t snd_seq_client_pool_get_output_pool(snd_seq_client_pool_get_output_pool_ARG_EXPAND);
typedef size_t (*snd_seq_client_pool_get_output_pool_PTR)(snd_seq_client_pool_get_output_pool_ARG_EXPAND);
size_t snd_seq_client_pool_get_output_room(snd_seq_client_pool_get_output_room_ARG_EXPAND);
typedef size_t (*snd_seq_client_pool_get_output_room_PTR)(snd_seq_client_pool_get_output_room_ARG_EXPAND);
int snd_seq_client_pool_malloc(snd_seq_client_pool_malloc_ARG_EXPAND);
typedef int (*snd_seq_client_pool_malloc_PTR)(snd_seq_client_pool_malloc_ARG_EXPAND);
void snd_seq_client_pool_set_input_pool(snd_seq_client_pool_set_input_pool_ARG_EXPAND);
typedef void (*snd_seq_client_pool_set_input_pool_PTR)(snd_seq_client_pool_set_input_pool_ARG_EXPAND);
void snd_seq_client_pool_set_output_pool(snd_seq_client_pool_set_output_pool_ARG_EXPAND);
typedef void (*snd_seq_client_pool_set_output_pool_PTR)(snd_seq_client_pool_set_output_pool_ARG_EXPAND);
void snd_seq_client_pool_set_output_room(snd_seq_client_pool_set_output_room_ARG_EXPAND);
typedef void (*snd_seq_client_pool_set_output_room_PTR)(snd_seq_client_pool_set_output_room_ARG_EXPAND);
size_t snd_seq_client_pool_sizeof(snd_seq_client_pool_sizeof_ARG_EXPAND);
typedef size_t (*snd_seq_client_pool_sizeof_PTR)(snd_seq_client_pool_sizeof_ARG_EXPAND);
int snd_seq_close(snd_seq_close_ARG_EXPAND);
typedef int (*snd_seq_close_PTR)(snd_seq_close_ARG_EXPAND);
int snd_seq_connect_from(snd_seq_connect_from_ARG_EXPAND);
typedef int (*snd_seq_connect_from_PTR)(snd_seq_connect_from_ARG_EXPAND);
int snd_seq_connect_to(snd_seq_connect_to_ARG_EXPAND);
typedef int (*snd_seq_connect_to_PTR)(snd_seq_connect_to_ARG_EXPAND);
int snd_seq_control_queue(snd_seq_control_queue_ARG_EXPAND);
typedef int (*snd_seq_control_queue_PTR)(snd_seq_control_queue_ARG_EXPAND);
int snd_seq_create_port(snd_seq_create_port_ARG_EXPAND);
typedef int (*snd_seq_create_port_PTR)(snd_seq_create_port_ARG_EXPAND);
int snd_seq_create_queue(snd_seq_create_queue_ARG_EXPAND);
typedef int (*snd_seq_create_queue_PTR)(snd_seq_create_queue_ARG_EXPAND);
int snd_seq_create_simple_port(snd_seq_create_simple_port_ARG_EXPAND);
typedef int (*snd_seq_create_simple_port_PTR)(snd_seq_create_simple_port_ARG_EXPAND);
int snd_seq_delete_port(snd_seq_delete_port_ARG_EXPAND);
typedef int (*snd_seq_delete_port_PTR)(snd_seq_delete_port_ARG_EXPAND);
int snd_seq_delete_simple_port(snd_seq_delete_simple_port_ARG_EXPAND);
typedef int (*snd_seq_delete_simple_port_PTR)(snd_seq_delete_simple_port_ARG_EXPAND);
int snd_seq_disconnect_from(snd_seq_disconnect_from_ARG_EXPAND);
typedef int (*snd_seq_disconnect_from_PTR)(snd_seq_disconnect_from_ARG_EXPAND);
int snd_seq_disconnect_to(snd_seq_disconnect_to_ARG_EXPAND);
typedef int (*snd_seq_disconnect_to_PTR)(snd_seq_disconnect_to_ARG_EXPAND);
int snd_seq_drain_output(snd_seq_drain_output_ARG_EXPAND);
typedef int (*snd_seq_drain_output_PTR)(snd_seq_drain_output_ARG_EXPAND);
int snd_seq_drop_input(snd_seq_drop_input_ARG_EXPAND);
typedef int (*snd_seq_drop_input_PTR)(snd_seq_drop_input_ARG_EXPAND);
int snd_seq_drop_input_buffer(snd_seq_drop_input_buffer_ARG_EXPAND);
typedef int (*snd_seq_drop_input_buffer_PTR)(snd_seq_drop_input_buffer_ARG_EXPAND);
int snd_seq_drop_output(snd_seq_drop_output_ARG_EXPAND);
typedef int (*snd_seq_drop_output_PTR)(snd_seq_drop_output_ARG_EXPAND);
int snd_seq_drop_output_buffer(snd_seq_drop_output_buffer_ARG_EXPAND);
typedef int (*snd_seq_drop_output_buffer_PTR)(snd_seq_drop_output_buffer_ARG_EXPAND);
int snd_seq_event_input(snd_seq_event_input_ARG_EXPAND);
typedef int (*snd_seq_event_input_PTR)(snd_seq_event_input_ARG_EXPAND);
int snd_seq_event_input_pending(snd_seq_event_input_pending_ARG_EXPAND);
typedef int (*snd_seq_event_input_pending_PTR)(snd_seq_event_input_pending_ARG_EXPAND);
ssize_t snd_seq_event_length(snd_seq_event_length_ARG_EXPAND);
typedef ssize_t (*snd_seq_event_length_PTR)(snd_seq_event_length_ARG_EXPAND);
int snd_seq_event_output(snd_seq_event_output_ARG_EXPAND);
typedef int (*snd_seq_event_output_PTR)(snd_seq_event_output_ARG_EXPAND);
int snd_seq_event_output_buffer(snd_seq_event_output_buffer_ARG_EXPAND);
typedef int (*snd_seq_event_output_buffer_PTR)(snd_seq_event_output_buffer_ARG_EXPAND);
int snd_seq_event_output_direct(snd_seq_event_output_direct_ARG_EXPAND);
typedef int (*snd_seq_event_output_direct_PTR)(snd_seq_event_output_direct_ARG_EXPAND);
int snd_seq_event_output_pending(snd_seq_event_output_pending_ARG_EXPAND);
typedef int (*snd_seq_event_output_pending_PTR)(snd_seq_event_output_pending_ARG_EXPAND);
int snd_seq_extract_output(snd_seq_extract_output_ARG_EXPAND);
typedef int (*snd_seq_extract_output_PTR)(snd_seq_extract_output_ARG_EXPAND);
int snd_seq_free_event(snd_seq_free_event_ARG_EXPAND);
typedef int (*snd_seq_free_event_PTR)(snd_seq_free_event_ARG_EXPAND);
int snd_seq_free_queue(snd_seq_free_queue_ARG_EXPAND);
typedef int (*snd_seq_free_queue_PTR)(snd_seq_free_queue_ARG_EXPAND);
int snd_seq_get_any_client_info(snd_seq_get_any_client_info_ARG_EXPAND);
typedef int (*snd_seq_get_any_client_info_PTR)(snd_seq_get_any_client_info_ARG_EXPAND);
int snd_seq_get_any_port_info(snd_seq_get_any_port_info_ARG_EXPAND);
typedef int (*snd_seq_get_any_port_info_PTR)(snd_seq_get_any_port_info_ARG_EXPAND);
int snd_seq_get_bit(snd_seq_get_bit_ARG_EXPAND);
typedef int (*snd_seq_get_bit_PTR)(snd_seq_get_bit_ARG_EXPAND);
int snd_seq_get_client_info(snd_seq_get_client_info_ARG_EXPAND);
typedef int (*snd_seq_get_client_info_PTR)(snd_seq_get_client_info_ARG_EXPAND);
int snd_seq_get_client_pool(snd_seq_get_client_pool_ARG_EXPAND);
typedef int (*snd_seq_get_client_pool_PTR)(snd_seq_get_client_pool_ARG_EXPAND);
size_t snd_seq_get_input_buffer_size(snd_seq_get_input_buffer_size_ARG_EXPAND);
typedef size_t (*snd_seq_get_input_buffer_size_PTR)(snd_seq_get_input_buffer_size_ARG_EXPAND);
size_t snd_seq_get_output_buffer_size(snd_seq_get_output_buffer_size_ARG_EXPAND);
typedef size_t (*snd_seq_get_output_buffer_size_PTR)(snd_seq_get_output_buffer_size_ARG_EXPAND);
int snd_seq_get_port_info(snd_seq_get_port_info_ARG_EXPAND);
typedef int (*snd_seq_get_port_info_PTR)(snd_seq_get_port_info_ARG_EXPAND);
int snd_seq_get_port_subscription(snd_seq_get_port_subscription_ARG_EXPAND);
typedef int (*snd_seq_get_port_subscription_PTR)(snd_seq_get_port_subscription_ARG_EXPAND);
int snd_seq_get_queue_info(snd_seq_get_queue_info_ARG_EXPAND);
typedef int (*snd_seq_get_queue_info_PTR)(snd_seq_get_queue_info_ARG_EXPAND);
int snd_seq_get_queue_status(snd_seq_get_queue_status_ARG_EXPAND);
typedef int (*snd_seq_get_queue_status_PTR)(snd_seq_get_queue_status_ARG_EXPAND);
int snd_seq_get_queue_tempo(snd_seq_get_queue_tempo_ARG_EXPAND);
typedef int (*snd_seq_get_queue_tempo_PTR)(snd_seq_get_queue_tempo_ARG_EXPAND);
int snd_seq_get_queue_timer(snd_seq_get_queue_timer_ARG_EXPAND);
typedef int (*snd_seq_get_queue_timer_PTR)(snd_seq_get_queue_timer_ARG_EXPAND);
int snd_seq_get_queue_usage(snd_seq_get_queue_usage_ARG_EXPAND);
typedef int (*snd_seq_get_queue_usage_PTR)(snd_seq_get_queue_usage_ARG_EXPAND);
const char * snd_seq_name(snd_seq_name_ARG_EXPAND);
typedef const char * (*snd_seq_name_PTR)(snd_seq_name_ARG_EXPAND);
int snd_seq_nonblock(snd_seq_nonblock_ARG_EXPAND);
typedef int (*snd_seq_nonblock_PTR)(snd_seq_nonblock_ARG_EXPAND);
int snd_seq_open(snd_seq_open_ARG_EXPAND);
typedef int (*snd_seq_open_PTR)(snd_seq_open_ARG_EXPAND);
int snd_seq_open_lconf(snd_seq_open_lconf_ARG_EXPAND);
typedef int (*snd_seq_open_lconf_PTR)(snd_seq_open_lconf_ARG_EXPAND);
int snd_seq_parse_address(snd_seq_parse_address_ARG_EXPAND);
typedef int (*snd_seq_parse_address_PTR)(snd_seq_parse_address_ARG_EXPAND);
int snd_seq_poll_descriptors(snd_seq_poll_descriptors_ARG_EXPAND);
typedef int (*snd_seq_poll_descriptors_PTR)(snd_seq_poll_descriptors_ARG_EXPAND);
int snd_seq_poll_descriptors_count(snd_seq_poll_descriptors_count_ARG_EXPAND);
typedef int (*snd_seq_poll_descriptors_count_PTR)(snd_seq_poll_descriptors_count_ARG_EXPAND);
int snd_seq_poll_descriptors_revents(snd_seq_poll_descriptors_revents_ARG_EXPAND);
typedef int (*snd_seq_poll_descriptors_revents_PTR)(snd_seq_poll_descriptors_revents_ARG_EXPAND);
void snd_seq_port_info_copy(snd_seq_port_info_copy_ARG_EXPAND);
typedef void (*snd_seq_port_info_copy_PTR)(snd_seq_port_info_copy_ARG_EXPAND);
void snd_seq_port_info_free(snd_seq_port_info_free_ARG_EXPAND);
typedef void (*snd_seq_port_info_free_PTR)(snd_seq_port_info_free_ARG_EXPAND);
const snd_seq_addr_t * snd_seq_port_info_get_addr(snd_seq_port_info_get_addr_ARG_EXPAND);
typedef const snd_seq_addr_t * (*snd_seq_port_info_get_addr_PTR)(snd_seq_port_info_get_addr_ARG_EXPAND);
unsigned int snd_seq_port_info_get_capability(snd_seq_port_info_get_capability_ARG_EXPAND);
typedef unsigned int (*snd_seq_port_info_get_capability_PTR)(snd_seq_port_info_get_capability_ARG_EXPAND);
int snd_seq_port_info_get_client(snd_seq_port_info_get_client_ARG_EXPAND);
typedef int (*snd_seq_port_info_get_client_PTR)(snd_seq_port_info_get_client_ARG_EXPAND);
int snd_seq_port_info_get_midi_channels(snd_seq_port_info_get_midi_channels_ARG_EXPAND);
typedef int (*snd_seq_port_info_get_midi_channels_PTR)(snd_seq_port_info_get_midi_channels_ARG_EXPAND);
int snd_seq_port_info_get_midi_voices(snd_seq_port_info_get_midi_voices_ARG_EXPAND);
typedef int (*snd_seq_port_info_get_midi_voices_PTR)(snd_seq_port_info_get_midi_voices_ARG_EXPAND);
const char * snd_seq_port_info_get_name(snd_seq_port_info_get_name_ARG_EXPAND);
typedef const char * (*snd_seq_port_info_get_name_PTR)(snd_seq_port_info_get_name_ARG_EXPAND);
int snd_seq_port_info_get_port(snd_seq_port_info_get_port_ARG_EXPAND);
typedef int (*snd_seq_port_info_get_port_PTR)(snd_seq_port_info_get_port_ARG_EXPAND);
int snd_seq_port_info_get_port_specified(snd_seq_port_info_get_port_specified_ARG_EXPAND);
typedef int (*snd_seq_port_info_get_port_specified_PTR)(snd_seq_port_info_get_port_specified_ARG_EXPAND);
int snd_seq_port_info_get_read_use(snd_seq_port_info_get_read_use_ARG_EXPAND);
typedef int (*snd_seq_port_info_get_read_use_PTR)(snd_seq_port_info_get_read_use_ARG_EXPAND);
int snd_seq_port_info_get_synth_voices(snd_seq_port_info_get_synth_voices_ARG_EXPAND);
typedef int (*snd_seq_port_info_get_synth_voices_PTR)(snd_seq_port_info_get_synth_voices_ARG_EXPAND);
int snd_seq_port_info_get_timestamp_queue(snd_seq_port_info_get_timestamp_queue_ARG_EXPAND);
typedef int (*snd_seq_port_info_get_timestamp_queue_PTR)(snd_seq_port_info_get_timestamp_queue_ARG_EXPAND);
int snd_seq_port_info_get_timestamp_real(snd_seq_port_info_get_timestamp_real_ARG_EXPAND);
typedef int (*snd_seq_port_info_get_timestamp_real_PTR)(snd_seq_port_info_get_timestamp_real_ARG_EXPAND);
int snd_seq_port_info_get_timestamping(snd_seq_port_info_get_timestamping_ARG_EXPAND);
typedef int (*snd_seq_port_info_get_timestamping_PTR)(snd_seq_port_info_get_timestamping_ARG_EXPAND);
unsigned int snd_seq_port_info_get_type(snd_seq_port_info_get_type_ARG_EXPAND);
typedef unsigned int (*snd_seq_port_info_get_type_PTR)(snd_seq_port_info_get_type_ARG_EXPAND);
int snd_seq_port_info_get_write_use(snd_seq_port_info_get_write_use_ARG_EXPAND);
typedef int (*snd_seq_port_info_get_write_use_PTR)(snd_seq_port_info_get_write_use_ARG_EXPAND);
int snd_seq_port_info_malloc(snd_seq_port_info_malloc_ARG_EXPAND);
typedef int (*snd_seq_port_info_malloc_PTR)(snd_seq_port_info_malloc_ARG_EXPAND);
void snd_seq_port_info_set_addr(snd_seq_port_info_set_addr_ARG_EXPAND);
typedef void (*snd_seq_port_info_set_addr_PTR)(snd_seq_port_info_set_addr_ARG_EXPAND);
void snd_seq_port_info_set_capability(snd_seq_port_info_set_capability_ARG_EXPAND);
typedef void (*snd_seq_port_info_set_capability_PTR)(snd_seq_port_info_set_capability_ARG_EXPAND);
void snd_seq_port_info_set_client(snd_seq_port_info_set_client_ARG_EXPAND);
typedef void (*snd_seq_port_info_set_client_PTR)(snd_seq_port_info_set_client_ARG_EXPAND);
void snd_seq_port_info_set_midi_channels(snd_seq_port_info_set_midi_channels_ARG_EXPAND);
typedef void (*snd_seq_port_info_set_midi_channels_PTR)(snd_seq_port_info_set_midi_channels_ARG_EXPAND);
void snd_seq_port_info_set_midi_voices(snd_seq_port_info_set_midi_voices_ARG_EXPAND);
typedef void (*snd_seq_port_info_set_midi_voices_PTR)(snd_seq_port_info_set_midi_voices_ARG_EXPAND);
void snd_seq_port_info_set_name(snd_seq_port_info_set_name_ARG_EXPAND);
typedef void (*snd_seq_port_info_set_name_PTR)(snd_seq_port_info_set_name_ARG_EXPAND);
void snd_seq_port_info_set_port(snd_seq_port_info_set_port_ARG_EXPAND);
typedef void (*snd_seq_port_info_set_port_PTR)(snd_seq_port_info_set_port_ARG_EXPAND);
void snd_seq_port_info_set_port_specified(snd_seq_port_info_set_port_specified_ARG_EXPAND);
typedef void (*snd_seq_port_info_set_port_specified_PTR)(snd_seq_port_info_set_port_specified_ARG_EXPAND);
void snd_seq_port_info_set_synth_voices(snd_seq_port_info_set_synth_voices_ARG_EXPAND);
typedef void (*snd_seq_port_info_set_synth_voices_PTR)(snd_seq_port_info_set_synth_voices_ARG_EXPAND);
void snd_seq_port_info_set_timestamp_queue(snd_seq_port_info_set_timestamp_queue_ARG_EXPAND);
typedef void (*snd_seq_port_info_set_timestamp_queue_PTR)(snd_seq_port_info_set_timestamp_queue_ARG_EXPAND);
void snd_seq_port_info_set_timestamp_real(snd_seq_port_info_set_timestamp_real_ARG_EXPAND);
typedef void (*snd_seq_port_info_set_timestamp_real_PTR)(snd_seq_port_info_set_timestamp_real_ARG_EXPAND);
void snd_seq_port_info_set_timestamping(snd_seq_port_info_set_timestamping_ARG_EXPAND);
typedef void (*snd_seq_port_info_set_timestamping_PTR)(snd_seq_port_info_set_timestamping_ARG_EXPAND);
void snd_seq_port_info_set_type(snd_seq_port_info_set_type_ARG_EXPAND);
typedef void (*snd_seq_port_info_set_type_PTR)(snd_seq_port_info_set_type_ARG_EXPAND);
size_t snd_seq_port_info_sizeof(snd_seq_port_info_sizeof_ARG_EXPAND);
typedef size_t (*snd_seq_port_info_sizeof_PTR)(snd_seq_port_info_sizeof_ARG_EXPAND);
void snd_seq_port_subscribe_copy(snd_seq_port_subscribe_copy_ARG_EXPAND);
typedef void (*snd_seq_port_subscribe_copy_PTR)(snd_seq_port_subscribe_copy_ARG_EXPAND);
void snd_seq_port_subscribe_free(snd_seq_port_subscribe_free_ARG_EXPAND);
typedef void (*snd_seq_port_subscribe_free_PTR)(snd_seq_port_subscribe_free_ARG_EXPAND);
const snd_seq_addr_t * snd_seq_port_subscribe_get_dest(snd_seq_port_subscribe_get_dest_ARG_EXPAND);
typedef const snd_seq_addr_t * (*snd_seq_port_subscribe_get_dest_PTR)(snd_seq_port_subscribe_get_dest_ARG_EXPAND);
int snd_seq_port_subscribe_get_exclusive(snd_seq_port_subscribe_get_exclusive_ARG_EXPAND);
typedef int (*snd_seq_port_subscribe_get_exclusive_PTR)(snd_seq_port_subscribe_get_exclusive_ARG_EXPAND);
int snd_seq_port_subscribe_get_queue(snd_seq_port_subscribe_get_queue_ARG_EXPAND);
typedef int (*snd_seq_port_subscribe_get_queue_PTR)(snd_seq_port_subscribe_get_queue_ARG_EXPAND);
const snd_seq_addr_t * snd_seq_port_subscribe_get_sender(snd_seq_port_subscribe_get_sender_ARG_EXPAND);
typedef const snd_seq_addr_t * (*snd_seq_port_subscribe_get_sender_PTR)(snd_seq_port_subscribe_get_sender_ARG_EXPAND);
int snd_seq_port_subscribe_get_time_real(snd_seq_port_subscribe_get_time_real_ARG_EXPAND);
typedef int (*snd_seq_port_subscribe_get_time_real_PTR)(snd_seq_port_subscribe_get_time_real_ARG_EXPAND);
int snd_seq_port_subscribe_get_time_update(snd_seq_port_subscribe_get_time_update_ARG_EXPAND);
typedef int (*snd_seq_port_subscribe_get_time_update_PTR)(snd_seq_port_subscribe_get_time_update_ARG_EXPAND);
int snd_seq_port_subscribe_malloc(snd_seq_port_subscribe_malloc_ARG_EXPAND);
typedef int (*snd_seq_port_subscribe_malloc_PTR)(snd_seq_port_subscribe_malloc_ARG_EXPAND);
void snd_seq_port_subscribe_set_dest(snd_seq_port_subscribe_set_dest_ARG_EXPAND);
typedef void (*snd_seq_port_subscribe_set_dest_PTR)(snd_seq_port_subscribe_set_dest_ARG_EXPAND);
void snd_seq_port_subscribe_set_exclusive(snd_seq_port_subscribe_set_exclusive_ARG_EXPAND);
typedef void (*snd_seq_port_subscribe_set_exclusive_PTR)(snd_seq_port_subscribe_set_exclusive_ARG_EXPAND);
void snd_seq_port_subscribe_set_queue(snd_seq_port_subscribe_set_queue_ARG_EXPAND);
typedef void (*snd_seq_port_subscribe_set_queue_PTR)(snd_seq_port_subscribe_set_queue_ARG_EXPAND);
void snd_seq_port_subscribe_set_sender(snd_seq_port_subscribe_set_sender_ARG_EXPAND);
typedef void (*snd_seq_port_subscribe_set_sender_PTR)(snd_seq_port_subscribe_set_sender_ARG_EXPAND);
void snd_seq_port_subscribe_set_time_real(snd_seq_port_subscribe_set_time_real_ARG_EXPAND);
typedef void (*snd_seq_port_subscribe_set_time_real_PTR)(snd_seq_port_subscribe_set_time_real_ARG_EXPAND);
void snd_seq_port_subscribe_set_time_update(snd_seq_port_subscribe_set_time_update_ARG_EXPAND);
typedef void (*snd_seq_port_subscribe_set_time_update_PTR)(snd_seq_port_subscribe_set_time_update_ARG_EXPAND);
size_t snd_seq_port_subscribe_sizeof(snd_seq_port_subscribe_sizeof_ARG_EXPAND);
typedef size_t (*snd_seq_port_subscribe_sizeof_PTR)(snd_seq_port_subscribe_sizeof_ARG_EXPAND);
int snd_seq_query_named_queue(snd_seq_query_named_queue_ARG_EXPAND);
typedef int (*snd_seq_query_named_queue_PTR)(snd_seq_query_named_queue_ARG_EXPAND);
int snd_seq_query_next_client(snd_seq_query_next_client_ARG_EXPAND);
typedef int (*snd_seq_query_next_client_PTR)(snd_seq_query_next_client_ARG_EXPAND);
int snd_seq_query_next_port(snd_seq_query_next_port_ARG_EXPAND);
typedef int (*snd_seq_query_next_port_PTR)(snd_seq_query_next_port_ARG_EXPAND);
int snd_seq_query_port_subscribers(snd_seq_query_port_subscribers_ARG_EXPAND);
typedef int (*snd_seq_query_port_subscribers_PTR)(snd_seq_query_port_subscribers_ARG_EXPAND);
void snd_seq_query_subscribe_copy(snd_seq_query_subscribe_copy_ARG_EXPAND);
typedef void (*snd_seq_query_subscribe_copy_PTR)(snd_seq_query_subscribe_copy_ARG_EXPAND);
void snd_seq_query_subscribe_free(snd_seq_query_subscribe_free_ARG_EXPAND);
typedef void (*snd_seq_query_subscribe_free_PTR)(snd_seq_query_subscribe_free_ARG_EXPAND);
const snd_seq_addr_t * snd_seq_query_subscribe_get_addr(snd_seq_query_subscribe_get_addr_ARG_EXPAND);
typedef const snd_seq_addr_t * (*snd_seq_query_subscribe_get_addr_PTR)(snd_seq_query_subscribe_get_addr_ARG_EXPAND);
int snd_seq_query_subscribe_get_client(snd_seq_query_subscribe_get_client_ARG_EXPAND);
typedef int (*snd_seq_query_subscribe_get_client_PTR)(snd_seq_query_subscribe_get_client_ARG_EXPAND);
int snd_seq_query_subscribe_get_exclusive(snd_seq_query_subscribe_get_exclusive_ARG_EXPAND);
typedef int (*snd_seq_query_subscribe_get_exclusive_PTR)(snd_seq_query_subscribe_get_exclusive_ARG_EXPAND);
int snd_seq_query_subscribe_get_index(snd_seq_query_subscribe_get_index_ARG_EXPAND);
typedef int (*snd_seq_query_subscribe_get_index_PTR)(snd_seq_query_subscribe_get_index_ARG_EXPAND);
int snd_seq_query_subscribe_get_num_subs(snd_seq_query_subscribe_get_num_subs_ARG_EXPAND);
typedef int (*snd_seq_query_subscribe_get_num_subs_PTR)(snd_seq_query_subscribe_get_num_subs_ARG_EXPAND);
int snd_seq_query_subscribe_get_port(snd_seq_query_subscribe_get_port_ARG_EXPAND);
typedef int (*snd_seq_query_subscribe_get_port_PTR)(snd_seq_query_subscribe_get_port_ARG_EXPAND);
int snd_seq_query_subscribe_get_queue(snd_seq_query_subscribe_get_queue_ARG_EXPAND);
typedef int (*snd_seq_query_subscribe_get_queue_PTR)(snd_seq_query_subscribe_get_queue_ARG_EXPAND);
const snd_seq_addr_t * snd_seq_query_subscribe_get_root(snd_seq_query_subscribe_get_root_ARG_EXPAND);
typedef const snd_seq_addr_t * (*snd_seq_query_subscribe_get_root_PTR)(snd_seq_query_subscribe_get_root_ARG_EXPAND);
int snd_seq_query_subscribe_get_time_real(snd_seq_query_subscribe_get_time_real_ARG_EXPAND);
typedef int (*snd_seq_query_subscribe_get_time_real_PTR)(snd_seq_query_subscribe_get_time_real_ARG_EXPAND);
int snd_seq_query_subscribe_get_time_update(snd_seq_query_subscribe_get_time_update_ARG_EXPAND);
typedef int (*snd_seq_query_subscribe_get_time_update_PTR)(snd_seq_query_subscribe_get_time_update_ARG_EXPAND);
snd_seq_query_subs_type_t snd_seq_query_subscribe_get_type(snd_seq_query_subscribe_get_type_ARG_EXPAND);
typedef snd_seq_query_subs_type_t (*snd_seq_query_subscribe_get_type_PTR)(snd_seq_query_subscribe_get_type_ARG_EXPAND);
int snd_seq_query_subscribe_malloc(snd_seq_query_subscribe_malloc_ARG_EXPAND);
typedef int (*snd_seq_query_subscribe_malloc_PTR)(snd_seq_query_subscribe_malloc_ARG_EXPAND);
void snd_seq_query_subscribe_set_client(snd_seq_query_subscribe_set_client_ARG_EXPAND);
typedef void (*snd_seq_query_subscribe_set_client_PTR)(snd_seq_query_subscribe_set_client_ARG_EXPAND);
void snd_seq_query_subscribe_set_index(snd_seq_query_subscribe_set_index_ARG_EXPAND);
typedef void (*snd_seq_query_subscribe_set_index_PTR)(snd_seq_query_subscribe_set_index_ARG_EXPAND);
void snd_seq_query_subscribe_set_port(snd_seq_query_subscribe_set_port_ARG_EXPAND);
typedef void (*snd_seq_query_subscribe_set_port_PTR)(snd_seq_query_subscribe_set_port_ARG_EXPAND);
void snd_seq_query_subscribe_set_root(snd_seq_query_subscribe_set_root_ARG_EXPAND);
typedef void (*snd_seq_query_subscribe_set_root_PTR)(snd_seq_query_subscribe_set_root_ARG_EXPAND);
void snd_seq_query_subscribe_set_type(snd_seq_query_subscribe_set_type_ARG_EXPAND);
typedef void (*snd_seq_query_subscribe_set_type_PTR)(snd_seq_query_subscribe_set_type_ARG_EXPAND);
size_t snd_seq_query_subscribe_sizeof(snd_seq_query_subscribe_sizeof_ARG_EXPAND);
typedef size_t (*snd_seq_query_subscribe_sizeof_PTR)(snd_seq_query_subscribe_sizeof_ARG_EXPAND);
void snd_seq_queue_info_copy(snd_seq_queue_info_copy_ARG_EXPAND);
typedef void (*snd_seq_queue_info_copy_PTR)(snd_seq_queue_info_copy_ARG_EXPAND);
void snd_seq_queue_info_free(snd_seq_queue_info_free_ARG_EXPAND);
typedef void (*snd_seq_queue_info_free_PTR)(snd_seq_queue_info_free_ARG_EXPAND);
unsigned int snd_seq_queue_info_get_flags(snd_seq_queue_info_get_flags_ARG_EXPAND);
typedef unsigned int (*snd_seq_queue_info_get_flags_PTR)(snd_seq_queue_info_get_flags_ARG_EXPAND);
int snd_seq_queue_info_get_locked(snd_seq_queue_info_get_locked_ARG_EXPAND);
typedef int (*snd_seq_queue_info_get_locked_PTR)(snd_seq_queue_info_get_locked_ARG_EXPAND);
const char * snd_seq_queue_info_get_name(snd_seq_queue_info_get_name_ARG_EXPAND);
typedef const char * (*snd_seq_queue_info_get_name_PTR)(snd_seq_queue_info_get_name_ARG_EXPAND);
int snd_seq_queue_info_get_owner(snd_seq_queue_info_get_owner_ARG_EXPAND);
typedef int (*snd_seq_queue_info_get_owner_PTR)(snd_seq_queue_info_get_owner_ARG_EXPAND);
int snd_seq_queue_info_get_queue(snd_seq_queue_info_get_queue_ARG_EXPAND);
typedef int (*snd_seq_queue_info_get_queue_PTR)(snd_seq_queue_info_get_queue_ARG_EXPAND);
int snd_seq_queue_info_malloc(snd_seq_queue_info_malloc_ARG_EXPAND);
typedef int (*snd_seq_queue_info_malloc_PTR)(snd_seq_queue_info_malloc_ARG_EXPAND);
void snd_seq_queue_info_set_flags(snd_seq_queue_info_set_flags_ARG_EXPAND);
typedef void (*snd_seq_queue_info_set_flags_PTR)(snd_seq_queue_info_set_flags_ARG_EXPAND);
void snd_seq_queue_info_set_locked(snd_seq_queue_info_set_locked_ARG_EXPAND);
typedef void (*snd_seq_queue_info_set_locked_PTR)(snd_seq_queue_info_set_locked_ARG_EXPAND);
void snd_seq_queue_info_set_name(snd_seq_queue_info_set_name_ARG_EXPAND);
typedef void (*snd_seq_queue_info_set_name_PTR)(snd_seq_queue_info_set_name_ARG_EXPAND);
void snd_seq_queue_info_set_owner(snd_seq_queue_info_set_owner_ARG_EXPAND);
typedef void (*snd_seq_queue_info_set_owner_PTR)(snd_seq_queue_info_set_owner_ARG_EXPAND);
size_t snd_seq_queue_info_sizeof(snd_seq_queue_info_sizeof_ARG_EXPAND);
typedef size_t (*snd_seq_queue_info_sizeof_PTR)(snd_seq_queue_info_sizeof_ARG_EXPAND);
void snd_seq_queue_status_copy(snd_seq_queue_status_copy_ARG_EXPAND);
typedef void (*snd_seq_queue_status_copy_PTR)(snd_seq_queue_status_copy_ARG_EXPAND);
void snd_seq_queue_status_free(snd_seq_queue_status_free_ARG_EXPAND);
typedef void (*snd_seq_queue_status_free_PTR)(snd_seq_queue_status_free_ARG_EXPAND);
int snd_seq_queue_status_get_events(snd_seq_queue_status_get_events_ARG_EXPAND);
typedef int (*snd_seq_queue_status_get_events_PTR)(snd_seq_queue_status_get_events_ARG_EXPAND);
int snd_seq_queue_status_get_queue(snd_seq_queue_status_get_queue_ARG_EXPAND);
typedef int (*snd_seq_queue_status_get_queue_PTR)(snd_seq_queue_status_get_queue_ARG_EXPAND);
const snd_seq_real_time_t * snd_seq_queue_status_get_real_time(snd_seq_queue_status_get_real_time_ARG_EXPAND);
typedef const snd_seq_real_time_t * (*snd_seq_queue_status_get_real_time_PTR)(snd_seq_queue_status_get_real_time_ARG_EXPAND);
unsigned int snd_seq_queue_status_get_status(snd_seq_queue_status_get_status_ARG_EXPAND);
typedef unsigned int (*snd_seq_queue_status_get_status_PTR)(snd_seq_queue_status_get_status_ARG_EXPAND);
snd_seq_tick_time_t snd_seq_queue_status_get_tick_time(snd_seq_queue_status_get_tick_time_ARG_EXPAND);
typedef snd_seq_tick_time_t (*snd_seq_queue_status_get_tick_time_PTR)(snd_seq_queue_status_get_tick_time_ARG_EXPAND);
int snd_seq_queue_status_malloc(snd_seq_queue_status_malloc_ARG_EXPAND);
typedef int (*snd_seq_queue_status_malloc_PTR)(snd_seq_queue_status_malloc_ARG_EXPAND);
size_t snd_seq_queue_status_sizeof(snd_seq_queue_status_sizeof_ARG_EXPAND);
typedef size_t (*snd_seq_queue_status_sizeof_PTR)(snd_seq_queue_status_sizeof_ARG_EXPAND);
void snd_seq_queue_tempo_copy(snd_seq_queue_tempo_copy_ARG_EXPAND);
typedef void (*snd_seq_queue_tempo_copy_PTR)(snd_seq_queue_tempo_copy_ARG_EXPAND);
void snd_seq_queue_tempo_free(snd_seq_queue_tempo_free_ARG_EXPAND);
typedef void (*snd_seq_queue_tempo_free_PTR)(snd_seq_queue_tempo_free_ARG_EXPAND);
int snd_seq_queue_tempo_get_ppq(snd_seq_queue_tempo_get_ppq_ARG_EXPAND);
typedef int (*snd_seq_queue_tempo_get_ppq_PTR)(snd_seq_queue_tempo_get_ppq_ARG_EXPAND);
int snd_seq_queue_tempo_get_queue(snd_seq_queue_tempo_get_queue_ARG_EXPAND);
typedef int (*snd_seq_queue_tempo_get_queue_PTR)(snd_seq_queue_tempo_get_queue_ARG_EXPAND);
unsigned int snd_seq_queue_tempo_get_skew(snd_seq_queue_tempo_get_skew_ARG_EXPAND);
typedef unsigned int (*snd_seq_queue_tempo_get_skew_PTR)(snd_seq_queue_tempo_get_skew_ARG_EXPAND);
unsigned int snd_seq_queue_tempo_get_skew_base(snd_seq_queue_tempo_get_skew_base_ARG_EXPAND);
typedef unsigned int (*snd_seq_queue_tempo_get_skew_base_PTR)(snd_seq_queue_tempo_get_skew_base_ARG_EXPAND);
unsigned int snd_seq_queue_tempo_get_tempo(snd_seq_queue_tempo_get_tempo_ARG_EXPAND);
typedef unsigned int (*snd_seq_queue_tempo_get_tempo_PTR)(snd_seq_queue_tempo_get_tempo_ARG_EXPAND);
int snd_seq_queue_tempo_malloc(snd_seq_queue_tempo_malloc_ARG_EXPAND);
typedef int (*snd_seq_queue_tempo_malloc_PTR)(snd_seq_queue_tempo_malloc_ARG_EXPAND);
void snd_seq_queue_tempo_set_ppq(snd_seq_queue_tempo_set_ppq_ARG_EXPAND);
typedef void (*snd_seq_queue_tempo_set_ppq_PTR)(snd_seq_queue_tempo_set_ppq_ARG_EXPAND);
void snd_seq_queue_tempo_set_skew(snd_seq_queue_tempo_set_skew_ARG_EXPAND);
typedef void (*snd_seq_queue_tempo_set_skew_PTR)(snd_seq_queue_tempo_set_skew_ARG_EXPAND);
void snd_seq_queue_tempo_set_skew_base(snd_seq_queue_tempo_set_skew_base_ARG_EXPAND);
typedef void (*snd_seq_queue_tempo_set_skew_base_PTR)(snd_seq_queue_tempo_set_skew_base_ARG_EXPAND);
void snd_seq_queue_tempo_set_tempo(snd_seq_queue_tempo_set_tempo_ARG_EXPAND);
typedef void (*snd_seq_queue_tempo_set_tempo_PTR)(snd_seq_queue_tempo_set_tempo_ARG_EXPAND);
size_t snd_seq_queue_tempo_sizeof(snd_seq_queue_tempo_sizeof_ARG_EXPAND);
typedef size_t (*snd_seq_queue_tempo_sizeof_PTR)(snd_seq_queue_tempo_sizeof_ARG_EXPAND);
void snd_seq_queue_timer_copy(snd_seq_queue_timer_copy_ARG_EXPAND);
typedef void (*snd_seq_queue_timer_copy_PTR)(snd_seq_queue_timer_copy_ARG_EXPAND);
void snd_seq_queue_timer_free(snd_seq_queue_timer_free_ARG_EXPAND);
typedef void (*snd_seq_queue_timer_free_PTR)(snd_seq_queue_timer_free_ARG_EXPAND);
const snd_timer_id_t * snd_seq_queue_timer_get_id(snd_seq_queue_timer_get_id_ARG_EXPAND);
typedef const snd_timer_id_t * (*snd_seq_queue_timer_get_id_PTR)(snd_seq_queue_timer_get_id_ARG_EXPAND);
int snd_seq_queue_timer_get_queue(snd_seq_queue_timer_get_queue_ARG_EXPAND);
typedef int (*snd_seq_queue_timer_get_queue_PTR)(snd_seq_queue_timer_get_queue_ARG_EXPAND);
unsigned int snd_seq_queue_timer_get_resolution(snd_seq_queue_timer_get_resolution_ARG_EXPAND);
typedef unsigned int (*snd_seq_queue_timer_get_resolution_PTR)(snd_seq_queue_timer_get_resolution_ARG_EXPAND);
snd_seq_queue_timer_type_t snd_seq_queue_timer_get_type(snd_seq_queue_timer_get_type_ARG_EXPAND);
typedef snd_seq_queue_timer_type_t (*snd_seq_queue_timer_get_type_PTR)(snd_seq_queue_timer_get_type_ARG_EXPAND);
int snd_seq_queue_timer_malloc(snd_seq_queue_timer_malloc_ARG_EXPAND);
typedef int (*snd_seq_queue_timer_malloc_PTR)(snd_seq_queue_timer_malloc_ARG_EXPAND);
void snd_seq_queue_timer_set_id(snd_seq_queue_timer_set_id_ARG_EXPAND);
typedef void (*snd_seq_queue_timer_set_id_PTR)(snd_seq_queue_timer_set_id_ARG_EXPAND);
void snd_seq_queue_timer_set_resolution(snd_seq_queue_timer_set_resolution_ARG_EXPAND);
typedef void (*snd_seq_queue_timer_set_resolution_PTR)(snd_seq_queue_timer_set_resolution_ARG_EXPAND);
void snd_seq_queue_timer_set_type(snd_seq_queue_timer_set_type_ARG_EXPAND);
typedef void (*snd_seq_queue_timer_set_type_PTR)(snd_seq_queue_timer_set_type_ARG_EXPAND);
size_t snd_seq_queue_timer_sizeof(snd_seq_queue_timer_sizeof_ARG_EXPAND);
typedef size_t (*snd_seq_queue_timer_sizeof_PTR)(snd_seq_queue_timer_sizeof_ARG_EXPAND);
int snd_seq_remove_events(snd_seq_remove_events_ARG_EXPAND);
typedef int (*snd_seq_remove_events_PTR)(snd_seq_remove_events_ARG_EXPAND);
void snd_seq_remove_events_copy(snd_seq_remove_events_copy_ARG_EXPAND);
typedef void (*snd_seq_remove_events_copy_PTR)(snd_seq_remove_events_copy_ARG_EXPAND);
void snd_seq_remove_events_free(snd_seq_remove_events_free_ARG_EXPAND);
typedef void (*snd_seq_remove_events_free_PTR)(snd_seq_remove_events_free_ARG_EXPAND);
int snd_seq_remove_events_get_channel(snd_seq_remove_events_get_channel_ARG_EXPAND);
typedef int (*snd_seq_remove_events_get_channel_PTR)(snd_seq_remove_events_get_channel_ARG_EXPAND);
unsigned int snd_seq_remove_events_get_condition(snd_seq_remove_events_get_condition_ARG_EXPAND);
typedef unsigned int (*snd_seq_remove_events_get_condition_PTR)(snd_seq_remove_events_get_condition_ARG_EXPAND);
const snd_seq_addr_t * snd_seq_remove_events_get_dest(snd_seq_remove_events_get_dest_ARG_EXPAND);
typedef const snd_seq_addr_t * (*snd_seq_remove_events_get_dest_PTR)(snd_seq_remove_events_get_dest_ARG_EXPAND);
int snd_seq_remove_events_get_event_type(snd_seq_remove_events_get_event_type_ARG_EXPAND);
typedef int (*snd_seq_remove_events_get_event_type_PTR)(snd_seq_remove_events_get_event_type_ARG_EXPAND);
int snd_seq_remove_events_get_queue(snd_seq_remove_events_get_queue_ARG_EXPAND);
typedef int (*snd_seq_remove_events_get_queue_PTR)(snd_seq_remove_events_get_queue_ARG_EXPAND);
int snd_seq_remove_events_get_tag(snd_seq_remove_events_get_tag_ARG_EXPAND);
typedef int (*snd_seq_remove_events_get_tag_PTR)(snd_seq_remove_events_get_tag_ARG_EXPAND);
const snd_seq_timestamp_t * snd_seq_remove_events_get_time(snd_seq_remove_events_get_time_ARG_EXPAND);
typedef const snd_seq_timestamp_t * (*snd_seq_remove_events_get_time_PTR)(snd_seq_remove_events_get_time_ARG_EXPAND);
int snd_seq_remove_events_malloc(snd_seq_remove_events_malloc_ARG_EXPAND);
typedef int (*snd_seq_remove_events_malloc_PTR)(snd_seq_remove_events_malloc_ARG_EXPAND);
void snd_seq_remove_events_set_channel(snd_seq_remove_events_set_channel_ARG_EXPAND);
typedef void (*snd_seq_remove_events_set_channel_PTR)(snd_seq_remove_events_set_channel_ARG_EXPAND);
void snd_seq_remove_events_set_condition(snd_seq_remove_events_set_condition_ARG_EXPAND);
typedef void (*snd_seq_remove_events_set_condition_PTR)(snd_seq_remove_events_set_condition_ARG_EXPAND);
void snd_seq_remove_events_set_dest(snd_seq_remove_events_set_dest_ARG_EXPAND);
typedef void (*snd_seq_remove_events_set_dest_PTR)(snd_seq_remove_events_set_dest_ARG_EXPAND);
void snd_seq_remove_events_set_event_type(snd_seq_remove_events_set_event_type_ARG_EXPAND);
typedef void (*snd_seq_remove_events_set_event_type_PTR)(snd_seq_remove_events_set_event_type_ARG_EXPAND);
void snd_seq_remove_events_set_queue(snd_seq_remove_events_set_queue_ARG_EXPAND);
typedef void (*snd_seq_remove_events_set_queue_PTR)(snd_seq_remove_events_set_queue_ARG_EXPAND);
void snd_seq_remove_events_set_tag(snd_seq_remove_events_set_tag_ARG_EXPAND);
typedef void (*snd_seq_remove_events_set_tag_PTR)(snd_seq_remove_events_set_tag_ARG_EXPAND);
void snd_seq_remove_events_set_time(snd_seq_remove_events_set_time_ARG_EXPAND);
typedef void (*snd_seq_remove_events_set_time_PTR)(snd_seq_remove_events_set_time_ARG_EXPAND);
size_t snd_seq_remove_events_sizeof(snd_seq_remove_events_sizeof_ARG_EXPAND);
typedef size_t (*snd_seq_remove_events_sizeof_PTR)(snd_seq_remove_events_sizeof_ARG_EXPAND);
int snd_seq_reset_pool_input(snd_seq_reset_pool_input_ARG_EXPAND);
typedef int (*snd_seq_reset_pool_input_PTR)(snd_seq_reset_pool_input_ARG_EXPAND);
int snd_seq_reset_pool_output(snd_seq_reset_pool_output_ARG_EXPAND);
typedef int (*snd_seq_reset_pool_output_PTR)(snd_seq_reset_pool_output_ARG_EXPAND);
void snd_seq_set_bit(snd_seq_set_bit_ARG_EXPAND);
typedef void (*snd_seq_set_bit_PTR)(snd_seq_set_bit_ARG_EXPAND);
int snd_seq_set_client_event_filter(snd_seq_set_client_event_filter_ARG_EXPAND);
typedef int (*snd_seq_set_client_event_filter_PTR)(snd_seq_set_client_event_filter_ARG_EXPAND);
int snd_seq_set_client_info(snd_seq_set_client_info_ARG_EXPAND);
typedef int (*snd_seq_set_client_info_PTR)(snd_seq_set_client_info_ARG_EXPAND);
int snd_seq_set_client_name(snd_seq_set_client_name_ARG_EXPAND);
typedef int (*snd_seq_set_client_name_PTR)(snd_seq_set_client_name_ARG_EXPAND);
int snd_seq_set_client_pool(snd_seq_set_client_pool_ARG_EXPAND);
typedef int (*snd_seq_set_client_pool_PTR)(snd_seq_set_client_pool_ARG_EXPAND);
int snd_seq_set_client_pool_input(snd_seq_set_client_pool_input_ARG_EXPAND);
typedef int (*snd_seq_set_client_pool_input_PTR)(snd_seq_set_client_pool_input_ARG_EXPAND);
int snd_seq_set_client_pool_output_room(snd_seq_set_client_pool_output_room_ARG_EXPAND);
typedef int (*snd_seq_set_client_pool_output_room_PTR)(snd_seq_set_client_pool_output_room_ARG_EXPAND);
int snd_seq_set_input_buffer_size(snd_seq_set_input_buffer_size_ARG_EXPAND);
typedef int (*snd_seq_set_input_buffer_size_PTR)(snd_seq_set_input_buffer_size_ARG_EXPAND);
int snd_seq_set_output_buffer_size(snd_seq_set_output_buffer_size_ARG_EXPAND);
typedef int (*snd_seq_set_output_buffer_size_PTR)(snd_seq_set_output_buffer_size_ARG_EXPAND);
int snd_seq_set_port_info(snd_seq_set_port_info_ARG_EXPAND);
typedef int (*snd_seq_set_port_info_PTR)(snd_seq_set_port_info_ARG_EXPAND);
int snd_seq_set_queue_info(snd_seq_set_queue_info_ARG_EXPAND);
typedef int (*snd_seq_set_queue_info_PTR)(snd_seq_set_queue_info_ARG_EXPAND);
int snd_seq_set_queue_tempo(snd_seq_set_queue_tempo_ARG_EXPAND);
typedef int (*snd_seq_set_queue_tempo_PTR)(snd_seq_set_queue_tempo_ARG_EXPAND);
int snd_seq_set_queue_timer(snd_seq_set_queue_timer_ARG_EXPAND);
typedef int (*snd_seq_set_queue_timer_PTR)(snd_seq_set_queue_timer_ARG_EXPAND);
int snd_seq_set_queue_usage(snd_seq_set_queue_usage_ARG_EXPAND);
typedef int (*snd_seq_set_queue_usage_PTR)(snd_seq_set_queue_usage_ARG_EXPAND);
int snd_seq_subscribe_port(snd_seq_subscribe_port_ARG_EXPAND);
typedef int (*snd_seq_subscribe_port_PTR)(snd_seq_subscribe_port_ARG_EXPAND);
int snd_seq_sync_output_queue(snd_seq_sync_output_queue_ARG_EXPAND);
typedef int (*snd_seq_sync_output_queue_PTR)(snd_seq_sync_output_queue_ARG_EXPAND);
int snd_seq_system_info(snd_seq_system_info_ARG_EXPAND);
typedef int (*snd_seq_system_info_PTR)(snd_seq_system_info_ARG_EXPAND);
void snd_seq_system_info_copy(snd_seq_system_info_copy_ARG_EXPAND);
typedef void (*snd_seq_system_info_copy_PTR)(snd_seq_system_info_copy_ARG_EXPAND);
void snd_seq_system_info_free(snd_seq_system_info_free_ARG_EXPAND);
typedef void (*snd_seq_system_info_free_PTR)(snd_seq_system_info_free_ARG_EXPAND);
int snd_seq_system_info_get_channels(snd_seq_system_info_get_channels_ARG_EXPAND);
typedef int (*snd_seq_system_info_get_channels_PTR)(snd_seq_system_info_get_channels_ARG_EXPAND);
int snd_seq_system_info_get_clients(snd_seq_system_info_get_clients_ARG_EXPAND);
typedef int (*snd_seq_system_info_get_clients_PTR)(snd_seq_system_info_get_clients_ARG_EXPAND);
int snd_seq_system_info_get_cur_clients(snd_seq_system_info_get_cur_clients_ARG_EXPAND);
typedef int (*snd_seq_system_info_get_cur_clients_PTR)(snd_seq_system_info_get_cur_clients_ARG_EXPAND);
int snd_seq_system_info_get_cur_queues(snd_seq_system_info_get_cur_queues_ARG_EXPAND);
typedef int (*snd_seq_system_info_get_cur_queues_PTR)(snd_seq_system_info_get_cur_queues_ARG_EXPAND);
int snd_seq_system_info_get_ports(snd_seq_system_info_get_ports_ARG_EXPAND);
typedef int (*snd_seq_system_info_get_ports_PTR)(snd_seq_system_info_get_ports_ARG_EXPAND);
int snd_seq_system_info_get_queues(snd_seq_system_info_get_queues_ARG_EXPAND);
typedef int (*snd_seq_system_info_get_queues_PTR)(snd_seq_system_info_get_queues_ARG_EXPAND);
int snd_seq_system_info_malloc(snd_seq_system_info_malloc_ARG_EXPAND);
typedef int (*snd_seq_system_info_malloc_PTR)(snd_seq_system_info_malloc_ARG_EXPAND);
size_t snd_seq_system_info_sizeof(snd_seq_system_info_sizeof_ARG_EXPAND);
typedef size_t (*snd_seq_system_info_sizeof_PTR)(snd_seq_system_info_sizeof_ARG_EXPAND);
snd_seq_type_t snd_seq_type(snd_seq_type_ARG_EXPAND);
typedef snd_seq_type_t (*snd_seq_type_PTR)(snd_seq_type_ARG_EXPAND);
int snd_seq_unsubscribe_port(snd_seq_unsubscribe_port_ARG_EXPAND);
typedef int (*snd_seq_unsubscribe_port_PTR)(snd_seq_unsubscribe_port_ARG_EXPAND);
struct snd_shm_area * snd_shm_area_create(snd_shm_area_create_ARG_EXPAND);
typedef struct snd_shm_area * (*snd_shm_area_create_PTR)(snd_shm_area_create_ARG_EXPAND);
int snd_shm_area_destroy(snd_shm_area_destroy_ARG_EXPAND);
typedef int (*snd_shm_area_destroy_PTR)(snd_shm_area_destroy_ARG_EXPAND);
struct snd_shm_area * snd_shm_area_share(snd_shm_area_share_ARG_EXPAND);
typedef struct snd_shm_area * (*snd_shm_area_share_PTR)(snd_shm_area_share_ARG_EXPAND);
int snd_spcm_init(snd_spcm_init_ARG_EXPAND);
typedef int (*snd_spcm_init_PTR)(snd_spcm_init_ARG_EXPAND);
int snd_spcm_init_duplex(snd_spcm_init_duplex_ARG_EXPAND);
typedef int (*snd_spcm_init_duplex_PTR)(snd_spcm_init_duplex_ARG_EXPAND);
int snd_spcm_init_get_params(snd_spcm_init_get_params_ARG_EXPAND);
typedef int (*snd_spcm_init_get_params_PTR)(snd_spcm_init_get_params_ARG_EXPAND);
const char * snd_strerror(snd_strerror_ARG_EXPAND);
typedef const char * (*snd_strerror_PTR)(snd_strerror_ARG_EXPAND);
int snd_timer_close(snd_timer_close_ARG_EXPAND);
typedef int (*snd_timer_close_PTR)(snd_timer_close_ARG_EXPAND);
int snd_timer_continue(snd_timer_continue_ARG_EXPAND);
typedef int (*snd_timer_continue_PTR)(snd_timer_continue_ARG_EXPAND);
void snd_timer_ginfo_copy(snd_timer_ginfo_copy_ARG_EXPAND);
typedef void (*snd_timer_ginfo_copy_PTR)(snd_timer_ginfo_copy_ARG_EXPAND);
void snd_timer_ginfo_free(snd_timer_ginfo_free_ARG_EXPAND);
typedef void (*snd_timer_ginfo_free_PTR)(snd_timer_ginfo_free_ARG_EXPAND);
int snd_timer_ginfo_get_card(snd_timer_ginfo_get_card_ARG_EXPAND);
typedef int (*snd_timer_ginfo_get_card_PTR)(snd_timer_ginfo_get_card_ARG_EXPAND);
unsigned int snd_timer_ginfo_get_clients(snd_timer_ginfo_get_clients_ARG_EXPAND);
typedef unsigned int (*snd_timer_ginfo_get_clients_PTR)(snd_timer_ginfo_get_clients_ARG_EXPAND);
unsigned int snd_timer_ginfo_get_flags(snd_timer_ginfo_get_flags_ARG_EXPAND);
typedef unsigned int (*snd_timer_ginfo_get_flags_PTR)(snd_timer_ginfo_get_flags_ARG_EXPAND);
char * snd_timer_ginfo_get_id(snd_timer_ginfo_get_id_ARG_EXPAND);
typedef char * (*snd_timer_ginfo_get_id_PTR)(snd_timer_ginfo_get_id_ARG_EXPAND);
char * snd_timer_ginfo_get_name(snd_timer_ginfo_get_name_ARG_EXPAND);
typedef char * (*snd_timer_ginfo_get_name_PTR)(snd_timer_ginfo_get_name_ARG_EXPAND);
unsigned long snd_timer_ginfo_get_resolution(snd_timer_ginfo_get_resolution_ARG_EXPAND);
typedef unsigned long (*snd_timer_ginfo_get_resolution_PTR)(snd_timer_ginfo_get_resolution_ARG_EXPAND);
unsigned long snd_timer_ginfo_get_resolution_max(snd_timer_ginfo_get_resolution_max_ARG_EXPAND);
typedef unsigned long (*snd_timer_ginfo_get_resolution_max_PTR)(snd_timer_ginfo_get_resolution_max_ARG_EXPAND);
unsigned long snd_timer_ginfo_get_resolution_min(snd_timer_ginfo_get_resolution_min_ARG_EXPAND);
typedef unsigned long (*snd_timer_ginfo_get_resolution_min_PTR)(snd_timer_ginfo_get_resolution_min_ARG_EXPAND);
snd_timer_id_t * snd_timer_ginfo_get_tid(snd_timer_ginfo_get_tid_ARG_EXPAND);
typedef snd_timer_id_t * (*snd_timer_ginfo_get_tid_PTR)(snd_timer_ginfo_get_tid_ARG_EXPAND);
int snd_timer_ginfo_malloc(snd_timer_ginfo_malloc_ARG_EXPAND);
typedef int (*snd_timer_ginfo_malloc_PTR)(snd_timer_ginfo_malloc_ARG_EXPAND);
int snd_timer_ginfo_set_tid(snd_timer_ginfo_set_tid_ARG_EXPAND);
typedef int (*snd_timer_ginfo_set_tid_PTR)(snd_timer_ginfo_set_tid_ARG_EXPAND);
size_t snd_timer_ginfo_sizeof(snd_timer_ginfo_sizeof_ARG_EXPAND);
typedef size_t (*snd_timer_ginfo_sizeof_PTR)(snd_timer_ginfo_sizeof_ARG_EXPAND);
void snd_timer_id_copy(snd_timer_id_copy_ARG_EXPAND);
typedef void (*snd_timer_id_copy_PTR)(snd_timer_id_copy_ARG_EXPAND);
void snd_timer_id_free(snd_timer_id_free_ARG_EXPAND);
typedef void (*snd_timer_id_free_PTR)(snd_timer_id_free_ARG_EXPAND);
int snd_timer_id_get_card(snd_timer_id_get_card_ARG_EXPAND);
typedef int (*snd_timer_id_get_card_PTR)(snd_timer_id_get_card_ARG_EXPAND);
int snd_timer_id_get_class(snd_timer_id_get_class_ARG_EXPAND);
typedef int (*snd_timer_id_get_class_PTR)(snd_timer_id_get_class_ARG_EXPAND);
int snd_timer_id_get_device(snd_timer_id_get_device_ARG_EXPAND);
typedef int (*snd_timer_id_get_device_PTR)(snd_timer_id_get_device_ARG_EXPAND);
int snd_timer_id_get_sclass(snd_timer_id_get_sclass_ARG_EXPAND);
typedef int (*snd_timer_id_get_sclass_PTR)(snd_timer_id_get_sclass_ARG_EXPAND);
int snd_timer_id_get_subdevice(snd_timer_id_get_subdevice_ARG_EXPAND);
typedef int (*snd_timer_id_get_subdevice_PTR)(snd_timer_id_get_subdevice_ARG_EXPAND);
int snd_timer_id_malloc(snd_timer_id_malloc_ARG_EXPAND);
typedef int (*snd_timer_id_malloc_PTR)(snd_timer_id_malloc_ARG_EXPAND);
void snd_timer_id_set_card(snd_timer_id_set_card_ARG_EXPAND);
typedef void (*snd_timer_id_set_card_PTR)(snd_timer_id_set_card_ARG_EXPAND);
void snd_timer_id_set_class(snd_timer_id_set_class_ARG_EXPAND);
typedef void (*snd_timer_id_set_class_PTR)(snd_timer_id_set_class_ARG_EXPAND);
void snd_timer_id_set_device(snd_timer_id_set_device_ARG_EXPAND);
typedef void (*snd_timer_id_set_device_PTR)(snd_timer_id_set_device_ARG_EXPAND);
void snd_timer_id_set_sclass(snd_timer_id_set_sclass_ARG_EXPAND);
typedef void (*snd_timer_id_set_sclass_PTR)(snd_timer_id_set_sclass_ARG_EXPAND);
void snd_timer_id_set_subdevice(snd_timer_id_set_subdevice_ARG_EXPAND);
typedef void (*snd_timer_id_set_subdevice_PTR)(snd_timer_id_set_subdevice_ARG_EXPAND);
size_t snd_timer_id_sizeof(snd_timer_id_sizeof_ARG_EXPAND);
typedef size_t (*snd_timer_id_sizeof_PTR)(snd_timer_id_sizeof_ARG_EXPAND);
int snd_timer_info(snd_timer_info_ARG_EXPAND);
typedef int (*snd_timer_info_PTR)(snd_timer_info_ARG_EXPAND);
void snd_timer_info_copy(snd_timer_info_copy_ARG_EXPAND);
typedef void (*snd_timer_info_copy_PTR)(snd_timer_info_copy_ARG_EXPAND);
void snd_timer_info_free(snd_timer_info_free_ARG_EXPAND);
typedef void (*snd_timer_info_free_PTR)(snd_timer_info_free_ARG_EXPAND);
int snd_timer_info_get_card(snd_timer_info_get_card_ARG_EXPAND);
typedef int (*snd_timer_info_get_card_PTR)(snd_timer_info_get_card_ARG_EXPAND);
const char * snd_timer_info_get_id(snd_timer_info_get_id_ARG_EXPAND);
typedef const char * (*snd_timer_info_get_id_PTR)(snd_timer_info_get_id_ARG_EXPAND);
const char * snd_timer_info_get_name(snd_timer_info_get_name_ARG_EXPAND);
typedef const char * (*snd_timer_info_get_name_PTR)(snd_timer_info_get_name_ARG_EXPAND);
long snd_timer_info_get_resolution(snd_timer_info_get_resolution_ARG_EXPAND);
typedef long (*snd_timer_info_get_resolution_PTR)(snd_timer_info_get_resolution_ARG_EXPAND);
long snd_timer_info_get_ticks(snd_timer_info_get_ticks_ARG_EXPAND);
typedef long (*snd_timer_info_get_ticks_PTR)(snd_timer_info_get_ticks_ARG_EXPAND);
int snd_timer_info_is_slave(snd_timer_info_is_slave_ARG_EXPAND);
typedef int (*snd_timer_info_is_slave_PTR)(snd_timer_info_is_slave_ARG_EXPAND);
int snd_timer_info_malloc(snd_timer_info_malloc_ARG_EXPAND);
typedef int (*snd_timer_info_malloc_PTR)(snd_timer_info_malloc_ARG_EXPAND);
size_t snd_timer_info_sizeof(snd_timer_info_sizeof_ARG_EXPAND);
typedef size_t (*snd_timer_info_sizeof_PTR)(snd_timer_info_sizeof_ARG_EXPAND);
int snd_timer_open(snd_timer_open_ARG_EXPAND);
typedef int (*snd_timer_open_PTR)(snd_timer_open_ARG_EXPAND);
int snd_timer_open_lconf(snd_timer_open_lconf_ARG_EXPAND);
typedef int (*snd_timer_open_lconf_PTR)(snd_timer_open_lconf_ARG_EXPAND);
int snd_timer_params(snd_timer_params_ARG_EXPAND);
typedef int (*snd_timer_params_PTR)(snd_timer_params_ARG_EXPAND);
void snd_timer_params_copy(snd_timer_params_copy_ARG_EXPAND);
typedef void (*snd_timer_params_copy_PTR)(snd_timer_params_copy_ARG_EXPAND);
void snd_timer_params_free(snd_timer_params_free_ARG_EXPAND);
typedef void (*snd_timer_params_free_PTR)(snd_timer_params_free_ARG_EXPAND);
int snd_timer_params_get_auto_start(snd_timer_params_get_auto_start_ARG_EXPAND);
typedef int (*snd_timer_params_get_auto_start_PTR)(snd_timer_params_get_auto_start_ARG_EXPAND);
int snd_timer_params_get_early_event(snd_timer_params_get_early_event_ARG_EXPAND);
typedef int (*snd_timer_params_get_early_event_PTR)(snd_timer_params_get_early_event_ARG_EXPAND);
int snd_timer_params_get_exclusive(snd_timer_params_get_exclusive_ARG_EXPAND);
typedef int (*snd_timer_params_get_exclusive_PTR)(snd_timer_params_get_exclusive_ARG_EXPAND);
unsigned int snd_timer_params_get_filter(snd_timer_params_get_filter_ARG_EXPAND);
typedef unsigned int (*snd_timer_params_get_filter_PTR)(snd_timer_params_get_filter_ARG_EXPAND);
long snd_timer_params_get_queue_size(snd_timer_params_get_queue_size_ARG_EXPAND);
typedef long (*snd_timer_params_get_queue_size_PTR)(snd_timer_params_get_queue_size_ARG_EXPAND);
long snd_timer_params_get_ticks(snd_timer_params_get_ticks_ARG_EXPAND);
typedef long (*snd_timer_params_get_ticks_PTR)(snd_timer_params_get_ticks_ARG_EXPAND);
int snd_timer_params_malloc(snd_timer_params_malloc_ARG_EXPAND);
typedef int (*snd_timer_params_malloc_PTR)(snd_timer_params_malloc_ARG_EXPAND);
int snd_timer_params_set_auto_start(snd_timer_params_set_auto_start_ARG_EXPAND);
typedef int (*snd_timer_params_set_auto_start_PTR)(snd_timer_params_set_auto_start_ARG_EXPAND);
int snd_timer_params_set_early_event(snd_timer_params_set_early_event_ARG_EXPAND);
typedef int (*snd_timer_params_set_early_event_PTR)(snd_timer_params_set_early_event_ARG_EXPAND);
int snd_timer_params_set_exclusive(snd_timer_params_set_exclusive_ARG_EXPAND);
typedef int (*snd_timer_params_set_exclusive_PTR)(snd_timer_params_set_exclusive_ARG_EXPAND);
void snd_timer_params_set_filter(snd_timer_params_set_filter_ARG_EXPAND);
typedef void (*snd_timer_params_set_filter_PTR)(snd_timer_params_set_filter_ARG_EXPAND);
void snd_timer_params_set_queue_size(snd_timer_params_set_queue_size_ARG_EXPAND);
typedef void (*snd_timer_params_set_queue_size_PTR)(snd_timer_params_set_queue_size_ARG_EXPAND);
void snd_timer_params_set_ticks(snd_timer_params_set_ticks_ARG_EXPAND);
typedef void (*snd_timer_params_set_ticks_PTR)(snd_timer_params_set_ticks_ARG_EXPAND);
size_t snd_timer_params_sizeof(snd_timer_params_sizeof_ARG_EXPAND);
typedef size_t (*snd_timer_params_sizeof_PTR)(snd_timer_params_sizeof_ARG_EXPAND);
int snd_timer_poll_descriptors(snd_timer_poll_descriptors_ARG_EXPAND);
typedef int (*snd_timer_poll_descriptors_PTR)(snd_timer_poll_descriptors_ARG_EXPAND);
int snd_timer_poll_descriptors_count(snd_timer_poll_descriptors_count_ARG_EXPAND);
typedef int (*snd_timer_poll_descriptors_count_PTR)(snd_timer_poll_descriptors_count_ARG_EXPAND);
int snd_timer_poll_descriptors_revents(snd_timer_poll_descriptors_revents_ARG_EXPAND);
typedef int (*snd_timer_poll_descriptors_revents_PTR)(snd_timer_poll_descriptors_revents_ARG_EXPAND);
int snd_timer_query_close(snd_timer_query_close_ARG_EXPAND);
typedef int (*snd_timer_query_close_PTR)(snd_timer_query_close_ARG_EXPAND);
int snd_timer_query_info(snd_timer_query_info_ARG_EXPAND);
typedef int (*snd_timer_query_info_PTR)(snd_timer_query_info_ARG_EXPAND);
int snd_timer_query_next_device(snd_timer_query_next_device_ARG_EXPAND);
typedef int (*snd_timer_query_next_device_PTR)(snd_timer_query_next_device_ARG_EXPAND);
int snd_timer_query_open(snd_timer_query_open_ARG_EXPAND);
typedef int (*snd_timer_query_open_PTR)(snd_timer_query_open_ARG_EXPAND);
int snd_timer_query_open_lconf(snd_timer_query_open_lconf_ARG_EXPAND);
typedef int (*snd_timer_query_open_lconf_PTR)(snd_timer_query_open_lconf_ARG_EXPAND);
int snd_timer_query_params(snd_timer_query_params_ARG_EXPAND);
typedef int (*snd_timer_query_params_PTR)(snd_timer_query_params_ARG_EXPAND);
int snd_timer_query_status(snd_timer_query_status_ARG_EXPAND);
typedef int (*snd_timer_query_status_PTR)(snd_timer_query_status_ARG_EXPAND);
ssize_t snd_timer_read(snd_timer_read_ARG_EXPAND);
typedef ssize_t (*snd_timer_read_PTR)(snd_timer_read_ARG_EXPAND);
int snd_timer_start(snd_timer_start_ARG_EXPAND);
typedef int (*snd_timer_start_PTR)(snd_timer_start_ARG_EXPAND);
int snd_timer_status(snd_timer_status_ARG_EXPAND);
typedef int (*snd_timer_status_PTR)(snd_timer_status_ARG_EXPAND);
void snd_timer_status_copy(snd_timer_status_copy_ARG_EXPAND);
typedef void (*snd_timer_status_copy_PTR)(snd_timer_status_copy_ARG_EXPAND);
void snd_timer_status_free(snd_timer_status_free_ARG_EXPAND);
typedef void (*snd_timer_status_free_PTR)(snd_timer_status_free_ARG_EXPAND);
long snd_timer_status_get_lost(snd_timer_status_get_lost_ARG_EXPAND);
typedef long (*snd_timer_status_get_lost_PTR)(snd_timer_status_get_lost_ARG_EXPAND);
long snd_timer_status_get_overrun(snd_timer_status_get_overrun_ARG_EXPAND);
typedef long (*snd_timer_status_get_overrun_PTR)(snd_timer_status_get_overrun_ARG_EXPAND);
long snd_timer_status_get_queue(snd_timer_status_get_queue_ARG_EXPAND);
typedef long (*snd_timer_status_get_queue_PTR)(snd_timer_status_get_queue_ARG_EXPAND);
long snd_timer_status_get_resolution(snd_timer_status_get_resolution_ARG_EXPAND);
typedef long (*snd_timer_status_get_resolution_PTR)(snd_timer_status_get_resolution_ARG_EXPAND);
snd_htimestamp_t snd_timer_status_get_timestamp(snd_timer_status_get_timestamp_ARG_EXPAND);
typedef snd_htimestamp_t (*snd_timer_status_get_timestamp_PTR)(snd_timer_status_get_timestamp_ARG_EXPAND);
int snd_timer_status_malloc(snd_timer_status_malloc_ARG_EXPAND);
typedef int (*snd_timer_status_malloc_PTR)(snd_timer_status_malloc_ARG_EXPAND);
size_t snd_timer_status_sizeof(snd_timer_status_sizeof_ARG_EXPAND);
typedef size_t (*snd_timer_status_sizeof_PTR)(snd_timer_status_sizeof_ARG_EXPAND);
int snd_timer_stop(snd_timer_stop_ARG_EXPAND);
typedef int (*snd_timer_stop_PTR)(snd_timer_stop_ARG_EXPAND);
int snd_user_file(snd_user_file_ARG_EXPAND);
typedef int (*snd_user_file_PTR)(snd_user_file_ARG_EXPAND);

#endif
